#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 8
#define STATE_COUNT 1428
#define SYMBOL_COUNT 208
#define ALIAS_COUNT 18
#define TOKEN_COUNT 98
#define EXTERNAL_TOKEN_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 5

enum {
  aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH = 1,
  aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH = 2,
  aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH = 3,
  anon_sym_LF = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH = 9,
  aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH = 10,
  aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH = 11,
  aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH = 12,
  aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH = 13,
  aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH = 14,
  sym_preproc_directive = 15,
  sym_preproc_arg = 16,
  anon_sym_SEMI = 17,
  anon_sym_typedef = 18,
  anon_sym_extern = 19,
  anon_sym_LBRACE = 20,
  anon_sym_RBRACE = 21,
  anon_sym_STAR = 22,
  anon_sym_LBRACK = 23,
  anon_sym_RBRACK = 24,
  anon_sym_EQ = 25,
  anon_sym_static = 26,
  anon_sym_auto = 27,
  anon_sym_register = 28,
  anon_sym_inline = 29,
  anon_sym_const = 30,
  anon_sym_restrict = 31,
  anon_sym_volatile = 32,
  anon_sym__Atomic = 33,
  anon_sym_unsigned = 34,
  anon_sym_long = 35,
  anon_sym_short = 36,
  sym_primitive_type = 37,
  anon_sym_enum = 38,
  anon_sym_struct = 39,
  anon_sym_union = 40,
  anon_sym_COLON = 41,
  anon_sym_if = 42,
  anon_sym_else = 43,
  anon_sym_switch = 44,
  anon_sym_case = 45,
  anon_sym_default = 46,
  anon_sym_while = 47,
  anon_sym_do = 48,
  anon_sym_for = 49,
  anon_sym_return = 50,
  anon_sym_break = 51,
  anon_sym_continue = 52,
  anon_sym_goto = 53,
  anon_sym_QMARK = 54,
  anon_sym_STAR_EQ = 55,
  anon_sym_SLASH_EQ = 56,
  anon_sym_PERCENT_EQ = 57,
  anon_sym_PLUS_EQ = 58,
  anon_sym_DASH_EQ = 59,
  anon_sym_LT_LT_EQ = 60,
  anon_sym_GT_GT_EQ = 61,
  anon_sym_AMP_EQ = 62,
  anon_sym_CARET_EQ = 63,
  anon_sym_PIPE_EQ = 64,
  anon_sym_AMP = 65,
  anon_sym_PIPE_PIPE = 66,
  anon_sym_AMP_AMP = 67,
  anon_sym_BANG = 68,
  anon_sym_PIPE = 69,
  anon_sym_CARET = 70,
  anon_sym_TILDE = 71,
  anon_sym_EQ_EQ = 72,
  anon_sym_BANG_EQ = 73,
  anon_sym_LT = 74,
  anon_sym_GT = 75,
  anon_sym_LT_EQ = 76,
  anon_sym_GT_EQ = 77,
  anon_sym_LT_LT = 78,
  anon_sym_GT_GT = 79,
  anon_sym_PLUS = 80,
  anon_sym_DASH = 81,
  anon_sym_SLASH = 82,
  anon_sym_PERCENT = 83,
  anon_sym_DASH_DASH = 84,
  anon_sym_PLUS_PLUS = 85,
  anon_sym_sizeof = 86,
  anon_sym_DOT = 87,
  anon_sym_DASH_GT = 88,
  sym_number_literal = 89,
  sym_char_literal = 90,
  sym_string_literal = 91,
  sym_system_lib_string = 92,
  sym_true = 93,
  sym_false = 94,
  sym_null = 95,
  sym_identifier = 96,
  sym_comment = 97,
  sym_translation_unit = 98,
  sym_preproc_include = 99,
  sym_preproc_def = 100,
  sym_preproc_function_def = 101,
  sym_preproc_params = 102,
  sym_preproc_call = 103,
  sym_preproc_if = 104,
  sym_preproc_ifdef = 105,
  sym_preproc_else = 106,
  sym_preproc_elif = 107,
  sym_preproc_if_in_compound_statement = 108,
  sym_preproc_ifdef_in_compound_statement = 109,
  sym_preproc_else_in_compound_statement = 110,
  sym_preproc_elif_in_compound_statement = 111,
  sym_preproc_if_in_field_declaration_list = 112,
  sym_preproc_ifdef_in_field_declaration_list = 113,
  sym_preproc_else_in_field_declaration_list = 114,
  sym_preproc_elif_in_field_declaration_list = 115,
  sym_function_definition = 116,
  sym_declaration = 117,
  sym_type_definition = 118,
  sym__declaration_specifiers = 119,
  sym_linkage_specification = 120,
  sym_declaration_list = 121,
  sym__declarator = 122,
  sym__field_declarator = 123,
  sym__type_declarator = 124,
  sym__abstract_declarator = 125,
  sym_pointer_declarator = 126,
  sym_pointer_field_declarator = 127,
  sym_pointer_type_declarator = 128,
  sym_abstract_pointer_declarator = 129,
  sym_function_declarator = 130,
  sym_function_field_declarator = 131,
  sym_function_type_declarator = 132,
  sym_abstract_function_declarator = 133,
  sym_array_declarator = 134,
  sym_array_field_declarator = 135,
  sym_array_type_declarator = 136,
  sym_abstract_array_declarator = 137,
  sym_init_declarator = 138,
  sym_compound_statement = 139,
  sym_storage_class_specifier = 140,
  sym_type_qualifier = 141,
  sym__type_specifier = 142,
  sym_sized_type_specifier = 143,
  sym_enum_specifier = 144,
  sym_enumerator_list = 145,
  sym_struct_specifier = 146,
  sym_union_specifier = 147,
  sym_field_declaration_list = 148,
  sym__field_declaration_list_item = 149,
  sym_field_declaration = 150,
  sym_enumerator = 151,
  sym_parameter_list = 152,
  sym_parameter_declaration = 153,
  sym_labeled_statement = 154,
  sym_expression_statement = 155,
  sym_if_statement = 156,
  sym_switch_statement = 157,
  sym_case_statement = 158,
  sym_while_statement = 159,
  sym_do_statement = 160,
  sym_for_statement = 161,
  sym_return_statement = 162,
  sym_break_statement = 163,
  sym_continue_statement = 164,
  sym_goto_statement = 165,
  sym__expression = 166,
  sym_comma_expression = 167,
  sym_conditional_expression = 168,
  sym_assignment_expression = 169,
  sym_pointer_expression = 170,
  sym_logical_expression = 171,
  sym_bitwise_expression = 172,
  sym_equality_expression = 173,
  sym_relational_expression = 174,
  sym_shift_expression = 175,
  sym_math_expression = 176,
  sym_cast_expression = 177,
  sym_type_descriptor = 178,
  sym_sizeof_expression = 179,
  sym_subscript_expression = 180,
  sym_call_expression = 181,
  sym_argument_list = 182,
  sym_field_expression = 183,
  sym_compound_literal_expression = 184,
  sym_parenthesized_expression = 185,
  sym_initializer_list = 186,
  sym_initializer_pair = 187,
  sym_subscript_designator = 188,
  sym_field_designator = 189,
  sym_concatenated_string = 190,
  sym__empty_declaration = 191,
  sym_macro_type_specifier = 192,
  aux_sym_translation_unit_repeat1 = 193,
  aux_sym_preproc_params_repeat1 = 194,
  aux_sym_preproc_if_in_compound_statement_repeat1 = 195,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 196,
  aux_sym_declaration_repeat1 = 197,
  aux_sym_type_definition_repeat1 = 198,
  aux_sym__declaration_specifiers_repeat1 = 199,
  aux_sym_sized_type_specifier_repeat1 = 200,
  aux_sym_enumerator_list_repeat1 = 201,
  aux_sym_field_declaration_repeat1 = 202,
  aux_sym_parameter_list_repeat1 = 203,
  aux_sym_for_statement_repeat1 = 204,
  aux_sym_initializer_list_repeat1 = 205,
  aux_sym_initializer_pair_repeat1 = 206,
  aux_sym_concatenated_string_repeat1 = 207,
  anon_alias_sym_POUNDdefine = 208,
  anon_alias_sym_POUNDelif = 209,
  anon_alias_sym_POUNDelse = 210,
  anon_alias_sym_POUNDendif = 211,
  anon_alias_sym_POUNDif = 212,
  anon_alias_sym_POUNDifdef = 213,
  anon_alias_sym_POUNDifndef = 214,
  anon_alias_sym_POUNDinclude = 215,
  alias_sym_array_declarator = 216,
  alias_sym_field_identifier = 217,
  alias_sym_function_declarator = 218,
  alias_sym_pointer_declarator = 219,
  alias_sym_preproc_elif = 220,
  alias_sym_preproc_else = 221,
  alias_sym_preproc_if = 222,
  alias_sym_preproc_ifdef = 223,
  alias_sym_statement_identifier = 224,
  alias_sym_type_identifier = 225,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "END",
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = "/#[ 	]*include/",
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = "/#[ 	]*define/",
  [aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH] = "/[ \\t]+/",
  [anon_sym_LF] = "\n",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = "/#[ 	]*if/",
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = "/#[ 	]*endif/",
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = "/#[ 	]*ifdef/",
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = "/#[ 	]*ifndef/",
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = "/#[ 	]*else/",
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = "/#[ 	]*elif/",
  [sym_preproc_directive] = "preproc_directive",
  [sym_preproc_arg] = "preproc_arg",
  [anon_sym_SEMI] = ";",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym_const] = "const",
  [anon_sym_restrict] = "restrict",
  [anon_sym_volatile] = "volatile",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_QMARK] = "?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_BANG] = "!",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_TILDE] = "~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [sym_char_literal] = "char_literal",
  [sym_string_literal] = "string_literal",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_identifier] = "identifier",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_if_in_compound_statement] = "preproc_if_in_compound_statement",
  [sym_preproc_ifdef_in_compound_statement] = "preproc_ifdef_in_compound_statement",
  [sym_preproc_else_in_compound_statement] = "preproc_else_in_compound_statement",
  [sym_preproc_elif_in_compound_statement] = "preproc_elif_in_compound_statement",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if_in_field_declaration_list",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef_in_field_declaration_list",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else_in_field_declaration_list",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif_in_field_declaration_list",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_field_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_field_declarator",
  [sym_function_type_declarator] = "function_type_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_field_declarator",
  [sym_array_type_declarator] = "array_type_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym__expression] = "_expression",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_logical_expression] = "logical_expression",
  [sym_bitwise_expression] = "bitwise_expression",
  [sym_equality_expression] = "equality_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_shift_expression] = "shift_expression",
  [sym_math_expression] = "math_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_field_designator] = "field_designator",
  [sym_concatenated_string] = "concatenated_string",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_in_compound_statement_repeat1] = "preproc_if_in_compound_statement_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [anon_alias_sym_POUNDdefine] = "#define",
  [anon_alias_sym_POUNDelif] = "#elif",
  [anon_alias_sym_POUNDelse] = "#else",
  [anon_alias_sym_POUNDendif] = "#endif",
  [anon_alias_sym_POUNDif] = "#if",
  [anon_alias_sym_POUNDifdef] = "#ifdef",
  [anon_alias_sym_POUNDifndef] = "#ifndef",
  [anon_alias_sym_POUNDinclude] = "#include",
  [alias_sym_array_declarator] = "array_declarator",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_function_declarator] = "function_declarator",
  [alias_sym_pointer_declarator] = "pointer_declarator",
  [alias_sym_preproc_elif] = "preproc_elif",
  [alias_sym_preproc_else] = "preproc_else",
  [alias_sym_preproc_if] = "preproc_if",
  [alias_sym_preproc_ifdef] = "preproc_ifdef",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = {
    .visible = false,
    .named = false,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_shift_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_math_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_compound_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_POUNDdefine] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_POUNDelif] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_POUNDelse] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_POUNDendif] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_POUNDif] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_POUNDifdef] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_POUNDifndef] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_POUNDinclude] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[42][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [2] = {
    [0] = anon_alias_sym_POUNDinclude,
  },
  [3] = {
    [1] = alias_sym_type_identifier,
  },
  [4] = {
    [0] = anon_alias_sym_POUNDdefine,
  },
  [5] = {
    [0] = anon_alias_sym_POUNDif,
    [2] = anon_alias_sym_POUNDendif,
  },
  [6] = {
    [0] = anon_alias_sym_POUNDelse,
  },
  [7] = {
    [0] = anon_alias_sym_POUNDifdef,
    [2] = anon_alias_sym_POUNDendif,
  },
  [8] = {
    [0] = anon_alias_sym_POUNDifndef,
    [2] = anon_alias_sym_POUNDendif,
  },
  [9] = {
    [0] = alias_sym_pointer_declarator,
  },
  [10] = {
    [0] = alias_sym_function_declarator,
  },
  [11] = {
    [0] = alias_sym_array_declarator,
  },
  [12] = {
    [0] = alias_sym_preproc_if,
  },
  [13] = {
    [0] = alias_sym_preproc_ifdef,
  },
  [14] = {
    [0] = anon_alias_sym_POUNDelif,
  },
  [15] = {
    [0] = anon_alias_sym_POUNDif,
    [3] = anon_alias_sym_POUNDendif,
  },
  [16] = {
    [0] = anon_alias_sym_POUNDifdef,
    [3] = anon_alias_sym_POUNDendif,
  },
  [17] = {
    [0] = anon_alias_sym_POUNDifndef,
    [3] = anon_alias_sym_POUNDendif,
  },
  [18] = {
    [0] = alias_sym_field_identifier,
  },
  [19] = {
    [0] = anon_alias_sym_POUNDif,
    [4] = anon_alias_sym_POUNDendif,
  },
  [20] = {
    [0] = anon_alias_sym_POUNDifdef,
    [4] = anon_alias_sym_POUNDendif,
  },
  [21] = {
    [0] = anon_alias_sym_POUNDifndef,
    [4] = anon_alias_sym_POUNDendif,
  },
  [22] = {
    [0] = anon_alias_sym_POUNDif,
    [2] = alias_sym_preproc_else,
    [3] = anon_alias_sym_POUNDendif,
  },
  [23] = {
    [0] = anon_alias_sym_POUNDif,
    [2] = alias_sym_preproc_elif,
    [3] = anon_alias_sym_POUNDendif,
  },
  [24] = {
    [0] = anon_alias_sym_POUNDifdef,
    [2] = alias_sym_preproc_else,
    [3] = anon_alias_sym_POUNDendif,
  },
  [25] = {
    [0] = anon_alias_sym_POUNDifdef,
    [2] = alias_sym_preproc_elif,
    [3] = anon_alias_sym_POUNDendif,
  },
  [26] = {
    [0] = anon_alias_sym_POUNDifndef,
    [2] = alias_sym_preproc_else,
    [3] = anon_alias_sym_POUNDendif,
  },
  [27] = {
    [0] = anon_alias_sym_POUNDifndef,
    [2] = alias_sym_preproc_elif,
    [3] = anon_alias_sym_POUNDendif,
  },
  [28] = {
    [1] = alias_sym_statement_identifier,
  },
  [29] = {
    [0] = alias_sym_statement_identifier,
  },
  [30] = {
    [2] = alias_sym_field_identifier,
  },
  [31] = {
    [1] = alias_sym_field_identifier,
  },
  [32] = {
    [0] = anon_alias_sym_POUNDelif,
    [2] = alias_sym_preproc_else,
  },
  [33] = {
    [0] = anon_alias_sym_POUNDelif,
    [2] = alias_sym_preproc_elif,
  },
  [34] = {
    [0] = anon_alias_sym_POUNDif,
    [3] = alias_sym_preproc_else,
    [4] = anon_alias_sym_POUNDendif,
  },
  [35] = {
    [0] = anon_alias_sym_POUNDif,
    [3] = alias_sym_preproc_elif,
    [4] = anon_alias_sym_POUNDendif,
  },
  [36] = {
    [0] = anon_alias_sym_POUNDifdef,
    [3] = alias_sym_preproc_else,
    [4] = anon_alias_sym_POUNDendif,
  },
  [37] = {
    [0] = anon_alias_sym_POUNDifdef,
    [3] = alias_sym_preproc_elif,
    [4] = anon_alias_sym_POUNDendif,
  },
  [38] = {
    [0] = anon_alias_sym_POUNDifndef,
    [3] = alias_sym_preproc_else,
    [4] = anon_alias_sym_POUNDendif,
  },
  [39] = {
    [0] = anon_alias_sym_POUNDifndef,
    [3] = alias_sym_preproc_elif,
    [4] = anon_alias_sym_POUNDendif,
  },
  [40] = {
    [0] = anon_alias_sym_POUNDelif,
    [3] = alias_sym_preproc_else,
  },
  [41] = {
    [0] = anon_alias_sym_POUNDelif,
    [3] = alias_sym_preproc_elif,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '%')
        ADVANCE(40);
      if (lookahead == '&')
        ADVANCE(42);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == ')')
        ADVANCE(51);
      if (lookahead == '*')
        ADVANCE(52);
      if (lookahead == '+')
        ADVANCE(54);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '-')
        ADVANCE(58);
      if (lookahead == '.')
        ADVANCE(62);
      if (lookahead == '/')
        ADVANCE(65);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == ':')
        ADVANCE(80);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '<')
        ADVANCE(82);
      if (lookahead == '=')
        ADVANCE(86);
      if (lookahead == '>')
        ADVANCE(88);
      if (lookahead == '?')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == ']')
        ADVANCE(94);
      if (lookahead == '^')
        ADVANCE(95);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '|')
        ADVANCE(98);
      if (lookahead == '}')
        ADVANCE(101);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 4:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\\')
        ADVANCE(6);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(4);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(sym_string_literal);
      END_STATE();
    case 6:
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(4);
      END_STATE();
    case 7:
      if (lookahead == 'd')
        ADVANCE(8);
      if (lookahead == 'e')
        ADVANCE(15);
      if (lookahead == 'i')
        ADVANCE(25);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(7);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e')
        ADVANCE(9);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f')
        ADVANCE(10);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i')
        ADVANCE(11);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n')
        ADVANCE(12);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e')
        ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l')
        ADVANCE(16);
      if (lookahead == 'n')
        ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i')
        ADVANCE(17);
      if (lookahead == 's')
        ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f')
        ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e')
        ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd')
        ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i')
        ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f')
        ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f')
        ADVANCE(26);
      if (lookahead == 'n')
        ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH);
      if (lookahead == 'd')
        ADVANCE(27);
      if (lookahead == 'n')
        ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e')
        ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f')
        ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd')
        ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e')
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f')
        ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c')
        ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l')
        ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u')
        ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd')
        ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e')
        ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(41);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(43);
      if (lookahead == '=')
        ADVANCE(44);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 45:
      if (lookahead == '\\')
        ADVANCE(46);
      if (lookahead != 0 &&
          lookahead != '\'')
        ADVANCE(49);
      END_STATE();
    case 46:
      if (lookahead == '\'')
        ADVANCE(47);
      if (lookahead != 0)
        ADVANCE(49);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_char_literal);
      if (lookahead == '\'')
        ADVANCE(48);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(sym_char_literal);
      END_STATE();
    case 49:
      if (lookahead == '\'')
        ADVANCE(48);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=')
        ADVANCE(53);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(55);
      if (lookahead == '=')
        ADVANCE(56);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(59);
      if (lookahead == '=')
        ADVANCE(60);
      if (lookahead == '>')
        ADVANCE(61);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(63);
      END_STATE();
    case 63:
      if (lookahead == '.')
        ADVANCE(64);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(66);
      if (lookahead == '/')
        ADVANCE(69);
      if (lookahead == '=')
        ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == '*')
        ADVANCE(67);
      if (lookahead != 0)
        ADVANCE(66);
      END_STATE();
    case 67:
      if (lookahead == '*')
        ADVANCE(67);
      if (lookahead == '/')
        ADVANCE(68);
      if (lookahead != 0)
        ADVANCE(66);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(69);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.')
        ADVANCE(72);
      if (lookahead == 'L')
        ADVANCE(74);
      if (lookahead == 'U')
        ADVANCE(74);
      if (lookahead == 'b')
        ADVANCE(75);
      if (lookahead == 'l')
        ADVANCE(74);
      if (lookahead == 'u')
        ADVANCE(74);
      if (lookahead == 'x')
        ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(73);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L')
        ADVANCE(74);
      if (lookahead == 'U')
        ADVANCE(74);
      if (lookahead == 'l')
        ADVANCE(74);
      if (lookahead == 'u')
        ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(73);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L')
        ADVANCE(74);
      if (lookahead == 'U')
        ADVANCE(74);
      if (lookahead == 'l')
        ADVANCE(74);
      if (lookahead == 'u')
        ADVANCE(74);
      END_STATE();
    case 75:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L')
        ADVANCE(74);
      if (lookahead == 'U')
        ADVANCE(74);
      if (lookahead == 'l')
        ADVANCE(74);
      if (lookahead == 'u')
        ADVANCE(74);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(76);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'f'))
        ADVANCE(78);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L')
        ADVANCE(78);
      if (lookahead == 'U')
        ADVANCE(78);
      if (lookahead == 'l')
        ADVANCE(74);
      if (lookahead == 'u')
        ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'f'))
        ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.')
        ADVANCE(72);
      if (lookahead == 'L')
        ADVANCE(74);
      if (lookahead == 'U')
        ADVANCE(74);
      if (lookahead == 'l')
        ADVANCE(74);
      if (lookahead == 'u')
        ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(83);
      if (lookahead == '=')
        ADVANCE(85);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(84);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(87);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(89);
      if (lookahead == '>')
        ADVANCE(90);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(91);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(96);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(99);
      if (lookahead == '|')
        ADVANCE(100);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 104:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(105);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 105:
      if (lookahead == 'd')
        ADVANCE(8);
      if (lookahead == 'i')
        ADVANCE(25);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(105);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 106:
      if (lookahead == '*')
        ADVANCE(66);
      if (lookahead == '/')
        ADVANCE(69);
      END_STATE();
    case 107:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '<')
        ADVANCE(108);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(107);
      END_STATE();
    case 108:
      if (lookahead == '>')
        ADVANCE(109);
      if (lookahead == '\\')
        ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 110:
      if (lookahead == '>')
        ADVANCE(111);
      if (lookahead == '\\')
        ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(108);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>')
        ADVANCE(109);
      if (lookahead == '\\')
        ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(108);
      END_STATE();
    case 112:
      if (lookahead == '\n')
        SKIP(112);
      if (lookahead == '/')
        ADVANCE(113);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(120);
      if (lookahead != 0)
        ADVANCE(119);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*')
        ADVANCE(114);
      if (lookahead == '/')
        ADVANCE(117);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(119);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n')
        ADVANCE(66);
      if (lookahead == '*')
        ADVANCE(115);
      if (lookahead == '\\')
        ADVANCE(116);
      if (lookahead != 0)
        ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n')
        ADVANCE(66);
      if (lookahead == '*')
        ADVANCE(115);
      if (lookahead == '/')
        ADVANCE(68);
      if (lookahead == '\\')
        ADVANCE(116);
      if (lookahead != 0)
        ADVANCE(114);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n')
        ADVANCE(114);
      if (lookahead == '*')
        ADVANCE(115);
      if (lookahead == '\\')
        ADVANCE(116);
      if (lookahead != 0)
        ADVANCE(114);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\')
        ADVANCE(117);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n')
        ADVANCE(119);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead != 0)
        ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/')
        ADVANCE(113);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(120);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n')
        ADVANCE(119);
      END_STATE();
    case 121:
      if (lookahead == '\n')
        ADVANCE(122);
      if (lookahead == '\r')
        SKIP(121);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(123);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(123);
      END_STATE();
    case 124:
      if (lookahead == '!')
        ADVANCE(125);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(126);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == ')')
        ADVANCE(51);
      if (lookahead == '*')
        ADVANCE(127);
      if (lookahead == '+')
        ADVANCE(128);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == ':')
        ADVANCE(80);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '=')
        ADVANCE(131);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == ']')
        ADVANCE(94);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(124);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(55);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(59);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 132:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(132);
      END_STATE();
    case 133:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(125);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(105);
      if (lookahead == '&')
        ADVANCE(126);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '*')
        ADVANCE(127);
      if (lookahead == '+')
        ADVANCE(128);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '}')
        ADVANCE(101);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(133);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 134:
      if (lookahead == '!')
        ADVANCE(125);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(126);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '*')
        ADVANCE(127);
      if (lookahead == '+')
        ADVANCE(128);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(134);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 135:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '%')
        ADVANCE(40);
      if (lookahead == '&')
        ADVANCE(42);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '*')
        ADVANCE(52);
      if (lookahead == '+')
        ADVANCE(54);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '-')
        ADVANCE(58);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(65);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '<')
        ADVANCE(82);
      if (lookahead == '=')
        ADVANCE(86);
      if (lookahead == '>')
        ADVANCE(88);
      if (lookahead == '?')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == '^')
        ADVANCE(95);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '|')
        ADVANCE(98);
      if (lookahead == '}')
        ADVANCE(101);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(135);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 136:
      if (lookahead == '#')
        ADVANCE(137);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '}')
        ADVANCE(101);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(136);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 137:
      if (lookahead == 'i')
        ADVANCE(138);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(137);
      END_STATE();
    case 138:
      if (lookahead == 'f')
        ADVANCE(139);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH);
      if (lookahead == 'd')
        ADVANCE(140);
      if (lookahead == 'n')
        ADVANCE(143);
      END_STATE();
    case 140:
      if (lookahead == 'e')
        ADVANCE(141);
      END_STATE();
    case 141:
      if (lookahead == 'f')
        ADVANCE(142);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH);
      END_STATE();
    case 143:
      if (lookahead == 'd')
        ADVANCE(144);
      END_STATE();
    case 144:
      if (lookahead == 'e')
        ADVANCE(145);
      END_STATE();
    case 145:
      if (lookahead == 'f')
        ADVANCE(146);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH);
      END_STATE();
    case 147:
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == ')')
        ADVANCE(51);
      if (lookahead == '*')
        ADVANCE(127);
      if (lookahead == '.')
        ADVANCE(148);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(147);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 148:
      if (lookahead == '.')
        ADVANCE(63);
      END_STATE();
    case 149:
      if (lookahead == '\n')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(113);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(150);
      if (lookahead != 0)
        ADVANCE(119);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/')
        ADVANCE(113);
      if (lookahead == '\\')
        ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n')
        ADVANCE(119);
      END_STATE();
    case 151:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '#')
        ADVANCE(105);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '}')
        ADVANCE(101);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(151);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 152:
      if (lookahead == '!')
        ADVANCE(125);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(153);
      if (lookahead == '&')
        ADVANCE(126);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '*')
        ADVANCE(127);
      if (lookahead == '+')
        ADVANCE(128);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(152);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 153:
      if (lookahead == 'd')
        ADVANCE(8);
      if (lookahead == 'e')
        ADVANCE(154);
      if (lookahead == 'i')
        ADVANCE(25);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(153);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n')
        ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(14);
      END_STATE();
    case 155:
      if (lookahead == '#')
        ADVANCE(156);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(155);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 156:
      if (lookahead == 'e')
        ADVANCE(157);
      if (lookahead == 'i')
        ADVANCE(138);
      if (lookahead == '\t' ||
          lookahead == ' ')
        ADVANCE(156);
      END_STATE();
    case 157:
      if (lookahead == 'l')
        ADVANCE(158);
      if (lookahead == 'n')
        ADVANCE(163);
      END_STATE();
    case 158:
      if (lookahead == 'i')
        ADVANCE(159);
      if (lookahead == 's')
        ADVANCE(161);
      END_STATE();
    case 159:
      if (lookahead == 'f')
        ADVANCE(160);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH);
      END_STATE();
    case 161:
      if (lookahead == 'e')
        ADVANCE(162);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH);
      END_STATE();
    case 163:
      if (lookahead == 'd')
        ADVANCE(164);
      END_STATE();
    case 164:
      if (lookahead == 'i')
        ADVANCE(165);
      END_STATE();
    case 165:
      if (lookahead == 'f')
        ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH);
      END_STATE();
    case 167:
      if (lookahead == '\n')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(167);
      END_STATE();
    case 168:
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == ')')
        ADVANCE(51);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '=')
        ADVANCE(131);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(168);
      END_STATE();
    case 169:
      if (lookahead == '#')
        ADVANCE(156);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '}')
        ADVANCE(101);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 170:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '%')
        ADVANCE(40);
      if (lookahead == '&')
        ADVANCE(42);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '*')
        ADVANCE(52);
      if (lookahead == '+')
        ADVANCE(54);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '-')
        ADVANCE(58);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(65);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == ':')
        ADVANCE(80);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '<')
        ADVANCE(82);
      if (lookahead == '=')
        ADVANCE(86);
      if (lookahead == '>')
        ADVANCE(88);
      if (lookahead == '?')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == '^')
        ADVANCE(95);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '|')
        ADVANCE(98);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(170);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 171:
      if (lookahead == '!')
        ADVANCE(125);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(126);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '*')
        ADVANCE(127);
      if (lookahead == '+')
        ADVANCE(128);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == ']')
        ADVANCE(94);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(171);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 172:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '%')
        ADVANCE(40);
      if (lookahead == '&')
        ADVANCE(42);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == ')')
        ADVANCE(51);
      if (lookahead == '*')
        ADVANCE(52);
      if (lookahead == '+')
        ADVANCE(54);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '-')
        ADVANCE(58);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(65);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == '<')
        ADVANCE(82);
      if (lookahead == '=')
        ADVANCE(86);
      if (lookahead == '>')
        ADVANCE(88);
      if (lookahead == '?')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == '^')
        ADVANCE(95);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '|')
        ADVANCE(98);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(172);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 173:
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == ')')
        ADVANCE(51);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == ':')
        ADVANCE(80);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '=')
        ADVANCE(131);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(173);
      END_STATE();
    case 174:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '%')
        ADVANCE(40);
      if (lookahead == '&')
        ADVANCE(42);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '*')
        ADVANCE(52);
      if (lookahead == '+')
        ADVANCE(54);
      if (lookahead == '-')
        ADVANCE(58);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(65);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == '<')
        ADVANCE(82);
      if (lookahead == '=')
        ADVANCE(86);
      if (lookahead == '>')
        ADVANCE(88);
      if (lookahead == '?')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == ']')
        ADVANCE(94);
      if (lookahead == '^')
        ADVANCE(95);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '|')
        ADVANCE(98);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(174);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 175:
      if (lookahead == '!')
        ADVANCE(125);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(126);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == '*')
        ADVANCE(127);
      if (lookahead == '+')
        ADVANCE(128);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == '{')
        ADVANCE(97);
      if (lookahead == '}')
        ADVANCE(101);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(175);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 176:
      if (lookahead == '!')
        ADVANCE(177);
      if (lookahead == '%')
        ADVANCE(40);
      if (lookahead == '&')
        ADVANCE(42);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == ')')
        ADVANCE(51);
      if (lookahead == '*')
        ADVANCE(52);
      if (lookahead == '+')
        ADVANCE(54);
      if (lookahead == ',')
        ADVANCE(57);
      if (lookahead == '-')
        ADVANCE(58);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(65);
      if (lookahead == ':')
        ADVANCE(80);
      if (lookahead == ';')
        ADVANCE(81);
      if (lookahead == '<')
        ADVANCE(82);
      if (lookahead == '=')
        ADVANCE(86);
      if (lookahead == '>')
        ADVANCE(88);
      if (lookahead == '?')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(93);
      if (lookahead == ']')
        ADVANCE(94);
      if (lookahead == '^')
        ADVANCE(95);
      if (lookahead == '|')
        ADVANCE(98);
      if (lookahead == '}')
        ADVANCE(101);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(176);
      END_STATE();
    case 177:
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 178:
      if (lookahead == '!')
        ADVANCE(125);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(126);
      if (lookahead == '\'')
        ADVANCE(45);
      if (lookahead == '(')
        ADVANCE(50);
      if (lookahead == ')')
        ADVANCE(51);
      if (lookahead == '*')
        ADVANCE(127);
      if (lookahead == '+')
        ADVANCE(128);
      if (lookahead == '-')
        ADVANCE(129);
      if (lookahead == '/')
        ADVANCE(106);
      if (lookahead == '0')
        ADVANCE(71);
      if (lookahead == '~')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(178);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'F')
        ADVANCE(1);
      if (lookahead == 'N')
        ADVANCE(6);
      if (lookahead == 'T')
        ADVANCE(10);
      if (lookahead == '_')
        ADVANCE(14);
      if (lookahead == 'a')
        ADVANCE(21);
      if (lookahead == 'b')
        ADVANCE(25);
      if (lookahead == 'c')
        ADVANCE(33);
      if (lookahead == 'd')
        ADVANCE(56);
      if (lookahead == 'e')
        ADVANCE(67);
      if (lookahead == 'f')
        ADVANCE(79);
      if (lookahead == 'g')
        ADVANCE(87);
      if (lookahead == 'i')
        ADVANCE(91);
      if (lookahead == 'l')
        ADVANCE(98);
      if (lookahead == 'r')
        ADVANCE(102);
      if (lookahead == 's')
        ADVANCE(120);
      if (lookahead == 't')
        ADVANCE(147);
      if (lookahead == 'u')
        ADVANCE(156);
      if (lookahead == 'v')
        ADVANCE(170);
      if (lookahead == 'w')
        ADVANCE(179);
      END_STATE();
    case 1:
      if (lookahead == 'A')
        ADVANCE(2);
      END_STATE();
    case 2:
      if (lookahead == 'L')
        ADVANCE(3);
      END_STATE();
    case 3:
      if (lookahead == 'S')
        ADVANCE(4);
      END_STATE();
    case 4:
      if (lookahead == 'E')
        ADVANCE(5);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 6:
      if (lookahead == 'U')
        ADVANCE(7);
      END_STATE();
    case 7:
      if (lookahead == 'L')
        ADVANCE(8);
      END_STATE();
    case 8:
      if (lookahead == 'L')
        ADVANCE(9);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 10:
      if (lookahead == 'R')
        ADVANCE(11);
      END_STATE();
    case 11:
      if (lookahead == 'U')
        ADVANCE(12);
      END_STATE();
    case 12:
      if (lookahead == 'E')
        ADVANCE(13);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 14:
      if (lookahead == 'A')
        ADVANCE(15);
      END_STATE();
    case 15:
      if (lookahead == 't')
        ADVANCE(16);
      END_STATE();
    case 16:
      if (lookahead == 'o')
        ADVANCE(17);
      END_STATE();
    case 17:
      if (lookahead == 'm')
        ADVANCE(18);
      END_STATE();
    case 18:
      if (lookahead == 'i')
        ADVANCE(19);
      END_STATE();
    case 19:
      if (lookahead == 'c')
        ADVANCE(20);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 21:
      if (lookahead == 'u')
        ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == 't')
        ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == 'o')
        ADVANCE(24);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 25:
      if (lookahead == 'o')
        ADVANCE(26);
      if (lookahead == 'r')
        ADVANCE(29);
      END_STATE();
    case 26:
      if (lookahead == 'o')
        ADVANCE(27);
      END_STATE();
    case 27:
      if (lookahead == 'l')
        ADVANCE(28);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 29:
      if (lookahead == 'e')
        ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == 'a')
        ADVANCE(31);
      END_STATE();
    case 31:
      if (lookahead == 'k')
        ADVANCE(32);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 33:
      if (lookahead == 'a')
        ADVANCE(34);
      if (lookahead == 'h')
        ADVANCE(37);
      if (lookahead == 'o')
        ADVANCE(47);
      END_STATE();
    case 34:
      if (lookahead == 's')
        ADVANCE(35);
      END_STATE();
    case 35:
      if (lookahead == 'e')
        ADVANCE(36);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 37:
      if (lookahead == 'a')
        ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == 'r')
        ADVANCE(39);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1')
        ADVANCE(40);
      if (lookahead == '3')
        ADVANCE(43);
      if (lookahead == '6')
        ADVANCE(44);
      if (lookahead == '8')
        ADVANCE(41);
      if (lookahead == 'p')
        ADVANCE(45);
      END_STATE();
    case 40:
      if (lookahead == '6')
        ADVANCE(41);
      END_STATE();
    case 41:
      if (lookahead == '_')
        ADVANCE(42);
      END_STATE();
    case 42:
      if (lookahead == 't')
        ADVANCE(28);
      END_STATE();
    case 43:
      if (lookahead == '2')
        ADVANCE(41);
      END_STATE();
    case 44:
      if (lookahead == '4')
        ADVANCE(41);
      END_STATE();
    case 45:
      if (lookahead == 't')
        ADVANCE(46);
      END_STATE();
    case 46:
      if (lookahead == 'r')
        ADVANCE(41);
      END_STATE();
    case 47:
      if (lookahead == 'n')
        ADVANCE(48);
      END_STATE();
    case 48:
      if (lookahead == 's')
        ADVANCE(49);
      if (lookahead == 't')
        ADVANCE(51);
      END_STATE();
    case 49:
      if (lookahead == 't')
        ADVANCE(50);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 51:
      if (lookahead == 'i')
        ADVANCE(52);
      END_STATE();
    case 52:
      if (lookahead == 'n')
        ADVANCE(53);
      END_STATE();
    case 53:
      if (lookahead == 'u')
        ADVANCE(54);
      END_STATE();
    case 54:
      if (lookahead == 'e')
        ADVANCE(55);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 56:
      if (lookahead == 'e')
        ADVANCE(57);
      if (lookahead == 'o')
        ADVANCE(63);
      END_STATE();
    case 57:
      if (lookahead == 'f')
        ADVANCE(58);
      END_STATE();
    case 58:
      if (lookahead == 'a')
        ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'u')
        ADVANCE(60);
      END_STATE();
    case 60:
      if (lookahead == 'l')
        ADVANCE(61);
      END_STATE();
    case 61:
      if (lookahead == 't')
        ADVANCE(62);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u')
        ADVANCE(64);
      END_STATE();
    case 64:
      if (lookahead == 'b')
        ADVANCE(65);
      END_STATE();
    case 65:
      if (lookahead == 'l')
        ADVANCE(66);
      END_STATE();
    case 66:
      if (lookahead == 'e')
        ADVANCE(28);
      END_STATE();
    case 67:
      if (lookahead == 'l')
        ADVANCE(68);
      if (lookahead == 'n')
        ADVANCE(71);
      if (lookahead == 'x')
        ADVANCE(74);
      END_STATE();
    case 68:
      if (lookahead == 's')
        ADVANCE(69);
      END_STATE();
    case 69:
      if (lookahead == 'e')
        ADVANCE(70);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 71:
      if (lookahead == 'u')
        ADVANCE(72);
      END_STATE();
    case 72:
      if (lookahead == 'm')
        ADVANCE(73);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 74:
      if (lookahead == 't')
        ADVANCE(75);
      END_STATE();
    case 75:
      if (lookahead == 'e')
        ADVANCE(76);
      END_STATE();
    case 76:
      if (lookahead == 'r')
        ADVANCE(77);
      END_STATE();
    case 77:
      if (lookahead == 'n')
        ADVANCE(78);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 79:
      if (lookahead == 'a')
        ADVANCE(80);
      if (lookahead == 'l')
        ADVANCE(83);
      if (lookahead == 'o')
        ADVANCE(85);
      END_STATE();
    case 80:
      if (lookahead == 'l')
        ADVANCE(81);
      END_STATE();
    case 81:
      if (lookahead == 's')
        ADVANCE(82);
      END_STATE();
    case 82:
      if (lookahead == 'e')
        ADVANCE(5);
      END_STATE();
    case 83:
      if (lookahead == 'o')
        ADVANCE(84);
      END_STATE();
    case 84:
      if (lookahead == 'a')
        ADVANCE(42);
      END_STATE();
    case 85:
      if (lookahead == 'r')
        ADVANCE(86);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 87:
      if (lookahead == 'o')
        ADVANCE(88);
      END_STATE();
    case 88:
      if (lookahead == 't')
        ADVANCE(89);
      END_STATE();
    case 89:
      if (lookahead == 'o')
        ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 91:
      if (lookahead == 'f')
        ADVANCE(92);
      if (lookahead == 'n')
        ADVANCE(93);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 93:
      if (lookahead == 'l')
        ADVANCE(94);
      if (lookahead == 't')
        ADVANCE(39);
      END_STATE();
    case 94:
      if (lookahead == 'i')
        ADVANCE(95);
      END_STATE();
    case 95:
      if (lookahead == 'n')
        ADVANCE(96);
      END_STATE();
    case 96:
      if (lookahead == 'e')
        ADVANCE(97);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 98:
      if (lookahead == 'o')
        ADVANCE(99);
      END_STATE();
    case 99:
      if (lookahead == 'n')
        ADVANCE(100);
      END_STATE();
    case 100:
      if (lookahead == 'g')
        ADVANCE(101);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 102:
      if (lookahead == 'e')
        ADVANCE(103);
      END_STATE();
    case 103:
      if (lookahead == 'g')
        ADVANCE(104);
      if (lookahead == 's')
        ADVANCE(110);
      if (lookahead == 't')
        ADVANCE(116);
      END_STATE();
    case 104:
      if (lookahead == 'i')
        ADVANCE(105);
      END_STATE();
    case 105:
      if (lookahead == 's')
        ADVANCE(106);
      END_STATE();
    case 106:
      if (lookahead == 't')
        ADVANCE(107);
      END_STATE();
    case 107:
      if (lookahead == 'e')
        ADVANCE(108);
      END_STATE();
    case 108:
      if (lookahead == 'r')
        ADVANCE(109);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 110:
      if (lookahead == 't')
        ADVANCE(111);
      END_STATE();
    case 111:
      if (lookahead == 'r')
        ADVANCE(112);
      END_STATE();
    case 112:
      if (lookahead == 'i')
        ADVANCE(113);
      END_STATE();
    case 113:
      if (lookahead == 'c')
        ADVANCE(114);
      END_STATE();
    case 114:
      if (lookahead == 't')
        ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 116:
      if (lookahead == 'u')
        ADVANCE(117);
      END_STATE();
    case 117:
      if (lookahead == 'r')
        ADVANCE(118);
      END_STATE();
    case 118:
      if (lookahead == 'n')
        ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 120:
      if (lookahead == 'h')
        ADVANCE(121);
      if (lookahead == 'i')
        ADVANCE(125);
      if (lookahead == 's')
        ADVANCE(130);
      if (lookahead == 't')
        ADVANCE(133);
      if (lookahead == 'w')
        ADVANCE(142);
      END_STATE();
    case 121:
      if (lookahead == 'o')
        ADVANCE(122);
      END_STATE();
    case 122:
      if (lookahead == 'r')
        ADVANCE(123);
      END_STATE();
    case 123:
      if (lookahead == 't')
        ADVANCE(124);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 125:
      if (lookahead == 'z')
        ADVANCE(126);
      END_STATE();
    case 126:
      if (lookahead == 'e')
        ADVANCE(127);
      END_STATE();
    case 127:
      if (lookahead == '_')
        ADVANCE(42);
      if (lookahead == 'o')
        ADVANCE(128);
      END_STATE();
    case 128:
      if (lookahead == 'f')
        ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 130:
      if (lookahead == 'i')
        ADVANCE(131);
      END_STATE();
    case 131:
      if (lookahead == 'z')
        ADVANCE(132);
      END_STATE();
    case 132:
      if (lookahead == 'e')
        ADVANCE(41);
      END_STATE();
    case 133:
      if (lookahead == 'a')
        ADVANCE(134);
      if (lookahead == 'r')
        ADVANCE(138);
      END_STATE();
    case 134:
      if (lookahead == 't')
        ADVANCE(135);
      END_STATE();
    case 135:
      if (lookahead == 'i')
        ADVANCE(136);
      END_STATE();
    case 136:
      if (lookahead == 'c')
        ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 138:
      if (lookahead == 'u')
        ADVANCE(139);
      END_STATE();
    case 139:
      if (lookahead == 'c')
        ADVANCE(140);
      END_STATE();
    case 140:
      if (lookahead == 't')
        ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 142:
      if (lookahead == 'i')
        ADVANCE(143);
      END_STATE();
    case 143:
      if (lookahead == 't')
        ADVANCE(144);
      END_STATE();
    case 144:
      if (lookahead == 'c')
        ADVANCE(145);
      END_STATE();
    case 145:
      if (lookahead == 'h')
        ADVANCE(146);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 147:
      if (lookahead == 'r')
        ADVANCE(148);
      if (lookahead == 'y')
        ADVANCE(150);
      END_STATE();
    case 148:
      if (lookahead == 'u')
        ADVANCE(149);
      END_STATE();
    case 149:
      if (lookahead == 'e')
        ADVANCE(13);
      END_STATE();
    case 150:
      if (lookahead == 'p')
        ADVANCE(151);
      END_STATE();
    case 151:
      if (lookahead == 'e')
        ADVANCE(152);
      END_STATE();
    case 152:
      if (lookahead == 'd')
        ADVANCE(153);
      END_STATE();
    case 153:
      if (lookahead == 'e')
        ADVANCE(154);
      END_STATE();
    case 154:
      if (lookahead == 'f')
        ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 156:
      if (lookahead == 'i')
        ADVANCE(157);
      if (lookahead == 'n')
        ADVANCE(160);
      END_STATE();
    case 157:
      if (lookahead == 'n')
        ADVANCE(158);
      END_STATE();
    case 158:
      if (lookahead == 't')
        ADVANCE(159);
      END_STATE();
    case 159:
      if (lookahead == '1')
        ADVANCE(40);
      if (lookahead == '3')
        ADVANCE(43);
      if (lookahead == '6')
        ADVANCE(44);
      if (lookahead == '8')
        ADVANCE(41);
      if (lookahead == 'p')
        ADVANCE(45);
      END_STATE();
    case 160:
      if (lookahead == 'i')
        ADVANCE(161);
      if (lookahead == 's')
        ADVANCE(164);
      END_STATE();
    case 161:
      if (lookahead == 'o')
        ADVANCE(162);
      END_STATE();
    case 162:
      if (lookahead == 'n')
        ADVANCE(163);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 164:
      if (lookahead == 'i')
        ADVANCE(165);
      END_STATE();
    case 165:
      if (lookahead == 'g')
        ADVANCE(166);
      END_STATE();
    case 166:
      if (lookahead == 'n')
        ADVANCE(167);
      END_STATE();
    case 167:
      if (lookahead == 'e')
        ADVANCE(168);
      END_STATE();
    case 168:
      if (lookahead == 'd')
        ADVANCE(169);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 170:
      if (lookahead == 'o')
        ADVANCE(171);
      END_STATE();
    case 171:
      if (lookahead == 'i')
        ADVANCE(172);
      if (lookahead == 'l')
        ADVANCE(173);
      END_STATE();
    case 172:
      if (lookahead == 'd')
        ADVANCE(28);
      END_STATE();
    case 173:
      if (lookahead == 'a')
        ADVANCE(174);
      END_STATE();
    case 174:
      if (lookahead == 't')
        ADVANCE(175);
      END_STATE();
    case 175:
      if (lookahead == 'i')
        ADVANCE(176);
      END_STATE();
    case 176:
      if (lookahead == 'l')
        ADVANCE(177);
      END_STATE();
    case 177:
      if (lookahead == 'e')
        ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 179:
      if (lookahead == 'h')
        ADVANCE(180);
      END_STATE();
    case 180:
      if (lookahead == 'i')
        ADVANCE(181);
      END_STATE();
    case 181:
      if (lookahead == 'l')
        ADVANCE(182);
      END_STATE();
    case 182:
      if (lookahead == 'e')
        ADVANCE(183);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 104},
  [2] = {.lex_state = 107},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 112},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 121},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 124},
  [10] = {.lex_state = 124},
  [11] = {.lex_state = 124},
  [12] = {.lex_state = 124},
  [13] = {.lex_state = 124},
  [14] = {.lex_state = 124},
  [15] = {.lex_state = 124},
  [16] = {.lex_state = 132},
  [17] = {.lex_state = 133},
  [18] = {.lex_state = 133},
  [19] = {.lex_state = 104},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 133},
  [22] = {.lex_state = 133},
  [23] = {.lex_state = 121},
  [24] = {.lex_state = 134},
  [25] = {.lex_state = 134},
  [26] = {.lex_state = 134},
  [27] = {.lex_state = 112},
  [28] = {.lex_state = 133},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 124},
  [33] = {.lex_state = 135},
  [34] = {.lex_state = 124},
  [35] = {.lex_state = 124},
  [36] = {.lex_state = 136},
  [37] = {.lex_state = 124},
  [38] = {.lex_state = 124},
  [39] = {.lex_state = 124},
  [40] = {.lex_state = 124},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 133},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 135},
  [46] = {.lex_state = 135},
  [47] = {.lex_state = 133},
  [48] = {.lex_state = 104},
  [49] = {.lex_state = 133},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 124},
  [52] = {.lex_state = 124},
  [53] = {.lex_state = 133},
  [54] = {.lex_state = 112},
  [55] = {.lex_state = 133},
  [56] = {.lex_state = 147},
  [57] = {.lex_state = 149},
  [58] = {.lex_state = 107},
  [59] = {.lex_state = 0},
  [60] = {.lex_state = 112},
  [61] = {.lex_state = 151},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 152},
  [65] = {.lex_state = 112},
  [66] = {.lex_state = 121},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 124},
  [69] = {.lex_state = 155},
  [70] = {.lex_state = 133},
  [71] = {.lex_state = 134},
  [72] = {.lex_state = 151},
  [73] = {.lex_state = 155},
  [74] = {.lex_state = 134},
  [75] = {.lex_state = 151},
  [76] = {.lex_state = 155},
  [77] = {.lex_state = 134},
  [78] = {.lex_state = 167},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 168},
  [82] = {.lex_state = 135},
  [83] = {.lex_state = 168},
  [84] = {.lex_state = 168},
  [85] = {.lex_state = 168},
  [86] = {.lex_state = 0},
  [87] = {.lex_state = 0},
  [88] = {.lex_state = 0},
  [89] = {.lex_state = 133},
  [90] = {.lex_state = 151},
  [91] = {.lex_state = 0},
  [92] = {.lex_state = 0},
  [93] = {.lex_state = 0},
  [94] = {.lex_state = 0},
  [95] = {.lex_state = 133},
  [96] = {.lex_state = 124},
  [97] = {.lex_state = 135},
  [98] = {.lex_state = 135},
  [99] = {.lex_state = 124},
  [100] = {.lex_state = 112},
  [101] = {.lex_state = 0},
  [102] = {.lex_state = 0},
  [103] = {.lex_state = 124},
  [104] = {.lex_state = 169},
  [105] = {.lex_state = 169},
  [106] = {.lex_state = 170},
  [107] = {.lex_state = 170},
  [108] = {.lex_state = 136},
  [109] = {.lex_state = 0},
  [110] = {.lex_state = 170},
  [111] = {.lex_state = 124},
  [112] = {.lex_state = 124},
  [113] = {.lex_state = 147},
  [114] = {.lex_state = 147},
  [115] = {.lex_state = 0},
  [116] = {.lex_state = 147},
  [117] = {.lex_state = 0},
  [118] = {.lex_state = 147},
  [119] = {.lex_state = 168},
  [120] = {.lex_state = 0},
  [121] = {.lex_state = 147},
  [122] = {.lex_state = 0},
  [123] = {.lex_state = 133},
  [124] = {.lex_state = 133},
  [125] = {.lex_state = 171},
  [126] = {.lex_state = 124},
  [127] = {.lex_state = 151},
  [128] = {.lex_state = 168},
  [129] = {.lex_state = 135},
  [130] = {.lex_state = 133},
  [131] = {.lex_state = 133},
  [132] = {.lex_state = 167},
  [133] = {.lex_state = 172},
  [134] = {.lex_state = 149},
  [135] = {.lex_state = 133},
  [136] = {.lex_state = 167},
  [137] = {.lex_state = 134},
  [138] = {.lex_state = 121},
  [139] = {.lex_state = 134},
  [140] = {.lex_state = 134},
  [141] = {.lex_state = 134},
  [142] = {.lex_state = 107},
  [143] = {.lex_state = 0},
  [144] = {.lex_state = 112},
  [145] = {.lex_state = 0},
  [146] = {.lex_state = 0},
  [147] = {.lex_state = 121},
  [148] = {.lex_state = 0},
  [149] = {.lex_state = 124},
  [150] = {.lex_state = 133},
  [151] = {.lex_state = 152},
  [152] = {.lex_state = 134},
  [153] = {.lex_state = 112},
  [154] = {.lex_state = 134},
  [155] = {.lex_state = 0},
  [156] = {.lex_state = 0},
  [157] = {.lex_state = 124},
  [158] = {.lex_state = 151},
  [159] = {.lex_state = 134},
  [160] = {.lex_state = 135},
  [161] = {.lex_state = 135},
  [162] = {.lex_state = 155},
  [163] = {.lex_state = 134},
  [164] = {.lex_state = 151},
  [165] = {.lex_state = 155},
  [166] = {.lex_state = 151},
  [167] = {.lex_state = 155},
  [168] = {.lex_state = 133},
  [169] = {.lex_state = 0},
  [170] = {.lex_state = 147},
  [171] = {.lex_state = 168},
  [172] = {.lex_state = 0},
  [173] = {.lex_state = 133},
  [174] = {.lex_state = 171},
  [175] = {.lex_state = 168},
  [176] = {.lex_state = 135},
  [177] = {.lex_state = 151},
  [178] = {.lex_state = 133},
  [179] = {.lex_state = 0},
  [180] = {.lex_state = 0},
  [181] = {.lex_state = 0},
  [182] = {.lex_state = 124},
  [183] = {.lex_state = 124},
  [184] = {.lex_state = 133},
  [185] = {.lex_state = 135},
  [186] = {.lex_state = 155},
  [187] = {.lex_state = 155},
  [188] = {.lex_state = 155},
  [189] = {.lex_state = 0},
  [190] = {.lex_state = 169},
  [191] = {.lex_state = 0},
  [192] = {.lex_state = 124},
  [193] = {.lex_state = 173},
  [194] = {.lex_state = 170},
  [195] = {.lex_state = 173},
  [196] = {.lex_state = 173},
  [197] = {.lex_state = 173},
  [198] = {.lex_state = 170},
  [199] = {.lex_state = 124},
  [200] = {.lex_state = 136},
  [201] = {.lex_state = 170},
  [202] = {.lex_state = 170},
  [203] = {.lex_state = 147},
  [204] = {.lex_state = 147},
  [205] = {.lex_state = 171},
  [206] = {.lex_state = 147},
  [207] = {.lex_state = 172},
  [208] = {.lex_state = 124},
  [209] = {.lex_state = 147},
  [210] = {.lex_state = 147},
  [211] = {.lex_state = 0},
  [212] = {.lex_state = 168},
  [213] = {.lex_state = 168},
  [214] = {.lex_state = 0},
  [215] = {.lex_state = 172},
  [216] = {.lex_state = 173},
  [217] = {.lex_state = 172},
  [218] = {.lex_state = 172},
  [219] = {.lex_state = 0},
  [220] = {.lex_state = 172},
  [221] = {.lex_state = 0},
  [222] = {.lex_state = 135},
  [223] = {.lex_state = 135},
  [224] = {.lex_state = 124},
  [225] = {.lex_state = 112},
  [226] = {.lex_state = 0},
  [227] = {.lex_state = 0},
  [228] = {.lex_state = 133},
  [229] = {.lex_state = 133},
  [230] = {.lex_state = 124},
  [231] = {.lex_state = 0},
  [232] = {.lex_state = 0},
  [233] = {.lex_state = 124},
  [234] = {.lex_state = 170},
  [235] = {.lex_state = 0},
  [236] = {.lex_state = 133},
  [237] = {.lex_state = 0},
  [238] = {.lex_state = 133},
  [239] = {.lex_state = 133},
  [240] = {.lex_state = 133},
  [241] = {.lex_state = 0},
  [242] = {.lex_state = 124},
  [243] = {.lex_state = 124},
  [244] = {.lex_state = 124},
  [245] = {.lex_state = 124},
  [246] = {.lex_state = 135},
  [247] = {.lex_state = 170},
  [248] = {.lex_state = 133},
  [249] = {.lex_state = 133},
  [250] = {.lex_state = 133},
  [251] = {.lex_state = 135},
  [252] = {.lex_state = 133},
  [253] = {.lex_state = 133},
  [254] = {.lex_state = 124},
  [255] = {.lex_state = 124},
  [256] = {.lex_state = 168},
  [257] = {.lex_state = 124},
  [258] = {.lex_state = 124},
  [259] = {.lex_state = 124},
  [260] = {.lex_state = 124},
  [261] = {.lex_state = 174},
  [262] = {.lex_state = 174},
  [263] = {.lex_state = 171},
  [264] = {.lex_state = 171},
  [265] = {.lex_state = 174},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 171},
  [268] = {.lex_state = 175},
  [269] = {.lex_state = 135},
  [270] = {.lex_state = 135},
  [271] = {.lex_state = 133},
  [272] = {.lex_state = 135},
  [273] = {.lex_state = 133},
  [274] = {.lex_state = 147},
  [275] = {.lex_state = 149},
  [276] = {.lex_state = 172},
  [277] = {.lex_state = 133},
  [278] = {.lex_state = 112},
  [279] = {.lex_state = 134},
  [280] = {.lex_state = 149},
  [281] = {.lex_state = 134},
  [282] = {.lex_state = 155},
  [283] = {.lex_state = 134},
  [284] = {.lex_state = 134},
  [285] = {.lex_state = 155},
  [286] = {.lex_state = 134},
  [287] = {.lex_state = 134},
  [288] = {.lex_state = 155},
  [289] = {.lex_state = 134},
  [290] = {.lex_state = 152},
  [291] = {.lex_state = 121},
  [292] = {.lex_state = 134},
  [293] = {.lex_state = 134},
  [294] = {.lex_state = 134},
  [295] = {.lex_state = 112},
  [296] = {.lex_state = 152},
  [297] = {.lex_state = 0},
  [298] = {.lex_state = 0},
  [299] = {.lex_state = 124},
  [300] = {.lex_state = 152},
  [301] = {.lex_state = 135},
  [302] = {.lex_state = 135},
  [303] = {.lex_state = 152},
  [304] = {.lex_state = 155},
  [305] = {.lex_state = 134},
  [306] = {.lex_state = 167},
  [307] = {.lex_state = 135},
  [308] = {.lex_state = 0},
  [309] = {.lex_state = 133},
  [310] = {.lex_state = 134},
  [311] = {.lex_state = 0},
  [312] = {.lex_state = 134},
  [313] = {.lex_state = 133},
  [314] = {.lex_state = 134},
  [315] = {.lex_state = 135},
  [316] = {.lex_state = 151},
  [317] = {.lex_state = 151},
  [318] = {.lex_state = 151},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 168},
  [321] = {.lex_state = 168},
  [322] = {.lex_state = 168},
  [323] = {.lex_state = 171},
  [324] = {.lex_state = 174},
  [325] = {.lex_state = 133},
  [326] = {.lex_state = 151},
  [327] = {.lex_state = 133},
  [328] = {.lex_state = 0},
  [329] = {.lex_state = 0},
  [330] = {.lex_state = 124},
  [331] = {.lex_state = 124},
  [332] = {.lex_state = 124},
  [333] = {.lex_state = 124},
  [334] = {.lex_state = 124},
  [335] = {.lex_state = 124},
  [336] = {.lex_state = 135},
  [337] = {.lex_state = 135},
  [338] = {.lex_state = 124},
  [339] = {.lex_state = 135},
  [340] = {.lex_state = 133},
  [341] = {.lex_state = 135},
  [342] = {.lex_state = 169},
  [343] = {.lex_state = 155},
  [344] = {.lex_state = 112},
  [345] = {.lex_state = 155},
  [346] = {.lex_state = 155},
  [347] = {.lex_state = 155},
  [348] = {.lex_state = 169},
  [349] = {.lex_state = 155},
  [350] = {.lex_state = 155},
  [351] = {.lex_state = 155},
  [352] = {.lex_state = 169},
  [353] = {.lex_state = 155},
  [354] = {.lex_state = 155},
  [355] = {.lex_state = 155},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 147},
  [358] = {.lex_state = 173},
  [359] = {.lex_state = 0},
  [360] = {.lex_state = 124},
  [361] = {.lex_state = 124},
  [362] = {.lex_state = 124},
  [363] = {.lex_state = 124},
  [364] = {.lex_state = 124},
  [365] = {.lex_state = 124},
  [366] = {.lex_state = 135},
  [367] = {.lex_state = 135},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 169},
  [370] = {.lex_state = 171},
  [371] = {.lex_state = 124},
  [372] = {.lex_state = 173},
  [373] = {.lex_state = 170},
  [374] = {.lex_state = 170},
  [375] = {.lex_state = 170},
  [376] = {.lex_state = 147},
  [377] = {.lex_state = 172},
  [378] = {.lex_state = 147},
  [379] = {.lex_state = 172},
  [380] = {.lex_state = 171},
  [381] = {.lex_state = 174},
  [382] = {.lex_state = 171},
  [383] = {.lex_state = 172},
  [384] = {.lex_state = 147},
  [385] = {.lex_state = 147},
  [386] = {.lex_state = 173},
  [387] = {.lex_state = 172},
  [388] = {.lex_state = 147},
  [389] = {.lex_state = 172},
  [390] = {.lex_state = 172},
  [391] = {.lex_state = 172},
  [392] = {.lex_state = 172},
  [393] = {.lex_state = 172},
  [394] = {.lex_state = 172},
  [395] = {.lex_state = 0},
  [396] = {.lex_state = 124},
  [397] = {.lex_state = 124},
  [398] = {.lex_state = 124},
  [399] = {.lex_state = 124},
  [400] = {.lex_state = 124},
  [401] = {.lex_state = 124},
  [402] = {.lex_state = 172},
  [403] = {.lex_state = 172},
  [404] = {.lex_state = 172},
  [405] = {.lex_state = 147},
  [406] = {.lex_state = 147},
  [407] = {.lex_state = 134},
  [408] = {.lex_state = 134},
  [409] = {.lex_state = 134},
  [410] = {.lex_state = 176},
  [411] = {.lex_state = 124},
  [412] = {.lex_state = 124},
  [413] = {.lex_state = 124},
  [414] = {.lex_state = 124},
  [415] = {.lex_state = 124},
  [416] = {.lex_state = 124},
  [417] = {.lex_state = 124},
  [418] = {.lex_state = 124},
  [419] = {.lex_state = 170},
  [420] = {.lex_state = 170},
  [421] = {.lex_state = 133},
  [422] = {.lex_state = 124},
  [423] = {.lex_state = 0},
  [424] = {.lex_state = 0},
  [425] = {.lex_state = 124},
  [426] = {.lex_state = 170},
  [427] = {.lex_state = 0},
  [428] = {.lex_state = 0},
  [429] = {.lex_state = 170},
  [430] = {.lex_state = 0},
  [431] = {.lex_state = 133},
  [432] = {.lex_state = 133},
  [433] = {.lex_state = 135},
  [434] = {.lex_state = 133},
  [435] = {.lex_state = 133},
  [436] = {.lex_state = 133},
  [437] = {.lex_state = 176},
  [438] = {.lex_state = 176},
  [439] = {.lex_state = 176},
  [440] = {.lex_state = 124},
  [441] = {.lex_state = 135},
  [442] = {.lex_state = 135},
  [443] = {.lex_state = 133},
  [444] = {.lex_state = 135},
  [445] = {.lex_state = 178},
  [446] = {.lex_state = 124},
  [447] = {.lex_state = 133},
  [448] = {.lex_state = 124},
  [449] = {.lex_state = 124},
  [450] = {.lex_state = 124},
  [451] = {.lex_state = 124},
  [452] = {.lex_state = 124},
  [453] = {.lex_state = 124},
  [454] = {.lex_state = 124},
  [455] = {.lex_state = 124},
  [456] = {.lex_state = 124},
  [457] = {.lex_state = 124},
  [458] = {.lex_state = 124},
  [459] = {.lex_state = 124},
  [460] = {.lex_state = 124},
  [461] = {.lex_state = 176},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 176},
  [464] = {.lex_state = 133},
  [465] = {.lex_state = 133},
  [466] = {.lex_state = 147},
  [467] = {.lex_state = 124},
  [468] = {.lex_state = 174},
  [469] = {.lex_state = 174},
  [470] = {.lex_state = 168},
  [471] = {.lex_state = 174},
  [472] = {.lex_state = 171},
  [473] = {.lex_state = 124},
  [474] = {.lex_state = 124},
  [475] = {.lex_state = 124},
  [476] = {.lex_state = 124},
  [477] = {.lex_state = 124},
  [478] = {.lex_state = 124},
  [479] = {.lex_state = 124},
  [480] = {.lex_state = 124},
  [481] = {.lex_state = 124},
  [482] = {.lex_state = 124},
  [483] = {.lex_state = 124},
  [484] = {.lex_state = 124},
  [485] = {.lex_state = 171},
  [486] = {.lex_state = 171},
  [487] = {.lex_state = 133},
  [488] = {.lex_state = 176},
  [489] = {.lex_state = 124},
  [490] = {.lex_state = 0},
  [491] = {.lex_state = 135},
  [492] = {.lex_state = 135},
  [493] = {.lex_state = 124},
  [494] = {.lex_state = 172},
  [495] = {.lex_state = 149},
  [496] = {.lex_state = 172},
  [497] = {.lex_state = 167},
  [498] = {.lex_state = 134},
  [499] = {.lex_state = 167},
  [500] = {.lex_state = 134},
  [501] = {.lex_state = 155},
  [502] = {.lex_state = 134},
  [503] = {.lex_state = 155},
  [504] = {.lex_state = 134},
  [505] = {.lex_state = 155},
  [506] = {.lex_state = 112},
  [507] = {.lex_state = 152},
  [508] = {.lex_state = 149},
  [509] = {.lex_state = 152},
  [510] = {.lex_state = 155},
  [511] = {.lex_state = 134},
  [512] = {.lex_state = 152},
  [513] = {.lex_state = 155},
  [514] = {.lex_state = 134},
  [515] = {.lex_state = 152},
  [516] = {.lex_state = 155},
  [517] = {.lex_state = 134},
  [518] = {.lex_state = 167},
  [519] = {.lex_state = 135},
  [520] = {.lex_state = 0},
  [521] = {.lex_state = 133},
  [522] = {.lex_state = 152},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 152},
  [525] = {.lex_state = 133},
  [526] = {.lex_state = 152},
  [527] = {.lex_state = 135},
  [528] = {.lex_state = 155},
  [529] = {.lex_state = 134},
  [530] = {.lex_state = 134},
  [531] = {.lex_state = 135},
  [532] = {.lex_state = 134},
  [533] = {.lex_state = 133},
  [534] = {.lex_state = 134},
  [535] = {.lex_state = 133},
  [536] = {.lex_state = 134},
  [537] = {.lex_state = 168},
  [538] = {.lex_state = 174},
  [539] = {.lex_state = 147},
  [540] = {.lex_state = 124},
  [541] = {.lex_state = 135},
  [542] = {.lex_state = 135},
  [543] = {.lex_state = 124},
  [544] = {.lex_state = 124},
  [545] = {.lex_state = 124},
  [546] = {.lex_state = 124},
  [547] = {.lex_state = 124},
  [548] = {.lex_state = 124},
  [549] = {.lex_state = 124},
  [550] = {.lex_state = 124},
  [551] = {.lex_state = 124},
  [552] = {.lex_state = 124},
  [553] = {.lex_state = 124},
  [554] = {.lex_state = 124},
  [555] = {.lex_state = 124},
  [556] = {.lex_state = 0},
  [557] = {.lex_state = 155},
  [558] = {.lex_state = 155},
  [559] = {.lex_state = 169},
  [560] = {.lex_state = 169},
  [561] = {.lex_state = 169},
  [562] = {.lex_state = 155},
  [563] = {.lex_state = 155},
  [564] = {.lex_state = 155},
  [565] = {.lex_state = 169},
  [566] = {.lex_state = 169},
  [567] = {.lex_state = 169},
  [568] = {.lex_state = 155},
  [569] = {.lex_state = 155},
  [570] = {.lex_state = 169},
  [571] = {.lex_state = 169},
  [572] = {.lex_state = 169},
  [573] = {.lex_state = 155},
  [574] = {.lex_state = 155},
  [575] = {.lex_state = 0},
  [576] = {.lex_state = 173},
  [577] = {.lex_state = 173},
  [578] = {.lex_state = 147},
  [579] = {.lex_state = 124},
  [580] = {.lex_state = 135},
  [581] = {.lex_state = 135},
  [582] = {.lex_state = 169},
  [583] = {.lex_state = 124},
  [584] = {.lex_state = 124},
  [585] = {.lex_state = 124},
  [586] = {.lex_state = 124},
  [587] = {.lex_state = 124},
  [588] = {.lex_state = 124},
  [589] = {.lex_state = 124},
  [590] = {.lex_state = 124},
  [591] = {.lex_state = 124},
  [592] = {.lex_state = 124},
  [593] = {.lex_state = 124},
  [594] = {.lex_state = 124},
  [595] = {.lex_state = 170},
  [596] = {.lex_state = 173},
  [597] = {.lex_state = 171},
  [598] = {.lex_state = 174},
  [599] = {.lex_state = 135},
  [600] = {.lex_state = 124},
  [601] = {.lex_state = 170},
  [602] = {.lex_state = 172},
  [603] = {.lex_state = 172},
  [604] = {.lex_state = 147},
  [605] = {.lex_state = 172},
  [606] = {.lex_state = 174},
  [607] = {.lex_state = 171},
  [608] = {.lex_state = 172},
  [609] = {.lex_state = 173},
  [610] = {.lex_state = 172},
  [611] = {.lex_state = 147},
  [612] = {.lex_state = 172},
  [613] = {.lex_state = 172},
  [614] = {.lex_state = 172},
  [615] = {.lex_state = 172},
  [616] = {.lex_state = 147},
  [617] = {.lex_state = 124},
  [618] = {.lex_state = 172},
  [619] = {.lex_state = 172},
  [620] = {.lex_state = 124},
  [621] = {.lex_state = 176},
  [622] = {.lex_state = 124},
  [623] = {.lex_state = 124},
  [624] = {.lex_state = 124},
  [625] = {.lex_state = 124},
  [626] = {.lex_state = 124},
  [627] = {.lex_state = 124},
  [628] = {.lex_state = 124},
  [629] = {.lex_state = 124},
  [630] = {.lex_state = 124},
  [631] = {.lex_state = 124},
  [632] = {.lex_state = 124},
  [633] = {.lex_state = 124},
  [634] = {.lex_state = 124},
  [635] = {.lex_state = 112},
  [636] = {.lex_state = 133},
  [637] = {.lex_state = 0},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 152},
  [640] = {.lex_state = 112},
  [641] = {.lex_state = 134},
  [642] = {.lex_state = 0},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 124},
  [645] = {.lex_state = 170},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 133},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 133},
  [650] = {.lex_state = 133},
  [651] = {.lex_state = 133},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 170},
  [654] = {.lex_state = 134},
  [655] = {.lex_state = 134},
  [656] = {.lex_state = 155},
  [657] = {.lex_state = 155},
  [658] = {.lex_state = 133},
  [659] = {.lex_state = 135},
  [660] = {.lex_state = 133},
  [661] = {.lex_state = 134},
  [662] = {.lex_state = 133},
  [663] = {.lex_state = 155},
  [664] = {.lex_state = 155},
  [665] = {.lex_state = 134},
  [666] = {.lex_state = 133},
  [667] = {.lex_state = 155},
  [668] = {.lex_state = 155},
  [669] = {.lex_state = 134},
  [670] = {.lex_state = 124},
  [671] = {.lex_state = 124},
  [672] = {.lex_state = 124},
  [673] = {.lex_state = 124},
  [674] = {.lex_state = 124},
  [675] = {.lex_state = 124},
  [676] = {.lex_state = 172},
  [677] = {.lex_state = 172},
  [678] = {.lex_state = 172},
  [679] = {.lex_state = 147},
  [680] = {.lex_state = 124},
  [681] = {.lex_state = 170},
  [682] = {.lex_state = 170},
  [683] = {.lex_state = 124},
  [684] = {.lex_state = 124},
  [685] = {.lex_state = 133},
  [686] = {.lex_state = 124},
  [687] = {.lex_state = 124},
  [688] = {.lex_state = 124},
  [689] = {.lex_state = 124},
  [690] = {.lex_state = 124},
  [691] = {.lex_state = 124},
  [692] = {.lex_state = 124},
  [693] = {.lex_state = 124},
  [694] = {.lex_state = 124},
  [695] = {.lex_state = 124},
  [696] = {.lex_state = 170},
  [697] = {.lex_state = 133},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 172},
  [700] = {.lex_state = 124},
  [701] = {.lex_state = 124},
  [702] = {.lex_state = 170},
  [703] = {.lex_state = 133},
  [704] = {.lex_state = 124},
  [705] = {.lex_state = 133},
  [706] = {.lex_state = 133},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 133},
  [709] = {.lex_state = 135},
  [710] = {.lex_state = 135},
  [711] = {.lex_state = 133},
  [712] = {.lex_state = 133},
  [713] = {.lex_state = 147},
  [714] = {.lex_state = 135},
  [715] = {.lex_state = 170},
  [716] = {.lex_state = 133},
  [717] = {.lex_state = 176},
  [718] = {.lex_state = 172},
  [719] = {.lex_state = 135},
  [720] = {.lex_state = 168},
  [721] = {.lex_state = 176},
  [722] = {.lex_state = 174},
  [723] = {.lex_state = 135},
  [724] = {.lex_state = 170},
  [725] = {.lex_state = 135},
  [726] = {.lex_state = 135},
  [727] = {.lex_state = 135},
  [728] = {.lex_state = 135},
  [729] = {.lex_state = 135},
  [730] = {.lex_state = 135},
  [731] = {.lex_state = 135},
  [732] = {.lex_state = 135},
  [733] = {.lex_state = 135},
  [734] = {.lex_state = 176},
  [735] = {.lex_state = 124},
  [736] = {.lex_state = 147},
  [737] = {.lex_state = 174},
  [738] = {.lex_state = 168},
  [739] = {.lex_state = 171},
  [740] = {.lex_state = 174},
  [741] = {.lex_state = 170},
  [742] = {.lex_state = 174},
  [743] = {.lex_state = 174},
  [744] = {.lex_state = 174},
  [745] = {.lex_state = 174},
  [746] = {.lex_state = 174},
  [747] = {.lex_state = 174},
  [748] = {.lex_state = 174},
  [749] = {.lex_state = 174},
  [750] = {.lex_state = 174},
  [751] = {.lex_state = 171},
  [752] = {.lex_state = 176},
  [753] = {.lex_state = 174},
  [754] = {.lex_state = 124},
  [755] = {.lex_state = 175},
  [756] = {.lex_state = 135},
  [757] = {.lex_state = 124},
  [758] = {.lex_state = 124},
  [759] = {.lex_state = 134},
  [760] = {.lex_state = 134},
  [761] = {.lex_state = 134},
  [762] = {.lex_state = 134},
  [763] = {.lex_state = 134},
  [764] = {.lex_state = 167},
  [765] = {.lex_state = 152},
  [766] = {.lex_state = 167},
  [767] = {.lex_state = 152},
  [768] = {.lex_state = 155},
  [769] = {.lex_state = 152},
  [770] = {.lex_state = 155},
  [771] = {.lex_state = 152},
  [772] = {.lex_state = 155},
  [773] = {.lex_state = 152},
  [774] = {.lex_state = 152},
  [775] = {.lex_state = 135},
  [776] = {.lex_state = 152},
  [777] = {.lex_state = 133},
  [778] = {.lex_state = 152},
  [779] = {.lex_state = 133},
  [780] = {.lex_state = 152},
  [781] = {.lex_state = 134},
  [782] = {.lex_state = 134},
  [783] = {.lex_state = 134},
  [784] = {.lex_state = 168},
  [785] = {.lex_state = 124},
  [786] = {.lex_state = 147},
  [787] = {.lex_state = 135},
  [788] = {.lex_state = 135},
  [789] = {.lex_state = 170},
  [790] = {.lex_state = 135},
  [791] = {.lex_state = 135},
  [792] = {.lex_state = 135},
  [793] = {.lex_state = 135},
  [794] = {.lex_state = 135},
  [795] = {.lex_state = 135},
  [796] = {.lex_state = 135},
  [797] = {.lex_state = 135},
  [798] = {.lex_state = 135},
  [799] = {.lex_state = 155},
  [800] = {.lex_state = 155},
  [801] = {.lex_state = 155},
  [802] = {.lex_state = 155},
  [803] = {.lex_state = 169},
  [804] = {.lex_state = 169},
  [805] = {.lex_state = 169},
  [806] = {.lex_state = 169},
  [807] = {.lex_state = 169},
  [808] = {.lex_state = 169},
  [809] = {.lex_state = 124},
  [810] = {.lex_state = 147},
  [811] = {.lex_state = 135},
  [812] = {.lex_state = 135},
  [813] = {.lex_state = 170},
  [814] = {.lex_state = 135},
  [815] = {.lex_state = 135},
  [816] = {.lex_state = 135},
  [817] = {.lex_state = 135},
  [818] = {.lex_state = 135},
  [819] = {.lex_state = 135},
  [820] = {.lex_state = 135},
  [821] = {.lex_state = 135},
  [822] = {.lex_state = 135},
  [823] = {.lex_state = 173},
  [824] = {.lex_state = 174},
  [825] = {.lex_state = 169},
  [826] = {.lex_state = 135},
  [827] = {.lex_state = 172},
  [828] = {.lex_state = 174},
  [829] = {.lex_state = 147},
  [830] = {.lex_state = 172},
  [831] = {.lex_state = 124},
  [832] = {.lex_state = 147},
  [833] = {.lex_state = 172},
  [834] = {.lex_state = 172},
  [835] = {.lex_state = 172},
  [836] = {.lex_state = 170},
  [837] = {.lex_state = 172},
  [838] = {.lex_state = 172},
  [839] = {.lex_state = 172},
  [840] = {.lex_state = 172},
  [841] = {.lex_state = 172},
  [842] = {.lex_state = 172},
  [843] = {.lex_state = 172},
  [844] = {.lex_state = 172},
  [845] = {.lex_state = 172},
  [846] = {.lex_state = 176},
  [847] = {.lex_state = 176},
  [848] = {.lex_state = 134},
  [849] = {.lex_state = 134},
  [850] = {.lex_state = 134},
  [851] = {.lex_state = 112},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 152},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 124},
  [858] = {.lex_state = 170},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 133},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 133},
  [863] = {.lex_state = 133},
  [864] = {.lex_state = 133},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 170},
  [867] = {.lex_state = 152},
  [868] = {.lex_state = 152},
  [869] = {.lex_state = 133},
  [870] = {.lex_state = 135},
  [871] = {.lex_state = 133},
  [872] = {.lex_state = 152},
  [873] = {.lex_state = 134},
  [874] = {.lex_state = 124},
  [875] = {.lex_state = 124},
  [876] = {.lex_state = 170},
  [877] = {.lex_state = 133},
  [878] = {.lex_state = 124},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 133},
  [881] = {.lex_state = 134},
  [882] = {.lex_state = 135},
  [883] = {.lex_state = 134},
  [884] = {.lex_state = 134},
  [885] = {.lex_state = 133},
  [886] = {.lex_state = 133},
  [887] = {.lex_state = 133},
  [888] = {.lex_state = 133},
  [889] = {.lex_state = 135},
  [890] = {.lex_state = 134},
  [891] = {.lex_state = 133},
  [892] = {.lex_state = 155},
  [893] = {.lex_state = 155},
  [894] = {.lex_state = 134},
  [895] = {.lex_state = 133},
  [896] = {.lex_state = 133},
  [897] = {.lex_state = 133},
  [898] = {.lex_state = 155},
  [899] = {.lex_state = 155},
  [900] = {.lex_state = 133},
  [901] = {.lex_state = 133},
  [902] = {.lex_state = 133},
  [903] = {.lex_state = 155},
  [904] = {.lex_state = 155},
  [905] = {.lex_state = 147},
  [906] = {.lex_state = 124},
  [907] = {.lex_state = 172},
  [908] = {.lex_state = 172},
  [909] = {.lex_state = 133},
  [910] = {.lex_state = 124},
  [911] = {.lex_state = 124},
  [912] = {.lex_state = 124},
  [913] = {.lex_state = 124},
  [914] = {.lex_state = 124},
  [915] = {.lex_state = 124},
  [916] = {.lex_state = 124},
  [917] = {.lex_state = 124},
  [918] = {.lex_state = 124},
  [919] = {.lex_state = 124},
  [920] = {.lex_state = 124},
  [921] = {.lex_state = 124},
  [922] = {.lex_state = 133},
  [923] = {.lex_state = 124},
  [924] = {.lex_state = 147},
  [925] = {.lex_state = 170},
  [926] = {.lex_state = 170},
  [927] = {.lex_state = 133},
  [928] = {.lex_state = 170},
  [929] = {.lex_state = 170},
  [930] = {.lex_state = 170},
  [931] = {.lex_state = 170},
  [932] = {.lex_state = 170},
  [933] = {.lex_state = 170},
  [934] = {.lex_state = 170},
  [935] = {.lex_state = 170},
  [936] = {.lex_state = 170},
  [937] = {.lex_state = 170},
  [938] = {.lex_state = 133},
  [939] = {.lex_state = 172},
  [940] = {.lex_state = 172},
  [941] = {.lex_state = 133},
  [942] = {.lex_state = 170},
  [943] = {.lex_state = 172},
  [944] = {.lex_state = 133},
  [945] = {.lex_state = 135},
  [946] = {.lex_state = 124},
  [947] = {.lex_state = 178},
  [948] = {.lex_state = 135},
  [949] = {.lex_state = 133},
  [950] = {.lex_state = 135},
  [951] = {.lex_state = 124},
  [952] = {.lex_state = 176},
  [953] = {.lex_state = 172},
  [954] = {.lex_state = 176},
  [955] = {.lex_state = 124},
  [956] = {.lex_state = 174},
  [957] = {.lex_state = 124},
  [958] = {.lex_state = 124},
  [959] = {.lex_state = 176},
  [960] = {.lex_state = 135},
  [961] = {.lex_state = 135},
  [962] = {.lex_state = 175},
  [963] = {.lex_state = 135},
  [964] = {.lex_state = 135},
  [965] = {.lex_state = 135},
  [966] = {.lex_state = 152},
  [967] = {.lex_state = 152},
  [968] = {.lex_state = 152},
  [969] = {.lex_state = 152},
  [970] = {.lex_state = 152},
  [971] = {.lex_state = 152},
  [972] = {.lex_state = 152},
  [973] = {.lex_state = 152},
  [974] = {.lex_state = 135},
  [975] = {.lex_state = 124},
  [976] = {.lex_state = 155},
  [977] = {.lex_state = 155},
  [978] = {.lex_state = 135},
  [979] = {.lex_state = 124},
  [980] = {.lex_state = 173},
  [981] = {.lex_state = 169},
  [982] = {.lex_state = 172},
  [983] = {.lex_state = 147},
  [984] = {.lex_state = 172},
  [985] = {.lex_state = 124},
  [986] = {.lex_state = 134},
  [987] = {.lex_state = 155},
  [988] = {.lex_state = 155},
  [989] = {.lex_state = 134},
  [990] = {.lex_state = 134},
  [991] = {.lex_state = 155},
  [992] = {.lex_state = 155},
  [993] = {.lex_state = 134},
  [994] = {.lex_state = 134},
  [995] = {.lex_state = 155},
  [996] = {.lex_state = 155},
  [997] = {.lex_state = 134},
  [998] = {.lex_state = 134},
  [999] = {.lex_state = 134},
  [1000] = {.lex_state = 134},
  [1001] = {.lex_state = 124},
  [1002] = {.lex_state = 124},
  [1003] = {.lex_state = 170},
  [1004] = {.lex_state = 133},
  [1005] = {.lex_state = 124},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 133},
  [1008] = {.lex_state = 152},
  [1009] = {.lex_state = 135},
  [1010] = {.lex_state = 152},
  [1011] = {.lex_state = 152},
  [1012] = {.lex_state = 133},
  [1013] = {.lex_state = 133},
  [1014] = {.lex_state = 135},
  [1015] = {.lex_state = 152},
  [1016] = {.lex_state = 152},
  [1017] = {.lex_state = 155},
  [1018] = {.lex_state = 155},
  [1019] = {.lex_state = 134},
  [1020] = {.lex_state = 172},
  [1021] = {.lex_state = 172},
  [1022] = {.lex_state = 133},
  [1023] = {.lex_state = 170},
  [1024] = {.lex_state = 134},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 172},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 133},
  [1029] = {.lex_state = 135},
  [1030] = {.lex_state = 134},
  [1031] = {.lex_state = 134},
  [1032] = {.lex_state = 170},
  [1033] = {.lex_state = 134},
  [1034] = {.lex_state = 133},
  [1035] = {.lex_state = 133},
  [1036] = {.lex_state = 133},
  [1037] = {.lex_state = 133},
  [1038] = {.lex_state = 133},
  [1039] = {.lex_state = 133},
  [1040] = {.lex_state = 124},
  [1041] = {.lex_state = 147},
  [1042] = {.lex_state = 172},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 124},
  [1046] = {.lex_state = 170},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 170},
  [1050] = {.lex_state = 133},
  [1051] = {.lex_state = 172},
  [1052] = {.lex_state = 170},
  [1053] = {.lex_state = 172},
  [1054] = {.lex_state = 172},
  [1055] = {.lex_state = 172},
  [1056] = {.lex_state = 172},
  [1057] = {.lex_state = 172},
  [1058] = {.lex_state = 172},
  [1059] = {.lex_state = 172},
  [1060] = {.lex_state = 172},
  [1061] = {.lex_state = 172},
  [1062] = {.lex_state = 133},
  [1063] = {.lex_state = 170},
  [1064] = {.lex_state = 124},
  [1065] = {.lex_state = 133},
  [1066] = {.lex_state = 133},
  [1067] = {.lex_state = 133},
  [1068] = {.lex_state = 133},
  [1069] = {.lex_state = 178},
  [1070] = {.lex_state = 135},
  [1071] = {.lex_state = 133},
  [1072] = {.lex_state = 172},
  [1073] = {.lex_state = 133},
  [1074] = {.lex_state = 172},
  [1075] = {.lex_state = 178},
  [1076] = {.lex_state = 135},
  [1077] = {.lex_state = 172},
  [1078] = {.lex_state = 176},
  [1079] = {.lex_state = 172},
  [1080] = {.lex_state = 135},
  [1081] = {.lex_state = 174},
  [1082] = {.lex_state = 176},
  [1083] = {.lex_state = 124},
  [1084] = {.lex_state = 135},
  [1085] = {.lex_state = 135},
  [1086] = {.lex_state = 172},
  [1087] = {.lex_state = 134},
  [1088] = {.lex_state = 134},
  [1089] = {.lex_state = 134},
  [1090] = {.lex_state = 155},
  [1091] = {.lex_state = 155},
  [1092] = {.lex_state = 134},
  [1093] = {.lex_state = 134},
  [1094] = {.lex_state = 134},
  [1095] = {.lex_state = 155},
  [1096] = {.lex_state = 155},
  [1097] = {.lex_state = 134},
  [1098] = {.lex_state = 134},
  [1099] = {.lex_state = 134},
  [1100] = {.lex_state = 155},
  [1101] = {.lex_state = 155},
  [1102] = {.lex_state = 152},
  [1103] = {.lex_state = 155},
  [1104] = {.lex_state = 155},
  [1105] = {.lex_state = 134},
  [1106] = {.lex_state = 152},
  [1107] = {.lex_state = 155},
  [1108] = {.lex_state = 155},
  [1109] = {.lex_state = 134},
  [1110] = {.lex_state = 152},
  [1111] = {.lex_state = 155},
  [1112] = {.lex_state = 155},
  [1113] = {.lex_state = 134},
  [1114] = {.lex_state = 172},
  [1115] = {.lex_state = 172},
  [1116] = {.lex_state = 133},
  [1117] = {.lex_state = 170},
  [1118] = {.lex_state = 152},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 172},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 133},
  [1123] = {.lex_state = 135},
  [1124] = {.lex_state = 152},
  [1125] = {.lex_state = 152},
  [1126] = {.lex_state = 170},
  [1127] = {.lex_state = 152},
  [1128] = {.lex_state = 155},
  [1129] = {.lex_state = 155},
  [1130] = {.lex_state = 133},
  [1131] = {.lex_state = 133},
  [1132] = {.lex_state = 134},
  [1133] = {.lex_state = 133},
  [1134] = {.lex_state = 124},
  [1135] = {.lex_state = 178},
  [1136] = {.lex_state = 135},
  [1137] = {.lex_state = 133},
  [1138] = {.lex_state = 172},
  [1139] = {.lex_state = 124},
  [1140] = {.lex_state = 124},
  [1141] = {.lex_state = 170},
  [1142] = {.lex_state = 133},
  [1143] = {.lex_state = 124},
  [1144] = {.lex_state = 133},
  [1145] = {.lex_state = 133},
  [1146] = {.lex_state = 133},
  [1147] = {.lex_state = 124},
  [1148] = {.lex_state = 170},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 124},
  [1152] = {.lex_state = 170},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 170},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 133},
  [1158] = {.lex_state = 172},
  [1159] = {.lex_state = 178},
  [1160] = {.lex_state = 135},
  [1161] = {.lex_state = 133},
  [1162] = {.lex_state = 133},
  [1163] = {.lex_state = 133},
  [1164] = {.lex_state = 172},
  [1165] = {.lex_state = 172},
  [1166] = {.lex_state = 178},
  [1167] = {.lex_state = 134},
  [1168] = {.lex_state = 134},
  [1169] = {.lex_state = 134},
  [1170] = {.lex_state = 134},
  [1171] = {.lex_state = 134},
  [1172] = {.lex_state = 134},
  [1173] = {.lex_state = 152},
  [1174] = {.lex_state = 152},
  [1175] = {.lex_state = 152},
  [1176] = {.lex_state = 155},
  [1177] = {.lex_state = 155},
  [1178] = {.lex_state = 152},
  [1179] = {.lex_state = 152},
  [1180] = {.lex_state = 152},
  [1181] = {.lex_state = 155},
  [1182] = {.lex_state = 155},
  [1183] = {.lex_state = 152},
  [1184] = {.lex_state = 152},
  [1185] = {.lex_state = 152},
  [1186] = {.lex_state = 155},
  [1187] = {.lex_state = 155},
  [1188] = {.lex_state = 133},
  [1189] = {.lex_state = 133},
  [1190] = {.lex_state = 152},
  [1191] = {.lex_state = 133},
  [1192] = {.lex_state = 124},
  [1193] = {.lex_state = 178},
  [1194] = {.lex_state = 135},
  [1195] = {.lex_state = 133},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 124},
  [1199] = {.lex_state = 170},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 170},
  [1203] = {.lex_state = 134},
  [1204] = {.lex_state = 134},
  [1205] = {.lex_state = 134},
  [1206] = {.lex_state = 172},
  [1207] = {.lex_state = 133},
  [1208] = {.lex_state = 172},
  [1209] = {.lex_state = 178},
  [1210] = {.lex_state = 135},
  [1211] = {.lex_state = 172},
  [1212] = {.lex_state = 172},
  [1213] = {.lex_state = 133},
  [1214] = {.lex_state = 170},
  [1215] = {.lex_state = 172},
  [1216] = {.lex_state = 133},
  [1217] = {.lex_state = 135},
  [1218] = {.lex_state = 133},
  [1219] = {.lex_state = 172},
  [1220] = {.lex_state = 124},
  [1221] = {.lex_state = 124},
  [1222] = {.lex_state = 170},
  [1223] = {.lex_state = 133},
  [1224] = {.lex_state = 124},
  [1225] = {.lex_state = 133},
  [1226] = {.lex_state = 133},
  [1227] = {.lex_state = 133},
  [1228] = {.lex_state = 133},
  [1229] = {.lex_state = 172},
  [1230] = {.lex_state = 172},
  [1231] = {.lex_state = 178},
  [1232] = {.lex_state = 133},
  [1233] = {.lex_state = 133},
  [1234] = {.lex_state = 172},
  [1235] = {.lex_state = 172},
  [1236] = {.lex_state = 152},
  [1237] = {.lex_state = 152},
  [1238] = {.lex_state = 152},
  [1239] = {.lex_state = 152},
  [1240] = {.lex_state = 152},
  [1241] = {.lex_state = 152},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 124},
  [1245] = {.lex_state = 170},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 170},
  [1249] = {.lex_state = 152},
  [1250] = {.lex_state = 152},
  [1251] = {.lex_state = 152},
  [1252] = {.lex_state = 172},
  [1253] = {.lex_state = 133},
  [1254] = {.lex_state = 172},
  [1255] = {.lex_state = 178},
  [1256] = {.lex_state = 135},
  [1257] = {.lex_state = 124},
  [1258] = {.lex_state = 124},
  [1259] = {.lex_state = 170},
  [1260] = {.lex_state = 133},
  [1261] = {.lex_state = 124},
  [1262] = {.lex_state = 133},
  [1263] = {.lex_state = 133},
  [1264] = {.lex_state = 133},
  [1265] = {.lex_state = 134},
  [1266] = {.lex_state = 134},
  [1267] = {.lex_state = 133},
  [1268] = {.lex_state = 172},
  [1269] = {.lex_state = 172},
  [1270] = {.lex_state = 178},
  [1271] = {.lex_state = 133},
  [1272] = {.lex_state = 133},
  [1273] = {.lex_state = 133},
  [1274] = {.lex_state = 178},
  [1275] = {.lex_state = 135},
  [1276] = {.lex_state = 133},
  [1277] = {.lex_state = 172},
  [1278] = {.lex_state = 172},
  [1279] = {.lex_state = 133},
  [1280] = {.lex_state = 170},
  [1281] = {.lex_state = 172},
  [1282] = {.lex_state = 133},
  [1283] = {.lex_state = 135},
  [1284] = {.lex_state = 133},
  [1285] = {.lex_state = 172},
  [1286] = {.lex_state = 172},
  [1287] = {.lex_state = 133},
  [1288] = {.lex_state = 133},
  [1289] = {.lex_state = 172},
  [1290] = {.lex_state = 124},
  [1291] = {.lex_state = 124},
  [1292] = {.lex_state = 170},
  [1293] = {.lex_state = 133},
  [1294] = {.lex_state = 124},
  [1295] = {.lex_state = 133},
  [1296] = {.lex_state = 133},
  [1297] = {.lex_state = 133},
  [1298] = {.lex_state = 152},
  [1299] = {.lex_state = 152},
  [1300] = {.lex_state = 133},
  [1301] = {.lex_state = 172},
  [1302] = {.lex_state = 172},
  [1303] = {.lex_state = 178},
  [1304] = {.lex_state = 172},
  [1305] = {.lex_state = 172},
  [1306] = {.lex_state = 133},
  [1307] = {.lex_state = 170},
  [1308] = {.lex_state = 172},
  [1309] = {.lex_state = 133},
  [1310] = {.lex_state = 135},
  [1311] = {.lex_state = 134},
  [1312] = {.lex_state = 134},
  [1313] = {.lex_state = 133},
  [1314] = {.lex_state = 172},
  [1315] = {.lex_state = 172},
  [1316] = {.lex_state = 133},
  [1317] = {.lex_state = 133},
  [1318] = {.lex_state = 172},
  [1319] = {.lex_state = 178},
  [1320] = {.lex_state = 135},
  [1321] = {.lex_state = 133},
  [1322] = {.lex_state = 133},
  [1323] = {.lex_state = 133},
  [1324] = {.lex_state = 178},
  [1325] = {.lex_state = 135},
  [1326] = {.lex_state = 133},
  [1327] = {.lex_state = 133},
  [1328] = {.lex_state = 172},
  [1329] = {.lex_state = 133},
  [1330] = {.lex_state = 133},
  [1331] = {.lex_state = 172},
  [1332] = {.lex_state = 172},
  [1333] = {.lex_state = 133},
  [1334] = {.lex_state = 170},
  [1335] = {.lex_state = 172},
  [1336] = {.lex_state = 133},
  [1337] = {.lex_state = 135},
  [1338] = {.lex_state = 152},
  [1339] = {.lex_state = 152},
  [1340] = {.lex_state = 133},
  [1341] = {.lex_state = 172},
  [1342] = {.lex_state = 172},
  [1343] = {.lex_state = 133},
  [1344] = {.lex_state = 133},
  [1345] = {.lex_state = 133},
  [1346] = {.lex_state = 178},
  [1347] = {.lex_state = 135},
  [1348] = {.lex_state = 133},
  [1349] = {.lex_state = 134},
  [1350] = {.lex_state = 133},
  [1351] = {.lex_state = 172},
  [1352] = {.lex_state = 133},
  [1353] = {.lex_state = 133},
  [1354] = {.lex_state = 172},
  [1355] = {.lex_state = 172},
  [1356] = {.lex_state = 178},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 133},
  [1359] = {.lex_state = 172},
  [1360] = {.lex_state = 178},
  [1361] = {.lex_state = 135},
  [1362] = {.lex_state = 133},
  [1363] = {.lex_state = 133},
  [1364] = {.lex_state = 133},
  [1365] = {.lex_state = 133},
  [1366] = {.lex_state = 133},
  [1367] = {.lex_state = 178},
  [1368] = {.lex_state = 135},
  [1369] = {.lex_state = 133},
  [1370] = {.lex_state = 152},
  [1371] = {.lex_state = 133},
  [1372] = {.lex_state = 172},
  [1373] = {.lex_state = 134},
  [1374] = {.lex_state = 133},
  [1375] = {.lex_state = 172},
  [1376] = {.lex_state = 178},
  [1377] = {.lex_state = 135},
  [1378] = {.lex_state = 134},
  [1379] = {.lex_state = 133},
  [1380] = {.lex_state = 133},
  [1381] = {.lex_state = 172},
  [1382] = {.lex_state = 172},
  [1383] = {.lex_state = 133},
  [1384] = {.lex_state = 133},
  [1385] = {.lex_state = 172},
  [1386] = {.lex_state = 172},
  [1387] = {.lex_state = 178},
  [1388] = {.lex_state = 152},
  [1389] = {.lex_state = 133},
  [1390] = {.lex_state = 172},
  [1391] = {.lex_state = 178},
  [1392] = {.lex_state = 135},
  [1393] = {.lex_state = 152},
  [1394] = {.lex_state = 133},
  [1395] = {.lex_state = 133},
  [1396] = {.lex_state = 133},
  [1397] = {.lex_state = 172},
  [1398] = {.lex_state = 172},
  [1399] = {.lex_state = 178},
  [1400] = {.lex_state = 134},
  [1401] = {.lex_state = 133},
  [1402] = {.lex_state = 172},
  [1403] = {.lex_state = 133},
  [1404] = {.lex_state = 172},
  [1405] = {.lex_state = 172},
  [1406] = {.lex_state = 133},
  [1407] = {.lex_state = 133},
  [1408] = {.lex_state = 172},
  [1409] = {.lex_state = 172},
  [1410] = {.lex_state = 178},
  [1411] = {.lex_state = 152},
  [1412] = {.lex_state = 133},
  [1413] = {.lex_state = 172},
  [1414] = {.lex_state = 172},
  [1415] = {.lex_state = 133},
  [1416] = {.lex_state = 133},
  [1417] = {.lex_state = 172},
  [1418] = {.lex_state = 133},
  [1419] = {.lex_state = 172},
  [1420] = {.lex_state = 172},
  [1421] = {.lex_state = 133},
  [1422] = {.lex_state = 172},
  [1423] = {.lex_state = 133},
  [1424] = {.lex_state = 133},
  [1425] = {.lex_state = 172},
  [1426] = {.lex_state = 133},
  [1427] = {.lex_state = 133},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3),
    [sym_preproc_directive] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(3),
    [anon_sym_extern] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3),
    [anon_sym_auto] = ACTIONS(3),
    [anon_sym_register] = ACTIONS(3),
    [anon_sym_inline] = ACTIONS(3),
    [anon_sym_const] = ACTIONS(3),
    [anon_sym_restrict] = ACTIONS(3),
    [anon_sym_volatile] = ACTIONS(3),
    [anon_sym__Atomic] = ACTIONS(3),
    [anon_sym_unsigned] = ACTIONS(3),
    [anon_sym_long] = ACTIONS(3),
    [anon_sym_short] = ACTIONS(3),
    [sym_primitive_type] = ACTIONS(3),
    [anon_sym_enum] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(3),
    [anon_sym_union] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(3),
    [anon_sym_else] = ACTIONS(3),
    [anon_sym_switch] = ACTIONS(3),
    [anon_sym_case] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(3),
    [anon_sym_do] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3),
    [anon_sym_return] = ACTIONS(3),
    [anon_sym_break] = ACTIONS(3),
    [anon_sym_continue] = ACTIONS(3),
    [anon_sym_goto] = ACTIONS(3),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(3),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(3),
    [anon_sym_GT_GT] = ACTIONS(3),
    [anon_sym_PLUS] = ACTIONS(3),
    [anon_sym_DASH] = ACTIONS(3),
    [anon_sym_SLASH] = ACTIONS(3),
    [anon_sym_PERCENT] = ACTIONS(3),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(3),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [sym_char_literal] = ACTIONS(1),
    [sym_string_literal] = ACTIONS(1),
    [sym_true] = ACTIONS(3),
    [sym_false] = ACTIONS(3),
    [sym_null] = ACTIONS(3),
    [sym_identifier] = ACTIONS(3),
    [sym_comment] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(16),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(19),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(19),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(11),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(13),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(21),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [2] = {
    [sym_string_literal] = ACTIONS(41),
    [sym_system_lib_string] = ACTIONS(41),
    [sym_comment] = ACTIONS(39),
  },
  [3] = {
    [sym_identifier] = ACTIONS(43),
    [sym_comment] = ACTIONS(39),
  },
  [4] = {
    [sym_preproc_arg] = ACTIONS(45),
    [sym_comment] = ACTIONS(47),
  },
  [5] = {
    [sym_identifier] = ACTIONS(49),
    [sym_comment] = ACTIONS(39),
  },
  [6] = {
    [sym_identifier] = ACTIONS(51),
    [sym_comment] = ACTIONS(39),
  },
  [7] = {
    [aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH] = ACTIONS(53),
    [anon_sym_LF] = ACTIONS(55),
    [sym_comment] = ACTIONS(47),
  },
  [8] = {
    [sym_type_qualifier] = STATE(30),
    [sym__type_specifier] = STATE(29),
    [sym_sized_type_specifier] = STATE(29),
    [sym_enum_specifier] = STATE(29),
    [sym_struct_specifier] = STATE(29),
    [sym_union_specifier] = STATE(29),
    [sym_macro_type_specifier] = STATE(29),
    [aux_sym_type_definition_repeat1] = STATE(30),
    [aux_sym_sized_type_specifier_repeat1] = STATE(31),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [9] = {
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_auto] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym_unsigned] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(61),
    [anon_sym_union] = ACTIONS(61),
    [sym_string_literal] = ACTIONS(63),
    [sym_identifier] = ACTIONS(61),
    [sym_comment] = ACTIONS(39),
  },
  [10] = {
    [anon_sym_LPAREN] = ACTIONS(65),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym_STAR] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_RBRACK] = ACTIONS(65),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_auto] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym_unsigned] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(61),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(65),
    [anon_sym_sizeof] = ACTIONS(61),
    [sym_number_literal] = ACTIONS(65),
    [sym_char_literal] = ACTIONS(65),
    [sym_string_literal] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_null] = ACTIONS(61),
    [sym_identifier] = ACTIONS(61),
    [sym_comment] = ACTIONS(39),
  },
  [11] = {
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(67),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_extern] = ACTIONS(69),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_RBRACK] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(69),
    [anon_sym_auto] = ACTIONS(69),
    [anon_sym_register] = ACTIONS(69),
    [anon_sym_inline] = ACTIONS(69),
    [anon_sym_const] = ACTIONS(69),
    [anon_sym_restrict] = ACTIONS(69),
    [anon_sym_volatile] = ACTIONS(69),
    [anon_sym__Atomic] = ACTIONS(69),
    [anon_sym_unsigned] = ACTIONS(69),
    [anon_sym_long] = ACTIONS(69),
    [anon_sym_short] = ACTIONS(69),
    [sym_primitive_type] = ACTIONS(69),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(69),
    [anon_sym_COLON] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(67),
    [anon_sym_sizeof] = ACTIONS(69),
    [sym_number_literal] = ACTIONS(67),
    [sym_char_literal] = ACTIONS(67),
    [sym_string_literal] = ACTIONS(67),
    [sym_true] = ACTIONS(69),
    [sym_false] = ACTIONS(69),
    [sym_null] = ACTIONS(69),
    [sym_identifier] = ACTIONS(69),
    [sym_comment] = ACTIONS(39),
  },
  [12] = {
    [sym_enumerator_list] = STATE(35),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_identifier] = ACTIONS(73),
    [sym_comment] = ACTIONS(39),
  },
  [13] = {
    [sym_field_declaration_list] = STATE(38),
    [anon_sym_LBRACE] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_comment] = ACTIONS(39),
  },
  [14] = {
    [sym_field_declaration_list] = STATE(40),
    [anon_sym_LBRACE] = ACTIONS(75),
    [sym_identifier] = ACTIONS(79),
    [sym_comment] = ACTIONS(39),
  },
  [15] = {
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_COMMA] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(84),
    [anon_sym_SEMI] = ACTIONS(84),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(84),
    [anon_sym_RBRACK] = ACTIONS(84),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(84),
    [anon_sym_AMP] = ACTIONS(84),
    [anon_sym_BANG] = ACTIONS(84),
    [anon_sym_TILDE] = ACTIONS(84),
    [anon_sym_PLUS] = ACTIONS(86),
    [anon_sym_DASH] = ACTIONS(86),
    [anon_sym_DASH_DASH] = ACTIONS(84),
    [anon_sym_PLUS_PLUS] = ACTIONS(84),
    [anon_sym_sizeof] = ACTIONS(86),
    [sym_number_literal] = ACTIONS(84),
    [sym_char_literal] = ACTIONS(84),
    [sym_string_literal] = ACTIONS(84),
    [sym_true] = ACTIONS(86),
    [sym_false] = ACTIONS(86),
    [sym_null] = ACTIONS(86),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [16] = {
    [ts_builtin_sym_end] = ACTIONS(88),
    [sym_comment] = ACTIONS(39),
  },
  [17] = {
    [sym__declarator] = STATE(45),
    [sym_pointer_declarator] = STATE(45),
    [sym_function_declarator] = STATE(45),
    [sym_array_declarator] = STATE(45),
    [sym_init_declarator] = STATE(46),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_SEMI] = ACTIONS(92),
    [anon_sym_STAR] = ACTIONS(94),
    [sym_identifier] = ACTIONS(96),
    [sym_comment] = ACTIONS(39),
  },
  [18] = {
    [sym_storage_class_specifier] = STATE(47),
    [sym_type_qualifier] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(47),
    [anon_sym_LPAREN] = ACTIONS(98),
    [anon_sym_SEMI] = ACTIONS(98),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(98),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(100),
    [sym_comment] = ACTIONS(39),
  },
  [19] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(48),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [ts_builtin_sym_end] = ACTIONS(102),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(11),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(13),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(21),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [20] = {
    [sym_storage_class_specifier] = STATE(50),
    [sym_type_qualifier] = STATE(50),
    [sym__type_specifier] = STATE(49),
    [sym_sized_type_specifier] = STATE(49),
    [sym_enum_specifier] = STATE(49),
    [sym_struct_specifier] = STATE(49),
    [sym_union_specifier] = STATE(49),
    [sym_macro_type_specifier] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(50),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(104),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [21] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(53),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_SEMI] = ACTIONS(106),
    [anon_sym_extern] = ACTIONS(108),
    [anon_sym_STAR] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(108),
    [anon_sym_auto] = ACTIONS(108),
    [anon_sym_register] = ACTIONS(108),
    [anon_sym_inline] = ACTIONS(108),
    [anon_sym_const] = ACTIONS(108),
    [anon_sym_restrict] = ACTIONS(108),
    [anon_sym_volatile] = ACTIONS(108),
    [anon_sym__Atomic] = ACTIONS(108),
    [anon_sym_unsigned] = ACTIONS(110),
    [anon_sym_long] = ACTIONS(110),
    [anon_sym_short] = ACTIONS(110),
    [sym_primitive_type] = ACTIONS(112),
    [sym_identifier] = ACTIONS(114),
    [sym_comment] = ACTIONS(39),
  },
  [22] = {
    [ts_builtin_sym_end] = ACTIONS(117),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(117),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_static] = ACTIONS(119),
    [anon_sym_auto] = ACTIONS(119),
    [anon_sym_register] = ACTIONS(119),
    [anon_sym_inline] = ACTIONS(119),
    [anon_sym_const] = ACTIONS(119),
    [anon_sym_restrict] = ACTIONS(119),
    [anon_sym_volatile] = ACTIONS(119),
    [anon_sym__Atomic] = ACTIONS(119),
    [anon_sym_unsigned] = ACTIONS(119),
    [anon_sym_long] = ACTIONS(119),
    [anon_sym_short] = ACTIONS(119),
    [sym_primitive_type] = ACTIONS(119),
    [anon_sym_enum] = ACTIONS(119),
    [anon_sym_struct] = ACTIONS(119),
    [anon_sym_union] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_switch] = ACTIONS(119),
    [anon_sym_case] = ACTIONS(119),
    [anon_sym_default] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(119),
    [anon_sym_do] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(119),
    [anon_sym_break] = ACTIONS(119),
    [anon_sym_continue] = ACTIONS(119),
    [anon_sym_goto] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(117),
    [anon_sym_PLUS] = ACTIONS(119),
    [anon_sym_DASH] = ACTIONS(119),
    [anon_sym_DASH_DASH] = ACTIONS(117),
    [anon_sym_PLUS_PLUS] = ACTIONS(117),
    [anon_sym_sizeof] = ACTIONS(119),
    [sym_number_literal] = ACTIONS(117),
    [sym_char_literal] = ACTIONS(117),
    [sym_string_literal] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [sym_null] = ACTIONS(119),
    [sym_identifier] = ACTIONS(119),
    [sym_comment] = ACTIONS(39),
  },
  [23] = {
    [sym_preproc_params] = STATE(57),
    [aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH] = ACTIONS(121),
    [anon_sym_LF] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(125),
    [sym_comment] = ACTIONS(47),
  },
  [24] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_preproc_else] = STATE(69),
    [sym_preproc_elif] = STATE(69),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(71),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(71),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(133),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [25] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_preproc_else] = STATE(73),
    [sym_preproc_elif] = STATE(73),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(74),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(74),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(149),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [26] = {
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_preproc_else] = STATE(76),
    [sym_preproc_elif] = STATE(76),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(77),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(77),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(151),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [27] = {
    [sym_preproc_arg] = ACTIONS(153),
    [sym_comment] = ACTIONS(47),
  },
  [28] = {
    [ts_builtin_sym_end] = ACTIONS(155),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(155),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(157),
    [sym_preproc_directive] = ACTIONS(157),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_typedef] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(157),
    [anon_sym_auto] = ACTIONS(157),
    [anon_sym_register] = ACTIONS(157),
    [anon_sym_inline] = ACTIONS(157),
    [anon_sym_const] = ACTIONS(157),
    [anon_sym_restrict] = ACTIONS(157),
    [anon_sym_volatile] = ACTIONS(157),
    [anon_sym__Atomic] = ACTIONS(157),
    [anon_sym_unsigned] = ACTIONS(157),
    [anon_sym_long] = ACTIONS(157),
    [anon_sym_short] = ACTIONS(157),
    [sym_primitive_type] = ACTIONS(157),
    [anon_sym_enum] = ACTIONS(157),
    [anon_sym_struct] = ACTIONS(157),
    [anon_sym_union] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_case] = ACTIONS(157),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_return] = ACTIONS(157),
    [anon_sym_break] = ACTIONS(157),
    [anon_sym_continue] = ACTIONS(157),
    [anon_sym_goto] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_sizeof] = ACTIONS(157),
    [sym_number_literal] = ACTIONS(155),
    [sym_char_literal] = ACTIONS(155),
    [sym_string_literal] = ACTIONS(155),
    [sym_true] = ACTIONS(157),
    [sym_false] = ACTIONS(157),
    [sym_null] = ACTIONS(157),
    [sym_identifier] = ACTIONS(157),
    [sym_comment] = ACTIONS(39),
  },
  [29] = {
    [sym__type_declarator] = STATE(82),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_identifier] = ACTIONS(163),
    [sym_comment] = ACTIONS(39),
  },
  [30] = {
    [sym_type_qualifier] = STATE(87),
    [sym__type_specifier] = STATE(86),
    [sym_sized_type_specifier] = STATE(86),
    [sym_enum_specifier] = STATE(86),
    [sym_struct_specifier] = STATE(86),
    [sym_union_specifier] = STATE(86),
    [sym_macro_type_specifier] = STATE(86),
    [aux_sym_type_definition_repeat1] = STATE(87),
    [aux_sym_sized_type_specifier_repeat1] = STATE(31),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(165),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [31] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(88),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_STAR] = ACTIONS(106),
    [anon_sym_unsigned] = ACTIONS(167),
    [anon_sym_long] = ACTIONS(167),
    [anon_sym_short] = ACTIONS(167),
    [sym_primitive_type] = ACTIONS(112),
    [sym_identifier] = ACTIONS(114),
    [sym_comment] = ACTIONS(39),
  },
  [32] = {
    [sym_function_definition] = STATE(90),
    [sym_declaration] = STATE(90),
    [sym__declaration_specifiers] = STATE(91),
    [sym_declaration_list] = STATE(90),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(169),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [33] = {
    [sym_enumerator] = STATE(98),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(177),
    [sym_identifier] = ACTIONS(179),
    [sym_comment] = ACTIONS(39),
  },
  [34] = {
    [sym_enumerator_list] = STATE(99),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(181),
    [anon_sym_RPAREN] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(181),
    [anon_sym_extern] = ACTIONS(183),
    [anon_sym_LBRACE] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(181),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_static] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(183),
    [anon_sym_register] = ACTIONS(183),
    [anon_sym_inline] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(183),
    [anon_sym_restrict] = ACTIONS(183),
    [anon_sym_volatile] = ACTIONS(183),
    [anon_sym__Atomic] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_AMP] = ACTIONS(181),
    [anon_sym_BANG] = ACTIONS(181),
    [anon_sym_TILDE] = ACTIONS(181),
    [anon_sym_PLUS] = ACTIONS(183),
    [anon_sym_DASH] = ACTIONS(183),
    [anon_sym_DASH_DASH] = ACTIONS(181),
    [anon_sym_PLUS_PLUS] = ACTIONS(181),
    [anon_sym_sizeof] = ACTIONS(183),
    [sym_number_literal] = ACTIONS(181),
    [sym_char_literal] = ACTIONS(181),
    [sym_string_literal] = ACTIONS(181),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_null] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_comment] = ACTIONS(39),
  },
  [35] = {
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym_RPAREN] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_extern] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(187),
    [anon_sym_auto] = ACTIONS(187),
    [anon_sym_register] = ACTIONS(187),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym_const] = ACTIONS(187),
    [anon_sym_restrict] = ACTIONS(187),
    [anon_sym_volatile] = ACTIONS(187),
    [anon_sym__Atomic] = ACTIONS(187),
    [anon_sym_COLON] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(185),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(185),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(185),
    [anon_sym_PLUS_PLUS] = ACTIONS(185),
    [anon_sym_sizeof] = ACTIONS(187),
    [sym_number_literal] = ACTIONS(185),
    [sym_char_literal] = ACTIONS(185),
    [sym_string_literal] = ACTIONS(185),
    [sym_true] = ACTIONS(187),
    [sym_false] = ACTIONS(187),
    [sym_null] = ACTIONS(187),
    [sym_identifier] = ACTIONS(187),
    [sym_comment] = ACTIONS(39),
  },
  [36] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(108),
    [sym_field_declaration] = STATE(108),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(108),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(195),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [37] = {
    [sym_field_declaration_list] = STATE(111),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_COMMA] = ACTIONS(201),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_SEMI] = ACTIONS(201),
    [anon_sym_extern] = ACTIONS(203),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(201),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_static] = ACTIONS(203),
    [anon_sym_auto] = ACTIONS(203),
    [anon_sym_register] = ACTIONS(203),
    [anon_sym_inline] = ACTIONS(203),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_restrict] = ACTIONS(203),
    [anon_sym_volatile] = ACTIONS(203),
    [anon_sym__Atomic] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(201),
    [anon_sym_AMP] = ACTIONS(201),
    [anon_sym_BANG] = ACTIONS(201),
    [anon_sym_TILDE] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_sizeof] = ACTIONS(203),
    [sym_number_literal] = ACTIONS(201),
    [sym_char_literal] = ACTIONS(201),
    [sym_string_literal] = ACTIONS(201),
    [sym_true] = ACTIONS(203),
    [sym_false] = ACTIONS(203),
    [sym_null] = ACTIONS(203),
    [sym_identifier] = ACTIONS(203),
    [sym_comment] = ACTIONS(39),
  },
  [38] = {
    [anon_sym_LPAREN] = ACTIONS(205),
    [anon_sym_COMMA] = ACTIONS(205),
    [anon_sym_RPAREN] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_extern] = ACTIONS(207),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_static] = ACTIONS(207),
    [anon_sym_auto] = ACTIONS(207),
    [anon_sym_register] = ACTIONS(207),
    [anon_sym_inline] = ACTIONS(207),
    [anon_sym_const] = ACTIONS(207),
    [anon_sym_restrict] = ACTIONS(207),
    [anon_sym_volatile] = ACTIONS(207),
    [anon_sym__Atomic] = ACTIONS(207),
    [anon_sym_COLON] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(207),
    [anon_sym_DASH] = ACTIONS(207),
    [anon_sym_DASH_DASH] = ACTIONS(205),
    [anon_sym_PLUS_PLUS] = ACTIONS(205),
    [anon_sym_sizeof] = ACTIONS(207),
    [sym_number_literal] = ACTIONS(205),
    [sym_char_literal] = ACTIONS(205),
    [sym_string_literal] = ACTIONS(205),
    [sym_true] = ACTIONS(207),
    [sym_false] = ACTIONS(207),
    [sym_null] = ACTIONS(207),
    [sym_identifier] = ACTIONS(207),
    [sym_comment] = ACTIONS(39),
  },
  [39] = {
    [sym_field_declaration_list] = STATE(112),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_COMMA] = ACTIONS(209),
    [anon_sym_RPAREN] = ACTIONS(209),
    [anon_sym_SEMI] = ACTIONS(209),
    [anon_sym_extern] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(209),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_static] = ACTIONS(211),
    [anon_sym_auto] = ACTIONS(211),
    [anon_sym_register] = ACTIONS(211),
    [anon_sym_inline] = ACTIONS(211),
    [anon_sym_const] = ACTIONS(211),
    [anon_sym_restrict] = ACTIONS(211),
    [anon_sym_volatile] = ACTIONS(211),
    [anon_sym__Atomic] = ACTIONS(211),
    [anon_sym_COLON] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(209),
    [anon_sym_PLUS_PLUS] = ACTIONS(209),
    [anon_sym_sizeof] = ACTIONS(211),
    [sym_number_literal] = ACTIONS(209),
    [sym_char_literal] = ACTIONS(209),
    [sym_string_literal] = ACTIONS(209),
    [sym_true] = ACTIONS(211),
    [sym_false] = ACTIONS(211),
    [sym_null] = ACTIONS(211),
    [sym_identifier] = ACTIONS(211),
    [sym_comment] = ACTIONS(39),
  },
  [40] = {
    [anon_sym_LPAREN] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(213),
    [anon_sym_RPAREN] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_extern] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_static] = ACTIONS(215),
    [anon_sym_auto] = ACTIONS(215),
    [anon_sym_register] = ACTIONS(215),
    [anon_sym_inline] = ACTIONS(215),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_restrict] = ACTIONS(215),
    [anon_sym_volatile] = ACTIONS(215),
    [anon_sym__Atomic] = ACTIONS(215),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(213),
    [anon_sym_PLUS_PLUS] = ACTIONS(213),
    [anon_sym_sizeof] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(213),
    [sym_char_literal] = ACTIONS(213),
    [sym_string_literal] = ACTIONS(213),
    [sym_true] = ACTIONS(215),
    [sym_false] = ACTIONS(215),
    [sym_null] = ACTIONS(215),
    [sym_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(39),
  },
  [41] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym_type_descriptor] = STATE(114),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [42] = {
    [sym__declarator] = STATE(118),
    [sym_pointer_declarator] = STATE(118),
    [sym_function_declarator] = STATE(118),
    [sym_array_declarator] = STATE(118),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(221),
    [sym_identifier] = ACTIONS(223),
    [sym_comment] = ACTIONS(39),
  },
  [43] = {
    [ts_builtin_sym_end] = ACTIONS(225),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(225),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(227),
    [sym_preproc_directive] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(225),
    [anon_sym_typedef] = ACTIONS(227),
    [anon_sym_extern] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(225),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_auto] = ACTIONS(227),
    [anon_sym_register] = ACTIONS(227),
    [anon_sym_inline] = ACTIONS(227),
    [anon_sym_const] = ACTIONS(227),
    [anon_sym_restrict] = ACTIONS(227),
    [anon_sym_volatile] = ACTIONS(227),
    [anon_sym__Atomic] = ACTIONS(227),
    [anon_sym_unsigned] = ACTIONS(227),
    [anon_sym_long] = ACTIONS(227),
    [anon_sym_short] = ACTIONS(227),
    [sym_primitive_type] = ACTIONS(227),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_struct] = ACTIONS(227),
    [anon_sym_union] = ACTIONS(227),
    [anon_sym_if] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(227),
    [anon_sym_default] = ACTIONS(227),
    [anon_sym_while] = ACTIONS(227),
    [anon_sym_do] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(227),
    [anon_sym_continue] = ACTIONS(227),
    [anon_sym_goto] = ACTIONS(227),
    [anon_sym_AMP] = ACTIONS(225),
    [anon_sym_BANG] = ACTIONS(225),
    [anon_sym_TILDE] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(225),
    [anon_sym_PLUS_PLUS] = ACTIONS(225),
    [anon_sym_sizeof] = ACTIONS(227),
    [sym_number_literal] = ACTIONS(225),
    [sym_char_literal] = ACTIONS(225),
    [sym_string_literal] = ACTIONS(225),
    [sym_true] = ACTIONS(227),
    [sym_false] = ACTIONS(227),
    [sym_null] = ACTIONS(227),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(39),
  },
  [44] = {
    [sym__declarator] = STATE(119),
    [sym_pointer_declarator] = STATE(119),
    [sym_function_declarator] = STATE(119),
    [sym_array_declarator] = STATE(119),
    [sym_type_qualifier] = STATE(120),
    [aux_sym_type_definition_repeat1] = STATE(120),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(94),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(229),
    [sym_comment] = ACTIONS(39),
  },
  [45] = {
    [sym_compound_statement] = STATE(127),
    [sym_parameter_list] = STATE(128),
    [aux_sym_declaration_repeat1] = STATE(129),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(241),
    [sym_comment] = ACTIONS(39),
  },
  [46] = {
    [aux_sym_declaration_repeat1] = STATE(129),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(235),
    [sym_comment] = ACTIONS(39),
  },
  [47] = {
    [sym_storage_class_specifier] = STATE(130),
    [sym_type_qualifier] = STATE(130),
    [aux_sym__declaration_specifiers_repeat1] = STATE(130),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_SEMI] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [48] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(48),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [ts_builtin_sym_end] = ACTIONS(247),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(249),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(252),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(255),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(258),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(261),
    [sym_preproc_directive] = ACTIONS(264),
    [anon_sym_typedef] = ACTIONS(267),
    [anon_sym_extern] = ACTIONS(270),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_auto] = ACTIONS(273),
    [anon_sym_register] = ACTIONS(273),
    [anon_sym_inline] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(276),
    [anon_sym_restrict] = ACTIONS(276),
    [anon_sym_volatile] = ACTIONS(276),
    [anon_sym__Atomic] = ACTIONS(276),
    [anon_sym_unsigned] = ACTIONS(279),
    [anon_sym_long] = ACTIONS(279),
    [anon_sym_short] = ACTIONS(279),
    [sym_primitive_type] = ACTIONS(282),
    [anon_sym_enum] = ACTIONS(285),
    [anon_sym_struct] = ACTIONS(288),
    [anon_sym_union] = ACTIONS(291),
    [sym_identifier] = ACTIONS(294),
    [sym_comment] = ACTIONS(39),
  },
  [49] = {
    [sym_storage_class_specifier] = STATE(131),
    [sym_type_qualifier] = STATE(131),
    [aux_sym__declaration_specifiers_repeat1] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_SEMI] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [50] = {
    [sym_storage_class_specifier] = STATE(50),
    [sym_type_qualifier] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(50),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym_static] = ACTIONS(297),
    [anon_sym_auto] = ACTIONS(297),
    [anon_sym_register] = ACTIONS(297),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_restrict] = ACTIONS(300),
    [anon_sym_volatile] = ACTIONS(300),
    [anon_sym__Atomic] = ACTIONS(300),
    [anon_sym_unsigned] = ACTIONS(303),
    [anon_sym_long] = ACTIONS(303),
    [anon_sym_short] = ACTIONS(303),
    [sym_primitive_type] = ACTIONS(303),
    [anon_sym_enum] = ACTIONS(303),
    [anon_sym_struct] = ACTIONS(303),
    [anon_sym_union] = ACTIONS(303),
    [sym_identifier] = ACTIONS(303),
    [sym_comment] = ACTIONS(39),
  },
  [51] = {
    [anon_sym_LPAREN] = ACTIONS(305),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_extern] = ACTIONS(307),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_static] = ACTIONS(307),
    [anon_sym_auto] = ACTIONS(307),
    [anon_sym_register] = ACTIONS(307),
    [anon_sym_inline] = ACTIONS(307),
    [anon_sym_const] = ACTIONS(307),
    [anon_sym_restrict] = ACTIONS(307),
    [anon_sym_volatile] = ACTIONS(307),
    [anon_sym__Atomic] = ACTIONS(307),
    [anon_sym_COLON] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(305),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_DASH_DASH] = ACTIONS(305),
    [anon_sym_PLUS_PLUS] = ACTIONS(305),
    [anon_sym_sizeof] = ACTIONS(307),
    [sym_number_literal] = ACTIONS(305),
    [sym_char_literal] = ACTIONS(305),
    [sym_string_literal] = ACTIONS(305),
    [sym_true] = ACTIONS(307),
    [sym_false] = ACTIONS(307),
    [sym_null] = ACTIONS(307),
    [sym_identifier] = ACTIONS(307),
    [sym_comment] = ACTIONS(39),
  },
  [52] = {
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(309),
    [anon_sym_RPAREN] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_extern] = ACTIONS(311),
    [anon_sym_STAR] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_RBRACK] = ACTIONS(309),
    [anon_sym_static] = ACTIONS(311),
    [anon_sym_auto] = ACTIONS(311),
    [anon_sym_register] = ACTIONS(311),
    [anon_sym_inline] = ACTIONS(311),
    [anon_sym_const] = ACTIONS(311),
    [anon_sym_restrict] = ACTIONS(311),
    [anon_sym_volatile] = ACTIONS(311),
    [anon_sym__Atomic] = ACTIONS(311),
    [anon_sym_COLON] = ACTIONS(309),
    [anon_sym_AMP] = ACTIONS(309),
    [anon_sym_BANG] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(309),
    [anon_sym_PLUS] = ACTIONS(311),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_DASH_DASH] = ACTIONS(309),
    [anon_sym_PLUS_PLUS] = ACTIONS(309),
    [anon_sym_sizeof] = ACTIONS(311),
    [sym_number_literal] = ACTIONS(309),
    [sym_char_literal] = ACTIONS(309),
    [sym_string_literal] = ACTIONS(309),
    [sym_true] = ACTIONS(311),
    [sym_false] = ACTIONS(311),
    [sym_null] = ACTIONS(311),
    [sym_identifier] = ACTIONS(311),
    [sym_comment] = ACTIONS(39),
  },
  [53] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(53),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_SEMI] = ACTIONS(313),
    [anon_sym_extern] = ACTIONS(315),
    [anon_sym_STAR] = ACTIONS(313),
    [anon_sym_static] = ACTIONS(315),
    [anon_sym_auto] = ACTIONS(315),
    [anon_sym_register] = ACTIONS(315),
    [anon_sym_inline] = ACTIONS(315),
    [anon_sym_const] = ACTIONS(315),
    [anon_sym_restrict] = ACTIONS(315),
    [anon_sym_volatile] = ACTIONS(315),
    [anon_sym__Atomic] = ACTIONS(315),
    [anon_sym_unsigned] = ACTIONS(317),
    [anon_sym_long] = ACTIONS(317),
    [anon_sym_short] = ACTIONS(317),
    [sym_primitive_type] = ACTIONS(315),
    [sym_identifier] = ACTIONS(315),
    [sym_comment] = ACTIONS(39),
  },
  [54] = {
    [sym_preproc_arg] = ACTIONS(320),
    [sym_comment] = ACTIONS(47),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(322),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(324),
    [anon_sym_LPAREN] = ACTIONS(322),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(324),
    [sym_preproc_directive] = ACTIONS(324),
    [anon_sym_SEMI] = ACTIONS(322),
    [anon_sym_typedef] = ACTIONS(324),
    [anon_sym_extern] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(322),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_STAR] = ACTIONS(322),
    [anon_sym_static] = ACTIONS(324),
    [anon_sym_auto] = ACTIONS(324),
    [anon_sym_register] = ACTIONS(324),
    [anon_sym_inline] = ACTIONS(324),
    [anon_sym_const] = ACTIONS(324),
    [anon_sym_restrict] = ACTIONS(324),
    [anon_sym_volatile] = ACTIONS(324),
    [anon_sym__Atomic] = ACTIONS(324),
    [anon_sym_unsigned] = ACTIONS(324),
    [anon_sym_long] = ACTIONS(324),
    [anon_sym_short] = ACTIONS(324),
    [sym_primitive_type] = ACTIONS(324),
    [anon_sym_enum] = ACTIONS(324),
    [anon_sym_struct] = ACTIONS(324),
    [anon_sym_union] = ACTIONS(324),
    [anon_sym_if] = ACTIONS(324),
    [anon_sym_switch] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(324),
    [anon_sym_default] = ACTIONS(324),
    [anon_sym_while] = ACTIONS(324),
    [anon_sym_do] = ACTIONS(324),
    [anon_sym_for] = ACTIONS(324),
    [anon_sym_return] = ACTIONS(324),
    [anon_sym_break] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(324),
    [anon_sym_goto] = ACTIONS(324),
    [anon_sym_AMP] = ACTIONS(322),
    [anon_sym_BANG] = ACTIONS(322),
    [anon_sym_TILDE] = ACTIONS(322),
    [anon_sym_PLUS] = ACTIONS(324),
    [anon_sym_DASH] = ACTIONS(324),
    [anon_sym_DASH_DASH] = ACTIONS(322),
    [anon_sym_PLUS_PLUS] = ACTIONS(322),
    [anon_sym_sizeof] = ACTIONS(324),
    [sym_number_literal] = ACTIONS(322),
    [sym_char_literal] = ACTIONS(322),
    [sym_string_literal] = ACTIONS(322),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_null] = ACTIONS(324),
    [sym_identifier] = ACTIONS(324),
    [sym_comment] = ACTIONS(39),
  },
  [56] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(326),
    [anon_sym_RPAREN] = ACTIONS(328),
    [sym_identifier] = ACTIONS(326),
    [sym_comment] = ACTIONS(39),
  },
  [57] = {
    [anon_sym_LF] = ACTIONS(330),
    [sym_preproc_arg] = ACTIONS(332),
    [sym_comment] = ACTIONS(47),
  },
  [58] = {
    [sym_string_literal] = ACTIONS(334),
    [sym_system_lib_string] = ACTIONS(334),
    [sym_comment] = ACTIONS(39),
  },
  [59] = {
    [sym_identifier] = ACTIONS(336),
    [sym_comment] = ACTIONS(39),
  },
  [60] = {
    [sym_preproc_arg] = ACTIONS(338),
    [sym_comment] = ACTIONS(47),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(340),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(342),
    [sym_preproc_directive] = ACTIONS(342),
    [anon_sym_typedef] = ACTIONS(342),
    [anon_sym_extern] = ACTIONS(342),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_static] = ACTIONS(342),
    [anon_sym_auto] = ACTIONS(342),
    [anon_sym_register] = ACTIONS(342),
    [anon_sym_inline] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(342),
    [anon_sym_restrict] = ACTIONS(342),
    [anon_sym_volatile] = ACTIONS(342),
    [anon_sym__Atomic] = ACTIONS(342),
    [anon_sym_unsigned] = ACTIONS(342),
    [anon_sym_long] = ACTIONS(342),
    [anon_sym_short] = ACTIONS(342),
    [sym_primitive_type] = ACTIONS(342),
    [anon_sym_enum] = ACTIONS(342),
    [anon_sym_struct] = ACTIONS(342),
    [anon_sym_union] = ACTIONS(342),
    [sym_identifier] = ACTIONS(342),
    [sym_comment] = ACTIONS(39),
  },
  [62] = {
    [sym_identifier] = ACTIONS(344),
    [sym_comment] = ACTIONS(39),
  },
  [63] = {
    [sym_identifier] = ACTIONS(346),
    [sym_comment] = ACTIONS(39),
  },
  [64] = {
    [sym_preproc_include] = STATE(151),
    [sym_preproc_def] = STATE(151),
    [sym_preproc_function_def] = STATE(151),
    [sym_preproc_call] = STATE(151),
    [sym_preproc_if] = STATE(151),
    [sym_preproc_ifdef] = STATE(151),
    [sym_function_definition] = STATE(151),
    [sym_declaration] = STATE(151),
    [sym_type_definition] = STATE(151),
    [sym__declaration_specifiers] = STATE(150),
    [sym_linkage_specification] = STATE(151),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(151),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(151),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(348),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(350),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(352),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(354),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(356),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(358),
    [sym_preproc_directive] = ACTIONS(360),
    [anon_sym_typedef] = ACTIONS(362),
    [anon_sym_extern] = ACTIONS(364),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [65] = {
    [sym_preproc_arg] = ACTIONS(366),
    [sym_comment] = ACTIONS(47),
  },
  [66] = {
    [aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH] = ACTIONS(368),
    [anon_sym_LF] = ACTIONS(370),
    [sym_comment] = ACTIONS(47),
  },
  [67] = {
    [sym_type_qualifier] = STATE(156),
    [sym__type_specifier] = STATE(155),
    [sym_sized_type_specifier] = STATE(155),
    [sym_enum_specifier] = STATE(155),
    [sym_struct_specifier] = STATE(155),
    [sym_union_specifier] = STATE(155),
    [sym_macro_type_specifier] = STATE(155),
    [aux_sym_type_definition_repeat1] = STATE(156),
    [aux_sym_sized_type_specifier_repeat1] = STATE(31),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(372),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [68] = {
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_auto] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym_unsigned] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(61),
    [anon_sym_union] = ACTIONS(61),
    [sym_string_literal] = ACTIONS(374),
    [sym_identifier] = ACTIONS(61),
    [sym_comment] = ACTIONS(39),
  },
  [69] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(376),
    [sym_comment] = ACTIONS(39),
  },
  [70] = {
    [sym__declarator] = STATE(160),
    [sym_pointer_declarator] = STATE(160),
    [sym_function_declarator] = STATE(160),
    [sym_array_declarator] = STATE(160),
    [sym_init_declarator] = STATE(161),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_SEMI] = ACTIONS(378),
    [anon_sym_STAR] = ACTIONS(94),
    [sym_identifier] = ACTIONS(380),
    [sym_comment] = ACTIONS(39),
  },
  [71] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(162),
    [sym_preproc_elif] = STATE(162),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(382),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(384),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(386),
    [sym_preproc_directive] = ACTIONS(386),
    [anon_sym_typedef] = ACTIONS(386),
    [anon_sym_extern] = ACTIONS(386),
    [anon_sym_RBRACE] = ACTIONS(384),
    [anon_sym_static] = ACTIONS(386),
    [anon_sym_auto] = ACTIONS(386),
    [anon_sym_register] = ACTIONS(386),
    [anon_sym_inline] = ACTIONS(386),
    [anon_sym_const] = ACTIONS(386),
    [anon_sym_restrict] = ACTIONS(386),
    [anon_sym_volatile] = ACTIONS(386),
    [anon_sym__Atomic] = ACTIONS(386),
    [anon_sym_unsigned] = ACTIONS(386),
    [anon_sym_long] = ACTIONS(386),
    [anon_sym_short] = ACTIONS(386),
    [sym_primitive_type] = ACTIONS(386),
    [anon_sym_enum] = ACTIONS(386),
    [anon_sym_struct] = ACTIONS(386),
    [anon_sym_union] = ACTIONS(386),
    [sym_identifier] = ACTIONS(386),
    [sym_comment] = ACTIONS(39),
  },
  [73] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(388),
    [sym_comment] = ACTIONS(39),
  },
  [74] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(165),
    [sym_preproc_elif] = STATE(165),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(390),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(394),
    [sym_preproc_directive] = ACTIONS(394),
    [anon_sym_typedef] = ACTIONS(394),
    [anon_sym_extern] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_auto] = ACTIONS(394),
    [anon_sym_register] = ACTIONS(394),
    [anon_sym_inline] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_restrict] = ACTIONS(394),
    [anon_sym_volatile] = ACTIONS(394),
    [anon_sym__Atomic] = ACTIONS(394),
    [anon_sym_unsigned] = ACTIONS(394),
    [anon_sym_long] = ACTIONS(394),
    [anon_sym_short] = ACTIONS(394),
    [sym_primitive_type] = ACTIONS(394),
    [anon_sym_enum] = ACTIONS(394),
    [anon_sym_struct] = ACTIONS(394),
    [anon_sym_union] = ACTIONS(394),
    [sym_identifier] = ACTIONS(394),
    [sym_comment] = ACTIONS(39),
  },
  [76] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(396),
    [sym_comment] = ACTIONS(39),
  },
  [77] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(167),
    [sym_preproc_elif] = STATE(167),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(398),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [78] = {
    [anon_sym_LF] = ACTIONS(400),
    [sym_comment] = ACTIONS(47),
  },
  [79] = {
    [sym__type_declarator] = STATE(170),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(402),
    [sym_identifier] = ACTIONS(163),
    [sym_comment] = ACTIONS(39),
  },
  [80] = {
    [sym__type_declarator] = STATE(171),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [sym_type_qualifier] = STATE(172),
    [aux_sym_type_definition_repeat1] = STATE(172),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(404),
    [sym_comment] = ACTIONS(39),
  },
  [81] = {
    [anon_sym_LPAREN] = ACTIONS(406),
    [anon_sym_RPAREN] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(406),
    [sym_comment] = ACTIONS(39),
  },
  [82] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [83] = {
    [anon_sym_LPAREN] = ACTIONS(412),
    [anon_sym_RPAREN] = ACTIONS(412),
    [anon_sym_SEMI] = ACTIONS(412),
    [anon_sym_LBRACK] = ACTIONS(412),
    [sym_comment] = ACTIONS(39),
  },
  [84] = {
    [anon_sym_LPAREN] = ACTIONS(414),
    [anon_sym_RPAREN] = ACTIONS(414),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym_LBRACK] = ACTIONS(414),
    [sym_comment] = ACTIONS(39),
  },
  [85] = {
    [anon_sym_LPAREN] = ACTIONS(416),
    [anon_sym_RPAREN] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(416),
    [sym_comment] = ACTIONS(39),
  },
  [86] = {
    [sym__type_declarator] = STATE(176),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_identifier] = ACTIONS(163),
    [sym_comment] = ACTIONS(39),
  },
  [87] = {
    [sym_type_qualifier] = STATE(87),
    [aux_sym_type_definition_repeat1] = STATE(87),
    [anon_sym_const] = ACTIONS(418),
    [anon_sym_restrict] = ACTIONS(418),
    [anon_sym_volatile] = ACTIONS(418),
    [anon_sym__Atomic] = ACTIONS(418),
    [anon_sym_unsigned] = ACTIONS(421),
    [anon_sym_long] = ACTIONS(421),
    [anon_sym_short] = ACTIONS(421),
    [sym_primitive_type] = ACTIONS(421),
    [anon_sym_enum] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(421),
    [anon_sym_union] = ACTIONS(421),
    [sym_identifier] = ACTIONS(421),
    [sym_comment] = ACTIONS(39),
  },
  [88] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(88),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_STAR] = ACTIONS(313),
    [anon_sym_unsigned] = ACTIONS(423),
    [anon_sym_long] = ACTIONS(423),
    [anon_sym_short] = ACTIONS(423),
    [sym_primitive_type] = ACTIONS(315),
    [sym_identifier] = ACTIONS(315),
    [sym_comment] = ACTIONS(39),
  },
  [89] = {
    [sym_preproc_include] = STATE(178),
    [sym_preproc_def] = STATE(178),
    [sym_preproc_function_def] = STATE(178),
    [sym_preproc_call] = STATE(178),
    [sym_preproc_if] = STATE(178),
    [sym_preproc_ifdef] = STATE(178),
    [sym_function_definition] = STATE(178),
    [sym_declaration] = STATE(178),
    [sym_type_definition] = STATE(178),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(178),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(178),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(178),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(11),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(13),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [90] = {
    [ts_builtin_sym_end] = ACTIONS(428),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(430),
    [sym_preproc_directive] = ACTIONS(430),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_auto] = ACTIONS(430),
    [anon_sym_register] = ACTIONS(430),
    [anon_sym_inline] = ACTIONS(430),
    [anon_sym_const] = ACTIONS(430),
    [anon_sym_restrict] = ACTIONS(430),
    [anon_sym_volatile] = ACTIONS(430),
    [anon_sym__Atomic] = ACTIONS(430),
    [anon_sym_unsigned] = ACTIONS(430),
    [anon_sym_long] = ACTIONS(430),
    [anon_sym_short] = ACTIONS(430),
    [sym_primitive_type] = ACTIONS(430),
    [anon_sym_enum] = ACTIONS(430),
    [anon_sym_struct] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(430),
    [sym_identifier] = ACTIONS(430),
    [sym_comment] = ACTIONS(39),
  },
  [91] = {
    [sym__declarator] = STATE(45),
    [sym_pointer_declarator] = STATE(45),
    [sym_function_declarator] = STATE(45),
    [sym_array_declarator] = STATE(45),
    [sym_init_declarator] = STATE(46),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(94),
    [sym_identifier] = ACTIONS(96),
    [sym_comment] = ACTIONS(39),
  },
  [92] = {
    [sym_storage_class_specifier] = STATE(179),
    [sym_type_qualifier] = STATE(179),
    [aux_sym__declaration_specifiers_repeat1] = STATE(179),
    [anon_sym_LPAREN] = ACTIONS(98),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(98),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(100),
    [sym_comment] = ACTIONS(39),
  },
  [93] = {
    [sym_storage_class_specifier] = STATE(50),
    [sym_type_qualifier] = STATE(50),
    [sym__type_specifier] = STATE(180),
    [sym_sized_type_specifier] = STATE(180),
    [sym_enum_specifier] = STATE(180),
    [sym_struct_specifier] = STATE(180),
    [sym_union_specifier] = STATE(180),
    [sym_macro_type_specifier] = STATE(180),
    [aux_sym__declaration_specifiers_repeat1] = STATE(50),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(432),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [94] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(181),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_extern] = ACTIONS(108),
    [anon_sym_STAR] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(108),
    [anon_sym_auto] = ACTIONS(108),
    [anon_sym_register] = ACTIONS(108),
    [anon_sym_inline] = ACTIONS(108),
    [anon_sym_const] = ACTIONS(108),
    [anon_sym_restrict] = ACTIONS(108),
    [anon_sym_volatile] = ACTIONS(108),
    [anon_sym__Atomic] = ACTIONS(108),
    [anon_sym_unsigned] = ACTIONS(434),
    [anon_sym_long] = ACTIONS(434),
    [anon_sym_short] = ACTIONS(434),
    [sym_primitive_type] = ACTIONS(112),
    [sym_identifier] = ACTIONS(114),
    [sym_comment] = ACTIONS(39),
  },
  [95] = {
    [anon_sym_RBRACE] = ACTIONS(436),
    [sym_comment] = ACTIONS(39),
  },
  [96] = {
    [anon_sym_LPAREN] = ACTIONS(438),
    [anon_sym_COMMA] = ACTIONS(438),
    [anon_sym_RPAREN] = ACTIONS(438),
    [anon_sym_SEMI] = ACTIONS(438),
    [anon_sym_extern] = ACTIONS(440),
    [anon_sym_STAR] = ACTIONS(438),
    [anon_sym_LBRACK] = ACTIONS(438),
    [anon_sym_RBRACK] = ACTIONS(438),
    [anon_sym_static] = ACTIONS(440),
    [anon_sym_auto] = ACTIONS(440),
    [anon_sym_register] = ACTIONS(440),
    [anon_sym_inline] = ACTIONS(440),
    [anon_sym_const] = ACTIONS(440),
    [anon_sym_restrict] = ACTIONS(440),
    [anon_sym_volatile] = ACTIONS(440),
    [anon_sym__Atomic] = ACTIONS(440),
    [anon_sym_COLON] = ACTIONS(438),
    [anon_sym_AMP] = ACTIONS(438),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_sizeof] = ACTIONS(440),
    [sym_number_literal] = ACTIONS(438),
    [sym_char_literal] = ACTIONS(438),
    [sym_string_literal] = ACTIONS(438),
    [sym_true] = ACTIONS(440),
    [sym_false] = ACTIONS(440),
    [sym_null] = ACTIONS(440),
    [sym_identifier] = ACTIONS(440),
    [sym_comment] = ACTIONS(39),
  },
  [97] = {
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_EQ] = ACTIONS(444),
    [sym_comment] = ACTIONS(39),
  },
  [98] = {
    [aux_sym_enumerator_list_repeat1] = STATE(185),
    [anon_sym_COMMA] = ACTIONS(446),
    [anon_sym_RBRACE] = ACTIONS(436),
    [sym_comment] = ACTIONS(39),
  },
  [99] = {
    [anon_sym_LPAREN] = ACTIONS(448),
    [anon_sym_COMMA] = ACTIONS(448),
    [anon_sym_RPAREN] = ACTIONS(448),
    [anon_sym_SEMI] = ACTIONS(448),
    [anon_sym_extern] = ACTIONS(450),
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(450),
    [anon_sym_auto] = ACTIONS(450),
    [anon_sym_register] = ACTIONS(450),
    [anon_sym_inline] = ACTIONS(450),
    [anon_sym_const] = ACTIONS(450),
    [anon_sym_restrict] = ACTIONS(450),
    [anon_sym_volatile] = ACTIONS(450),
    [anon_sym__Atomic] = ACTIONS(450),
    [anon_sym_COLON] = ACTIONS(448),
    [anon_sym_AMP] = ACTIONS(448),
    [anon_sym_BANG] = ACTIONS(448),
    [anon_sym_TILDE] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(450),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_sizeof] = ACTIONS(450),
    [sym_number_literal] = ACTIONS(448),
    [sym_char_literal] = ACTIONS(448),
    [sym_string_literal] = ACTIONS(448),
    [sym_true] = ACTIONS(450),
    [sym_false] = ACTIONS(450),
    [sym_null] = ACTIONS(450),
    [sym_identifier] = ACTIONS(450),
    [sym_comment] = ACTIONS(39),
  },
  [100] = {
    [sym_preproc_arg] = ACTIONS(452),
    [sym_comment] = ACTIONS(47),
  },
  [101] = {
    [sym_identifier] = ACTIONS(454),
    [sym_comment] = ACTIONS(39),
  },
  [102] = {
    [sym_identifier] = ACTIONS(456),
    [sym_comment] = ACTIONS(39),
  },
  [103] = {
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_extern] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_RBRACK] = ACTIONS(458),
    [anon_sym_static] = ACTIONS(460),
    [anon_sym_auto] = ACTIONS(460),
    [anon_sym_register] = ACTIONS(460),
    [anon_sym_inline] = ACTIONS(460),
    [anon_sym_const] = ACTIONS(460),
    [anon_sym_restrict] = ACTIONS(460),
    [anon_sym_volatile] = ACTIONS(460),
    [anon_sym__Atomic] = ACTIONS(460),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(458),
    [anon_sym_TILDE] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_sizeof] = ACTIONS(460),
    [sym_number_literal] = ACTIONS(458),
    [sym_char_literal] = ACTIONS(458),
    [sym_string_literal] = ACTIONS(458),
    [sym_true] = ACTIONS(460),
    [sym_false] = ACTIONS(460),
    [sym_null] = ACTIONS(460),
    [sym_identifier] = ACTIONS(460),
    [sym_comment] = ACTIONS(39),
  },
  [104] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(462),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(464),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(464),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(464),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(464),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(464),
    [anon_sym_extern] = ACTIONS(462),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_static] = ACTIONS(462),
    [anon_sym_auto] = ACTIONS(462),
    [anon_sym_register] = ACTIONS(462),
    [anon_sym_inline] = ACTIONS(462),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym_unsigned] = ACTIONS(462),
    [anon_sym_long] = ACTIONS(462),
    [anon_sym_short] = ACTIONS(462),
    [sym_primitive_type] = ACTIONS(462),
    [anon_sym_enum] = ACTIONS(462),
    [anon_sym_struct] = ACTIONS(462),
    [anon_sym_union] = ACTIONS(462),
    [sym_identifier] = ACTIONS(462),
    [sym_comment] = ACTIONS(39),
  },
  [105] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(466),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(468),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(468),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(468),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(468),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(468),
    [anon_sym_extern] = ACTIONS(466),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(466),
    [anon_sym_auto] = ACTIONS(466),
    [anon_sym_register] = ACTIONS(466),
    [anon_sym_inline] = ACTIONS(466),
    [anon_sym_const] = ACTIONS(466),
    [anon_sym_restrict] = ACTIONS(466),
    [anon_sym_volatile] = ACTIONS(466),
    [anon_sym__Atomic] = ACTIONS(466),
    [anon_sym_unsigned] = ACTIONS(466),
    [anon_sym_long] = ACTIONS(466),
    [anon_sym_short] = ACTIONS(466),
    [sym_primitive_type] = ACTIONS(466),
    [anon_sym_enum] = ACTIONS(466),
    [anon_sym_struct] = ACTIONS(466),
    [anon_sym_union] = ACTIONS(466),
    [sym_identifier] = ACTIONS(466),
    [sym_comment] = ACTIONS(39),
  },
  [106] = {
    [sym__field_declarator] = STATE(194),
    [sym_pointer_field_declarator] = STATE(195),
    [sym_function_field_declarator] = STATE(196),
    [sym_array_field_declarator] = STATE(197),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(472),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_COLON] = ACTIONS(476),
    [sym_identifier] = ACTIONS(478),
    [sym_comment] = ACTIONS(39),
  },
  [107] = {
    [sym_storage_class_specifier] = STATE(198),
    [sym_type_qualifier] = STATE(198),
    [aux_sym__declaration_specifiers_repeat1] = STATE(198),
    [anon_sym_LPAREN] = ACTIONS(98),
    [anon_sym_SEMI] = ACTIONS(98),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(98),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(98),
    [sym_identifier] = ACTIONS(100),
    [sym_comment] = ACTIONS(39),
  },
  [108] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(200),
    [sym_field_declaration] = STATE(200),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(200),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [109] = {
    [sym_storage_class_specifier] = STATE(50),
    [sym_type_qualifier] = STATE(50),
    [sym__type_specifier] = STATE(201),
    [sym_sized_type_specifier] = STATE(201),
    [sym_enum_specifier] = STATE(201),
    [sym_struct_specifier] = STATE(201),
    [sym_union_specifier] = STATE(201),
    [sym_macro_type_specifier] = STATE(201),
    [aux_sym__declaration_specifiers_repeat1] = STATE(50),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(482),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [110] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(202),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_SEMI] = ACTIONS(106),
    [anon_sym_extern] = ACTIONS(108),
    [anon_sym_STAR] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(108),
    [anon_sym_auto] = ACTIONS(108),
    [anon_sym_register] = ACTIONS(108),
    [anon_sym_inline] = ACTIONS(108),
    [anon_sym_const] = ACTIONS(108),
    [anon_sym_restrict] = ACTIONS(108),
    [anon_sym_volatile] = ACTIONS(108),
    [anon_sym__Atomic] = ACTIONS(108),
    [anon_sym_unsigned] = ACTIONS(484),
    [anon_sym_long] = ACTIONS(484),
    [anon_sym_short] = ACTIONS(484),
    [sym_primitive_type] = ACTIONS(112),
    [anon_sym_COLON] = ACTIONS(106),
    [sym_identifier] = ACTIONS(114),
    [sym_comment] = ACTIONS(39),
  },
  [111] = {
    [anon_sym_LPAREN] = ACTIONS(486),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_RPAREN] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym_extern] = ACTIONS(488),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [anon_sym_RBRACK] = ACTIONS(486),
    [anon_sym_static] = ACTIONS(488),
    [anon_sym_auto] = ACTIONS(488),
    [anon_sym_register] = ACTIONS(488),
    [anon_sym_inline] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(488),
    [anon_sym_restrict] = ACTIONS(488),
    [anon_sym_volatile] = ACTIONS(488),
    [anon_sym__Atomic] = ACTIONS(488),
    [anon_sym_COLON] = ACTIONS(486),
    [anon_sym_AMP] = ACTIONS(486),
    [anon_sym_BANG] = ACTIONS(486),
    [anon_sym_TILDE] = ACTIONS(486),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_DASH_DASH] = ACTIONS(486),
    [anon_sym_PLUS_PLUS] = ACTIONS(486),
    [anon_sym_sizeof] = ACTIONS(488),
    [sym_number_literal] = ACTIONS(486),
    [sym_char_literal] = ACTIONS(486),
    [sym_string_literal] = ACTIONS(486),
    [sym_true] = ACTIONS(488),
    [sym_false] = ACTIONS(488),
    [sym_null] = ACTIONS(488),
    [sym_identifier] = ACTIONS(488),
    [sym_comment] = ACTIONS(39),
  },
  [112] = {
    [anon_sym_LPAREN] = ACTIONS(490),
    [anon_sym_COMMA] = ACTIONS(490),
    [anon_sym_RPAREN] = ACTIONS(490),
    [anon_sym_SEMI] = ACTIONS(490),
    [anon_sym_extern] = ACTIONS(492),
    [anon_sym_STAR] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(490),
    [anon_sym_RBRACK] = ACTIONS(490),
    [anon_sym_static] = ACTIONS(492),
    [anon_sym_auto] = ACTIONS(492),
    [anon_sym_register] = ACTIONS(492),
    [anon_sym_inline] = ACTIONS(492),
    [anon_sym_const] = ACTIONS(492),
    [anon_sym_restrict] = ACTIONS(492),
    [anon_sym_volatile] = ACTIONS(492),
    [anon_sym__Atomic] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(490),
    [anon_sym_AMP] = ACTIONS(490),
    [anon_sym_BANG] = ACTIONS(490),
    [anon_sym_TILDE] = ACTIONS(490),
    [anon_sym_PLUS] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_DASH_DASH] = ACTIONS(490),
    [anon_sym_PLUS_PLUS] = ACTIONS(490),
    [anon_sym_sizeof] = ACTIONS(492),
    [sym_number_literal] = ACTIONS(490),
    [sym_char_literal] = ACTIONS(490),
    [sym_string_literal] = ACTIONS(490),
    [sym_true] = ACTIONS(492),
    [sym_false] = ACTIONS(492),
    [sym_null] = ACTIONS(492),
    [sym_identifier] = ACTIONS(492),
    [sym_comment] = ACTIONS(39),
  },
  [113] = {
    [sym__abstract_declarator] = STATE(206),
    [sym_abstract_pointer_declarator] = STATE(206),
    [sym_abstract_function_declarator] = STATE(206),
    [sym_abstract_array_declarator] = STATE(206),
    [sym_parameter_list] = STATE(207),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_RPAREN] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(500),
    [sym_comment] = ACTIONS(39),
  },
  [114] = {
    [anon_sym_RPAREN] = ACTIONS(502),
    [sym_comment] = ACTIONS(39),
  },
  [115] = {
    [sym_type_qualifier] = STATE(87),
    [sym__type_specifier] = STATE(209),
    [sym_sized_type_specifier] = STATE(209),
    [sym_enum_specifier] = STATE(209),
    [sym_struct_specifier] = STATE(209),
    [sym_union_specifier] = STATE(209),
    [sym_macro_type_specifier] = STATE(209),
    [aux_sym_type_definition_repeat1] = STATE(87),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(504),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [116] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(210),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_RPAREN] = ACTIONS(106),
    [anon_sym_STAR] = ACTIONS(106),
    [anon_sym_LBRACK] = ACTIONS(106),
    [anon_sym_unsigned] = ACTIONS(506),
    [anon_sym_long] = ACTIONS(506),
    [anon_sym_short] = ACTIONS(506),
    [sym_primitive_type] = ACTIONS(112),
    [sym_identifier] = ACTIONS(508),
    [sym_comment] = ACTIONS(39),
  },
  [117] = {
    [sym__declarator] = STATE(119),
    [sym_pointer_declarator] = STATE(119),
    [sym_function_declarator] = STATE(119),
    [sym_array_declarator] = STATE(119),
    [sym_type_qualifier] = STATE(211),
    [aux_sym_type_definition_repeat1] = STATE(211),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(229),
    [sym_comment] = ACTIONS(39),
  },
  [118] = {
    [sym_parameter_list] = STATE(128),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_comment] = ACTIONS(39),
  },
  [119] = {
    [sym_parameter_list] = STATE(128),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(512),
    [anon_sym_SEMI] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(512),
    [sym_comment] = ACTIONS(39),
  },
  [120] = {
    [sym__declarator] = STATE(213),
    [sym_pointer_declarator] = STATE(213),
    [sym_function_declarator] = STATE(213),
    [sym_array_declarator] = STATE(213),
    [sym_type_qualifier] = STATE(214),
    [aux_sym_type_definition_repeat1] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(94),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(514),
    [sym_comment] = ACTIONS(39),
  },
  [121] = {
    [sym__declaration_specifiers] = STATE(217),
    [sym_storage_class_specifier] = STATE(219),
    [sym_type_qualifier] = STATE(219),
    [sym__type_specifier] = STATE(218),
    [sym_sized_type_specifier] = STATE(218),
    [sym_enum_specifier] = STATE(218),
    [sym_struct_specifier] = STATE(218),
    [sym_union_specifier] = STATE(218),
    [sym_parameter_declaration] = STATE(215),
    [sym_macro_type_specifier] = STATE(218),
    [aux_sym__declaration_specifiers_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(516),
    [anon_sym_RPAREN] = ACTIONS(518),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(520),
    [anon_sym_long] = ACTIONS(520),
    [anon_sym_short] = ACTIONS(520),
    [sym_primitive_type] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [122] = {
    [sym__declarator] = STATE(222),
    [sym_pointer_declarator] = STATE(222),
    [sym_function_declarator] = STATE(222),
    [sym_array_declarator] = STATE(222),
    [sym_init_declarator] = STATE(223),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(524),
    [sym_identifier] = ACTIONS(526),
    [sym_comment] = ACTIONS(39),
  },
  [123] = {
    [ts_builtin_sym_end] = ACTIONS(528),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(530),
    [sym_preproc_directive] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_typedef] = ACTIONS(530),
    [anon_sym_extern] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(530),
    [anon_sym_auto] = ACTIONS(530),
    [anon_sym_register] = ACTIONS(530),
    [anon_sym_inline] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_restrict] = ACTIONS(530),
    [anon_sym_volatile] = ACTIONS(530),
    [anon_sym__Atomic] = ACTIONS(530),
    [anon_sym_unsigned] = ACTIONS(530),
    [anon_sym_long] = ACTIONS(530),
    [anon_sym_short] = ACTIONS(530),
    [sym_primitive_type] = ACTIONS(530),
    [anon_sym_enum] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(530),
    [anon_sym_union] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_else] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(530),
    [anon_sym_case] = ACTIONS(530),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_goto] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(528),
    [anon_sym_sizeof] = ACTIONS(530),
    [sym_number_literal] = ACTIONS(528),
    [sym_char_literal] = ACTIONS(528),
    [sym_string_literal] = ACTIONS(528),
    [sym_true] = ACTIONS(530),
    [sym_false] = ACTIONS(530),
    [sym_null] = ACTIONS(530),
    [sym_identifier] = ACTIONS(530),
    [sym_comment] = ACTIONS(39),
  },
  [124] = {
    [sym_preproc_include] = STATE(253),
    [sym_preproc_def] = STATE(253),
    [sym_preproc_function_def] = STATE(253),
    [sym_preproc_call] = STATE(253),
    [sym_preproc_if_in_compound_statement] = STATE(248),
    [sym_preproc_ifdef_in_compound_statement] = STATE(249),
    [sym_declaration] = STATE(253),
    [sym_type_definition] = STATE(253),
    [sym__declaration_specifiers] = STATE(250),
    [sym_compound_statement] = STATE(253),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(253),
    [sym_expression_statement] = STATE(253),
    [sym_if_statement] = STATE(253),
    [sym_switch_statement] = STATE(253),
    [sym_case_statement] = STATE(253),
    [sym_while_statement] = STATE(253),
    [sym_do_statement] = STATE(253),
    [sym_for_statement] = STATE(253),
    [sym_return_statement] = STATE(253),
    [sym_break_statement] = STATE(253),
    [sym_continue_statement] = STATE(253),
    [sym_goto_statement] = STATE(253),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym__empty_declaration] = STATE(253),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(253),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(534),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(536),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(538),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [sym_comment] = ACTIONS(39),
  },
  [125] = {
    [sym__declaration_specifiers] = STATE(263),
    [sym_storage_class_specifier] = STATE(266),
    [sym_type_qualifier] = STATE(266),
    [sym__type_specifier] = STATE(264),
    [sym_sized_type_specifier] = STATE(264),
    [sym_enum_specifier] = STATE(264),
    [sym_struct_specifier] = STATE(264),
    [sym_union_specifier] = STATE(264),
    [sym__expression] = STATE(265),
    [sym_conditional_expression] = STATE(265),
    [sym_assignment_expression] = STATE(265),
    [sym_pointer_expression] = STATE(265),
    [sym_logical_expression] = STATE(265),
    [sym_bitwise_expression] = STATE(265),
    [sym_equality_expression] = STATE(265),
    [sym_relational_expression] = STATE(265),
    [sym_shift_expression] = STATE(265),
    [sym_math_expression] = STATE(265),
    [sym_cast_expression] = STATE(265),
    [sym_sizeof_expression] = STATE(265),
    [sym_subscript_expression] = STATE(265),
    [sym_call_expression] = STATE(265),
    [sym_field_expression] = STATE(265),
    [sym_compound_literal_expression] = STATE(265),
    [sym_parenthesized_expression] = STATE(265),
    [sym_concatenated_string] = STATE(265),
    [sym_macro_type_specifier] = STATE(264),
    [aux_sym__declaration_specifiers_repeat1] = STATE(266),
    [aux_sym_sized_type_specifier_repeat1] = STATE(267),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(590),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(592),
    [anon_sym_long] = ACTIONS(592),
    [anon_sym_short] = ACTIONS(592),
    [sym_primitive_type] = ACTIONS(594),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(606),
    [sym_char_literal] = ACTIONS(606),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(610),
    [sym_false] = ACTIONS(610),
    [sym_null] = ACTIONS(610),
    [sym_identifier] = ACTIONS(612),
    [sym_comment] = ACTIONS(39),
  },
  [126] = {
    [sym__expression] = STATE(269),
    [sym_conditional_expression] = STATE(269),
    [sym_assignment_expression] = STATE(269),
    [sym_pointer_expression] = STATE(269),
    [sym_logical_expression] = STATE(269),
    [sym_bitwise_expression] = STATE(269),
    [sym_equality_expression] = STATE(269),
    [sym_relational_expression] = STATE(269),
    [sym_shift_expression] = STATE(269),
    [sym_math_expression] = STATE(269),
    [sym_cast_expression] = STATE(269),
    [sym_sizeof_expression] = STATE(269),
    [sym_subscript_expression] = STATE(269),
    [sym_call_expression] = STATE(269),
    [sym_field_expression] = STATE(269),
    [sym_compound_literal_expression] = STATE(269),
    [sym_parenthesized_expression] = STATE(269),
    [sym_initializer_list] = STATE(270),
    [sym_concatenated_string] = STATE(269),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(616),
    [sym_char_literal] = ACTIONS(616),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(618),
    [sym_false] = ACTIONS(618),
    [sym_null] = ACTIONS(618),
    [sym_identifier] = ACTIONS(618),
    [sym_comment] = ACTIONS(39),
  },
  [127] = {
    [ts_builtin_sym_end] = ACTIONS(620),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(622),
    [sym_preproc_directive] = ACTIONS(622),
    [anon_sym_typedef] = ACTIONS(622),
    [anon_sym_extern] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_static] = ACTIONS(622),
    [anon_sym_auto] = ACTIONS(622),
    [anon_sym_register] = ACTIONS(622),
    [anon_sym_inline] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(622),
    [anon_sym_restrict] = ACTIONS(622),
    [anon_sym_volatile] = ACTIONS(622),
    [anon_sym__Atomic] = ACTIONS(622),
    [anon_sym_unsigned] = ACTIONS(622),
    [anon_sym_long] = ACTIONS(622),
    [anon_sym_short] = ACTIONS(622),
    [sym_primitive_type] = ACTIONS(622),
    [anon_sym_enum] = ACTIONS(622),
    [anon_sym_struct] = ACTIONS(622),
    [anon_sym_union] = ACTIONS(622),
    [sym_identifier] = ACTIONS(622),
    [sym_comment] = ACTIONS(39),
  },
  [128] = {
    [anon_sym_LPAREN] = ACTIONS(624),
    [anon_sym_COMMA] = ACTIONS(624),
    [anon_sym_RPAREN] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(624),
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(624),
    [anon_sym_EQ] = ACTIONS(624),
    [sym_comment] = ACTIONS(39),
  },
  [129] = {
    [aux_sym_declaration_repeat1] = STATE(272),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(626),
    [sym_comment] = ACTIONS(39),
  },
  [130] = {
    [sym_storage_class_specifier] = STATE(130),
    [sym_type_qualifier] = STATE(130),
    [aux_sym__declaration_specifiers_repeat1] = STATE(130),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_static] = ACTIONS(297),
    [anon_sym_auto] = ACTIONS(297),
    [anon_sym_register] = ACTIONS(297),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_restrict] = ACTIONS(300),
    [anon_sym_volatile] = ACTIONS(300),
    [anon_sym__Atomic] = ACTIONS(300),
    [sym_identifier] = ACTIONS(303),
    [sym_comment] = ACTIONS(39),
  },
  [131] = {
    [sym_storage_class_specifier] = STATE(130),
    [sym_type_qualifier] = STATE(130),
    [aux_sym__declaration_specifiers_repeat1] = STATE(130),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(632),
    [sym_comment] = ACTIONS(39),
  },
  [132] = {
    [anon_sym_LF] = ACTIONS(634),
    [sym_comment] = ACTIONS(47),
  },
  [133] = {
    [aux_sym_preproc_params_repeat1] = STATE(276),
    [anon_sym_COMMA] = ACTIONS(636),
    [anon_sym_RPAREN] = ACTIONS(638),
    [sym_comment] = ACTIONS(39),
  },
  [134] = {
    [anon_sym_LF] = ACTIONS(640),
    [sym_preproc_arg] = ACTIONS(640),
    [sym_comment] = ACTIONS(47),
  },
  [135] = {
    [ts_builtin_sym_end] = ACTIONS(642),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(644),
    [anon_sym_LPAREN] = ACTIONS(642),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(644),
    [sym_preproc_directive] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_typedef] = ACTIONS(644),
    [anon_sym_extern] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_auto] = ACTIONS(644),
    [anon_sym_register] = ACTIONS(644),
    [anon_sym_inline] = ACTIONS(644),
    [anon_sym_const] = ACTIONS(644),
    [anon_sym_restrict] = ACTIONS(644),
    [anon_sym_volatile] = ACTIONS(644),
    [anon_sym__Atomic] = ACTIONS(644),
    [anon_sym_unsigned] = ACTIONS(644),
    [anon_sym_long] = ACTIONS(644),
    [anon_sym_short] = ACTIONS(644),
    [sym_primitive_type] = ACTIONS(644),
    [anon_sym_enum] = ACTIONS(644),
    [anon_sym_struct] = ACTIONS(644),
    [anon_sym_union] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_goto] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(642),
    [anon_sym_BANG] = ACTIONS(642),
    [anon_sym_TILDE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_sizeof] = ACTIONS(644),
    [sym_number_literal] = ACTIONS(642),
    [sym_char_literal] = ACTIONS(642),
    [sym_string_literal] = ACTIONS(642),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [sym_identifier] = ACTIONS(644),
    [sym_comment] = ACTIONS(39),
  },
  [136] = {
    [anon_sym_LF] = ACTIONS(646),
    [sym_comment] = ACTIONS(47),
  },
  [137] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(117),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_static] = ACTIONS(119),
    [anon_sym_auto] = ACTIONS(119),
    [anon_sym_register] = ACTIONS(119),
    [anon_sym_inline] = ACTIONS(119),
    [anon_sym_const] = ACTIONS(119),
    [anon_sym_restrict] = ACTIONS(119),
    [anon_sym_volatile] = ACTIONS(119),
    [anon_sym__Atomic] = ACTIONS(119),
    [anon_sym_unsigned] = ACTIONS(119),
    [anon_sym_long] = ACTIONS(119),
    [anon_sym_short] = ACTIONS(119),
    [sym_primitive_type] = ACTIONS(119),
    [anon_sym_enum] = ACTIONS(119),
    [anon_sym_struct] = ACTIONS(119),
    [anon_sym_union] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_switch] = ACTIONS(119),
    [anon_sym_case] = ACTIONS(119),
    [anon_sym_default] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(119),
    [anon_sym_do] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(119),
    [anon_sym_break] = ACTIONS(119),
    [anon_sym_continue] = ACTIONS(119),
    [anon_sym_goto] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(117),
    [anon_sym_PLUS] = ACTIONS(119),
    [anon_sym_DASH] = ACTIONS(119),
    [anon_sym_DASH_DASH] = ACTIONS(117),
    [anon_sym_PLUS_PLUS] = ACTIONS(117),
    [anon_sym_sizeof] = ACTIONS(119),
    [sym_number_literal] = ACTIONS(117),
    [sym_char_literal] = ACTIONS(117),
    [sym_string_literal] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [sym_null] = ACTIONS(119),
    [sym_identifier] = ACTIONS(119),
    [sym_comment] = ACTIONS(39),
  },
  [138] = {
    [sym_preproc_params] = STATE(280),
    [aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH] = ACTIONS(648),
    [anon_sym_LF] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(125),
    [sym_comment] = ACTIONS(47),
  },
  [139] = {
    [sym_preproc_include] = STATE(283),
    [sym_preproc_def] = STATE(283),
    [sym_preproc_function_def] = STATE(283),
    [sym_preproc_call] = STATE(283),
    [sym_preproc_if] = STATE(283),
    [sym_preproc_ifdef] = STATE(283),
    [sym_preproc_else] = STATE(282),
    [sym_preproc_elif] = STATE(282),
    [sym_function_definition] = STATE(283),
    [sym_declaration] = STATE(283),
    [sym_type_definition] = STATE(283),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(283),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(283),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(283),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(652),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [140] = {
    [sym_preproc_include] = STATE(286),
    [sym_preproc_def] = STATE(286),
    [sym_preproc_function_def] = STATE(286),
    [sym_preproc_call] = STATE(286),
    [sym_preproc_if] = STATE(286),
    [sym_preproc_ifdef] = STATE(286),
    [sym_preproc_else] = STATE(285),
    [sym_preproc_elif] = STATE(285),
    [sym_function_definition] = STATE(286),
    [sym_declaration] = STATE(286),
    [sym_type_definition] = STATE(286),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(286),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(286),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(286),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(654),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [141] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if] = STATE(289),
    [sym_preproc_ifdef] = STATE(289),
    [sym_preproc_else] = STATE(288),
    [sym_preproc_elif] = STATE(288),
    [sym_function_definition] = STATE(289),
    [sym_declaration] = STATE(289),
    [sym_type_definition] = STATE(289),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(289),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(289),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(289),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(656),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [142] = {
    [sym_string_literal] = ACTIONS(658),
    [sym_system_lib_string] = ACTIONS(658),
    [sym_comment] = ACTIONS(39),
  },
  [143] = {
    [sym_identifier] = ACTIONS(660),
    [sym_comment] = ACTIONS(39),
  },
  [144] = {
    [sym_preproc_arg] = ACTIONS(662),
    [sym_comment] = ACTIONS(47),
  },
  [145] = {
    [sym_identifier] = ACTIONS(664),
    [sym_comment] = ACTIONS(39),
  },
  [146] = {
    [sym_identifier] = ACTIONS(666),
    [sym_comment] = ACTIONS(39),
  },
  [147] = {
    [aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH] = ACTIONS(668),
    [anon_sym_LF] = ACTIONS(670),
    [sym_comment] = ACTIONS(47),
  },
  [148] = {
    [sym_type_qualifier] = STATE(298),
    [sym__type_specifier] = STATE(297),
    [sym_sized_type_specifier] = STATE(297),
    [sym_enum_specifier] = STATE(297),
    [sym_struct_specifier] = STATE(297),
    [sym_union_specifier] = STATE(297),
    [sym_macro_type_specifier] = STATE(297),
    [aux_sym_type_definition_repeat1] = STATE(298),
    [aux_sym_sized_type_specifier_repeat1] = STATE(31),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(672),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [149] = {
    [anon_sym_extern] = ACTIONS(61),
    [anon_sym_static] = ACTIONS(61),
    [anon_sym_auto] = ACTIONS(61),
    [anon_sym_register] = ACTIONS(61),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym_unsigned] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(61),
    [anon_sym_union] = ACTIONS(61),
    [sym_string_literal] = ACTIONS(674),
    [sym_identifier] = ACTIONS(61),
    [sym_comment] = ACTIONS(39),
  },
  [150] = {
    [sym__declarator] = STATE(301),
    [sym_pointer_declarator] = STATE(301),
    [sym_function_declarator] = STATE(301),
    [sym_array_declarator] = STATE(301),
    [sym_init_declarator] = STATE(302),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_SEMI] = ACTIONS(676),
    [anon_sym_STAR] = ACTIONS(94),
    [sym_identifier] = ACTIONS(678),
    [sym_comment] = ACTIONS(39),
  },
  [151] = {
    [sym_preproc_include] = STATE(303),
    [sym_preproc_def] = STATE(303),
    [sym_preproc_function_def] = STATE(303),
    [sym_preproc_call] = STATE(303),
    [sym_preproc_if] = STATE(303),
    [sym_preproc_ifdef] = STATE(303),
    [sym_function_definition] = STATE(303),
    [sym_declaration] = STATE(303),
    [sym_type_definition] = STATE(303),
    [sym__declaration_specifiers] = STATE(150),
    [sym_linkage_specification] = STATE(303),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(303),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(303),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(348),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(350),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(352),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(680),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(356),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(358),
    [sym_preproc_directive] = ACTIONS(360),
    [anon_sym_typedef] = ACTIONS(362),
    [anon_sym_extern] = ACTIONS(364),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [152] = {
    [sym_preproc_include] = STATE(305),
    [sym_preproc_def] = STATE(305),
    [sym_preproc_function_def] = STATE(305),
    [sym_preproc_call] = STATE(305),
    [sym_preproc_if] = STATE(305),
    [sym_preproc_ifdef] = STATE(305),
    [sym_preproc_else] = STATE(304),
    [sym_preproc_elif] = STATE(304),
    [sym_function_definition] = STATE(305),
    [sym_declaration] = STATE(305),
    [sym_type_definition] = STATE(305),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(305),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(305),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(305),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(682),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [153] = {
    [sym_preproc_arg] = ACTIONS(684),
    [sym_comment] = ACTIONS(47),
  },
  [154] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(155),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(157),
    [sym_preproc_directive] = ACTIONS(157),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_typedef] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(157),
    [anon_sym_auto] = ACTIONS(157),
    [anon_sym_register] = ACTIONS(157),
    [anon_sym_inline] = ACTIONS(157),
    [anon_sym_const] = ACTIONS(157),
    [anon_sym_restrict] = ACTIONS(157),
    [anon_sym_volatile] = ACTIONS(157),
    [anon_sym__Atomic] = ACTIONS(157),
    [anon_sym_unsigned] = ACTIONS(157),
    [anon_sym_long] = ACTIONS(157),
    [anon_sym_short] = ACTIONS(157),
    [sym_primitive_type] = ACTIONS(157),
    [anon_sym_enum] = ACTIONS(157),
    [anon_sym_struct] = ACTIONS(157),
    [anon_sym_union] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_case] = ACTIONS(157),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_return] = ACTIONS(157),
    [anon_sym_break] = ACTIONS(157),
    [anon_sym_continue] = ACTIONS(157),
    [anon_sym_goto] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_sizeof] = ACTIONS(157),
    [sym_number_literal] = ACTIONS(155),
    [sym_char_literal] = ACTIONS(155),
    [sym_string_literal] = ACTIONS(155),
    [sym_true] = ACTIONS(157),
    [sym_false] = ACTIONS(157),
    [sym_null] = ACTIONS(157),
    [sym_identifier] = ACTIONS(157),
    [sym_comment] = ACTIONS(39),
  },
  [155] = {
    [sym__type_declarator] = STATE(307),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_identifier] = ACTIONS(163),
    [sym_comment] = ACTIONS(39),
  },
  [156] = {
    [sym_type_qualifier] = STATE(87),
    [sym__type_specifier] = STATE(308),
    [sym_sized_type_specifier] = STATE(308),
    [sym_enum_specifier] = STATE(308),
    [sym_struct_specifier] = STATE(308),
    [sym_union_specifier] = STATE(308),
    [sym_macro_type_specifier] = STATE(308),
    [aux_sym_type_definition_repeat1] = STATE(87),
    [aux_sym_sized_type_specifier_repeat1] = STATE(31),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(686),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [157] = {
    [sym_function_definition] = STATE(310),
    [sym_declaration] = STATE(310),
    [sym__declaration_specifiers] = STATE(311),
    [sym_declaration_list] = STATE(310),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(688),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [158] = {
    [ts_builtin_sym_end] = ACTIONS(690),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(692),
    [sym_preproc_directive] = ACTIONS(692),
    [anon_sym_typedef] = ACTIONS(692),
    [anon_sym_extern] = ACTIONS(692),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_static] = ACTIONS(692),
    [anon_sym_auto] = ACTIONS(692),
    [anon_sym_register] = ACTIONS(692),
    [anon_sym_inline] = ACTIONS(692),
    [anon_sym_const] = ACTIONS(692),
    [anon_sym_restrict] = ACTIONS(692),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym__Atomic] = ACTIONS(692),
    [anon_sym_unsigned] = ACTIONS(692),
    [anon_sym_long] = ACTIONS(692),
    [anon_sym_short] = ACTIONS(692),
    [sym_primitive_type] = ACTIONS(692),
    [anon_sym_enum] = ACTIONS(692),
    [anon_sym_struct] = ACTIONS(692),
    [anon_sym_union] = ACTIONS(692),
    [sym_identifier] = ACTIONS(692),
    [sym_comment] = ACTIONS(39),
  },
  [159] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(225),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(227),
    [sym_preproc_directive] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(225),
    [anon_sym_typedef] = ACTIONS(227),
    [anon_sym_extern] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(225),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_auto] = ACTIONS(227),
    [anon_sym_register] = ACTIONS(227),
    [anon_sym_inline] = ACTIONS(227),
    [anon_sym_const] = ACTIONS(227),
    [anon_sym_restrict] = ACTIONS(227),
    [anon_sym_volatile] = ACTIONS(227),
    [anon_sym__Atomic] = ACTIONS(227),
    [anon_sym_unsigned] = ACTIONS(227),
    [anon_sym_long] = ACTIONS(227),
    [anon_sym_short] = ACTIONS(227),
    [sym_primitive_type] = ACTIONS(227),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_struct] = ACTIONS(227),
    [anon_sym_union] = ACTIONS(227),
    [anon_sym_if] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(227),
    [anon_sym_default] = ACTIONS(227),
    [anon_sym_while] = ACTIONS(227),
    [anon_sym_do] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(227),
    [anon_sym_continue] = ACTIONS(227),
    [anon_sym_goto] = ACTIONS(227),
    [anon_sym_AMP] = ACTIONS(225),
    [anon_sym_BANG] = ACTIONS(225),
    [anon_sym_TILDE] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(225),
    [anon_sym_PLUS_PLUS] = ACTIONS(225),
    [anon_sym_sizeof] = ACTIONS(227),
    [sym_number_literal] = ACTIONS(225),
    [sym_char_literal] = ACTIONS(225),
    [sym_string_literal] = ACTIONS(225),
    [sym_true] = ACTIONS(227),
    [sym_false] = ACTIONS(227),
    [sym_null] = ACTIONS(227),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(39),
  },
  [160] = {
    [sym_compound_statement] = STATE(314),
    [sym_parameter_list] = STATE(128),
    [aux_sym_declaration_repeat1] = STATE(315),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(241),
    [sym_comment] = ACTIONS(39),
  },
  [161] = {
    [aux_sym_declaration_repeat1] = STATE(315),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(694),
    [sym_comment] = ACTIONS(39),
  },
  [162] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(698),
    [sym_comment] = ACTIONS(39),
  },
  [163] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(700),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(703),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(706),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(709),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(711),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(714),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(709),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(709),
    [sym_preproc_directive] = ACTIONS(717),
    [anon_sym_typedef] = ACTIONS(720),
    [anon_sym_extern] = ACTIONS(723),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_auto] = ACTIONS(273),
    [anon_sym_register] = ACTIONS(273),
    [anon_sym_inline] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(276),
    [anon_sym_restrict] = ACTIONS(276),
    [anon_sym_volatile] = ACTIONS(276),
    [anon_sym__Atomic] = ACTIONS(276),
    [anon_sym_unsigned] = ACTIONS(279),
    [anon_sym_long] = ACTIONS(279),
    [anon_sym_short] = ACTIONS(279),
    [sym_primitive_type] = ACTIONS(282),
    [anon_sym_enum] = ACTIONS(285),
    [anon_sym_struct] = ACTIONS(288),
    [anon_sym_union] = ACTIONS(291),
    [sym_identifier] = ACTIONS(294),
    [sym_comment] = ACTIONS(39),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(726),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(728),
    [sym_preproc_directive] = ACTIONS(728),
    [anon_sym_typedef] = ACTIONS(728),
    [anon_sym_extern] = ACTIONS(728),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_auto] = ACTIONS(728),
    [anon_sym_register] = ACTIONS(728),
    [anon_sym_inline] = ACTIONS(728),
    [anon_sym_const] = ACTIONS(728),
    [anon_sym_restrict] = ACTIONS(728),
    [anon_sym_volatile] = ACTIONS(728),
    [anon_sym__Atomic] = ACTIONS(728),
    [anon_sym_unsigned] = ACTIONS(728),
    [anon_sym_long] = ACTIONS(728),
    [anon_sym_short] = ACTIONS(728),
    [sym_primitive_type] = ACTIONS(728),
    [anon_sym_enum] = ACTIONS(728),
    [anon_sym_struct] = ACTIONS(728),
    [anon_sym_union] = ACTIONS(728),
    [sym_identifier] = ACTIONS(728),
    [sym_comment] = ACTIONS(39),
  },
  [165] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(730),
    [sym_comment] = ACTIONS(39),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(732),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(734),
    [sym_preproc_directive] = ACTIONS(734),
    [anon_sym_typedef] = ACTIONS(734),
    [anon_sym_extern] = ACTIONS(734),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_static] = ACTIONS(734),
    [anon_sym_auto] = ACTIONS(734),
    [anon_sym_register] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(734),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_restrict] = ACTIONS(734),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym__Atomic] = ACTIONS(734),
    [anon_sym_unsigned] = ACTIONS(734),
    [anon_sym_long] = ACTIONS(734),
    [anon_sym_short] = ACTIONS(734),
    [sym_primitive_type] = ACTIONS(734),
    [anon_sym_enum] = ACTIONS(734),
    [anon_sym_struct] = ACTIONS(734),
    [anon_sym_union] = ACTIONS(734),
    [sym_identifier] = ACTIONS(734),
    [sym_comment] = ACTIONS(39),
  },
  [167] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(736),
    [sym_comment] = ACTIONS(39),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(740),
    [sym_preproc_directive] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_typedef] = ACTIONS(740),
    [anon_sym_extern] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_static] = ACTIONS(740),
    [anon_sym_auto] = ACTIONS(740),
    [anon_sym_register] = ACTIONS(740),
    [anon_sym_inline] = ACTIONS(740),
    [anon_sym_const] = ACTIONS(740),
    [anon_sym_restrict] = ACTIONS(740),
    [anon_sym_volatile] = ACTIONS(740),
    [anon_sym__Atomic] = ACTIONS(740),
    [anon_sym_unsigned] = ACTIONS(740),
    [anon_sym_long] = ACTIONS(740),
    [anon_sym_short] = ACTIONS(740),
    [sym_primitive_type] = ACTIONS(740),
    [anon_sym_enum] = ACTIONS(740),
    [anon_sym_struct] = ACTIONS(740),
    [anon_sym_union] = ACTIONS(740),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_switch] = ACTIONS(740),
    [anon_sym_case] = ACTIONS(740),
    [anon_sym_default] = ACTIONS(740),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_goto] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(738),
    [anon_sym_PLUS_PLUS] = ACTIONS(738),
    [anon_sym_sizeof] = ACTIONS(740),
    [sym_number_literal] = ACTIONS(738),
    [sym_char_literal] = ACTIONS(738),
    [sym_string_literal] = ACTIONS(738),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [sym_null] = ACTIONS(740),
    [sym_identifier] = ACTIONS(740),
    [sym_comment] = ACTIONS(39),
  },
  [169] = {
    [sym__type_declarator] = STATE(171),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [sym_type_qualifier] = STATE(319),
    [aux_sym_type_definition_repeat1] = STATE(319),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(402),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(404),
    [sym_comment] = ACTIONS(39),
  },
  [170] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [171] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [172] = {
    [sym__type_declarator] = STATE(321),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [sym_type_qualifier] = STATE(214),
    [aux_sym_type_definition_repeat1] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(404),
    [sym_comment] = ACTIONS(39),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(746),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(748),
    [sym_preproc_directive] = ACTIONS(748),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(748),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_RBRACE] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_static] = ACTIONS(748),
    [anon_sym_auto] = ACTIONS(748),
    [anon_sym_register] = ACTIONS(748),
    [anon_sym_inline] = ACTIONS(748),
    [anon_sym_const] = ACTIONS(748),
    [anon_sym_restrict] = ACTIONS(748),
    [anon_sym_volatile] = ACTIONS(748),
    [anon_sym__Atomic] = ACTIONS(748),
    [anon_sym_unsigned] = ACTIONS(748),
    [anon_sym_long] = ACTIONS(748),
    [anon_sym_short] = ACTIONS(748),
    [sym_primitive_type] = ACTIONS(748),
    [anon_sym_enum] = ACTIONS(748),
    [anon_sym_struct] = ACTIONS(748),
    [anon_sym_union] = ACTIONS(748),
    [anon_sym_if] = ACTIONS(748),
    [anon_sym_else] = ACTIONS(748),
    [anon_sym_switch] = ACTIONS(748),
    [anon_sym_case] = ACTIONS(748),
    [anon_sym_default] = ACTIONS(748),
    [anon_sym_while] = ACTIONS(748),
    [anon_sym_do] = ACTIONS(748),
    [anon_sym_for] = ACTIONS(748),
    [anon_sym_return] = ACTIONS(748),
    [anon_sym_break] = ACTIONS(748),
    [anon_sym_continue] = ACTIONS(748),
    [anon_sym_goto] = ACTIONS(748),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(748),
    [anon_sym_DASH] = ACTIONS(748),
    [anon_sym_DASH_DASH] = ACTIONS(746),
    [anon_sym_PLUS_PLUS] = ACTIONS(746),
    [anon_sym_sizeof] = ACTIONS(748),
    [sym_number_literal] = ACTIONS(746),
    [sym_char_literal] = ACTIONS(746),
    [sym_string_literal] = ACTIONS(746),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_null] = ACTIONS(748),
    [sym_identifier] = ACTIONS(748),
    [sym_comment] = ACTIONS(39),
  },
  [174] = {
    [sym__declaration_specifiers] = STATE(323),
    [sym_storage_class_specifier] = STATE(266),
    [sym_type_qualifier] = STATE(266),
    [sym__type_specifier] = STATE(264),
    [sym_sized_type_specifier] = STATE(264),
    [sym_enum_specifier] = STATE(264),
    [sym_struct_specifier] = STATE(264),
    [sym_union_specifier] = STATE(264),
    [sym__expression] = STATE(324),
    [sym_conditional_expression] = STATE(324),
    [sym_assignment_expression] = STATE(324),
    [sym_pointer_expression] = STATE(324),
    [sym_logical_expression] = STATE(324),
    [sym_bitwise_expression] = STATE(324),
    [sym_equality_expression] = STATE(324),
    [sym_relational_expression] = STATE(324),
    [sym_shift_expression] = STATE(324),
    [sym_math_expression] = STATE(324),
    [sym_cast_expression] = STATE(324),
    [sym_sizeof_expression] = STATE(324),
    [sym_subscript_expression] = STATE(324),
    [sym_call_expression] = STATE(324),
    [sym_field_expression] = STATE(324),
    [sym_compound_literal_expression] = STATE(324),
    [sym_parenthesized_expression] = STATE(324),
    [sym_concatenated_string] = STATE(324),
    [sym_macro_type_specifier] = STATE(264),
    [aux_sym__declaration_specifiers_repeat1] = STATE(266),
    [aux_sym_sized_type_specifier_repeat1] = STATE(267),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(750),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(592),
    [anon_sym_long] = ACTIONS(592),
    [anon_sym_short] = ACTIONS(592),
    [sym_primitive_type] = ACTIONS(594),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(752),
    [sym_char_literal] = ACTIONS(752),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(754),
    [sym_false] = ACTIONS(754),
    [sym_null] = ACTIONS(754),
    [sym_identifier] = ACTIONS(612),
    [sym_comment] = ACTIONS(39),
  },
  [175] = {
    [anon_sym_LPAREN] = ACTIONS(756),
    [anon_sym_RPAREN] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(756),
    [anon_sym_LBRACK] = ACTIONS(756),
    [sym_comment] = ACTIONS(39),
  },
  [176] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(760),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(762),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_typedef] = ACTIONS(762),
    [anon_sym_extern] = ACTIONS(762),
    [anon_sym_RBRACE] = ACTIONS(760),
    [anon_sym_static] = ACTIONS(762),
    [anon_sym_auto] = ACTIONS(762),
    [anon_sym_register] = ACTIONS(762),
    [anon_sym_inline] = ACTIONS(762),
    [anon_sym_const] = ACTIONS(762),
    [anon_sym_restrict] = ACTIONS(762),
    [anon_sym_volatile] = ACTIONS(762),
    [anon_sym__Atomic] = ACTIONS(762),
    [anon_sym_unsigned] = ACTIONS(762),
    [anon_sym_long] = ACTIONS(762),
    [anon_sym_short] = ACTIONS(762),
    [sym_primitive_type] = ACTIONS(762),
    [anon_sym_enum] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(762),
    [sym_identifier] = ACTIONS(762),
    [sym_comment] = ACTIONS(39),
  },
  [178] = {
    [sym_preproc_include] = STATE(327),
    [sym_preproc_def] = STATE(327),
    [sym_preproc_function_def] = STATE(327),
    [sym_preproc_call] = STATE(327),
    [sym_preproc_if] = STATE(327),
    [sym_preproc_ifdef] = STATE(327),
    [sym_function_definition] = STATE(327),
    [sym_declaration] = STATE(327),
    [sym_type_definition] = STATE(327),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(327),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(327),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(327),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(11),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(13),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [179] = {
    [sym_storage_class_specifier] = STATE(328),
    [sym_type_qualifier] = STATE(328),
    [aux_sym__declaration_specifiers_repeat1] = STATE(328),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [180] = {
    [sym_storage_class_specifier] = STATE(329),
    [sym_type_qualifier] = STATE(329),
    [aux_sym__declaration_specifiers_repeat1] = STATE(329),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [181] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(181),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_extern] = ACTIONS(315),
    [anon_sym_STAR] = ACTIONS(313),
    [anon_sym_static] = ACTIONS(315),
    [anon_sym_auto] = ACTIONS(315),
    [anon_sym_register] = ACTIONS(315),
    [anon_sym_inline] = ACTIONS(315),
    [anon_sym_const] = ACTIONS(315),
    [anon_sym_restrict] = ACTIONS(315),
    [anon_sym_volatile] = ACTIONS(315),
    [anon_sym__Atomic] = ACTIONS(315),
    [anon_sym_unsigned] = ACTIONS(766),
    [anon_sym_long] = ACTIONS(766),
    [anon_sym_short] = ACTIONS(766),
    [sym_primitive_type] = ACTIONS(315),
    [sym_identifier] = ACTIONS(315),
    [sym_comment] = ACTIONS(39),
  },
  [182] = {
    [anon_sym_LPAREN] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(769),
    [anon_sym_RPAREN] = ACTIONS(769),
    [anon_sym_SEMI] = ACTIONS(769),
    [anon_sym_extern] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(771),
    [anon_sym_auto] = ACTIONS(771),
    [anon_sym_register] = ACTIONS(771),
    [anon_sym_inline] = ACTIONS(771),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_restrict] = ACTIONS(771),
    [anon_sym_volatile] = ACTIONS(771),
    [anon_sym__Atomic] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(769),
    [anon_sym_AMP] = ACTIONS(769),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_TILDE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_DASH_DASH] = ACTIONS(769),
    [anon_sym_PLUS_PLUS] = ACTIONS(769),
    [anon_sym_sizeof] = ACTIONS(771),
    [sym_number_literal] = ACTIONS(769),
    [sym_char_literal] = ACTIONS(769),
    [sym_string_literal] = ACTIONS(769),
    [sym_true] = ACTIONS(771),
    [sym_false] = ACTIONS(771),
    [sym_null] = ACTIONS(771),
    [sym_identifier] = ACTIONS(771),
    [sym_comment] = ACTIONS(39),
  },
  [183] = {
    [sym__expression] = STATE(337),
    [sym_conditional_expression] = STATE(337),
    [sym_assignment_expression] = STATE(337),
    [sym_pointer_expression] = STATE(337),
    [sym_logical_expression] = STATE(337),
    [sym_bitwise_expression] = STATE(337),
    [sym_equality_expression] = STATE(337),
    [sym_relational_expression] = STATE(337),
    [sym_shift_expression] = STATE(337),
    [sym_math_expression] = STATE(337),
    [sym_cast_expression] = STATE(337),
    [sym_sizeof_expression] = STATE(337),
    [sym_subscript_expression] = STATE(337),
    [sym_call_expression] = STATE(337),
    [sym_field_expression] = STATE(337),
    [sym_compound_literal_expression] = STATE(337),
    [sym_parenthesized_expression] = STATE(337),
    [sym_concatenated_string] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(787),
    [sym_char_literal] = ACTIONS(787),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(791),
    [sym_false] = ACTIONS(791),
    [sym_null] = ACTIONS(791),
    [sym_identifier] = ACTIONS(791),
    [sym_comment] = ACTIONS(39),
  },
  [184] = {
    [sym_enumerator] = STATE(339),
    [anon_sym_RBRACE] = ACTIONS(793),
    [sym_identifier] = ACTIONS(179),
    [sym_comment] = ACTIONS(39),
  },
  [185] = {
    [aux_sym_enumerator_list_repeat1] = STATE(341),
    [anon_sym_COMMA] = ACTIONS(795),
    [anon_sym_RBRACE] = ACTIONS(793),
    [sym_comment] = ACTIONS(39),
  },
  [186] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym_preproc_else_in_field_declaration_list] = STATE(345),
    [sym_preproc_elif_in_field_declaration_list] = STATE(346),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(347),
    [sym_field_declaration] = STATE(347),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(347),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(797),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [187] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym_preproc_else_in_field_declaration_list] = STATE(349),
    [sym_preproc_elif_in_field_declaration_list] = STATE(350),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(351),
    [sym_field_declaration] = STATE(351),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(351),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(803),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [188] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym_preproc_else_in_field_declaration_list] = STATE(353),
    [sym_preproc_elif_in_field_declaration_list] = STATE(354),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(355),
    [sym_field_declaration] = STATE(355),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(355),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(805),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [189] = {
    [sym__field_declarator] = STATE(357),
    [sym_pointer_field_declarator] = STATE(195),
    [sym_function_field_declarator] = STATE(196),
    [sym_array_field_declarator] = STATE(197),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(807),
    [sym_identifier] = ACTIONS(478),
    [sym_comment] = ACTIONS(39),
  },
  [190] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(809),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(811),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(811),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(811),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(811),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(811),
    [anon_sym_extern] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(811),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_auto] = ACTIONS(809),
    [anon_sym_register] = ACTIONS(809),
    [anon_sym_inline] = ACTIONS(809),
    [anon_sym_const] = ACTIONS(809),
    [anon_sym_restrict] = ACTIONS(809),
    [anon_sym_volatile] = ACTIONS(809),
    [anon_sym__Atomic] = ACTIONS(809),
    [anon_sym_unsigned] = ACTIONS(809),
    [anon_sym_long] = ACTIONS(809),
    [anon_sym_short] = ACTIONS(809),
    [sym_primitive_type] = ACTIONS(809),
    [anon_sym_enum] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(809),
    [sym_identifier] = ACTIONS(809),
    [sym_comment] = ACTIONS(39),
  },
  [191] = {
    [sym__field_declarator] = STATE(358),
    [sym_pointer_field_declarator] = STATE(195),
    [sym_function_field_declarator] = STATE(196),
    [sym_array_field_declarator] = STATE(197),
    [sym_type_qualifier] = STATE(359),
    [aux_sym_type_definition_repeat1] = STATE(359),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(813),
    [sym_comment] = ACTIONS(39),
  },
  [192] = {
    [sym__expression] = STATE(367),
    [sym_conditional_expression] = STATE(367),
    [sym_assignment_expression] = STATE(367),
    [sym_pointer_expression] = STATE(367),
    [sym_logical_expression] = STATE(367),
    [sym_bitwise_expression] = STATE(367),
    [sym_equality_expression] = STATE(367),
    [sym_relational_expression] = STATE(367),
    [sym_shift_expression] = STATE(367),
    [sym_math_expression] = STATE(367),
    [sym_cast_expression] = STATE(367),
    [sym_sizeof_expression] = STATE(367),
    [sym_subscript_expression] = STATE(367),
    [sym_call_expression] = STATE(367),
    [sym_field_expression] = STATE(367),
    [sym_compound_literal_expression] = STATE(367),
    [sym_parenthesized_expression] = STATE(367),
    [sym_concatenated_string] = STATE(367),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(829),
    [sym_char_literal] = ACTIONS(829),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(833),
    [sym_false] = ACTIONS(833),
    [sym_null] = ACTIONS(833),
    [sym_identifier] = ACTIONS(833),
    [sym_comment] = ACTIONS(39),
  },
  [193] = {
    [anon_sym_LPAREN] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(835),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_SEMI] = ACTIONS(835),
    [anon_sym_LBRACK] = ACTIONS(835),
    [anon_sym_COLON] = ACTIONS(835),
    [sym_comment] = ACTIONS(39),
  },
  [194] = {
    [sym_parameter_list] = STATE(372),
    [aux_sym_field_declaration_repeat1] = STATE(373),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(837),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_LBRACK] = ACTIONS(841),
    [anon_sym_COLON] = ACTIONS(843),
    [sym_comment] = ACTIONS(39),
  },
  [195] = {
    [anon_sym_LPAREN] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(845),
    [anon_sym_RPAREN] = ACTIONS(845),
    [anon_sym_SEMI] = ACTIONS(845),
    [anon_sym_LBRACK] = ACTIONS(845),
    [anon_sym_COLON] = ACTIONS(845),
    [sym_comment] = ACTIONS(39),
  },
  [196] = {
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COMMA] = ACTIONS(847),
    [anon_sym_RPAREN] = ACTIONS(847),
    [anon_sym_SEMI] = ACTIONS(847),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(847),
    [sym_comment] = ACTIONS(39),
  },
  [197] = {
    [anon_sym_LPAREN] = ACTIONS(849),
    [anon_sym_COMMA] = ACTIONS(849),
    [anon_sym_RPAREN] = ACTIONS(849),
    [anon_sym_SEMI] = ACTIONS(849),
    [anon_sym_LBRACK] = ACTIONS(849),
    [anon_sym_COLON] = ACTIONS(849),
    [sym_comment] = ACTIONS(39),
  },
  [198] = {
    [sym_storage_class_specifier] = STATE(374),
    [sym_type_qualifier] = STATE(374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(374),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_SEMI] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(243),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [199] = {
    [anon_sym_LPAREN] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(851),
    [anon_sym_RPAREN] = ACTIONS(851),
    [anon_sym_SEMI] = ACTIONS(851),
    [anon_sym_extern] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_RBRACK] = ACTIONS(851),
    [anon_sym_static] = ACTIONS(853),
    [anon_sym_auto] = ACTIONS(853),
    [anon_sym_register] = ACTIONS(853),
    [anon_sym_inline] = ACTIONS(853),
    [anon_sym_const] = ACTIONS(853),
    [anon_sym_restrict] = ACTIONS(853),
    [anon_sym_volatile] = ACTIONS(853),
    [anon_sym__Atomic] = ACTIONS(853),
    [anon_sym_COLON] = ACTIONS(851),
    [anon_sym_AMP] = ACTIONS(851),
    [anon_sym_BANG] = ACTIONS(851),
    [anon_sym_TILDE] = ACTIONS(851),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(853),
    [anon_sym_DASH_DASH] = ACTIONS(851),
    [anon_sym_PLUS_PLUS] = ACTIONS(851),
    [anon_sym_sizeof] = ACTIONS(853),
    [sym_number_literal] = ACTIONS(851),
    [sym_char_literal] = ACTIONS(851),
    [sym_string_literal] = ACTIONS(851),
    [sym_true] = ACTIONS(853),
    [sym_false] = ACTIONS(853),
    [sym_null] = ACTIONS(853),
    [sym_identifier] = ACTIONS(853),
    [sym_comment] = ACTIONS(39),
  },
  [200] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(200),
    [sym_field_declaration] = STATE(200),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(200),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(855),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(858),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(861),
    [anon_sym_extern] = ACTIONS(864),
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_auto] = ACTIONS(864),
    [anon_sym_register] = ACTIONS(864),
    [anon_sym_inline] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(869),
    [anon_sym_restrict] = ACTIONS(869),
    [anon_sym_volatile] = ACTIONS(869),
    [anon_sym__Atomic] = ACTIONS(869),
    [anon_sym_unsigned] = ACTIONS(872),
    [anon_sym_long] = ACTIONS(872),
    [anon_sym_short] = ACTIONS(872),
    [sym_primitive_type] = ACTIONS(875),
    [anon_sym_enum] = ACTIONS(878),
    [anon_sym_struct] = ACTIONS(881),
    [anon_sym_union] = ACTIONS(884),
    [sym_identifier] = ACTIONS(887),
    [sym_comment] = ACTIONS(39),
  },
  [201] = {
    [sym_storage_class_specifier] = STATE(375),
    [sym_type_qualifier] = STATE(375),
    [aux_sym__declaration_specifiers_repeat1] = STATE(375),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_SEMI] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(243),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [202] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(202),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_SEMI] = ACTIONS(313),
    [anon_sym_extern] = ACTIONS(315),
    [anon_sym_STAR] = ACTIONS(313),
    [anon_sym_static] = ACTIONS(315),
    [anon_sym_auto] = ACTIONS(315),
    [anon_sym_register] = ACTIONS(315),
    [anon_sym_inline] = ACTIONS(315),
    [anon_sym_const] = ACTIONS(315),
    [anon_sym_restrict] = ACTIONS(315),
    [anon_sym_volatile] = ACTIONS(315),
    [anon_sym__Atomic] = ACTIONS(315),
    [anon_sym_unsigned] = ACTIONS(890),
    [anon_sym_long] = ACTIONS(890),
    [anon_sym_short] = ACTIONS(890),
    [sym_primitive_type] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(313),
    [sym_identifier] = ACTIONS(315),
    [sym_comment] = ACTIONS(39),
  },
  [203] = {
    [sym__declaration_specifiers] = STATE(217),
    [sym__abstract_declarator] = STATE(376),
    [sym_abstract_pointer_declarator] = STATE(376),
    [sym_abstract_function_declarator] = STATE(376),
    [sym_abstract_array_declarator] = STATE(376),
    [sym_storage_class_specifier] = STATE(219),
    [sym_type_qualifier] = STATE(219),
    [sym__type_specifier] = STATE(218),
    [sym_sized_type_specifier] = STATE(218),
    [sym_enum_specifier] = STATE(218),
    [sym_struct_specifier] = STATE(218),
    [sym_union_specifier] = STATE(218),
    [sym_parameter_list] = STATE(207),
    [sym_parameter_declaration] = STATE(215),
    [sym_macro_type_specifier] = STATE(218),
    [aux_sym__declaration_specifiers_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(220),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(516),
    [anon_sym_RPAREN] = ACTIONS(518),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(500),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(520),
    [anon_sym_long] = ACTIONS(520),
    [anon_sym_short] = ACTIONS(520),
    [sym_primitive_type] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [204] = {
    [sym__abstract_declarator] = STATE(377),
    [sym_abstract_pointer_declarator] = STATE(377),
    [sym_abstract_function_declarator] = STATE(377),
    [sym_abstract_array_declarator] = STATE(377),
    [sym_type_qualifier] = STATE(378),
    [sym_parameter_list] = STATE(207),
    [aux_sym_type_definition_repeat1] = STATE(378),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(895),
    [anon_sym_restrict] = ACTIONS(895),
    [anon_sym_volatile] = ACTIONS(895),
    [anon_sym__Atomic] = ACTIONS(895),
    [sym_comment] = ACTIONS(39),
  },
  [205] = {
    [sym__declaration_specifiers] = STATE(380),
    [sym_storage_class_specifier] = STATE(266),
    [sym_type_qualifier] = STATE(266),
    [sym__type_specifier] = STATE(264),
    [sym_sized_type_specifier] = STATE(264),
    [sym_enum_specifier] = STATE(264),
    [sym_struct_specifier] = STATE(264),
    [sym_union_specifier] = STATE(264),
    [sym__expression] = STATE(381),
    [sym_conditional_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_pointer_expression] = STATE(381),
    [sym_logical_expression] = STATE(381),
    [sym_bitwise_expression] = STATE(381),
    [sym_equality_expression] = STATE(381),
    [sym_relational_expression] = STATE(381),
    [sym_shift_expression] = STATE(381),
    [sym_math_expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_sizeof_expression] = STATE(381),
    [sym_subscript_expression] = STATE(381),
    [sym_call_expression] = STATE(381),
    [sym_field_expression] = STATE(381),
    [sym_compound_literal_expression] = STATE(381),
    [sym_parenthesized_expression] = STATE(381),
    [sym_concatenated_string] = STATE(381),
    [sym_macro_type_specifier] = STATE(264),
    [aux_sym__declaration_specifiers_repeat1] = STATE(266),
    [aux_sym_sized_type_specifier_repeat1] = STATE(267),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(897),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(592),
    [anon_sym_long] = ACTIONS(592),
    [anon_sym_short] = ACTIONS(592),
    [sym_primitive_type] = ACTIONS(594),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(899),
    [sym_char_literal] = ACTIONS(899),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [sym_identifier] = ACTIONS(612),
    [sym_comment] = ACTIONS(39),
  },
  [206] = {
    [sym_parameter_list] = STATE(383),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_LBRACK] = ACTIONS(905),
    [sym_comment] = ACTIONS(39),
  },
  [207] = {
    [anon_sym_LPAREN] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_LBRACK] = ACTIONS(907),
    [sym_comment] = ACTIONS(39),
  },
  [208] = {
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_extern] = ACTIONS(911),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(909),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_auto] = ACTIONS(911),
    [anon_sym_register] = ACTIONS(911),
    [anon_sym_inline] = ACTIONS(911),
    [anon_sym_const] = ACTIONS(911),
    [anon_sym_restrict] = ACTIONS(911),
    [anon_sym_volatile] = ACTIONS(911),
    [anon_sym__Atomic] = ACTIONS(911),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_DASH_DASH] = ACTIONS(909),
    [anon_sym_PLUS_PLUS] = ACTIONS(909),
    [anon_sym_sizeof] = ACTIONS(911),
    [sym_number_literal] = ACTIONS(909),
    [sym_char_literal] = ACTIONS(909),
    [sym_string_literal] = ACTIONS(909),
    [sym_true] = ACTIONS(911),
    [sym_false] = ACTIONS(911),
    [sym_null] = ACTIONS(911),
    [sym_identifier] = ACTIONS(911),
    [sym_comment] = ACTIONS(39),
  },
  [209] = {
    [sym__abstract_declarator] = STATE(384),
    [sym_abstract_pointer_declarator] = STATE(384),
    [sym_abstract_function_declarator] = STATE(384),
    [sym_abstract_array_declarator] = STATE(384),
    [sym_parameter_list] = STATE(207),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(500),
    [sym_comment] = ACTIONS(39),
  },
  [210] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(210),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_RPAREN] = ACTIONS(313),
    [anon_sym_STAR] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_unsigned] = ACTIONS(913),
    [anon_sym_long] = ACTIONS(913),
    [anon_sym_short] = ACTIONS(913),
    [sym_primitive_type] = ACTIONS(315),
    [sym_identifier] = ACTIONS(315),
    [sym_comment] = ACTIONS(39),
  },
  [211] = {
    [sym__declarator] = STATE(213),
    [sym_pointer_declarator] = STATE(213),
    [sym_function_declarator] = STATE(213),
    [sym_array_declarator] = STATE(213),
    [sym_type_qualifier] = STATE(214),
    [aux_sym_type_definition_repeat1] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(514),
    [sym_comment] = ACTIONS(39),
  },
  [212] = {
    [anon_sym_LPAREN] = ACTIONS(916),
    [anon_sym_COMMA] = ACTIONS(916),
    [anon_sym_RPAREN] = ACTIONS(916),
    [anon_sym_SEMI] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(916),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_EQ] = ACTIONS(916),
    [sym_comment] = ACTIONS(39),
  },
  [213] = {
    [sym_parameter_list] = STATE(128),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(918),
    [anon_sym_SEMI] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(918),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(918),
    [sym_comment] = ACTIONS(39),
  },
  [214] = {
    [sym_type_qualifier] = STATE(214),
    [aux_sym_type_definition_repeat1] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(418),
    [anon_sym_restrict] = ACTIONS(418),
    [anon_sym_volatile] = ACTIONS(418),
    [anon_sym__Atomic] = ACTIONS(418),
    [sym_identifier] = ACTIONS(421),
    [sym_comment] = ACTIONS(39),
  },
  [215] = {
    [aux_sym_parameter_list_repeat1] = STATE(387),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RPAREN] = ACTIONS(924),
    [sym_comment] = ACTIONS(39),
  },
  [216] = {
    [anon_sym_LPAREN] = ACTIONS(926),
    [anon_sym_COMMA] = ACTIONS(926),
    [anon_sym_RPAREN] = ACTIONS(926),
    [anon_sym_SEMI] = ACTIONS(926),
    [anon_sym_LBRACE] = ACTIONS(926),
    [anon_sym_LBRACK] = ACTIONS(926),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_COLON] = ACTIONS(926),
    [sym_comment] = ACTIONS(39),
  },
  [217] = {
    [sym__declarator] = STATE(390),
    [sym__abstract_declarator] = STATE(391),
    [sym_pointer_declarator] = STATE(390),
    [sym_abstract_pointer_declarator] = STATE(391),
    [sym_function_declarator] = STATE(390),
    [sym_abstract_function_declarator] = STATE(391),
    [sym_array_declarator] = STATE(390),
    [sym_abstract_array_declarator] = STATE(391),
    [sym_parameter_list] = STATE(207),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_COMMA] = ACTIONS(930),
    [anon_sym_RPAREN] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(500),
    [sym_identifier] = ACTIONS(934),
    [sym_comment] = ACTIONS(39),
  },
  [218] = {
    [sym_storage_class_specifier] = STATE(392),
    [sym_type_qualifier] = STATE(392),
    [aux_sym__declaration_specifiers_repeat1] = STATE(392),
    [anon_sym_LPAREN] = ACTIONS(98),
    [anon_sym_COMMA] = ACTIONS(98),
    [anon_sym_RPAREN] = ACTIONS(98),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(98),
    [anon_sym_LBRACK] = ACTIONS(98),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(100),
    [sym_comment] = ACTIONS(39),
  },
  [219] = {
    [sym_storage_class_specifier] = STATE(50),
    [sym_type_qualifier] = STATE(50),
    [sym__type_specifier] = STATE(393),
    [sym_sized_type_specifier] = STATE(393),
    [sym_enum_specifier] = STATE(393),
    [sym_struct_specifier] = STATE(393),
    [sym_union_specifier] = STATE(393),
    [sym_macro_type_specifier] = STATE(393),
    [aux_sym__declaration_specifiers_repeat1] = STATE(50),
    [aux_sym_sized_type_specifier_repeat1] = STATE(220),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(520),
    [anon_sym_long] = ACTIONS(520),
    [anon_sym_short] = ACTIONS(520),
    [sym_primitive_type] = ACTIONS(936),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [220] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(394),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_COMMA] = ACTIONS(106),
    [anon_sym_RPAREN] = ACTIONS(106),
    [anon_sym_extern] = ACTIONS(108),
    [anon_sym_STAR] = ACTIONS(106),
    [anon_sym_LBRACK] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(108),
    [anon_sym_auto] = ACTIONS(108),
    [anon_sym_register] = ACTIONS(108),
    [anon_sym_inline] = ACTIONS(108),
    [anon_sym_const] = ACTIONS(108),
    [anon_sym_restrict] = ACTIONS(108),
    [anon_sym_volatile] = ACTIONS(108),
    [anon_sym__Atomic] = ACTIONS(108),
    [anon_sym_unsigned] = ACTIONS(938),
    [anon_sym_long] = ACTIONS(938),
    [anon_sym_short] = ACTIONS(938),
    [sym_primitive_type] = ACTIONS(112),
    [sym_identifier] = ACTIONS(114),
    [sym_comment] = ACTIONS(39),
  },
  [221] = {
    [sym__declarator] = STATE(119),
    [sym_pointer_declarator] = STATE(119),
    [sym_function_declarator] = STATE(119),
    [sym_array_declarator] = STATE(119),
    [sym_type_qualifier] = STATE(395),
    [aux_sym_type_definition_repeat1] = STATE(395),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(229),
    [sym_comment] = ACTIONS(39),
  },
  [222] = {
    [sym_parameter_list] = STATE(128),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(940),
    [anon_sym_SEMI] = ACTIONS(940),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(241),
    [sym_comment] = ACTIONS(39),
  },
  [223] = {
    [anon_sym_COMMA] = ACTIONS(940),
    [anon_sym_SEMI] = ACTIONS(940),
    [sym_comment] = ACTIONS(39),
  },
  [224] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(406),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [225] = {
    [sym_preproc_arg] = ACTIONS(964),
    [sym_comment] = ACTIONS(47),
  },
  [226] = {
    [sym_identifier] = ACTIONS(966),
    [sym_comment] = ACTIONS(39),
  },
  [227] = {
    [sym_identifier] = ACTIONS(968),
    [sym_comment] = ACTIONS(39),
  },
  [228] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(970),
    [anon_sym_LPAREN] = ACTIONS(972),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(970),
    [sym_preproc_directive] = ACTIONS(970),
    [anon_sym_SEMI] = ACTIONS(972),
    [anon_sym_typedef] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_STAR] = ACTIONS(972),
    [anon_sym_static] = ACTIONS(970),
    [anon_sym_auto] = ACTIONS(970),
    [anon_sym_register] = ACTIONS(970),
    [anon_sym_inline] = ACTIONS(970),
    [anon_sym_const] = ACTIONS(970),
    [anon_sym_restrict] = ACTIONS(970),
    [anon_sym_volatile] = ACTIONS(970),
    [anon_sym__Atomic] = ACTIONS(970),
    [anon_sym_unsigned] = ACTIONS(970),
    [anon_sym_long] = ACTIONS(970),
    [anon_sym_short] = ACTIONS(970),
    [sym_primitive_type] = ACTIONS(970),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(970),
    [anon_sym_union] = ACTIONS(970),
    [anon_sym_if] = ACTIONS(970),
    [anon_sym_else] = ACTIONS(970),
    [anon_sym_switch] = ACTIONS(970),
    [anon_sym_case] = ACTIONS(970),
    [anon_sym_default] = ACTIONS(970),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_do] = ACTIONS(970),
    [anon_sym_for] = ACTIONS(970),
    [anon_sym_return] = ACTIONS(970),
    [anon_sym_break] = ACTIONS(970),
    [anon_sym_continue] = ACTIONS(970),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_AMP] = ACTIONS(972),
    [anon_sym_BANG] = ACTIONS(972),
    [anon_sym_TILDE] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(970),
    [anon_sym_DASH] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(972),
    [anon_sym_PLUS_PLUS] = ACTIONS(972),
    [anon_sym_sizeof] = ACTIONS(970),
    [sym_number_literal] = ACTIONS(972),
    [sym_char_literal] = ACTIONS(972),
    [sym_string_literal] = ACTIONS(972),
    [sym_true] = ACTIONS(970),
    [sym_false] = ACTIONS(970),
    [sym_null] = ACTIONS(970),
    [sym_identifier] = ACTIONS(970),
    [sym_comment] = ACTIONS(39),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(974),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(976),
    [anon_sym_LPAREN] = ACTIONS(974),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(976),
    [sym_preproc_directive] = ACTIONS(976),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_typedef] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(976),
    [anon_sym_auto] = ACTIONS(976),
    [anon_sym_register] = ACTIONS(976),
    [anon_sym_inline] = ACTIONS(976),
    [anon_sym_const] = ACTIONS(976),
    [anon_sym_restrict] = ACTIONS(976),
    [anon_sym_volatile] = ACTIONS(976),
    [anon_sym__Atomic] = ACTIONS(976),
    [anon_sym_unsigned] = ACTIONS(976),
    [anon_sym_long] = ACTIONS(976),
    [anon_sym_short] = ACTIONS(976),
    [sym_primitive_type] = ACTIONS(976),
    [anon_sym_enum] = ACTIONS(976),
    [anon_sym_struct] = ACTIONS(976),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(976),
    [anon_sym_else] = ACTIONS(976),
    [anon_sym_switch] = ACTIONS(976),
    [anon_sym_case] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(976),
    [anon_sym_do] = ACTIONS(976),
    [anon_sym_for] = ACTIONS(976),
    [anon_sym_return] = ACTIONS(976),
    [anon_sym_break] = ACTIONS(976),
    [anon_sym_continue] = ACTIONS(976),
    [anon_sym_goto] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(974),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_sizeof] = ACTIONS(976),
    [sym_number_literal] = ACTIONS(974),
    [sym_char_literal] = ACTIONS(974),
    [sym_string_literal] = ACTIONS(974),
    [sym_true] = ACTIONS(976),
    [sym_false] = ACTIONS(976),
    [sym_null] = ACTIONS(976),
    [sym_identifier] = ACTIONS(976),
    [sym_comment] = ACTIONS(39),
  },
  [230] = {
    [sym__expression] = STATE(410),
    [sym_conditional_expression] = STATE(410),
    [sym_assignment_expression] = STATE(410),
    [sym_pointer_expression] = STATE(410),
    [sym_logical_expression] = STATE(410),
    [sym_bitwise_expression] = STATE(410),
    [sym_equality_expression] = STATE(410),
    [sym_relational_expression] = STATE(410),
    [sym_shift_expression] = STATE(410),
    [sym_math_expression] = STATE(410),
    [sym_cast_expression] = STATE(410),
    [sym_sizeof_expression] = STATE(410),
    [sym_subscript_expression] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_field_expression] = STATE(410),
    [sym_compound_literal_expression] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_concatenated_string] = STATE(410),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(978),
    [sym_char_literal] = ACTIONS(978),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_identifier] = ACTIONS(980),
    [sym_comment] = ACTIONS(39),
  },
  [231] = {
    [anon_sym_LPAREN] = ACTIONS(982),
    [sym_comment] = ACTIONS(39),
  },
  [232] = {
    [anon_sym_LPAREN] = ACTIONS(984),
    [sym_comment] = ACTIONS(39),
  },
  [233] = {
    [sym__expression] = STATE(420),
    [sym_conditional_expression] = STATE(420),
    [sym_assignment_expression] = STATE(420),
    [sym_pointer_expression] = STATE(420),
    [sym_logical_expression] = STATE(420),
    [sym_bitwise_expression] = STATE(420),
    [sym_equality_expression] = STATE(420),
    [sym_relational_expression] = STATE(420),
    [sym_shift_expression] = STATE(420),
    [sym_math_expression] = STATE(420),
    [sym_cast_expression] = STATE(420),
    [sym_sizeof_expression] = STATE(420),
    [sym_subscript_expression] = STATE(420),
    [sym_call_expression] = STATE(420),
    [sym_field_expression] = STATE(420),
    [sym_compound_literal_expression] = STATE(420),
    [sym_parenthesized_expression] = STATE(420),
    [sym_concatenated_string] = STATE(420),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1000),
    [sym_char_literal] = ACTIONS(1000),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1004),
    [sym_false] = ACTIONS(1004),
    [sym_null] = ACTIONS(1004),
    [sym_identifier] = ACTIONS(1004),
    [sym_comment] = ACTIONS(39),
  },
  [234] = {
    [anon_sym_COLON] = ACTIONS(1006),
    [sym_comment] = ACTIONS(39),
  },
  [235] = {
    [anon_sym_LPAREN] = ACTIONS(1008),
    [sym_comment] = ACTIONS(39),
  },
  [236] = {
    [sym_compound_statement] = STATE(430),
    [sym_labeled_statement] = STATE(430),
    [sym_expression_statement] = STATE(430),
    [sym_if_statement] = STATE(430),
    [sym_switch_statement] = STATE(430),
    [sym_case_statement] = STATE(430),
    [sym_while_statement] = STATE(430),
    [sym_do_statement] = STATE(430),
    [sym_for_statement] = STATE(430),
    [sym_return_statement] = STATE(430),
    [sym_break_statement] = STATE(430),
    [sym_continue_statement] = STATE(430),
    [sym_goto_statement] = STATE(430),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [237] = {
    [anon_sym_LPAREN] = ACTIONS(1024),
    [sym_comment] = ACTIONS(39),
  },
  [238] = {
    [sym__expression] = STATE(433),
    [sym_conditional_expression] = STATE(433),
    [sym_assignment_expression] = STATE(433),
    [sym_pointer_expression] = STATE(433),
    [sym_logical_expression] = STATE(433),
    [sym_bitwise_expression] = STATE(433),
    [sym_equality_expression] = STATE(433),
    [sym_relational_expression] = STATE(433),
    [sym_shift_expression] = STATE(433),
    [sym_math_expression] = STATE(433),
    [sym_cast_expression] = STATE(433),
    [sym_sizeof_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym_call_expression] = STATE(433),
    [sym_field_expression] = STATE(433),
    [sym_compound_literal_expression] = STATE(433),
    [sym_parenthesized_expression] = STATE(433),
    [sym_concatenated_string] = STATE(433),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(1026),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(1028),
    [sym_char_literal] = ACTIONS(1028),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(1030),
    [sym_false] = ACTIONS(1030),
    [sym_null] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1030),
    [sym_comment] = ACTIONS(39),
  },
  [239] = {
    [anon_sym_SEMI] = ACTIONS(1032),
    [sym_comment] = ACTIONS(39),
  },
  [240] = {
    [anon_sym_SEMI] = ACTIONS(1034),
    [sym_comment] = ACTIONS(39),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1036),
    [sym_comment] = ACTIONS(39),
  },
  [242] = {
    [sym__expression] = STATE(437),
    [sym_conditional_expression] = STATE(437),
    [sym_assignment_expression] = STATE(437),
    [sym_pointer_expression] = STATE(437),
    [sym_logical_expression] = STATE(437),
    [sym_bitwise_expression] = STATE(437),
    [sym_equality_expression] = STATE(437),
    [sym_relational_expression] = STATE(437),
    [sym_shift_expression] = STATE(437),
    [sym_math_expression] = STATE(437),
    [sym_cast_expression] = STATE(437),
    [sym_sizeof_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_call_expression] = STATE(437),
    [sym_field_expression] = STATE(437),
    [sym_compound_literal_expression] = STATE(437),
    [sym_parenthesized_expression] = STATE(437),
    [sym_concatenated_string] = STATE(437),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1038),
    [sym_char_literal] = ACTIONS(1038),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_null] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1040),
    [sym_comment] = ACTIONS(39),
  },
  [243] = {
    [sym__expression] = STATE(438),
    [sym_conditional_expression] = STATE(438),
    [sym_assignment_expression] = STATE(438),
    [sym_pointer_expression] = STATE(438),
    [sym_logical_expression] = STATE(438),
    [sym_bitwise_expression] = STATE(438),
    [sym_equality_expression] = STATE(438),
    [sym_relational_expression] = STATE(438),
    [sym_shift_expression] = STATE(438),
    [sym_math_expression] = STATE(438),
    [sym_cast_expression] = STATE(438),
    [sym_sizeof_expression] = STATE(438),
    [sym_subscript_expression] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_field_expression] = STATE(438),
    [sym_compound_literal_expression] = STATE(438),
    [sym_parenthesized_expression] = STATE(438),
    [sym_concatenated_string] = STATE(438),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1042),
    [sym_char_literal] = ACTIONS(1042),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [sym_null] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1044),
    [sym_comment] = ACTIONS(39),
  },
  [244] = {
    [sym__expression] = STATE(439),
    [sym_conditional_expression] = STATE(439),
    [sym_assignment_expression] = STATE(439),
    [sym_pointer_expression] = STATE(439),
    [sym_logical_expression] = STATE(439),
    [sym_bitwise_expression] = STATE(439),
    [sym_equality_expression] = STATE(439),
    [sym_relational_expression] = STATE(439),
    [sym_shift_expression] = STATE(439),
    [sym_math_expression] = STATE(439),
    [sym_cast_expression] = STATE(439),
    [sym_sizeof_expression] = STATE(439),
    [sym_subscript_expression] = STATE(439),
    [sym_call_expression] = STATE(439),
    [sym_field_expression] = STATE(439),
    [sym_compound_literal_expression] = STATE(439),
    [sym_parenthesized_expression] = STATE(439),
    [sym_concatenated_string] = STATE(439),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1046),
    [sym_char_literal] = ACTIONS(1046),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [sym_null] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1048),
    [sym_comment] = ACTIONS(39),
  },
  [245] = {
    [sym__expression] = STATE(441),
    [sym_conditional_expression] = STATE(441),
    [sym_assignment_expression] = STATE(441),
    [sym_pointer_expression] = STATE(441),
    [sym_logical_expression] = STATE(441),
    [sym_bitwise_expression] = STATE(441),
    [sym_equality_expression] = STATE(441),
    [sym_relational_expression] = STATE(441),
    [sym_shift_expression] = STATE(441),
    [sym_math_expression] = STATE(441),
    [sym_cast_expression] = STATE(441),
    [sym_sizeof_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym_call_expression] = STATE(441),
    [sym_field_expression] = STATE(441),
    [sym_compound_literal_expression] = STATE(441),
    [sym_parenthesized_expression] = STATE(441),
    [sym_concatenated_string] = STATE(441),
    [anon_sym_LPAREN] = ACTIONS(1050),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1052),
    [sym_char_literal] = ACTIONS(1052),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [sym_null] = ACTIONS(1054),
    [sym_identifier] = ACTIONS(1054),
    [sym_comment] = ACTIONS(39),
  },
  [246] = {
    [aux_sym_concatenated_string_repeat1] = STATE(442),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_string_literal] = ACTIONS(1060),
    [sym_comment] = ACTIONS(39),
  },
  [247] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1066),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(1072),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [248] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1074),
    [sym_preproc_directive] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(1076),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_auto] = ACTIONS(1074),
    [anon_sym_register] = ACTIONS(1074),
    [anon_sym_inline] = ACTIONS(1074),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_restrict] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym__Atomic] = ACTIONS(1074),
    [anon_sym_unsigned] = ACTIONS(1074),
    [anon_sym_long] = ACTIONS(1074),
    [anon_sym_short] = ACTIONS(1074),
    [sym_primitive_type] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_struct] = ACTIONS(1074),
    [anon_sym_union] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_case] = ACTIONS(1074),
    [anon_sym_default] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_do] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_goto] = ACTIONS(1074),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [anon_sym_sizeof] = ACTIONS(1074),
    [sym_number_literal] = ACTIONS(1076),
    [sym_char_literal] = ACTIONS(1076),
    [sym_string_literal] = ACTIONS(1076),
    [sym_true] = ACTIONS(1074),
    [sym_false] = ACTIONS(1074),
    [sym_null] = ACTIONS(1074),
    [sym_identifier] = ACTIONS(1074),
    [sym_comment] = ACTIONS(39),
  },
  [249] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1078),
    [sym_preproc_directive] = ACTIONS(1078),
    [anon_sym_SEMI] = ACTIONS(1080),
    [anon_sym_typedef] = ACTIONS(1078),
    [anon_sym_extern] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_static] = ACTIONS(1078),
    [anon_sym_auto] = ACTIONS(1078),
    [anon_sym_register] = ACTIONS(1078),
    [anon_sym_inline] = ACTIONS(1078),
    [anon_sym_const] = ACTIONS(1078),
    [anon_sym_restrict] = ACTIONS(1078),
    [anon_sym_volatile] = ACTIONS(1078),
    [anon_sym__Atomic] = ACTIONS(1078),
    [anon_sym_unsigned] = ACTIONS(1078),
    [anon_sym_long] = ACTIONS(1078),
    [anon_sym_short] = ACTIONS(1078),
    [sym_primitive_type] = ACTIONS(1078),
    [anon_sym_enum] = ACTIONS(1078),
    [anon_sym_struct] = ACTIONS(1078),
    [anon_sym_union] = ACTIONS(1078),
    [anon_sym_if] = ACTIONS(1078),
    [anon_sym_switch] = ACTIONS(1078),
    [anon_sym_case] = ACTIONS(1078),
    [anon_sym_default] = ACTIONS(1078),
    [anon_sym_while] = ACTIONS(1078),
    [anon_sym_do] = ACTIONS(1078),
    [anon_sym_for] = ACTIONS(1078),
    [anon_sym_return] = ACTIONS(1078),
    [anon_sym_break] = ACTIONS(1078),
    [anon_sym_continue] = ACTIONS(1078),
    [anon_sym_goto] = ACTIONS(1078),
    [anon_sym_AMP] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_sizeof] = ACTIONS(1078),
    [sym_number_literal] = ACTIONS(1080),
    [sym_char_literal] = ACTIONS(1080),
    [sym_string_literal] = ACTIONS(1080),
    [sym_true] = ACTIONS(1078),
    [sym_false] = ACTIONS(1078),
    [sym_null] = ACTIONS(1078),
    [sym_identifier] = ACTIONS(1078),
    [sym_comment] = ACTIONS(39),
  },
  [250] = {
    [sym__declarator] = STATE(444),
    [sym_pointer_declarator] = STATE(444),
    [sym_function_declarator] = STATE(444),
    [sym_array_declarator] = STATE(444),
    [sym_init_declarator] = STATE(46),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_SEMI] = ACTIONS(92),
    [anon_sym_STAR] = ACTIONS(524),
    [sym_identifier] = ACTIONS(1082),
    [sym_comment] = ACTIONS(39),
  },
  [251] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(1088),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1094),
    [anon_sym_QMARK] = ACTIONS(1096),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [252] = {
    [anon_sym_SEMI] = ACTIONS(1088),
    [sym_comment] = ACTIONS(39),
  },
  [253] = {
    [sym_preproc_include] = STATE(465),
    [sym_preproc_def] = STATE(465),
    [sym_preproc_function_def] = STATE(465),
    [sym_preproc_call] = STATE(465),
    [sym_preproc_if_in_compound_statement] = STATE(248),
    [sym_preproc_ifdef_in_compound_statement] = STATE(249),
    [sym_declaration] = STATE(465),
    [sym_type_definition] = STATE(465),
    [sym__declaration_specifiers] = STATE(250),
    [sym_compound_statement] = STATE(465),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_case_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_goto_statement] = STATE(465),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym__empty_declaration] = STATE(465),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(534),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(536),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(538),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [sym_comment] = ACTIONS(39),
  },
  [254] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(466),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [255] = {
    [sym__expression] = STATE(410),
    [sym_conditional_expression] = STATE(410),
    [sym_assignment_expression] = STATE(410),
    [sym_pointer_expression] = STATE(410),
    [sym_logical_expression] = STATE(410),
    [sym_bitwise_expression] = STATE(410),
    [sym_equality_expression] = STATE(410),
    [sym_relational_expression] = STATE(410),
    [sym_shift_expression] = STATE(410),
    [sym_math_expression] = STATE(410),
    [sym_cast_expression] = STATE(410),
    [sym_sizeof_expression] = STATE(410),
    [sym_subscript_expression] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_field_expression] = STATE(410),
    [sym_compound_literal_expression] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_concatenated_string] = STATE(410),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(978),
    [sym_char_literal] = ACTIONS(978),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_identifier] = ACTIONS(980),
    [sym_comment] = ACTIONS(39),
  },
  [256] = {
    [anon_sym_LPAREN] = ACTIONS(1126),
    [anon_sym_COMMA] = ACTIONS(1126),
    [anon_sym_RPAREN] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_EQ] = ACTIONS(1126),
    [sym_comment] = ACTIONS(39),
  },
  [257] = {
    [sym__expression] = STATE(437),
    [sym_conditional_expression] = STATE(437),
    [sym_assignment_expression] = STATE(437),
    [sym_pointer_expression] = STATE(437),
    [sym_logical_expression] = STATE(437),
    [sym_bitwise_expression] = STATE(437),
    [sym_equality_expression] = STATE(437),
    [sym_relational_expression] = STATE(437),
    [sym_shift_expression] = STATE(437),
    [sym_math_expression] = STATE(437),
    [sym_cast_expression] = STATE(437),
    [sym_sizeof_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_call_expression] = STATE(437),
    [sym_field_expression] = STATE(437),
    [sym_compound_literal_expression] = STATE(437),
    [sym_parenthesized_expression] = STATE(437),
    [sym_concatenated_string] = STATE(437),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1038),
    [sym_char_literal] = ACTIONS(1038),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_null] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1040),
    [sym_comment] = ACTIONS(39),
  },
  [258] = {
    [sym__expression] = STATE(438),
    [sym_conditional_expression] = STATE(438),
    [sym_assignment_expression] = STATE(438),
    [sym_pointer_expression] = STATE(438),
    [sym_logical_expression] = STATE(438),
    [sym_bitwise_expression] = STATE(438),
    [sym_equality_expression] = STATE(438),
    [sym_relational_expression] = STATE(438),
    [sym_shift_expression] = STATE(438),
    [sym_math_expression] = STATE(438),
    [sym_cast_expression] = STATE(438),
    [sym_sizeof_expression] = STATE(438),
    [sym_subscript_expression] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_field_expression] = STATE(438),
    [sym_compound_literal_expression] = STATE(438),
    [sym_parenthesized_expression] = STATE(438),
    [sym_concatenated_string] = STATE(438),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1042),
    [sym_char_literal] = ACTIONS(1042),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [sym_null] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1044),
    [sym_comment] = ACTIONS(39),
  },
  [259] = {
    [sym__expression] = STATE(439),
    [sym_conditional_expression] = STATE(439),
    [sym_assignment_expression] = STATE(439),
    [sym_pointer_expression] = STATE(439),
    [sym_logical_expression] = STATE(439),
    [sym_bitwise_expression] = STATE(439),
    [sym_equality_expression] = STATE(439),
    [sym_relational_expression] = STATE(439),
    [sym_shift_expression] = STATE(439),
    [sym_math_expression] = STATE(439),
    [sym_cast_expression] = STATE(439),
    [sym_sizeof_expression] = STATE(439),
    [sym_subscript_expression] = STATE(439),
    [sym_call_expression] = STATE(439),
    [sym_field_expression] = STATE(439),
    [sym_compound_literal_expression] = STATE(439),
    [sym_parenthesized_expression] = STATE(439),
    [sym_concatenated_string] = STATE(439),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1046),
    [sym_char_literal] = ACTIONS(1046),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [sym_null] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1048),
    [sym_comment] = ACTIONS(39),
  },
  [260] = {
    [sym__expression] = STATE(468),
    [sym_conditional_expression] = STATE(468),
    [sym_assignment_expression] = STATE(468),
    [sym_pointer_expression] = STATE(468),
    [sym_logical_expression] = STATE(468),
    [sym_bitwise_expression] = STATE(468),
    [sym_equality_expression] = STATE(468),
    [sym_relational_expression] = STATE(468),
    [sym_shift_expression] = STATE(468),
    [sym_math_expression] = STATE(468),
    [sym_cast_expression] = STATE(468),
    [sym_sizeof_expression] = STATE(468),
    [sym_subscript_expression] = STATE(468),
    [sym_call_expression] = STATE(468),
    [sym_field_expression] = STATE(468),
    [sym_compound_literal_expression] = STATE(468),
    [sym_parenthesized_expression] = STATE(468),
    [sym_concatenated_string] = STATE(468),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1130),
    [sym_char_literal] = ACTIONS(1130),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [sym_null] = ACTIONS(1132),
    [sym_identifier] = ACTIONS(1132),
    [sym_comment] = ACTIONS(39),
  },
  [261] = {
    [aux_sym_concatenated_string_repeat1] = STATE(469),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_RBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_string_literal] = ACTIONS(1134),
    [sym_comment] = ACTIONS(39),
  },
  [262] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_RBRACK] = ACTIONS(1066),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1069),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(86),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(84),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1066),
    [anon_sym_sizeof] = ACTIONS(86),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_number_literal] = ACTIONS(84),
    [sym_char_literal] = ACTIONS(84),
    [sym_string_literal] = ACTIONS(84),
    [sym_true] = ACTIONS(86),
    [sym_false] = ACTIONS(86),
    [sym_null] = ACTIONS(86),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [263] = {
    [sym__expression] = STATE(471),
    [sym_conditional_expression] = STATE(471),
    [sym_assignment_expression] = STATE(471),
    [sym_pointer_expression] = STATE(471),
    [sym_logical_expression] = STATE(471),
    [sym_bitwise_expression] = STATE(471),
    [sym_equality_expression] = STATE(471),
    [sym_relational_expression] = STATE(471),
    [sym_shift_expression] = STATE(471),
    [sym_math_expression] = STATE(471),
    [sym_cast_expression] = STATE(471),
    [sym_sizeof_expression] = STATE(471),
    [sym_subscript_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_field_expression] = STATE(471),
    [sym_compound_literal_expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_concatenated_string] = STATE(471),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1138),
    [sym_char_literal] = ACTIONS(1138),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [sym_null] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(1140),
    [sym_comment] = ACTIONS(39),
  },
  [264] = {
    [sym_storage_class_specifier] = STATE(472),
    [sym_type_qualifier] = STATE(472),
    [aux_sym__declaration_specifiers_repeat1] = STATE(472),
    [anon_sym_LPAREN] = ACTIONS(98),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(98),
    [anon_sym_RBRACK] = ACTIONS(98),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(98),
    [anon_sym_BANG] = ACTIONS(98),
    [anon_sym_TILDE] = ACTIONS(98),
    [anon_sym_PLUS] = ACTIONS(100),
    [anon_sym_DASH] = ACTIONS(100),
    [anon_sym_DASH_DASH] = ACTIONS(98),
    [anon_sym_PLUS_PLUS] = ACTIONS(98),
    [anon_sym_sizeof] = ACTIONS(100),
    [sym_number_literal] = ACTIONS(98),
    [sym_char_literal] = ACTIONS(98),
    [sym_string_literal] = ACTIONS(98),
    [sym_true] = ACTIONS(100),
    [sym_false] = ACTIONS(100),
    [sym_null] = ACTIONS(100),
    [sym_identifier] = ACTIONS(100),
    [sym_comment] = ACTIONS(39),
  },
  [265] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1136),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [266] = {
    [sym_storage_class_specifier] = STATE(50),
    [sym_type_qualifier] = STATE(50),
    [sym__type_specifier] = STATE(485),
    [sym_sized_type_specifier] = STATE(485),
    [sym_enum_specifier] = STATE(485),
    [sym_struct_specifier] = STATE(485),
    [sym_union_specifier] = STATE(485),
    [sym_macro_type_specifier] = STATE(485),
    [aux_sym__declaration_specifiers_repeat1] = STATE(50),
    [aux_sym_sized_type_specifier_repeat1] = STATE(267),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(592),
    [anon_sym_long] = ACTIONS(592),
    [anon_sym_short] = ACTIONS(592),
    [sym_primitive_type] = ACTIONS(1170),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [267] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(486),
    [anon_sym_LPAREN] = ACTIONS(106),
    [anon_sym_extern] = ACTIONS(108),
    [anon_sym_STAR] = ACTIONS(106),
    [anon_sym_RBRACK] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(108),
    [anon_sym_auto] = ACTIONS(108),
    [anon_sym_register] = ACTIONS(108),
    [anon_sym_inline] = ACTIONS(108),
    [anon_sym_const] = ACTIONS(108),
    [anon_sym_restrict] = ACTIONS(108),
    [anon_sym_volatile] = ACTIONS(108),
    [anon_sym__Atomic] = ACTIONS(108),
    [anon_sym_unsigned] = ACTIONS(1172),
    [anon_sym_long] = ACTIONS(1172),
    [anon_sym_short] = ACTIONS(1172),
    [sym_primitive_type] = ACTIONS(112),
    [anon_sym_AMP] = ACTIONS(106),
    [anon_sym_BANG] = ACTIONS(106),
    [anon_sym_TILDE] = ACTIONS(106),
    [anon_sym_PLUS] = ACTIONS(108),
    [anon_sym_DASH] = ACTIONS(108),
    [anon_sym_DASH_DASH] = ACTIONS(106),
    [anon_sym_PLUS_PLUS] = ACTIONS(106),
    [anon_sym_sizeof] = ACTIONS(108),
    [sym_number_literal] = ACTIONS(106),
    [sym_char_literal] = ACTIONS(106),
    [sym_string_literal] = ACTIONS(106),
    [sym_true] = ACTIONS(108),
    [sym_false] = ACTIONS(108),
    [sym_null] = ACTIONS(108),
    [sym_identifier] = ACTIONS(114),
    [sym_comment] = ACTIONS(39),
  },
  [268] = {
    [sym__expression] = STATE(491),
    [sym_conditional_expression] = STATE(491),
    [sym_assignment_expression] = STATE(491),
    [sym_pointer_expression] = STATE(491),
    [sym_logical_expression] = STATE(491),
    [sym_bitwise_expression] = STATE(491),
    [sym_equality_expression] = STATE(491),
    [sym_relational_expression] = STATE(491),
    [sym_shift_expression] = STATE(491),
    [sym_math_expression] = STATE(491),
    [sym_cast_expression] = STATE(491),
    [sym_sizeof_expression] = STATE(491),
    [sym_subscript_expression] = STATE(491),
    [sym_call_expression] = STATE(491),
    [sym_field_expression] = STATE(491),
    [sym_compound_literal_expression] = STATE(491),
    [sym_parenthesized_expression] = STATE(491),
    [sym_initializer_list] = STATE(492),
    [sym_initializer_pair] = STATE(492),
    [sym_subscript_designator] = STATE(493),
    [sym_field_designator] = STATE(493),
    [sym_concatenated_string] = STATE(491),
    [aux_sym_initializer_pair_repeat1] = STATE(493),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [anon_sym_DOT] = ACTIONS(1180),
    [sym_number_literal] = ACTIONS(1182),
    [sym_char_literal] = ACTIONS(1182),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(1184),
    [sym_false] = ACTIONS(1184),
    [sym_null] = ACTIONS(1184),
    [sym_identifier] = ACTIONS(1184),
    [sym_comment] = ACTIONS(39),
  },
  [269] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1094),
    [anon_sym_QMARK] = ACTIONS(1096),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [270] = {
    [anon_sym_COMMA] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [sym_comment] = ACTIONS(39),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(1188),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_sizeof] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1188),
    [sym_char_literal] = ACTIONS(1188),
    [sym_string_literal] = ACTIONS(1188),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [sym_null] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(1190),
    [sym_comment] = ACTIONS(39),
  },
  [272] = {
    [aux_sym_declaration_repeat1] = STATE(272),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(940),
    [sym_comment] = ACTIONS(39),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1195),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1197),
    [sym_preproc_directive] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_RBRACE] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1197),
    [anon_sym_auto] = ACTIONS(1197),
    [anon_sym_register] = ACTIONS(1197),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_restrict] = ACTIONS(1197),
    [anon_sym_volatile] = ACTIONS(1197),
    [anon_sym__Atomic] = ACTIONS(1197),
    [anon_sym_unsigned] = ACTIONS(1197),
    [anon_sym_long] = ACTIONS(1197),
    [anon_sym_short] = ACTIONS(1197),
    [sym_primitive_type] = ACTIONS(1197),
    [anon_sym_enum] = ACTIONS(1197),
    [anon_sym_struct] = ACTIONS(1197),
    [anon_sym_union] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1197),
    [anon_sym_switch] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1197),
    [anon_sym_default] = ACTIONS(1197),
    [anon_sym_while] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(1197),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_return] = ACTIONS(1197),
    [anon_sym_break] = ACTIONS(1197),
    [anon_sym_continue] = ACTIONS(1197),
    [anon_sym_goto] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_DASH_DASH] = ACTIONS(1195),
    [anon_sym_PLUS_PLUS] = ACTIONS(1195),
    [anon_sym_sizeof] = ACTIONS(1197),
    [sym_number_literal] = ACTIONS(1195),
    [sym_char_literal] = ACTIONS(1195),
    [sym_string_literal] = ACTIONS(1195),
    [sym_true] = ACTIONS(1197),
    [sym_false] = ACTIONS(1197),
    [sym_null] = ACTIONS(1197),
    [sym_identifier] = ACTIONS(1197),
    [sym_comment] = ACTIONS(39),
  },
  [274] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(39),
  },
  [275] = {
    [anon_sym_LF] = ACTIONS(1201),
    [sym_preproc_arg] = ACTIONS(1201),
    [sym_comment] = ACTIONS(47),
  },
  [276] = {
    [aux_sym_preproc_params_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(636),
    [anon_sym_RPAREN] = ACTIONS(1203),
    [sym_comment] = ACTIONS(39),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(1205),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1205),
    [sym_char_literal] = ACTIONS(1205),
    [sym_string_literal] = ACTIONS(1205),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [sym_null] = ACTIONS(1207),
    [sym_identifier] = ACTIONS(1207),
    [sym_comment] = ACTIONS(39),
  },
  [278] = {
    [sym_preproc_arg] = ACTIONS(1209),
    [sym_comment] = ACTIONS(47),
  },
  [279] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(324),
    [anon_sym_LPAREN] = ACTIONS(322),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(324),
    [sym_preproc_directive] = ACTIONS(324),
    [anon_sym_SEMI] = ACTIONS(322),
    [anon_sym_typedef] = ACTIONS(324),
    [anon_sym_extern] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(322),
    [anon_sym_STAR] = ACTIONS(322),
    [anon_sym_static] = ACTIONS(324),
    [anon_sym_auto] = ACTIONS(324),
    [anon_sym_register] = ACTIONS(324),
    [anon_sym_inline] = ACTIONS(324),
    [anon_sym_const] = ACTIONS(324),
    [anon_sym_restrict] = ACTIONS(324),
    [anon_sym_volatile] = ACTIONS(324),
    [anon_sym__Atomic] = ACTIONS(324),
    [anon_sym_unsigned] = ACTIONS(324),
    [anon_sym_long] = ACTIONS(324),
    [anon_sym_short] = ACTIONS(324),
    [sym_primitive_type] = ACTIONS(324),
    [anon_sym_enum] = ACTIONS(324),
    [anon_sym_struct] = ACTIONS(324),
    [anon_sym_union] = ACTIONS(324),
    [anon_sym_if] = ACTIONS(324),
    [anon_sym_switch] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(324),
    [anon_sym_default] = ACTIONS(324),
    [anon_sym_while] = ACTIONS(324),
    [anon_sym_do] = ACTIONS(324),
    [anon_sym_for] = ACTIONS(324),
    [anon_sym_return] = ACTIONS(324),
    [anon_sym_break] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(324),
    [anon_sym_goto] = ACTIONS(324),
    [anon_sym_AMP] = ACTIONS(322),
    [anon_sym_BANG] = ACTIONS(322),
    [anon_sym_TILDE] = ACTIONS(322),
    [anon_sym_PLUS] = ACTIONS(324),
    [anon_sym_DASH] = ACTIONS(324),
    [anon_sym_DASH_DASH] = ACTIONS(322),
    [anon_sym_PLUS_PLUS] = ACTIONS(322),
    [anon_sym_sizeof] = ACTIONS(324),
    [sym_number_literal] = ACTIONS(322),
    [sym_char_literal] = ACTIONS(322),
    [sym_string_literal] = ACTIONS(322),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_null] = ACTIONS(324),
    [sym_identifier] = ACTIONS(324),
    [sym_comment] = ACTIONS(39),
  },
  [280] = {
    [anon_sym_LF] = ACTIONS(1211),
    [sym_preproc_arg] = ACTIONS(1213),
    [sym_comment] = ACTIONS(47),
  },
  [281] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(342),
    [sym_preproc_directive] = ACTIONS(342),
    [anon_sym_typedef] = ACTIONS(342),
    [anon_sym_extern] = ACTIONS(342),
    [anon_sym_static] = ACTIONS(342),
    [anon_sym_auto] = ACTIONS(342),
    [anon_sym_register] = ACTIONS(342),
    [anon_sym_inline] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(342),
    [anon_sym_restrict] = ACTIONS(342),
    [anon_sym_volatile] = ACTIONS(342),
    [anon_sym__Atomic] = ACTIONS(342),
    [anon_sym_unsigned] = ACTIONS(342),
    [anon_sym_long] = ACTIONS(342),
    [anon_sym_short] = ACTIONS(342),
    [sym_primitive_type] = ACTIONS(342),
    [anon_sym_enum] = ACTIONS(342),
    [anon_sym_struct] = ACTIONS(342),
    [anon_sym_union] = ACTIONS(342),
    [sym_identifier] = ACTIONS(342),
    [sym_comment] = ACTIONS(39),
  },
  [282] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1215),
    [sym_comment] = ACTIONS(39),
  },
  [283] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(501),
    [sym_preproc_elif] = STATE(501),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1217),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [284] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(386),
    [sym_preproc_directive] = ACTIONS(386),
    [anon_sym_typedef] = ACTIONS(386),
    [anon_sym_extern] = ACTIONS(386),
    [anon_sym_static] = ACTIONS(386),
    [anon_sym_auto] = ACTIONS(386),
    [anon_sym_register] = ACTIONS(386),
    [anon_sym_inline] = ACTIONS(386),
    [anon_sym_const] = ACTIONS(386),
    [anon_sym_restrict] = ACTIONS(386),
    [anon_sym_volatile] = ACTIONS(386),
    [anon_sym__Atomic] = ACTIONS(386),
    [anon_sym_unsigned] = ACTIONS(386),
    [anon_sym_long] = ACTIONS(386),
    [anon_sym_short] = ACTIONS(386),
    [sym_primitive_type] = ACTIONS(386),
    [anon_sym_enum] = ACTIONS(386),
    [anon_sym_struct] = ACTIONS(386),
    [anon_sym_union] = ACTIONS(386),
    [sym_identifier] = ACTIONS(386),
    [sym_comment] = ACTIONS(39),
  },
  [285] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(39),
  },
  [286] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(503),
    [sym_preproc_elif] = STATE(503),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1221),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [287] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(394),
    [sym_preproc_directive] = ACTIONS(394),
    [anon_sym_typedef] = ACTIONS(394),
    [anon_sym_extern] = ACTIONS(394),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_auto] = ACTIONS(394),
    [anon_sym_register] = ACTIONS(394),
    [anon_sym_inline] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_restrict] = ACTIONS(394),
    [anon_sym_volatile] = ACTIONS(394),
    [anon_sym__Atomic] = ACTIONS(394),
    [anon_sym_unsigned] = ACTIONS(394),
    [anon_sym_long] = ACTIONS(394),
    [anon_sym_short] = ACTIONS(394),
    [sym_primitive_type] = ACTIONS(394),
    [anon_sym_enum] = ACTIONS(394),
    [anon_sym_struct] = ACTIONS(394),
    [anon_sym_union] = ACTIONS(394),
    [sym_identifier] = ACTIONS(394),
    [sym_comment] = ACTIONS(39),
  },
  [288] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1223),
    [sym_comment] = ACTIONS(39),
  },
  [289] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(505),
    [sym_preproc_elif] = STATE(505),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1225),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [290] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(117),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(117),
    [anon_sym_typedef] = ACTIONS(119),
    [anon_sym_extern] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_static] = ACTIONS(119),
    [anon_sym_auto] = ACTIONS(119),
    [anon_sym_register] = ACTIONS(119),
    [anon_sym_inline] = ACTIONS(119),
    [anon_sym_const] = ACTIONS(119),
    [anon_sym_restrict] = ACTIONS(119),
    [anon_sym_volatile] = ACTIONS(119),
    [anon_sym__Atomic] = ACTIONS(119),
    [anon_sym_unsigned] = ACTIONS(119),
    [anon_sym_long] = ACTIONS(119),
    [anon_sym_short] = ACTIONS(119),
    [sym_primitive_type] = ACTIONS(119),
    [anon_sym_enum] = ACTIONS(119),
    [anon_sym_struct] = ACTIONS(119),
    [anon_sym_union] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_switch] = ACTIONS(119),
    [anon_sym_case] = ACTIONS(119),
    [anon_sym_default] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(119),
    [anon_sym_do] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(119),
    [anon_sym_return] = ACTIONS(119),
    [anon_sym_break] = ACTIONS(119),
    [anon_sym_continue] = ACTIONS(119),
    [anon_sym_goto] = ACTIONS(119),
    [anon_sym_AMP] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(117),
    [anon_sym_PLUS] = ACTIONS(119),
    [anon_sym_DASH] = ACTIONS(119),
    [anon_sym_DASH_DASH] = ACTIONS(117),
    [anon_sym_PLUS_PLUS] = ACTIONS(117),
    [anon_sym_sizeof] = ACTIONS(119),
    [sym_number_literal] = ACTIONS(117),
    [sym_char_literal] = ACTIONS(117),
    [sym_string_literal] = ACTIONS(117),
    [sym_true] = ACTIONS(119),
    [sym_false] = ACTIONS(119),
    [sym_null] = ACTIONS(119),
    [sym_identifier] = ACTIONS(119),
    [sym_comment] = ACTIONS(39),
  },
  [291] = {
    [sym_preproc_params] = STATE(508),
    [aux_sym_SLASH_LBRACK_BSLASHt_RBRACK_PLUS_SLASH] = ACTIONS(1227),
    [anon_sym_LF] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(125),
    [sym_comment] = ACTIONS(47),
  },
  [292] = {
    [sym_preproc_include] = STATE(511),
    [sym_preproc_def] = STATE(511),
    [sym_preproc_function_def] = STATE(511),
    [sym_preproc_call] = STATE(511),
    [sym_preproc_if] = STATE(511),
    [sym_preproc_ifdef] = STATE(511),
    [sym_preproc_else] = STATE(510),
    [sym_preproc_elif] = STATE(510),
    [sym_function_definition] = STATE(511),
    [sym_declaration] = STATE(511),
    [sym_type_definition] = STATE(511),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(511),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(511),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(511),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1231),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [293] = {
    [sym_preproc_include] = STATE(514),
    [sym_preproc_def] = STATE(514),
    [sym_preproc_function_def] = STATE(514),
    [sym_preproc_call] = STATE(514),
    [sym_preproc_if] = STATE(514),
    [sym_preproc_ifdef] = STATE(514),
    [sym_preproc_else] = STATE(513),
    [sym_preproc_elif] = STATE(513),
    [sym_function_definition] = STATE(514),
    [sym_declaration] = STATE(514),
    [sym_type_definition] = STATE(514),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(514),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(514),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(514),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1233),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [294] = {
    [sym_preproc_include] = STATE(517),
    [sym_preproc_def] = STATE(517),
    [sym_preproc_function_def] = STATE(517),
    [sym_preproc_call] = STATE(517),
    [sym_preproc_if] = STATE(517),
    [sym_preproc_ifdef] = STATE(517),
    [sym_preproc_else] = STATE(516),
    [sym_preproc_elif] = STATE(516),
    [sym_function_definition] = STATE(517),
    [sym_declaration] = STATE(517),
    [sym_type_definition] = STATE(517),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(517),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(517),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(517),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1235),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [295] = {
    [sym_preproc_arg] = ACTIONS(1237),
    [sym_comment] = ACTIONS(47),
  },
  [296] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(155),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(157),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(157),
    [sym_preproc_directive] = ACTIONS(157),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_typedef] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_static] = ACTIONS(157),
    [anon_sym_auto] = ACTIONS(157),
    [anon_sym_register] = ACTIONS(157),
    [anon_sym_inline] = ACTIONS(157),
    [anon_sym_const] = ACTIONS(157),
    [anon_sym_restrict] = ACTIONS(157),
    [anon_sym_volatile] = ACTIONS(157),
    [anon_sym__Atomic] = ACTIONS(157),
    [anon_sym_unsigned] = ACTIONS(157),
    [anon_sym_long] = ACTIONS(157),
    [anon_sym_short] = ACTIONS(157),
    [sym_primitive_type] = ACTIONS(157),
    [anon_sym_enum] = ACTIONS(157),
    [anon_sym_struct] = ACTIONS(157),
    [anon_sym_union] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(157),
    [anon_sym_case] = ACTIONS(157),
    [anon_sym_default] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_return] = ACTIONS(157),
    [anon_sym_break] = ACTIONS(157),
    [anon_sym_continue] = ACTIONS(157),
    [anon_sym_goto] = ACTIONS(157),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_sizeof] = ACTIONS(157),
    [sym_number_literal] = ACTIONS(155),
    [sym_char_literal] = ACTIONS(155),
    [sym_string_literal] = ACTIONS(155),
    [sym_true] = ACTIONS(157),
    [sym_false] = ACTIONS(157),
    [sym_null] = ACTIONS(157),
    [sym_identifier] = ACTIONS(157),
    [sym_comment] = ACTIONS(39),
  },
  [297] = {
    [sym__type_declarator] = STATE(519),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_identifier] = ACTIONS(163),
    [sym_comment] = ACTIONS(39),
  },
  [298] = {
    [sym_type_qualifier] = STATE(87),
    [sym__type_specifier] = STATE(520),
    [sym_sized_type_specifier] = STATE(520),
    [sym_enum_specifier] = STATE(520),
    [sym_struct_specifier] = STATE(520),
    [sym_union_specifier] = STATE(520),
    [sym_macro_type_specifier] = STATE(520),
    [aux_sym_type_definition_repeat1] = STATE(87),
    [aux_sym_sized_type_specifier_repeat1] = STATE(31),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(57),
    [anon_sym_long] = ACTIONS(57),
    [anon_sym_short] = ACTIONS(57),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [299] = {
    [sym_function_definition] = STATE(522),
    [sym_declaration] = STATE(522),
    [sym__declaration_specifiers] = STATE(523),
    [sym_declaration_list] = STATE(522),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [300] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(225),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(227),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(227),
    [sym_preproc_directive] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(225),
    [anon_sym_typedef] = ACTIONS(227),
    [anon_sym_extern] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(225),
    [anon_sym_STAR] = ACTIONS(225),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_auto] = ACTIONS(227),
    [anon_sym_register] = ACTIONS(227),
    [anon_sym_inline] = ACTIONS(227),
    [anon_sym_const] = ACTIONS(227),
    [anon_sym_restrict] = ACTIONS(227),
    [anon_sym_volatile] = ACTIONS(227),
    [anon_sym__Atomic] = ACTIONS(227),
    [anon_sym_unsigned] = ACTIONS(227),
    [anon_sym_long] = ACTIONS(227),
    [anon_sym_short] = ACTIONS(227),
    [sym_primitive_type] = ACTIONS(227),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_struct] = ACTIONS(227),
    [anon_sym_union] = ACTIONS(227),
    [anon_sym_if] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(227),
    [anon_sym_default] = ACTIONS(227),
    [anon_sym_while] = ACTIONS(227),
    [anon_sym_do] = ACTIONS(227),
    [anon_sym_for] = ACTIONS(227),
    [anon_sym_return] = ACTIONS(227),
    [anon_sym_break] = ACTIONS(227),
    [anon_sym_continue] = ACTIONS(227),
    [anon_sym_goto] = ACTIONS(227),
    [anon_sym_AMP] = ACTIONS(225),
    [anon_sym_BANG] = ACTIONS(225),
    [anon_sym_TILDE] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(225),
    [anon_sym_PLUS_PLUS] = ACTIONS(225),
    [anon_sym_sizeof] = ACTIONS(227),
    [sym_number_literal] = ACTIONS(225),
    [sym_char_literal] = ACTIONS(225),
    [sym_string_literal] = ACTIONS(225),
    [sym_true] = ACTIONS(227),
    [sym_false] = ACTIONS(227),
    [sym_null] = ACTIONS(227),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(39),
  },
  [301] = {
    [sym_compound_statement] = STATE(526),
    [sym_parameter_list] = STATE(128),
    [aux_sym_declaration_repeat1] = STATE(527),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(241),
    [sym_comment] = ACTIONS(39),
  },
  [302] = {
    [aux_sym_declaration_repeat1] = STATE(527),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(1243),
    [sym_comment] = ACTIONS(39),
  },
  [303] = {
    [sym_preproc_include] = STATE(303),
    [sym_preproc_def] = STATE(303),
    [sym_preproc_function_def] = STATE(303),
    [sym_preproc_call] = STATE(303),
    [sym_preproc_if] = STATE(303),
    [sym_preproc_ifdef] = STATE(303),
    [sym_function_definition] = STATE(303),
    [sym_declaration] = STATE(303),
    [sym_type_definition] = STATE(303),
    [sym__declaration_specifiers] = STATE(150),
    [sym_linkage_specification] = STATE(303),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(303),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(303),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1247),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1250),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1253),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(709),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1256),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1265),
    [anon_sym_extern] = ACTIONS(1268),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_auto] = ACTIONS(273),
    [anon_sym_register] = ACTIONS(273),
    [anon_sym_inline] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(276),
    [anon_sym_restrict] = ACTIONS(276),
    [anon_sym_volatile] = ACTIONS(276),
    [anon_sym__Atomic] = ACTIONS(276),
    [anon_sym_unsigned] = ACTIONS(279),
    [anon_sym_long] = ACTIONS(279),
    [anon_sym_short] = ACTIONS(279),
    [sym_primitive_type] = ACTIONS(282),
    [anon_sym_enum] = ACTIONS(285),
    [anon_sym_struct] = ACTIONS(288),
    [anon_sym_union] = ACTIONS(291),
    [sym_identifier] = ACTIONS(294),
    [sym_comment] = ACTIONS(39),
  },
  [304] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1271),
    [sym_comment] = ACTIONS(39),
  },
  [305] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(528),
    [sym_preproc_elif] = STATE(528),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1273),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [306] = {
    [anon_sym_LF] = ACTIONS(1275),
    [sym_comment] = ACTIONS(47),
  },
  [307] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [308] = {
    [sym__type_declarator] = STATE(531),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_identifier] = ACTIONS(163),
    [sym_comment] = ACTIONS(39),
  },
  [309] = {
    [sym_preproc_include] = STATE(533),
    [sym_preproc_def] = STATE(533),
    [sym_preproc_function_def] = STATE(533),
    [sym_preproc_call] = STATE(533),
    [sym_preproc_if] = STATE(533),
    [sym_preproc_ifdef] = STATE(533),
    [sym_function_definition] = STATE(533),
    [sym_declaration] = STATE(533),
    [sym_type_definition] = STATE(533),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(533),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(533),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(533),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(11),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(13),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [310] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(430),
    [sym_preproc_directive] = ACTIONS(430),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(430),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_auto] = ACTIONS(430),
    [anon_sym_register] = ACTIONS(430),
    [anon_sym_inline] = ACTIONS(430),
    [anon_sym_const] = ACTIONS(430),
    [anon_sym_restrict] = ACTIONS(430),
    [anon_sym_volatile] = ACTIONS(430),
    [anon_sym__Atomic] = ACTIONS(430),
    [anon_sym_unsigned] = ACTIONS(430),
    [anon_sym_long] = ACTIONS(430),
    [anon_sym_short] = ACTIONS(430),
    [sym_primitive_type] = ACTIONS(430),
    [anon_sym_enum] = ACTIONS(430),
    [anon_sym_struct] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(430),
    [sym_identifier] = ACTIONS(430),
    [sym_comment] = ACTIONS(39),
  },
  [311] = {
    [sym__declarator] = STATE(160),
    [sym_pointer_declarator] = STATE(160),
    [sym_function_declarator] = STATE(160),
    [sym_array_declarator] = STATE(160),
    [sym_init_declarator] = STATE(161),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(94),
    [sym_identifier] = ACTIONS(380),
    [sym_comment] = ACTIONS(39),
  },
  [312] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(530),
    [sym_preproc_directive] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_typedef] = ACTIONS(530),
    [anon_sym_extern] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(530),
    [anon_sym_auto] = ACTIONS(530),
    [anon_sym_register] = ACTIONS(530),
    [anon_sym_inline] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_restrict] = ACTIONS(530),
    [anon_sym_volatile] = ACTIONS(530),
    [anon_sym__Atomic] = ACTIONS(530),
    [anon_sym_unsigned] = ACTIONS(530),
    [anon_sym_long] = ACTIONS(530),
    [anon_sym_short] = ACTIONS(530),
    [sym_primitive_type] = ACTIONS(530),
    [anon_sym_enum] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(530),
    [anon_sym_union] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_else] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(530),
    [anon_sym_case] = ACTIONS(530),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_goto] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(528),
    [anon_sym_sizeof] = ACTIONS(530),
    [sym_number_literal] = ACTIONS(528),
    [sym_char_literal] = ACTIONS(528),
    [sym_string_literal] = ACTIONS(528),
    [sym_true] = ACTIONS(530),
    [sym_false] = ACTIONS(530),
    [sym_null] = ACTIONS(530),
    [sym_identifier] = ACTIONS(530),
    [sym_comment] = ACTIONS(39),
  },
  [313] = {
    [sym_preproc_include] = STATE(535),
    [sym_preproc_def] = STATE(535),
    [sym_preproc_function_def] = STATE(535),
    [sym_preproc_call] = STATE(535),
    [sym_preproc_if_in_compound_statement] = STATE(248),
    [sym_preproc_ifdef_in_compound_statement] = STATE(249),
    [sym_declaration] = STATE(535),
    [sym_type_definition] = STATE(535),
    [sym__declaration_specifiers] = STATE(250),
    [sym_compound_statement] = STATE(535),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(535),
    [sym_expression_statement] = STATE(535),
    [sym_if_statement] = STATE(535),
    [sym_switch_statement] = STATE(535),
    [sym_case_statement] = STATE(535),
    [sym_while_statement] = STATE(535),
    [sym_do_statement] = STATE(535),
    [sym_for_statement] = STATE(535),
    [sym_return_statement] = STATE(535),
    [sym_break_statement] = STATE(535),
    [sym_continue_statement] = STATE(535),
    [sym_goto_statement] = STATE(535),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym__empty_declaration] = STATE(535),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(535),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(534),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(536),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(538),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_RBRACE] = ACTIONS(1281),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [sym_comment] = ACTIONS(39),
  },
  [314] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(622),
    [sym_preproc_directive] = ACTIONS(622),
    [anon_sym_typedef] = ACTIONS(622),
    [anon_sym_extern] = ACTIONS(622),
    [anon_sym_static] = ACTIONS(622),
    [anon_sym_auto] = ACTIONS(622),
    [anon_sym_register] = ACTIONS(622),
    [anon_sym_inline] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(622),
    [anon_sym_restrict] = ACTIONS(622),
    [anon_sym_volatile] = ACTIONS(622),
    [anon_sym__Atomic] = ACTIONS(622),
    [anon_sym_unsigned] = ACTIONS(622),
    [anon_sym_long] = ACTIONS(622),
    [anon_sym_short] = ACTIONS(622),
    [sym_primitive_type] = ACTIONS(622),
    [anon_sym_enum] = ACTIONS(622),
    [anon_sym_struct] = ACTIONS(622),
    [anon_sym_union] = ACTIONS(622),
    [sym_identifier] = ACTIONS(622),
    [sym_comment] = ACTIONS(39),
  },
  [315] = {
    [aux_sym_declaration_repeat1] = STATE(272),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(1283),
    [sym_comment] = ACTIONS(39),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(1285),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1287),
    [sym_comment] = ACTIONS(39),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(1289),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1289),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1291),
    [sym_comment] = ACTIONS(39),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(1293),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [sym_identifier] = ACTIONS(1295),
    [sym_comment] = ACTIONS(39),
  },
  [319] = {
    [sym__type_declarator] = STATE(321),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [sym_type_qualifier] = STATE(214),
    [aux_sym_type_definition_repeat1] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(402),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(404),
    [sym_comment] = ACTIONS(39),
  },
  [320] = {
    [anon_sym_LPAREN] = ACTIONS(1297),
    [anon_sym_RPAREN] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1297),
    [sym_comment] = ACTIONS(39),
  },
  [321] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(1299),
    [anon_sym_SEMI] = ACTIONS(1299),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [322] = {
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_RPAREN] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1301),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [sym_comment] = ACTIONS(39),
  },
  [323] = {
    [sym__expression] = STATE(538),
    [sym_conditional_expression] = STATE(538),
    [sym_assignment_expression] = STATE(538),
    [sym_pointer_expression] = STATE(538),
    [sym_logical_expression] = STATE(538),
    [sym_bitwise_expression] = STATE(538),
    [sym_equality_expression] = STATE(538),
    [sym_relational_expression] = STATE(538),
    [sym_shift_expression] = STATE(538),
    [sym_math_expression] = STATE(538),
    [sym_cast_expression] = STATE(538),
    [sym_sizeof_expression] = STATE(538),
    [sym_subscript_expression] = STATE(538),
    [sym_call_expression] = STATE(538),
    [sym_field_expression] = STATE(538),
    [sym_compound_literal_expression] = STATE(538),
    [sym_parenthesized_expression] = STATE(538),
    [sym_concatenated_string] = STATE(538),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(1303),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1305),
    [sym_char_literal] = ACTIONS(1305),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [sym_null] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1307),
    [sym_comment] = ACTIONS(39),
  },
  [324] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(1309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_else] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1309),
    [sym_char_literal] = ACTIONS(1309),
    [sym_string_literal] = ACTIONS(1309),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [sym_null] = ACTIONS(1311),
    [sym_identifier] = ACTIONS(1311),
    [sym_comment] = ACTIONS(39),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [sym_identifier] = ACTIONS(1315),
    [sym_comment] = ACTIONS(39),
  },
  [327] = {
    [sym_preproc_include] = STATE(327),
    [sym_preproc_def] = STATE(327),
    [sym_preproc_function_def] = STATE(327),
    [sym_preproc_call] = STATE(327),
    [sym_preproc_if] = STATE(327),
    [sym_preproc_ifdef] = STATE(327),
    [sym_function_definition] = STATE(327),
    [sym_declaration] = STATE(327),
    [sym_type_definition] = STATE(327),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(327),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(327),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(327),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(249),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(252),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(255),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(258),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(261),
    [sym_preproc_directive] = ACTIONS(264),
    [anon_sym_typedef] = ACTIONS(267),
    [anon_sym_extern] = ACTIONS(270),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_auto] = ACTIONS(273),
    [anon_sym_register] = ACTIONS(273),
    [anon_sym_inline] = ACTIONS(273),
    [anon_sym_const] = ACTIONS(276),
    [anon_sym_restrict] = ACTIONS(276),
    [anon_sym_volatile] = ACTIONS(276),
    [anon_sym__Atomic] = ACTIONS(276),
    [anon_sym_unsigned] = ACTIONS(279),
    [anon_sym_long] = ACTIONS(279),
    [anon_sym_short] = ACTIONS(279),
    [sym_primitive_type] = ACTIONS(282),
    [anon_sym_enum] = ACTIONS(285),
    [anon_sym_struct] = ACTIONS(288),
    [anon_sym_union] = ACTIONS(291),
    [sym_identifier] = ACTIONS(294),
    [sym_comment] = ACTIONS(39),
  },
  [328] = {
    [sym_storage_class_specifier] = STATE(328),
    [sym_type_qualifier] = STATE(328),
    [aux_sym__declaration_specifiers_repeat1] = STATE(328),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_static] = ACTIONS(297),
    [anon_sym_auto] = ACTIONS(297),
    [anon_sym_register] = ACTIONS(297),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_restrict] = ACTIONS(300),
    [anon_sym_volatile] = ACTIONS(300),
    [anon_sym__Atomic] = ACTIONS(300),
    [sym_identifier] = ACTIONS(303),
    [sym_comment] = ACTIONS(39),
  },
  [329] = {
    [sym_storage_class_specifier] = STATE(328),
    [sym_type_qualifier] = STATE(328),
    [aux_sym__declaration_specifiers_repeat1] = STATE(328),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(632),
    [sym_comment] = ACTIONS(39),
  },
  [330] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(539),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [331] = {
    [sym__expression] = STATE(410),
    [sym_conditional_expression] = STATE(410),
    [sym_assignment_expression] = STATE(410),
    [sym_pointer_expression] = STATE(410),
    [sym_logical_expression] = STATE(410),
    [sym_bitwise_expression] = STATE(410),
    [sym_equality_expression] = STATE(410),
    [sym_relational_expression] = STATE(410),
    [sym_shift_expression] = STATE(410),
    [sym_math_expression] = STATE(410),
    [sym_cast_expression] = STATE(410),
    [sym_sizeof_expression] = STATE(410),
    [sym_subscript_expression] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_field_expression] = STATE(410),
    [sym_compound_literal_expression] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_concatenated_string] = STATE(410),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(978),
    [sym_char_literal] = ACTIONS(978),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_identifier] = ACTIONS(980),
    [sym_comment] = ACTIONS(39),
  },
  [332] = {
    [sym__expression] = STATE(437),
    [sym_conditional_expression] = STATE(437),
    [sym_assignment_expression] = STATE(437),
    [sym_pointer_expression] = STATE(437),
    [sym_logical_expression] = STATE(437),
    [sym_bitwise_expression] = STATE(437),
    [sym_equality_expression] = STATE(437),
    [sym_relational_expression] = STATE(437),
    [sym_shift_expression] = STATE(437),
    [sym_math_expression] = STATE(437),
    [sym_cast_expression] = STATE(437),
    [sym_sizeof_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_call_expression] = STATE(437),
    [sym_field_expression] = STATE(437),
    [sym_compound_literal_expression] = STATE(437),
    [sym_parenthesized_expression] = STATE(437),
    [sym_concatenated_string] = STATE(437),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(1038),
    [sym_char_literal] = ACTIONS(1038),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_null] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1040),
    [sym_comment] = ACTIONS(39),
  },
  [333] = {
    [sym__expression] = STATE(438),
    [sym_conditional_expression] = STATE(438),
    [sym_assignment_expression] = STATE(438),
    [sym_pointer_expression] = STATE(438),
    [sym_logical_expression] = STATE(438),
    [sym_bitwise_expression] = STATE(438),
    [sym_equality_expression] = STATE(438),
    [sym_relational_expression] = STATE(438),
    [sym_shift_expression] = STATE(438),
    [sym_math_expression] = STATE(438),
    [sym_cast_expression] = STATE(438),
    [sym_sizeof_expression] = STATE(438),
    [sym_subscript_expression] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_field_expression] = STATE(438),
    [sym_compound_literal_expression] = STATE(438),
    [sym_parenthesized_expression] = STATE(438),
    [sym_concatenated_string] = STATE(438),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(1042),
    [sym_char_literal] = ACTIONS(1042),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [sym_null] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1044),
    [sym_comment] = ACTIONS(39),
  },
  [334] = {
    [sym__expression] = STATE(439),
    [sym_conditional_expression] = STATE(439),
    [sym_assignment_expression] = STATE(439),
    [sym_pointer_expression] = STATE(439),
    [sym_logical_expression] = STATE(439),
    [sym_bitwise_expression] = STATE(439),
    [sym_equality_expression] = STATE(439),
    [sym_relational_expression] = STATE(439),
    [sym_shift_expression] = STATE(439),
    [sym_math_expression] = STATE(439),
    [sym_cast_expression] = STATE(439),
    [sym_sizeof_expression] = STATE(439),
    [sym_subscript_expression] = STATE(439),
    [sym_call_expression] = STATE(439),
    [sym_field_expression] = STATE(439),
    [sym_compound_literal_expression] = STATE(439),
    [sym_parenthesized_expression] = STATE(439),
    [sym_concatenated_string] = STATE(439),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(1046),
    [sym_char_literal] = ACTIONS(1046),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [sym_null] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1048),
    [sym_comment] = ACTIONS(39),
  },
  [335] = {
    [sym__expression] = STATE(541),
    [sym_conditional_expression] = STATE(541),
    [sym_assignment_expression] = STATE(541),
    [sym_pointer_expression] = STATE(541),
    [sym_logical_expression] = STATE(541),
    [sym_bitwise_expression] = STATE(541),
    [sym_equality_expression] = STATE(541),
    [sym_relational_expression] = STATE(541),
    [sym_shift_expression] = STATE(541),
    [sym_math_expression] = STATE(541),
    [sym_cast_expression] = STATE(541),
    [sym_sizeof_expression] = STATE(541),
    [sym_subscript_expression] = STATE(541),
    [sym_call_expression] = STATE(541),
    [sym_field_expression] = STATE(541),
    [sym_compound_literal_expression] = STATE(541),
    [sym_parenthesized_expression] = STATE(541),
    [sym_concatenated_string] = STATE(541),
    [anon_sym_LPAREN] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(1319),
    [sym_char_literal] = ACTIONS(1319),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(1321),
    [sym_false] = ACTIONS(1321),
    [sym_null] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1321),
    [sym_comment] = ACTIONS(39),
  },
  [336] = {
    [aux_sym_concatenated_string_repeat1] = STATE(542),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_string_literal] = ACTIONS(1323),
    [sym_comment] = ACTIONS(39),
  },
  [337] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(1331),
    [anon_sym_STAR_EQ] = ACTIONS(1333),
    [anon_sym_SLASH_EQ] = ACTIONS(1333),
    [anon_sym_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_EQ] = ACTIONS(1333),
    [anon_sym_DASH_EQ] = ACTIONS(1333),
    [anon_sym_LT_LT_EQ] = ACTIONS(1333),
    [anon_sym_GT_GT_EQ] = ACTIONS(1333),
    [anon_sym_AMP_EQ] = ACTIONS(1333),
    [anon_sym_CARET_EQ] = ACTIONS(1333),
    [anon_sym_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [338] = {
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_RPAREN] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym_extern] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_RBRACK] = ACTIONS(1355),
    [anon_sym_static] = ACTIONS(1357),
    [anon_sym_auto] = ACTIONS(1357),
    [anon_sym_register] = ACTIONS(1357),
    [anon_sym_inline] = ACTIONS(1357),
    [anon_sym_const] = ACTIONS(1357),
    [anon_sym_restrict] = ACTIONS(1357),
    [anon_sym_volatile] = ACTIONS(1357),
    [anon_sym__Atomic] = ACTIONS(1357),
    [anon_sym_COLON] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_sizeof] = ACTIONS(1357),
    [sym_number_literal] = ACTIONS(1355),
    [sym_char_literal] = ACTIONS(1355),
    [sym_string_literal] = ACTIONS(1355),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(1357),
    [sym_comment] = ACTIONS(39),
  },
  [339] = {
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [sym_comment] = ACTIONS(39),
  },
  [340] = {
    [sym_enumerator] = STATE(339),
    [anon_sym_RBRACE] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(179),
    [sym_comment] = ACTIONS(39),
  },
  [341] = {
    [aux_sym_enumerator_list_repeat1] = STATE(341),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [sym_comment] = ACTIONS(39),
  },
  [342] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1366),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1368),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1368),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1368),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1368),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [sym_identifier] = ACTIONS(1366),
    [sym_comment] = ACTIONS(39),
  },
  [343] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(557),
    [sym_field_declaration] = STATE(557),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(557),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1370),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [344] = {
    [sym_preproc_arg] = ACTIONS(1372),
    [sym_comment] = ACTIONS(47),
  },
  [345] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1374),
    [sym_comment] = ACTIONS(39),
  },
  [346] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1376),
    [sym_comment] = ACTIONS(39),
  },
  [347] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym_preproc_else_in_field_declaration_list] = STATE(562),
    [sym_preproc_elif_in_field_declaration_list] = STATE(563),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(564),
    [sym_field_declaration] = STATE(564),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(564),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1378),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [348] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1380),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1382),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1382),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1382),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1382),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_auto] = ACTIONS(1380),
    [anon_sym_register] = ACTIONS(1380),
    [anon_sym_inline] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_restrict] = ACTIONS(1380),
    [anon_sym_volatile] = ACTIONS(1380),
    [anon_sym__Atomic] = ACTIONS(1380),
    [anon_sym_unsigned] = ACTIONS(1380),
    [anon_sym_long] = ACTIONS(1380),
    [anon_sym_short] = ACTIONS(1380),
    [sym_primitive_type] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(1380),
    [sym_comment] = ACTIONS(39),
  },
  [349] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1384),
    [sym_comment] = ACTIONS(39),
  },
  [350] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1386),
    [sym_comment] = ACTIONS(39),
  },
  [351] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym_preproc_else_in_field_declaration_list] = STATE(568),
    [sym_preproc_elif_in_field_declaration_list] = STATE(569),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(564),
    [sym_field_declaration] = STATE(564),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(564),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1388),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [352] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1390),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1392),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1392),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1392),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1392),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1392),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1390),
    [sym_comment] = ACTIONS(39),
  },
  [353] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1394),
    [sym_comment] = ACTIONS(39),
  },
  [354] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(39),
  },
  [355] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym_preproc_else_in_field_declaration_list] = STATE(573),
    [sym_preproc_elif_in_field_declaration_list] = STATE(574),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(564),
    [sym_field_declaration] = STATE(564),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(564),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1398),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [356] = {
    [sym__field_declarator] = STATE(358),
    [sym_pointer_field_declarator] = STATE(195),
    [sym_function_field_declarator] = STATE(196),
    [sym_array_field_declarator] = STATE(197),
    [sym_type_qualifier] = STATE(575),
    [aux_sym_type_definition_repeat1] = STATE(575),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(813),
    [sym_comment] = ACTIONS(39),
  },
  [357] = {
    [sym_parameter_list] = STATE(372),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(841),
    [sym_comment] = ACTIONS(39),
  },
  [358] = {
    [sym_parameter_list] = STATE(372),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_RPAREN] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(841),
    [anon_sym_COLON] = ACTIONS(1402),
    [sym_comment] = ACTIONS(39),
  },
  [359] = {
    [sym__field_declarator] = STATE(577),
    [sym_pointer_field_declarator] = STATE(195),
    [sym_function_field_declarator] = STATE(196),
    [sym_array_field_declarator] = STATE(197),
    [sym_type_qualifier] = STATE(214),
    [aux_sym_type_definition_repeat1] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(813),
    [sym_comment] = ACTIONS(39),
  },
  [360] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(578),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [361] = {
    [sym__expression] = STATE(410),
    [sym_conditional_expression] = STATE(410),
    [sym_assignment_expression] = STATE(410),
    [sym_pointer_expression] = STATE(410),
    [sym_logical_expression] = STATE(410),
    [sym_bitwise_expression] = STATE(410),
    [sym_equality_expression] = STATE(410),
    [sym_relational_expression] = STATE(410),
    [sym_shift_expression] = STATE(410),
    [sym_math_expression] = STATE(410),
    [sym_cast_expression] = STATE(410),
    [sym_sizeof_expression] = STATE(410),
    [sym_subscript_expression] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_field_expression] = STATE(410),
    [sym_compound_literal_expression] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_concatenated_string] = STATE(410),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(978),
    [sym_char_literal] = ACTIONS(978),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_identifier] = ACTIONS(980),
    [sym_comment] = ACTIONS(39),
  },
  [362] = {
    [sym__expression] = STATE(437),
    [sym_conditional_expression] = STATE(437),
    [sym_assignment_expression] = STATE(437),
    [sym_pointer_expression] = STATE(437),
    [sym_logical_expression] = STATE(437),
    [sym_bitwise_expression] = STATE(437),
    [sym_equality_expression] = STATE(437),
    [sym_relational_expression] = STATE(437),
    [sym_shift_expression] = STATE(437),
    [sym_math_expression] = STATE(437),
    [sym_cast_expression] = STATE(437),
    [sym_sizeof_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_call_expression] = STATE(437),
    [sym_field_expression] = STATE(437),
    [sym_compound_literal_expression] = STATE(437),
    [sym_parenthesized_expression] = STATE(437),
    [sym_concatenated_string] = STATE(437),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(1038),
    [sym_char_literal] = ACTIONS(1038),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_null] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1040),
    [sym_comment] = ACTIONS(39),
  },
  [363] = {
    [sym__expression] = STATE(438),
    [sym_conditional_expression] = STATE(438),
    [sym_assignment_expression] = STATE(438),
    [sym_pointer_expression] = STATE(438),
    [sym_logical_expression] = STATE(438),
    [sym_bitwise_expression] = STATE(438),
    [sym_equality_expression] = STATE(438),
    [sym_relational_expression] = STATE(438),
    [sym_shift_expression] = STATE(438),
    [sym_math_expression] = STATE(438),
    [sym_cast_expression] = STATE(438),
    [sym_sizeof_expression] = STATE(438),
    [sym_subscript_expression] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_field_expression] = STATE(438),
    [sym_compound_literal_expression] = STATE(438),
    [sym_parenthesized_expression] = STATE(438),
    [sym_concatenated_string] = STATE(438),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(1042),
    [sym_char_literal] = ACTIONS(1042),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [sym_null] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1044),
    [sym_comment] = ACTIONS(39),
  },
  [364] = {
    [sym__expression] = STATE(439),
    [sym_conditional_expression] = STATE(439),
    [sym_assignment_expression] = STATE(439),
    [sym_pointer_expression] = STATE(439),
    [sym_logical_expression] = STATE(439),
    [sym_bitwise_expression] = STATE(439),
    [sym_equality_expression] = STATE(439),
    [sym_relational_expression] = STATE(439),
    [sym_shift_expression] = STATE(439),
    [sym_math_expression] = STATE(439),
    [sym_cast_expression] = STATE(439),
    [sym_sizeof_expression] = STATE(439),
    [sym_subscript_expression] = STATE(439),
    [sym_call_expression] = STATE(439),
    [sym_field_expression] = STATE(439),
    [sym_compound_literal_expression] = STATE(439),
    [sym_parenthesized_expression] = STATE(439),
    [sym_concatenated_string] = STATE(439),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(1046),
    [sym_char_literal] = ACTIONS(1046),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [sym_null] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1048),
    [sym_comment] = ACTIONS(39),
  },
  [365] = {
    [sym__expression] = STATE(580),
    [sym_conditional_expression] = STATE(580),
    [sym_assignment_expression] = STATE(580),
    [sym_pointer_expression] = STATE(580),
    [sym_logical_expression] = STATE(580),
    [sym_bitwise_expression] = STATE(580),
    [sym_equality_expression] = STATE(580),
    [sym_relational_expression] = STATE(580),
    [sym_shift_expression] = STATE(580),
    [sym_math_expression] = STATE(580),
    [sym_cast_expression] = STATE(580),
    [sym_sizeof_expression] = STATE(580),
    [sym_subscript_expression] = STATE(580),
    [sym_call_expression] = STATE(580),
    [sym_field_expression] = STATE(580),
    [sym_compound_literal_expression] = STATE(580),
    [sym_parenthesized_expression] = STATE(580),
    [sym_concatenated_string] = STATE(580),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(1406),
    [sym_char_literal] = ACTIONS(1406),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [sym_null] = ACTIONS(1408),
    [sym_identifier] = ACTIONS(1408),
    [sym_comment] = ACTIONS(39),
  },
  [366] = {
    [aux_sym_concatenated_string_repeat1] = STATE(581),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_string_literal] = ACTIONS(1410),
    [sym_comment] = ACTIONS(39),
  },
  [367] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [368] = {
    [sym__field_declarator] = STATE(595),
    [sym_pointer_field_declarator] = STATE(195),
    [sym_function_field_declarator] = STATE(196),
    [sym_array_field_declarator] = STATE(197),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(478),
    [sym_comment] = ACTIONS(39),
  },
  [369] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1442),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1444),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1444),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1444),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1444),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_auto] = ACTIONS(1442),
    [anon_sym_register] = ACTIONS(1442),
    [anon_sym_inline] = ACTIONS(1442),
    [anon_sym_const] = ACTIONS(1442),
    [anon_sym_restrict] = ACTIONS(1442),
    [anon_sym_volatile] = ACTIONS(1442),
    [anon_sym__Atomic] = ACTIONS(1442),
    [anon_sym_unsigned] = ACTIONS(1442),
    [anon_sym_long] = ACTIONS(1442),
    [anon_sym_short] = ACTIONS(1442),
    [sym_primitive_type] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_struct] = ACTIONS(1442),
    [anon_sym_union] = ACTIONS(1442),
    [sym_identifier] = ACTIONS(1442),
    [sym_comment] = ACTIONS(39),
  },
  [370] = {
    [sym__declaration_specifiers] = STATE(597),
    [sym_storage_class_specifier] = STATE(266),
    [sym_type_qualifier] = STATE(266),
    [sym__type_specifier] = STATE(264),
    [sym_sized_type_specifier] = STATE(264),
    [sym_enum_specifier] = STATE(264),
    [sym_struct_specifier] = STATE(264),
    [sym_union_specifier] = STATE(264),
    [sym__expression] = STATE(598),
    [sym_conditional_expression] = STATE(598),
    [sym_assignment_expression] = STATE(598),
    [sym_pointer_expression] = STATE(598),
    [sym_logical_expression] = STATE(598),
    [sym_bitwise_expression] = STATE(598),
    [sym_equality_expression] = STATE(598),
    [sym_relational_expression] = STATE(598),
    [sym_shift_expression] = STATE(598),
    [sym_math_expression] = STATE(598),
    [sym_cast_expression] = STATE(598),
    [sym_sizeof_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym_call_expression] = STATE(598),
    [sym_field_expression] = STATE(598),
    [sym_compound_literal_expression] = STATE(598),
    [sym_parenthesized_expression] = STATE(598),
    [sym_concatenated_string] = STATE(598),
    [sym_macro_type_specifier] = STATE(264),
    [aux_sym__declaration_specifiers_repeat1] = STATE(266),
    [aux_sym_sized_type_specifier_repeat1] = STATE(267),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(1446),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(592),
    [anon_sym_long] = ACTIONS(592),
    [anon_sym_short] = ACTIONS(592),
    [sym_primitive_type] = ACTIONS(594),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1448),
    [sym_char_literal] = ACTIONS(1448),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [sym_null] = ACTIONS(1450),
    [sym_identifier] = ACTIONS(612),
    [sym_comment] = ACTIONS(39),
  },
  [371] = {
    [sym__expression] = STATE(599),
    [sym_conditional_expression] = STATE(599),
    [sym_assignment_expression] = STATE(599),
    [sym_pointer_expression] = STATE(599),
    [sym_logical_expression] = STATE(599),
    [sym_bitwise_expression] = STATE(599),
    [sym_equality_expression] = STATE(599),
    [sym_relational_expression] = STATE(599),
    [sym_shift_expression] = STATE(599),
    [sym_math_expression] = STATE(599),
    [sym_cast_expression] = STATE(599),
    [sym_sizeof_expression] = STATE(599),
    [sym_subscript_expression] = STATE(599),
    [sym_call_expression] = STATE(599),
    [sym_field_expression] = STATE(599),
    [sym_compound_literal_expression] = STATE(599),
    [sym_parenthesized_expression] = STATE(599),
    [sym_concatenated_string] = STATE(599),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(1452),
    [sym_char_literal] = ACTIONS(1452),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [sym_null] = ACTIONS(1454),
    [sym_identifier] = ACTIONS(1454),
    [sym_comment] = ACTIONS(39),
  },
  [372] = {
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_COLON] = ACTIONS(1456),
    [sym_comment] = ACTIONS(39),
  },
  [373] = {
    [aux_sym_field_declaration_repeat1] = STATE(601),
    [anon_sym_COMMA] = ACTIONS(837),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_COLON] = ACTIONS(1458),
    [sym_comment] = ACTIONS(39),
  },
  [374] = {
    [sym_storage_class_specifier] = STATE(374),
    [sym_type_qualifier] = STATE(374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(374),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_static] = ACTIONS(297),
    [anon_sym_auto] = ACTIONS(297),
    [anon_sym_register] = ACTIONS(297),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_restrict] = ACTIONS(300),
    [anon_sym_volatile] = ACTIONS(300),
    [anon_sym__Atomic] = ACTIONS(300),
    [anon_sym_COLON] = ACTIONS(628),
    [sym_identifier] = ACTIONS(303),
    [sym_comment] = ACTIONS(39),
  },
  [375] = {
    [sym_storage_class_specifier] = STATE(374),
    [sym_type_qualifier] = STATE(374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(374),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_COLON] = ACTIONS(630),
    [sym_identifier] = ACTIONS(632),
    [sym_comment] = ACTIONS(39),
  },
  [376] = {
    [sym_parameter_list] = STATE(383),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(905),
    [sym_comment] = ACTIONS(39),
  },
  [377] = {
    [sym_parameter_list] = STATE(383),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(1462),
    [anon_sym_RPAREN] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(905),
    [sym_comment] = ACTIONS(39),
  },
  [378] = {
    [sym__abstract_declarator] = STATE(603),
    [sym_abstract_pointer_declarator] = STATE(603),
    [sym_abstract_function_declarator] = STATE(603),
    [sym_abstract_array_declarator] = STATE(603),
    [sym_type_qualifier] = STATE(604),
    [sym_parameter_list] = STATE(207),
    [aux_sym_type_definition_repeat1] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_RPAREN] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(895),
    [anon_sym_restrict] = ACTIONS(895),
    [anon_sym_volatile] = ACTIONS(895),
    [anon_sym__Atomic] = ACTIONS(895),
    [sym_comment] = ACTIONS(39),
  },
  [379] = {
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_RPAREN] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [sym_comment] = ACTIONS(39),
  },
  [380] = {
    [sym__expression] = STATE(606),
    [sym_conditional_expression] = STATE(606),
    [sym_assignment_expression] = STATE(606),
    [sym_pointer_expression] = STATE(606),
    [sym_logical_expression] = STATE(606),
    [sym_bitwise_expression] = STATE(606),
    [sym_equality_expression] = STATE(606),
    [sym_relational_expression] = STATE(606),
    [sym_shift_expression] = STATE(606),
    [sym_math_expression] = STATE(606),
    [sym_cast_expression] = STATE(606),
    [sym_sizeof_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym_call_expression] = STATE(606),
    [sym_field_expression] = STATE(606),
    [sym_compound_literal_expression] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_concatenated_string] = STATE(606),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1468),
    [sym_char_literal] = ACTIONS(1468),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(1470),
    [sym_comment] = ACTIONS(39),
  },
  [381] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1466),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [382] = {
    [sym__declaration_specifiers] = STATE(607),
    [sym_storage_class_specifier] = STATE(266),
    [sym_type_qualifier] = STATE(266),
    [sym__type_specifier] = STATE(264),
    [sym_sized_type_specifier] = STATE(264),
    [sym_enum_specifier] = STATE(264),
    [sym_struct_specifier] = STATE(264),
    [sym_union_specifier] = STATE(264),
    [sym__expression] = STATE(606),
    [sym_conditional_expression] = STATE(606),
    [sym_assignment_expression] = STATE(606),
    [sym_pointer_expression] = STATE(606),
    [sym_logical_expression] = STATE(606),
    [sym_bitwise_expression] = STATE(606),
    [sym_equality_expression] = STATE(606),
    [sym_relational_expression] = STATE(606),
    [sym_shift_expression] = STATE(606),
    [sym_math_expression] = STATE(606),
    [sym_cast_expression] = STATE(606),
    [sym_sizeof_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym_call_expression] = STATE(606),
    [sym_field_expression] = STATE(606),
    [sym_compound_literal_expression] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_concatenated_string] = STATE(606),
    [sym_macro_type_specifier] = STATE(264),
    [aux_sym__declaration_specifiers_repeat1] = STATE(266),
    [aux_sym_sized_type_specifier_repeat1] = STATE(267),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(1466),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(592),
    [anon_sym_long] = ACTIONS(592),
    [anon_sym_short] = ACTIONS(592),
    [sym_primitive_type] = ACTIONS(594),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1468),
    [sym_char_literal] = ACTIONS(1468),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(612),
    [sym_comment] = ACTIONS(39),
  },
  [383] = {
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [sym_comment] = ACTIONS(39),
  },
  [384] = {
    [sym_parameter_list] = STATE(383),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(905),
    [sym_comment] = ACTIONS(39),
  },
  [385] = {
    [sym__declaration_specifiers] = STATE(217),
    [sym_storage_class_specifier] = STATE(219),
    [sym_type_qualifier] = STATE(219),
    [sym__type_specifier] = STATE(218),
    [sym_sized_type_specifier] = STATE(218),
    [sym_enum_specifier] = STATE(218),
    [sym_struct_specifier] = STATE(218),
    [sym_union_specifier] = STATE(218),
    [sym_parameter_declaration] = STATE(608),
    [sym_macro_type_specifier] = STATE(218),
    [aux_sym__declaration_specifiers_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(520),
    [anon_sym_long] = ACTIONS(520),
    [anon_sym_short] = ACTIONS(520),
    [sym_primitive_type] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [386] = {
    [anon_sym_LPAREN] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_RPAREN] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1478),
    [sym_comment] = ACTIONS(39),
  },
  [387] = {
    [aux_sym_parameter_list_repeat1] = STATE(610),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RPAREN] = ACTIONS(1480),
    [sym_comment] = ACTIONS(39),
  },
  [388] = {
    [sym__declaration_specifiers] = STATE(217),
    [sym__declarator] = STATE(118),
    [sym__abstract_declarator] = STATE(376),
    [sym_pointer_declarator] = STATE(118),
    [sym_abstract_pointer_declarator] = STATE(376),
    [sym_function_declarator] = STATE(118),
    [sym_abstract_function_declarator] = STATE(376),
    [sym_array_declarator] = STATE(118),
    [sym_abstract_array_declarator] = STATE(376),
    [sym_storage_class_specifier] = STATE(219),
    [sym_type_qualifier] = STATE(219),
    [sym__type_specifier] = STATE(218),
    [sym_sized_type_specifier] = STATE(218),
    [sym_enum_specifier] = STATE(218),
    [sym_struct_specifier] = STATE(218),
    [sym_union_specifier] = STATE(218),
    [sym_parameter_list] = STATE(207),
    [sym_parameter_declaration] = STATE(215),
    [sym_macro_type_specifier] = STATE(218),
    [aux_sym__declaration_specifiers_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(220),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(516),
    [anon_sym_RPAREN] = ACTIONS(518),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(500),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(520),
    [anon_sym_long] = ACTIONS(520),
    [anon_sym_short] = ACTIONS(520),
    [sym_primitive_type] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(1484),
    [sym_comment] = ACTIONS(39),
  },
  [389] = {
    [sym__declarator] = STATE(119),
    [sym__abstract_declarator] = STATE(377),
    [sym_pointer_declarator] = STATE(119),
    [sym_abstract_pointer_declarator] = STATE(377),
    [sym_function_declarator] = STATE(119),
    [sym_abstract_function_declarator] = STATE(377),
    [sym_array_declarator] = STATE(119),
    [sym_abstract_array_declarator] = STATE(377),
    [sym_type_qualifier] = STATE(613),
    [sym_parameter_list] = STATE(207),
    [aux_sym_type_definition_repeat1] = STATE(613),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(229),
    [sym_comment] = ACTIONS(39),
  },
  [390] = {
    [sym_parameter_list] = STATE(128),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(1486),
    [anon_sym_RPAREN] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_comment] = ACTIONS(39),
  },
  [391] = {
    [sym_parameter_list] = STATE(383),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(1486),
    [anon_sym_RPAREN] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(905),
    [sym_comment] = ACTIONS(39),
  },
  [392] = {
    [sym_storage_class_specifier] = STATE(614),
    [sym_type_qualifier] = STATE(614),
    [aux_sym__declaration_specifiers_repeat1] = STATE(614),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_COMMA] = ACTIONS(243),
    [anon_sym_RPAREN] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [393] = {
    [sym_storage_class_specifier] = STATE(615),
    [sym_type_qualifier] = STATE(615),
    [aux_sym__declaration_specifiers_repeat1] = STATE(615),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_COMMA] = ACTIONS(243),
    [anon_sym_RPAREN] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [394] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(394),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(313),
    [anon_sym_RPAREN] = ACTIONS(313),
    [anon_sym_extern] = ACTIONS(315),
    [anon_sym_STAR] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_static] = ACTIONS(315),
    [anon_sym_auto] = ACTIONS(315),
    [anon_sym_register] = ACTIONS(315),
    [anon_sym_inline] = ACTIONS(315),
    [anon_sym_const] = ACTIONS(315),
    [anon_sym_restrict] = ACTIONS(315),
    [anon_sym_volatile] = ACTIONS(315),
    [anon_sym__Atomic] = ACTIONS(315),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(315),
    [sym_identifier] = ACTIONS(315),
    [sym_comment] = ACTIONS(39),
  },
  [395] = {
    [sym__declarator] = STATE(213),
    [sym_pointer_declarator] = STATE(213),
    [sym_function_declarator] = STATE(213),
    [sym_array_declarator] = STATE(213),
    [sym_type_qualifier] = STATE(214),
    [aux_sym_type_definition_repeat1] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(514),
    [sym_comment] = ACTIONS(39),
  },
  [396] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(616),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [397] = {
    [sym__expression] = STATE(410),
    [sym_conditional_expression] = STATE(410),
    [sym_assignment_expression] = STATE(410),
    [sym_pointer_expression] = STATE(410),
    [sym_logical_expression] = STATE(410),
    [sym_bitwise_expression] = STATE(410),
    [sym_equality_expression] = STATE(410),
    [sym_relational_expression] = STATE(410),
    [sym_shift_expression] = STATE(410),
    [sym_math_expression] = STATE(410),
    [sym_cast_expression] = STATE(410),
    [sym_sizeof_expression] = STATE(410),
    [sym_subscript_expression] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_field_expression] = STATE(410),
    [sym_compound_literal_expression] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_concatenated_string] = STATE(410),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(978),
    [sym_char_literal] = ACTIONS(978),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_identifier] = ACTIONS(980),
    [sym_comment] = ACTIONS(39),
  },
  [398] = {
    [sym__expression] = STATE(437),
    [sym_conditional_expression] = STATE(437),
    [sym_assignment_expression] = STATE(437),
    [sym_pointer_expression] = STATE(437),
    [sym_logical_expression] = STATE(437),
    [sym_bitwise_expression] = STATE(437),
    [sym_equality_expression] = STATE(437),
    [sym_relational_expression] = STATE(437),
    [sym_shift_expression] = STATE(437),
    [sym_math_expression] = STATE(437),
    [sym_cast_expression] = STATE(437),
    [sym_sizeof_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_call_expression] = STATE(437),
    [sym_field_expression] = STATE(437),
    [sym_compound_literal_expression] = STATE(437),
    [sym_parenthesized_expression] = STATE(437),
    [sym_concatenated_string] = STATE(437),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(1038),
    [sym_char_literal] = ACTIONS(1038),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_null] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1040),
    [sym_comment] = ACTIONS(39),
  },
  [399] = {
    [sym__expression] = STATE(438),
    [sym_conditional_expression] = STATE(438),
    [sym_assignment_expression] = STATE(438),
    [sym_pointer_expression] = STATE(438),
    [sym_logical_expression] = STATE(438),
    [sym_bitwise_expression] = STATE(438),
    [sym_equality_expression] = STATE(438),
    [sym_relational_expression] = STATE(438),
    [sym_shift_expression] = STATE(438),
    [sym_math_expression] = STATE(438),
    [sym_cast_expression] = STATE(438),
    [sym_sizeof_expression] = STATE(438),
    [sym_subscript_expression] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_field_expression] = STATE(438),
    [sym_compound_literal_expression] = STATE(438),
    [sym_parenthesized_expression] = STATE(438),
    [sym_concatenated_string] = STATE(438),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(1042),
    [sym_char_literal] = ACTIONS(1042),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [sym_null] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1044),
    [sym_comment] = ACTIONS(39),
  },
  [400] = {
    [sym__expression] = STATE(439),
    [sym_conditional_expression] = STATE(439),
    [sym_assignment_expression] = STATE(439),
    [sym_pointer_expression] = STATE(439),
    [sym_logical_expression] = STATE(439),
    [sym_bitwise_expression] = STATE(439),
    [sym_equality_expression] = STATE(439),
    [sym_relational_expression] = STATE(439),
    [sym_shift_expression] = STATE(439),
    [sym_math_expression] = STATE(439),
    [sym_cast_expression] = STATE(439),
    [sym_sizeof_expression] = STATE(439),
    [sym_subscript_expression] = STATE(439),
    [sym_call_expression] = STATE(439),
    [sym_field_expression] = STATE(439),
    [sym_compound_literal_expression] = STATE(439),
    [sym_parenthesized_expression] = STATE(439),
    [sym_concatenated_string] = STATE(439),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(1046),
    [sym_char_literal] = ACTIONS(1046),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [sym_null] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1048),
    [sym_comment] = ACTIONS(39),
  },
  [401] = {
    [sym__expression] = STATE(618),
    [sym_conditional_expression] = STATE(618),
    [sym_assignment_expression] = STATE(618),
    [sym_pointer_expression] = STATE(618),
    [sym_logical_expression] = STATE(618),
    [sym_bitwise_expression] = STATE(618),
    [sym_equality_expression] = STATE(618),
    [sym_relational_expression] = STATE(618),
    [sym_shift_expression] = STATE(618),
    [sym_math_expression] = STATE(618),
    [sym_cast_expression] = STATE(618),
    [sym_sizeof_expression] = STATE(618),
    [sym_subscript_expression] = STATE(618),
    [sym_call_expression] = STATE(618),
    [sym_field_expression] = STATE(618),
    [sym_compound_literal_expression] = STATE(618),
    [sym_parenthesized_expression] = STATE(618),
    [sym_concatenated_string] = STATE(618),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(1493),
    [sym_char_literal] = ACTIONS(1493),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_identifier] = ACTIONS(1495),
    [sym_comment] = ACTIONS(39),
  },
  [402] = {
    [aux_sym_concatenated_string_repeat1] = STATE(619),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_string_literal] = ACTIONS(1497),
    [sym_comment] = ACTIONS(39),
  },
  [403] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [404] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1499),
    [anon_sym_RPAREN] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [405] = {
    [anon_sym_RPAREN] = ACTIONS(1501),
    [sym_comment] = ACTIONS(39),
  },
  [406] = {
    [anon_sym_RPAREN] = ACTIONS(1531),
    [sym_comment] = ACTIONS(39),
  },
  [407] = {
    [sym_preproc_include] = STATE(661),
    [sym_preproc_def] = STATE(661),
    [sym_preproc_function_def] = STATE(661),
    [sym_preproc_call] = STATE(661),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(656),
    [sym_preproc_elif_in_compound_statement] = STATE(657),
    [sym_declaration] = STATE(661),
    [sym_type_definition] = STATE(661),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(661),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(661),
    [sym_expression_statement] = STATE(661),
    [sym_if_statement] = STATE(661),
    [sym_switch_statement] = STATE(661),
    [sym_case_statement] = STATE(661),
    [sym_while_statement] = STATE(661),
    [sym_do_statement] = STATE(661),
    [sym_for_statement] = STATE(661),
    [sym_return_statement] = STATE(661),
    [sym_break_statement] = STATE(661),
    [sym_continue_statement] = STATE(661),
    [sym_goto_statement] = STATE(661),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(661),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(661),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1535),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [408] = {
    [sym_preproc_include] = STATE(665),
    [sym_preproc_def] = STATE(665),
    [sym_preproc_function_def] = STATE(665),
    [sym_preproc_call] = STATE(665),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(663),
    [sym_preproc_elif_in_compound_statement] = STATE(664),
    [sym_declaration] = STATE(665),
    [sym_type_definition] = STATE(665),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(665),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(665),
    [sym_expression_statement] = STATE(665),
    [sym_if_statement] = STATE(665),
    [sym_switch_statement] = STATE(665),
    [sym_case_statement] = STATE(665),
    [sym_while_statement] = STATE(665),
    [sym_do_statement] = STATE(665),
    [sym_for_statement] = STATE(665),
    [sym_return_statement] = STATE(665),
    [sym_break_statement] = STATE(665),
    [sym_continue_statement] = STATE(665),
    [sym_goto_statement] = STATE(665),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(665),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1575),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [409] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(667),
    [sym_preproc_elif_in_compound_statement] = STATE(668),
    [sym_declaration] = STATE(669),
    [sym_type_definition] = STATE(669),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(669),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(669),
    [sym_expression_statement] = STATE(669),
    [sym_if_statement] = STATE(669),
    [sym_switch_statement] = STATE(669),
    [sym_case_statement] = STATE(669),
    [sym_while_statement] = STATE(669),
    [sym_do_statement] = STATE(669),
    [sym_for_statement] = STATE(669),
    [sym_return_statement] = STATE(669),
    [sym_break_statement] = STATE(669),
    [sym_continue_statement] = STATE(669),
    [sym_goto_statement] = STATE(669),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(669),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(669),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1577),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [410] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1579),
    [anon_sym_RPAREN] = ACTIONS(1579),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_RBRACE] = ACTIONS(1579),
    [anon_sym_STAR] = ACTIONS(1581),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1579),
    [anon_sym_EQ] = ACTIONS(1581),
    [anon_sym_COLON] = ACTIONS(1579),
    [anon_sym_QMARK] = ACTIONS(1579),
    [anon_sym_STAR_EQ] = ACTIONS(1579),
    [anon_sym_SLASH_EQ] = ACTIONS(1579),
    [anon_sym_PERCENT_EQ] = ACTIONS(1579),
    [anon_sym_PLUS_EQ] = ACTIONS(1579),
    [anon_sym_DASH_EQ] = ACTIONS(1579),
    [anon_sym_LT_LT_EQ] = ACTIONS(1579),
    [anon_sym_GT_GT_EQ] = ACTIONS(1579),
    [anon_sym_AMP_EQ] = ACTIONS(1579),
    [anon_sym_CARET_EQ] = ACTIONS(1579),
    [anon_sym_PIPE_EQ] = ACTIONS(1579),
    [anon_sym_AMP] = ACTIONS(1581),
    [anon_sym_PIPE_PIPE] = ACTIONS(1579),
    [anon_sym_AMP_AMP] = ACTIONS(1579),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1581),
    [anon_sym_EQ_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_GT] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1579),
    [anon_sym_GT_EQ] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_SLASH] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [411] = {
    [sym__expression] = STATE(677),
    [sym_conditional_expression] = STATE(677),
    [sym_assignment_expression] = STATE(677),
    [sym_pointer_expression] = STATE(677),
    [sym_logical_expression] = STATE(677),
    [sym_bitwise_expression] = STATE(677),
    [sym_equality_expression] = STATE(677),
    [sym_relational_expression] = STATE(677),
    [sym_shift_expression] = STATE(677),
    [sym_math_expression] = STATE(677),
    [sym_cast_expression] = STATE(677),
    [sym_sizeof_expression] = STATE(677),
    [sym_subscript_expression] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_field_expression] = STATE(677),
    [sym_compound_literal_expression] = STATE(677),
    [sym_parenthesized_expression] = STATE(677),
    [sym_concatenated_string] = STATE(677),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1597),
    [sym_char_literal] = ACTIONS(1597),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(1601),
    [sym_false] = ACTIONS(1601),
    [sym_null] = ACTIONS(1601),
    [sym_identifier] = ACTIONS(1601),
    [sym_comment] = ACTIONS(39),
  },
  [412] = {
    [sym__expression] = STATE(678),
    [sym_conditional_expression] = STATE(678),
    [sym_assignment_expression] = STATE(678),
    [sym_pointer_expression] = STATE(678),
    [sym_logical_expression] = STATE(678),
    [sym_bitwise_expression] = STATE(678),
    [sym_equality_expression] = STATE(678),
    [sym_relational_expression] = STATE(678),
    [sym_shift_expression] = STATE(678),
    [sym_math_expression] = STATE(678),
    [sym_cast_expression] = STATE(678),
    [sym_sizeof_expression] = STATE(678),
    [sym_subscript_expression] = STATE(678),
    [sym_call_expression] = STATE(678),
    [sym_field_expression] = STATE(678),
    [sym_compound_literal_expression] = STATE(678),
    [sym_parenthesized_expression] = STATE(678),
    [sym_concatenated_string] = STATE(678),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1603),
    [sym_char_literal] = ACTIONS(1603),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(1605),
    [sym_false] = ACTIONS(1605),
    [sym_null] = ACTIONS(1605),
    [sym_identifier] = ACTIONS(1605),
    [sym_comment] = ACTIONS(39),
  },
  [413] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(679),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [414] = {
    [sym__expression] = STATE(410),
    [sym_conditional_expression] = STATE(410),
    [sym_assignment_expression] = STATE(410),
    [sym_pointer_expression] = STATE(410),
    [sym_logical_expression] = STATE(410),
    [sym_bitwise_expression] = STATE(410),
    [sym_equality_expression] = STATE(410),
    [sym_relational_expression] = STATE(410),
    [sym_shift_expression] = STATE(410),
    [sym_math_expression] = STATE(410),
    [sym_cast_expression] = STATE(410),
    [sym_sizeof_expression] = STATE(410),
    [sym_subscript_expression] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_field_expression] = STATE(410),
    [sym_compound_literal_expression] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_concatenated_string] = STATE(410),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(978),
    [sym_char_literal] = ACTIONS(978),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_identifier] = ACTIONS(980),
    [sym_comment] = ACTIONS(39),
  },
  [415] = {
    [sym__expression] = STATE(437),
    [sym_conditional_expression] = STATE(437),
    [sym_assignment_expression] = STATE(437),
    [sym_pointer_expression] = STATE(437),
    [sym_logical_expression] = STATE(437),
    [sym_bitwise_expression] = STATE(437),
    [sym_equality_expression] = STATE(437),
    [sym_relational_expression] = STATE(437),
    [sym_shift_expression] = STATE(437),
    [sym_math_expression] = STATE(437),
    [sym_cast_expression] = STATE(437),
    [sym_sizeof_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_call_expression] = STATE(437),
    [sym_field_expression] = STATE(437),
    [sym_compound_literal_expression] = STATE(437),
    [sym_parenthesized_expression] = STATE(437),
    [sym_concatenated_string] = STATE(437),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1038),
    [sym_char_literal] = ACTIONS(1038),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_null] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1040),
    [sym_comment] = ACTIONS(39),
  },
  [416] = {
    [sym__expression] = STATE(438),
    [sym_conditional_expression] = STATE(438),
    [sym_assignment_expression] = STATE(438),
    [sym_pointer_expression] = STATE(438),
    [sym_logical_expression] = STATE(438),
    [sym_bitwise_expression] = STATE(438),
    [sym_equality_expression] = STATE(438),
    [sym_relational_expression] = STATE(438),
    [sym_shift_expression] = STATE(438),
    [sym_math_expression] = STATE(438),
    [sym_cast_expression] = STATE(438),
    [sym_sizeof_expression] = STATE(438),
    [sym_subscript_expression] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_field_expression] = STATE(438),
    [sym_compound_literal_expression] = STATE(438),
    [sym_parenthesized_expression] = STATE(438),
    [sym_concatenated_string] = STATE(438),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1042),
    [sym_char_literal] = ACTIONS(1042),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [sym_null] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1044),
    [sym_comment] = ACTIONS(39),
  },
  [417] = {
    [sym__expression] = STATE(439),
    [sym_conditional_expression] = STATE(439),
    [sym_assignment_expression] = STATE(439),
    [sym_pointer_expression] = STATE(439),
    [sym_logical_expression] = STATE(439),
    [sym_bitwise_expression] = STATE(439),
    [sym_equality_expression] = STATE(439),
    [sym_relational_expression] = STATE(439),
    [sym_shift_expression] = STATE(439),
    [sym_math_expression] = STATE(439),
    [sym_cast_expression] = STATE(439),
    [sym_sizeof_expression] = STATE(439),
    [sym_subscript_expression] = STATE(439),
    [sym_call_expression] = STATE(439),
    [sym_field_expression] = STATE(439),
    [sym_compound_literal_expression] = STATE(439),
    [sym_parenthesized_expression] = STATE(439),
    [sym_concatenated_string] = STATE(439),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1046),
    [sym_char_literal] = ACTIONS(1046),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [sym_null] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1048),
    [sym_comment] = ACTIONS(39),
  },
  [418] = {
    [sym__expression] = STATE(681),
    [sym_conditional_expression] = STATE(681),
    [sym_assignment_expression] = STATE(681),
    [sym_pointer_expression] = STATE(681),
    [sym_logical_expression] = STATE(681),
    [sym_bitwise_expression] = STATE(681),
    [sym_equality_expression] = STATE(681),
    [sym_relational_expression] = STATE(681),
    [sym_shift_expression] = STATE(681),
    [sym_math_expression] = STATE(681),
    [sym_cast_expression] = STATE(681),
    [sym_sizeof_expression] = STATE(681),
    [sym_subscript_expression] = STATE(681),
    [sym_call_expression] = STATE(681),
    [sym_field_expression] = STATE(681),
    [sym_compound_literal_expression] = STATE(681),
    [sym_parenthesized_expression] = STATE(681),
    [sym_concatenated_string] = STATE(681),
    [anon_sym_LPAREN] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1609),
    [sym_char_literal] = ACTIONS(1609),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1611),
    [sym_false] = ACTIONS(1611),
    [sym_null] = ACTIONS(1611),
    [sym_identifier] = ACTIONS(1611),
    [sym_comment] = ACTIONS(39),
  },
  [419] = {
    [aux_sym_concatenated_string_repeat1] = STATE(682),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(1056),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_string_literal] = ACTIONS(1613),
    [sym_comment] = ACTIONS(39),
  },
  [420] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [421] = {
    [sym_declaration] = STATE(697),
    [sym_type_definition] = STATE(697),
    [sym__declaration_specifiers] = STATE(698),
    [sym_compound_statement] = STATE(697),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(697),
    [sym_expression_statement] = STATE(697),
    [sym_if_statement] = STATE(697),
    [sym_switch_statement] = STATE(697),
    [sym_case_statement] = STATE(697),
    [sym_while_statement] = STATE(697),
    [sym_do_statement] = STATE(697),
    [sym_for_statement] = STATE(697),
    [sym_return_statement] = STATE(697),
    [sym_break_statement] = STATE(697),
    [sym_continue_statement] = STATE(697),
    [sym_goto_statement] = STATE(697),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1645),
    [sym_comment] = ACTIONS(39),
  },
  [422] = {
    [sym__expression] = STATE(699),
    [sym_conditional_expression] = STATE(699),
    [sym_assignment_expression] = STATE(699),
    [sym_pointer_expression] = STATE(699),
    [sym_logical_expression] = STATE(699),
    [sym_bitwise_expression] = STATE(699),
    [sym_equality_expression] = STATE(699),
    [sym_relational_expression] = STATE(699),
    [sym_shift_expression] = STATE(699),
    [sym_math_expression] = STATE(699),
    [sym_cast_expression] = STATE(699),
    [sym_sizeof_expression] = STATE(699),
    [sym_subscript_expression] = STATE(699),
    [sym_call_expression] = STATE(699),
    [sym_field_expression] = STATE(699),
    [sym_compound_literal_expression] = STATE(699),
    [sym_parenthesized_expression] = STATE(699),
    [sym_concatenated_string] = STATE(699),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1647),
    [sym_char_literal] = ACTIONS(1647),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(1649),
    [sym_false] = ACTIONS(1649),
    [sym_null] = ACTIONS(1649),
    [sym_identifier] = ACTIONS(1649),
    [sym_comment] = ACTIONS(39),
  },
  [423] = {
    [anon_sym_LPAREN] = ACTIONS(1651),
    [sym_comment] = ACTIONS(39),
  },
  [424] = {
    [anon_sym_LPAREN] = ACTIONS(1653),
    [sym_comment] = ACTIONS(39),
  },
  [425] = {
    [sym__expression] = STATE(702),
    [sym_conditional_expression] = STATE(702),
    [sym_assignment_expression] = STATE(702),
    [sym_pointer_expression] = STATE(702),
    [sym_logical_expression] = STATE(702),
    [sym_bitwise_expression] = STATE(702),
    [sym_equality_expression] = STATE(702),
    [sym_relational_expression] = STATE(702),
    [sym_shift_expression] = STATE(702),
    [sym_math_expression] = STATE(702),
    [sym_cast_expression] = STATE(702),
    [sym_sizeof_expression] = STATE(702),
    [sym_subscript_expression] = STATE(702),
    [sym_call_expression] = STATE(702),
    [sym_field_expression] = STATE(702),
    [sym_compound_literal_expression] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_concatenated_string] = STATE(702),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1655),
    [sym_char_literal] = ACTIONS(1655),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1657),
    [sym_false] = ACTIONS(1657),
    [sym_null] = ACTIONS(1657),
    [sym_identifier] = ACTIONS(1657),
    [sym_comment] = ACTIONS(39),
  },
  [426] = {
    [anon_sym_COLON] = ACTIONS(1659),
    [sym_comment] = ACTIONS(39),
  },
  [427] = {
    [anon_sym_LPAREN] = ACTIONS(1661),
    [sym_comment] = ACTIONS(39),
  },
  [428] = {
    [anon_sym_LPAREN] = ACTIONS(1663),
    [sym_comment] = ACTIONS(39),
  },
  [429] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [430] = {
    [anon_sym_while] = ACTIONS(1667),
    [sym_comment] = ACTIONS(39),
  },
  [431] = {
    [sym_declaration] = STATE(708),
    [sym__declaration_specifiers] = STATE(698),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym__expression] = STATE(710),
    [sym_conditional_expression] = STATE(710),
    [sym_assignment_expression] = STATE(710),
    [sym_pointer_expression] = STATE(710),
    [sym_logical_expression] = STATE(710),
    [sym_bitwise_expression] = STATE(710),
    [sym_equality_expression] = STATE(710),
    [sym_relational_expression] = STATE(710),
    [sym_shift_expression] = STATE(710),
    [sym_math_expression] = STATE(710),
    [sym_cast_expression] = STATE(710),
    [sym_sizeof_expression] = STATE(710),
    [sym_subscript_expression] = STATE(710),
    [sym_call_expression] = STATE(710),
    [sym_field_expression] = STATE(710),
    [sym_compound_literal_expression] = STATE(710),
    [sym_parenthesized_expression] = STATE(710),
    [sym_concatenated_string] = STATE(710),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(1669),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(1671),
    [sym_char_literal] = ACTIONS(1671),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(1673),
    [sym_false] = ACTIONS(1673),
    [sym_null] = ACTIONS(1673),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(39),
  },
  [432] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1677),
    [sym_preproc_directive] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1679),
    [anon_sym_typedef] = ACTIONS(1677),
    [anon_sym_extern] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1679),
    [anon_sym_RBRACE] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1677),
    [anon_sym_auto] = ACTIONS(1677),
    [anon_sym_register] = ACTIONS(1677),
    [anon_sym_inline] = ACTIONS(1677),
    [anon_sym_const] = ACTIONS(1677),
    [anon_sym_restrict] = ACTIONS(1677),
    [anon_sym_volatile] = ACTIONS(1677),
    [anon_sym__Atomic] = ACTIONS(1677),
    [anon_sym_unsigned] = ACTIONS(1677),
    [anon_sym_long] = ACTIONS(1677),
    [anon_sym_short] = ACTIONS(1677),
    [sym_primitive_type] = ACTIONS(1677),
    [anon_sym_enum] = ACTIONS(1677),
    [anon_sym_struct] = ACTIONS(1677),
    [anon_sym_union] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1677),
    [anon_sym_else] = ACTIONS(1677),
    [anon_sym_switch] = ACTIONS(1677),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1677),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_do] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1677),
    [anon_sym_return] = ACTIONS(1677),
    [anon_sym_break] = ACTIONS(1677),
    [anon_sym_continue] = ACTIONS(1677),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1679),
    [anon_sym_TILDE] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_sizeof] = ACTIONS(1677),
    [sym_number_literal] = ACTIONS(1679),
    [sym_char_literal] = ACTIONS(1679),
    [sym_string_literal] = ACTIONS(1679),
    [sym_true] = ACTIONS(1677),
    [sym_false] = ACTIONS(1677),
    [sym_null] = ACTIONS(1677),
    [sym_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(39),
  },
  [433] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1681),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [434] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_RBRACE] = ACTIONS(1685),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_else] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [sym_char_literal] = ACTIONS(1685),
    [sym_string_literal] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [sym_null] = ACTIONS(1683),
    [sym_identifier] = ACTIONS(1683),
    [sym_comment] = ACTIONS(39),
  },
  [435] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_typedef] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_else] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1687),
    [anon_sym_default] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1687),
    [anon_sym_do] = ACTIONS(1687),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_return] = ACTIONS(1687),
    [anon_sym_break] = ACTIONS(1687),
    [anon_sym_continue] = ACTIONS(1687),
    [anon_sym_goto] = ACTIONS(1687),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1689),
    [anon_sym_TILDE] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_sizeof] = ACTIONS(1687),
    [sym_number_literal] = ACTIONS(1689),
    [sym_char_literal] = ACTIONS(1689),
    [sym_string_literal] = ACTIONS(1689),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [sym_null] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_comment] = ACTIONS(39),
  },
  [436] = {
    [anon_sym_SEMI] = ACTIONS(1691),
    [sym_comment] = ACTIONS(39),
  },
  [437] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_STAR] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1695),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_QMARK] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1693),
    [anon_sym_SLASH_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT_EQ] = ACTIONS(1693),
    [anon_sym_PLUS_EQ] = ACTIONS(1693),
    [anon_sym_DASH_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT_EQ] = ACTIONS(1693),
    [anon_sym_GT_GT_EQ] = ACTIONS(1693),
    [anon_sym_AMP_EQ] = ACTIONS(1693),
    [anon_sym_CARET_EQ] = ACTIONS(1693),
    [anon_sym_PIPE_EQ] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1695),
    [anon_sym_PIPE_PIPE] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1693),
    [anon_sym_PIPE] = ACTIONS(1695),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_EQ_EQ] = ACTIONS(1693),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1695),
    [anon_sym_GT_GT] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym_PERCENT] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [438] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1697),
    [anon_sym_RPAREN] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1697),
    [anon_sym_RBRACE] = ACTIONS(1697),
    [anon_sym_STAR] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1699),
    [anon_sym_COLON] = ACTIONS(1697),
    [anon_sym_QMARK] = ACTIONS(1697),
    [anon_sym_STAR_EQ] = ACTIONS(1697),
    [anon_sym_SLASH_EQ] = ACTIONS(1697),
    [anon_sym_PERCENT_EQ] = ACTIONS(1697),
    [anon_sym_PLUS_EQ] = ACTIONS(1697),
    [anon_sym_DASH_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT_GT_EQ] = ACTIONS(1697),
    [anon_sym_AMP_EQ] = ACTIONS(1697),
    [anon_sym_CARET_EQ] = ACTIONS(1697),
    [anon_sym_PIPE_EQ] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1697),
    [anon_sym_PIPE] = ACTIONS(1699),
    [anon_sym_CARET] = ACTIONS(1699),
    [anon_sym_EQ_EQ] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_GT_GT] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1699),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym_PERCENT] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [439] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1701),
    [anon_sym_RPAREN] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_RBRACE] = ACTIONS(1701),
    [anon_sym_STAR] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1703),
    [anon_sym_COLON] = ACTIONS(1701),
    [anon_sym_QMARK] = ACTIONS(1701),
    [anon_sym_STAR_EQ] = ACTIONS(1701),
    [anon_sym_SLASH_EQ] = ACTIONS(1701),
    [anon_sym_PERCENT_EQ] = ACTIONS(1701),
    [anon_sym_PLUS_EQ] = ACTIONS(1701),
    [anon_sym_DASH_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT_EQ] = ACTIONS(1701),
    [anon_sym_GT_GT_EQ] = ACTIONS(1701),
    [anon_sym_AMP_EQ] = ACTIONS(1701),
    [anon_sym_CARET_EQ] = ACTIONS(1701),
    [anon_sym_PIPE_EQ] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_AMP_AMP] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_EQ_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [440] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(713),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [441] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [442] = {
    [aux_sym_concatenated_string_repeat1] = STATE(714),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [sym_string_literal] = ACTIONS(1713),
    [sym_comment] = ACTIONS(39),
  },
  [443] = {
    [sym_compound_statement] = STATE(716),
    [sym_labeled_statement] = STATE(716),
    [sym_expression_statement] = STATE(716),
    [sym_if_statement] = STATE(716),
    [sym_switch_statement] = STATE(716),
    [sym_case_statement] = STATE(716),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(716),
    [sym_for_statement] = STATE(716),
    [sym_return_statement] = STATE(716),
    [sym_break_statement] = STATE(716),
    [sym_continue_statement] = STATE(716),
    [sym_goto_statement] = STATE(716),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [444] = {
    [sym_parameter_list] = STATE(128),
    [aux_sym_declaration_repeat1] = STATE(129),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(235),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(241),
    [sym_comment] = ACTIONS(39),
  },
  [445] = {
    [sym__expression] = STATE(718),
    [sym_conditional_expression] = STATE(718),
    [sym_assignment_expression] = STATE(718),
    [sym_pointer_expression] = STATE(718),
    [sym_logical_expression] = STATE(718),
    [sym_bitwise_expression] = STATE(718),
    [sym_equality_expression] = STATE(718),
    [sym_relational_expression] = STATE(718),
    [sym_shift_expression] = STATE(718),
    [sym_math_expression] = STATE(718),
    [sym_cast_expression] = STATE(718),
    [sym_sizeof_expression] = STATE(718),
    [sym_subscript_expression] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_field_expression] = STATE(718),
    [sym_compound_literal_expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_concatenated_string] = STATE(718),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(1719),
    [sym_char_literal] = ACTIONS(1719),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(1721),
    [sym_false] = ACTIONS(1721),
    [sym_null] = ACTIONS(1721),
    [sym_identifier] = ACTIONS(1721),
    [sym_comment] = ACTIONS(39),
  },
  [446] = {
    [sym__expression] = STATE(719),
    [sym_comma_expression] = STATE(720),
    [sym_conditional_expression] = STATE(719),
    [sym_assignment_expression] = STATE(719),
    [sym_pointer_expression] = STATE(719),
    [sym_logical_expression] = STATE(719),
    [sym_bitwise_expression] = STATE(719),
    [sym_equality_expression] = STATE(719),
    [sym_relational_expression] = STATE(719),
    [sym_shift_expression] = STATE(719),
    [sym_math_expression] = STATE(719),
    [sym_cast_expression] = STATE(719),
    [sym_sizeof_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_call_expression] = STATE(719),
    [sym_field_expression] = STATE(719),
    [sym_compound_literal_expression] = STATE(719),
    [sym_parenthesized_expression] = STATE(719),
    [sym_concatenated_string] = STATE(719),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1723),
    [sym_char_literal] = ACTIONS(1723),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1725),
    [sym_false] = ACTIONS(1725),
    [sym_null] = ACTIONS(1725),
    [sym_identifier] = ACTIONS(1725),
    [sym_comment] = ACTIONS(39),
  },
  [447] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1729),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1727),
    [sym_preproc_directive] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1729),
    [anon_sym_typedef] = ACTIONS(1727),
    [anon_sym_extern] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1729),
    [anon_sym_RBRACE] = ACTIONS(1729),
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_static] = ACTIONS(1727),
    [anon_sym_auto] = ACTIONS(1727),
    [anon_sym_register] = ACTIONS(1727),
    [anon_sym_inline] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_restrict] = ACTIONS(1727),
    [anon_sym_volatile] = ACTIONS(1727),
    [anon_sym__Atomic] = ACTIONS(1727),
    [anon_sym_unsigned] = ACTIONS(1727),
    [anon_sym_long] = ACTIONS(1727),
    [anon_sym_short] = ACTIONS(1727),
    [sym_primitive_type] = ACTIONS(1727),
    [anon_sym_enum] = ACTIONS(1727),
    [anon_sym_struct] = ACTIONS(1727),
    [anon_sym_union] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_case] = ACTIONS(1727),
    [anon_sym_default] = ACTIONS(1727),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_goto] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_TILDE] = ACTIONS(1729),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_DASH_DASH] = ACTIONS(1729),
    [anon_sym_PLUS_PLUS] = ACTIONS(1729),
    [anon_sym_sizeof] = ACTIONS(1727),
    [sym_number_literal] = ACTIONS(1729),
    [sym_char_literal] = ACTIONS(1729),
    [sym_string_literal] = ACTIONS(1729),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1727),
    [sym_comment] = ACTIONS(39),
  },
  [448] = {
    [sym__expression] = STATE(721),
    [sym_conditional_expression] = STATE(721),
    [sym_assignment_expression] = STATE(721),
    [sym_pointer_expression] = STATE(721),
    [sym_logical_expression] = STATE(721),
    [sym_bitwise_expression] = STATE(721),
    [sym_equality_expression] = STATE(721),
    [sym_relational_expression] = STATE(721),
    [sym_shift_expression] = STATE(721),
    [sym_math_expression] = STATE(721),
    [sym_cast_expression] = STATE(721),
    [sym_sizeof_expression] = STATE(721),
    [sym_subscript_expression] = STATE(721),
    [sym_call_expression] = STATE(721),
    [sym_field_expression] = STATE(721),
    [sym_compound_literal_expression] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym_concatenated_string] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1731),
    [sym_char_literal] = ACTIONS(1731),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1733),
    [sym_comment] = ACTIONS(39),
  },
  [449] = {
    [sym__expression] = STATE(722),
    [sym_conditional_expression] = STATE(722),
    [sym_assignment_expression] = STATE(722),
    [sym_pointer_expression] = STATE(722),
    [sym_logical_expression] = STATE(722),
    [sym_bitwise_expression] = STATE(722),
    [sym_equality_expression] = STATE(722),
    [sym_relational_expression] = STATE(722),
    [sym_shift_expression] = STATE(722),
    [sym_math_expression] = STATE(722),
    [sym_cast_expression] = STATE(722),
    [sym_sizeof_expression] = STATE(722),
    [sym_subscript_expression] = STATE(722),
    [sym_call_expression] = STATE(722),
    [sym_field_expression] = STATE(722),
    [sym_compound_literal_expression] = STATE(722),
    [sym_parenthesized_expression] = STATE(722),
    [sym_concatenated_string] = STATE(722),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1735),
    [sym_char_literal] = ACTIONS(1735),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1737),
    [sym_false] = ACTIONS(1737),
    [sym_null] = ACTIONS(1737),
    [sym_identifier] = ACTIONS(1737),
    [sym_comment] = ACTIONS(39),
  },
  [450] = {
    [sym__expression] = STATE(723),
    [sym_conditional_expression] = STATE(723),
    [sym_assignment_expression] = STATE(723),
    [sym_pointer_expression] = STATE(723),
    [sym_logical_expression] = STATE(723),
    [sym_bitwise_expression] = STATE(723),
    [sym_equality_expression] = STATE(723),
    [sym_relational_expression] = STATE(723),
    [sym_shift_expression] = STATE(723),
    [sym_math_expression] = STATE(723),
    [sym_cast_expression] = STATE(723),
    [sym_sizeof_expression] = STATE(723),
    [sym_subscript_expression] = STATE(723),
    [sym_call_expression] = STATE(723),
    [sym_field_expression] = STATE(723),
    [sym_compound_literal_expression] = STATE(723),
    [sym_parenthesized_expression] = STATE(723),
    [sym_concatenated_string] = STATE(723),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1739),
    [sym_char_literal] = ACTIONS(1739),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1741),
    [sym_false] = ACTIONS(1741),
    [sym_null] = ACTIONS(1741),
    [sym_identifier] = ACTIONS(1741),
    [sym_comment] = ACTIONS(39),
  },
  [451] = {
    [sym__expression] = STATE(724),
    [sym_conditional_expression] = STATE(724),
    [sym_assignment_expression] = STATE(724),
    [sym_pointer_expression] = STATE(724),
    [sym_logical_expression] = STATE(724),
    [sym_bitwise_expression] = STATE(724),
    [sym_equality_expression] = STATE(724),
    [sym_relational_expression] = STATE(724),
    [sym_shift_expression] = STATE(724),
    [sym_math_expression] = STATE(724),
    [sym_cast_expression] = STATE(724),
    [sym_sizeof_expression] = STATE(724),
    [sym_subscript_expression] = STATE(724),
    [sym_call_expression] = STATE(724),
    [sym_field_expression] = STATE(724),
    [sym_compound_literal_expression] = STATE(724),
    [sym_parenthesized_expression] = STATE(724),
    [sym_concatenated_string] = STATE(724),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1743),
    [sym_char_literal] = ACTIONS(1743),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_identifier] = ACTIONS(1745),
    [sym_comment] = ACTIONS(39),
  },
  [452] = {
    [sym__expression] = STATE(725),
    [sym_conditional_expression] = STATE(725),
    [sym_assignment_expression] = STATE(725),
    [sym_pointer_expression] = STATE(725),
    [sym_logical_expression] = STATE(725),
    [sym_bitwise_expression] = STATE(725),
    [sym_equality_expression] = STATE(725),
    [sym_relational_expression] = STATE(725),
    [sym_shift_expression] = STATE(725),
    [sym_math_expression] = STATE(725),
    [sym_cast_expression] = STATE(725),
    [sym_sizeof_expression] = STATE(725),
    [sym_subscript_expression] = STATE(725),
    [sym_call_expression] = STATE(725),
    [sym_field_expression] = STATE(725),
    [sym_compound_literal_expression] = STATE(725),
    [sym_parenthesized_expression] = STATE(725),
    [sym_concatenated_string] = STATE(725),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1747),
    [sym_char_literal] = ACTIONS(1747),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1749),
    [sym_false] = ACTIONS(1749),
    [sym_null] = ACTIONS(1749),
    [sym_identifier] = ACTIONS(1749),
    [sym_comment] = ACTIONS(39),
  },
  [453] = {
    [sym__expression] = STATE(726),
    [sym_conditional_expression] = STATE(726),
    [sym_assignment_expression] = STATE(726),
    [sym_pointer_expression] = STATE(726),
    [sym_logical_expression] = STATE(726),
    [sym_bitwise_expression] = STATE(726),
    [sym_equality_expression] = STATE(726),
    [sym_relational_expression] = STATE(726),
    [sym_shift_expression] = STATE(726),
    [sym_math_expression] = STATE(726),
    [sym_cast_expression] = STATE(726),
    [sym_sizeof_expression] = STATE(726),
    [sym_subscript_expression] = STATE(726),
    [sym_call_expression] = STATE(726),
    [sym_field_expression] = STATE(726),
    [sym_compound_literal_expression] = STATE(726),
    [sym_parenthesized_expression] = STATE(726),
    [sym_concatenated_string] = STATE(726),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1751),
    [sym_char_literal] = ACTIONS(1751),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1753),
    [sym_false] = ACTIONS(1753),
    [sym_null] = ACTIONS(1753),
    [sym_identifier] = ACTIONS(1753),
    [sym_comment] = ACTIONS(39),
  },
  [454] = {
    [sym__expression] = STATE(727),
    [sym_conditional_expression] = STATE(727),
    [sym_assignment_expression] = STATE(727),
    [sym_pointer_expression] = STATE(727),
    [sym_logical_expression] = STATE(727),
    [sym_bitwise_expression] = STATE(727),
    [sym_equality_expression] = STATE(727),
    [sym_relational_expression] = STATE(727),
    [sym_shift_expression] = STATE(727),
    [sym_math_expression] = STATE(727),
    [sym_cast_expression] = STATE(727),
    [sym_sizeof_expression] = STATE(727),
    [sym_subscript_expression] = STATE(727),
    [sym_call_expression] = STATE(727),
    [sym_field_expression] = STATE(727),
    [sym_compound_literal_expression] = STATE(727),
    [sym_parenthesized_expression] = STATE(727),
    [sym_concatenated_string] = STATE(727),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1755),
    [sym_char_literal] = ACTIONS(1755),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1757),
    [sym_false] = ACTIONS(1757),
    [sym_null] = ACTIONS(1757),
    [sym_identifier] = ACTIONS(1757),
    [sym_comment] = ACTIONS(39),
  },
  [455] = {
    [sym__expression] = STATE(728),
    [sym_conditional_expression] = STATE(728),
    [sym_assignment_expression] = STATE(728),
    [sym_pointer_expression] = STATE(728),
    [sym_logical_expression] = STATE(728),
    [sym_bitwise_expression] = STATE(728),
    [sym_equality_expression] = STATE(728),
    [sym_relational_expression] = STATE(728),
    [sym_shift_expression] = STATE(728),
    [sym_math_expression] = STATE(728),
    [sym_cast_expression] = STATE(728),
    [sym_sizeof_expression] = STATE(728),
    [sym_subscript_expression] = STATE(728),
    [sym_call_expression] = STATE(728),
    [sym_field_expression] = STATE(728),
    [sym_compound_literal_expression] = STATE(728),
    [sym_parenthesized_expression] = STATE(728),
    [sym_concatenated_string] = STATE(728),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1759),
    [sym_char_literal] = ACTIONS(1759),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1761),
    [sym_false] = ACTIONS(1761),
    [sym_null] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(1761),
    [sym_comment] = ACTIONS(39),
  },
  [456] = {
    [sym__expression] = STATE(729),
    [sym_conditional_expression] = STATE(729),
    [sym_assignment_expression] = STATE(729),
    [sym_pointer_expression] = STATE(729),
    [sym_logical_expression] = STATE(729),
    [sym_bitwise_expression] = STATE(729),
    [sym_equality_expression] = STATE(729),
    [sym_relational_expression] = STATE(729),
    [sym_shift_expression] = STATE(729),
    [sym_math_expression] = STATE(729),
    [sym_cast_expression] = STATE(729),
    [sym_sizeof_expression] = STATE(729),
    [sym_subscript_expression] = STATE(729),
    [sym_call_expression] = STATE(729),
    [sym_field_expression] = STATE(729),
    [sym_compound_literal_expression] = STATE(729),
    [sym_parenthesized_expression] = STATE(729),
    [sym_concatenated_string] = STATE(729),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1763),
    [sym_char_literal] = ACTIONS(1763),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1765),
    [sym_false] = ACTIONS(1765),
    [sym_null] = ACTIONS(1765),
    [sym_identifier] = ACTIONS(1765),
    [sym_comment] = ACTIONS(39),
  },
  [457] = {
    [sym__expression] = STATE(730),
    [sym_conditional_expression] = STATE(730),
    [sym_assignment_expression] = STATE(730),
    [sym_pointer_expression] = STATE(730),
    [sym_logical_expression] = STATE(730),
    [sym_bitwise_expression] = STATE(730),
    [sym_equality_expression] = STATE(730),
    [sym_relational_expression] = STATE(730),
    [sym_shift_expression] = STATE(730),
    [sym_math_expression] = STATE(730),
    [sym_cast_expression] = STATE(730),
    [sym_sizeof_expression] = STATE(730),
    [sym_subscript_expression] = STATE(730),
    [sym_call_expression] = STATE(730),
    [sym_field_expression] = STATE(730),
    [sym_compound_literal_expression] = STATE(730),
    [sym_parenthesized_expression] = STATE(730),
    [sym_concatenated_string] = STATE(730),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1767),
    [sym_char_literal] = ACTIONS(1767),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_identifier] = ACTIONS(1769),
    [sym_comment] = ACTIONS(39),
  },
  [458] = {
    [sym__expression] = STATE(731),
    [sym_conditional_expression] = STATE(731),
    [sym_assignment_expression] = STATE(731),
    [sym_pointer_expression] = STATE(731),
    [sym_logical_expression] = STATE(731),
    [sym_bitwise_expression] = STATE(731),
    [sym_equality_expression] = STATE(731),
    [sym_relational_expression] = STATE(731),
    [sym_shift_expression] = STATE(731),
    [sym_math_expression] = STATE(731),
    [sym_cast_expression] = STATE(731),
    [sym_sizeof_expression] = STATE(731),
    [sym_subscript_expression] = STATE(731),
    [sym_call_expression] = STATE(731),
    [sym_field_expression] = STATE(731),
    [sym_compound_literal_expression] = STATE(731),
    [sym_parenthesized_expression] = STATE(731),
    [sym_concatenated_string] = STATE(731),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1771),
    [sym_char_literal] = ACTIONS(1771),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1773),
    [sym_false] = ACTIONS(1773),
    [sym_null] = ACTIONS(1773),
    [sym_identifier] = ACTIONS(1773),
    [sym_comment] = ACTIONS(39),
  },
  [459] = {
    [sym__expression] = STATE(732),
    [sym_conditional_expression] = STATE(732),
    [sym_assignment_expression] = STATE(732),
    [sym_pointer_expression] = STATE(732),
    [sym_logical_expression] = STATE(732),
    [sym_bitwise_expression] = STATE(732),
    [sym_equality_expression] = STATE(732),
    [sym_relational_expression] = STATE(732),
    [sym_shift_expression] = STATE(732),
    [sym_math_expression] = STATE(732),
    [sym_cast_expression] = STATE(732),
    [sym_sizeof_expression] = STATE(732),
    [sym_subscript_expression] = STATE(732),
    [sym_call_expression] = STATE(732),
    [sym_field_expression] = STATE(732),
    [sym_compound_literal_expression] = STATE(732),
    [sym_parenthesized_expression] = STATE(732),
    [sym_concatenated_string] = STATE(732),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1775),
    [sym_char_literal] = ACTIONS(1775),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1777),
    [sym_false] = ACTIONS(1777),
    [sym_null] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1777),
    [sym_comment] = ACTIONS(39),
  },
  [460] = {
    [sym__expression] = STATE(733),
    [sym_conditional_expression] = STATE(733),
    [sym_assignment_expression] = STATE(733),
    [sym_pointer_expression] = STATE(733),
    [sym_logical_expression] = STATE(733),
    [sym_bitwise_expression] = STATE(733),
    [sym_equality_expression] = STATE(733),
    [sym_relational_expression] = STATE(733),
    [sym_shift_expression] = STATE(733),
    [sym_math_expression] = STATE(733),
    [sym_cast_expression] = STATE(733),
    [sym_sizeof_expression] = STATE(733),
    [sym_subscript_expression] = STATE(733),
    [sym_call_expression] = STATE(733),
    [sym_field_expression] = STATE(733),
    [sym_compound_literal_expression] = STATE(733),
    [sym_parenthesized_expression] = STATE(733),
    [sym_concatenated_string] = STATE(733),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1779),
    [sym_char_literal] = ACTIONS(1779),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1781),
    [sym_false] = ACTIONS(1781),
    [sym_null] = ACTIONS(1781),
    [sym_identifier] = ACTIONS(1781),
    [sym_comment] = ACTIONS(39),
  },
  [461] = {
    [anon_sym_LPAREN] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1701),
    [anon_sym_RPAREN] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_RBRACE] = ACTIONS(1701),
    [anon_sym_STAR] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1703),
    [anon_sym_COLON] = ACTIONS(1701),
    [anon_sym_QMARK] = ACTIONS(1701),
    [anon_sym_STAR_EQ] = ACTIONS(1701),
    [anon_sym_SLASH_EQ] = ACTIONS(1701),
    [anon_sym_PERCENT_EQ] = ACTIONS(1701),
    [anon_sym_PLUS_EQ] = ACTIONS(1701),
    [anon_sym_DASH_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT_EQ] = ACTIONS(1701),
    [anon_sym_GT_GT_EQ] = ACTIONS(1701),
    [anon_sym_AMP_EQ] = ACTIONS(1701),
    [anon_sym_CARET_EQ] = ACTIONS(1701),
    [anon_sym_PIPE_EQ] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1701),
    [anon_sym_AMP_AMP] = ACTIONS(1701),
    [anon_sym_PIPE] = ACTIONS(1703),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_EQ_EQ] = ACTIONS(1701),
    [anon_sym_BANG_EQ] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DOT] = ACTIONS(1701),
    [anon_sym_DASH_GT] = ACTIONS(1701),
    [sym_comment] = ACTIONS(39),
  },
  [462] = {
    [sym_identifier] = ACTIONS(1783),
    [sym_comment] = ACTIONS(39),
  },
  [463] = {
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_RPAREN] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1785),
    [anon_sym_RBRACE] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_RBRACK] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_COLON] = ACTIONS(1785),
    [anon_sym_QMARK] = ACTIONS(1785),
    [anon_sym_STAR_EQ] = ACTIONS(1785),
    [anon_sym_SLASH_EQ] = ACTIONS(1785),
    [anon_sym_PERCENT_EQ] = ACTIONS(1785),
    [anon_sym_PLUS_EQ] = ACTIONS(1785),
    [anon_sym_DASH_EQ] = ACTIONS(1785),
    [anon_sym_LT_LT_EQ] = ACTIONS(1785),
    [anon_sym_GT_GT_EQ] = ACTIONS(1785),
    [anon_sym_AMP_EQ] = ACTIONS(1785),
    [anon_sym_CARET_EQ] = ACTIONS(1785),
    [anon_sym_PIPE_EQ] = ACTIONS(1785),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1785),
    [anon_sym_AMP_AMP] = ACTIONS(1785),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1785),
    [anon_sym_BANG_EQ] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1785),
    [anon_sym_GT_EQ] = ACTIONS(1785),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DOT] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1785),
    [sym_comment] = ACTIONS(39),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1789),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1789),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1791),
    [sym_preproc_directive] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1789),
    [anon_sym_typedef] = ACTIONS(1791),
    [anon_sym_extern] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1789),
    [anon_sym_RBRACE] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_static] = ACTIONS(1791),
    [anon_sym_auto] = ACTIONS(1791),
    [anon_sym_register] = ACTIONS(1791),
    [anon_sym_inline] = ACTIONS(1791),
    [anon_sym_const] = ACTIONS(1791),
    [anon_sym_restrict] = ACTIONS(1791),
    [anon_sym_volatile] = ACTIONS(1791),
    [anon_sym__Atomic] = ACTIONS(1791),
    [anon_sym_unsigned] = ACTIONS(1791),
    [anon_sym_long] = ACTIONS(1791),
    [anon_sym_short] = ACTIONS(1791),
    [sym_primitive_type] = ACTIONS(1791),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1791),
    [anon_sym_if] = ACTIONS(1791),
    [anon_sym_else] = ACTIONS(1791),
    [anon_sym_switch] = ACTIONS(1791),
    [anon_sym_case] = ACTIONS(1791),
    [anon_sym_default] = ACTIONS(1791),
    [anon_sym_while] = ACTIONS(1791),
    [anon_sym_do] = ACTIONS(1791),
    [anon_sym_for] = ACTIONS(1791),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_break] = ACTIONS(1791),
    [anon_sym_continue] = ACTIONS(1791),
    [anon_sym_goto] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_sizeof] = ACTIONS(1791),
    [sym_number_literal] = ACTIONS(1789),
    [sym_char_literal] = ACTIONS(1789),
    [sym_string_literal] = ACTIONS(1789),
    [sym_true] = ACTIONS(1791),
    [sym_false] = ACTIONS(1791),
    [sym_null] = ACTIONS(1791),
    [sym_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(39),
  },
  [465] = {
    [sym_preproc_include] = STATE(465),
    [sym_preproc_def] = STATE(465),
    [sym_preproc_function_def] = STATE(465),
    [sym_preproc_call] = STATE(465),
    [sym_preproc_if_in_compound_statement] = STATE(248),
    [sym_preproc_ifdef_in_compound_statement] = STATE(249),
    [sym_declaration] = STATE(465),
    [sym_type_definition] = STATE(465),
    [sym__declaration_specifiers] = STATE(250),
    [sym_compound_statement] = STATE(465),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_case_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_goto_statement] = STATE(465),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym__empty_declaration] = STATE(465),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1793),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1796),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1802),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1805),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1808),
    [sym_preproc_directive] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_typedef] = ACTIONS(1817),
    [anon_sym_extern] = ACTIONS(1820),
    [anon_sym_LBRACE] = ACTIONS(1823),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_static] = ACTIONS(1820),
    [anon_sym_auto] = ACTIONS(1820),
    [anon_sym_register] = ACTIONS(1820),
    [anon_sym_inline] = ACTIONS(1820),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_restrict] = ACTIONS(1831),
    [anon_sym_volatile] = ACTIONS(1831),
    [anon_sym__Atomic] = ACTIONS(1831),
    [anon_sym_unsigned] = ACTIONS(1834),
    [anon_sym_long] = ACTIONS(1834),
    [anon_sym_short] = ACTIONS(1834),
    [sym_primitive_type] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1840),
    [anon_sym_struct] = ACTIONS(1843),
    [anon_sym_union] = ACTIONS(1846),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_case] = ACTIONS(1855),
    [anon_sym_default] = ACTIONS(1858),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1870),
    [anon_sym_break] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1876),
    [anon_sym_goto] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_TILDE] = ACTIONS(1885),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1891),
    [anon_sym_PLUS_PLUS] = ACTIONS(1891),
    [anon_sym_sizeof] = ACTIONS(1894),
    [sym_number_literal] = ACTIONS(1897),
    [sym_char_literal] = ACTIONS(1897),
    [sym_string_literal] = ACTIONS(1900),
    [sym_true] = ACTIONS(1903),
    [sym_false] = ACTIONS(1903),
    [sym_null] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(1906),
    [sym_comment] = ACTIONS(39),
  },
  [466] = {
    [anon_sym_RPAREN] = ACTIONS(1909),
    [sym_comment] = ACTIONS(39),
  },
  [467] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(736),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [468] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [469] = {
    [aux_sym_concatenated_string_repeat1] = STATE(737),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [anon_sym_RBRACK] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [sym_string_literal] = ACTIONS(1911),
    [sym_comment] = ACTIONS(39),
  },
  [470] = {
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1913),
    [sym_comment] = ACTIONS(39),
  },
  [471] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(1915),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [472] = {
    [sym_storage_class_specifier] = STATE(739),
    [sym_type_qualifier] = STATE(739),
    [aux_sym__declaration_specifiers_repeat1] = STATE(739),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_DASH_DASH] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(243),
    [anon_sym_sizeof] = ACTIONS(245),
    [sym_number_literal] = ACTIONS(243),
    [sym_char_literal] = ACTIONS(243),
    [sym_string_literal] = ACTIONS(243),
    [sym_true] = ACTIONS(245),
    [sym_false] = ACTIONS(245),
    [sym_null] = ACTIONS(245),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [473] = {
    [sym__expression] = STATE(721),
    [sym_conditional_expression] = STATE(721),
    [sym_assignment_expression] = STATE(721),
    [sym_pointer_expression] = STATE(721),
    [sym_logical_expression] = STATE(721),
    [sym_bitwise_expression] = STATE(721),
    [sym_equality_expression] = STATE(721),
    [sym_relational_expression] = STATE(721),
    [sym_shift_expression] = STATE(721),
    [sym_math_expression] = STATE(721),
    [sym_cast_expression] = STATE(721),
    [sym_sizeof_expression] = STATE(721),
    [sym_subscript_expression] = STATE(721),
    [sym_call_expression] = STATE(721),
    [sym_field_expression] = STATE(721),
    [sym_compound_literal_expression] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym_concatenated_string] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1731),
    [sym_char_literal] = ACTIONS(1731),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1733),
    [sym_comment] = ACTIONS(39),
  },
  [474] = {
    [sym__expression] = STATE(740),
    [sym_conditional_expression] = STATE(740),
    [sym_assignment_expression] = STATE(740),
    [sym_pointer_expression] = STATE(740),
    [sym_logical_expression] = STATE(740),
    [sym_bitwise_expression] = STATE(740),
    [sym_equality_expression] = STATE(740),
    [sym_relational_expression] = STATE(740),
    [sym_shift_expression] = STATE(740),
    [sym_math_expression] = STATE(740),
    [sym_cast_expression] = STATE(740),
    [sym_sizeof_expression] = STATE(740),
    [sym_subscript_expression] = STATE(740),
    [sym_call_expression] = STATE(740),
    [sym_field_expression] = STATE(740),
    [sym_compound_literal_expression] = STATE(740),
    [sym_parenthesized_expression] = STATE(740),
    [sym_concatenated_string] = STATE(740),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1917),
    [sym_char_literal] = ACTIONS(1917),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1919),
    [sym_false] = ACTIONS(1919),
    [sym_null] = ACTIONS(1919),
    [sym_identifier] = ACTIONS(1919),
    [sym_comment] = ACTIONS(39),
  },
  [475] = {
    [sym__expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_assignment_expression] = STATE(741),
    [sym_pointer_expression] = STATE(741),
    [sym_logical_expression] = STATE(741),
    [sym_bitwise_expression] = STATE(741),
    [sym_equality_expression] = STATE(741),
    [sym_relational_expression] = STATE(741),
    [sym_shift_expression] = STATE(741),
    [sym_math_expression] = STATE(741),
    [sym_cast_expression] = STATE(741),
    [sym_sizeof_expression] = STATE(741),
    [sym_subscript_expression] = STATE(741),
    [sym_call_expression] = STATE(741),
    [sym_field_expression] = STATE(741),
    [sym_compound_literal_expression] = STATE(741),
    [sym_parenthesized_expression] = STATE(741),
    [sym_concatenated_string] = STATE(741),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1921),
    [sym_char_literal] = ACTIONS(1921),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1923),
    [sym_false] = ACTIONS(1923),
    [sym_null] = ACTIONS(1923),
    [sym_identifier] = ACTIONS(1923),
    [sym_comment] = ACTIONS(39),
  },
  [476] = {
    [sym__expression] = STATE(742),
    [sym_conditional_expression] = STATE(742),
    [sym_assignment_expression] = STATE(742),
    [sym_pointer_expression] = STATE(742),
    [sym_logical_expression] = STATE(742),
    [sym_bitwise_expression] = STATE(742),
    [sym_equality_expression] = STATE(742),
    [sym_relational_expression] = STATE(742),
    [sym_shift_expression] = STATE(742),
    [sym_math_expression] = STATE(742),
    [sym_cast_expression] = STATE(742),
    [sym_sizeof_expression] = STATE(742),
    [sym_subscript_expression] = STATE(742),
    [sym_call_expression] = STATE(742),
    [sym_field_expression] = STATE(742),
    [sym_compound_literal_expression] = STATE(742),
    [sym_parenthesized_expression] = STATE(742),
    [sym_concatenated_string] = STATE(742),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1925),
    [sym_char_literal] = ACTIONS(1925),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1927),
    [sym_false] = ACTIONS(1927),
    [sym_null] = ACTIONS(1927),
    [sym_identifier] = ACTIONS(1927),
    [sym_comment] = ACTIONS(39),
  },
  [477] = {
    [sym__expression] = STATE(743),
    [sym_conditional_expression] = STATE(743),
    [sym_assignment_expression] = STATE(743),
    [sym_pointer_expression] = STATE(743),
    [sym_logical_expression] = STATE(743),
    [sym_bitwise_expression] = STATE(743),
    [sym_equality_expression] = STATE(743),
    [sym_relational_expression] = STATE(743),
    [sym_shift_expression] = STATE(743),
    [sym_math_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_sizeof_expression] = STATE(743),
    [sym_subscript_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_field_expression] = STATE(743),
    [sym_compound_literal_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_concatenated_string] = STATE(743),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1929),
    [sym_char_literal] = ACTIONS(1929),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1931),
    [sym_false] = ACTIONS(1931),
    [sym_null] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1931),
    [sym_comment] = ACTIONS(39),
  },
  [478] = {
    [sym__expression] = STATE(744),
    [sym_conditional_expression] = STATE(744),
    [sym_assignment_expression] = STATE(744),
    [sym_pointer_expression] = STATE(744),
    [sym_logical_expression] = STATE(744),
    [sym_bitwise_expression] = STATE(744),
    [sym_equality_expression] = STATE(744),
    [sym_relational_expression] = STATE(744),
    [sym_shift_expression] = STATE(744),
    [sym_math_expression] = STATE(744),
    [sym_cast_expression] = STATE(744),
    [sym_sizeof_expression] = STATE(744),
    [sym_subscript_expression] = STATE(744),
    [sym_call_expression] = STATE(744),
    [sym_field_expression] = STATE(744),
    [sym_compound_literal_expression] = STATE(744),
    [sym_parenthesized_expression] = STATE(744),
    [sym_concatenated_string] = STATE(744),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1933),
    [sym_char_literal] = ACTIONS(1933),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1935),
    [sym_false] = ACTIONS(1935),
    [sym_null] = ACTIONS(1935),
    [sym_identifier] = ACTIONS(1935),
    [sym_comment] = ACTIONS(39),
  },
  [479] = {
    [sym__expression] = STATE(745),
    [sym_conditional_expression] = STATE(745),
    [sym_assignment_expression] = STATE(745),
    [sym_pointer_expression] = STATE(745),
    [sym_logical_expression] = STATE(745),
    [sym_bitwise_expression] = STATE(745),
    [sym_equality_expression] = STATE(745),
    [sym_relational_expression] = STATE(745),
    [sym_shift_expression] = STATE(745),
    [sym_math_expression] = STATE(745),
    [sym_cast_expression] = STATE(745),
    [sym_sizeof_expression] = STATE(745),
    [sym_subscript_expression] = STATE(745),
    [sym_call_expression] = STATE(745),
    [sym_field_expression] = STATE(745),
    [sym_compound_literal_expression] = STATE(745),
    [sym_parenthesized_expression] = STATE(745),
    [sym_concatenated_string] = STATE(745),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1937),
    [sym_char_literal] = ACTIONS(1937),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1939),
    [sym_false] = ACTIONS(1939),
    [sym_null] = ACTIONS(1939),
    [sym_identifier] = ACTIONS(1939),
    [sym_comment] = ACTIONS(39),
  },
  [480] = {
    [sym__expression] = STATE(746),
    [sym_conditional_expression] = STATE(746),
    [sym_assignment_expression] = STATE(746),
    [sym_pointer_expression] = STATE(746),
    [sym_logical_expression] = STATE(746),
    [sym_bitwise_expression] = STATE(746),
    [sym_equality_expression] = STATE(746),
    [sym_relational_expression] = STATE(746),
    [sym_shift_expression] = STATE(746),
    [sym_math_expression] = STATE(746),
    [sym_cast_expression] = STATE(746),
    [sym_sizeof_expression] = STATE(746),
    [sym_subscript_expression] = STATE(746),
    [sym_call_expression] = STATE(746),
    [sym_field_expression] = STATE(746),
    [sym_compound_literal_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(746),
    [sym_concatenated_string] = STATE(746),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1941),
    [sym_char_literal] = ACTIONS(1941),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1943),
    [sym_false] = ACTIONS(1943),
    [sym_null] = ACTIONS(1943),
    [sym_identifier] = ACTIONS(1943),
    [sym_comment] = ACTIONS(39),
  },
  [481] = {
    [sym__expression] = STATE(747),
    [sym_conditional_expression] = STATE(747),
    [sym_assignment_expression] = STATE(747),
    [sym_pointer_expression] = STATE(747),
    [sym_logical_expression] = STATE(747),
    [sym_bitwise_expression] = STATE(747),
    [sym_equality_expression] = STATE(747),
    [sym_relational_expression] = STATE(747),
    [sym_shift_expression] = STATE(747),
    [sym_math_expression] = STATE(747),
    [sym_cast_expression] = STATE(747),
    [sym_sizeof_expression] = STATE(747),
    [sym_subscript_expression] = STATE(747),
    [sym_call_expression] = STATE(747),
    [sym_field_expression] = STATE(747),
    [sym_compound_literal_expression] = STATE(747),
    [sym_parenthesized_expression] = STATE(747),
    [sym_concatenated_string] = STATE(747),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1945),
    [sym_char_literal] = ACTIONS(1945),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1947),
    [sym_false] = ACTIONS(1947),
    [sym_null] = ACTIONS(1947),
    [sym_identifier] = ACTIONS(1947),
    [sym_comment] = ACTIONS(39),
  },
  [482] = {
    [sym__expression] = STATE(748),
    [sym_conditional_expression] = STATE(748),
    [sym_assignment_expression] = STATE(748),
    [sym_pointer_expression] = STATE(748),
    [sym_logical_expression] = STATE(748),
    [sym_bitwise_expression] = STATE(748),
    [sym_equality_expression] = STATE(748),
    [sym_relational_expression] = STATE(748),
    [sym_shift_expression] = STATE(748),
    [sym_math_expression] = STATE(748),
    [sym_cast_expression] = STATE(748),
    [sym_sizeof_expression] = STATE(748),
    [sym_subscript_expression] = STATE(748),
    [sym_call_expression] = STATE(748),
    [sym_field_expression] = STATE(748),
    [sym_compound_literal_expression] = STATE(748),
    [sym_parenthesized_expression] = STATE(748),
    [sym_concatenated_string] = STATE(748),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1949),
    [sym_char_literal] = ACTIONS(1949),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1951),
    [sym_false] = ACTIONS(1951),
    [sym_null] = ACTIONS(1951),
    [sym_identifier] = ACTIONS(1951),
    [sym_comment] = ACTIONS(39),
  },
  [483] = {
    [sym__expression] = STATE(749),
    [sym_conditional_expression] = STATE(749),
    [sym_assignment_expression] = STATE(749),
    [sym_pointer_expression] = STATE(749),
    [sym_logical_expression] = STATE(749),
    [sym_bitwise_expression] = STATE(749),
    [sym_equality_expression] = STATE(749),
    [sym_relational_expression] = STATE(749),
    [sym_shift_expression] = STATE(749),
    [sym_math_expression] = STATE(749),
    [sym_cast_expression] = STATE(749),
    [sym_sizeof_expression] = STATE(749),
    [sym_subscript_expression] = STATE(749),
    [sym_call_expression] = STATE(749),
    [sym_field_expression] = STATE(749),
    [sym_compound_literal_expression] = STATE(749),
    [sym_parenthesized_expression] = STATE(749),
    [sym_concatenated_string] = STATE(749),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1953),
    [sym_char_literal] = ACTIONS(1953),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1955),
    [sym_false] = ACTIONS(1955),
    [sym_null] = ACTIONS(1955),
    [sym_identifier] = ACTIONS(1955),
    [sym_comment] = ACTIONS(39),
  },
  [484] = {
    [sym__expression] = STATE(750),
    [sym_conditional_expression] = STATE(750),
    [sym_assignment_expression] = STATE(750),
    [sym_pointer_expression] = STATE(750),
    [sym_logical_expression] = STATE(750),
    [sym_bitwise_expression] = STATE(750),
    [sym_equality_expression] = STATE(750),
    [sym_relational_expression] = STATE(750),
    [sym_shift_expression] = STATE(750),
    [sym_math_expression] = STATE(750),
    [sym_cast_expression] = STATE(750),
    [sym_sizeof_expression] = STATE(750),
    [sym_subscript_expression] = STATE(750),
    [sym_call_expression] = STATE(750),
    [sym_field_expression] = STATE(750),
    [sym_compound_literal_expression] = STATE(750),
    [sym_parenthesized_expression] = STATE(750),
    [sym_concatenated_string] = STATE(750),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1957),
    [sym_char_literal] = ACTIONS(1957),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1959),
    [sym_false] = ACTIONS(1959),
    [sym_null] = ACTIONS(1959),
    [sym_identifier] = ACTIONS(1959),
    [sym_comment] = ACTIONS(39),
  },
  [485] = {
    [sym_storage_class_specifier] = STATE(751),
    [sym_type_qualifier] = STATE(751),
    [aux_sym__declaration_specifiers_repeat1] = STATE(751),
    [anon_sym_LPAREN] = ACTIONS(243),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(243),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(243),
    [anon_sym_BANG] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(245),
    [anon_sym_DASH] = ACTIONS(245),
    [anon_sym_DASH_DASH] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(243),
    [anon_sym_sizeof] = ACTIONS(245),
    [sym_number_literal] = ACTIONS(243),
    [sym_char_literal] = ACTIONS(243),
    [sym_string_literal] = ACTIONS(243),
    [sym_true] = ACTIONS(245),
    [sym_false] = ACTIONS(245),
    [sym_null] = ACTIONS(245),
    [sym_identifier] = ACTIONS(245),
    [sym_comment] = ACTIONS(39),
  },
  [486] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(486),
    [anon_sym_LPAREN] = ACTIONS(313),
    [anon_sym_extern] = ACTIONS(315),
    [anon_sym_STAR] = ACTIONS(313),
    [anon_sym_RBRACK] = ACTIONS(313),
    [anon_sym_static] = ACTIONS(315),
    [anon_sym_auto] = ACTIONS(315),
    [anon_sym_register] = ACTIONS(315),
    [anon_sym_inline] = ACTIONS(315),
    [anon_sym_const] = ACTIONS(315),
    [anon_sym_restrict] = ACTIONS(315),
    [anon_sym_volatile] = ACTIONS(315),
    [anon_sym__Atomic] = ACTIONS(315),
    [anon_sym_unsigned] = ACTIONS(1961),
    [anon_sym_long] = ACTIONS(1961),
    [anon_sym_short] = ACTIONS(1961),
    [sym_primitive_type] = ACTIONS(315),
    [anon_sym_AMP] = ACTIONS(313),
    [anon_sym_BANG] = ACTIONS(313),
    [anon_sym_TILDE] = ACTIONS(313),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_DASH_DASH] = ACTIONS(313),
    [anon_sym_PLUS_PLUS] = ACTIONS(313),
    [anon_sym_sizeof] = ACTIONS(315),
    [sym_number_literal] = ACTIONS(313),
    [sym_char_literal] = ACTIONS(313),
    [sym_string_literal] = ACTIONS(313),
    [sym_true] = ACTIONS(315),
    [sym_false] = ACTIONS(315),
    [sym_null] = ACTIONS(315),
    [sym_identifier] = ACTIONS(315),
    [sym_comment] = ACTIONS(39),
  },
  [487] = {
    [anon_sym_RBRACE] = ACTIONS(1964),
    [sym_comment] = ACTIONS(39),
  },
  [488] = {
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_RBRACK] = ACTIONS(1966),
    [anon_sym_EQ] = ACTIONS(1968),
    [anon_sym_COLON] = ACTIONS(1966),
    [anon_sym_QMARK] = ACTIONS(1966),
    [anon_sym_STAR_EQ] = ACTIONS(1966),
    [anon_sym_SLASH_EQ] = ACTIONS(1966),
    [anon_sym_PERCENT_EQ] = ACTIONS(1966),
    [anon_sym_PLUS_EQ] = ACTIONS(1966),
    [anon_sym_DASH_EQ] = ACTIONS(1966),
    [anon_sym_LT_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_GT_EQ] = ACTIONS(1966),
    [anon_sym_AMP_EQ] = ACTIONS(1966),
    [anon_sym_CARET_EQ] = ACTIONS(1966),
    [anon_sym_PIPE_EQ] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_PIPE_PIPE] = ACTIONS(1966),
    [anon_sym_AMP_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1968),
    [anon_sym_CARET] = ACTIONS(1968),
    [anon_sym_EQ_EQ] = ACTIONS(1966),
    [anon_sym_BANG_EQ] = ACTIONS(1966),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_GT] = ACTIONS(1968),
    [anon_sym_LT_EQ] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_GT_GT] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_SLASH] = ACTIONS(1968),
    [anon_sym_PERCENT] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1966),
    [anon_sym_PLUS_PLUS] = ACTIONS(1966),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1966),
    [sym_comment] = ACTIONS(39),
  },
  [489] = {
    [sym__expression] = STATE(753),
    [sym_conditional_expression] = STATE(753),
    [sym_assignment_expression] = STATE(753),
    [sym_pointer_expression] = STATE(753),
    [sym_logical_expression] = STATE(753),
    [sym_bitwise_expression] = STATE(753),
    [sym_equality_expression] = STATE(753),
    [sym_relational_expression] = STATE(753),
    [sym_shift_expression] = STATE(753),
    [sym_math_expression] = STATE(753),
    [sym_cast_expression] = STATE(753),
    [sym_sizeof_expression] = STATE(753),
    [sym_subscript_expression] = STATE(753),
    [sym_call_expression] = STATE(753),
    [sym_field_expression] = STATE(753),
    [sym_compound_literal_expression] = STATE(753),
    [sym_parenthesized_expression] = STATE(753),
    [sym_concatenated_string] = STATE(753),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(1970),
    [sym_char_literal] = ACTIONS(1970),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(1972),
    [sym_false] = ACTIONS(1972),
    [sym_null] = ACTIONS(1972),
    [sym_identifier] = ACTIONS(1972),
    [sym_comment] = ACTIONS(39),
  },
  [490] = {
    [sym_identifier] = ACTIONS(1974),
    [sym_comment] = ACTIONS(39),
  },
  [491] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_initializer_list_repeat1] = STATE(756),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_RBRACE] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(1331),
    [anon_sym_STAR_EQ] = ACTIONS(1333),
    [anon_sym_SLASH_EQ] = ACTIONS(1333),
    [anon_sym_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_EQ] = ACTIONS(1333),
    [anon_sym_DASH_EQ] = ACTIONS(1333),
    [anon_sym_LT_LT_EQ] = ACTIONS(1333),
    [anon_sym_GT_GT_EQ] = ACTIONS(1333),
    [anon_sym_AMP_EQ] = ACTIONS(1333),
    [anon_sym_CARET_EQ] = ACTIONS(1333),
    [anon_sym_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [492] = {
    [aux_sym_initializer_list_repeat1] = STATE(756),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_RBRACE] = ACTIONS(1964),
    [sym_comment] = ACTIONS(39),
  },
  [493] = {
    [sym_subscript_designator] = STATE(758),
    [sym_field_designator] = STATE(758),
    [aux_sym_initializer_pair_repeat1] = STATE(758),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_EQ] = ACTIONS(1978),
    [anon_sym_DOT] = ACTIONS(1180),
    [sym_comment] = ACTIONS(39),
  },
  [494] = {
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_RPAREN] = ACTIONS(1980),
    [sym_comment] = ACTIONS(39),
  },
  [495] = {
    [anon_sym_LF] = ACTIONS(1982),
    [sym_preproc_arg] = ACTIONS(1982),
    [sym_comment] = ACTIONS(47),
  },
  [496] = {
    [aux_sym_preproc_params_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1980),
    [sym_comment] = ACTIONS(39),
  },
  [497] = {
    [anon_sym_LF] = ACTIONS(1987),
    [sym_comment] = ACTIONS(47),
  },
  [498] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(644),
    [anon_sym_LPAREN] = ACTIONS(642),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(644),
    [sym_preproc_directive] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_typedef] = ACTIONS(644),
    [anon_sym_extern] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_auto] = ACTIONS(644),
    [anon_sym_register] = ACTIONS(644),
    [anon_sym_inline] = ACTIONS(644),
    [anon_sym_const] = ACTIONS(644),
    [anon_sym_restrict] = ACTIONS(644),
    [anon_sym_volatile] = ACTIONS(644),
    [anon_sym__Atomic] = ACTIONS(644),
    [anon_sym_unsigned] = ACTIONS(644),
    [anon_sym_long] = ACTIONS(644),
    [anon_sym_short] = ACTIONS(644),
    [sym_primitive_type] = ACTIONS(644),
    [anon_sym_enum] = ACTIONS(644),
    [anon_sym_struct] = ACTIONS(644),
    [anon_sym_union] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_goto] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(642),
    [anon_sym_BANG] = ACTIONS(642),
    [anon_sym_TILDE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_sizeof] = ACTIONS(644),
    [sym_number_literal] = ACTIONS(642),
    [sym_char_literal] = ACTIONS(642),
    [sym_string_literal] = ACTIONS(642),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [sym_identifier] = ACTIONS(644),
    [sym_comment] = ACTIONS(39),
  },
  [499] = {
    [anon_sym_LF] = ACTIONS(1989),
    [sym_comment] = ACTIONS(47),
  },
  [500] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(692),
    [sym_preproc_directive] = ACTIONS(692),
    [anon_sym_typedef] = ACTIONS(692),
    [anon_sym_extern] = ACTIONS(692),
    [anon_sym_static] = ACTIONS(692),
    [anon_sym_auto] = ACTIONS(692),
    [anon_sym_register] = ACTIONS(692),
    [anon_sym_inline] = ACTIONS(692),
    [anon_sym_const] = ACTIONS(692),
    [anon_sym_restrict] = ACTIONS(692),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym__Atomic] = ACTIONS(692),
    [anon_sym_unsigned] = ACTIONS(692),
    [anon_sym_long] = ACTIONS(692),
    [anon_sym_short] = ACTIONS(692),
    [sym_primitive_type] = ACTIONS(692),
    [anon_sym_enum] = ACTIONS(692),
    [anon_sym_struct] = ACTIONS(692),
    [anon_sym_union] = ACTIONS(692),
    [sym_identifier] = ACTIONS(692),
    [sym_comment] = ACTIONS(39),
  },
  [501] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1991),
    [sym_comment] = ACTIONS(39),
  },
  [502] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(728),
    [sym_preproc_directive] = ACTIONS(728),
    [anon_sym_typedef] = ACTIONS(728),
    [anon_sym_extern] = ACTIONS(728),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_auto] = ACTIONS(728),
    [anon_sym_register] = ACTIONS(728),
    [anon_sym_inline] = ACTIONS(728),
    [anon_sym_const] = ACTIONS(728),
    [anon_sym_restrict] = ACTIONS(728),
    [anon_sym_volatile] = ACTIONS(728),
    [anon_sym__Atomic] = ACTIONS(728),
    [anon_sym_unsigned] = ACTIONS(728),
    [anon_sym_long] = ACTIONS(728),
    [anon_sym_short] = ACTIONS(728),
    [sym_primitive_type] = ACTIONS(728),
    [anon_sym_enum] = ACTIONS(728),
    [anon_sym_struct] = ACTIONS(728),
    [anon_sym_union] = ACTIONS(728),
    [sym_identifier] = ACTIONS(728),
    [sym_comment] = ACTIONS(39),
  },
  [503] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1993),
    [sym_comment] = ACTIONS(39),
  },
  [504] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(734),
    [sym_preproc_directive] = ACTIONS(734),
    [anon_sym_typedef] = ACTIONS(734),
    [anon_sym_extern] = ACTIONS(734),
    [anon_sym_static] = ACTIONS(734),
    [anon_sym_auto] = ACTIONS(734),
    [anon_sym_register] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(734),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_restrict] = ACTIONS(734),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym__Atomic] = ACTIONS(734),
    [anon_sym_unsigned] = ACTIONS(734),
    [anon_sym_long] = ACTIONS(734),
    [anon_sym_short] = ACTIONS(734),
    [sym_primitive_type] = ACTIONS(734),
    [anon_sym_enum] = ACTIONS(734),
    [anon_sym_struct] = ACTIONS(734),
    [anon_sym_union] = ACTIONS(734),
    [sym_identifier] = ACTIONS(734),
    [sym_comment] = ACTIONS(39),
  },
  [505] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1995),
    [sym_comment] = ACTIONS(39),
  },
  [506] = {
    [sym_preproc_arg] = ACTIONS(1997),
    [sym_comment] = ACTIONS(47),
  },
  [507] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(324),
    [anon_sym_LPAREN] = ACTIONS(322),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(324),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(324),
    [sym_preproc_directive] = ACTIONS(324),
    [anon_sym_SEMI] = ACTIONS(322),
    [anon_sym_typedef] = ACTIONS(324),
    [anon_sym_extern] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(322),
    [anon_sym_STAR] = ACTIONS(322),
    [anon_sym_static] = ACTIONS(324),
    [anon_sym_auto] = ACTIONS(324),
    [anon_sym_register] = ACTIONS(324),
    [anon_sym_inline] = ACTIONS(324),
    [anon_sym_const] = ACTIONS(324),
    [anon_sym_restrict] = ACTIONS(324),
    [anon_sym_volatile] = ACTIONS(324),
    [anon_sym__Atomic] = ACTIONS(324),
    [anon_sym_unsigned] = ACTIONS(324),
    [anon_sym_long] = ACTIONS(324),
    [anon_sym_short] = ACTIONS(324),
    [sym_primitive_type] = ACTIONS(324),
    [anon_sym_enum] = ACTIONS(324),
    [anon_sym_struct] = ACTIONS(324),
    [anon_sym_union] = ACTIONS(324),
    [anon_sym_if] = ACTIONS(324),
    [anon_sym_switch] = ACTIONS(324),
    [anon_sym_case] = ACTIONS(324),
    [anon_sym_default] = ACTIONS(324),
    [anon_sym_while] = ACTIONS(324),
    [anon_sym_do] = ACTIONS(324),
    [anon_sym_for] = ACTIONS(324),
    [anon_sym_return] = ACTIONS(324),
    [anon_sym_break] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(324),
    [anon_sym_goto] = ACTIONS(324),
    [anon_sym_AMP] = ACTIONS(322),
    [anon_sym_BANG] = ACTIONS(322),
    [anon_sym_TILDE] = ACTIONS(322),
    [anon_sym_PLUS] = ACTIONS(324),
    [anon_sym_DASH] = ACTIONS(324),
    [anon_sym_DASH_DASH] = ACTIONS(322),
    [anon_sym_PLUS_PLUS] = ACTIONS(322),
    [anon_sym_sizeof] = ACTIONS(324),
    [sym_number_literal] = ACTIONS(322),
    [sym_char_literal] = ACTIONS(322),
    [sym_string_literal] = ACTIONS(322),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_null] = ACTIONS(324),
    [sym_identifier] = ACTIONS(324),
    [sym_comment] = ACTIONS(39),
  },
  [508] = {
    [anon_sym_LF] = ACTIONS(1999),
    [sym_preproc_arg] = ACTIONS(2001),
    [sym_comment] = ACTIONS(47),
  },
  [509] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(342),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(342),
    [sym_preproc_directive] = ACTIONS(342),
    [anon_sym_typedef] = ACTIONS(342),
    [anon_sym_extern] = ACTIONS(342),
    [anon_sym_static] = ACTIONS(342),
    [anon_sym_auto] = ACTIONS(342),
    [anon_sym_register] = ACTIONS(342),
    [anon_sym_inline] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(342),
    [anon_sym_restrict] = ACTIONS(342),
    [anon_sym_volatile] = ACTIONS(342),
    [anon_sym__Atomic] = ACTIONS(342),
    [anon_sym_unsigned] = ACTIONS(342),
    [anon_sym_long] = ACTIONS(342),
    [anon_sym_short] = ACTIONS(342),
    [sym_primitive_type] = ACTIONS(342),
    [anon_sym_enum] = ACTIONS(342),
    [anon_sym_struct] = ACTIONS(342),
    [anon_sym_union] = ACTIONS(342),
    [sym_identifier] = ACTIONS(342),
    [sym_comment] = ACTIONS(39),
  },
  [510] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2003),
    [sym_comment] = ACTIONS(39),
  },
  [511] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(768),
    [sym_preproc_elif] = STATE(768),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2005),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [512] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(386),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(386),
    [sym_preproc_directive] = ACTIONS(386),
    [anon_sym_typedef] = ACTIONS(386),
    [anon_sym_extern] = ACTIONS(386),
    [anon_sym_static] = ACTIONS(386),
    [anon_sym_auto] = ACTIONS(386),
    [anon_sym_register] = ACTIONS(386),
    [anon_sym_inline] = ACTIONS(386),
    [anon_sym_const] = ACTIONS(386),
    [anon_sym_restrict] = ACTIONS(386),
    [anon_sym_volatile] = ACTIONS(386),
    [anon_sym__Atomic] = ACTIONS(386),
    [anon_sym_unsigned] = ACTIONS(386),
    [anon_sym_long] = ACTIONS(386),
    [anon_sym_short] = ACTIONS(386),
    [sym_primitive_type] = ACTIONS(386),
    [anon_sym_enum] = ACTIONS(386),
    [anon_sym_struct] = ACTIONS(386),
    [anon_sym_union] = ACTIONS(386),
    [sym_identifier] = ACTIONS(386),
    [sym_comment] = ACTIONS(39),
  },
  [513] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2007),
    [sym_comment] = ACTIONS(39),
  },
  [514] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(770),
    [sym_preproc_elif] = STATE(770),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2009),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [515] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(394),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(394),
    [sym_preproc_directive] = ACTIONS(394),
    [anon_sym_typedef] = ACTIONS(394),
    [anon_sym_extern] = ACTIONS(394),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_auto] = ACTIONS(394),
    [anon_sym_register] = ACTIONS(394),
    [anon_sym_inline] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_restrict] = ACTIONS(394),
    [anon_sym_volatile] = ACTIONS(394),
    [anon_sym__Atomic] = ACTIONS(394),
    [anon_sym_unsigned] = ACTIONS(394),
    [anon_sym_long] = ACTIONS(394),
    [anon_sym_short] = ACTIONS(394),
    [sym_primitive_type] = ACTIONS(394),
    [anon_sym_enum] = ACTIONS(394),
    [anon_sym_struct] = ACTIONS(394),
    [anon_sym_union] = ACTIONS(394),
    [sym_identifier] = ACTIONS(394),
    [sym_comment] = ACTIONS(39),
  },
  [516] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2011),
    [sym_comment] = ACTIONS(39),
  },
  [517] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if] = STATE(163),
    [sym_preproc_ifdef] = STATE(163),
    [sym_preproc_else] = STATE(772),
    [sym_preproc_elif] = STATE(772),
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_specifiers] = STATE(70),
    [sym_linkage_specification] = STATE(163),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(163),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(163),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2013),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(141),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(147),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [518] = {
    [anon_sym_LF] = ACTIONS(2015),
    [sym_comment] = ACTIONS(47),
  },
  [519] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [520] = {
    [sym__type_declarator] = STATE(775),
    [sym_pointer_type_declarator] = STATE(83),
    [sym_function_type_declarator] = STATE(84),
    [sym_array_type_declarator] = STATE(85),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_identifier] = ACTIONS(163),
    [sym_comment] = ACTIONS(39),
  },
  [521] = {
    [sym_preproc_include] = STATE(777),
    [sym_preproc_def] = STATE(777),
    [sym_preproc_function_def] = STATE(777),
    [sym_preproc_call] = STATE(777),
    [sym_preproc_if] = STATE(777),
    [sym_preproc_ifdef] = STATE(777),
    [sym_function_definition] = STATE(777),
    [sym_declaration] = STATE(777),
    [sym_type_definition] = STATE(777),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(777),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(777),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(777),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(11),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(13),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [522] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(430),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(430),
    [sym_preproc_directive] = ACTIONS(430),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(430),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_auto] = ACTIONS(430),
    [anon_sym_register] = ACTIONS(430),
    [anon_sym_inline] = ACTIONS(430),
    [anon_sym_const] = ACTIONS(430),
    [anon_sym_restrict] = ACTIONS(430),
    [anon_sym_volatile] = ACTIONS(430),
    [anon_sym__Atomic] = ACTIONS(430),
    [anon_sym_unsigned] = ACTIONS(430),
    [anon_sym_long] = ACTIONS(430),
    [anon_sym_short] = ACTIONS(430),
    [sym_primitive_type] = ACTIONS(430),
    [anon_sym_enum] = ACTIONS(430),
    [anon_sym_struct] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(430),
    [sym_identifier] = ACTIONS(430),
    [sym_comment] = ACTIONS(39),
  },
  [523] = {
    [sym__declarator] = STATE(301),
    [sym_pointer_declarator] = STATE(301),
    [sym_function_declarator] = STATE(301),
    [sym_array_declarator] = STATE(301),
    [sym_init_declarator] = STATE(302),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(94),
    [sym_identifier] = ACTIONS(678),
    [sym_comment] = ACTIONS(39),
  },
  [524] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(530),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(530),
    [sym_preproc_directive] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_typedef] = ACTIONS(530),
    [anon_sym_extern] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(530),
    [anon_sym_auto] = ACTIONS(530),
    [anon_sym_register] = ACTIONS(530),
    [anon_sym_inline] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_restrict] = ACTIONS(530),
    [anon_sym_volatile] = ACTIONS(530),
    [anon_sym__Atomic] = ACTIONS(530),
    [anon_sym_unsigned] = ACTIONS(530),
    [anon_sym_long] = ACTIONS(530),
    [anon_sym_short] = ACTIONS(530),
    [sym_primitive_type] = ACTIONS(530),
    [anon_sym_enum] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(530),
    [anon_sym_union] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_else] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(530),
    [anon_sym_case] = ACTIONS(530),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_goto] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(528),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(528),
    [anon_sym_sizeof] = ACTIONS(530),
    [sym_number_literal] = ACTIONS(528),
    [sym_char_literal] = ACTIONS(528),
    [sym_string_literal] = ACTIONS(528),
    [sym_true] = ACTIONS(530),
    [sym_false] = ACTIONS(530),
    [sym_null] = ACTIONS(530),
    [sym_identifier] = ACTIONS(530),
    [sym_comment] = ACTIONS(39),
  },
  [525] = {
    [sym_preproc_include] = STATE(779),
    [sym_preproc_def] = STATE(779),
    [sym_preproc_function_def] = STATE(779),
    [sym_preproc_call] = STATE(779),
    [sym_preproc_if_in_compound_statement] = STATE(248),
    [sym_preproc_ifdef_in_compound_statement] = STATE(249),
    [sym_declaration] = STATE(779),
    [sym_type_definition] = STATE(779),
    [sym__declaration_specifiers] = STATE(250),
    [sym_compound_statement] = STATE(779),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(779),
    [sym_expression_statement] = STATE(779),
    [sym_if_statement] = STATE(779),
    [sym_switch_statement] = STATE(779),
    [sym_case_statement] = STATE(779),
    [sym_while_statement] = STATE(779),
    [sym_do_statement] = STATE(779),
    [sym_for_statement] = STATE(779),
    [sym_return_statement] = STATE(779),
    [sym_break_statement] = STATE(779),
    [sym_continue_statement] = STATE(779),
    [sym_goto_statement] = STATE(779),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym__empty_declaration] = STATE(779),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(779),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(534),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(536),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(538),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_RBRACE] = ACTIONS(2021),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [sym_comment] = ACTIONS(39),
  },
  [526] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(622),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(622),
    [sym_preproc_directive] = ACTIONS(622),
    [anon_sym_typedef] = ACTIONS(622),
    [anon_sym_extern] = ACTIONS(622),
    [anon_sym_static] = ACTIONS(622),
    [anon_sym_auto] = ACTIONS(622),
    [anon_sym_register] = ACTIONS(622),
    [anon_sym_inline] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(622),
    [anon_sym_restrict] = ACTIONS(622),
    [anon_sym_volatile] = ACTIONS(622),
    [anon_sym__Atomic] = ACTIONS(622),
    [anon_sym_unsigned] = ACTIONS(622),
    [anon_sym_long] = ACTIONS(622),
    [anon_sym_short] = ACTIONS(622),
    [sym_primitive_type] = ACTIONS(622),
    [anon_sym_enum] = ACTIONS(622),
    [anon_sym_struct] = ACTIONS(622),
    [anon_sym_union] = ACTIONS(622),
    [sym_identifier] = ACTIONS(622),
    [sym_comment] = ACTIONS(39),
  },
  [527] = {
    [aux_sym_declaration_repeat1] = STATE(272),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(2023),
    [sym_comment] = ACTIONS(39),
  },
  [528] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2025),
    [sym_comment] = ACTIONS(39),
  },
  [529] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(740),
    [sym_preproc_directive] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_typedef] = ACTIONS(740),
    [anon_sym_extern] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_static] = ACTIONS(740),
    [anon_sym_auto] = ACTIONS(740),
    [anon_sym_register] = ACTIONS(740),
    [anon_sym_inline] = ACTIONS(740),
    [anon_sym_const] = ACTIONS(740),
    [anon_sym_restrict] = ACTIONS(740),
    [anon_sym_volatile] = ACTIONS(740),
    [anon_sym__Atomic] = ACTIONS(740),
    [anon_sym_unsigned] = ACTIONS(740),
    [anon_sym_long] = ACTIONS(740),
    [anon_sym_short] = ACTIONS(740),
    [sym_primitive_type] = ACTIONS(740),
    [anon_sym_enum] = ACTIONS(740),
    [anon_sym_struct] = ACTIONS(740),
    [anon_sym_union] = ACTIONS(740),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_switch] = ACTIONS(740),
    [anon_sym_case] = ACTIONS(740),
    [anon_sym_default] = ACTIONS(740),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_goto] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(738),
    [anon_sym_PLUS_PLUS] = ACTIONS(738),
    [anon_sym_sizeof] = ACTIONS(740),
    [sym_number_literal] = ACTIONS(738),
    [sym_char_literal] = ACTIONS(738),
    [sym_string_literal] = ACTIONS(738),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [sym_null] = ACTIONS(740),
    [sym_identifier] = ACTIONS(740),
    [sym_comment] = ACTIONS(39),
  },
  [530] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(748),
    [sym_preproc_directive] = ACTIONS(748),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(748),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_static] = ACTIONS(748),
    [anon_sym_auto] = ACTIONS(748),
    [anon_sym_register] = ACTIONS(748),
    [anon_sym_inline] = ACTIONS(748),
    [anon_sym_const] = ACTIONS(748),
    [anon_sym_restrict] = ACTIONS(748),
    [anon_sym_volatile] = ACTIONS(748),
    [anon_sym__Atomic] = ACTIONS(748),
    [anon_sym_unsigned] = ACTIONS(748),
    [anon_sym_long] = ACTIONS(748),
    [anon_sym_short] = ACTIONS(748),
    [sym_primitive_type] = ACTIONS(748),
    [anon_sym_enum] = ACTIONS(748),
    [anon_sym_struct] = ACTIONS(748),
    [anon_sym_union] = ACTIONS(748),
    [anon_sym_if] = ACTIONS(748),
    [anon_sym_else] = ACTIONS(748),
    [anon_sym_switch] = ACTIONS(748),
    [anon_sym_case] = ACTIONS(748),
    [anon_sym_default] = ACTIONS(748),
    [anon_sym_while] = ACTIONS(748),
    [anon_sym_do] = ACTIONS(748),
    [anon_sym_for] = ACTIONS(748),
    [anon_sym_return] = ACTIONS(748),
    [anon_sym_break] = ACTIONS(748),
    [anon_sym_continue] = ACTIONS(748),
    [anon_sym_goto] = ACTIONS(748),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(748),
    [anon_sym_DASH] = ACTIONS(748),
    [anon_sym_DASH_DASH] = ACTIONS(746),
    [anon_sym_PLUS_PLUS] = ACTIONS(746),
    [anon_sym_sizeof] = ACTIONS(748),
    [sym_number_literal] = ACTIONS(746),
    [sym_char_literal] = ACTIONS(746),
    [sym_string_literal] = ACTIONS(746),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_null] = ACTIONS(748),
    [sym_identifier] = ACTIONS(748),
    [sym_comment] = ACTIONS(39),
  },
  [531] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [532] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(762),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_typedef] = ACTIONS(762),
    [anon_sym_extern] = ACTIONS(762),
    [anon_sym_static] = ACTIONS(762),
    [anon_sym_auto] = ACTIONS(762),
    [anon_sym_register] = ACTIONS(762),
    [anon_sym_inline] = ACTIONS(762),
    [anon_sym_const] = ACTIONS(762),
    [anon_sym_restrict] = ACTIONS(762),
    [anon_sym_volatile] = ACTIONS(762),
    [anon_sym__Atomic] = ACTIONS(762),
    [anon_sym_unsigned] = ACTIONS(762),
    [anon_sym_long] = ACTIONS(762),
    [anon_sym_short] = ACTIONS(762),
    [sym_primitive_type] = ACTIONS(762),
    [anon_sym_enum] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(762),
    [sym_identifier] = ACTIONS(762),
    [sym_comment] = ACTIONS(39),
  },
  [533] = {
    [sym_preproc_include] = STATE(327),
    [sym_preproc_def] = STATE(327),
    [sym_preproc_function_def] = STATE(327),
    [sym_preproc_call] = STATE(327),
    [sym_preproc_if] = STATE(327),
    [sym_preproc_ifdef] = STATE(327),
    [sym_function_definition] = STATE(327),
    [sym_declaration] = STATE(327),
    [sym_type_definition] = STATE(327),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(327),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(327),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(327),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(11),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(13),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(2029),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [534] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(976),
    [anon_sym_LPAREN] = ACTIONS(974),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(976),
    [sym_preproc_directive] = ACTIONS(976),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_typedef] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(976),
    [anon_sym_auto] = ACTIONS(976),
    [anon_sym_register] = ACTIONS(976),
    [anon_sym_inline] = ACTIONS(976),
    [anon_sym_const] = ACTIONS(976),
    [anon_sym_restrict] = ACTIONS(976),
    [anon_sym_volatile] = ACTIONS(976),
    [anon_sym__Atomic] = ACTIONS(976),
    [anon_sym_unsigned] = ACTIONS(976),
    [anon_sym_long] = ACTIONS(976),
    [anon_sym_short] = ACTIONS(976),
    [sym_primitive_type] = ACTIONS(976),
    [anon_sym_enum] = ACTIONS(976),
    [anon_sym_struct] = ACTIONS(976),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(976),
    [anon_sym_else] = ACTIONS(976),
    [anon_sym_switch] = ACTIONS(976),
    [anon_sym_case] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(976),
    [anon_sym_do] = ACTIONS(976),
    [anon_sym_for] = ACTIONS(976),
    [anon_sym_return] = ACTIONS(976),
    [anon_sym_break] = ACTIONS(976),
    [anon_sym_continue] = ACTIONS(976),
    [anon_sym_goto] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(974),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_sizeof] = ACTIONS(976),
    [sym_number_literal] = ACTIONS(974),
    [sym_char_literal] = ACTIONS(974),
    [sym_string_literal] = ACTIONS(974),
    [sym_true] = ACTIONS(976),
    [sym_false] = ACTIONS(976),
    [sym_null] = ACTIONS(976),
    [sym_identifier] = ACTIONS(976),
    [sym_comment] = ACTIONS(39),
  },
  [535] = {
    [sym_preproc_include] = STATE(465),
    [sym_preproc_def] = STATE(465),
    [sym_preproc_function_def] = STATE(465),
    [sym_preproc_call] = STATE(465),
    [sym_preproc_if_in_compound_statement] = STATE(248),
    [sym_preproc_ifdef_in_compound_statement] = STATE(249),
    [sym_declaration] = STATE(465),
    [sym_type_definition] = STATE(465),
    [sym__declaration_specifiers] = STATE(250),
    [sym_compound_statement] = STATE(465),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_case_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_goto_statement] = STATE(465),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym__empty_declaration] = STATE(465),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(534),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(536),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(538),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_RBRACE] = ACTIONS(2031),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [sym_comment] = ACTIONS(39),
  },
  [536] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_sizeof] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1188),
    [sym_char_literal] = ACTIONS(1188),
    [sym_string_literal] = ACTIONS(1188),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [sym_null] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(1190),
    [sym_comment] = ACTIONS(39),
  },
  [537] = {
    [anon_sym_LPAREN] = ACTIONS(2033),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_SEMI] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [sym_comment] = ACTIONS(39),
  },
  [538] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2035),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [539] = {
    [anon_sym_RPAREN] = ACTIONS(2037),
    [sym_comment] = ACTIONS(39),
  },
  [540] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(786),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [541] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_RBRACE] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [542] = {
    [aux_sym_concatenated_string_repeat1] = STATE(787),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [sym_string_literal] = ACTIONS(2039),
    [sym_comment] = ACTIONS(39),
  },
  [543] = {
    [sym__expression] = STATE(721),
    [sym_conditional_expression] = STATE(721),
    [sym_assignment_expression] = STATE(721),
    [sym_pointer_expression] = STATE(721),
    [sym_logical_expression] = STATE(721),
    [sym_bitwise_expression] = STATE(721),
    [sym_equality_expression] = STATE(721),
    [sym_relational_expression] = STATE(721),
    [sym_shift_expression] = STATE(721),
    [sym_math_expression] = STATE(721),
    [sym_cast_expression] = STATE(721),
    [sym_sizeof_expression] = STATE(721),
    [sym_subscript_expression] = STATE(721),
    [sym_call_expression] = STATE(721),
    [sym_field_expression] = STATE(721),
    [sym_compound_literal_expression] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym_concatenated_string] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(1731),
    [sym_char_literal] = ACTIONS(1731),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1733),
    [sym_comment] = ACTIONS(39),
  },
  [544] = {
    [sym__expression] = STATE(788),
    [sym_conditional_expression] = STATE(788),
    [sym_assignment_expression] = STATE(788),
    [sym_pointer_expression] = STATE(788),
    [sym_logical_expression] = STATE(788),
    [sym_bitwise_expression] = STATE(788),
    [sym_equality_expression] = STATE(788),
    [sym_relational_expression] = STATE(788),
    [sym_shift_expression] = STATE(788),
    [sym_math_expression] = STATE(788),
    [sym_cast_expression] = STATE(788),
    [sym_sizeof_expression] = STATE(788),
    [sym_subscript_expression] = STATE(788),
    [sym_call_expression] = STATE(788),
    [sym_field_expression] = STATE(788),
    [sym_compound_literal_expression] = STATE(788),
    [sym_parenthesized_expression] = STATE(788),
    [sym_concatenated_string] = STATE(788),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2041),
    [sym_char_literal] = ACTIONS(2041),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2043),
    [sym_false] = ACTIONS(2043),
    [sym_null] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2043),
    [sym_comment] = ACTIONS(39),
  },
  [545] = {
    [sym__expression] = STATE(789),
    [sym_conditional_expression] = STATE(789),
    [sym_assignment_expression] = STATE(789),
    [sym_pointer_expression] = STATE(789),
    [sym_logical_expression] = STATE(789),
    [sym_bitwise_expression] = STATE(789),
    [sym_equality_expression] = STATE(789),
    [sym_relational_expression] = STATE(789),
    [sym_shift_expression] = STATE(789),
    [sym_math_expression] = STATE(789),
    [sym_cast_expression] = STATE(789),
    [sym_sizeof_expression] = STATE(789),
    [sym_subscript_expression] = STATE(789),
    [sym_call_expression] = STATE(789),
    [sym_field_expression] = STATE(789),
    [sym_compound_literal_expression] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_concatenated_string] = STATE(789),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2045),
    [sym_char_literal] = ACTIONS(2045),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2047),
    [sym_false] = ACTIONS(2047),
    [sym_null] = ACTIONS(2047),
    [sym_identifier] = ACTIONS(2047),
    [sym_comment] = ACTIONS(39),
  },
  [546] = {
    [sym__expression] = STATE(790),
    [sym_conditional_expression] = STATE(790),
    [sym_assignment_expression] = STATE(790),
    [sym_pointer_expression] = STATE(790),
    [sym_logical_expression] = STATE(790),
    [sym_bitwise_expression] = STATE(790),
    [sym_equality_expression] = STATE(790),
    [sym_relational_expression] = STATE(790),
    [sym_shift_expression] = STATE(790),
    [sym_math_expression] = STATE(790),
    [sym_cast_expression] = STATE(790),
    [sym_sizeof_expression] = STATE(790),
    [sym_subscript_expression] = STATE(790),
    [sym_call_expression] = STATE(790),
    [sym_field_expression] = STATE(790),
    [sym_compound_literal_expression] = STATE(790),
    [sym_parenthesized_expression] = STATE(790),
    [sym_concatenated_string] = STATE(790),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2049),
    [sym_char_literal] = ACTIONS(2049),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2051),
    [sym_false] = ACTIONS(2051),
    [sym_null] = ACTIONS(2051),
    [sym_identifier] = ACTIONS(2051),
    [sym_comment] = ACTIONS(39),
  },
  [547] = {
    [sym__expression] = STATE(791),
    [sym_conditional_expression] = STATE(791),
    [sym_assignment_expression] = STATE(791),
    [sym_pointer_expression] = STATE(791),
    [sym_logical_expression] = STATE(791),
    [sym_bitwise_expression] = STATE(791),
    [sym_equality_expression] = STATE(791),
    [sym_relational_expression] = STATE(791),
    [sym_shift_expression] = STATE(791),
    [sym_math_expression] = STATE(791),
    [sym_cast_expression] = STATE(791),
    [sym_sizeof_expression] = STATE(791),
    [sym_subscript_expression] = STATE(791),
    [sym_call_expression] = STATE(791),
    [sym_field_expression] = STATE(791),
    [sym_compound_literal_expression] = STATE(791),
    [sym_parenthesized_expression] = STATE(791),
    [sym_concatenated_string] = STATE(791),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2053),
    [sym_char_literal] = ACTIONS(2053),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2055),
    [sym_false] = ACTIONS(2055),
    [sym_null] = ACTIONS(2055),
    [sym_identifier] = ACTIONS(2055),
    [sym_comment] = ACTIONS(39),
  },
  [548] = {
    [sym__expression] = STATE(792),
    [sym_conditional_expression] = STATE(792),
    [sym_assignment_expression] = STATE(792),
    [sym_pointer_expression] = STATE(792),
    [sym_logical_expression] = STATE(792),
    [sym_bitwise_expression] = STATE(792),
    [sym_equality_expression] = STATE(792),
    [sym_relational_expression] = STATE(792),
    [sym_shift_expression] = STATE(792),
    [sym_math_expression] = STATE(792),
    [sym_cast_expression] = STATE(792),
    [sym_sizeof_expression] = STATE(792),
    [sym_subscript_expression] = STATE(792),
    [sym_call_expression] = STATE(792),
    [sym_field_expression] = STATE(792),
    [sym_compound_literal_expression] = STATE(792),
    [sym_parenthesized_expression] = STATE(792),
    [sym_concatenated_string] = STATE(792),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2057),
    [sym_char_literal] = ACTIONS(2057),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2059),
    [sym_false] = ACTIONS(2059),
    [sym_null] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2059),
    [sym_comment] = ACTIONS(39),
  },
  [549] = {
    [sym__expression] = STATE(793),
    [sym_conditional_expression] = STATE(793),
    [sym_assignment_expression] = STATE(793),
    [sym_pointer_expression] = STATE(793),
    [sym_logical_expression] = STATE(793),
    [sym_bitwise_expression] = STATE(793),
    [sym_equality_expression] = STATE(793),
    [sym_relational_expression] = STATE(793),
    [sym_shift_expression] = STATE(793),
    [sym_math_expression] = STATE(793),
    [sym_cast_expression] = STATE(793),
    [sym_sizeof_expression] = STATE(793),
    [sym_subscript_expression] = STATE(793),
    [sym_call_expression] = STATE(793),
    [sym_field_expression] = STATE(793),
    [sym_compound_literal_expression] = STATE(793),
    [sym_parenthesized_expression] = STATE(793),
    [sym_concatenated_string] = STATE(793),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2061),
    [sym_char_literal] = ACTIONS(2061),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2063),
    [sym_false] = ACTIONS(2063),
    [sym_null] = ACTIONS(2063),
    [sym_identifier] = ACTIONS(2063),
    [sym_comment] = ACTIONS(39),
  },
  [550] = {
    [sym__expression] = STATE(794),
    [sym_conditional_expression] = STATE(794),
    [sym_assignment_expression] = STATE(794),
    [sym_pointer_expression] = STATE(794),
    [sym_logical_expression] = STATE(794),
    [sym_bitwise_expression] = STATE(794),
    [sym_equality_expression] = STATE(794),
    [sym_relational_expression] = STATE(794),
    [sym_shift_expression] = STATE(794),
    [sym_math_expression] = STATE(794),
    [sym_cast_expression] = STATE(794),
    [sym_sizeof_expression] = STATE(794),
    [sym_subscript_expression] = STATE(794),
    [sym_call_expression] = STATE(794),
    [sym_field_expression] = STATE(794),
    [sym_compound_literal_expression] = STATE(794),
    [sym_parenthesized_expression] = STATE(794),
    [sym_concatenated_string] = STATE(794),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2065),
    [sym_char_literal] = ACTIONS(2065),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2067),
    [sym_false] = ACTIONS(2067),
    [sym_null] = ACTIONS(2067),
    [sym_identifier] = ACTIONS(2067),
    [sym_comment] = ACTIONS(39),
  },
  [551] = {
    [sym__expression] = STATE(795),
    [sym_conditional_expression] = STATE(795),
    [sym_assignment_expression] = STATE(795),
    [sym_pointer_expression] = STATE(795),
    [sym_logical_expression] = STATE(795),
    [sym_bitwise_expression] = STATE(795),
    [sym_equality_expression] = STATE(795),
    [sym_relational_expression] = STATE(795),
    [sym_shift_expression] = STATE(795),
    [sym_math_expression] = STATE(795),
    [sym_cast_expression] = STATE(795),
    [sym_sizeof_expression] = STATE(795),
    [sym_subscript_expression] = STATE(795),
    [sym_call_expression] = STATE(795),
    [sym_field_expression] = STATE(795),
    [sym_compound_literal_expression] = STATE(795),
    [sym_parenthesized_expression] = STATE(795),
    [sym_concatenated_string] = STATE(795),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2069),
    [sym_char_literal] = ACTIONS(2069),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2071),
    [sym_false] = ACTIONS(2071),
    [sym_null] = ACTIONS(2071),
    [sym_identifier] = ACTIONS(2071),
    [sym_comment] = ACTIONS(39),
  },
  [552] = {
    [sym__expression] = STATE(796),
    [sym_conditional_expression] = STATE(796),
    [sym_assignment_expression] = STATE(796),
    [sym_pointer_expression] = STATE(796),
    [sym_logical_expression] = STATE(796),
    [sym_bitwise_expression] = STATE(796),
    [sym_equality_expression] = STATE(796),
    [sym_relational_expression] = STATE(796),
    [sym_shift_expression] = STATE(796),
    [sym_math_expression] = STATE(796),
    [sym_cast_expression] = STATE(796),
    [sym_sizeof_expression] = STATE(796),
    [sym_subscript_expression] = STATE(796),
    [sym_call_expression] = STATE(796),
    [sym_field_expression] = STATE(796),
    [sym_compound_literal_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(796),
    [sym_concatenated_string] = STATE(796),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2073),
    [sym_char_literal] = ACTIONS(2073),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2075),
    [sym_false] = ACTIONS(2075),
    [sym_null] = ACTIONS(2075),
    [sym_identifier] = ACTIONS(2075),
    [sym_comment] = ACTIONS(39),
  },
  [553] = {
    [sym__expression] = STATE(797),
    [sym_conditional_expression] = STATE(797),
    [sym_assignment_expression] = STATE(797),
    [sym_pointer_expression] = STATE(797),
    [sym_logical_expression] = STATE(797),
    [sym_bitwise_expression] = STATE(797),
    [sym_equality_expression] = STATE(797),
    [sym_relational_expression] = STATE(797),
    [sym_shift_expression] = STATE(797),
    [sym_math_expression] = STATE(797),
    [sym_cast_expression] = STATE(797),
    [sym_sizeof_expression] = STATE(797),
    [sym_subscript_expression] = STATE(797),
    [sym_call_expression] = STATE(797),
    [sym_field_expression] = STATE(797),
    [sym_compound_literal_expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(797),
    [sym_concatenated_string] = STATE(797),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2077),
    [sym_char_literal] = ACTIONS(2077),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2079),
    [sym_false] = ACTIONS(2079),
    [sym_null] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2079),
    [sym_comment] = ACTIONS(39),
  },
  [554] = {
    [sym__expression] = STATE(798),
    [sym_conditional_expression] = STATE(798),
    [sym_assignment_expression] = STATE(798),
    [sym_pointer_expression] = STATE(798),
    [sym_logical_expression] = STATE(798),
    [sym_bitwise_expression] = STATE(798),
    [sym_equality_expression] = STATE(798),
    [sym_relational_expression] = STATE(798),
    [sym_shift_expression] = STATE(798),
    [sym_math_expression] = STATE(798),
    [sym_cast_expression] = STATE(798),
    [sym_sizeof_expression] = STATE(798),
    [sym_subscript_expression] = STATE(798),
    [sym_call_expression] = STATE(798),
    [sym_field_expression] = STATE(798),
    [sym_compound_literal_expression] = STATE(798),
    [sym_parenthesized_expression] = STATE(798),
    [sym_concatenated_string] = STATE(798),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2081),
    [sym_char_literal] = ACTIONS(2081),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2083),
    [sym_false] = ACTIONS(2083),
    [sym_null] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2083),
    [sym_comment] = ACTIONS(39),
  },
  [555] = {
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_extern] = ACTIONS(2087),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_RBRACK] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2087),
    [anon_sym_auto] = ACTIONS(2087),
    [anon_sym_register] = ACTIONS(2087),
    [anon_sym_inline] = ACTIONS(2087),
    [anon_sym_const] = ACTIONS(2087),
    [anon_sym_restrict] = ACTIONS(2087),
    [anon_sym_volatile] = ACTIONS(2087),
    [anon_sym__Atomic] = ACTIONS(2087),
    [anon_sym_COLON] = ACTIONS(2085),
    [anon_sym_AMP] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2087),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_sizeof] = ACTIONS(2087),
    [sym_number_literal] = ACTIONS(2085),
    [sym_char_literal] = ACTIONS(2085),
    [sym_string_literal] = ACTIONS(2085),
    [sym_true] = ACTIONS(2087),
    [sym_false] = ACTIONS(2087),
    [sym_null] = ACTIONS(2087),
    [sym_identifier] = ACTIONS(2087),
    [sym_comment] = ACTIONS(39),
  },
  [556] = {
    [sym_enumerator] = STATE(339),
    [sym_identifier] = ACTIONS(179),
    [sym_comment] = ACTIONS(39),
  },
  [557] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(799),
    [sym_field_declaration] = STATE(799),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(799),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2089),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [558] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym_preproc_else_in_field_declaration_list] = STATE(800),
    [sym_preproc_elif_in_field_declaration_list] = STATE(801),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(802),
    [sym_field_declaration] = STATE(802),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(802),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2091),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [559] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2093),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2095),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2095),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2095),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2095),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2095),
    [anon_sym_extern] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_auto] = ACTIONS(2093),
    [anon_sym_register] = ACTIONS(2093),
    [anon_sym_inline] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_restrict] = ACTIONS(2093),
    [anon_sym_volatile] = ACTIONS(2093),
    [anon_sym__Atomic] = ACTIONS(2093),
    [anon_sym_unsigned] = ACTIONS(2093),
    [anon_sym_long] = ACTIONS(2093),
    [anon_sym_short] = ACTIONS(2093),
    [sym_primitive_type] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [anon_sym_struct] = ACTIONS(2093),
    [anon_sym_union] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2093),
    [sym_comment] = ACTIONS(39),
  },
  [560] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2097),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2099),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2099),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2099),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2099),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2099),
    [anon_sym_extern] = ACTIONS(2097),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_auto] = ACTIONS(2097),
    [anon_sym_register] = ACTIONS(2097),
    [anon_sym_inline] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_restrict] = ACTIONS(2097),
    [anon_sym_volatile] = ACTIONS(2097),
    [anon_sym__Atomic] = ACTIONS(2097),
    [anon_sym_unsigned] = ACTIONS(2097),
    [anon_sym_long] = ACTIONS(2097),
    [anon_sym_short] = ACTIONS(2097),
    [sym_primitive_type] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
    [anon_sym_struct] = ACTIONS(2097),
    [anon_sym_union] = ACTIONS(2097),
    [sym_identifier] = ACTIONS(2097),
    [sym_comment] = ACTIONS(39),
  },
  [561] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2101),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2103),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2103),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2103),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2103),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2103),
    [anon_sym_extern] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2103),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_auto] = ACTIONS(2101),
    [anon_sym_register] = ACTIONS(2101),
    [anon_sym_inline] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_restrict] = ACTIONS(2101),
    [anon_sym_volatile] = ACTIONS(2101),
    [anon_sym__Atomic] = ACTIONS(2101),
    [anon_sym_unsigned] = ACTIONS(2101),
    [anon_sym_long] = ACTIONS(2101),
    [anon_sym_short] = ACTIONS(2101),
    [sym_primitive_type] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [anon_sym_struct] = ACTIONS(2101),
    [anon_sym_union] = ACTIONS(2101),
    [sym_identifier] = ACTIONS(2101),
    [sym_comment] = ACTIONS(39),
  },
  [562] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2105),
    [sym_comment] = ACTIONS(39),
  },
  [563] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2107),
    [sym_comment] = ACTIONS(39),
  },
  [564] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(564),
    [sym_field_declaration] = STATE(564),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(564),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(855),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(867),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(858),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(861),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(867),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(867),
    [anon_sym_extern] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_auto] = ACTIONS(864),
    [anon_sym_register] = ACTIONS(864),
    [anon_sym_inline] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(869),
    [anon_sym_restrict] = ACTIONS(869),
    [anon_sym_volatile] = ACTIONS(869),
    [anon_sym__Atomic] = ACTIONS(869),
    [anon_sym_unsigned] = ACTIONS(872),
    [anon_sym_long] = ACTIONS(872),
    [anon_sym_short] = ACTIONS(872),
    [sym_primitive_type] = ACTIONS(875),
    [anon_sym_enum] = ACTIONS(878),
    [anon_sym_struct] = ACTIONS(881),
    [anon_sym_union] = ACTIONS(884),
    [sym_identifier] = ACTIONS(887),
    [sym_comment] = ACTIONS(39),
  },
  [565] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2109),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2111),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2111),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2111),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2111),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2111),
    [anon_sym_extern] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2111),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_auto] = ACTIONS(2109),
    [anon_sym_register] = ACTIONS(2109),
    [anon_sym_inline] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_restrict] = ACTIONS(2109),
    [anon_sym_volatile] = ACTIONS(2109),
    [anon_sym__Atomic] = ACTIONS(2109),
    [anon_sym_unsigned] = ACTIONS(2109),
    [anon_sym_long] = ACTIONS(2109),
    [anon_sym_short] = ACTIONS(2109),
    [sym_primitive_type] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
    [anon_sym_struct] = ACTIONS(2109),
    [anon_sym_union] = ACTIONS(2109),
    [sym_identifier] = ACTIONS(2109),
    [sym_comment] = ACTIONS(39),
  },
  [566] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2113),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2115),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2115),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2115),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2115),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2115),
    [anon_sym_extern] = ACTIONS(2113),
    [anon_sym_RBRACE] = ACTIONS(2115),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_auto] = ACTIONS(2113),
    [anon_sym_register] = ACTIONS(2113),
    [anon_sym_inline] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_restrict] = ACTIONS(2113),
    [anon_sym_volatile] = ACTIONS(2113),
    [anon_sym__Atomic] = ACTIONS(2113),
    [anon_sym_unsigned] = ACTIONS(2113),
    [anon_sym_long] = ACTIONS(2113),
    [anon_sym_short] = ACTIONS(2113),
    [sym_primitive_type] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
    [anon_sym_struct] = ACTIONS(2113),
    [anon_sym_union] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2113),
    [sym_comment] = ACTIONS(39),
  },
  [567] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2117),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2119),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2119),
    [anon_sym_extern] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_auto] = ACTIONS(2117),
    [anon_sym_register] = ACTIONS(2117),
    [anon_sym_inline] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_restrict] = ACTIONS(2117),
    [anon_sym_volatile] = ACTIONS(2117),
    [anon_sym__Atomic] = ACTIONS(2117),
    [anon_sym_unsigned] = ACTIONS(2117),
    [anon_sym_long] = ACTIONS(2117),
    [anon_sym_short] = ACTIONS(2117),
    [sym_primitive_type] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
    [anon_sym_struct] = ACTIONS(2117),
    [anon_sym_union] = ACTIONS(2117),
    [sym_identifier] = ACTIONS(2117),
    [sym_comment] = ACTIONS(39),
  },
  [568] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2121),
    [sym_comment] = ACTIONS(39),
  },
  [569] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2123),
    [sym_comment] = ACTIONS(39),
  },
  [570] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2125),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2127),
    [anon_sym_extern] = ACTIONS(2125),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2125),
    [anon_sym_auto] = ACTIONS(2125),
    [anon_sym_register] = ACTIONS(2125),
    [anon_sym_inline] = ACTIONS(2125),
    [anon_sym_const] = ACTIONS(2125),
    [anon_sym_restrict] = ACTIONS(2125),
    [anon_sym_volatile] = ACTIONS(2125),
    [anon_sym__Atomic] = ACTIONS(2125),
    [anon_sym_unsigned] = ACTIONS(2125),
    [anon_sym_long] = ACTIONS(2125),
    [anon_sym_short] = ACTIONS(2125),
    [sym_primitive_type] = ACTIONS(2125),
    [anon_sym_enum] = ACTIONS(2125),
    [anon_sym_struct] = ACTIONS(2125),
    [anon_sym_union] = ACTIONS(2125),
    [sym_identifier] = ACTIONS(2125),
    [sym_comment] = ACTIONS(39),
  },
  [571] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2129),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2131),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2131),
    [anon_sym_extern] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2129),
    [anon_sym_auto] = ACTIONS(2129),
    [anon_sym_register] = ACTIONS(2129),
    [anon_sym_inline] = ACTIONS(2129),
    [anon_sym_const] = ACTIONS(2129),
    [anon_sym_restrict] = ACTIONS(2129),
    [anon_sym_volatile] = ACTIONS(2129),
    [anon_sym__Atomic] = ACTIONS(2129),
    [anon_sym_unsigned] = ACTIONS(2129),
    [anon_sym_long] = ACTIONS(2129),
    [anon_sym_short] = ACTIONS(2129),
    [sym_primitive_type] = ACTIONS(2129),
    [anon_sym_enum] = ACTIONS(2129),
    [anon_sym_struct] = ACTIONS(2129),
    [anon_sym_union] = ACTIONS(2129),
    [sym_identifier] = ACTIONS(2129),
    [sym_comment] = ACTIONS(39),
  },
  [572] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2133),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2135),
    [anon_sym_extern] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2133),
    [anon_sym_auto] = ACTIONS(2133),
    [anon_sym_register] = ACTIONS(2133),
    [anon_sym_inline] = ACTIONS(2133),
    [anon_sym_const] = ACTIONS(2133),
    [anon_sym_restrict] = ACTIONS(2133),
    [anon_sym_volatile] = ACTIONS(2133),
    [anon_sym__Atomic] = ACTIONS(2133),
    [anon_sym_unsigned] = ACTIONS(2133),
    [anon_sym_long] = ACTIONS(2133),
    [anon_sym_short] = ACTIONS(2133),
    [sym_primitive_type] = ACTIONS(2133),
    [anon_sym_enum] = ACTIONS(2133),
    [anon_sym_struct] = ACTIONS(2133),
    [anon_sym_union] = ACTIONS(2133),
    [sym_identifier] = ACTIONS(2133),
    [sym_comment] = ACTIONS(39),
  },
  [573] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2137),
    [sym_comment] = ACTIONS(39),
  },
  [574] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2139),
    [sym_comment] = ACTIONS(39),
  },
  [575] = {
    [sym__field_declarator] = STATE(577),
    [sym_pointer_field_declarator] = STATE(195),
    [sym_function_field_declarator] = STATE(196),
    [sym_array_field_declarator] = STATE(197),
    [sym_type_qualifier] = STATE(214),
    [aux_sym_type_definition_repeat1] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(813),
    [sym_comment] = ACTIONS(39),
  },
  [576] = {
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_COMMA] = ACTIONS(2141),
    [anon_sym_RPAREN] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_COLON] = ACTIONS(2141),
    [sym_comment] = ACTIONS(39),
  },
  [577] = {
    [sym_parameter_list] = STATE(372),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(2143),
    [anon_sym_RPAREN] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(841),
    [anon_sym_COLON] = ACTIONS(2143),
    [sym_comment] = ACTIONS(39),
  },
  [578] = {
    [anon_sym_RPAREN] = ACTIONS(2145),
    [sym_comment] = ACTIONS(39),
  },
  [579] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(810),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [580] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [581] = {
    [aux_sym_concatenated_string_repeat1] = STATE(811),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [sym_string_literal] = ACTIONS(2147),
    [sym_comment] = ACTIONS(39),
  },
  [582] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2149),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2151),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2151),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2151),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2151),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2151),
    [anon_sym_extern] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_auto] = ACTIONS(2149),
    [anon_sym_register] = ACTIONS(2149),
    [anon_sym_inline] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_restrict] = ACTIONS(2149),
    [anon_sym_volatile] = ACTIONS(2149),
    [anon_sym__Atomic] = ACTIONS(2149),
    [anon_sym_unsigned] = ACTIONS(2149),
    [anon_sym_long] = ACTIONS(2149),
    [anon_sym_short] = ACTIONS(2149),
    [sym_primitive_type] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
    [anon_sym_struct] = ACTIONS(2149),
    [anon_sym_union] = ACTIONS(2149),
    [sym_identifier] = ACTIONS(2149),
    [sym_comment] = ACTIONS(39),
  },
  [583] = {
    [sym__expression] = STATE(721),
    [sym_conditional_expression] = STATE(721),
    [sym_assignment_expression] = STATE(721),
    [sym_pointer_expression] = STATE(721),
    [sym_logical_expression] = STATE(721),
    [sym_bitwise_expression] = STATE(721),
    [sym_equality_expression] = STATE(721),
    [sym_relational_expression] = STATE(721),
    [sym_shift_expression] = STATE(721),
    [sym_math_expression] = STATE(721),
    [sym_cast_expression] = STATE(721),
    [sym_sizeof_expression] = STATE(721),
    [sym_subscript_expression] = STATE(721),
    [sym_call_expression] = STATE(721),
    [sym_field_expression] = STATE(721),
    [sym_compound_literal_expression] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym_concatenated_string] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(1731),
    [sym_char_literal] = ACTIONS(1731),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1733),
    [sym_comment] = ACTIONS(39),
  },
  [584] = {
    [sym__expression] = STATE(812),
    [sym_conditional_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_pointer_expression] = STATE(812),
    [sym_logical_expression] = STATE(812),
    [sym_bitwise_expression] = STATE(812),
    [sym_equality_expression] = STATE(812),
    [sym_relational_expression] = STATE(812),
    [sym_shift_expression] = STATE(812),
    [sym_math_expression] = STATE(812),
    [sym_cast_expression] = STATE(812),
    [sym_sizeof_expression] = STATE(812),
    [sym_subscript_expression] = STATE(812),
    [sym_call_expression] = STATE(812),
    [sym_field_expression] = STATE(812),
    [sym_compound_literal_expression] = STATE(812),
    [sym_parenthesized_expression] = STATE(812),
    [sym_concatenated_string] = STATE(812),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2153),
    [sym_char_literal] = ACTIONS(2153),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2155),
    [sym_false] = ACTIONS(2155),
    [sym_null] = ACTIONS(2155),
    [sym_identifier] = ACTIONS(2155),
    [sym_comment] = ACTIONS(39),
  },
  [585] = {
    [sym__expression] = STATE(813),
    [sym_conditional_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_pointer_expression] = STATE(813),
    [sym_logical_expression] = STATE(813),
    [sym_bitwise_expression] = STATE(813),
    [sym_equality_expression] = STATE(813),
    [sym_relational_expression] = STATE(813),
    [sym_shift_expression] = STATE(813),
    [sym_math_expression] = STATE(813),
    [sym_cast_expression] = STATE(813),
    [sym_sizeof_expression] = STATE(813),
    [sym_subscript_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_field_expression] = STATE(813),
    [sym_compound_literal_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_concatenated_string] = STATE(813),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2157),
    [sym_char_literal] = ACTIONS(2157),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_comment] = ACTIONS(39),
  },
  [586] = {
    [sym__expression] = STATE(814),
    [sym_conditional_expression] = STATE(814),
    [sym_assignment_expression] = STATE(814),
    [sym_pointer_expression] = STATE(814),
    [sym_logical_expression] = STATE(814),
    [sym_bitwise_expression] = STATE(814),
    [sym_equality_expression] = STATE(814),
    [sym_relational_expression] = STATE(814),
    [sym_shift_expression] = STATE(814),
    [sym_math_expression] = STATE(814),
    [sym_cast_expression] = STATE(814),
    [sym_sizeof_expression] = STATE(814),
    [sym_subscript_expression] = STATE(814),
    [sym_call_expression] = STATE(814),
    [sym_field_expression] = STATE(814),
    [sym_compound_literal_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(814),
    [sym_concatenated_string] = STATE(814),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2161),
    [sym_char_literal] = ACTIONS(2161),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2163),
    [sym_false] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [sym_identifier] = ACTIONS(2163),
    [sym_comment] = ACTIONS(39),
  },
  [587] = {
    [sym__expression] = STATE(815),
    [sym_conditional_expression] = STATE(815),
    [sym_assignment_expression] = STATE(815),
    [sym_pointer_expression] = STATE(815),
    [sym_logical_expression] = STATE(815),
    [sym_bitwise_expression] = STATE(815),
    [sym_equality_expression] = STATE(815),
    [sym_relational_expression] = STATE(815),
    [sym_shift_expression] = STATE(815),
    [sym_math_expression] = STATE(815),
    [sym_cast_expression] = STATE(815),
    [sym_sizeof_expression] = STATE(815),
    [sym_subscript_expression] = STATE(815),
    [sym_call_expression] = STATE(815),
    [sym_field_expression] = STATE(815),
    [sym_compound_literal_expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_concatenated_string] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2165),
    [sym_char_literal] = ACTIONS(2165),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2167),
    [sym_false] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2167),
    [sym_comment] = ACTIONS(39),
  },
  [588] = {
    [sym__expression] = STATE(816),
    [sym_conditional_expression] = STATE(816),
    [sym_assignment_expression] = STATE(816),
    [sym_pointer_expression] = STATE(816),
    [sym_logical_expression] = STATE(816),
    [sym_bitwise_expression] = STATE(816),
    [sym_equality_expression] = STATE(816),
    [sym_relational_expression] = STATE(816),
    [sym_shift_expression] = STATE(816),
    [sym_math_expression] = STATE(816),
    [sym_cast_expression] = STATE(816),
    [sym_sizeof_expression] = STATE(816),
    [sym_subscript_expression] = STATE(816),
    [sym_call_expression] = STATE(816),
    [sym_field_expression] = STATE(816),
    [sym_compound_literal_expression] = STATE(816),
    [sym_parenthesized_expression] = STATE(816),
    [sym_concatenated_string] = STATE(816),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2169),
    [sym_char_literal] = ACTIONS(2169),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2171),
    [sym_false] = ACTIONS(2171),
    [sym_null] = ACTIONS(2171),
    [sym_identifier] = ACTIONS(2171),
    [sym_comment] = ACTIONS(39),
  },
  [589] = {
    [sym__expression] = STATE(817),
    [sym_conditional_expression] = STATE(817),
    [sym_assignment_expression] = STATE(817),
    [sym_pointer_expression] = STATE(817),
    [sym_logical_expression] = STATE(817),
    [sym_bitwise_expression] = STATE(817),
    [sym_equality_expression] = STATE(817),
    [sym_relational_expression] = STATE(817),
    [sym_shift_expression] = STATE(817),
    [sym_math_expression] = STATE(817),
    [sym_cast_expression] = STATE(817),
    [sym_sizeof_expression] = STATE(817),
    [sym_subscript_expression] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_field_expression] = STATE(817),
    [sym_compound_literal_expression] = STATE(817),
    [sym_parenthesized_expression] = STATE(817),
    [sym_concatenated_string] = STATE(817),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2173),
    [sym_char_literal] = ACTIONS(2173),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2175),
    [sym_false] = ACTIONS(2175),
    [sym_null] = ACTIONS(2175),
    [sym_identifier] = ACTIONS(2175),
    [sym_comment] = ACTIONS(39),
  },
  [590] = {
    [sym__expression] = STATE(818),
    [sym_conditional_expression] = STATE(818),
    [sym_assignment_expression] = STATE(818),
    [sym_pointer_expression] = STATE(818),
    [sym_logical_expression] = STATE(818),
    [sym_bitwise_expression] = STATE(818),
    [sym_equality_expression] = STATE(818),
    [sym_relational_expression] = STATE(818),
    [sym_shift_expression] = STATE(818),
    [sym_math_expression] = STATE(818),
    [sym_cast_expression] = STATE(818),
    [sym_sizeof_expression] = STATE(818),
    [sym_subscript_expression] = STATE(818),
    [sym_call_expression] = STATE(818),
    [sym_field_expression] = STATE(818),
    [sym_compound_literal_expression] = STATE(818),
    [sym_parenthesized_expression] = STATE(818),
    [sym_concatenated_string] = STATE(818),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2177),
    [sym_char_literal] = ACTIONS(2177),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2179),
    [sym_false] = ACTIONS(2179),
    [sym_null] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2179),
    [sym_comment] = ACTIONS(39),
  },
  [591] = {
    [sym__expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_assignment_expression] = STATE(819),
    [sym_pointer_expression] = STATE(819),
    [sym_logical_expression] = STATE(819),
    [sym_bitwise_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_math_expression] = STATE(819),
    [sym_cast_expression] = STATE(819),
    [sym_sizeof_expression] = STATE(819),
    [sym_subscript_expression] = STATE(819),
    [sym_call_expression] = STATE(819),
    [sym_field_expression] = STATE(819),
    [sym_compound_literal_expression] = STATE(819),
    [sym_parenthesized_expression] = STATE(819),
    [sym_concatenated_string] = STATE(819),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2181),
    [sym_char_literal] = ACTIONS(2181),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2183),
    [sym_false] = ACTIONS(2183),
    [sym_null] = ACTIONS(2183),
    [sym_identifier] = ACTIONS(2183),
    [sym_comment] = ACTIONS(39),
  },
  [592] = {
    [sym__expression] = STATE(820),
    [sym_conditional_expression] = STATE(820),
    [sym_assignment_expression] = STATE(820),
    [sym_pointer_expression] = STATE(820),
    [sym_logical_expression] = STATE(820),
    [sym_bitwise_expression] = STATE(820),
    [sym_equality_expression] = STATE(820),
    [sym_relational_expression] = STATE(820),
    [sym_shift_expression] = STATE(820),
    [sym_math_expression] = STATE(820),
    [sym_cast_expression] = STATE(820),
    [sym_sizeof_expression] = STATE(820),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(820),
    [sym_parenthesized_expression] = STATE(820),
    [sym_concatenated_string] = STATE(820),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2185),
    [sym_char_literal] = ACTIONS(2185),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2187),
    [sym_false] = ACTIONS(2187),
    [sym_null] = ACTIONS(2187),
    [sym_identifier] = ACTIONS(2187),
    [sym_comment] = ACTIONS(39),
  },
  [593] = {
    [sym__expression] = STATE(821),
    [sym_conditional_expression] = STATE(821),
    [sym_assignment_expression] = STATE(821),
    [sym_pointer_expression] = STATE(821),
    [sym_logical_expression] = STATE(821),
    [sym_bitwise_expression] = STATE(821),
    [sym_equality_expression] = STATE(821),
    [sym_relational_expression] = STATE(821),
    [sym_shift_expression] = STATE(821),
    [sym_math_expression] = STATE(821),
    [sym_cast_expression] = STATE(821),
    [sym_sizeof_expression] = STATE(821),
    [sym_subscript_expression] = STATE(821),
    [sym_call_expression] = STATE(821),
    [sym_field_expression] = STATE(821),
    [sym_compound_literal_expression] = STATE(821),
    [sym_parenthesized_expression] = STATE(821),
    [sym_concatenated_string] = STATE(821),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2189),
    [sym_char_literal] = ACTIONS(2189),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2191),
    [sym_false] = ACTIONS(2191),
    [sym_null] = ACTIONS(2191),
    [sym_identifier] = ACTIONS(2191),
    [sym_comment] = ACTIONS(39),
  },
  [594] = {
    [sym__expression] = STATE(822),
    [sym_conditional_expression] = STATE(822),
    [sym_assignment_expression] = STATE(822),
    [sym_pointer_expression] = STATE(822),
    [sym_logical_expression] = STATE(822),
    [sym_bitwise_expression] = STATE(822),
    [sym_equality_expression] = STATE(822),
    [sym_relational_expression] = STATE(822),
    [sym_shift_expression] = STATE(822),
    [sym_math_expression] = STATE(822),
    [sym_cast_expression] = STATE(822),
    [sym_sizeof_expression] = STATE(822),
    [sym_subscript_expression] = STATE(822),
    [sym_call_expression] = STATE(822),
    [sym_field_expression] = STATE(822),
    [sym_compound_literal_expression] = STATE(822),
    [sym_parenthesized_expression] = STATE(822),
    [sym_concatenated_string] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2193),
    [sym_char_literal] = ACTIONS(2193),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2195),
    [sym_false] = ACTIONS(2195),
    [sym_null] = ACTIONS(2195),
    [sym_identifier] = ACTIONS(2195),
    [sym_comment] = ACTIONS(39),
  },
  [595] = {
    [sym_parameter_list] = STATE(372),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(841),
    [anon_sym_COLON] = ACTIONS(2197),
    [sym_comment] = ACTIONS(39),
  },
  [596] = {
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_RPAREN] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_COLON] = ACTIONS(2199),
    [sym_comment] = ACTIONS(39),
  },
  [597] = {
    [sym__expression] = STATE(824),
    [sym_conditional_expression] = STATE(824),
    [sym_assignment_expression] = STATE(824),
    [sym_pointer_expression] = STATE(824),
    [sym_logical_expression] = STATE(824),
    [sym_bitwise_expression] = STATE(824),
    [sym_equality_expression] = STATE(824),
    [sym_relational_expression] = STATE(824),
    [sym_shift_expression] = STATE(824),
    [sym_math_expression] = STATE(824),
    [sym_cast_expression] = STATE(824),
    [sym_sizeof_expression] = STATE(824),
    [sym_subscript_expression] = STATE(824),
    [sym_call_expression] = STATE(824),
    [sym_field_expression] = STATE(824),
    [sym_compound_literal_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_concatenated_string] = STATE(824),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(2203),
    [sym_char_literal] = ACTIONS(2203),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_identifier] = ACTIONS(2205),
    [sym_comment] = ACTIONS(39),
  },
  [598] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2201),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [599] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [600] = {
    [sym__expression] = STATE(826),
    [sym_conditional_expression] = STATE(826),
    [sym_assignment_expression] = STATE(826),
    [sym_pointer_expression] = STATE(826),
    [sym_logical_expression] = STATE(826),
    [sym_bitwise_expression] = STATE(826),
    [sym_equality_expression] = STATE(826),
    [sym_relational_expression] = STATE(826),
    [sym_shift_expression] = STATE(826),
    [sym_math_expression] = STATE(826),
    [sym_cast_expression] = STATE(826),
    [sym_sizeof_expression] = STATE(826),
    [sym_subscript_expression] = STATE(826),
    [sym_call_expression] = STATE(826),
    [sym_field_expression] = STATE(826),
    [sym_compound_literal_expression] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_concatenated_string] = STATE(826),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2209),
    [sym_char_literal] = ACTIONS(2209),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2211),
    [sym_false] = ACTIONS(2211),
    [sym_null] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2211),
    [sym_comment] = ACTIONS(39),
  },
  [601] = {
    [aux_sym_field_declaration_repeat1] = STATE(601),
    [anon_sym_COMMA] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_COLON] = ACTIONS(2197),
    [sym_comment] = ACTIONS(39),
  },
  [602] = {
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [anon_sym_RPAREN] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [sym_comment] = ACTIONS(39),
  },
  [603] = {
    [sym_parameter_list] = STATE(383),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(905),
    [sym_comment] = ACTIONS(39),
  },
  [604] = {
    [sym_type_qualifier] = STATE(604),
    [aux_sym_type_definition_repeat1] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_RPAREN] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [sym_comment] = ACTIONS(39),
  },
  [605] = {
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_COMMA] = ACTIONS(2223),
    [anon_sym_RPAREN] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [sym_comment] = ACTIONS(39),
  },
  [606] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2225),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [607] = {
    [sym__expression] = STATE(828),
    [sym_conditional_expression] = STATE(828),
    [sym_assignment_expression] = STATE(828),
    [sym_pointer_expression] = STATE(828),
    [sym_logical_expression] = STATE(828),
    [sym_bitwise_expression] = STATE(828),
    [sym_equality_expression] = STATE(828),
    [sym_relational_expression] = STATE(828),
    [sym_shift_expression] = STATE(828),
    [sym_math_expression] = STATE(828),
    [sym_cast_expression] = STATE(828),
    [sym_sizeof_expression] = STATE(828),
    [sym_subscript_expression] = STATE(828),
    [sym_call_expression] = STATE(828),
    [sym_field_expression] = STATE(828),
    [sym_compound_literal_expression] = STATE(828),
    [sym_parenthesized_expression] = STATE(828),
    [sym_concatenated_string] = STATE(828),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_RBRACK] = ACTIONS(2225),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(2227),
    [sym_char_literal] = ACTIONS(2227),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_identifier] = ACTIONS(2229),
    [sym_comment] = ACTIONS(39),
  },
  [608] = {
    [anon_sym_COMMA] = ACTIONS(2231),
    [anon_sym_RPAREN] = ACTIONS(2231),
    [sym_comment] = ACTIONS(39),
  },
  [609] = {
    [anon_sym_LPAREN] = ACTIONS(2233),
    [anon_sym_COMMA] = ACTIONS(2233),
    [anon_sym_RPAREN] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_EQ] = ACTIONS(2233),
    [anon_sym_COLON] = ACTIONS(2233),
    [sym_comment] = ACTIONS(39),
  },
  [610] = {
    [aux_sym_parameter_list_repeat1] = STATE(610),
    [anon_sym_COMMA] = ACTIONS(2235),
    [anon_sym_RPAREN] = ACTIONS(2231),
    [sym_comment] = ACTIONS(39),
  },
  [611] = {
    [sym__declarator] = STATE(119),
    [sym__abstract_declarator] = STATE(377),
    [sym_pointer_declarator] = STATE(119),
    [sym_abstract_pointer_declarator] = STATE(377),
    [sym_function_declarator] = STATE(119),
    [sym_abstract_function_declarator] = STATE(377),
    [sym_array_declarator] = STATE(119),
    [sym_abstract_array_declarator] = STATE(377),
    [sym_type_qualifier] = STATE(829),
    [sym_parameter_list] = STATE(207),
    [aux_sym_type_definition_repeat1] = STATE(829),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(229),
    [sym_comment] = ACTIONS(39),
  },
  [612] = {
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_COMMA] = ACTIONS(84),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(84),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [613] = {
    [sym__declarator] = STATE(213),
    [sym__abstract_declarator] = STATE(603),
    [sym_pointer_declarator] = STATE(213),
    [sym_abstract_pointer_declarator] = STATE(603),
    [sym_function_declarator] = STATE(213),
    [sym_abstract_function_declarator] = STATE(603),
    [sym_array_declarator] = STATE(213),
    [sym_abstract_array_declarator] = STATE(603),
    [sym_type_qualifier] = STATE(830),
    [sym_parameter_list] = STATE(207),
    [aux_sym_type_definition_repeat1] = STATE(830),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_COMMA] = ACTIONS(1462),
    [anon_sym_RPAREN] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_LBRACK] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(514),
    [sym_comment] = ACTIONS(39),
  },
  [614] = {
    [sym_storage_class_specifier] = STATE(614),
    [sym_type_qualifier] = STATE(614),
    [aux_sym__declaration_specifiers_repeat1] = STATE(614),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_static] = ACTIONS(297),
    [anon_sym_auto] = ACTIONS(297),
    [anon_sym_register] = ACTIONS(297),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_restrict] = ACTIONS(300),
    [anon_sym_volatile] = ACTIONS(300),
    [anon_sym__Atomic] = ACTIONS(300),
    [sym_identifier] = ACTIONS(303),
    [sym_comment] = ACTIONS(39),
  },
  [615] = {
    [sym_storage_class_specifier] = STATE(614),
    [sym_type_qualifier] = STATE(614),
    [aux_sym__declaration_specifiers_repeat1] = STATE(614),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_COMMA] = ACTIONS(630),
    [anon_sym_RPAREN] = ACTIONS(630),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(632),
    [sym_comment] = ACTIONS(39),
  },
  [616] = {
    [anon_sym_RPAREN] = ACTIONS(2245),
    [sym_comment] = ACTIONS(39),
  },
  [617] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(832),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [618] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [619] = {
    [aux_sym_concatenated_string_repeat1] = STATE(833),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [sym_string_literal] = ACTIONS(2247),
    [sym_comment] = ACTIONS(39),
  },
  [620] = {
    [sym__expression] = STATE(834),
    [sym_comma_expression] = STATE(720),
    [sym_conditional_expression] = STATE(834),
    [sym_assignment_expression] = STATE(834),
    [sym_pointer_expression] = STATE(834),
    [sym_logical_expression] = STATE(834),
    [sym_bitwise_expression] = STATE(834),
    [sym_equality_expression] = STATE(834),
    [sym_relational_expression] = STATE(834),
    [sym_shift_expression] = STATE(834),
    [sym_math_expression] = STATE(834),
    [sym_cast_expression] = STATE(834),
    [sym_sizeof_expression] = STATE(834),
    [sym_subscript_expression] = STATE(834),
    [sym_call_expression] = STATE(834),
    [sym_field_expression] = STATE(834),
    [sym_compound_literal_expression] = STATE(834),
    [sym_parenthesized_expression] = STATE(834),
    [sym_concatenated_string] = STATE(834),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2249),
    [sym_char_literal] = ACTIONS(2249),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2251),
    [sym_false] = ACTIONS(2251),
    [sym_null] = ACTIONS(2251),
    [sym_identifier] = ACTIONS(2251),
    [sym_comment] = ACTIONS(39),
  },
  [621] = {
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_COMMA] = ACTIONS(2253),
    [anon_sym_RPAREN] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_RBRACK] = ACTIONS(2253),
    [anon_sym_EQ] = ACTIONS(2255),
    [anon_sym_COLON] = ACTIONS(2253),
    [anon_sym_QMARK] = ACTIONS(2253),
    [anon_sym_STAR_EQ] = ACTIONS(2253),
    [anon_sym_SLASH_EQ] = ACTIONS(2253),
    [anon_sym_PERCENT_EQ] = ACTIONS(2253),
    [anon_sym_PLUS_EQ] = ACTIONS(2253),
    [anon_sym_DASH_EQ] = ACTIONS(2253),
    [anon_sym_LT_LT_EQ] = ACTIONS(2253),
    [anon_sym_GT_GT_EQ] = ACTIONS(2253),
    [anon_sym_AMP_EQ] = ACTIONS(2253),
    [anon_sym_CARET_EQ] = ACTIONS(2253),
    [anon_sym_PIPE_EQ] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2255),
    [anon_sym_PIPE_PIPE] = ACTIONS(2253),
    [anon_sym_AMP_AMP] = ACTIONS(2253),
    [anon_sym_PIPE] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2255),
    [anon_sym_EQ_EQ] = ACTIONS(2253),
    [anon_sym_BANG_EQ] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2255),
    [anon_sym_GT] = ACTIONS(2255),
    [anon_sym_LT_EQ] = ACTIONS(2253),
    [anon_sym_GT_EQ] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2255),
    [anon_sym_GT_GT] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_SLASH] = ACTIONS(2255),
    [anon_sym_PERCENT] = ACTIONS(2255),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DOT] = ACTIONS(2253),
    [anon_sym_DASH_GT] = ACTIONS(2253),
    [sym_comment] = ACTIONS(39),
  },
  [622] = {
    [sym__expression] = STATE(721),
    [sym_conditional_expression] = STATE(721),
    [sym_assignment_expression] = STATE(721),
    [sym_pointer_expression] = STATE(721),
    [sym_logical_expression] = STATE(721),
    [sym_bitwise_expression] = STATE(721),
    [sym_equality_expression] = STATE(721),
    [sym_relational_expression] = STATE(721),
    [sym_shift_expression] = STATE(721),
    [sym_math_expression] = STATE(721),
    [sym_cast_expression] = STATE(721),
    [sym_sizeof_expression] = STATE(721),
    [sym_subscript_expression] = STATE(721),
    [sym_call_expression] = STATE(721),
    [sym_field_expression] = STATE(721),
    [sym_compound_literal_expression] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym_concatenated_string] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(1731),
    [sym_char_literal] = ACTIONS(1731),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1733),
    [sym_comment] = ACTIONS(39),
  },
  [623] = {
    [sym__expression] = STATE(835),
    [sym_conditional_expression] = STATE(835),
    [sym_assignment_expression] = STATE(835),
    [sym_pointer_expression] = STATE(835),
    [sym_logical_expression] = STATE(835),
    [sym_bitwise_expression] = STATE(835),
    [sym_equality_expression] = STATE(835),
    [sym_relational_expression] = STATE(835),
    [sym_shift_expression] = STATE(835),
    [sym_math_expression] = STATE(835),
    [sym_cast_expression] = STATE(835),
    [sym_sizeof_expression] = STATE(835),
    [sym_subscript_expression] = STATE(835),
    [sym_call_expression] = STATE(835),
    [sym_field_expression] = STATE(835),
    [sym_compound_literal_expression] = STATE(835),
    [sym_parenthesized_expression] = STATE(835),
    [sym_concatenated_string] = STATE(835),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2257),
    [sym_char_literal] = ACTIONS(2257),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2259),
    [sym_false] = ACTIONS(2259),
    [sym_null] = ACTIONS(2259),
    [sym_identifier] = ACTIONS(2259),
    [sym_comment] = ACTIONS(39),
  },
  [624] = {
    [sym__expression] = STATE(836),
    [sym_conditional_expression] = STATE(836),
    [sym_assignment_expression] = STATE(836),
    [sym_pointer_expression] = STATE(836),
    [sym_logical_expression] = STATE(836),
    [sym_bitwise_expression] = STATE(836),
    [sym_equality_expression] = STATE(836),
    [sym_relational_expression] = STATE(836),
    [sym_shift_expression] = STATE(836),
    [sym_math_expression] = STATE(836),
    [sym_cast_expression] = STATE(836),
    [sym_sizeof_expression] = STATE(836),
    [sym_subscript_expression] = STATE(836),
    [sym_call_expression] = STATE(836),
    [sym_field_expression] = STATE(836),
    [sym_compound_literal_expression] = STATE(836),
    [sym_parenthesized_expression] = STATE(836),
    [sym_concatenated_string] = STATE(836),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2261),
    [sym_char_literal] = ACTIONS(2261),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2263),
    [sym_false] = ACTIONS(2263),
    [sym_null] = ACTIONS(2263),
    [sym_identifier] = ACTIONS(2263),
    [sym_comment] = ACTIONS(39),
  },
  [625] = {
    [sym__expression] = STATE(837),
    [sym_conditional_expression] = STATE(837),
    [sym_assignment_expression] = STATE(837),
    [sym_pointer_expression] = STATE(837),
    [sym_logical_expression] = STATE(837),
    [sym_bitwise_expression] = STATE(837),
    [sym_equality_expression] = STATE(837),
    [sym_relational_expression] = STATE(837),
    [sym_shift_expression] = STATE(837),
    [sym_math_expression] = STATE(837),
    [sym_cast_expression] = STATE(837),
    [sym_sizeof_expression] = STATE(837),
    [sym_subscript_expression] = STATE(837),
    [sym_call_expression] = STATE(837),
    [sym_field_expression] = STATE(837),
    [sym_compound_literal_expression] = STATE(837),
    [sym_parenthesized_expression] = STATE(837),
    [sym_concatenated_string] = STATE(837),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2265),
    [sym_char_literal] = ACTIONS(2265),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2267),
    [sym_false] = ACTIONS(2267),
    [sym_null] = ACTIONS(2267),
    [sym_identifier] = ACTIONS(2267),
    [sym_comment] = ACTIONS(39),
  },
  [626] = {
    [sym__expression] = STATE(838),
    [sym_conditional_expression] = STATE(838),
    [sym_assignment_expression] = STATE(838),
    [sym_pointer_expression] = STATE(838),
    [sym_logical_expression] = STATE(838),
    [sym_bitwise_expression] = STATE(838),
    [sym_equality_expression] = STATE(838),
    [sym_relational_expression] = STATE(838),
    [sym_shift_expression] = STATE(838),
    [sym_math_expression] = STATE(838),
    [sym_cast_expression] = STATE(838),
    [sym_sizeof_expression] = STATE(838),
    [sym_subscript_expression] = STATE(838),
    [sym_call_expression] = STATE(838),
    [sym_field_expression] = STATE(838),
    [sym_compound_literal_expression] = STATE(838),
    [sym_parenthesized_expression] = STATE(838),
    [sym_concatenated_string] = STATE(838),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2269),
    [sym_char_literal] = ACTIONS(2269),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2271),
    [sym_false] = ACTIONS(2271),
    [sym_null] = ACTIONS(2271),
    [sym_identifier] = ACTIONS(2271),
    [sym_comment] = ACTIONS(39),
  },
  [627] = {
    [sym__expression] = STATE(839),
    [sym_conditional_expression] = STATE(839),
    [sym_assignment_expression] = STATE(839),
    [sym_pointer_expression] = STATE(839),
    [sym_logical_expression] = STATE(839),
    [sym_bitwise_expression] = STATE(839),
    [sym_equality_expression] = STATE(839),
    [sym_relational_expression] = STATE(839),
    [sym_shift_expression] = STATE(839),
    [sym_math_expression] = STATE(839),
    [sym_cast_expression] = STATE(839),
    [sym_sizeof_expression] = STATE(839),
    [sym_subscript_expression] = STATE(839),
    [sym_call_expression] = STATE(839),
    [sym_field_expression] = STATE(839),
    [sym_compound_literal_expression] = STATE(839),
    [sym_parenthesized_expression] = STATE(839),
    [sym_concatenated_string] = STATE(839),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2273),
    [sym_char_literal] = ACTIONS(2273),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2275),
    [sym_false] = ACTIONS(2275),
    [sym_null] = ACTIONS(2275),
    [sym_identifier] = ACTIONS(2275),
    [sym_comment] = ACTIONS(39),
  },
  [628] = {
    [sym__expression] = STATE(840),
    [sym_conditional_expression] = STATE(840),
    [sym_assignment_expression] = STATE(840),
    [sym_pointer_expression] = STATE(840),
    [sym_logical_expression] = STATE(840),
    [sym_bitwise_expression] = STATE(840),
    [sym_equality_expression] = STATE(840),
    [sym_relational_expression] = STATE(840),
    [sym_shift_expression] = STATE(840),
    [sym_math_expression] = STATE(840),
    [sym_cast_expression] = STATE(840),
    [sym_sizeof_expression] = STATE(840),
    [sym_subscript_expression] = STATE(840),
    [sym_call_expression] = STATE(840),
    [sym_field_expression] = STATE(840),
    [sym_compound_literal_expression] = STATE(840),
    [sym_parenthesized_expression] = STATE(840),
    [sym_concatenated_string] = STATE(840),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2277),
    [sym_char_literal] = ACTIONS(2277),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_identifier] = ACTIONS(2279),
    [sym_comment] = ACTIONS(39),
  },
  [629] = {
    [sym__expression] = STATE(841),
    [sym_conditional_expression] = STATE(841),
    [sym_assignment_expression] = STATE(841),
    [sym_pointer_expression] = STATE(841),
    [sym_logical_expression] = STATE(841),
    [sym_bitwise_expression] = STATE(841),
    [sym_equality_expression] = STATE(841),
    [sym_relational_expression] = STATE(841),
    [sym_shift_expression] = STATE(841),
    [sym_math_expression] = STATE(841),
    [sym_cast_expression] = STATE(841),
    [sym_sizeof_expression] = STATE(841),
    [sym_subscript_expression] = STATE(841),
    [sym_call_expression] = STATE(841),
    [sym_field_expression] = STATE(841),
    [sym_compound_literal_expression] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_concatenated_string] = STATE(841),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2281),
    [sym_char_literal] = ACTIONS(2281),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2283),
    [sym_false] = ACTIONS(2283),
    [sym_null] = ACTIONS(2283),
    [sym_identifier] = ACTIONS(2283),
    [sym_comment] = ACTIONS(39),
  },
  [630] = {
    [sym__expression] = STATE(842),
    [sym_conditional_expression] = STATE(842),
    [sym_assignment_expression] = STATE(842),
    [sym_pointer_expression] = STATE(842),
    [sym_logical_expression] = STATE(842),
    [sym_bitwise_expression] = STATE(842),
    [sym_equality_expression] = STATE(842),
    [sym_relational_expression] = STATE(842),
    [sym_shift_expression] = STATE(842),
    [sym_math_expression] = STATE(842),
    [sym_cast_expression] = STATE(842),
    [sym_sizeof_expression] = STATE(842),
    [sym_subscript_expression] = STATE(842),
    [sym_call_expression] = STATE(842),
    [sym_field_expression] = STATE(842),
    [sym_compound_literal_expression] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_concatenated_string] = STATE(842),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2285),
    [sym_char_literal] = ACTIONS(2285),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2287),
    [sym_comment] = ACTIONS(39),
  },
  [631] = {
    [sym__expression] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(843),
    [sym_logical_expression] = STATE(843),
    [sym_bitwise_expression] = STATE(843),
    [sym_equality_expression] = STATE(843),
    [sym_relational_expression] = STATE(843),
    [sym_shift_expression] = STATE(843),
    [sym_math_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_subscript_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_field_expression] = STATE(843),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2289),
    [sym_char_literal] = ACTIONS(2289),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2291),
    [sym_false] = ACTIONS(2291),
    [sym_null] = ACTIONS(2291),
    [sym_identifier] = ACTIONS(2291),
    [sym_comment] = ACTIONS(39),
  },
  [632] = {
    [sym__expression] = STATE(844),
    [sym_conditional_expression] = STATE(844),
    [sym_assignment_expression] = STATE(844),
    [sym_pointer_expression] = STATE(844),
    [sym_logical_expression] = STATE(844),
    [sym_bitwise_expression] = STATE(844),
    [sym_equality_expression] = STATE(844),
    [sym_relational_expression] = STATE(844),
    [sym_shift_expression] = STATE(844),
    [sym_math_expression] = STATE(844),
    [sym_cast_expression] = STATE(844),
    [sym_sizeof_expression] = STATE(844),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(844),
    [sym_parenthesized_expression] = STATE(844),
    [sym_concatenated_string] = STATE(844),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2293),
    [sym_char_literal] = ACTIONS(2293),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2295),
    [sym_false] = ACTIONS(2295),
    [sym_null] = ACTIONS(2295),
    [sym_identifier] = ACTIONS(2295),
    [sym_comment] = ACTIONS(39),
  },
  [633] = {
    [sym__expression] = STATE(845),
    [sym_conditional_expression] = STATE(845),
    [sym_assignment_expression] = STATE(845),
    [sym_pointer_expression] = STATE(845),
    [sym_logical_expression] = STATE(845),
    [sym_bitwise_expression] = STATE(845),
    [sym_equality_expression] = STATE(845),
    [sym_relational_expression] = STATE(845),
    [sym_shift_expression] = STATE(845),
    [sym_math_expression] = STATE(845),
    [sym_cast_expression] = STATE(845),
    [sym_sizeof_expression] = STATE(845),
    [sym_subscript_expression] = STATE(845),
    [sym_call_expression] = STATE(845),
    [sym_field_expression] = STATE(845),
    [sym_compound_literal_expression] = STATE(845),
    [sym_parenthesized_expression] = STATE(845),
    [sym_concatenated_string] = STATE(845),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2297),
    [sym_char_literal] = ACTIONS(2297),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2299),
    [sym_false] = ACTIONS(2299),
    [sym_null] = ACTIONS(2299),
    [sym_identifier] = ACTIONS(2299),
    [sym_comment] = ACTIONS(39),
  },
  [634] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [635] = {
    [sym_preproc_arg] = ACTIONS(2305),
    [sym_comment] = ACTIONS(47),
  },
  [636] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2307),
    [sym_preproc_directive] = ACTIONS(2307),
    [anon_sym_SEMI] = ACTIONS(2309),
    [anon_sym_typedef] = ACTIONS(2307),
    [anon_sym_extern] = ACTIONS(2307),
    [anon_sym_LBRACE] = ACTIONS(2309),
    [anon_sym_RBRACE] = ACTIONS(2309),
    [anon_sym_STAR] = ACTIONS(2309),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_auto] = ACTIONS(2307),
    [anon_sym_register] = ACTIONS(2307),
    [anon_sym_inline] = ACTIONS(2307),
    [anon_sym_const] = ACTIONS(2307),
    [anon_sym_restrict] = ACTIONS(2307),
    [anon_sym_volatile] = ACTIONS(2307),
    [anon_sym__Atomic] = ACTIONS(2307),
    [anon_sym_unsigned] = ACTIONS(2307),
    [anon_sym_long] = ACTIONS(2307),
    [anon_sym_short] = ACTIONS(2307),
    [sym_primitive_type] = ACTIONS(2307),
    [anon_sym_enum] = ACTIONS(2307),
    [anon_sym_struct] = ACTIONS(2307),
    [anon_sym_union] = ACTIONS(2307),
    [anon_sym_if] = ACTIONS(2307),
    [anon_sym_switch] = ACTIONS(2307),
    [anon_sym_case] = ACTIONS(2307),
    [anon_sym_default] = ACTIONS(2307),
    [anon_sym_while] = ACTIONS(2307),
    [anon_sym_do] = ACTIONS(2307),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_return] = ACTIONS(2307),
    [anon_sym_break] = ACTIONS(2307),
    [anon_sym_continue] = ACTIONS(2307),
    [anon_sym_goto] = ACTIONS(2307),
    [anon_sym_AMP] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2307),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_DASH_DASH] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2309),
    [anon_sym_sizeof] = ACTIONS(2307),
    [sym_number_literal] = ACTIONS(2309),
    [sym_char_literal] = ACTIONS(2309),
    [sym_string_literal] = ACTIONS(2309),
    [sym_true] = ACTIONS(2307),
    [sym_false] = ACTIONS(2307),
    [sym_null] = ACTIONS(2307),
    [sym_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(39),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2311),
    [sym_comment] = ACTIONS(39),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2313),
    [sym_comment] = ACTIONS(39),
  },
  [639] = {
    [sym_preproc_include] = STATE(872),
    [sym_preproc_def] = STATE(872),
    [sym_preproc_function_def] = STATE(872),
    [sym_preproc_call] = STATE(872),
    [sym_preproc_if_in_compound_statement] = STATE(867),
    [sym_preproc_ifdef_in_compound_statement] = STATE(868),
    [sym_declaration] = STATE(872),
    [sym_type_definition] = STATE(872),
    [sym__declaration_specifiers] = STATE(869),
    [sym_compound_statement] = STATE(872),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(872),
    [sym_expression_statement] = STATE(872),
    [sym_if_statement] = STATE(872),
    [sym_switch_statement] = STATE(872),
    [sym_case_statement] = STATE(872),
    [sym_while_statement] = STATE(872),
    [sym_do_statement] = STATE(872),
    [sym_for_statement] = STATE(872),
    [sym_return_statement] = STATE(872),
    [sym_break_statement] = STATE(872),
    [sym_continue_statement] = STATE(872),
    [sym_goto_statement] = STATE(872),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [sym__empty_declaration] = STATE(872),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(348),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(350),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2317),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2319),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2321),
    [sym_preproc_directive] = ACTIONS(360),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_typedef] = ACTIONS(362),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(2351),
    [sym_comment] = ACTIONS(39),
  },
  [640] = {
    [sym_preproc_arg] = ACTIONS(2353),
    [sym_comment] = ACTIONS(47),
  },
  [641] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(970),
    [anon_sym_LPAREN] = ACTIONS(972),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(970),
    [sym_preproc_directive] = ACTIONS(970),
    [anon_sym_SEMI] = ACTIONS(972),
    [anon_sym_typedef] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_STAR] = ACTIONS(972),
    [anon_sym_static] = ACTIONS(970),
    [anon_sym_auto] = ACTIONS(970),
    [anon_sym_register] = ACTIONS(970),
    [anon_sym_inline] = ACTIONS(970),
    [anon_sym_const] = ACTIONS(970),
    [anon_sym_restrict] = ACTIONS(970),
    [anon_sym_volatile] = ACTIONS(970),
    [anon_sym__Atomic] = ACTIONS(970),
    [anon_sym_unsigned] = ACTIONS(970),
    [anon_sym_long] = ACTIONS(970),
    [anon_sym_short] = ACTIONS(970),
    [sym_primitive_type] = ACTIONS(970),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(970),
    [anon_sym_union] = ACTIONS(970),
    [anon_sym_if] = ACTIONS(970),
    [anon_sym_else] = ACTIONS(970),
    [anon_sym_switch] = ACTIONS(970),
    [anon_sym_case] = ACTIONS(970),
    [anon_sym_default] = ACTIONS(970),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_do] = ACTIONS(970),
    [anon_sym_for] = ACTIONS(970),
    [anon_sym_return] = ACTIONS(970),
    [anon_sym_break] = ACTIONS(970),
    [anon_sym_continue] = ACTIONS(970),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_AMP] = ACTIONS(972),
    [anon_sym_BANG] = ACTIONS(972),
    [anon_sym_TILDE] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(970),
    [anon_sym_DASH] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(972),
    [anon_sym_PLUS_PLUS] = ACTIONS(972),
    [anon_sym_sizeof] = ACTIONS(970),
    [sym_number_literal] = ACTIONS(972),
    [sym_char_literal] = ACTIONS(972),
    [sym_string_literal] = ACTIONS(972),
    [sym_true] = ACTIONS(970),
    [sym_false] = ACTIONS(970),
    [sym_null] = ACTIONS(970),
    [sym_identifier] = ACTIONS(970),
    [sym_comment] = ACTIONS(39),
  },
  [642] = {
    [anon_sym_LPAREN] = ACTIONS(2355),
    [sym_comment] = ACTIONS(39),
  },
  [643] = {
    [anon_sym_LPAREN] = ACTIONS(2357),
    [sym_comment] = ACTIONS(39),
  },
  [644] = {
    [sym__expression] = STATE(876),
    [sym_conditional_expression] = STATE(876),
    [sym_assignment_expression] = STATE(876),
    [sym_pointer_expression] = STATE(876),
    [sym_logical_expression] = STATE(876),
    [sym_bitwise_expression] = STATE(876),
    [sym_equality_expression] = STATE(876),
    [sym_relational_expression] = STATE(876),
    [sym_shift_expression] = STATE(876),
    [sym_math_expression] = STATE(876),
    [sym_cast_expression] = STATE(876),
    [sym_sizeof_expression] = STATE(876),
    [sym_subscript_expression] = STATE(876),
    [sym_call_expression] = STATE(876),
    [sym_field_expression] = STATE(876),
    [sym_compound_literal_expression] = STATE(876),
    [sym_parenthesized_expression] = STATE(876),
    [sym_concatenated_string] = STATE(876),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2359),
    [sym_char_literal] = ACTIONS(2359),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2361),
    [sym_false] = ACTIONS(2361),
    [sym_null] = ACTIONS(2361),
    [sym_identifier] = ACTIONS(2361),
    [sym_comment] = ACTIONS(39),
  },
  [645] = {
    [anon_sym_COLON] = ACTIONS(2363),
    [sym_comment] = ACTIONS(39),
  },
  [646] = {
    [anon_sym_LPAREN] = ACTIONS(2365),
    [sym_comment] = ACTIONS(39),
  },
  [647] = {
    [sym_compound_statement] = STATE(879),
    [sym_labeled_statement] = STATE(879),
    [sym_expression_statement] = STATE(879),
    [sym_if_statement] = STATE(879),
    [sym_switch_statement] = STATE(879),
    [sym_case_statement] = STATE(879),
    [sym_while_statement] = STATE(879),
    [sym_do_statement] = STATE(879),
    [sym_for_statement] = STATE(879),
    [sym_return_statement] = STATE(879),
    [sym_break_statement] = STATE(879),
    [sym_continue_statement] = STATE(879),
    [sym_goto_statement] = STATE(879),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [648] = {
    [anon_sym_LPAREN] = ACTIONS(2367),
    [sym_comment] = ACTIONS(39),
  },
  [649] = {
    [sym__expression] = STATE(882),
    [sym_conditional_expression] = STATE(882),
    [sym_assignment_expression] = STATE(882),
    [sym_pointer_expression] = STATE(882),
    [sym_logical_expression] = STATE(882),
    [sym_bitwise_expression] = STATE(882),
    [sym_equality_expression] = STATE(882),
    [sym_relational_expression] = STATE(882),
    [sym_shift_expression] = STATE(882),
    [sym_math_expression] = STATE(882),
    [sym_cast_expression] = STATE(882),
    [sym_sizeof_expression] = STATE(882),
    [sym_subscript_expression] = STATE(882),
    [sym_call_expression] = STATE(882),
    [sym_field_expression] = STATE(882),
    [sym_compound_literal_expression] = STATE(882),
    [sym_parenthesized_expression] = STATE(882),
    [sym_concatenated_string] = STATE(882),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(2369),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2371),
    [sym_char_literal] = ACTIONS(2371),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_identifier] = ACTIONS(2373),
    [sym_comment] = ACTIONS(39),
  },
  [650] = {
    [anon_sym_SEMI] = ACTIONS(2375),
    [sym_comment] = ACTIONS(39),
  },
  [651] = {
    [anon_sym_SEMI] = ACTIONS(2377),
    [sym_comment] = ACTIONS(39),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2379),
    [sym_comment] = ACTIONS(39),
  },
  [653] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1066),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [654] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1074),
    [sym_preproc_directive] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(1076),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_auto] = ACTIONS(1074),
    [anon_sym_register] = ACTIONS(1074),
    [anon_sym_inline] = ACTIONS(1074),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_restrict] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym__Atomic] = ACTIONS(1074),
    [anon_sym_unsigned] = ACTIONS(1074),
    [anon_sym_long] = ACTIONS(1074),
    [anon_sym_short] = ACTIONS(1074),
    [sym_primitive_type] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_struct] = ACTIONS(1074),
    [anon_sym_union] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_case] = ACTIONS(1074),
    [anon_sym_default] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_do] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_goto] = ACTIONS(1074),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [anon_sym_sizeof] = ACTIONS(1074),
    [sym_number_literal] = ACTIONS(1076),
    [sym_char_literal] = ACTIONS(1076),
    [sym_string_literal] = ACTIONS(1076),
    [sym_true] = ACTIONS(1074),
    [sym_false] = ACTIONS(1074),
    [sym_null] = ACTIONS(1074),
    [sym_identifier] = ACTIONS(1074),
    [sym_comment] = ACTIONS(39),
  },
  [655] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1078),
    [sym_preproc_directive] = ACTIONS(1078),
    [anon_sym_SEMI] = ACTIONS(1080),
    [anon_sym_typedef] = ACTIONS(1078),
    [anon_sym_extern] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_static] = ACTIONS(1078),
    [anon_sym_auto] = ACTIONS(1078),
    [anon_sym_register] = ACTIONS(1078),
    [anon_sym_inline] = ACTIONS(1078),
    [anon_sym_const] = ACTIONS(1078),
    [anon_sym_restrict] = ACTIONS(1078),
    [anon_sym_volatile] = ACTIONS(1078),
    [anon_sym__Atomic] = ACTIONS(1078),
    [anon_sym_unsigned] = ACTIONS(1078),
    [anon_sym_long] = ACTIONS(1078),
    [anon_sym_short] = ACTIONS(1078),
    [sym_primitive_type] = ACTIONS(1078),
    [anon_sym_enum] = ACTIONS(1078),
    [anon_sym_struct] = ACTIONS(1078),
    [anon_sym_union] = ACTIONS(1078),
    [anon_sym_if] = ACTIONS(1078),
    [anon_sym_switch] = ACTIONS(1078),
    [anon_sym_case] = ACTIONS(1078),
    [anon_sym_default] = ACTIONS(1078),
    [anon_sym_while] = ACTIONS(1078),
    [anon_sym_do] = ACTIONS(1078),
    [anon_sym_for] = ACTIONS(1078),
    [anon_sym_return] = ACTIONS(1078),
    [anon_sym_break] = ACTIONS(1078),
    [anon_sym_continue] = ACTIONS(1078),
    [anon_sym_goto] = ACTIONS(1078),
    [anon_sym_AMP] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_sizeof] = ACTIONS(1078),
    [sym_number_literal] = ACTIONS(1080),
    [sym_char_literal] = ACTIONS(1080),
    [sym_string_literal] = ACTIONS(1080),
    [sym_true] = ACTIONS(1078),
    [sym_false] = ACTIONS(1078),
    [sym_null] = ACTIONS(1078),
    [sym_identifier] = ACTIONS(1078),
    [sym_comment] = ACTIONS(39),
  },
  [656] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2383),
    [sym_comment] = ACTIONS(39),
  },
  [657] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2385),
    [sym_comment] = ACTIONS(39),
  },
  [658] = {
    [sym__declarator] = STATE(889),
    [sym_pointer_declarator] = STATE(889),
    [sym_function_declarator] = STATE(889),
    [sym_array_declarator] = STATE(889),
    [sym_init_declarator] = STATE(161),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_SEMI] = ACTIONS(378),
    [anon_sym_STAR] = ACTIONS(524),
    [sym_identifier] = ACTIONS(2387),
    [sym_comment] = ACTIONS(39),
  },
  [659] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1094),
    [anon_sym_QMARK] = ACTIONS(1096),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [660] = {
    [anon_sym_SEMI] = ACTIONS(2389),
    [sym_comment] = ACTIONS(39),
  },
  [661] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(892),
    [sym_preproc_elif_in_compound_statement] = STATE(893),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2391),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [662] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2395),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2395),
    [anon_sym_typedef] = ACTIONS(2393),
    [anon_sym_extern] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2395),
    [anon_sym_RBRACE] = ACTIONS(2395),
    [anon_sym_STAR] = ACTIONS(2395),
    [anon_sym_static] = ACTIONS(2393),
    [anon_sym_auto] = ACTIONS(2393),
    [anon_sym_register] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_restrict] = ACTIONS(2393),
    [anon_sym_volatile] = ACTIONS(2393),
    [anon_sym__Atomic] = ACTIONS(2393),
    [anon_sym_unsigned] = ACTIONS(2393),
    [anon_sym_long] = ACTIONS(2393),
    [anon_sym_short] = ACTIONS(2393),
    [sym_primitive_type] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_struct] = ACTIONS(2393),
    [anon_sym_union] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_case] = ACTIONS(2393),
    [anon_sym_default] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_do] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_break] = ACTIONS(2393),
    [anon_sym_continue] = ACTIONS(2393),
    [anon_sym_goto] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_BANG] = ACTIONS(2395),
    [anon_sym_TILDE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2395),
    [anon_sym_PLUS_PLUS] = ACTIONS(2395),
    [anon_sym_sizeof] = ACTIONS(2393),
    [sym_number_literal] = ACTIONS(2395),
    [sym_char_literal] = ACTIONS(2395),
    [sym_string_literal] = ACTIONS(2395),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_identifier] = ACTIONS(2393),
    [sym_comment] = ACTIONS(39),
  },
  [663] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2397),
    [sym_comment] = ACTIONS(39),
  },
  [664] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2399),
    [sym_comment] = ACTIONS(39),
  },
  [665] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(898),
    [sym_preproc_elif_in_compound_statement] = STATE(899),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2401),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [666] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2403),
    [sym_preproc_directive] = ACTIONS(2403),
    [anon_sym_SEMI] = ACTIONS(2405),
    [anon_sym_typedef] = ACTIONS(2403),
    [anon_sym_extern] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_RBRACE] = ACTIONS(2405),
    [anon_sym_STAR] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_auto] = ACTIONS(2403),
    [anon_sym_register] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_restrict] = ACTIONS(2403),
    [anon_sym_volatile] = ACTIONS(2403),
    [anon_sym__Atomic] = ACTIONS(2403),
    [anon_sym_unsigned] = ACTIONS(2403),
    [anon_sym_long] = ACTIONS(2403),
    [anon_sym_short] = ACTIONS(2403),
    [sym_primitive_type] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_struct] = ACTIONS(2403),
    [anon_sym_union] = ACTIONS(2403),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_switch] = ACTIONS(2403),
    [anon_sym_case] = ACTIONS(2403),
    [anon_sym_default] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_do] = ACTIONS(2403),
    [anon_sym_for] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_break] = ACTIONS(2403),
    [anon_sym_continue] = ACTIONS(2403),
    [anon_sym_goto] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2405),
    [anon_sym_BANG] = ACTIONS(2405),
    [anon_sym_TILDE] = ACTIONS(2405),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_DASH_DASH] = ACTIONS(2405),
    [anon_sym_PLUS_PLUS] = ACTIONS(2405),
    [anon_sym_sizeof] = ACTIONS(2403),
    [sym_number_literal] = ACTIONS(2405),
    [sym_char_literal] = ACTIONS(2405),
    [sym_string_literal] = ACTIONS(2405),
    [sym_true] = ACTIONS(2403),
    [sym_false] = ACTIONS(2403),
    [sym_null] = ACTIONS(2403),
    [sym_identifier] = ACTIONS(2403),
    [sym_comment] = ACTIONS(39),
  },
  [667] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2407),
    [sym_comment] = ACTIONS(39),
  },
  [668] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2409),
    [sym_comment] = ACTIONS(39),
  },
  [669] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(903),
    [sym_preproc_elif_in_compound_statement] = STATE(904),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2411),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [670] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(905),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [671] = {
    [sym__expression] = STATE(410),
    [sym_conditional_expression] = STATE(410),
    [sym_assignment_expression] = STATE(410),
    [sym_pointer_expression] = STATE(410),
    [sym_logical_expression] = STATE(410),
    [sym_bitwise_expression] = STATE(410),
    [sym_equality_expression] = STATE(410),
    [sym_relational_expression] = STATE(410),
    [sym_shift_expression] = STATE(410),
    [sym_math_expression] = STATE(410),
    [sym_cast_expression] = STATE(410),
    [sym_sizeof_expression] = STATE(410),
    [sym_subscript_expression] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_field_expression] = STATE(410),
    [sym_compound_literal_expression] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_concatenated_string] = STATE(410),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(978),
    [sym_char_literal] = ACTIONS(978),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_identifier] = ACTIONS(980),
    [sym_comment] = ACTIONS(39),
  },
  [672] = {
    [sym__expression] = STATE(437),
    [sym_conditional_expression] = STATE(437),
    [sym_assignment_expression] = STATE(437),
    [sym_pointer_expression] = STATE(437),
    [sym_logical_expression] = STATE(437),
    [sym_bitwise_expression] = STATE(437),
    [sym_equality_expression] = STATE(437),
    [sym_relational_expression] = STATE(437),
    [sym_shift_expression] = STATE(437),
    [sym_math_expression] = STATE(437),
    [sym_cast_expression] = STATE(437),
    [sym_sizeof_expression] = STATE(437),
    [sym_subscript_expression] = STATE(437),
    [sym_call_expression] = STATE(437),
    [sym_field_expression] = STATE(437),
    [sym_compound_literal_expression] = STATE(437),
    [sym_parenthesized_expression] = STATE(437),
    [sym_concatenated_string] = STATE(437),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1038),
    [sym_char_literal] = ACTIONS(1038),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_null] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1040),
    [sym_comment] = ACTIONS(39),
  },
  [673] = {
    [sym__expression] = STATE(438),
    [sym_conditional_expression] = STATE(438),
    [sym_assignment_expression] = STATE(438),
    [sym_pointer_expression] = STATE(438),
    [sym_logical_expression] = STATE(438),
    [sym_bitwise_expression] = STATE(438),
    [sym_equality_expression] = STATE(438),
    [sym_relational_expression] = STATE(438),
    [sym_shift_expression] = STATE(438),
    [sym_math_expression] = STATE(438),
    [sym_cast_expression] = STATE(438),
    [sym_sizeof_expression] = STATE(438),
    [sym_subscript_expression] = STATE(438),
    [sym_call_expression] = STATE(438),
    [sym_field_expression] = STATE(438),
    [sym_compound_literal_expression] = STATE(438),
    [sym_parenthesized_expression] = STATE(438),
    [sym_concatenated_string] = STATE(438),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1042),
    [sym_char_literal] = ACTIONS(1042),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [sym_null] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1044),
    [sym_comment] = ACTIONS(39),
  },
  [674] = {
    [sym__expression] = STATE(439),
    [sym_conditional_expression] = STATE(439),
    [sym_assignment_expression] = STATE(439),
    [sym_pointer_expression] = STATE(439),
    [sym_logical_expression] = STATE(439),
    [sym_bitwise_expression] = STATE(439),
    [sym_equality_expression] = STATE(439),
    [sym_relational_expression] = STATE(439),
    [sym_shift_expression] = STATE(439),
    [sym_math_expression] = STATE(439),
    [sym_cast_expression] = STATE(439),
    [sym_sizeof_expression] = STATE(439),
    [sym_subscript_expression] = STATE(439),
    [sym_call_expression] = STATE(439),
    [sym_field_expression] = STATE(439),
    [sym_compound_literal_expression] = STATE(439),
    [sym_parenthesized_expression] = STATE(439),
    [sym_concatenated_string] = STATE(439),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1046),
    [sym_char_literal] = ACTIONS(1046),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [sym_null] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1048),
    [sym_comment] = ACTIONS(39),
  },
  [675] = {
    [sym__expression] = STATE(907),
    [sym_conditional_expression] = STATE(907),
    [sym_assignment_expression] = STATE(907),
    [sym_pointer_expression] = STATE(907),
    [sym_logical_expression] = STATE(907),
    [sym_bitwise_expression] = STATE(907),
    [sym_equality_expression] = STATE(907),
    [sym_relational_expression] = STATE(907),
    [sym_shift_expression] = STATE(907),
    [sym_math_expression] = STATE(907),
    [sym_cast_expression] = STATE(907),
    [sym_sizeof_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_call_expression] = STATE(907),
    [sym_field_expression] = STATE(907),
    [sym_compound_literal_expression] = STATE(907),
    [sym_parenthesized_expression] = STATE(907),
    [sym_concatenated_string] = STATE(907),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2415),
    [sym_char_literal] = ACTIONS(2415),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2417),
    [sym_false] = ACTIONS(2417),
    [sym_null] = ACTIONS(2417),
    [sym_identifier] = ACTIONS(2417),
    [sym_comment] = ACTIONS(39),
  },
  [676] = {
    [aux_sym_concatenated_string_repeat1] = STATE(908),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_string_literal] = ACTIONS(2419),
    [sym_comment] = ACTIONS(39),
  },
  [677] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2421),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [678] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [679] = {
    [anon_sym_RPAREN] = ACTIONS(2453),
    [sym_comment] = ACTIONS(39),
  },
  [680] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(924),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [681] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_COLON] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [682] = {
    [aux_sym_concatenated_string_repeat1] = STATE(925),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [sym_string_literal] = ACTIONS(2455),
    [sym_comment] = ACTIONS(39),
  },
  [683] = {
    [sym__expression] = STATE(721),
    [sym_conditional_expression] = STATE(721),
    [sym_assignment_expression] = STATE(721),
    [sym_pointer_expression] = STATE(721),
    [sym_logical_expression] = STATE(721),
    [sym_bitwise_expression] = STATE(721),
    [sym_equality_expression] = STATE(721),
    [sym_relational_expression] = STATE(721),
    [sym_shift_expression] = STATE(721),
    [sym_math_expression] = STATE(721),
    [sym_cast_expression] = STATE(721),
    [sym_sizeof_expression] = STATE(721),
    [sym_subscript_expression] = STATE(721),
    [sym_call_expression] = STATE(721),
    [sym_field_expression] = STATE(721),
    [sym_compound_literal_expression] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym_concatenated_string] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(1731),
    [sym_char_literal] = ACTIONS(1731),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1733),
    [sym_comment] = ACTIONS(39),
  },
  [684] = {
    [sym__expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_assignment_expression] = STATE(926),
    [sym_pointer_expression] = STATE(926),
    [sym_logical_expression] = STATE(926),
    [sym_bitwise_expression] = STATE(926),
    [sym_equality_expression] = STATE(926),
    [sym_relational_expression] = STATE(926),
    [sym_shift_expression] = STATE(926),
    [sym_math_expression] = STATE(926),
    [sym_cast_expression] = STATE(926),
    [sym_sizeof_expression] = STATE(926),
    [sym_subscript_expression] = STATE(926),
    [sym_call_expression] = STATE(926),
    [sym_field_expression] = STATE(926),
    [sym_compound_literal_expression] = STATE(926),
    [sym_parenthesized_expression] = STATE(926),
    [sym_concatenated_string] = STATE(926),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2457),
    [sym_char_literal] = ACTIONS(2457),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2459),
    [sym_false] = ACTIONS(2459),
    [sym_null] = ACTIONS(2459),
    [sym_identifier] = ACTIONS(2459),
    [sym_comment] = ACTIONS(39),
  },
  [685] = {
    [sym_declaration] = STATE(927),
    [sym_type_definition] = STATE(927),
    [sym__declaration_specifiers] = STATE(698),
    [sym_compound_statement] = STATE(927),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_case_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_goto_statement] = STATE(927),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1645),
    [sym_comment] = ACTIONS(39),
  },
  [686] = {
    [sym__expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_assignment_expression] = STATE(928),
    [sym_pointer_expression] = STATE(928),
    [sym_logical_expression] = STATE(928),
    [sym_bitwise_expression] = STATE(928),
    [sym_equality_expression] = STATE(928),
    [sym_relational_expression] = STATE(928),
    [sym_shift_expression] = STATE(928),
    [sym_math_expression] = STATE(928),
    [sym_cast_expression] = STATE(928),
    [sym_sizeof_expression] = STATE(928),
    [sym_subscript_expression] = STATE(928),
    [sym_call_expression] = STATE(928),
    [sym_field_expression] = STATE(928),
    [sym_compound_literal_expression] = STATE(928),
    [sym_parenthesized_expression] = STATE(928),
    [sym_concatenated_string] = STATE(928),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2461),
    [sym_char_literal] = ACTIONS(2461),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2463),
    [sym_false] = ACTIONS(2463),
    [sym_null] = ACTIONS(2463),
    [sym_identifier] = ACTIONS(2463),
    [sym_comment] = ACTIONS(39),
  },
  [687] = {
    [sym__expression] = STATE(929),
    [sym_conditional_expression] = STATE(929),
    [sym_assignment_expression] = STATE(929),
    [sym_pointer_expression] = STATE(929),
    [sym_logical_expression] = STATE(929),
    [sym_bitwise_expression] = STATE(929),
    [sym_equality_expression] = STATE(929),
    [sym_relational_expression] = STATE(929),
    [sym_shift_expression] = STATE(929),
    [sym_math_expression] = STATE(929),
    [sym_cast_expression] = STATE(929),
    [sym_sizeof_expression] = STATE(929),
    [sym_subscript_expression] = STATE(929),
    [sym_call_expression] = STATE(929),
    [sym_field_expression] = STATE(929),
    [sym_compound_literal_expression] = STATE(929),
    [sym_parenthesized_expression] = STATE(929),
    [sym_concatenated_string] = STATE(929),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2465),
    [sym_char_literal] = ACTIONS(2465),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2467),
    [sym_false] = ACTIONS(2467),
    [sym_null] = ACTIONS(2467),
    [sym_identifier] = ACTIONS(2467),
    [sym_comment] = ACTIONS(39),
  },
  [688] = {
    [sym__expression] = STATE(930),
    [sym_conditional_expression] = STATE(930),
    [sym_assignment_expression] = STATE(930),
    [sym_pointer_expression] = STATE(930),
    [sym_logical_expression] = STATE(930),
    [sym_bitwise_expression] = STATE(930),
    [sym_equality_expression] = STATE(930),
    [sym_relational_expression] = STATE(930),
    [sym_shift_expression] = STATE(930),
    [sym_math_expression] = STATE(930),
    [sym_cast_expression] = STATE(930),
    [sym_sizeof_expression] = STATE(930),
    [sym_subscript_expression] = STATE(930),
    [sym_call_expression] = STATE(930),
    [sym_field_expression] = STATE(930),
    [sym_compound_literal_expression] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_concatenated_string] = STATE(930),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2469),
    [sym_char_literal] = ACTIONS(2469),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2471),
    [sym_false] = ACTIONS(2471),
    [sym_null] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(2471),
    [sym_comment] = ACTIONS(39),
  },
  [689] = {
    [sym__expression] = STATE(931),
    [sym_conditional_expression] = STATE(931),
    [sym_assignment_expression] = STATE(931),
    [sym_pointer_expression] = STATE(931),
    [sym_logical_expression] = STATE(931),
    [sym_bitwise_expression] = STATE(931),
    [sym_equality_expression] = STATE(931),
    [sym_relational_expression] = STATE(931),
    [sym_shift_expression] = STATE(931),
    [sym_math_expression] = STATE(931),
    [sym_cast_expression] = STATE(931),
    [sym_sizeof_expression] = STATE(931),
    [sym_subscript_expression] = STATE(931),
    [sym_call_expression] = STATE(931),
    [sym_field_expression] = STATE(931),
    [sym_compound_literal_expression] = STATE(931),
    [sym_parenthesized_expression] = STATE(931),
    [sym_concatenated_string] = STATE(931),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2473),
    [sym_char_literal] = ACTIONS(2473),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2475),
    [sym_false] = ACTIONS(2475),
    [sym_null] = ACTIONS(2475),
    [sym_identifier] = ACTIONS(2475),
    [sym_comment] = ACTIONS(39),
  },
  [690] = {
    [sym__expression] = STATE(932),
    [sym_conditional_expression] = STATE(932),
    [sym_assignment_expression] = STATE(932),
    [sym_pointer_expression] = STATE(932),
    [sym_logical_expression] = STATE(932),
    [sym_bitwise_expression] = STATE(932),
    [sym_equality_expression] = STATE(932),
    [sym_relational_expression] = STATE(932),
    [sym_shift_expression] = STATE(932),
    [sym_math_expression] = STATE(932),
    [sym_cast_expression] = STATE(932),
    [sym_sizeof_expression] = STATE(932),
    [sym_subscript_expression] = STATE(932),
    [sym_call_expression] = STATE(932),
    [sym_field_expression] = STATE(932),
    [sym_compound_literal_expression] = STATE(932),
    [sym_parenthesized_expression] = STATE(932),
    [sym_concatenated_string] = STATE(932),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2477),
    [sym_char_literal] = ACTIONS(2477),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_null] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_comment] = ACTIONS(39),
  },
  [691] = {
    [sym__expression] = STATE(933),
    [sym_conditional_expression] = STATE(933),
    [sym_assignment_expression] = STATE(933),
    [sym_pointer_expression] = STATE(933),
    [sym_logical_expression] = STATE(933),
    [sym_bitwise_expression] = STATE(933),
    [sym_equality_expression] = STATE(933),
    [sym_relational_expression] = STATE(933),
    [sym_shift_expression] = STATE(933),
    [sym_math_expression] = STATE(933),
    [sym_cast_expression] = STATE(933),
    [sym_sizeof_expression] = STATE(933),
    [sym_subscript_expression] = STATE(933),
    [sym_call_expression] = STATE(933),
    [sym_field_expression] = STATE(933),
    [sym_compound_literal_expression] = STATE(933),
    [sym_parenthesized_expression] = STATE(933),
    [sym_concatenated_string] = STATE(933),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2481),
    [sym_char_literal] = ACTIONS(2481),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [sym_null] = ACTIONS(2483),
    [sym_identifier] = ACTIONS(2483),
    [sym_comment] = ACTIONS(39),
  },
  [692] = {
    [sym__expression] = STATE(934),
    [sym_conditional_expression] = STATE(934),
    [sym_assignment_expression] = STATE(934),
    [sym_pointer_expression] = STATE(934),
    [sym_logical_expression] = STATE(934),
    [sym_bitwise_expression] = STATE(934),
    [sym_equality_expression] = STATE(934),
    [sym_relational_expression] = STATE(934),
    [sym_shift_expression] = STATE(934),
    [sym_math_expression] = STATE(934),
    [sym_cast_expression] = STATE(934),
    [sym_sizeof_expression] = STATE(934),
    [sym_subscript_expression] = STATE(934),
    [sym_call_expression] = STATE(934),
    [sym_field_expression] = STATE(934),
    [sym_compound_literal_expression] = STATE(934),
    [sym_parenthesized_expression] = STATE(934),
    [sym_concatenated_string] = STATE(934),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2485),
    [sym_char_literal] = ACTIONS(2485),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2487),
    [sym_false] = ACTIONS(2487),
    [sym_null] = ACTIONS(2487),
    [sym_identifier] = ACTIONS(2487),
    [sym_comment] = ACTIONS(39),
  },
  [693] = {
    [sym__expression] = STATE(935),
    [sym_conditional_expression] = STATE(935),
    [sym_assignment_expression] = STATE(935),
    [sym_pointer_expression] = STATE(935),
    [sym_logical_expression] = STATE(935),
    [sym_bitwise_expression] = STATE(935),
    [sym_equality_expression] = STATE(935),
    [sym_relational_expression] = STATE(935),
    [sym_shift_expression] = STATE(935),
    [sym_math_expression] = STATE(935),
    [sym_cast_expression] = STATE(935),
    [sym_sizeof_expression] = STATE(935),
    [sym_subscript_expression] = STATE(935),
    [sym_call_expression] = STATE(935),
    [sym_field_expression] = STATE(935),
    [sym_compound_literal_expression] = STATE(935),
    [sym_parenthesized_expression] = STATE(935),
    [sym_concatenated_string] = STATE(935),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2489),
    [sym_char_literal] = ACTIONS(2489),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2491),
    [sym_false] = ACTIONS(2491),
    [sym_null] = ACTIONS(2491),
    [sym_identifier] = ACTIONS(2491),
    [sym_comment] = ACTIONS(39),
  },
  [694] = {
    [sym__expression] = STATE(936),
    [sym_conditional_expression] = STATE(936),
    [sym_assignment_expression] = STATE(936),
    [sym_pointer_expression] = STATE(936),
    [sym_logical_expression] = STATE(936),
    [sym_bitwise_expression] = STATE(936),
    [sym_equality_expression] = STATE(936),
    [sym_relational_expression] = STATE(936),
    [sym_shift_expression] = STATE(936),
    [sym_math_expression] = STATE(936),
    [sym_cast_expression] = STATE(936),
    [sym_sizeof_expression] = STATE(936),
    [sym_subscript_expression] = STATE(936),
    [sym_call_expression] = STATE(936),
    [sym_field_expression] = STATE(936),
    [sym_compound_literal_expression] = STATE(936),
    [sym_parenthesized_expression] = STATE(936),
    [sym_concatenated_string] = STATE(936),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2493),
    [sym_char_literal] = ACTIONS(2493),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2495),
    [sym_false] = ACTIONS(2495),
    [sym_null] = ACTIONS(2495),
    [sym_identifier] = ACTIONS(2495),
    [sym_comment] = ACTIONS(39),
  },
  [695] = {
    [sym__expression] = STATE(937),
    [sym_conditional_expression] = STATE(937),
    [sym_assignment_expression] = STATE(937),
    [sym_pointer_expression] = STATE(937),
    [sym_logical_expression] = STATE(937),
    [sym_bitwise_expression] = STATE(937),
    [sym_equality_expression] = STATE(937),
    [sym_relational_expression] = STATE(937),
    [sym_shift_expression] = STATE(937),
    [sym_math_expression] = STATE(937),
    [sym_cast_expression] = STATE(937),
    [sym_sizeof_expression] = STATE(937),
    [sym_subscript_expression] = STATE(937),
    [sym_call_expression] = STATE(937),
    [sym_field_expression] = STATE(937),
    [sym_compound_literal_expression] = STATE(937),
    [sym_parenthesized_expression] = STATE(937),
    [sym_concatenated_string] = STATE(937),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2497),
    [sym_char_literal] = ACTIONS(2497),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [sym_null] = ACTIONS(2499),
    [sym_identifier] = ACTIONS(2499),
    [sym_comment] = ACTIONS(39),
  },
  [696] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(1072),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [697] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2501),
    [sym_preproc_directive] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2501),
    [anon_sym_extern] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2503),
    [anon_sym_STAR] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_auto] = ACTIONS(2501),
    [anon_sym_register] = ACTIONS(2501),
    [anon_sym_inline] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_restrict] = ACTIONS(2501),
    [anon_sym_volatile] = ACTIONS(2501),
    [anon_sym__Atomic] = ACTIONS(2501),
    [anon_sym_unsigned] = ACTIONS(2501),
    [anon_sym_long] = ACTIONS(2501),
    [anon_sym_short] = ACTIONS(2501),
    [sym_primitive_type] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
    [anon_sym_struct] = ACTIONS(2501),
    [anon_sym_union] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_goto] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_DASH_DASH] = ACTIONS(2503),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_sizeof] = ACTIONS(2501),
    [sym_number_literal] = ACTIONS(2503),
    [sym_char_literal] = ACTIONS(2503),
    [sym_string_literal] = ACTIONS(2503),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2501),
    [sym_comment] = ACTIONS(39),
  },
  [698] = {
    [sym__declarator] = STATE(444),
    [sym_pointer_declarator] = STATE(444),
    [sym_function_declarator] = STATE(444),
    [sym_array_declarator] = STATE(444),
    [sym_init_declarator] = STATE(46),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(524),
    [sym_identifier] = ACTIONS(1082),
    [sym_comment] = ACTIONS(39),
  },
  [699] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [700] = {
    [sym__expression] = STATE(939),
    [sym_conditional_expression] = STATE(939),
    [sym_assignment_expression] = STATE(939),
    [sym_pointer_expression] = STATE(939),
    [sym_logical_expression] = STATE(939),
    [sym_bitwise_expression] = STATE(939),
    [sym_equality_expression] = STATE(939),
    [sym_relational_expression] = STATE(939),
    [sym_shift_expression] = STATE(939),
    [sym_math_expression] = STATE(939),
    [sym_cast_expression] = STATE(939),
    [sym_sizeof_expression] = STATE(939),
    [sym_subscript_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_field_expression] = STATE(939),
    [sym_compound_literal_expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_concatenated_string] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2507),
    [sym_char_literal] = ACTIONS(2507),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_identifier] = ACTIONS(2509),
    [sym_comment] = ACTIONS(39),
  },
  [701] = {
    [sym__expression] = STATE(940),
    [sym_conditional_expression] = STATE(940),
    [sym_assignment_expression] = STATE(940),
    [sym_pointer_expression] = STATE(940),
    [sym_logical_expression] = STATE(940),
    [sym_bitwise_expression] = STATE(940),
    [sym_equality_expression] = STATE(940),
    [sym_relational_expression] = STATE(940),
    [sym_shift_expression] = STATE(940),
    [sym_math_expression] = STATE(940),
    [sym_cast_expression] = STATE(940),
    [sym_sizeof_expression] = STATE(940),
    [sym_subscript_expression] = STATE(940),
    [sym_call_expression] = STATE(940),
    [sym_field_expression] = STATE(940),
    [sym_compound_literal_expression] = STATE(940),
    [sym_parenthesized_expression] = STATE(940),
    [sym_concatenated_string] = STATE(940),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2511),
    [sym_char_literal] = ACTIONS(2511),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2513),
    [sym_false] = ACTIONS(2513),
    [sym_null] = ACTIONS(2513),
    [sym_identifier] = ACTIONS(2513),
    [sym_comment] = ACTIONS(39),
  },
  [702] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(2515),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [703] = {
    [sym_declaration] = STATE(697),
    [sym_type_definition] = STATE(697),
    [sym__declaration_specifiers] = STATE(698),
    [sym_compound_statement] = STATE(697),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(697),
    [sym_expression_statement] = STATE(697),
    [sym_if_statement] = STATE(697),
    [sym_switch_statement] = STATE(697),
    [sym_case_statement] = STATE(697),
    [sym_while_statement] = STATE(697),
    [sym_do_statement] = STATE(697),
    [sym_for_statement] = STATE(697),
    [sym_return_statement] = STATE(697),
    [sym_break_statement] = STATE(697),
    [sym_continue_statement] = STATE(697),
    [sym_goto_statement] = STATE(697),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2517),
    [sym_comment] = ACTIONS(39),
  },
  [704] = {
    [sym__expression] = STATE(943),
    [sym_conditional_expression] = STATE(943),
    [sym_assignment_expression] = STATE(943),
    [sym_pointer_expression] = STATE(943),
    [sym_logical_expression] = STATE(943),
    [sym_bitwise_expression] = STATE(943),
    [sym_equality_expression] = STATE(943),
    [sym_relational_expression] = STATE(943),
    [sym_shift_expression] = STATE(943),
    [sym_math_expression] = STATE(943),
    [sym_cast_expression] = STATE(943),
    [sym_sizeof_expression] = STATE(943),
    [sym_subscript_expression] = STATE(943),
    [sym_call_expression] = STATE(943),
    [sym_field_expression] = STATE(943),
    [sym_compound_literal_expression] = STATE(943),
    [sym_parenthesized_expression] = STATE(943),
    [sym_concatenated_string] = STATE(943),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2519),
    [sym_char_literal] = ACTIONS(2519),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2521),
    [sym_false] = ACTIONS(2521),
    [sym_null] = ACTIONS(2521),
    [sym_identifier] = ACTIONS(2521),
    [sym_comment] = ACTIONS(39),
  },
  [705] = {
    [sym_declaration] = STATE(944),
    [sym__declaration_specifiers] = STATE(698),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym__expression] = STATE(945),
    [sym_conditional_expression] = STATE(945),
    [sym_assignment_expression] = STATE(945),
    [sym_pointer_expression] = STATE(945),
    [sym_logical_expression] = STATE(945),
    [sym_bitwise_expression] = STATE(945),
    [sym_equality_expression] = STATE(945),
    [sym_relational_expression] = STATE(945),
    [sym_shift_expression] = STATE(945),
    [sym_math_expression] = STATE(945),
    [sym_cast_expression] = STATE(945),
    [sym_sizeof_expression] = STATE(945),
    [sym_subscript_expression] = STATE(945),
    [sym_call_expression] = STATE(945),
    [sym_field_expression] = STATE(945),
    [sym_compound_literal_expression] = STATE(945),
    [sym_parenthesized_expression] = STATE(945),
    [sym_concatenated_string] = STATE(945),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2525),
    [sym_char_literal] = ACTIONS(2525),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2527),
    [sym_false] = ACTIONS(2527),
    [sym_null] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(39),
  },
  [706] = {
    [sym_compound_statement] = STATE(716),
    [sym_labeled_statement] = STATE(716),
    [sym_expression_statement] = STATE(716),
    [sym_if_statement] = STATE(716),
    [sym_switch_statement] = STATE(716),
    [sym_case_statement] = STATE(716),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(716),
    [sym_for_statement] = STATE(716),
    [sym_return_statement] = STATE(716),
    [sym_break_statement] = STATE(716),
    [sym_continue_statement] = STATE(716),
    [sym_goto_statement] = STATE(716),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [707] = {
    [anon_sym_LPAREN] = ACTIONS(2529),
    [sym_comment] = ACTIONS(39),
  },
  [708] = {
    [sym__expression] = STATE(948),
    [sym_conditional_expression] = STATE(948),
    [sym_assignment_expression] = STATE(948),
    [sym_pointer_expression] = STATE(948),
    [sym_logical_expression] = STATE(948),
    [sym_bitwise_expression] = STATE(948),
    [sym_equality_expression] = STATE(948),
    [sym_relational_expression] = STATE(948),
    [sym_shift_expression] = STATE(948),
    [sym_math_expression] = STATE(948),
    [sym_cast_expression] = STATE(948),
    [sym_sizeof_expression] = STATE(948),
    [sym_subscript_expression] = STATE(948),
    [sym_call_expression] = STATE(948),
    [sym_field_expression] = STATE(948),
    [sym_compound_literal_expression] = STATE(948),
    [sym_parenthesized_expression] = STATE(948),
    [sym_concatenated_string] = STATE(948),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(2531),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2533),
    [sym_char_literal] = ACTIONS(2533),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2535),
    [sym_false] = ACTIONS(2535),
    [sym_null] = ACTIONS(2535),
    [sym_identifier] = ACTIONS(2535),
    [sym_comment] = ACTIONS(39),
  },
  [709] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [710] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [711] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2539),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2539),
    [sym_preproc_directive] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2541),
    [anon_sym_typedef] = ACTIONS(2539),
    [anon_sym_extern] = ACTIONS(2539),
    [anon_sym_LBRACE] = ACTIONS(2541),
    [anon_sym_RBRACE] = ACTIONS(2541),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_static] = ACTIONS(2539),
    [anon_sym_auto] = ACTIONS(2539),
    [anon_sym_register] = ACTIONS(2539),
    [anon_sym_inline] = ACTIONS(2539),
    [anon_sym_const] = ACTIONS(2539),
    [anon_sym_restrict] = ACTIONS(2539),
    [anon_sym_volatile] = ACTIONS(2539),
    [anon_sym__Atomic] = ACTIONS(2539),
    [anon_sym_unsigned] = ACTIONS(2539),
    [anon_sym_long] = ACTIONS(2539),
    [anon_sym_short] = ACTIONS(2539),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2539),
    [anon_sym_struct] = ACTIONS(2539),
    [anon_sym_union] = ACTIONS(2539),
    [anon_sym_if] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2539),
    [anon_sym_switch] = ACTIONS(2539),
    [anon_sym_case] = ACTIONS(2539),
    [anon_sym_default] = ACTIONS(2539),
    [anon_sym_while] = ACTIONS(2539),
    [anon_sym_do] = ACTIONS(2539),
    [anon_sym_for] = ACTIONS(2539),
    [anon_sym_return] = ACTIONS(2539),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_continue] = ACTIONS(2539),
    [anon_sym_goto] = ACTIONS(2539),
    [anon_sym_AMP] = ACTIONS(2541),
    [anon_sym_BANG] = ACTIONS(2541),
    [anon_sym_TILDE] = ACTIONS(2541),
    [anon_sym_PLUS] = ACTIONS(2539),
    [anon_sym_DASH] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2541),
    [anon_sym_PLUS_PLUS] = ACTIONS(2541),
    [anon_sym_sizeof] = ACTIONS(2539),
    [sym_number_literal] = ACTIONS(2541),
    [sym_char_literal] = ACTIONS(2541),
    [sym_string_literal] = ACTIONS(2541),
    [sym_true] = ACTIONS(2539),
    [sym_false] = ACTIONS(2539),
    [sym_null] = ACTIONS(2539),
    [sym_identifier] = ACTIONS(2539),
    [sym_comment] = ACTIONS(39),
  },
  [712] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2543),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2543),
    [sym_preproc_directive] = ACTIONS(2543),
    [anon_sym_SEMI] = ACTIONS(2545),
    [anon_sym_typedef] = ACTIONS(2543),
    [anon_sym_extern] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_RBRACE] = ACTIONS(2545),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_static] = ACTIONS(2543),
    [anon_sym_auto] = ACTIONS(2543),
    [anon_sym_register] = ACTIONS(2543),
    [anon_sym_inline] = ACTIONS(2543),
    [anon_sym_const] = ACTIONS(2543),
    [anon_sym_restrict] = ACTIONS(2543),
    [anon_sym_volatile] = ACTIONS(2543),
    [anon_sym__Atomic] = ACTIONS(2543),
    [anon_sym_unsigned] = ACTIONS(2543),
    [anon_sym_long] = ACTIONS(2543),
    [anon_sym_short] = ACTIONS(2543),
    [sym_primitive_type] = ACTIONS(2543),
    [anon_sym_enum] = ACTIONS(2543),
    [anon_sym_struct] = ACTIONS(2543),
    [anon_sym_union] = ACTIONS(2543),
    [anon_sym_if] = ACTIONS(2543),
    [anon_sym_else] = ACTIONS(2543),
    [anon_sym_switch] = ACTIONS(2543),
    [anon_sym_case] = ACTIONS(2543),
    [anon_sym_default] = ACTIONS(2543),
    [anon_sym_while] = ACTIONS(2543),
    [anon_sym_do] = ACTIONS(2543),
    [anon_sym_for] = ACTIONS(2543),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_break] = ACTIONS(2543),
    [anon_sym_continue] = ACTIONS(2543),
    [anon_sym_goto] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_BANG] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_DASH_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_PLUS] = ACTIONS(2545),
    [anon_sym_sizeof] = ACTIONS(2543),
    [sym_number_literal] = ACTIONS(2545),
    [sym_char_literal] = ACTIONS(2545),
    [sym_string_literal] = ACTIONS(2545),
    [sym_true] = ACTIONS(2543),
    [sym_false] = ACTIONS(2543),
    [sym_null] = ACTIONS(2543),
    [sym_identifier] = ACTIONS(2543),
    [sym_comment] = ACTIONS(39),
  },
  [713] = {
    [anon_sym_RPAREN] = ACTIONS(2547),
    [sym_comment] = ACTIONS(39),
  },
  [714] = {
    [aux_sym_concatenated_string_repeat1] = STATE(714),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_STAR_EQ] = ACTIONS(2549),
    [anon_sym_SLASH_EQ] = ACTIONS(2549),
    [anon_sym_PERCENT_EQ] = ACTIONS(2549),
    [anon_sym_PLUS_EQ] = ACTIONS(2549),
    [anon_sym_DASH_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_EQ] = ACTIONS(2549),
    [anon_sym_CARET_EQ] = ACTIONS(2549),
    [anon_sym_PIPE_EQ] = ACTIONS(2549),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_PIPE] = ACTIONS(2551),
    [anon_sym_CARET] = ACTIONS(2551),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT] = ACTIONS(2551),
    [anon_sym_GT_GT] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_SLASH] = ACTIONS(2551),
    [anon_sym_PERCENT] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_PLUS] = ACTIONS(2549),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2549),
    [sym_string_literal] = ACTIONS(2553),
    [sym_comment] = ACTIONS(39),
  },
  [715] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(1072),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [716] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2556),
    [anon_sym_LPAREN] = ACTIONS(2558),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [sym_char_literal] = ACTIONS(2558),
    [sym_string_literal] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [sym_null] = ACTIONS(2556),
    [sym_identifier] = ACTIONS(2556),
    [sym_comment] = ACTIONS(39),
  },
  [717] = {
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_RPAREN] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_RBRACK] = ACTIONS(2560),
    [anon_sym_EQ] = ACTIONS(2562),
    [anon_sym_COLON] = ACTIONS(2560),
    [anon_sym_QMARK] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_LT_LT_EQ] = ACTIONS(2560),
    [anon_sym_GT_GT_EQ] = ACTIONS(2560),
    [anon_sym_AMP_EQ] = ACTIONS(2560),
    [anon_sym_CARET_EQ] = ACTIONS(2560),
    [anon_sym_PIPE_EQ] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_PIPE] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2560),
    [anon_sym_LT] = ACTIONS(2562),
    [anon_sym_GT] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_LT] = ACTIONS(2562),
    [anon_sym_GT_GT] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_SLASH] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(2560),
    [anon_sym_DASH_GT] = ACTIONS(2560),
    [sym_comment] = ACTIONS(39),
  },
  [718] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(953),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [719] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1094),
    [anon_sym_QMARK] = ACTIONS(1096),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [720] = {
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2568),
    [sym_comment] = ACTIONS(39),
  },
  [721] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2570),
    [anon_sym_RPAREN] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2570),
    [anon_sym_EQ] = ACTIONS(2572),
    [anon_sym_COLON] = ACTIONS(2570),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_STAR_EQ] = ACTIONS(2570),
    [anon_sym_SLASH_EQ] = ACTIONS(2570),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_PLUS_EQ] = ACTIONS(2570),
    [anon_sym_DASH_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_GT_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2570),
    [anon_sym_CARET_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_EQ] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [722] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [723] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1094),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [724] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [725] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [726] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [727] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [728] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [729] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [730] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [731] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [732] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_QMARK] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [733] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_STAR_EQ] = ACTIONS(2570),
    [anon_sym_SLASH_EQ] = ACTIONS(2570),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_PLUS_EQ] = ACTIONS(2570),
    [anon_sym_DASH_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_GT_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2570),
    [anon_sym_CARET_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_EQ] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [734] = {
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RPAREN] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_RBRACK] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_COLON] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_EQ_EQ] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_GT_GT] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2600),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(39),
  },
  [735] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [736] = {
    [anon_sym_RPAREN] = ACTIONS(2604),
    [sym_comment] = ACTIONS(39),
  },
  [737] = {
    [aux_sym_concatenated_string_repeat1] = STATE(737),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_RBRACK] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_STAR_EQ] = ACTIONS(2549),
    [anon_sym_SLASH_EQ] = ACTIONS(2549),
    [anon_sym_PERCENT_EQ] = ACTIONS(2549),
    [anon_sym_PLUS_EQ] = ACTIONS(2549),
    [anon_sym_DASH_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_EQ] = ACTIONS(2549),
    [anon_sym_CARET_EQ] = ACTIONS(2549),
    [anon_sym_PIPE_EQ] = ACTIONS(2549),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_PIPE] = ACTIONS(2551),
    [anon_sym_CARET] = ACTIONS(2551),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT] = ACTIONS(2551),
    [anon_sym_GT_GT] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_SLASH] = ACTIONS(2551),
    [anon_sym_PERCENT] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_PLUS] = ACTIONS(2549),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2549),
    [sym_string_literal] = ACTIONS(2606),
    [sym_comment] = ACTIONS(39),
  },
  [738] = {
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_COMMA] = ACTIONS(2609),
    [anon_sym_RPAREN] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2609),
    [anon_sym_EQ] = ACTIONS(2609),
    [sym_comment] = ACTIONS(39),
  },
  [739] = {
    [sym_storage_class_specifier] = STATE(739),
    [sym_type_qualifier] = STATE(739),
    [aux_sym__declaration_specifiers_repeat1] = STATE(739),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_extern] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(628),
    [anon_sym_static] = ACTIONS(297),
    [anon_sym_auto] = ACTIONS(297),
    [anon_sym_register] = ACTIONS(297),
    [anon_sym_inline] = ACTIONS(297),
    [anon_sym_const] = ACTIONS(300),
    [anon_sym_restrict] = ACTIONS(300),
    [anon_sym_volatile] = ACTIONS(300),
    [anon_sym__Atomic] = ACTIONS(300),
    [anon_sym_AMP] = ACTIONS(628),
    [anon_sym_BANG] = ACTIONS(628),
    [anon_sym_TILDE] = ACTIONS(628),
    [anon_sym_PLUS] = ACTIONS(303),
    [anon_sym_DASH] = ACTIONS(303),
    [anon_sym_DASH_DASH] = ACTIONS(628),
    [anon_sym_PLUS_PLUS] = ACTIONS(628),
    [anon_sym_sizeof] = ACTIONS(303),
    [sym_number_literal] = ACTIONS(628),
    [sym_char_literal] = ACTIONS(628),
    [sym_string_literal] = ACTIONS(628),
    [sym_true] = ACTIONS(303),
    [sym_false] = ACTIONS(303),
    [sym_null] = ACTIONS(303),
    [sym_identifier] = ACTIONS(303),
    [sym_comment] = ACTIONS(39),
  },
  [740] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2576),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [741] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(2611),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [742] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [743] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [744] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [745] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [746] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [747] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [748] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2592),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [749] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2596),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_QMARK] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [750] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2570),
    [anon_sym_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_STAR_EQ] = ACTIONS(2570),
    [anon_sym_SLASH_EQ] = ACTIONS(2570),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_PLUS_EQ] = ACTIONS(2570),
    [anon_sym_DASH_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_GT_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2570),
    [anon_sym_CARET_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_EQ] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [751] = {
    [sym_storage_class_specifier] = STATE(739),
    [sym_type_qualifier] = STATE(739),
    [aux_sym__declaration_specifiers_repeat1] = STATE(739),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_RBRACK] = ACTIONS(630),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(630),
    [anon_sym_BANG] = ACTIONS(630),
    [anon_sym_TILDE] = ACTIONS(630),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_DASH_DASH] = ACTIONS(630),
    [anon_sym_PLUS_PLUS] = ACTIONS(630),
    [anon_sym_sizeof] = ACTIONS(632),
    [sym_number_literal] = ACTIONS(630),
    [sym_char_literal] = ACTIONS(630),
    [sym_string_literal] = ACTIONS(630),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_null] = ACTIONS(632),
    [sym_identifier] = ACTIONS(632),
    [sym_comment] = ACTIONS(39),
  },
  [752] = {
    [anon_sym_LPAREN] = ACTIONS(2613),
    [anon_sym_COMMA] = ACTIONS(2613),
    [anon_sym_RPAREN] = ACTIONS(2613),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_RBRACK] = ACTIONS(2613),
    [anon_sym_EQ] = ACTIONS(2615),
    [anon_sym_COLON] = ACTIONS(2613),
    [anon_sym_QMARK] = ACTIONS(2613),
    [anon_sym_STAR_EQ] = ACTIONS(2613),
    [anon_sym_SLASH_EQ] = ACTIONS(2613),
    [anon_sym_PERCENT_EQ] = ACTIONS(2613),
    [anon_sym_PLUS_EQ] = ACTIONS(2613),
    [anon_sym_DASH_EQ] = ACTIONS(2613),
    [anon_sym_LT_LT_EQ] = ACTIONS(2613),
    [anon_sym_GT_GT_EQ] = ACTIONS(2613),
    [anon_sym_AMP_EQ] = ACTIONS(2613),
    [anon_sym_CARET_EQ] = ACTIONS(2613),
    [anon_sym_PIPE_EQ] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_PIPE_PIPE] = ACTIONS(2613),
    [anon_sym_AMP_AMP] = ACTIONS(2613),
    [anon_sym_PIPE] = ACTIONS(2615),
    [anon_sym_CARET] = ACTIONS(2615),
    [anon_sym_EQ_EQ] = ACTIONS(2613),
    [anon_sym_BANG_EQ] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2615),
    [anon_sym_GT] = ACTIONS(2615),
    [anon_sym_LT_EQ] = ACTIONS(2613),
    [anon_sym_GT_EQ] = ACTIONS(2613),
    [anon_sym_LT_LT] = ACTIONS(2615),
    [anon_sym_GT_GT] = ACTIONS(2615),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_SLASH] = ACTIONS(2615),
    [anon_sym_PERCENT] = ACTIONS(2615),
    [anon_sym_DASH_DASH] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(2613),
    [anon_sym_DASH_GT] = ACTIONS(2613),
    [sym_comment] = ACTIONS(39),
  },
  [753] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [754] = {
    [anon_sym_LBRACK] = ACTIONS(2619),
    [anon_sym_EQ] = ACTIONS(2619),
    [anon_sym_DOT] = ACTIONS(2619),
    [sym_comment] = ACTIONS(39),
  },
  [755] = {
    [sym__expression] = STATE(960),
    [sym_conditional_expression] = STATE(960),
    [sym_assignment_expression] = STATE(960),
    [sym_pointer_expression] = STATE(960),
    [sym_logical_expression] = STATE(960),
    [sym_bitwise_expression] = STATE(960),
    [sym_equality_expression] = STATE(960),
    [sym_relational_expression] = STATE(960),
    [sym_shift_expression] = STATE(960),
    [sym_math_expression] = STATE(960),
    [sym_cast_expression] = STATE(960),
    [sym_sizeof_expression] = STATE(960),
    [sym_subscript_expression] = STATE(960),
    [sym_call_expression] = STATE(960),
    [sym_field_expression] = STATE(960),
    [sym_compound_literal_expression] = STATE(960),
    [sym_parenthesized_expression] = STATE(960),
    [sym_initializer_list] = STATE(961),
    [sym_initializer_pair] = STATE(961),
    [sym_subscript_designator] = STATE(493),
    [sym_field_designator] = STATE(493),
    [sym_concatenated_string] = STATE(960),
    [aux_sym_initializer_pair_repeat1] = STATE(493),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [anon_sym_DOT] = ACTIONS(1180),
    [sym_number_literal] = ACTIONS(2623),
    [sym_char_literal] = ACTIONS(2623),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_identifier] = ACTIONS(2625),
    [sym_comment] = ACTIONS(39),
  },
  [756] = {
    [aux_sym_initializer_list_repeat1] = STATE(963),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [sym_comment] = ACTIONS(39),
  },
  [757] = {
    [sym__expression] = STATE(964),
    [sym_conditional_expression] = STATE(964),
    [sym_assignment_expression] = STATE(964),
    [sym_pointer_expression] = STATE(964),
    [sym_logical_expression] = STATE(964),
    [sym_bitwise_expression] = STATE(964),
    [sym_equality_expression] = STATE(964),
    [sym_relational_expression] = STATE(964),
    [sym_shift_expression] = STATE(964),
    [sym_math_expression] = STATE(964),
    [sym_cast_expression] = STATE(964),
    [sym_sizeof_expression] = STATE(964),
    [sym_subscript_expression] = STATE(964),
    [sym_call_expression] = STATE(964),
    [sym_field_expression] = STATE(964),
    [sym_compound_literal_expression] = STATE(964),
    [sym_parenthesized_expression] = STATE(964),
    [sym_initializer_list] = STATE(965),
    [sym_concatenated_string] = STATE(964),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2629),
    [sym_char_literal] = ACTIONS(2629),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [sym_null] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2631),
    [sym_comment] = ACTIONS(39),
  },
  [758] = {
    [sym_subscript_designator] = STATE(758),
    [sym_field_designator] = STATE(758),
    [aux_sym_initializer_pair_repeat1] = STATE(758),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2638),
    [sym_comment] = ACTIONS(39),
  },
  [759] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1197),
    [sym_preproc_directive] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1197),
    [anon_sym_auto] = ACTIONS(1197),
    [anon_sym_register] = ACTIONS(1197),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_restrict] = ACTIONS(1197),
    [anon_sym_volatile] = ACTIONS(1197),
    [anon_sym__Atomic] = ACTIONS(1197),
    [anon_sym_unsigned] = ACTIONS(1197),
    [anon_sym_long] = ACTIONS(1197),
    [anon_sym_short] = ACTIONS(1197),
    [sym_primitive_type] = ACTIONS(1197),
    [anon_sym_enum] = ACTIONS(1197),
    [anon_sym_struct] = ACTIONS(1197),
    [anon_sym_union] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1197),
    [anon_sym_switch] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1197),
    [anon_sym_default] = ACTIONS(1197),
    [anon_sym_while] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(1197),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_return] = ACTIONS(1197),
    [anon_sym_break] = ACTIONS(1197),
    [anon_sym_continue] = ACTIONS(1197),
    [anon_sym_goto] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_DASH_DASH] = ACTIONS(1195),
    [anon_sym_PLUS_PLUS] = ACTIONS(1195),
    [anon_sym_sizeof] = ACTIONS(1197),
    [sym_number_literal] = ACTIONS(1195),
    [sym_char_literal] = ACTIONS(1195),
    [sym_string_literal] = ACTIONS(1195),
    [sym_true] = ACTIONS(1197),
    [sym_false] = ACTIONS(1197),
    [sym_null] = ACTIONS(1197),
    [sym_identifier] = ACTIONS(1197),
    [sym_comment] = ACTIONS(39),
  },
  [760] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1205),
    [sym_char_literal] = ACTIONS(1205),
    [sym_string_literal] = ACTIONS(1205),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [sym_null] = ACTIONS(1207),
    [sym_identifier] = ACTIONS(1207),
    [sym_comment] = ACTIONS(39),
  },
  [761] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1287),
    [sym_comment] = ACTIONS(39),
  },
  [762] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1291),
    [sym_comment] = ACTIONS(39),
  },
  [763] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [sym_identifier] = ACTIONS(1295),
    [sym_comment] = ACTIONS(39),
  },
  [764] = {
    [anon_sym_LF] = ACTIONS(2641),
    [sym_comment] = ACTIONS(47),
  },
  [765] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(644),
    [anon_sym_LPAREN] = ACTIONS(642),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(644),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(644),
    [sym_preproc_directive] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym_typedef] = ACTIONS(644),
    [anon_sym_extern] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_static] = ACTIONS(644),
    [anon_sym_auto] = ACTIONS(644),
    [anon_sym_register] = ACTIONS(644),
    [anon_sym_inline] = ACTIONS(644),
    [anon_sym_const] = ACTIONS(644),
    [anon_sym_restrict] = ACTIONS(644),
    [anon_sym_volatile] = ACTIONS(644),
    [anon_sym__Atomic] = ACTIONS(644),
    [anon_sym_unsigned] = ACTIONS(644),
    [anon_sym_long] = ACTIONS(644),
    [anon_sym_short] = ACTIONS(644),
    [sym_primitive_type] = ACTIONS(644),
    [anon_sym_enum] = ACTIONS(644),
    [anon_sym_struct] = ACTIONS(644),
    [anon_sym_union] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(644),
    [anon_sym_switch] = ACTIONS(644),
    [anon_sym_case] = ACTIONS(644),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_while] = ACTIONS(644),
    [anon_sym_do] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(644),
    [anon_sym_return] = ACTIONS(644),
    [anon_sym_break] = ACTIONS(644),
    [anon_sym_continue] = ACTIONS(644),
    [anon_sym_goto] = ACTIONS(644),
    [anon_sym_AMP] = ACTIONS(642),
    [anon_sym_BANG] = ACTIONS(642),
    [anon_sym_TILDE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_DASH_DASH] = ACTIONS(642),
    [anon_sym_PLUS_PLUS] = ACTIONS(642),
    [anon_sym_sizeof] = ACTIONS(644),
    [sym_number_literal] = ACTIONS(642),
    [sym_char_literal] = ACTIONS(642),
    [sym_string_literal] = ACTIONS(642),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [sym_identifier] = ACTIONS(644),
    [sym_comment] = ACTIONS(39),
  },
  [766] = {
    [anon_sym_LF] = ACTIONS(2643),
    [sym_comment] = ACTIONS(47),
  },
  [767] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(692),
    [sym_preproc_directive] = ACTIONS(692),
    [anon_sym_typedef] = ACTIONS(692),
    [anon_sym_extern] = ACTIONS(692),
    [anon_sym_static] = ACTIONS(692),
    [anon_sym_auto] = ACTIONS(692),
    [anon_sym_register] = ACTIONS(692),
    [anon_sym_inline] = ACTIONS(692),
    [anon_sym_const] = ACTIONS(692),
    [anon_sym_restrict] = ACTIONS(692),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym__Atomic] = ACTIONS(692),
    [anon_sym_unsigned] = ACTIONS(692),
    [anon_sym_long] = ACTIONS(692),
    [anon_sym_short] = ACTIONS(692),
    [sym_primitive_type] = ACTIONS(692),
    [anon_sym_enum] = ACTIONS(692),
    [anon_sym_struct] = ACTIONS(692),
    [anon_sym_union] = ACTIONS(692),
    [sym_identifier] = ACTIONS(692),
    [sym_comment] = ACTIONS(39),
  },
  [768] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2645),
    [sym_comment] = ACTIONS(39),
  },
  [769] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(728),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(728),
    [sym_preproc_directive] = ACTIONS(728),
    [anon_sym_typedef] = ACTIONS(728),
    [anon_sym_extern] = ACTIONS(728),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_auto] = ACTIONS(728),
    [anon_sym_register] = ACTIONS(728),
    [anon_sym_inline] = ACTIONS(728),
    [anon_sym_const] = ACTIONS(728),
    [anon_sym_restrict] = ACTIONS(728),
    [anon_sym_volatile] = ACTIONS(728),
    [anon_sym__Atomic] = ACTIONS(728),
    [anon_sym_unsigned] = ACTIONS(728),
    [anon_sym_long] = ACTIONS(728),
    [anon_sym_short] = ACTIONS(728),
    [sym_primitive_type] = ACTIONS(728),
    [anon_sym_enum] = ACTIONS(728),
    [anon_sym_struct] = ACTIONS(728),
    [anon_sym_union] = ACTIONS(728),
    [sym_identifier] = ACTIONS(728),
    [sym_comment] = ACTIONS(39),
  },
  [770] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2647),
    [sym_comment] = ACTIONS(39),
  },
  [771] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(734),
    [sym_preproc_directive] = ACTIONS(734),
    [anon_sym_typedef] = ACTIONS(734),
    [anon_sym_extern] = ACTIONS(734),
    [anon_sym_static] = ACTIONS(734),
    [anon_sym_auto] = ACTIONS(734),
    [anon_sym_register] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(734),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_restrict] = ACTIONS(734),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym__Atomic] = ACTIONS(734),
    [anon_sym_unsigned] = ACTIONS(734),
    [anon_sym_long] = ACTIONS(734),
    [anon_sym_short] = ACTIONS(734),
    [sym_primitive_type] = ACTIONS(734),
    [anon_sym_enum] = ACTIONS(734),
    [anon_sym_struct] = ACTIONS(734),
    [anon_sym_union] = ACTIONS(734),
    [sym_identifier] = ACTIONS(734),
    [sym_comment] = ACTIONS(39),
  },
  [772] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2649),
    [sym_comment] = ACTIONS(39),
  },
  [773] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(740),
    [sym_preproc_directive] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_typedef] = ACTIONS(740),
    [anon_sym_extern] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_static] = ACTIONS(740),
    [anon_sym_auto] = ACTIONS(740),
    [anon_sym_register] = ACTIONS(740),
    [anon_sym_inline] = ACTIONS(740),
    [anon_sym_const] = ACTIONS(740),
    [anon_sym_restrict] = ACTIONS(740),
    [anon_sym_volatile] = ACTIONS(740),
    [anon_sym__Atomic] = ACTIONS(740),
    [anon_sym_unsigned] = ACTIONS(740),
    [anon_sym_long] = ACTIONS(740),
    [anon_sym_short] = ACTIONS(740),
    [sym_primitive_type] = ACTIONS(740),
    [anon_sym_enum] = ACTIONS(740),
    [anon_sym_struct] = ACTIONS(740),
    [anon_sym_union] = ACTIONS(740),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_switch] = ACTIONS(740),
    [anon_sym_case] = ACTIONS(740),
    [anon_sym_default] = ACTIONS(740),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_goto] = ACTIONS(740),
    [anon_sym_AMP] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(738),
    [anon_sym_PLUS_PLUS] = ACTIONS(738),
    [anon_sym_sizeof] = ACTIONS(740),
    [sym_number_literal] = ACTIONS(738),
    [sym_char_literal] = ACTIONS(738),
    [sym_string_literal] = ACTIONS(738),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [sym_null] = ACTIONS(740),
    [sym_identifier] = ACTIONS(740),
    [sym_comment] = ACTIONS(39),
  },
  [774] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(748),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(748),
    [sym_preproc_directive] = ACTIONS(748),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(748),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_static] = ACTIONS(748),
    [anon_sym_auto] = ACTIONS(748),
    [anon_sym_register] = ACTIONS(748),
    [anon_sym_inline] = ACTIONS(748),
    [anon_sym_const] = ACTIONS(748),
    [anon_sym_restrict] = ACTIONS(748),
    [anon_sym_volatile] = ACTIONS(748),
    [anon_sym__Atomic] = ACTIONS(748),
    [anon_sym_unsigned] = ACTIONS(748),
    [anon_sym_long] = ACTIONS(748),
    [anon_sym_short] = ACTIONS(748),
    [sym_primitive_type] = ACTIONS(748),
    [anon_sym_enum] = ACTIONS(748),
    [anon_sym_struct] = ACTIONS(748),
    [anon_sym_union] = ACTIONS(748),
    [anon_sym_if] = ACTIONS(748),
    [anon_sym_else] = ACTIONS(748),
    [anon_sym_switch] = ACTIONS(748),
    [anon_sym_case] = ACTIONS(748),
    [anon_sym_default] = ACTIONS(748),
    [anon_sym_while] = ACTIONS(748),
    [anon_sym_do] = ACTIONS(748),
    [anon_sym_for] = ACTIONS(748),
    [anon_sym_return] = ACTIONS(748),
    [anon_sym_break] = ACTIONS(748),
    [anon_sym_continue] = ACTIONS(748),
    [anon_sym_goto] = ACTIONS(748),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(748),
    [anon_sym_DASH] = ACTIONS(748),
    [anon_sym_DASH_DASH] = ACTIONS(746),
    [anon_sym_PLUS_PLUS] = ACTIONS(746),
    [anon_sym_sizeof] = ACTIONS(748),
    [sym_number_literal] = ACTIONS(746),
    [sym_char_literal] = ACTIONS(746),
    [sym_string_literal] = ACTIONS(746),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_null] = ACTIONS(748),
    [sym_identifier] = ACTIONS(748),
    [sym_comment] = ACTIONS(39),
  },
  [775] = {
    [sym_parameter_list] = STATE(175),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(410),
    [sym_comment] = ACTIONS(39),
  },
  [776] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(762),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(762),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_typedef] = ACTIONS(762),
    [anon_sym_extern] = ACTIONS(762),
    [anon_sym_static] = ACTIONS(762),
    [anon_sym_auto] = ACTIONS(762),
    [anon_sym_register] = ACTIONS(762),
    [anon_sym_inline] = ACTIONS(762),
    [anon_sym_const] = ACTIONS(762),
    [anon_sym_restrict] = ACTIONS(762),
    [anon_sym_volatile] = ACTIONS(762),
    [anon_sym__Atomic] = ACTIONS(762),
    [anon_sym_unsigned] = ACTIONS(762),
    [anon_sym_long] = ACTIONS(762),
    [anon_sym_short] = ACTIONS(762),
    [sym_primitive_type] = ACTIONS(762),
    [anon_sym_enum] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(762),
    [sym_identifier] = ACTIONS(762),
    [sym_comment] = ACTIONS(39),
  },
  [777] = {
    [sym_preproc_include] = STATE(327),
    [sym_preproc_def] = STATE(327),
    [sym_preproc_function_def] = STATE(327),
    [sym_preproc_call] = STATE(327),
    [sym_preproc_if] = STATE(327),
    [sym_preproc_ifdef] = STATE(327),
    [sym_function_definition] = STATE(327),
    [sym_declaration] = STATE(327),
    [sym_type_definition] = STATE(327),
    [sym__declaration_specifiers] = STATE(17),
    [sym_linkage_specification] = STATE(327),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym__empty_declaration] = STATE(327),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_translation_unit_repeat1] = STATE(327),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(11),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(13),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [778] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(976),
    [anon_sym_LPAREN] = ACTIONS(974),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(976),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(976),
    [sym_preproc_directive] = ACTIONS(976),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_typedef] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_STAR] = ACTIONS(974),
    [anon_sym_static] = ACTIONS(976),
    [anon_sym_auto] = ACTIONS(976),
    [anon_sym_register] = ACTIONS(976),
    [anon_sym_inline] = ACTIONS(976),
    [anon_sym_const] = ACTIONS(976),
    [anon_sym_restrict] = ACTIONS(976),
    [anon_sym_volatile] = ACTIONS(976),
    [anon_sym__Atomic] = ACTIONS(976),
    [anon_sym_unsigned] = ACTIONS(976),
    [anon_sym_long] = ACTIONS(976),
    [anon_sym_short] = ACTIONS(976),
    [sym_primitive_type] = ACTIONS(976),
    [anon_sym_enum] = ACTIONS(976),
    [anon_sym_struct] = ACTIONS(976),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(976),
    [anon_sym_else] = ACTIONS(976),
    [anon_sym_switch] = ACTIONS(976),
    [anon_sym_case] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(976),
    [anon_sym_do] = ACTIONS(976),
    [anon_sym_for] = ACTIONS(976),
    [anon_sym_return] = ACTIONS(976),
    [anon_sym_break] = ACTIONS(976),
    [anon_sym_continue] = ACTIONS(976),
    [anon_sym_goto] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(974),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_sizeof] = ACTIONS(976),
    [sym_number_literal] = ACTIONS(974),
    [sym_char_literal] = ACTIONS(974),
    [sym_string_literal] = ACTIONS(974),
    [sym_true] = ACTIONS(976),
    [sym_false] = ACTIONS(976),
    [sym_null] = ACTIONS(976),
    [sym_identifier] = ACTIONS(976),
    [sym_comment] = ACTIONS(39),
  },
  [779] = {
    [sym_preproc_include] = STATE(465),
    [sym_preproc_def] = STATE(465),
    [sym_preproc_function_def] = STATE(465),
    [sym_preproc_call] = STATE(465),
    [sym_preproc_if_in_compound_statement] = STATE(248),
    [sym_preproc_ifdef_in_compound_statement] = STATE(249),
    [sym_declaration] = STATE(465),
    [sym_type_definition] = STATE(465),
    [sym__declaration_specifiers] = STATE(250),
    [sym_compound_statement] = STATE(465),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_case_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_goto_statement] = STATE(465),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym__empty_declaration] = STATE(465),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(465),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(7),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(534),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(536),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(538),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [sym_comment] = ACTIONS(39),
  },
  [780] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1190),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_sizeof] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1188),
    [sym_char_literal] = ACTIONS(1188),
    [sym_string_literal] = ACTIONS(1188),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [sym_null] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(1190),
    [sym_comment] = ACTIONS(39),
  },
  [781] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_else] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1309),
    [sym_char_literal] = ACTIONS(1309),
    [sym_string_literal] = ACTIONS(1309),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [sym_null] = ACTIONS(1311),
    [sym_identifier] = ACTIONS(1311),
    [sym_comment] = ACTIONS(39),
  },
  [782] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [sym_identifier] = ACTIONS(1315),
    [sym_comment] = ACTIONS(39),
  },
  [783] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1789),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1791),
    [sym_preproc_directive] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1789),
    [anon_sym_typedef] = ACTIONS(1791),
    [anon_sym_extern] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_static] = ACTIONS(1791),
    [anon_sym_auto] = ACTIONS(1791),
    [anon_sym_register] = ACTIONS(1791),
    [anon_sym_inline] = ACTIONS(1791),
    [anon_sym_const] = ACTIONS(1791),
    [anon_sym_restrict] = ACTIONS(1791),
    [anon_sym_volatile] = ACTIONS(1791),
    [anon_sym__Atomic] = ACTIONS(1791),
    [anon_sym_unsigned] = ACTIONS(1791),
    [anon_sym_long] = ACTIONS(1791),
    [anon_sym_short] = ACTIONS(1791),
    [sym_primitive_type] = ACTIONS(1791),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1791),
    [anon_sym_if] = ACTIONS(1791),
    [anon_sym_else] = ACTIONS(1791),
    [anon_sym_switch] = ACTIONS(1791),
    [anon_sym_case] = ACTIONS(1791),
    [anon_sym_default] = ACTIONS(1791),
    [anon_sym_while] = ACTIONS(1791),
    [anon_sym_do] = ACTIONS(1791),
    [anon_sym_for] = ACTIONS(1791),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_break] = ACTIONS(1791),
    [anon_sym_continue] = ACTIONS(1791),
    [anon_sym_goto] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_sizeof] = ACTIONS(1791),
    [sym_number_literal] = ACTIONS(1789),
    [sym_char_literal] = ACTIONS(1789),
    [sym_string_literal] = ACTIONS(1789),
    [sym_true] = ACTIONS(1791),
    [sym_false] = ACTIONS(1791),
    [sym_null] = ACTIONS(1791),
    [sym_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(39),
  },
  [784] = {
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [sym_comment] = ACTIONS(39),
  },
  [785] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [786] = {
    [anon_sym_RPAREN] = ACTIONS(2659),
    [sym_comment] = ACTIONS(39),
  },
  [787] = {
    [aux_sym_concatenated_string_repeat1] = STATE(787),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2549),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_STAR_EQ] = ACTIONS(2549),
    [anon_sym_SLASH_EQ] = ACTIONS(2549),
    [anon_sym_PERCENT_EQ] = ACTIONS(2549),
    [anon_sym_PLUS_EQ] = ACTIONS(2549),
    [anon_sym_DASH_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_EQ] = ACTIONS(2549),
    [anon_sym_CARET_EQ] = ACTIONS(2549),
    [anon_sym_PIPE_EQ] = ACTIONS(2549),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_PIPE] = ACTIONS(2551),
    [anon_sym_CARET] = ACTIONS(2551),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT] = ACTIONS(2551),
    [anon_sym_GT_GT] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_SLASH] = ACTIONS(2551),
    [anon_sym_PERCENT] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_PLUS] = ACTIONS(2549),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2549),
    [sym_string_literal] = ACTIONS(2661),
    [sym_comment] = ACTIONS(39),
  },
  [788] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(1333),
    [anon_sym_SLASH_EQ] = ACTIONS(1333),
    [anon_sym_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_EQ] = ACTIONS(1333),
    [anon_sym_DASH_EQ] = ACTIONS(1333),
    [anon_sym_LT_LT_EQ] = ACTIONS(1333),
    [anon_sym_GT_GT_EQ] = ACTIONS(1333),
    [anon_sym_AMP_EQ] = ACTIONS(1333),
    [anon_sym_CARET_EQ] = ACTIONS(1333),
    [anon_sym_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [789] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(2664),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [790] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [791] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [792] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [793] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [794] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [795] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [796] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [797] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_QMARK] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [798] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_STAR_EQ] = ACTIONS(2570),
    [anon_sym_SLASH_EQ] = ACTIONS(2570),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_PLUS_EQ] = ACTIONS(2570),
    [anon_sym_DASH_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_GT_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2570),
    [anon_sym_CARET_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_EQ] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [799] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(799),
    [sym_field_declaration] = STATE(799),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(799),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(855),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(867),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(858),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(861),
    [anon_sym_extern] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_auto] = ACTIONS(864),
    [anon_sym_register] = ACTIONS(864),
    [anon_sym_inline] = ACTIONS(864),
    [anon_sym_const] = ACTIONS(869),
    [anon_sym_restrict] = ACTIONS(869),
    [anon_sym_volatile] = ACTIONS(869),
    [anon_sym__Atomic] = ACTIONS(869),
    [anon_sym_unsigned] = ACTIONS(872),
    [anon_sym_long] = ACTIONS(872),
    [anon_sym_short] = ACTIONS(872),
    [sym_primitive_type] = ACTIONS(875),
    [anon_sym_enum] = ACTIONS(878),
    [anon_sym_struct] = ACTIONS(881),
    [anon_sym_union] = ACTIONS(884),
    [sym_identifier] = ACTIONS(887),
    [sym_comment] = ACTIONS(39),
  },
  [800] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(39),
  },
  [801] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2668),
    [sym_comment] = ACTIONS(39),
  },
  [802] = {
    [sym_preproc_if_in_field_declaration_list] = STATE(104),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(105),
    [sym_preproc_else_in_field_declaration_list] = STATE(976),
    [sym_preproc_elif_in_field_declaration_list] = STATE(977),
    [sym__declaration_specifiers] = STATE(106),
    [sym_storage_class_specifier] = STATE(109),
    [sym_type_qualifier] = STATE(109),
    [sym__type_specifier] = STATE(107),
    [sym_sized_type_specifier] = STATE(107),
    [sym_enum_specifier] = STATE(107),
    [sym_struct_specifier] = STATE(107),
    [sym_union_specifier] = STATE(107),
    [sym__field_declaration_list_item] = STATE(564),
    [sym_field_declaration] = STATE(564),
    [sym_macro_type_specifier] = STATE(107),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(564),
    [aux_sym__declaration_specifiers_repeat1] = STATE(109),
    [aux_sym_sized_type_specifier_repeat1] = STATE(110),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(189),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2670),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(191),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(193),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(801),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(197),
    [anon_sym_long] = ACTIONS(197),
    [anon_sym_short] = ACTIONS(197),
    [sym_primitive_type] = ACTIONS(199),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_comment] = ACTIONS(39),
  },
  [803] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2672),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2674),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2674),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2674),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2674),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_auto] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [sym_identifier] = ACTIONS(2672),
    [sym_comment] = ACTIONS(39),
  },
  [804] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2676),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2678),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2678),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2678),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2678),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym_RBRACE] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_auto] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [sym_identifier] = ACTIONS(2676),
    [sym_comment] = ACTIONS(39),
  },
  [805] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2680),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2682),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2682),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2682),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2682),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2680),
    [anon_sym_auto] = ACTIONS(2680),
    [anon_sym_register] = ACTIONS(2680),
    [anon_sym_inline] = ACTIONS(2680),
    [anon_sym_const] = ACTIONS(2680),
    [anon_sym_restrict] = ACTIONS(2680),
    [anon_sym_volatile] = ACTIONS(2680),
    [anon_sym__Atomic] = ACTIONS(2680),
    [anon_sym_unsigned] = ACTIONS(2680),
    [anon_sym_long] = ACTIONS(2680),
    [anon_sym_short] = ACTIONS(2680),
    [sym_primitive_type] = ACTIONS(2680),
    [anon_sym_enum] = ACTIONS(2680),
    [anon_sym_struct] = ACTIONS(2680),
    [anon_sym_union] = ACTIONS(2680),
    [sym_identifier] = ACTIONS(2680),
    [sym_comment] = ACTIONS(39),
  },
  [806] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2684),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2686),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2686),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2686),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2686),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2686),
    [anon_sym_extern] = ACTIONS(2684),
    [anon_sym_RBRACE] = ACTIONS(2686),
    [anon_sym_static] = ACTIONS(2684),
    [anon_sym_auto] = ACTIONS(2684),
    [anon_sym_register] = ACTIONS(2684),
    [anon_sym_inline] = ACTIONS(2684),
    [anon_sym_const] = ACTIONS(2684),
    [anon_sym_restrict] = ACTIONS(2684),
    [anon_sym_volatile] = ACTIONS(2684),
    [anon_sym__Atomic] = ACTIONS(2684),
    [anon_sym_unsigned] = ACTIONS(2684),
    [anon_sym_long] = ACTIONS(2684),
    [anon_sym_short] = ACTIONS(2684),
    [sym_primitive_type] = ACTIONS(2684),
    [anon_sym_enum] = ACTIONS(2684),
    [anon_sym_struct] = ACTIONS(2684),
    [anon_sym_union] = ACTIONS(2684),
    [sym_identifier] = ACTIONS(2684),
    [sym_comment] = ACTIONS(39),
  },
  [807] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2688),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2690),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2690),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2690),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2690),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_auto] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [sym_identifier] = ACTIONS(2688),
    [sym_comment] = ACTIONS(39),
  },
  [808] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2692),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2694),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2694),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2694),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2694),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym_RBRACE] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_auto] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [sym_identifier] = ACTIONS(2692),
    [sym_comment] = ACTIONS(39),
  },
  [809] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [810] = {
    [anon_sym_RPAREN] = ACTIONS(2696),
    [sym_comment] = ACTIONS(39),
  },
  [811] = {
    [aux_sym_concatenated_string_repeat1] = STATE(811),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_STAR_EQ] = ACTIONS(2549),
    [anon_sym_SLASH_EQ] = ACTIONS(2549),
    [anon_sym_PERCENT_EQ] = ACTIONS(2549),
    [anon_sym_PLUS_EQ] = ACTIONS(2549),
    [anon_sym_DASH_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_EQ] = ACTIONS(2549),
    [anon_sym_CARET_EQ] = ACTIONS(2549),
    [anon_sym_PIPE_EQ] = ACTIONS(2549),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_PIPE] = ACTIONS(2551),
    [anon_sym_CARET] = ACTIONS(2551),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT] = ACTIONS(2551),
    [anon_sym_GT_GT] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_SLASH] = ACTIONS(2551),
    [anon_sym_PERCENT] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_PLUS] = ACTIONS(2549),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2549),
    [sym_string_literal] = ACTIONS(2698),
    [sym_comment] = ACTIONS(39),
  },
  [812] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [813] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(2701),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [814] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [815] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [816] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [817] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [818] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [819] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [820] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [821] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_QMARK] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [822] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_STAR_EQ] = ACTIONS(2570),
    [anon_sym_SLASH_EQ] = ACTIONS(2570),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_PLUS_EQ] = ACTIONS(2570),
    [anon_sym_DASH_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_GT_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2570),
    [anon_sym_CARET_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_EQ] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [823] = {
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(2703),
    [anon_sym_RPAREN] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_COLON] = ACTIONS(2703),
    [sym_comment] = ACTIONS(39),
  },
  [824] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2705),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [825] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2707),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2709),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2709),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2709),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2709),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2709),
    [anon_sym_extern] = ACTIONS(2707),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_static] = ACTIONS(2707),
    [anon_sym_auto] = ACTIONS(2707),
    [anon_sym_register] = ACTIONS(2707),
    [anon_sym_inline] = ACTIONS(2707),
    [anon_sym_const] = ACTIONS(2707),
    [anon_sym_restrict] = ACTIONS(2707),
    [anon_sym_volatile] = ACTIONS(2707),
    [anon_sym__Atomic] = ACTIONS(2707),
    [anon_sym_unsigned] = ACTIONS(2707),
    [anon_sym_long] = ACTIONS(2707),
    [anon_sym_short] = ACTIONS(2707),
    [sym_primitive_type] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(2707),
    [anon_sym_struct] = ACTIONS(2707),
    [anon_sym_union] = ACTIONS(2707),
    [sym_identifier] = ACTIONS(2707),
    [sym_comment] = ACTIONS(39),
  },
  [826] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [827] = {
    [anon_sym_LPAREN] = ACTIONS(2713),
    [anon_sym_COMMA] = ACTIONS(2713),
    [anon_sym_RPAREN] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2713),
    [sym_comment] = ACTIONS(39),
  },
  [828] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2715),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [829] = {
    [sym__declarator] = STATE(213),
    [sym__abstract_declarator] = STATE(603),
    [sym_pointer_declarator] = STATE(213),
    [sym_abstract_pointer_declarator] = STATE(603),
    [sym_function_declarator] = STATE(213),
    [sym_abstract_function_declarator] = STATE(603),
    [sym_array_declarator] = STATE(213),
    [sym_abstract_array_declarator] = STATE(603),
    [sym_type_qualifier] = STATE(983),
    [sym_parameter_list] = STATE(207),
    [aux_sym_type_definition_repeat1] = STATE(983),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_RPAREN] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(500),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [sym_identifier] = ACTIONS(514),
    [sym_comment] = ACTIONS(39),
  },
  [830] = {
    [sym_type_qualifier] = STATE(830),
    [aux_sym_type_definition_repeat1] = STATE(830),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_COMMA] = ACTIONS(920),
    [anon_sym_RPAREN] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(418),
    [anon_sym_restrict] = ACTIONS(418),
    [anon_sym_volatile] = ACTIONS(418),
    [anon_sym__Atomic] = ACTIONS(418),
    [sym_identifier] = ACTIONS(421),
    [sym_comment] = ACTIONS(39),
  },
  [831] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [832] = {
    [anon_sym_RPAREN] = ACTIONS(2717),
    [sym_comment] = ACTIONS(39),
  },
  [833] = {
    [aux_sym_concatenated_string_repeat1] = STATE(833),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_COMMA] = ACTIONS(2549),
    [anon_sym_RPAREN] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_STAR_EQ] = ACTIONS(2549),
    [anon_sym_SLASH_EQ] = ACTIONS(2549),
    [anon_sym_PERCENT_EQ] = ACTIONS(2549),
    [anon_sym_PLUS_EQ] = ACTIONS(2549),
    [anon_sym_DASH_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_EQ] = ACTIONS(2549),
    [anon_sym_CARET_EQ] = ACTIONS(2549),
    [anon_sym_PIPE_EQ] = ACTIONS(2549),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_PIPE] = ACTIONS(2551),
    [anon_sym_CARET] = ACTIONS(2551),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT] = ACTIONS(2551),
    [anon_sym_GT_GT] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_SLASH] = ACTIONS(2551),
    [anon_sym_PERCENT] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_PLUS] = ACTIONS(2549),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2549),
    [sym_string_literal] = ACTIONS(2719),
    [sym_comment] = ACTIONS(39),
  },
  [834] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1499),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [835] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [836] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(2722),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [837] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [838] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [839] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [840] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [841] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [842] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [843] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2592),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [844] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2596),
    [anon_sym_RPAREN] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_QMARK] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [845] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2570),
    [anon_sym_RPAREN] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_STAR_EQ] = ACTIONS(2570),
    [anon_sym_SLASH_EQ] = ACTIONS(2570),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_PLUS_EQ] = ACTIONS(2570),
    [anon_sym_DASH_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_GT_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2570),
    [anon_sym_CARET_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_EQ] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [846] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2724),
    [anon_sym_RPAREN] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym_RBRACE] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(2724),
    [anon_sym_EQ] = ACTIONS(2726),
    [anon_sym_COLON] = ACTIONS(2724),
    [anon_sym_QMARK] = ACTIONS(2724),
    [anon_sym_STAR_EQ] = ACTIONS(2724),
    [anon_sym_SLASH_EQ] = ACTIONS(2724),
    [anon_sym_PERCENT_EQ] = ACTIONS(2724),
    [anon_sym_PLUS_EQ] = ACTIONS(2724),
    [anon_sym_DASH_EQ] = ACTIONS(2724),
    [anon_sym_LT_LT_EQ] = ACTIONS(2724),
    [anon_sym_GT_GT_EQ] = ACTIONS(2724),
    [anon_sym_AMP_EQ] = ACTIONS(2724),
    [anon_sym_CARET_EQ] = ACTIONS(2724),
    [anon_sym_PIPE_EQ] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_PIPE_PIPE] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_PIPE] = ACTIONS(2726),
    [anon_sym_CARET] = ACTIONS(2726),
    [anon_sym_EQ_EQ] = ACTIONS(2724),
    [anon_sym_BANG_EQ] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_GT] = ACTIONS(2726),
    [anon_sym_LT_EQ] = ACTIONS(2724),
    [anon_sym_GT_EQ] = ACTIONS(2724),
    [anon_sym_LT_LT] = ACTIONS(2726),
    [anon_sym_GT_GT] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_SLASH] = ACTIONS(2726),
    [anon_sym_PERCENT] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [847] = {
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_COMMA] = ACTIONS(2728),
    [anon_sym_RPAREN] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_RBRACK] = ACTIONS(2728),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2728),
    [anon_sym_QMARK] = ACTIONS(2728),
    [anon_sym_STAR_EQ] = ACTIONS(2728),
    [anon_sym_SLASH_EQ] = ACTIONS(2728),
    [anon_sym_PERCENT_EQ] = ACTIONS(2728),
    [anon_sym_PLUS_EQ] = ACTIONS(2728),
    [anon_sym_DASH_EQ] = ACTIONS(2728),
    [anon_sym_LT_LT_EQ] = ACTIONS(2728),
    [anon_sym_GT_GT_EQ] = ACTIONS(2728),
    [anon_sym_AMP_EQ] = ACTIONS(2728),
    [anon_sym_CARET_EQ] = ACTIONS(2728),
    [anon_sym_PIPE_EQ] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2730),
    [anon_sym_PIPE_PIPE] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_PIPE] = ACTIONS(2730),
    [anon_sym_CARET] = ACTIONS(2730),
    [anon_sym_EQ_EQ] = ACTIONS(2728),
    [anon_sym_BANG_EQ] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_GT] = ACTIONS(2730),
    [anon_sym_LT_EQ] = ACTIONS(2728),
    [anon_sym_GT_EQ] = ACTIONS(2728),
    [anon_sym_LT_LT] = ACTIONS(2730),
    [anon_sym_GT_GT] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2730),
    [anon_sym_SLASH] = ACTIONS(2730),
    [anon_sym_PERCENT] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_DOT] = ACTIONS(2728),
    [anon_sym_DASH_GT] = ACTIONS(2728),
    [sym_comment] = ACTIONS(39),
  },
  [848] = {
    [sym_preproc_include] = STATE(989),
    [sym_preproc_def] = STATE(989),
    [sym_preproc_function_def] = STATE(989),
    [sym_preproc_call] = STATE(989),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(987),
    [sym_preproc_elif_in_compound_statement] = STATE(988),
    [sym_declaration] = STATE(989),
    [sym_type_definition] = STATE(989),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(989),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(989),
    [sym_expression_statement] = STATE(989),
    [sym_if_statement] = STATE(989),
    [sym_switch_statement] = STATE(989),
    [sym_case_statement] = STATE(989),
    [sym_while_statement] = STATE(989),
    [sym_do_statement] = STATE(989),
    [sym_for_statement] = STATE(989),
    [sym_return_statement] = STATE(989),
    [sym_break_statement] = STATE(989),
    [sym_continue_statement] = STATE(989),
    [sym_goto_statement] = STATE(989),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(989),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(989),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2732),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [849] = {
    [sym_preproc_include] = STATE(993),
    [sym_preproc_def] = STATE(993),
    [sym_preproc_function_def] = STATE(993),
    [sym_preproc_call] = STATE(993),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(991),
    [sym_preproc_elif_in_compound_statement] = STATE(992),
    [sym_declaration] = STATE(993),
    [sym_type_definition] = STATE(993),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(993),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(993),
    [sym_expression_statement] = STATE(993),
    [sym_if_statement] = STATE(993),
    [sym_switch_statement] = STATE(993),
    [sym_case_statement] = STATE(993),
    [sym_while_statement] = STATE(993),
    [sym_do_statement] = STATE(993),
    [sym_for_statement] = STATE(993),
    [sym_return_statement] = STATE(993),
    [sym_break_statement] = STATE(993),
    [sym_continue_statement] = STATE(993),
    [sym_goto_statement] = STATE(993),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(993),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(993),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2734),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [850] = {
    [sym_preproc_include] = STATE(997),
    [sym_preproc_def] = STATE(997),
    [sym_preproc_function_def] = STATE(997),
    [sym_preproc_call] = STATE(997),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(995),
    [sym_preproc_elif_in_compound_statement] = STATE(996),
    [sym_declaration] = STATE(997),
    [sym_type_definition] = STATE(997),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(997),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(997),
    [sym_expression_statement] = STATE(997),
    [sym_if_statement] = STATE(997),
    [sym_switch_statement] = STATE(997),
    [sym_case_statement] = STATE(997),
    [sym_while_statement] = STATE(997),
    [sym_do_statement] = STATE(997),
    [sym_for_statement] = STATE(997),
    [sym_return_statement] = STATE(997),
    [sym_break_statement] = STATE(997),
    [sym_continue_statement] = STATE(997),
    [sym_goto_statement] = STATE(997),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(997),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2736),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [851] = {
    [sym_preproc_arg] = ACTIONS(2738),
    [sym_comment] = ACTIONS(47),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2740),
    [sym_comment] = ACTIONS(39),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2742),
    [sym_comment] = ACTIONS(39),
  },
  [854] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(970),
    [anon_sym_LPAREN] = ACTIONS(972),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(970),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(970),
    [sym_preproc_directive] = ACTIONS(970),
    [anon_sym_SEMI] = ACTIONS(972),
    [anon_sym_typedef] = ACTIONS(970),
    [anon_sym_extern] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_STAR] = ACTIONS(972),
    [anon_sym_static] = ACTIONS(970),
    [anon_sym_auto] = ACTIONS(970),
    [anon_sym_register] = ACTIONS(970),
    [anon_sym_inline] = ACTIONS(970),
    [anon_sym_const] = ACTIONS(970),
    [anon_sym_restrict] = ACTIONS(970),
    [anon_sym_volatile] = ACTIONS(970),
    [anon_sym__Atomic] = ACTIONS(970),
    [anon_sym_unsigned] = ACTIONS(970),
    [anon_sym_long] = ACTIONS(970),
    [anon_sym_short] = ACTIONS(970),
    [sym_primitive_type] = ACTIONS(970),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(970),
    [anon_sym_union] = ACTIONS(970),
    [anon_sym_if] = ACTIONS(970),
    [anon_sym_else] = ACTIONS(970),
    [anon_sym_switch] = ACTIONS(970),
    [anon_sym_case] = ACTIONS(970),
    [anon_sym_default] = ACTIONS(970),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_do] = ACTIONS(970),
    [anon_sym_for] = ACTIONS(970),
    [anon_sym_return] = ACTIONS(970),
    [anon_sym_break] = ACTIONS(970),
    [anon_sym_continue] = ACTIONS(970),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_AMP] = ACTIONS(972),
    [anon_sym_BANG] = ACTIONS(972),
    [anon_sym_TILDE] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(970),
    [anon_sym_DASH] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(972),
    [anon_sym_PLUS_PLUS] = ACTIONS(972),
    [anon_sym_sizeof] = ACTIONS(970),
    [sym_number_literal] = ACTIONS(972),
    [sym_char_literal] = ACTIONS(972),
    [sym_string_literal] = ACTIONS(972),
    [sym_true] = ACTIONS(970),
    [sym_false] = ACTIONS(970),
    [sym_null] = ACTIONS(970),
    [sym_identifier] = ACTIONS(970),
    [sym_comment] = ACTIONS(39),
  },
  [855] = {
    [anon_sym_LPAREN] = ACTIONS(2744),
    [sym_comment] = ACTIONS(39),
  },
  [856] = {
    [anon_sym_LPAREN] = ACTIONS(2746),
    [sym_comment] = ACTIONS(39),
  },
  [857] = {
    [sym__expression] = STATE(1003),
    [sym_conditional_expression] = STATE(1003),
    [sym_assignment_expression] = STATE(1003),
    [sym_pointer_expression] = STATE(1003),
    [sym_logical_expression] = STATE(1003),
    [sym_bitwise_expression] = STATE(1003),
    [sym_equality_expression] = STATE(1003),
    [sym_relational_expression] = STATE(1003),
    [sym_shift_expression] = STATE(1003),
    [sym_math_expression] = STATE(1003),
    [sym_cast_expression] = STATE(1003),
    [sym_sizeof_expression] = STATE(1003),
    [sym_subscript_expression] = STATE(1003),
    [sym_call_expression] = STATE(1003),
    [sym_field_expression] = STATE(1003),
    [sym_compound_literal_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(1003),
    [sym_concatenated_string] = STATE(1003),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2748),
    [sym_char_literal] = ACTIONS(2748),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [sym_null] = ACTIONS(2750),
    [sym_identifier] = ACTIONS(2750),
    [sym_comment] = ACTIONS(39),
  },
  [858] = {
    [anon_sym_COLON] = ACTIONS(2752),
    [sym_comment] = ACTIONS(39),
  },
  [859] = {
    [anon_sym_LPAREN] = ACTIONS(2754),
    [sym_comment] = ACTIONS(39),
  },
  [860] = {
    [sym_compound_statement] = STATE(1006),
    [sym_labeled_statement] = STATE(1006),
    [sym_expression_statement] = STATE(1006),
    [sym_if_statement] = STATE(1006),
    [sym_switch_statement] = STATE(1006),
    [sym_case_statement] = STATE(1006),
    [sym_while_statement] = STATE(1006),
    [sym_do_statement] = STATE(1006),
    [sym_for_statement] = STATE(1006),
    [sym_return_statement] = STATE(1006),
    [sym_break_statement] = STATE(1006),
    [sym_continue_statement] = STATE(1006),
    [sym_goto_statement] = STATE(1006),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [861] = {
    [anon_sym_LPAREN] = ACTIONS(2756),
    [sym_comment] = ACTIONS(39),
  },
  [862] = {
    [sym__expression] = STATE(1009),
    [sym_conditional_expression] = STATE(1009),
    [sym_assignment_expression] = STATE(1009),
    [sym_pointer_expression] = STATE(1009),
    [sym_logical_expression] = STATE(1009),
    [sym_bitwise_expression] = STATE(1009),
    [sym_equality_expression] = STATE(1009),
    [sym_relational_expression] = STATE(1009),
    [sym_shift_expression] = STATE(1009),
    [sym_math_expression] = STATE(1009),
    [sym_cast_expression] = STATE(1009),
    [sym_sizeof_expression] = STATE(1009),
    [sym_subscript_expression] = STATE(1009),
    [sym_call_expression] = STATE(1009),
    [sym_field_expression] = STATE(1009),
    [sym_compound_literal_expression] = STATE(1009),
    [sym_parenthesized_expression] = STATE(1009),
    [sym_concatenated_string] = STATE(1009),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2760),
    [sym_char_literal] = ACTIONS(2760),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [sym_null] = ACTIONS(2762),
    [sym_identifier] = ACTIONS(2762),
    [sym_comment] = ACTIONS(39),
  },
  [863] = {
    [anon_sym_SEMI] = ACTIONS(2764),
    [sym_comment] = ACTIONS(39),
  },
  [864] = {
    [anon_sym_SEMI] = ACTIONS(2766),
    [sym_comment] = ACTIONS(39),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2768),
    [sym_comment] = ACTIONS(39),
  },
  [866] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1066),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [867] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1074),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1074),
    [sym_preproc_directive] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(1076),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_auto] = ACTIONS(1074),
    [anon_sym_register] = ACTIONS(1074),
    [anon_sym_inline] = ACTIONS(1074),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_restrict] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym__Atomic] = ACTIONS(1074),
    [anon_sym_unsigned] = ACTIONS(1074),
    [anon_sym_long] = ACTIONS(1074),
    [anon_sym_short] = ACTIONS(1074),
    [sym_primitive_type] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_struct] = ACTIONS(1074),
    [anon_sym_union] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_case] = ACTIONS(1074),
    [anon_sym_default] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_do] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_goto] = ACTIONS(1074),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [anon_sym_sizeof] = ACTIONS(1074),
    [sym_number_literal] = ACTIONS(1076),
    [sym_char_literal] = ACTIONS(1076),
    [sym_string_literal] = ACTIONS(1076),
    [sym_true] = ACTIONS(1074),
    [sym_false] = ACTIONS(1074),
    [sym_null] = ACTIONS(1074),
    [sym_identifier] = ACTIONS(1074),
    [sym_comment] = ACTIONS(39),
  },
  [868] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1078),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1078),
    [sym_preproc_directive] = ACTIONS(1078),
    [anon_sym_SEMI] = ACTIONS(1080),
    [anon_sym_typedef] = ACTIONS(1078),
    [anon_sym_extern] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_static] = ACTIONS(1078),
    [anon_sym_auto] = ACTIONS(1078),
    [anon_sym_register] = ACTIONS(1078),
    [anon_sym_inline] = ACTIONS(1078),
    [anon_sym_const] = ACTIONS(1078),
    [anon_sym_restrict] = ACTIONS(1078),
    [anon_sym_volatile] = ACTIONS(1078),
    [anon_sym__Atomic] = ACTIONS(1078),
    [anon_sym_unsigned] = ACTIONS(1078),
    [anon_sym_long] = ACTIONS(1078),
    [anon_sym_short] = ACTIONS(1078),
    [sym_primitive_type] = ACTIONS(1078),
    [anon_sym_enum] = ACTIONS(1078),
    [anon_sym_struct] = ACTIONS(1078),
    [anon_sym_union] = ACTIONS(1078),
    [anon_sym_if] = ACTIONS(1078),
    [anon_sym_switch] = ACTIONS(1078),
    [anon_sym_case] = ACTIONS(1078),
    [anon_sym_default] = ACTIONS(1078),
    [anon_sym_while] = ACTIONS(1078),
    [anon_sym_do] = ACTIONS(1078),
    [anon_sym_for] = ACTIONS(1078),
    [anon_sym_return] = ACTIONS(1078),
    [anon_sym_break] = ACTIONS(1078),
    [anon_sym_continue] = ACTIONS(1078),
    [anon_sym_goto] = ACTIONS(1078),
    [anon_sym_AMP] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_sizeof] = ACTIONS(1078),
    [sym_number_literal] = ACTIONS(1080),
    [sym_char_literal] = ACTIONS(1080),
    [sym_string_literal] = ACTIONS(1080),
    [sym_true] = ACTIONS(1078),
    [sym_false] = ACTIONS(1078),
    [sym_null] = ACTIONS(1078),
    [sym_identifier] = ACTIONS(1078),
    [sym_comment] = ACTIONS(39),
  },
  [869] = {
    [sym__declarator] = STATE(1014),
    [sym_pointer_declarator] = STATE(1014),
    [sym_function_declarator] = STATE(1014),
    [sym_array_declarator] = STATE(1014),
    [sym_init_declarator] = STATE(302),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_SEMI] = ACTIONS(676),
    [anon_sym_STAR] = ACTIONS(524),
    [sym_identifier] = ACTIONS(2772),
    [sym_comment] = ACTIONS(39),
  },
  [870] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1094),
    [anon_sym_QMARK] = ACTIONS(1096),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [871] = {
    [anon_sym_SEMI] = ACTIONS(2774),
    [sym_comment] = ACTIONS(39),
  },
  [872] = {
    [sym_preproc_include] = STATE(1016),
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_compound_statement] = STATE(867),
    [sym_preproc_ifdef_in_compound_statement] = STATE(868),
    [sym_declaration] = STATE(1016),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_specifiers] = STATE(869),
    [sym_compound_statement] = STATE(1016),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(1016),
    [sym_expression_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_case_statement] = STATE(1016),
    [sym_while_statement] = STATE(1016),
    [sym_do_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_goto_statement] = STATE(1016),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [sym__empty_declaration] = STATE(1016),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(348),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(350),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2776),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2319),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2321),
    [sym_preproc_directive] = ACTIONS(360),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_typedef] = ACTIONS(362),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(2351),
    [sym_comment] = ACTIONS(39),
  },
  [873] = {
    [sym_preproc_include] = STATE(1019),
    [sym_preproc_def] = STATE(1019),
    [sym_preproc_function_def] = STATE(1019),
    [sym_preproc_call] = STATE(1019),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1017),
    [sym_preproc_elif_in_compound_statement] = STATE(1018),
    [sym_declaration] = STATE(1019),
    [sym_type_definition] = STATE(1019),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(1019),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(1019),
    [sym_expression_statement] = STATE(1019),
    [sym_if_statement] = STATE(1019),
    [sym_switch_statement] = STATE(1019),
    [sym_case_statement] = STATE(1019),
    [sym_while_statement] = STATE(1019),
    [sym_do_statement] = STATE(1019),
    [sym_for_statement] = STATE(1019),
    [sym_return_statement] = STATE(1019),
    [sym_break_statement] = STATE(1019),
    [sym_continue_statement] = STATE(1019),
    [sym_goto_statement] = STATE(1019),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(1019),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(1019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2778),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [874] = {
    [sym__expression] = STATE(1020),
    [sym_conditional_expression] = STATE(1020),
    [sym_assignment_expression] = STATE(1020),
    [sym_pointer_expression] = STATE(1020),
    [sym_logical_expression] = STATE(1020),
    [sym_bitwise_expression] = STATE(1020),
    [sym_equality_expression] = STATE(1020),
    [sym_relational_expression] = STATE(1020),
    [sym_shift_expression] = STATE(1020),
    [sym_math_expression] = STATE(1020),
    [sym_cast_expression] = STATE(1020),
    [sym_sizeof_expression] = STATE(1020),
    [sym_subscript_expression] = STATE(1020),
    [sym_call_expression] = STATE(1020),
    [sym_field_expression] = STATE(1020),
    [sym_compound_literal_expression] = STATE(1020),
    [sym_parenthesized_expression] = STATE(1020),
    [sym_concatenated_string] = STATE(1020),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2780),
    [sym_char_literal] = ACTIONS(2780),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [sym_null] = ACTIONS(2782),
    [sym_identifier] = ACTIONS(2782),
    [sym_comment] = ACTIONS(39),
  },
  [875] = {
    [sym__expression] = STATE(1021),
    [sym_conditional_expression] = STATE(1021),
    [sym_assignment_expression] = STATE(1021),
    [sym_pointer_expression] = STATE(1021),
    [sym_logical_expression] = STATE(1021),
    [sym_bitwise_expression] = STATE(1021),
    [sym_equality_expression] = STATE(1021),
    [sym_relational_expression] = STATE(1021),
    [sym_shift_expression] = STATE(1021),
    [sym_math_expression] = STATE(1021),
    [sym_cast_expression] = STATE(1021),
    [sym_sizeof_expression] = STATE(1021),
    [sym_subscript_expression] = STATE(1021),
    [sym_call_expression] = STATE(1021),
    [sym_field_expression] = STATE(1021),
    [sym_compound_literal_expression] = STATE(1021),
    [sym_parenthesized_expression] = STATE(1021),
    [sym_concatenated_string] = STATE(1021),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2784),
    [sym_char_literal] = ACTIONS(2784),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [sym_null] = ACTIONS(2786),
    [sym_identifier] = ACTIONS(2786),
    [sym_comment] = ACTIONS(39),
  },
  [876] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(2788),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [877] = {
    [sym_declaration] = STATE(1024),
    [sym_type_definition] = STATE(1024),
    [sym__declaration_specifiers] = STATE(1025),
    [sym_compound_statement] = STATE(1024),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2790),
    [sym_comment] = ACTIONS(39),
  },
  [878] = {
    [sym__expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_assignment_expression] = STATE(1026),
    [sym_pointer_expression] = STATE(1026),
    [sym_logical_expression] = STATE(1026),
    [sym_bitwise_expression] = STATE(1026),
    [sym_equality_expression] = STATE(1026),
    [sym_relational_expression] = STATE(1026),
    [sym_shift_expression] = STATE(1026),
    [sym_math_expression] = STATE(1026),
    [sym_cast_expression] = STATE(1026),
    [sym_sizeof_expression] = STATE(1026),
    [sym_subscript_expression] = STATE(1026),
    [sym_call_expression] = STATE(1026),
    [sym_field_expression] = STATE(1026),
    [sym_compound_literal_expression] = STATE(1026),
    [sym_parenthesized_expression] = STATE(1026),
    [sym_concatenated_string] = STATE(1026),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2792),
    [sym_char_literal] = ACTIONS(2792),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [sym_null] = ACTIONS(2794),
    [sym_identifier] = ACTIONS(2794),
    [sym_comment] = ACTIONS(39),
  },
  [879] = {
    [anon_sym_while] = ACTIONS(2796),
    [sym_comment] = ACTIONS(39),
  },
  [880] = {
    [sym_declaration] = STATE(1028),
    [sym__declaration_specifiers] = STATE(698),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym__expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_assignment_expression] = STATE(1029),
    [sym_pointer_expression] = STATE(1029),
    [sym_logical_expression] = STATE(1029),
    [sym_bitwise_expression] = STATE(1029),
    [sym_equality_expression] = STATE(1029),
    [sym_relational_expression] = STATE(1029),
    [sym_shift_expression] = STATE(1029),
    [sym_math_expression] = STATE(1029),
    [sym_cast_expression] = STATE(1029),
    [sym_sizeof_expression] = STATE(1029),
    [sym_subscript_expression] = STATE(1029),
    [sym_call_expression] = STATE(1029),
    [sym_field_expression] = STATE(1029),
    [sym_compound_literal_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1029),
    [sym_concatenated_string] = STATE(1029),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(2800),
    [sym_char_literal] = ACTIONS(2800),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [sym_null] = ACTIONS(2802),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(39),
  },
  [881] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1677),
    [sym_preproc_directive] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1679),
    [anon_sym_typedef] = ACTIONS(1677),
    [anon_sym_extern] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1677),
    [anon_sym_auto] = ACTIONS(1677),
    [anon_sym_register] = ACTIONS(1677),
    [anon_sym_inline] = ACTIONS(1677),
    [anon_sym_const] = ACTIONS(1677),
    [anon_sym_restrict] = ACTIONS(1677),
    [anon_sym_volatile] = ACTIONS(1677),
    [anon_sym__Atomic] = ACTIONS(1677),
    [anon_sym_unsigned] = ACTIONS(1677),
    [anon_sym_long] = ACTIONS(1677),
    [anon_sym_short] = ACTIONS(1677),
    [sym_primitive_type] = ACTIONS(1677),
    [anon_sym_enum] = ACTIONS(1677),
    [anon_sym_struct] = ACTIONS(1677),
    [anon_sym_union] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1677),
    [anon_sym_else] = ACTIONS(1677),
    [anon_sym_switch] = ACTIONS(1677),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1677),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_do] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1677),
    [anon_sym_return] = ACTIONS(1677),
    [anon_sym_break] = ACTIONS(1677),
    [anon_sym_continue] = ACTIONS(1677),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1679),
    [anon_sym_TILDE] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_sizeof] = ACTIONS(1677),
    [sym_number_literal] = ACTIONS(1679),
    [sym_char_literal] = ACTIONS(1679),
    [sym_string_literal] = ACTIONS(1679),
    [sym_true] = ACTIONS(1677),
    [sym_false] = ACTIONS(1677),
    [sym_null] = ACTIONS(1677),
    [sym_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(39),
  },
  [882] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [883] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_else] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [sym_char_literal] = ACTIONS(1685),
    [sym_string_literal] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [sym_null] = ACTIONS(1683),
    [sym_identifier] = ACTIONS(1683),
    [sym_comment] = ACTIONS(39),
  },
  [884] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_typedef] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_else] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1687),
    [anon_sym_default] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1687),
    [anon_sym_do] = ACTIONS(1687),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_return] = ACTIONS(1687),
    [anon_sym_break] = ACTIONS(1687),
    [anon_sym_continue] = ACTIONS(1687),
    [anon_sym_goto] = ACTIONS(1687),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1689),
    [anon_sym_TILDE] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_sizeof] = ACTIONS(1687),
    [sym_number_literal] = ACTIONS(1689),
    [sym_char_literal] = ACTIONS(1689),
    [sym_string_literal] = ACTIONS(1689),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [sym_null] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_comment] = ACTIONS(39),
  },
  [885] = {
    [anon_sym_SEMI] = ACTIONS(2806),
    [sym_comment] = ACTIONS(39),
  },
  [886] = {
    [sym_compound_statement] = STATE(1033),
    [sym_labeled_statement] = STATE(1033),
    [sym_expression_statement] = STATE(1033),
    [sym_if_statement] = STATE(1033),
    [sym_switch_statement] = STATE(1033),
    [sym_case_statement] = STATE(1033),
    [sym_while_statement] = STATE(1033),
    [sym_do_statement] = STATE(1033),
    [sym_for_statement] = STATE(1033),
    [sym_return_statement] = STATE(1033),
    [sym_break_statement] = STATE(1033),
    [sym_continue_statement] = STATE(1033),
    [sym_goto_statement] = STATE(1033),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [887] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2810),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_RBRACE] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_auto] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [sym_primitive_type] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [sym_number_literal] = ACTIONS(2812),
    [sym_char_literal] = ACTIONS(2812),
    [sym_string_literal] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [sym_null] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2810),
    [sym_comment] = ACTIONS(39),
  },
  [888] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_auto] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [sym_char_literal] = ACTIONS(2816),
    [sym_string_literal] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [sym_null] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2814),
    [sym_comment] = ACTIONS(39),
  },
  [889] = {
    [sym_parameter_list] = STATE(128),
    [aux_sym_declaration_repeat1] = STATE(315),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(241),
    [sym_comment] = ACTIONS(39),
  },
  [890] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1729),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1727),
    [sym_preproc_directive] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1729),
    [anon_sym_typedef] = ACTIONS(1727),
    [anon_sym_extern] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1729),
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_static] = ACTIONS(1727),
    [anon_sym_auto] = ACTIONS(1727),
    [anon_sym_register] = ACTIONS(1727),
    [anon_sym_inline] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_restrict] = ACTIONS(1727),
    [anon_sym_volatile] = ACTIONS(1727),
    [anon_sym__Atomic] = ACTIONS(1727),
    [anon_sym_unsigned] = ACTIONS(1727),
    [anon_sym_long] = ACTIONS(1727),
    [anon_sym_short] = ACTIONS(1727),
    [sym_primitive_type] = ACTIONS(1727),
    [anon_sym_enum] = ACTIONS(1727),
    [anon_sym_struct] = ACTIONS(1727),
    [anon_sym_union] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_case] = ACTIONS(1727),
    [anon_sym_default] = ACTIONS(1727),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_goto] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_TILDE] = ACTIONS(1729),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_DASH_DASH] = ACTIONS(1729),
    [anon_sym_PLUS_PLUS] = ACTIONS(1729),
    [anon_sym_sizeof] = ACTIONS(1727),
    [sym_number_literal] = ACTIONS(1729),
    [sym_char_literal] = ACTIONS(1729),
    [sym_string_literal] = ACTIONS(1729),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1727),
    [sym_comment] = ACTIONS(39),
  },
  [891] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_auto] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [sym_primitive_type] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [sym_number_literal] = ACTIONS(2820),
    [sym_char_literal] = ACTIONS(2820),
    [sym_string_literal] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [sym_null] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2818),
    [sym_comment] = ACTIONS(39),
  },
  [892] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2822),
    [sym_comment] = ACTIONS(39),
  },
  [893] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2824),
    [sym_comment] = ACTIONS(39),
  },
  [894] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2826),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2832),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2835),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2837),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2840),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2835),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2835),
    [sym_preproc_directive] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(1820),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_static] = ACTIONS(1820),
    [anon_sym_auto] = ACTIONS(1820),
    [anon_sym_register] = ACTIONS(1820),
    [anon_sym_inline] = ACTIONS(1820),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_restrict] = ACTIONS(1831),
    [anon_sym_volatile] = ACTIONS(1831),
    [anon_sym__Atomic] = ACTIONS(1831),
    [anon_sym_unsigned] = ACTIONS(1834),
    [anon_sym_long] = ACTIONS(1834),
    [anon_sym_short] = ACTIONS(1834),
    [sym_primitive_type] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1840),
    [anon_sym_struct] = ACTIONS(1843),
    [anon_sym_union] = ACTIONS(1846),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2882),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_TILDE] = ACTIONS(1885),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1891),
    [anon_sym_PLUS_PLUS] = ACTIONS(1891),
    [anon_sym_sizeof] = ACTIONS(1894),
    [sym_number_literal] = ACTIONS(2888),
    [sym_char_literal] = ACTIONS(2888),
    [sym_string_literal] = ACTIONS(1900),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [sym_null] = ACTIONS(2891),
    [sym_identifier] = ACTIONS(2894),
    [sym_comment] = ACTIONS(39),
  },
  [895] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2897),
    [anon_sym_LPAREN] = ACTIONS(2899),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_auto] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [sym_char_literal] = ACTIONS(2899),
    [sym_string_literal] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [sym_null] = ACTIONS(2897),
    [sym_identifier] = ACTIONS(2897),
    [sym_comment] = ACTIONS(39),
  },
  [896] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2903),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_auto] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [sym_char_literal] = ACTIONS(2903),
    [sym_string_literal] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [sym_null] = ACTIONS(2901),
    [sym_identifier] = ACTIONS(2901),
    [sym_comment] = ACTIONS(39),
  },
  [897] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2905),
    [anon_sym_LPAREN] = ACTIONS(2907),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_auto] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [sym_char_literal] = ACTIONS(2907),
    [sym_string_literal] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [sym_null] = ACTIONS(2905),
    [sym_identifier] = ACTIONS(2905),
    [sym_comment] = ACTIONS(39),
  },
  [898] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2909),
    [sym_comment] = ACTIONS(39),
  },
  [899] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2911),
    [sym_comment] = ACTIONS(39),
  },
  [900] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2915),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_auto] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [sym_char_literal] = ACTIONS(2915),
    [sym_string_literal] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [sym_null] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2913),
    [sym_comment] = ACTIONS(39),
  },
  [901] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2919),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_auto] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [sym_char_literal] = ACTIONS(2919),
    [sym_string_literal] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [sym_null] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_comment] = ACTIONS(39),
  },
  [902] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2921),
    [anon_sym_LPAREN] = ACTIONS(2923),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_auto] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [sym_char_literal] = ACTIONS(2923),
    [sym_string_literal] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [sym_null] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_comment] = ACTIONS(39),
  },
  [903] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2925),
    [sym_comment] = ACTIONS(39),
  },
  [904] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2927),
    [sym_comment] = ACTIONS(39),
  },
  [905] = {
    [anon_sym_RPAREN] = ACTIONS(2929),
    [sym_comment] = ACTIONS(39),
  },
  [906] = {
    [sym_type_qualifier] = STATE(115),
    [sym__type_specifier] = STATE(113),
    [sym_sized_type_specifier] = STATE(113),
    [sym_enum_specifier] = STATE(113),
    [sym_struct_specifier] = STATE(113),
    [sym_union_specifier] = STATE(113),
    [sym__expression] = STATE(404),
    [sym_comma_expression] = STATE(405),
    [sym_conditional_expression] = STATE(404),
    [sym_assignment_expression] = STATE(404),
    [sym_pointer_expression] = STATE(404),
    [sym_logical_expression] = STATE(404),
    [sym_bitwise_expression] = STATE(404),
    [sym_equality_expression] = STATE(404),
    [sym_relational_expression] = STATE(404),
    [sym_shift_expression] = STATE(404),
    [sym_math_expression] = STATE(404),
    [sym_cast_expression] = STATE(404),
    [sym_type_descriptor] = STATE(1041),
    [sym_sizeof_expression] = STATE(404),
    [sym_subscript_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_field_expression] = STATE(404),
    [sym_compound_literal_expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_concatenated_string] = STATE(404),
    [sym_macro_type_specifier] = STATE(113),
    [aux_sym_type_definition_repeat1] = STATE(115),
    [aux_sym_sized_type_specifier_repeat1] = STATE(116),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(217),
    [anon_sym_long] = ACTIONS(217),
    [anon_sym_short] = ACTIONS(217),
    [sym_primitive_type] = ACTIONS(219),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(956),
    [sym_char_literal] = ACTIONS(956),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_identifier] = ACTIONS(962),
    [sym_comment] = ACTIONS(39),
  },
  [907] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1705),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [908] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1042),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [sym_string_literal] = ACTIONS(2931),
    [sym_comment] = ACTIONS(39),
  },
  [909] = {
    [sym_compound_statement] = STATE(1050),
    [sym_labeled_statement] = STATE(1050),
    [sym_expression_statement] = STATE(1050),
    [sym_if_statement] = STATE(1050),
    [sym_switch_statement] = STATE(1050),
    [sym_case_statement] = STATE(1050),
    [sym_while_statement] = STATE(1050),
    [sym_do_statement] = STATE(1050),
    [sym_for_statement] = STATE(1050),
    [sym_return_statement] = STATE(1050),
    [sym_break_statement] = STATE(1050),
    [sym_continue_statement] = STATE(1050),
    [sym_goto_statement] = STATE(1050),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [910] = {
    [sym__expression] = STATE(721),
    [sym_conditional_expression] = STATE(721),
    [sym_assignment_expression] = STATE(721),
    [sym_pointer_expression] = STATE(721),
    [sym_logical_expression] = STATE(721),
    [sym_bitwise_expression] = STATE(721),
    [sym_equality_expression] = STATE(721),
    [sym_relational_expression] = STATE(721),
    [sym_shift_expression] = STATE(721),
    [sym_math_expression] = STATE(721),
    [sym_cast_expression] = STATE(721),
    [sym_sizeof_expression] = STATE(721),
    [sym_subscript_expression] = STATE(721),
    [sym_call_expression] = STATE(721),
    [sym_field_expression] = STATE(721),
    [sym_compound_literal_expression] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym_concatenated_string] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1731),
    [sym_char_literal] = ACTIONS(1731),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1733),
    [sym_comment] = ACTIONS(39),
  },
  [911] = {
    [sym__expression] = STATE(1051),
    [sym_conditional_expression] = STATE(1051),
    [sym_assignment_expression] = STATE(1051),
    [sym_pointer_expression] = STATE(1051),
    [sym_logical_expression] = STATE(1051),
    [sym_bitwise_expression] = STATE(1051),
    [sym_equality_expression] = STATE(1051),
    [sym_relational_expression] = STATE(1051),
    [sym_shift_expression] = STATE(1051),
    [sym_math_expression] = STATE(1051),
    [sym_cast_expression] = STATE(1051),
    [sym_sizeof_expression] = STATE(1051),
    [sym_subscript_expression] = STATE(1051),
    [sym_call_expression] = STATE(1051),
    [sym_field_expression] = STATE(1051),
    [sym_compound_literal_expression] = STATE(1051),
    [sym_parenthesized_expression] = STATE(1051),
    [sym_concatenated_string] = STATE(1051),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2947),
    [sym_char_literal] = ACTIONS(2947),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [sym_null] = ACTIONS(2949),
    [sym_identifier] = ACTIONS(2949),
    [sym_comment] = ACTIONS(39),
  },
  [912] = {
    [sym__expression] = STATE(1052),
    [sym_conditional_expression] = STATE(1052),
    [sym_assignment_expression] = STATE(1052),
    [sym_pointer_expression] = STATE(1052),
    [sym_logical_expression] = STATE(1052),
    [sym_bitwise_expression] = STATE(1052),
    [sym_equality_expression] = STATE(1052),
    [sym_relational_expression] = STATE(1052),
    [sym_shift_expression] = STATE(1052),
    [sym_math_expression] = STATE(1052),
    [sym_cast_expression] = STATE(1052),
    [sym_sizeof_expression] = STATE(1052),
    [sym_subscript_expression] = STATE(1052),
    [sym_call_expression] = STATE(1052),
    [sym_field_expression] = STATE(1052),
    [sym_compound_literal_expression] = STATE(1052),
    [sym_parenthesized_expression] = STATE(1052),
    [sym_concatenated_string] = STATE(1052),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2951),
    [sym_char_literal] = ACTIONS(2951),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [sym_null] = ACTIONS(2953),
    [sym_identifier] = ACTIONS(2953),
    [sym_comment] = ACTIONS(39),
  },
  [913] = {
    [sym__expression] = STATE(1053),
    [sym_conditional_expression] = STATE(1053),
    [sym_assignment_expression] = STATE(1053),
    [sym_pointer_expression] = STATE(1053),
    [sym_logical_expression] = STATE(1053),
    [sym_bitwise_expression] = STATE(1053),
    [sym_equality_expression] = STATE(1053),
    [sym_relational_expression] = STATE(1053),
    [sym_shift_expression] = STATE(1053),
    [sym_math_expression] = STATE(1053),
    [sym_cast_expression] = STATE(1053),
    [sym_sizeof_expression] = STATE(1053),
    [sym_subscript_expression] = STATE(1053),
    [sym_call_expression] = STATE(1053),
    [sym_field_expression] = STATE(1053),
    [sym_compound_literal_expression] = STATE(1053),
    [sym_parenthesized_expression] = STATE(1053),
    [sym_concatenated_string] = STATE(1053),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2955),
    [sym_char_literal] = ACTIONS(2955),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [sym_null] = ACTIONS(2957),
    [sym_identifier] = ACTIONS(2957),
    [sym_comment] = ACTIONS(39),
  },
  [914] = {
    [sym__expression] = STATE(1054),
    [sym_conditional_expression] = STATE(1054),
    [sym_assignment_expression] = STATE(1054),
    [sym_pointer_expression] = STATE(1054),
    [sym_logical_expression] = STATE(1054),
    [sym_bitwise_expression] = STATE(1054),
    [sym_equality_expression] = STATE(1054),
    [sym_relational_expression] = STATE(1054),
    [sym_shift_expression] = STATE(1054),
    [sym_math_expression] = STATE(1054),
    [sym_cast_expression] = STATE(1054),
    [sym_sizeof_expression] = STATE(1054),
    [sym_subscript_expression] = STATE(1054),
    [sym_call_expression] = STATE(1054),
    [sym_field_expression] = STATE(1054),
    [sym_compound_literal_expression] = STATE(1054),
    [sym_parenthesized_expression] = STATE(1054),
    [sym_concatenated_string] = STATE(1054),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2959),
    [sym_char_literal] = ACTIONS(2959),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [sym_null] = ACTIONS(2961),
    [sym_identifier] = ACTIONS(2961),
    [sym_comment] = ACTIONS(39),
  },
  [915] = {
    [sym__expression] = STATE(1055),
    [sym_conditional_expression] = STATE(1055),
    [sym_assignment_expression] = STATE(1055),
    [sym_pointer_expression] = STATE(1055),
    [sym_logical_expression] = STATE(1055),
    [sym_bitwise_expression] = STATE(1055),
    [sym_equality_expression] = STATE(1055),
    [sym_relational_expression] = STATE(1055),
    [sym_shift_expression] = STATE(1055),
    [sym_math_expression] = STATE(1055),
    [sym_cast_expression] = STATE(1055),
    [sym_sizeof_expression] = STATE(1055),
    [sym_subscript_expression] = STATE(1055),
    [sym_call_expression] = STATE(1055),
    [sym_field_expression] = STATE(1055),
    [sym_compound_literal_expression] = STATE(1055),
    [sym_parenthesized_expression] = STATE(1055),
    [sym_concatenated_string] = STATE(1055),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2963),
    [sym_char_literal] = ACTIONS(2963),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [sym_null] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(2965),
    [sym_comment] = ACTIONS(39),
  },
  [916] = {
    [sym__expression] = STATE(1056),
    [sym_conditional_expression] = STATE(1056),
    [sym_assignment_expression] = STATE(1056),
    [sym_pointer_expression] = STATE(1056),
    [sym_logical_expression] = STATE(1056),
    [sym_bitwise_expression] = STATE(1056),
    [sym_equality_expression] = STATE(1056),
    [sym_relational_expression] = STATE(1056),
    [sym_shift_expression] = STATE(1056),
    [sym_math_expression] = STATE(1056),
    [sym_cast_expression] = STATE(1056),
    [sym_sizeof_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1056),
    [sym_call_expression] = STATE(1056),
    [sym_field_expression] = STATE(1056),
    [sym_compound_literal_expression] = STATE(1056),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_concatenated_string] = STATE(1056),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2967),
    [sym_char_literal] = ACTIONS(2967),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [sym_null] = ACTIONS(2969),
    [sym_identifier] = ACTIONS(2969),
    [sym_comment] = ACTIONS(39),
  },
  [917] = {
    [sym__expression] = STATE(1057),
    [sym_conditional_expression] = STATE(1057),
    [sym_assignment_expression] = STATE(1057),
    [sym_pointer_expression] = STATE(1057),
    [sym_logical_expression] = STATE(1057),
    [sym_bitwise_expression] = STATE(1057),
    [sym_equality_expression] = STATE(1057),
    [sym_relational_expression] = STATE(1057),
    [sym_shift_expression] = STATE(1057),
    [sym_math_expression] = STATE(1057),
    [sym_cast_expression] = STATE(1057),
    [sym_sizeof_expression] = STATE(1057),
    [sym_subscript_expression] = STATE(1057),
    [sym_call_expression] = STATE(1057),
    [sym_field_expression] = STATE(1057),
    [sym_compound_literal_expression] = STATE(1057),
    [sym_parenthesized_expression] = STATE(1057),
    [sym_concatenated_string] = STATE(1057),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2971),
    [sym_char_literal] = ACTIONS(2971),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [sym_null] = ACTIONS(2973),
    [sym_identifier] = ACTIONS(2973),
    [sym_comment] = ACTIONS(39),
  },
  [918] = {
    [sym__expression] = STATE(1058),
    [sym_conditional_expression] = STATE(1058),
    [sym_assignment_expression] = STATE(1058),
    [sym_pointer_expression] = STATE(1058),
    [sym_logical_expression] = STATE(1058),
    [sym_bitwise_expression] = STATE(1058),
    [sym_equality_expression] = STATE(1058),
    [sym_relational_expression] = STATE(1058),
    [sym_shift_expression] = STATE(1058),
    [sym_math_expression] = STATE(1058),
    [sym_cast_expression] = STATE(1058),
    [sym_sizeof_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1058),
    [sym_call_expression] = STATE(1058),
    [sym_field_expression] = STATE(1058),
    [sym_compound_literal_expression] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_concatenated_string] = STATE(1058),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2975),
    [sym_char_literal] = ACTIONS(2975),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [sym_null] = ACTIONS(2977),
    [sym_identifier] = ACTIONS(2977),
    [sym_comment] = ACTIONS(39),
  },
  [919] = {
    [sym__expression] = STATE(1059),
    [sym_conditional_expression] = STATE(1059),
    [sym_assignment_expression] = STATE(1059),
    [sym_pointer_expression] = STATE(1059),
    [sym_logical_expression] = STATE(1059),
    [sym_bitwise_expression] = STATE(1059),
    [sym_equality_expression] = STATE(1059),
    [sym_relational_expression] = STATE(1059),
    [sym_shift_expression] = STATE(1059),
    [sym_math_expression] = STATE(1059),
    [sym_cast_expression] = STATE(1059),
    [sym_sizeof_expression] = STATE(1059),
    [sym_subscript_expression] = STATE(1059),
    [sym_call_expression] = STATE(1059),
    [sym_field_expression] = STATE(1059),
    [sym_compound_literal_expression] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_concatenated_string] = STATE(1059),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2979),
    [sym_char_literal] = ACTIONS(2979),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [sym_null] = ACTIONS(2981),
    [sym_identifier] = ACTIONS(2981),
    [sym_comment] = ACTIONS(39),
  },
  [920] = {
    [sym__expression] = STATE(1060),
    [sym_conditional_expression] = STATE(1060),
    [sym_assignment_expression] = STATE(1060),
    [sym_pointer_expression] = STATE(1060),
    [sym_logical_expression] = STATE(1060),
    [sym_bitwise_expression] = STATE(1060),
    [sym_equality_expression] = STATE(1060),
    [sym_relational_expression] = STATE(1060),
    [sym_shift_expression] = STATE(1060),
    [sym_math_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym_sizeof_expression] = STATE(1060),
    [sym_subscript_expression] = STATE(1060),
    [sym_call_expression] = STATE(1060),
    [sym_field_expression] = STATE(1060),
    [sym_compound_literal_expression] = STATE(1060),
    [sym_parenthesized_expression] = STATE(1060),
    [sym_concatenated_string] = STATE(1060),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2983),
    [sym_char_literal] = ACTIONS(2983),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [sym_null] = ACTIONS(2985),
    [sym_identifier] = ACTIONS(2985),
    [sym_comment] = ACTIONS(39),
  },
  [921] = {
    [sym__expression] = STATE(1061),
    [sym_conditional_expression] = STATE(1061),
    [sym_assignment_expression] = STATE(1061),
    [sym_pointer_expression] = STATE(1061),
    [sym_logical_expression] = STATE(1061),
    [sym_bitwise_expression] = STATE(1061),
    [sym_equality_expression] = STATE(1061),
    [sym_relational_expression] = STATE(1061),
    [sym_shift_expression] = STATE(1061),
    [sym_math_expression] = STATE(1061),
    [sym_cast_expression] = STATE(1061),
    [sym_sizeof_expression] = STATE(1061),
    [sym_subscript_expression] = STATE(1061),
    [sym_call_expression] = STATE(1061),
    [sym_field_expression] = STATE(1061),
    [sym_compound_literal_expression] = STATE(1061),
    [sym_parenthesized_expression] = STATE(1061),
    [sym_concatenated_string] = STATE(1061),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2987),
    [sym_char_literal] = ACTIONS(2987),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [sym_null] = ACTIONS(2989),
    [sym_identifier] = ACTIONS(2989),
    [sym_comment] = ACTIONS(39),
  },
  [922] = {
    [sym_compound_statement] = STATE(1062),
    [sym_labeled_statement] = STATE(1062),
    [sym_expression_statement] = STATE(1062),
    [sym_if_statement] = STATE(1062),
    [sym_switch_statement] = STATE(1062),
    [sym_case_statement] = STATE(1062),
    [sym_while_statement] = STATE(1062),
    [sym_do_statement] = STATE(1062),
    [sym_for_statement] = STATE(1062),
    [sym_return_statement] = STATE(1062),
    [sym_break_statement] = STATE(1062),
    [sym_continue_statement] = STATE(1062),
    [sym_goto_statement] = STATE(1062),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [923] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [924] = {
    [anon_sym_RPAREN] = ACTIONS(2991),
    [sym_comment] = ACTIONS(39),
  },
  [925] = {
    [aux_sym_concatenated_string_repeat1] = STATE(925),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_COLON] = ACTIONS(2549),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_STAR_EQ] = ACTIONS(2549),
    [anon_sym_SLASH_EQ] = ACTIONS(2549),
    [anon_sym_PERCENT_EQ] = ACTIONS(2549),
    [anon_sym_PLUS_EQ] = ACTIONS(2549),
    [anon_sym_DASH_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_EQ] = ACTIONS(2549),
    [anon_sym_CARET_EQ] = ACTIONS(2549),
    [anon_sym_PIPE_EQ] = ACTIONS(2549),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_PIPE] = ACTIONS(2551),
    [anon_sym_CARET] = ACTIONS(2551),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT] = ACTIONS(2551),
    [anon_sym_GT_GT] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_SLASH] = ACTIONS(2551),
    [anon_sym_PERCENT] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_PLUS] = ACTIONS(2549),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2549),
    [sym_string_literal] = ACTIONS(2993),
    [sym_comment] = ACTIONS(39),
  },
  [926] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(2576),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [927] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_auto] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [sym_primitive_type] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_else] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [sym_number_literal] = ACTIONS(2998),
    [sym_char_literal] = ACTIONS(2998),
    [sym_string_literal] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [sym_null] = ACTIONS(2996),
    [sym_identifier] = ACTIONS(2996),
    [sym_comment] = ACTIONS(39),
  },
  [928] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(3000),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [929] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [930] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [931] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [932] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [933] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_COLON] = ACTIONS(2580),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [934] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [935] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_COLON] = ACTIONS(2592),
    [anon_sym_QMARK] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [936] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_COLON] = ACTIONS(2596),
    [anon_sym_QMARK] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [937] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2572),
    [anon_sym_COLON] = ACTIONS(2570),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_STAR_EQ] = ACTIONS(2570),
    [anon_sym_SLASH_EQ] = ACTIONS(2570),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_PLUS_EQ] = ACTIONS(2570),
    [anon_sym_DASH_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_GT_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2570),
    [anon_sym_CARET_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_EQ] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [938] = {
    [sym_compound_statement] = STATE(1065),
    [sym_labeled_statement] = STATE(1065),
    [sym_expression_statement] = STATE(1065),
    [sym_if_statement] = STATE(1065),
    [sym_switch_statement] = STATE(1065),
    [sym_case_statement] = STATE(1065),
    [sym_while_statement] = STATE(1065),
    [sym_do_statement] = STATE(1065),
    [sym_for_statement] = STATE(1065),
    [sym_return_statement] = STATE(1065),
    [sym_break_statement] = STATE(1065),
    [sym_continue_statement] = STATE(1065),
    [sym_goto_statement] = STATE(1065),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [939] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [940] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3004),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [941] = {
    [sym_declaration] = STATE(927),
    [sym_type_definition] = STATE(927),
    [sym__declaration_specifiers] = STATE(698),
    [sym_compound_statement] = STATE(927),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_case_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_goto_statement] = STATE(927),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2517),
    [sym_comment] = ACTIONS(39),
  },
  [942] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [943] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3006),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [944] = {
    [sym__expression] = STATE(1070),
    [sym_conditional_expression] = STATE(1070),
    [sym_assignment_expression] = STATE(1070),
    [sym_pointer_expression] = STATE(1070),
    [sym_logical_expression] = STATE(1070),
    [sym_bitwise_expression] = STATE(1070),
    [sym_equality_expression] = STATE(1070),
    [sym_relational_expression] = STATE(1070),
    [sym_shift_expression] = STATE(1070),
    [sym_math_expression] = STATE(1070),
    [sym_cast_expression] = STATE(1070),
    [sym_sizeof_expression] = STATE(1070),
    [sym_subscript_expression] = STATE(1070),
    [sym_call_expression] = STATE(1070),
    [sym_field_expression] = STATE(1070),
    [sym_compound_literal_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_concatenated_string] = STATE(1070),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3010),
    [sym_char_literal] = ACTIONS(3010),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3012),
    [sym_false] = ACTIONS(3012),
    [sym_null] = ACTIONS(3012),
    [sym_identifier] = ACTIONS(3012),
    [sym_comment] = ACTIONS(39),
  },
  [945] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [946] = {
    [sym__expression] = STATE(1072),
    [sym_conditional_expression] = STATE(1072),
    [sym_assignment_expression] = STATE(1072),
    [sym_pointer_expression] = STATE(1072),
    [sym_logical_expression] = STATE(1072),
    [sym_bitwise_expression] = STATE(1072),
    [sym_equality_expression] = STATE(1072),
    [sym_relational_expression] = STATE(1072),
    [sym_shift_expression] = STATE(1072),
    [sym_math_expression] = STATE(1072),
    [sym_cast_expression] = STATE(1072),
    [sym_sizeof_expression] = STATE(1072),
    [sym_subscript_expression] = STATE(1072),
    [sym_call_expression] = STATE(1072),
    [sym_field_expression] = STATE(1072),
    [sym_compound_literal_expression] = STATE(1072),
    [sym_parenthesized_expression] = STATE(1072),
    [sym_concatenated_string] = STATE(1072),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3016),
    [sym_char_literal] = ACTIONS(3016),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [sym_null] = ACTIONS(3018),
    [sym_identifier] = ACTIONS(3018),
    [sym_comment] = ACTIONS(39),
  },
  [947] = {
    [sym__expression] = STATE(1074),
    [sym_conditional_expression] = STATE(1074),
    [sym_assignment_expression] = STATE(1074),
    [sym_pointer_expression] = STATE(1074),
    [sym_logical_expression] = STATE(1074),
    [sym_bitwise_expression] = STATE(1074),
    [sym_equality_expression] = STATE(1074),
    [sym_relational_expression] = STATE(1074),
    [sym_shift_expression] = STATE(1074),
    [sym_math_expression] = STATE(1074),
    [sym_cast_expression] = STATE(1074),
    [sym_sizeof_expression] = STATE(1074),
    [sym_subscript_expression] = STATE(1074),
    [sym_call_expression] = STATE(1074),
    [sym_field_expression] = STATE(1074),
    [sym_compound_literal_expression] = STATE(1074),
    [sym_parenthesized_expression] = STATE(1074),
    [sym_concatenated_string] = STATE(1074),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3022),
    [sym_char_literal] = ACTIONS(3022),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3024),
    [sym_false] = ACTIONS(3024),
    [sym_null] = ACTIONS(3024),
    [sym_identifier] = ACTIONS(3024),
    [sym_comment] = ACTIONS(39),
  },
  [948] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [949] = {
    [sym__expression] = STATE(1076),
    [sym_conditional_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1076),
    [sym_pointer_expression] = STATE(1076),
    [sym_logical_expression] = STATE(1076),
    [sym_bitwise_expression] = STATE(1076),
    [sym_equality_expression] = STATE(1076),
    [sym_relational_expression] = STATE(1076),
    [sym_shift_expression] = STATE(1076),
    [sym_math_expression] = STATE(1076),
    [sym_cast_expression] = STATE(1076),
    [sym_sizeof_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1076),
    [sym_call_expression] = STATE(1076),
    [sym_field_expression] = STATE(1076),
    [sym_compound_literal_expression] = STATE(1076),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_concatenated_string] = STATE(1076),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3028),
    [sym_char_literal] = ACTIONS(3028),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [sym_null] = ACTIONS(3030),
    [sym_identifier] = ACTIONS(3030),
    [sym_comment] = ACTIONS(39),
  },
  [950] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_COMMA] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_GT_GT] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [951] = {
    [sym__expression] = STATE(1077),
    [sym_conditional_expression] = STATE(1077),
    [sym_assignment_expression] = STATE(1077),
    [sym_pointer_expression] = STATE(1077),
    [sym_logical_expression] = STATE(1077),
    [sym_bitwise_expression] = STATE(1077),
    [sym_equality_expression] = STATE(1077),
    [sym_relational_expression] = STATE(1077),
    [sym_shift_expression] = STATE(1077),
    [sym_math_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym_sizeof_expression] = STATE(1077),
    [sym_subscript_expression] = STATE(1077),
    [sym_call_expression] = STATE(1077),
    [sym_field_expression] = STATE(1077),
    [sym_compound_literal_expression] = STATE(1077),
    [sym_parenthesized_expression] = STATE(1077),
    [sym_concatenated_string] = STATE(1077),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3040),
    [sym_char_literal] = ACTIONS(3040),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_identifier] = ACTIONS(3042),
    [sym_comment] = ACTIONS(39),
  },
  [952] = {
    [anon_sym_LPAREN] = ACTIONS(3044),
    [anon_sym_COMMA] = ACTIONS(3044),
    [anon_sym_RPAREN] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3044),
    [anon_sym_RBRACE] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_RBRACK] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3046),
    [anon_sym_COLON] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3044),
    [anon_sym_STAR_EQ] = ACTIONS(3044),
    [anon_sym_SLASH_EQ] = ACTIONS(3044),
    [anon_sym_PERCENT_EQ] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3044),
    [anon_sym_DASH_EQ] = ACTIONS(3044),
    [anon_sym_LT_LT_EQ] = ACTIONS(3044),
    [anon_sym_GT_GT_EQ] = ACTIONS(3044),
    [anon_sym_AMP_EQ] = ACTIONS(3044),
    [anon_sym_CARET_EQ] = ACTIONS(3044),
    [anon_sym_PIPE_EQ] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE_PIPE] = ACTIONS(3044),
    [anon_sym_AMP_AMP] = ACTIONS(3044),
    [anon_sym_PIPE] = ACTIONS(3046),
    [anon_sym_CARET] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(3046),
    [anon_sym_GT] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3044),
    [anon_sym_GT_EQ] = ACTIONS(3044),
    [anon_sym_LT_LT] = ACTIONS(3046),
    [anon_sym_GT_GT] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3046),
    [anon_sym_PERCENT] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3044),
    [anon_sym_PLUS_PLUS] = ACTIONS(3044),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_DASH_GT] = ACTIONS(3044),
    [sym_comment] = ACTIONS(39),
  },
  [953] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3048),
    [sym_comment] = ACTIONS(39),
  },
  [954] = {
    [anon_sym_LPAREN] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_RPAREN] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3050),
    [anon_sym_RBRACK] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_COLON] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_EQ_EQ] = ACTIONS(3050),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_GT_GT] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DOT] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(39),
  },
  [955] = {
    [sym__expression] = STATE(1080),
    [sym_conditional_expression] = STATE(1080),
    [sym_assignment_expression] = STATE(1080),
    [sym_pointer_expression] = STATE(1080),
    [sym_logical_expression] = STATE(1080),
    [sym_bitwise_expression] = STATE(1080),
    [sym_equality_expression] = STATE(1080),
    [sym_relational_expression] = STATE(1080),
    [sym_shift_expression] = STATE(1080),
    [sym_math_expression] = STATE(1080),
    [sym_cast_expression] = STATE(1080),
    [sym_sizeof_expression] = STATE(1080),
    [sym_subscript_expression] = STATE(1080),
    [sym_call_expression] = STATE(1080),
    [sym_field_expression] = STATE(1080),
    [sym_compound_literal_expression] = STATE(1080),
    [sym_parenthesized_expression] = STATE(1080),
    [sym_concatenated_string] = STATE(1080),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(3054),
    [sym_char_literal] = ACTIONS(3054),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [sym_null] = ACTIONS(3056),
    [sym_identifier] = ACTIONS(3056),
    [sym_comment] = ACTIONS(39),
  },
  [956] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_RBRACK] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3058),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_GT_GT] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [957] = {
    [sym__expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1081),
    [sym_assignment_expression] = STATE(1081),
    [sym_pointer_expression] = STATE(1081),
    [sym_logical_expression] = STATE(1081),
    [sym_bitwise_expression] = STATE(1081),
    [sym_equality_expression] = STATE(1081),
    [sym_relational_expression] = STATE(1081),
    [sym_shift_expression] = STATE(1081),
    [sym_math_expression] = STATE(1081),
    [sym_cast_expression] = STATE(1081),
    [sym_sizeof_expression] = STATE(1081),
    [sym_subscript_expression] = STATE(1081),
    [sym_call_expression] = STATE(1081),
    [sym_field_expression] = STATE(1081),
    [sym_compound_literal_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_concatenated_string] = STATE(1081),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_sizeof] = ACTIONS(604),
    [sym_number_literal] = ACTIONS(3062),
    [sym_char_literal] = ACTIONS(3062),
    [sym_string_literal] = ACTIONS(608),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3064),
    [sym_comment] = ACTIONS(39),
  },
  [958] = {
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(39),
  },
  [959] = {
    [anon_sym_LPAREN] = ACTIONS(3068),
    [anon_sym_COMMA] = ACTIONS(3068),
    [anon_sym_RPAREN] = ACTIONS(3068),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3068),
    [anon_sym_RBRACK] = ACTIONS(3068),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_COLON] = ACTIONS(3068),
    [anon_sym_QMARK] = ACTIONS(3068),
    [anon_sym_STAR_EQ] = ACTIONS(3068),
    [anon_sym_SLASH_EQ] = ACTIONS(3068),
    [anon_sym_PERCENT_EQ] = ACTIONS(3068),
    [anon_sym_PLUS_EQ] = ACTIONS(3068),
    [anon_sym_DASH_EQ] = ACTIONS(3068),
    [anon_sym_LT_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_GT_EQ] = ACTIONS(3068),
    [anon_sym_AMP_EQ] = ACTIONS(3068),
    [anon_sym_CARET_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_EQ] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3070),
    [anon_sym_GT_GT] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_DASH_GT] = ACTIONS(3068),
    [sym_comment] = ACTIONS(39),
  },
  [960] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(1331),
    [anon_sym_STAR_EQ] = ACTIONS(1333),
    [anon_sym_SLASH_EQ] = ACTIONS(1333),
    [anon_sym_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_EQ] = ACTIONS(1333),
    [anon_sym_DASH_EQ] = ACTIONS(1333),
    [anon_sym_LT_LT_EQ] = ACTIONS(1333),
    [anon_sym_GT_GT_EQ] = ACTIONS(1333),
    [anon_sym_AMP_EQ] = ACTIONS(1333),
    [anon_sym_CARET_EQ] = ACTIONS(1333),
    [anon_sym_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [961] = {
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [sym_comment] = ACTIONS(39),
  },
  [962] = {
    [sym__expression] = STATE(960),
    [sym_conditional_expression] = STATE(960),
    [sym_assignment_expression] = STATE(960),
    [sym_pointer_expression] = STATE(960),
    [sym_logical_expression] = STATE(960),
    [sym_bitwise_expression] = STATE(960),
    [sym_equality_expression] = STATE(960),
    [sym_relational_expression] = STATE(960),
    [sym_shift_expression] = STATE(960),
    [sym_math_expression] = STATE(960),
    [sym_cast_expression] = STATE(960),
    [sym_sizeof_expression] = STATE(960),
    [sym_subscript_expression] = STATE(960),
    [sym_call_expression] = STATE(960),
    [sym_field_expression] = STATE(960),
    [sym_compound_literal_expression] = STATE(960),
    [sym_parenthesized_expression] = STATE(960),
    [sym_initializer_list] = STATE(961),
    [sym_initializer_pair] = STATE(961),
    [sym_subscript_designator] = STATE(493),
    [sym_field_designator] = STATE(493),
    [sym_concatenated_string] = STATE(960),
    [aux_sym_initializer_pair_repeat1] = STATE(493),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [anon_sym_DOT] = ACTIONS(1180),
    [sym_number_literal] = ACTIONS(2623),
    [sym_char_literal] = ACTIONS(2623),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_identifier] = ACTIONS(2625),
    [sym_comment] = ACTIONS(39),
  },
  [963] = {
    [aux_sym_initializer_list_repeat1] = STATE(963),
    [anon_sym_COMMA] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [sym_comment] = ACTIONS(39),
  },
  [964] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(3079),
    [anon_sym_RBRACE] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(1331),
    [anon_sym_STAR_EQ] = ACTIONS(1333),
    [anon_sym_SLASH_EQ] = ACTIONS(1333),
    [anon_sym_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_EQ] = ACTIONS(1333),
    [anon_sym_DASH_EQ] = ACTIONS(1333),
    [anon_sym_LT_LT_EQ] = ACTIONS(1333),
    [anon_sym_GT_GT_EQ] = ACTIONS(1333),
    [anon_sym_AMP_EQ] = ACTIONS(1333),
    [anon_sym_CARET_EQ] = ACTIONS(1333),
    [anon_sym_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [965] = {
    [anon_sym_COMMA] = ACTIONS(3079),
    [anon_sym_RBRACE] = ACTIONS(3079),
    [sym_comment] = ACTIONS(39),
  },
  [966] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1197),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1197),
    [sym_preproc_directive] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1197),
    [anon_sym_extern] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1197),
    [anon_sym_auto] = ACTIONS(1197),
    [anon_sym_register] = ACTIONS(1197),
    [anon_sym_inline] = ACTIONS(1197),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_restrict] = ACTIONS(1197),
    [anon_sym_volatile] = ACTIONS(1197),
    [anon_sym__Atomic] = ACTIONS(1197),
    [anon_sym_unsigned] = ACTIONS(1197),
    [anon_sym_long] = ACTIONS(1197),
    [anon_sym_short] = ACTIONS(1197),
    [sym_primitive_type] = ACTIONS(1197),
    [anon_sym_enum] = ACTIONS(1197),
    [anon_sym_struct] = ACTIONS(1197),
    [anon_sym_union] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1197),
    [anon_sym_switch] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1197),
    [anon_sym_default] = ACTIONS(1197),
    [anon_sym_while] = ACTIONS(1197),
    [anon_sym_do] = ACTIONS(1197),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_return] = ACTIONS(1197),
    [anon_sym_break] = ACTIONS(1197),
    [anon_sym_continue] = ACTIONS(1197),
    [anon_sym_goto] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_DASH_DASH] = ACTIONS(1195),
    [anon_sym_PLUS_PLUS] = ACTIONS(1195),
    [anon_sym_sizeof] = ACTIONS(1197),
    [sym_number_literal] = ACTIONS(1195),
    [sym_char_literal] = ACTIONS(1195),
    [sym_string_literal] = ACTIONS(1195),
    [sym_true] = ACTIONS(1197),
    [sym_false] = ACTIONS(1197),
    [sym_null] = ACTIONS(1197),
    [sym_identifier] = ACTIONS(1197),
    [sym_comment] = ACTIONS(39),
  },
  [967] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1207),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1205),
    [sym_char_literal] = ACTIONS(1205),
    [sym_string_literal] = ACTIONS(1205),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [sym_null] = ACTIONS(1207),
    [sym_identifier] = ACTIONS(1207),
    [sym_comment] = ACTIONS(39),
  },
  [968] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1287),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1287),
    [sym_comment] = ACTIONS(39),
  },
  [969] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1291),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1291),
    [sym_comment] = ACTIONS(39),
  },
  [970] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1295),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [sym_identifier] = ACTIONS(1295),
    [sym_comment] = ACTIONS(39),
  },
  [971] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1311),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_else] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1309),
    [sym_char_literal] = ACTIONS(1309),
    [sym_string_literal] = ACTIONS(1309),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [sym_null] = ACTIONS(1311),
    [sym_identifier] = ACTIONS(1311),
    [sym_comment] = ACTIONS(39),
  },
  [972] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [sym_identifier] = ACTIONS(1315),
    [sym_comment] = ACTIONS(39),
  },
  [973] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1789),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1791),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1791),
    [sym_preproc_directive] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1789),
    [anon_sym_typedef] = ACTIONS(1791),
    [anon_sym_extern] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_static] = ACTIONS(1791),
    [anon_sym_auto] = ACTIONS(1791),
    [anon_sym_register] = ACTIONS(1791),
    [anon_sym_inline] = ACTIONS(1791),
    [anon_sym_const] = ACTIONS(1791),
    [anon_sym_restrict] = ACTIONS(1791),
    [anon_sym_volatile] = ACTIONS(1791),
    [anon_sym__Atomic] = ACTIONS(1791),
    [anon_sym_unsigned] = ACTIONS(1791),
    [anon_sym_long] = ACTIONS(1791),
    [anon_sym_short] = ACTIONS(1791),
    [sym_primitive_type] = ACTIONS(1791),
    [anon_sym_enum] = ACTIONS(1791),
    [anon_sym_struct] = ACTIONS(1791),
    [anon_sym_union] = ACTIONS(1791),
    [anon_sym_if] = ACTIONS(1791),
    [anon_sym_else] = ACTIONS(1791),
    [anon_sym_switch] = ACTIONS(1791),
    [anon_sym_case] = ACTIONS(1791),
    [anon_sym_default] = ACTIONS(1791),
    [anon_sym_while] = ACTIONS(1791),
    [anon_sym_do] = ACTIONS(1791),
    [anon_sym_for] = ACTIONS(1791),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_break] = ACTIONS(1791),
    [anon_sym_continue] = ACTIONS(1791),
    [anon_sym_goto] = ACTIONS(1791),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS] = ACTIONS(1791),
    [anon_sym_DASH] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_sizeof] = ACTIONS(1791),
    [sym_number_literal] = ACTIONS(1789),
    [sym_char_literal] = ACTIONS(1789),
    [sym_string_literal] = ACTIONS(1789),
    [sym_true] = ACTIONS(1791),
    [sym_false] = ACTIONS(1791),
    [sym_null] = ACTIONS(1791),
    [sym_identifier] = ACTIONS(1791),
    [sym_comment] = ACTIONS(39),
  },
  [974] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_GT_GT] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [975] = {
    [sym__expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_assignment_expression] = STATE(1084),
    [sym_pointer_expression] = STATE(1084),
    [sym_logical_expression] = STATE(1084),
    [sym_bitwise_expression] = STATE(1084),
    [sym_equality_expression] = STATE(1084),
    [sym_relational_expression] = STATE(1084),
    [sym_shift_expression] = STATE(1084),
    [sym_math_expression] = STATE(1084),
    [sym_cast_expression] = STATE(1084),
    [sym_sizeof_expression] = STATE(1084),
    [sym_subscript_expression] = STATE(1084),
    [sym_call_expression] = STATE(1084),
    [sym_field_expression] = STATE(1084),
    [sym_compound_literal_expression] = STATE(1084),
    [sym_parenthesized_expression] = STATE(1084),
    [sym_concatenated_string] = STATE(1084),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [sym_number_literal] = ACTIONS(3085),
    [sym_char_literal] = ACTIONS(3085),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(3087),
    [sym_false] = ACTIONS(3087),
    [sym_null] = ACTIONS(3087),
    [sym_identifier] = ACTIONS(3087),
    [sym_comment] = ACTIONS(39),
  },
  [976] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3089),
    [sym_comment] = ACTIONS(39),
  },
  [977] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3091),
    [sym_comment] = ACTIONS(39),
  },
  [978] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3093),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3095),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_GT_GT] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [979] = {
    [sym__expression] = STATE(1085),
    [sym_conditional_expression] = STATE(1085),
    [sym_assignment_expression] = STATE(1085),
    [sym_pointer_expression] = STATE(1085),
    [sym_logical_expression] = STATE(1085),
    [sym_bitwise_expression] = STATE(1085),
    [sym_equality_expression] = STATE(1085),
    [sym_relational_expression] = STATE(1085),
    [sym_shift_expression] = STATE(1085),
    [sym_math_expression] = STATE(1085),
    [sym_cast_expression] = STATE(1085),
    [sym_sizeof_expression] = STATE(1085),
    [sym_subscript_expression] = STATE(1085),
    [sym_call_expression] = STATE(1085),
    [sym_field_expression] = STATE(1085),
    [sym_compound_literal_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(1085),
    [sym_concatenated_string] = STATE(1085),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3097),
    [sym_char_literal] = ACTIONS(3097),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [sym_null] = ACTIONS(3099),
    [sym_identifier] = ACTIONS(3099),
    [sym_comment] = ACTIONS(39),
  },
  [980] = {
    [anon_sym_LPAREN] = ACTIONS(3101),
    [anon_sym_COMMA] = ACTIONS(3101),
    [anon_sym_RPAREN] = ACTIONS(3101),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_COLON] = ACTIONS(3101),
    [sym_comment] = ACTIONS(39),
  },
  [981] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3103),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3105),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3105),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3105),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3105),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3105),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_auto] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [sym_identifier] = ACTIONS(3103),
    [sym_comment] = ACTIONS(39),
  },
  [982] = {
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_COMMA] = ACTIONS(3107),
    [anon_sym_RPAREN] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [sym_comment] = ACTIONS(39),
  },
  [983] = {
    [sym_type_qualifier] = STATE(983),
    [aux_sym_type_definition_repeat1] = STATE(983),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_RPAREN] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(418),
    [anon_sym_restrict] = ACTIONS(418),
    [anon_sym_volatile] = ACTIONS(418),
    [anon_sym__Atomic] = ACTIONS(418),
    [sym_identifier] = ACTIONS(421),
    [sym_comment] = ACTIONS(39),
  },
  [984] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_COMMA] = ACTIONS(3032),
    [anon_sym_RPAREN] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3109),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_GT_GT] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [985] = {
    [sym__expression] = STATE(1086),
    [sym_conditional_expression] = STATE(1086),
    [sym_assignment_expression] = STATE(1086),
    [sym_pointer_expression] = STATE(1086),
    [sym_logical_expression] = STATE(1086),
    [sym_bitwise_expression] = STATE(1086),
    [sym_equality_expression] = STATE(1086),
    [sym_relational_expression] = STATE(1086),
    [sym_shift_expression] = STATE(1086),
    [sym_math_expression] = STATE(1086),
    [sym_cast_expression] = STATE(1086),
    [sym_sizeof_expression] = STATE(1086),
    [sym_subscript_expression] = STATE(1086),
    [sym_call_expression] = STATE(1086),
    [sym_field_expression] = STATE(1086),
    [sym_compound_literal_expression] = STATE(1086),
    [sym_parenthesized_expression] = STATE(1086),
    [sym_concatenated_string] = STATE(1086),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3113),
    [sym_char_literal] = ACTIONS(3113),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [sym_null] = ACTIONS(3115),
    [sym_identifier] = ACTIONS(3115),
    [sym_comment] = ACTIONS(39),
  },
  [986] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2307),
    [sym_preproc_directive] = ACTIONS(2307),
    [anon_sym_SEMI] = ACTIONS(2309),
    [anon_sym_typedef] = ACTIONS(2307),
    [anon_sym_extern] = ACTIONS(2307),
    [anon_sym_LBRACE] = ACTIONS(2309),
    [anon_sym_STAR] = ACTIONS(2309),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_auto] = ACTIONS(2307),
    [anon_sym_register] = ACTIONS(2307),
    [anon_sym_inline] = ACTIONS(2307),
    [anon_sym_const] = ACTIONS(2307),
    [anon_sym_restrict] = ACTIONS(2307),
    [anon_sym_volatile] = ACTIONS(2307),
    [anon_sym__Atomic] = ACTIONS(2307),
    [anon_sym_unsigned] = ACTIONS(2307),
    [anon_sym_long] = ACTIONS(2307),
    [anon_sym_short] = ACTIONS(2307),
    [sym_primitive_type] = ACTIONS(2307),
    [anon_sym_enum] = ACTIONS(2307),
    [anon_sym_struct] = ACTIONS(2307),
    [anon_sym_union] = ACTIONS(2307),
    [anon_sym_if] = ACTIONS(2307),
    [anon_sym_switch] = ACTIONS(2307),
    [anon_sym_case] = ACTIONS(2307),
    [anon_sym_default] = ACTIONS(2307),
    [anon_sym_while] = ACTIONS(2307),
    [anon_sym_do] = ACTIONS(2307),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_return] = ACTIONS(2307),
    [anon_sym_break] = ACTIONS(2307),
    [anon_sym_continue] = ACTIONS(2307),
    [anon_sym_goto] = ACTIONS(2307),
    [anon_sym_AMP] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2307),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_DASH_DASH] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2309),
    [anon_sym_sizeof] = ACTIONS(2307),
    [sym_number_literal] = ACTIONS(2309),
    [sym_char_literal] = ACTIONS(2309),
    [sym_string_literal] = ACTIONS(2309),
    [sym_true] = ACTIONS(2307),
    [sym_false] = ACTIONS(2307),
    [sym_null] = ACTIONS(2307),
    [sym_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(39),
  },
  [987] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3117),
    [sym_comment] = ACTIONS(39),
  },
  [988] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3119),
    [sym_comment] = ACTIONS(39),
  },
  [989] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1090),
    [sym_preproc_elif_in_compound_statement] = STATE(1091),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3121),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [990] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2395),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2395),
    [anon_sym_typedef] = ACTIONS(2393),
    [anon_sym_extern] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2395),
    [anon_sym_STAR] = ACTIONS(2395),
    [anon_sym_static] = ACTIONS(2393),
    [anon_sym_auto] = ACTIONS(2393),
    [anon_sym_register] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_restrict] = ACTIONS(2393),
    [anon_sym_volatile] = ACTIONS(2393),
    [anon_sym__Atomic] = ACTIONS(2393),
    [anon_sym_unsigned] = ACTIONS(2393),
    [anon_sym_long] = ACTIONS(2393),
    [anon_sym_short] = ACTIONS(2393),
    [sym_primitive_type] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_struct] = ACTIONS(2393),
    [anon_sym_union] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_case] = ACTIONS(2393),
    [anon_sym_default] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_do] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_break] = ACTIONS(2393),
    [anon_sym_continue] = ACTIONS(2393),
    [anon_sym_goto] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_BANG] = ACTIONS(2395),
    [anon_sym_TILDE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2395),
    [anon_sym_PLUS_PLUS] = ACTIONS(2395),
    [anon_sym_sizeof] = ACTIONS(2393),
    [sym_number_literal] = ACTIONS(2395),
    [sym_char_literal] = ACTIONS(2395),
    [sym_string_literal] = ACTIONS(2395),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_identifier] = ACTIONS(2393),
    [sym_comment] = ACTIONS(39),
  },
  [991] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3123),
    [sym_comment] = ACTIONS(39),
  },
  [992] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3125),
    [sym_comment] = ACTIONS(39),
  },
  [993] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1095),
    [sym_preproc_elif_in_compound_statement] = STATE(1096),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [994] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2403),
    [sym_preproc_directive] = ACTIONS(2403),
    [anon_sym_SEMI] = ACTIONS(2405),
    [anon_sym_typedef] = ACTIONS(2403),
    [anon_sym_extern] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_STAR] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_auto] = ACTIONS(2403),
    [anon_sym_register] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_restrict] = ACTIONS(2403),
    [anon_sym_volatile] = ACTIONS(2403),
    [anon_sym__Atomic] = ACTIONS(2403),
    [anon_sym_unsigned] = ACTIONS(2403),
    [anon_sym_long] = ACTIONS(2403),
    [anon_sym_short] = ACTIONS(2403),
    [sym_primitive_type] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_struct] = ACTIONS(2403),
    [anon_sym_union] = ACTIONS(2403),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_switch] = ACTIONS(2403),
    [anon_sym_case] = ACTIONS(2403),
    [anon_sym_default] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_do] = ACTIONS(2403),
    [anon_sym_for] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_break] = ACTIONS(2403),
    [anon_sym_continue] = ACTIONS(2403),
    [anon_sym_goto] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2405),
    [anon_sym_BANG] = ACTIONS(2405),
    [anon_sym_TILDE] = ACTIONS(2405),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_DASH_DASH] = ACTIONS(2405),
    [anon_sym_PLUS_PLUS] = ACTIONS(2405),
    [anon_sym_sizeof] = ACTIONS(2403),
    [sym_number_literal] = ACTIONS(2405),
    [sym_char_literal] = ACTIONS(2405),
    [sym_string_literal] = ACTIONS(2405),
    [sym_true] = ACTIONS(2403),
    [sym_false] = ACTIONS(2403),
    [sym_null] = ACTIONS(2403),
    [sym_identifier] = ACTIONS(2403),
    [sym_comment] = ACTIONS(39),
  },
  [995] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3129),
    [sym_comment] = ACTIONS(39),
  },
  [996] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3131),
    [sym_comment] = ACTIONS(39),
  },
  [997] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1100),
    [sym_preproc_elif_in_compound_statement] = STATE(1101),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3133),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [998] = {
    [sym_preproc_include] = STATE(1105),
    [sym_preproc_def] = STATE(1105),
    [sym_preproc_function_def] = STATE(1105),
    [sym_preproc_call] = STATE(1105),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1103),
    [sym_preproc_elif_in_compound_statement] = STATE(1104),
    [sym_declaration] = STATE(1105),
    [sym_type_definition] = STATE(1105),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(1105),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(1105),
    [sym_expression_statement] = STATE(1105),
    [sym_if_statement] = STATE(1105),
    [sym_switch_statement] = STATE(1105),
    [sym_case_statement] = STATE(1105),
    [sym_while_statement] = STATE(1105),
    [sym_do_statement] = STATE(1105),
    [sym_for_statement] = STATE(1105),
    [sym_return_statement] = STATE(1105),
    [sym_break_statement] = STATE(1105),
    [sym_continue_statement] = STATE(1105),
    [sym_goto_statement] = STATE(1105),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(1105),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(1105),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3135),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [999] = {
    [sym_preproc_include] = STATE(1109),
    [sym_preproc_def] = STATE(1109),
    [sym_preproc_function_def] = STATE(1109),
    [sym_preproc_call] = STATE(1109),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1107),
    [sym_preproc_elif_in_compound_statement] = STATE(1108),
    [sym_declaration] = STATE(1109),
    [sym_type_definition] = STATE(1109),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(1109),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(1109),
    [sym_expression_statement] = STATE(1109),
    [sym_if_statement] = STATE(1109),
    [sym_switch_statement] = STATE(1109),
    [sym_case_statement] = STATE(1109),
    [sym_while_statement] = STATE(1109),
    [sym_do_statement] = STATE(1109),
    [sym_for_statement] = STATE(1109),
    [sym_return_statement] = STATE(1109),
    [sym_break_statement] = STATE(1109),
    [sym_continue_statement] = STATE(1109),
    [sym_goto_statement] = STATE(1109),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(1109),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(1109),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3137),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [1000] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1111),
    [sym_preproc_elif_in_compound_statement] = STATE(1112),
    [sym_declaration] = STATE(1113),
    [sym_type_definition] = STATE(1113),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(1113),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(1113),
    [sym_expression_statement] = STATE(1113),
    [sym_if_statement] = STATE(1113),
    [sym_switch_statement] = STATE(1113),
    [sym_case_statement] = STATE(1113),
    [sym_while_statement] = STATE(1113),
    [sym_do_statement] = STATE(1113),
    [sym_for_statement] = STATE(1113),
    [sym_return_statement] = STATE(1113),
    [sym_break_statement] = STATE(1113),
    [sym_continue_statement] = STATE(1113),
    [sym_goto_statement] = STATE(1113),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(1113),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(1113),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3139),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [1001] = {
    [sym__expression] = STATE(1114),
    [sym_conditional_expression] = STATE(1114),
    [sym_assignment_expression] = STATE(1114),
    [sym_pointer_expression] = STATE(1114),
    [sym_logical_expression] = STATE(1114),
    [sym_bitwise_expression] = STATE(1114),
    [sym_equality_expression] = STATE(1114),
    [sym_relational_expression] = STATE(1114),
    [sym_shift_expression] = STATE(1114),
    [sym_math_expression] = STATE(1114),
    [sym_cast_expression] = STATE(1114),
    [sym_sizeof_expression] = STATE(1114),
    [sym_subscript_expression] = STATE(1114),
    [sym_call_expression] = STATE(1114),
    [sym_field_expression] = STATE(1114),
    [sym_compound_literal_expression] = STATE(1114),
    [sym_parenthesized_expression] = STATE(1114),
    [sym_concatenated_string] = STATE(1114),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3141),
    [sym_char_literal] = ACTIONS(3141),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [sym_null] = ACTIONS(3143),
    [sym_identifier] = ACTIONS(3143),
    [sym_comment] = ACTIONS(39),
  },
  [1002] = {
    [sym__expression] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1115),
    [sym_logical_expression] = STATE(1115),
    [sym_bitwise_expression] = STATE(1115),
    [sym_equality_expression] = STATE(1115),
    [sym_relational_expression] = STATE(1115),
    [sym_shift_expression] = STATE(1115),
    [sym_math_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_call_expression] = STATE(1115),
    [sym_field_expression] = STATE(1115),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3145),
    [sym_char_literal] = ACTIONS(3145),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [sym_null] = ACTIONS(3147),
    [sym_identifier] = ACTIONS(3147),
    [sym_comment] = ACTIONS(39),
  },
  [1003] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1004] = {
    [sym_declaration] = STATE(1118),
    [sym_type_definition] = STATE(1118),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_compound_statement] = STATE(1118),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(1118),
    [sym_expression_statement] = STATE(1118),
    [sym_if_statement] = STATE(1118),
    [sym_switch_statement] = STATE(1118),
    [sym_case_statement] = STATE(1118),
    [sym_while_statement] = STATE(1118),
    [sym_do_statement] = STATE(1118),
    [sym_for_statement] = STATE(1118),
    [sym_return_statement] = STATE(1118),
    [sym_break_statement] = STATE(1118),
    [sym_continue_statement] = STATE(1118),
    [sym_goto_statement] = STATE(1118),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_typedef] = ACTIONS(362),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3151),
    [sym_comment] = ACTIONS(39),
  },
  [1005] = {
    [sym__expression] = STATE(1120),
    [sym_conditional_expression] = STATE(1120),
    [sym_assignment_expression] = STATE(1120),
    [sym_pointer_expression] = STATE(1120),
    [sym_logical_expression] = STATE(1120),
    [sym_bitwise_expression] = STATE(1120),
    [sym_equality_expression] = STATE(1120),
    [sym_relational_expression] = STATE(1120),
    [sym_shift_expression] = STATE(1120),
    [sym_math_expression] = STATE(1120),
    [sym_cast_expression] = STATE(1120),
    [sym_sizeof_expression] = STATE(1120),
    [sym_subscript_expression] = STATE(1120),
    [sym_call_expression] = STATE(1120),
    [sym_field_expression] = STATE(1120),
    [sym_compound_literal_expression] = STATE(1120),
    [sym_parenthesized_expression] = STATE(1120),
    [sym_concatenated_string] = STATE(1120),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3153),
    [sym_char_literal] = ACTIONS(3153),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [sym_null] = ACTIONS(3155),
    [sym_identifier] = ACTIONS(3155),
    [sym_comment] = ACTIONS(39),
  },
  [1006] = {
    [anon_sym_while] = ACTIONS(3157),
    [sym_comment] = ACTIONS(39),
  },
  [1007] = {
    [sym_declaration] = STATE(1122),
    [sym__declaration_specifiers] = STATE(698),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym__expression] = STATE(1123),
    [sym_conditional_expression] = STATE(1123),
    [sym_assignment_expression] = STATE(1123),
    [sym_pointer_expression] = STATE(1123),
    [sym_logical_expression] = STATE(1123),
    [sym_bitwise_expression] = STATE(1123),
    [sym_equality_expression] = STATE(1123),
    [sym_relational_expression] = STATE(1123),
    [sym_shift_expression] = STATE(1123),
    [sym_math_expression] = STATE(1123),
    [sym_cast_expression] = STATE(1123),
    [sym_sizeof_expression] = STATE(1123),
    [sym_subscript_expression] = STATE(1123),
    [sym_call_expression] = STATE(1123),
    [sym_field_expression] = STATE(1123),
    [sym_compound_literal_expression] = STATE(1123),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_concatenated_string] = STATE(1123),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3159),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3161),
    [sym_char_literal] = ACTIONS(3161),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [sym_null] = ACTIONS(3163),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(39),
  },
  [1008] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1677),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1677),
    [sym_preproc_directive] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1679),
    [anon_sym_typedef] = ACTIONS(1677),
    [anon_sym_extern] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1677),
    [anon_sym_auto] = ACTIONS(1677),
    [anon_sym_register] = ACTIONS(1677),
    [anon_sym_inline] = ACTIONS(1677),
    [anon_sym_const] = ACTIONS(1677),
    [anon_sym_restrict] = ACTIONS(1677),
    [anon_sym_volatile] = ACTIONS(1677),
    [anon_sym__Atomic] = ACTIONS(1677),
    [anon_sym_unsigned] = ACTIONS(1677),
    [anon_sym_long] = ACTIONS(1677),
    [anon_sym_short] = ACTIONS(1677),
    [sym_primitive_type] = ACTIONS(1677),
    [anon_sym_enum] = ACTIONS(1677),
    [anon_sym_struct] = ACTIONS(1677),
    [anon_sym_union] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1677),
    [anon_sym_else] = ACTIONS(1677),
    [anon_sym_switch] = ACTIONS(1677),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1677),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_do] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1677),
    [anon_sym_return] = ACTIONS(1677),
    [anon_sym_break] = ACTIONS(1677),
    [anon_sym_continue] = ACTIONS(1677),
    [anon_sym_goto] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1679),
    [anon_sym_TILDE] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_sizeof] = ACTIONS(1677),
    [sym_number_literal] = ACTIONS(1679),
    [sym_char_literal] = ACTIONS(1679),
    [sym_string_literal] = ACTIONS(1679),
    [sym_true] = ACTIONS(1677),
    [sym_false] = ACTIONS(1677),
    [sym_null] = ACTIONS(1677),
    [sym_identifier] = ACTIONS(1677),
    [sym_comment] = ACTIONS(39),
  },
  [1009] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3165),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1010] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1683),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_else] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [sym_char_literal] = ACTIONS(1685),
    [sym_string_literal] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [sym_null] = ACTIONS(1683),
    [sym_identifier] = ACTIONS(1683),
    [sym_comment] = ACTIONS(39),
  },
  [1011] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1687),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_typedef] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_else] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1687),
    [anon_sym_default] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1687),
    [anon_sym_do] = ACTIONS(1687),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_return] = ACTIONS(1687),
    [anon_sym_break] = ACTIONS(1687),
    [anon_sym_continue] = ACTIONS(1687),
    [anon_sym_goto] = ACTIONS(1687),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1689),
    [anon_sym_TILDE] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_sizeof] = ACTIONS(1687),
    [sym_number_literal] = ACTIONS(1689),
    [sym_char_literal] = ACTIONS(1689),
    [sym_string_literal] = ACTIONS(1689),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [sym_null] = ACTIONS(1687),
    [sym_identifier] = ACTIONS(1687),
    [sym_comment] = ACTIONS(39),
  },
  [1012] = {
    [anon_sym_SEMI] = ACTIONS(3167),
    [sym_comment] = ACTIONS(39),
  },
  [1013] = {
    [sym_compound_statement] = STATE(1127),
    [sym_labeled_statement] = STATE(1127),
    [sym_expression_statement] = STATE(1127),
    [sym_if_statement] = STATE(1127),
    [sym_switch_statement] = STATE(1127),
    [sym_case_statement] = STATE(1127),
    [sym_while_statement] = STATE(1127),
    [sym_do_statement] = STATE(1127),
    [sym_for_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_goto_statement] = STATE(1127),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1014] = {
    [sym_parameter_list] = STATE(128),
    [aux_sym_declaration_repeat1] = STATE(527),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_EQ] = ACTIONS(241),
    [sym_comment] = ACTIONS(39),
  },
  [1015] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1729),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1727),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1727),
    [sym_preproc_directive] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1729),
    [anon_sym_typedef] = ACTIONS(1727),
    [anon_sym_extern] = ACTIONS(1727),
    [anon_sym_LBRACE] = ACTIONS(1729),
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_static] = ACTIONS(1727),
    [anon_sym_auto] = ACTIONS(1727),
    [anon_sym_register] = ACTIONS(1727),
    [anon_sym_inline] = ACTIONS(1727),
    [anon_sym_const] = ACTIONS(1727),
    [anon_sym_restrict] = ACTIONS(1727),
    [anon_sym_volatile] = ACTIONS(1727),
    [anon_sym__Atomic] = ACTIONS(1727),
    [anon_sym_unsigned] = ACTIONS(1727),
    [anon_sym_long] = ACTIONS(1727),
    [anon_sym_short] = ACTIONS(1727),
    [sym_primitive_type] = ACTIONS(1727),
    [anon_sym_enum] = ACTIONS(1727),
    [anon_sym_struct] = ACTIONS(1727),
    [anon_sym_union] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1727),
    [anon_sym_case] = ACTIONS(1727),
    [anon_sym_default] = ACTIONS(1727),
    [anon_sym_while] = ACTIONS(1727),
    [anon_sym_do] = ACTIONS(1727),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1727),
    [anon_sym_break] = ACTIONS(1727),
    [anon_sym_continue] = ACTIONS(1727),
    [anon_sym_goto] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1729),
    [anon_sym_TILDE] = ACTIONS(1729),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_DASH_DASH] = ACTIONS(1729),
    [anon_sym_PLUS_PLUS] = ACTIONS(1729),
    [anon_sym_sizeof] = ACTIONS(1727),
    [sym_number_literal] = ACTIONS(1729),
    [sym_char_literal] = ACTIONS(1729),
    [sym_string_literal] = ACTIONS(1729),
    [sym_true] = ACTIONS(1727),
    [sym_false] = ACTIONS(1727),
    [sym_null] = ACTIONS(1727),
    [sym_identifier] = ACTIONS(1727),
    [sym_comment] = ACTIONS(39),
  },
  [1016] = {
    [sym_preproc_include] = STATE(1016),
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_compound_statement] = STATE(867),
    [sym_preproc_ifdef_in_compound_statement] = STATE(868),
    [sym_declaration] = STATE(1016),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_specifiers] = STATE(869),
    [sym_compound_statement] = STATE(1016),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(1016),
    [sym_expression_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_case_statement] = STATE(1016),
    [sym_while_statement] = STATE(1016),
    [sym_do_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_goto_statement] = STATE(1016),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [sym__empty_declaration] = STATE(1016),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3171),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3177),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2835),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3180),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(1820),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_static] = ACTIONS(1820),
    [anon_sym_auto] = ACTIONS(1820),
    [anon_sym_register] = ACTIONS(1820),
    [anon_sym_inline] = ACTIONS(1820),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_restrict] = ACTIONS(1831),
    [anon_sym_volatile] = ACTIONS(1831),
    [anon_sym__Atomic] = ACTIONS(1831),
    [anon_sym_unsigned] = ACTIONS(1834),
    [anon_sym_long] = ACTIONS(1834),
    [anon_sym_short] = ACTIONS(1834),
    [sym_primitive_type] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1840),
    [anon_sym_struct] = ACTIONS(1843),
    [anon_sym_union] = ACTIONS(1846),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3219),
    [anon_sym_break] = ACTIONS(3222),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_TILDE] = ACTIONS(1885),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1891),
    [anon_sym_PLUS_PLUS] = ACTIONS(1891),
    [anon_sym_sizeof] = ACTIONS(1894),
    [sym_number_literal] = ACTIONS(3231),
    [sym_char_literal] = ACTIONS(3231),
    [sym_string_literal] = ACTIONS(1900),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [sym_null] = ACTIONS(3234),
    [sym_identifier] = ACTIONS(3237),
    [sym_comment] = ACTIONS(39),
  },
  [1017] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3240),
    [sym_comment] = ACTIONS(39),
  },
  [1018] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3242),
    [sym_comment] = ACTIONS(39),
  },
  [1019] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1128),
    [sym_preproc_elif_in_compound_statement] = STATE(1129),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3244),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [1020] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1021] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1022] = {
    [sym_declaration] = STATE(1132),
    [sym_type_definition] = STATE(1132),
    [sym__declaration_specifiers] = STATE(1025),
    [sym_compound_statement] = STATE(1132),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(1132),
    [sym_expression_statement] = STATE(1132),
    [sym_if_statement] = STATE(1132),
    [sym_switch_statement] = STATE(1132),
    [sym_case_statement] = STATE(1132),
    [sym_while_statement] = STATE(1132),
    [sym_do_statement] = STATE(1132),
    [sym_for_statement] = STATE(1132),
    [sym_return_statement] = STATE(1132),
    [sym_break_statement] = STATE(1132),
    [sym_continue_statement] = STATE(1132),
    [sym_goto_statement] = STATE(1132),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2790),
    [sym_comment] = ACTIONS(39),
  },
  [1023] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [1024] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2501),
    [sym_preproc_directive] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2501),
    [anon_sym_extern] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_STAR] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_auto] = ACTIONS(2501),
    [anon_sym_register] = ACTIONS(2501),
    [anon_sym_inline] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_restrict] = ACTIONS(2501),
    [anon_sym_volatile] = ACTIONS(2501),
    [anon_sym__Atomic] = ACTIONS(2501),
    [anon_sym_unsigned] = ACTIONS(2501),
    [anon_sym_long] = ACTIONS(2501),
    [anon_sym_short] = ACTIONS(2501),
    [sym_primitive_type] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
    [anon_sym_struct] = ACTIONS(2501),
    [anon_sym_union] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_goto] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_DASH_DASH] = ACTIONS(2503),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_sizeof] = ACTIONS(2501),
    [sym_number_literal] = ACTIONS(2503),
    [sym_char_literal] = ACTIONS(2503),
    [sym_string_literal] = ACTIONS(2503),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2501),
    [sym_comment] = ACTIONS(39),
  },
  [1025] = {
    [sym__declarator] = STATE(889),
    [sym_pointer_declarator] = STATE(889),
    [sym_function_declarator] = STATE(889),
    [sym_array_declarator] = STATE(889),
    [sym_init_declarator] = STATE(161),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(524),
    [sym_identifier] = ACTIONS(2387),
    [sym_comment] = ACTIONS(39),
  },
  [1026] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1027] = {
    [anon_sym_LPAREN] = ACTIONS(3252),
    [sym_comment] = ACTIONS(39),
  },
  [1028] = {
    [sym__expression] = STATE(1136),
    [sym_conditional_expression] = STATE(1136),
    [sym_assignment_expression] = STATE(1136),
    [sym_pointer_expression] = STATE(1136),
    [sym_logical_expression] = STATE(1136),
    [sym_bitwise_expression] = STATE(1136),
    [sym_equality_expression] = STATE(1136),
    [sym_relational_expression] = STATE(1136),
    [sym_shift_expression] = STATE(1136),
    [sym_math_expression] = STATE(1136),
    [sym_cast_expression] = STATE(1136),
    [sym_sizeof_expression] = STATE(1136),
    [sym_subscript_expression] = STATE(1136),
    [sym_call_expression] = STATE(1136),
    [sym_field_expression] = STATE(1136),
    [sym_compound_literal_expression] = STATE(1136),
    [sym_parenthesized_expression] = STATE(1136),
    [sym_concatenated_string] = STATE(1136),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3256),
    [sym_char_literal] = ACTIONS(3256),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3258),
    [sym_false] = ACTIONS(3258),
    [sym_null] = ACTIONS(3258),
    [sym_identifier] = ACTIONS(3258),
    [sym_comment] = ACTIONS(39),
  },
  [1029] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1030] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2539),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2539),
    [sym_preproc_directive] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2541),
    [anon_sym_typedef] = ACTIONS(2539),
    [anon_sym_extern] = ACTIONS(2539),
    [anon_sym_LBRACE] = ACTIONS(2541),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_static] = ACTIONS(2539),
    [anon_sym_auto] = ACTIONS(2539),
    [anon_sym_register] = ACTIONS(2539),
    [anon_sym_inline] = ACTIONS(2539),
    [anon_sym_const] = ACTIONS(2539),
    [anon_sym_restrict] = ACTIONS(2539),
    [anon_sym_volatile] = ACTIONS(2539),
    [anon_sym__Atomic] = ACTIONS(2539),
    [anon_sym_unsigned] = ACTIONS(2539),
    [anon_sym_long] = ACTIONS(2539),
    [anon_sym_short] = ACTIONS(2539),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2539),
    [anon_sym_struct] = ACTIONS(2539),
    [anon_sym_union] = ACTIONS(2539),
    [anon_sym_if] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2539),
    [anon_sym_switch] = ACTIONS(2539),
    [anon_sym_case] = ACTIONS(2539),
    [anon_sym_default] = ACTIONS(2539),
    [anon_sym_while] = ACTIONS(2539),
    [anon_sym_do] = ACTIONS(2539),
    [anon_sym_for] = ACTIONS(2539),
    [anon_sym_return] = ACTIONS(2539),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_continue] = ACTIONS(2539),
    [anon_sym_goto] = ACTIONS(2539),
    [anon_sym_AMP] = ACTIONS(2541),
    [anon_sym_BANG] = ACTIONS(2541),
    [anon_sym_TILDE] = ACTIONS(2541),
    [anon_sym_PLUS] = ACTIONS(2539),
    [anon_sym_DASH] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2541),
    [anon_sym_PLUS_PLUS] = ACTIONS(2541),
    [anon_sym_sizeof] = ACTIONS(2539),
    [sym_number_literal] = ACTIONS(2541),
    [sym_char_literal] = ACTIONS(2541),
    [sym_string_literal] = ACTIONS(2541),
    [sym_true] = ACTIONS(2539),
    [sym_false] = ACTIONS(2539),
    [sym_null] = ACTIONS(2539),
    [sym_identifier] = ACTIONS(2539),
    [sym_comment] = ACTIONS(39),
  },
  [1031] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2543),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2543),
    [sym_preproc_directive] = ACTIONS(2543),
    [anon_sym_SEMI] = ACTIONS(2545),
    [anon_sym_typedef] = ACTIONS(2543),
    [anon_sym_extern] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_static] = ACTIONS(2543),
    [anon_sym_auto] = ACTIONS(2543),
    [anon_sym_register] = ACTIONS(2543),
    [anon_sym_inline] = ACTIONS(2543),
    [anon_sym_const] = ACTIONS(2543),
    [anon_sym_restrict] = ACTIONS(2543),
    [anon_sym_volatile] = ACTIONS(2543),
    [anon_sym__Atomic] = ACTIONS(2543),
    [anon_sym_unsigned] = ACTIONS(2543),
    [anon_sym_long] = ACTIONS(2543),
    [anon_sym_short] = ACTIONS(2543),
    [sym_primitive_type] = ACTIONS(2543),
    [anon_sym_enum] = ACTIONS(2543),
    [anon_sym_struct] = ACTIONS(2543),
    [anon_sym_union] = ACTIONS(2543),
    [anon_sym_if] = ACTIONS(2543),
    [anon_sym_else] = ACTIONS(2543),
    [anon_sym_switch] = ACTIONS(2543),
    [anon_sym_case] = ACTIONS(2543),
    [anon_sym_default] = ACTIONS(2543),
    [anon_sym_while] = ACTIONS(2543),
    [anon_sym_do] = ACTIONS(2543),
    [anon_sym_for] = ACTIONS(2543),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_break] = ACTIONS(2543),
    [anon_sym_continue] = ACTIONS(2543),
    [anon_sym_goto] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_BANG] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_DASH_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_PLUS] = ACTIONS(2545),
    [anon_sym_sizeof] = ACTIONS(2543),
    [sym_number_literal] = ACTIONS(2545),
    [sym_char_literal] = ACTIONS(2545),
    [sym_string_literal] = ACTIONS(2545),
    [sym_true] = ACTIONS(2543),
    [sym_false] = ACTIONS(2543),
    [sym_null] = ACTIONS(2543),
    [sym_identifier] = ACTIONS(2543),
    [sym_comment] = ACTIONS(39),
  },
  [1032] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [1033] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2556),
    [anon_sym_LPAREN] = ACTIONS(2558),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [sym_char_literal] = ACTIONS(2558),
    [sym_string_literal] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [sym_null] = ACTIONS(2556),
    [sym_identifier] = ACTIONS(2556),
    [sym_comment] = ACTIONS(39),
  },
  [1034] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3262),
    [sym_preproc_directive] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3262),
    [anon_sym_extern] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_RBRACE] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_auto] = ACTIONS(3262),
    [anon_sym_register] = ACTIONS(3262),
    [anon_sym_inline] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_restrict] = ACTIONS(3262),
    [anon_sym_volatile] = ACTIONS(3262),
    [anon_sym__Atomic] = ACTIONS(3262),
    [anon_sym_unsigned] = ACTIONS(3262),
    [anon_sym_long] = ACTIONS(3262),
    [anon_sym_short] = ACTIONS(3262),
    [sym_primitive_type] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_case] = ACTIONS(3262),
    [anon_sym_default] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_goto] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_sizeof] = ACTIONS(3262),
    [sym_number_literal] = ACTIONS(3264),
    [sym_char_literal] = ACTIONS(3264),
    [sym_string_literal] = ACTIONS(3264),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_identifier] = ACTIONS(3262),
    [sym_comment] = ACTIONS(39),
  },
  [1035] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3266),
    [sym_preproc_directive] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3266),
    [anon_sym_extern] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_RBRACE] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_auto] = ACTIONS(3266),
    [anon_sym_register] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_restrict] = ACTIONS(3266),
    [anon_sym_volatile] = ACTIONS(3266),
    [anon_sym__Atomic] = ACTIONS(3266),
    [anon_sym_unsigned] = ACTIONS(3266),
    [anon_sym_long] = ACTIONS(3266),
    [anon_sym_short] = ACTIONS(3266),
    [sym_primitive_type] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [anon_sym_struct] = ACTIONS(3266),
    [anon_sym_union] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_goto] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_sizeof] = ACTIONS(3266),
    [sym_number_literal] = ACTIONS(3268),
    [sym_char_literal] = ACTIONS(3268),
    [sym_string_literal] = ACTIONS(3268),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_identifier] = ACTIONS(3266),
    [sym_comment] = ACTIONS(39),
  },
  [1036] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3270),
    [sym_preproc_directive] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_typedef] = ACTIONS(3270),
    [anon_sym_extern] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_RBRACE] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_auto] = ACTIONS(3270),
    [anon_sym_register] = ACTIONS(3270),
    [anon_sym_inline] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_restrict] = ACTIONS(3270),
    [anon_sym_volatile] = ACTIONS(3270),
    [anon_sym__Atomic] = ACTIONS(3270),
    [anon_sym_unsigned] = ACTIONS(3270),
    [anon_sym_long] = ACTIONS(3270),
    [anon_sym_short] = ACTIONS(3270),
    [sym_primitive_type] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3270),
    [anon_sym_union] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_default] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_goto] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_sizeof] = ACTIONS(3270),
    [sym_number_literal] = ACTIONS(3272),
    [sym_char_literal] = ACTIONS(3272),
    [sym_string_literal] = ACTIONS(3272),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3270),
    [sym_comment] = ACTIONS(39),
  },
  [1037] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_auto] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_goto] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_sizeof] = ACTIONS(3274),
    [sym_number_literal] = ACTIONS(3276),
    [sym_char_literal] = ACTIONS(3276),
    [sym_string_literal] = ACTIONS(3276),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(39),
  },
  [1038] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_auto] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [sym_char_literal] = ACTIONS(3280),
    [sym_string_literal] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_identifier] = ACTIONS(3278),
    [sym_comment] = ACTIONS(39),
  },
  [1039] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_auto] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [sym_char_literal] = ACTIONS(3284),
    [sym_string_literal] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_identifier] = ACTIONS(3282),
    [sym_comment] = ACTIONS(39),
  },
  [1040] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [1041] = {
    [anon_sym_RPAREN] = ACTIONS(3286),
    [sym_comment] = ACTIONS(39),
  },
  [1042] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1042),
    [anon_sym_LPAREN] = ACTIONS(2549),
    [anon_sym_RPAREN] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(2549),
    [anon_sym_EQ] = ACTIONS(2551),
    [anon_sym_QMARK] = ACTIONS(2549),
    [anon_sym_STAR_EQ] = ACTIONS(2549),
    [anon_sym_SLASH_EQ] = ACTIONS(2549),
    [anon_sym_PERCENT_EQ] = ACTIONS(2549),
    [anon_sym_PLUS_EQ] = ACTIONS(2549),
    [anon_sym_DASH_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_EQ] = ACTIONS(2549),
    [anon_sym_CARET_EQ] = ACTIONS(2549),
    [anon_sym_PIPE_EQ] = ACTIONS(2549),
    [anon_sym_AMP] = ACTIONS(2551),
    [anon_sym_PIPE_PIPE] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2549),
    [anon_sym_PIPE] = ACTIONS(2551),
    [anon_sym_CARET] = ACTIONS(2551),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_LT] = ACTIONS(2551),
    [anon_sym_GT_GT] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2551),
    [anon_sym_DASH] = ACTIONS(2551),
    [anon_sym_SLASH] = ACTIONS(2551),
    [anon_sym_PERCENT] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2549),
    [anon_sym_PLUS_PLUS] = ACTIONS(2549),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2549),
    [sym_string_literal] = ACTIONS(3288),
    [sym_comment] = ACTIONS(39),
  },
  [1043] = {
    [anon_sym_LPAREN] = ACTIONS(3291),
    [sym_comment] = ACTIONS(39),
  },
  [1044] = {
    [anon_sym_LPAREN] = ACTIONS(3293),
    [sym_comment] = ACTIONS(39),
  },
  [1045] = {
    [sym__expression] = STATE(1141),
    [sym_conditional_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1141),
    [sym_pointer_expression] = STATE(1141),
    [sym_logical_expression] = STATE(1141),
    [sym_bitwise_expression] = STATE(1141),
    [sym_equality_expression] = STATE(1141),
    [sym_relational_expression] = STATE(1141),
    [sym_shift_expression] = STATE(1141),
    [sym_math_expression] = STATE(1141),
    [sym_cast_expression] = STATE(1141),
    [sym_sizeof_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_call_expression] = STATE(1141),
    [sym_field_expression] = STATE(1141),
    [sym_compound_literal_expression] = STATE(1141),
    [sym_parenthesized_expression] = STATE(1141),
    [sym_concatenated_string] = STATE(1141),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(3295),
    [sym_char_literal] = ACTIONS(3295),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [sym_null] = ACTIONS(3297),
    [sym_identifier] = ACTIONS(3297),
    [sym_comment] = ACTIONS(39),
  },
  [1046] = {
    [anon_sym_COLON] = ACTIONS(3299),
    [sym_comment] = ACTIONS(39),
  },
  [1047] = {
    [anon_sym_LPAREN] = ACTIONS(3301),
    [sym_comment] = ACTIONS(39),
  },
  [1048] = {
    [anon_sym_LPAREN] = ACTIONS(3303),
    [sym_comment] = ACTIONS(39),
  },
  [1049] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(3305),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [1050] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3307),
    [sym_preproc_directive] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3307),
    [anon_sym_extern] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_auto] = ACTIONS(3307),
    [anon_sym_register] = ACTIONS(3307),
    [anon_sym_inline] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_restrict] = ACTIONS(3307),
    [anon_sym_volatile] = ACTIONS(3307),
    [anon_sym__Atomic] = ACTIONS(3307),
    [anon_sym_unsigned] = ACTIONS(3307),
    [anon_sym_long] = ACTIONS(3307),
    [anon_sym_short] = ACTIONS(3307),
    [sym_primitive_type] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [anon_sym_struct] = ACTIONS(3307),
    [anon_sym_union] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_goto] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3307),
    [sym_number_literal] = ACTIONS(3309),
    [sym_char_literal] = ACTIONS(3309),
    [sym_string_literal] = ACTIONS(3309),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_identifier] = ACTIONS(3307),
    [sym_comment] = ACTIONS(39),
  },
  [1051] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2576),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1052] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(3313),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1053] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1054] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1055] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2584),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1056] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1057] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2582),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_LT_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_GT_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2580),
    [anon_sym_CARET_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_EQ] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1058] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_LT_LT_EQ] = ACTIONS(2588),
    [anon_sym_GT_GT_EQ] = ACTIONS(2588),
    [anon_sym_AMP_EQ] = ACTIONS(2588),
    [anon_sym_CARET_EQ] = ACTIONS(2588),
    [anon_sym_PIPE_EQ] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_PIPE] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2588),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1059] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2592),
    [anon_sym_STAR_EQ] = ACTIONS(2592),
    [anon_sym_SLASH_EQ] = ACTIONS(2592),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_PLUS_EQ] = ACTIONS(2592),
    [anon_sym_DASH_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_GT_EQ] = ACTIONS(2592),
    [anon_sym_AMP_EQ] = ACTIONS(2592),
    [anon_sym_CARET_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_EQ] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1060] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_QMARK] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_GT_EQ] = ACTIONS(2596),
    [anon_sym_AMP_EQ] = ACTIONS(2596),
    [anon_sym_CARET_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_EQ] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2598),
    [anon_sym_GT_GT] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1061] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2570),
    [anon_sym_STAR_EQ] = ACTIONS(2570),
    [anon_sym_SLASH_EQ] = ACTIONS(2570),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_PLUS_EQ] = ACTIONS(2570),
    [anon_sym_DASH_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_GT_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2570),
    [anon_sym_CARET_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_EQ] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2572),
    [anon_sym_CARET] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2572),
    [anon_sym_GT_GT] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1062] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3315),
    [sym_preproc_directive] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3315),
    [anon_sym_extern] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_RBRACE] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_auto] = ACTIONS(3315),
    [anon_sym_register] = ACTIONS(3315),
    [anon_sym_inline] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_restrict] = ACTIONS(3315),
    [anon_sym_volatile] = ACTIONS(3315),
    [anon_sym__Atomic] = ACTIONS(3315),
    [anon_sym_unsigned] = ACTIONS(3315),
    [anon_sym_long] = ACTIONS(3315),
    [anon_sym_short] = ACTIONS(3315),
    [sym_primitive_type] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [anon_sym_struct] = ACTIONS(3315),
    [anon_sym_union] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_goto] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_sizeof] = ACTIONS(3315),
    [sym_number_literal] = ACTIONS(3317),
    [sym_char_literal] = ACTIONS(3317),
    [sym_string_literal] = ACTIONS(3317),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_identifier] = ACTIONS(3315),
    [sym_comment] = ACTIONS(39),
  },
  [1063] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_COLON] = ACTIONS(3032),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3319),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3321),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_GT_GT] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [1064] = {
    [sym__expression] = STATE(1148),
    [sym_conditional_expression] = STATE(1148),
    [sym_assignment_expression] = STATE(1148),
    [sym_pointer_expression] = STATE(1148),
    [sym_logical_expression] = STATE(1148),
    [sym_bitwise_expression] = STATE(1148),
    [sym_equality_expression] = STATE(1148),
    [sym_relational_expression] = STATE(1148),
    [sym_shift_expression] = STATE(1148),
    [sym_math_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1148),
    [sym_sizeof_expression] = STATE(1148),
    [sym_subscript_expression] = STATE(1148),
    [sym_call_expression] = STATE(1148),
    [sym_field_expression] = STATE(1148),
    [sym_compound_literal_expression] = STATE(1148),
    [sym_parenthesized_expression] = STATE(1148),
    [sym_concatenated_string] = STATE(1148),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(3323),
    [sym_char_literal] = ACTIONS(3323),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [sym_null] = ACTIONS(3325),
    [sym_identifier] = ACTIONS(3325),
    [sym_comment] = ACTIONS(39),
  },
  [1065] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_auto] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_goto] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3327),
    [sym_number_literal] = ACTIONS(3329),
    [sym_char_literal] = ACTIONS(3329),
    [sym_string_literal] = ACTIONS(3329),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_identifier] = ACTIONS(3327),
    [sym_comment] = ACTIONS(39),
  },
  [1066] = {
    [sym_compound_statement] = STATE(1156),
    [sym_labeled_statement] = STATE(1156),
    [sym_expression_statement] = STATE(1156),
    [sym_if_statement] = STATE(1156),
    [sym_switch_statement] = STATE(1156),
    [sym_case_statement] = STATE(1156),
    [sym_while_statement] = STATE(1156),
    [sym_do_statement] = STATE(1156),
    [sym_for_statement] = STATE(1156),
    [sym_return_statement] = STATE(1156),
    [sym_break_statement] = STATE(1156),
    [sym_continue_statement] = STATE(1156),
    [sym_goto_statement] = STATE(1156),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1067] = {
    [sym_compound_statement] = STATE(1062),
    [sym_labeled_statement] = STATE(1062),
    [sym_expression_statement] = STATE(1062),
    [sym_if_statement] = STATE(1062),
    [sym_switch_statement] = STATE(1062),
    [sym_case_statement] = STATE(1062),
    [sym_while_statement] = STATE(1062),
    [sym_do_statement] = STATE(1062),
    [sym_for_statement] = STATE(1062),
    [sym_return_statement] = STATE(1062),
    [sym_break_statement] = STATE(1062),
    [sym_continue_statement] = STATE(1062),
    [sym_goto_statement] = STATE(1062),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [1068] = {
    [sym_compound_statement] = STATE(1065),
    [sym_labeled_statement] = STATE(1065),
    [sym_expression_statement] = STATE(1065),
    [sym_if_statement] = STATE(1065),
    [sym_switch_statement] = STATE(1065),
    [sym_case_statement] = STATE(1065),
    [sym_while_statement] = STATE(1065),
    [sym_do_statement] = STATE(1065),
    [sym_for_statement] = STATE(1065),
    [sym_return_statement] = STATE(1065),
    [sym_break_statement] = STATE(1065),
    [sym_continue_statement] = STATE(1065),
    [sym_goto_statement] = STATE(1065),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [1069] = {
    [sym__expression] = STATE(1158),
    [sym_conditional_expression] = STATE(1158),
    [sym_assignment_expression] = STATE(1158),
    [sym_pointer_expression] = STATE(1158),
    [sym_logical_expression] = STATE(1158),
    [sym_bitwise_expression] = STATE(1158),
    [sym_equality_expression] = STATE(1158),
    [sym_relational_expression] = STATE(1158),
    [sym_shift_expression] = STATE(1158),
    [sym_math_expression] = STATE(1158),
    [sym_cast_expression] = STATE(1158),
    [sym_sizeof_expression] = STATE(1158),
    [sym_subscript_expression] = STATE(1158),
    [sym_call_expression] = STATE(1158),
    [sym_field_expression] = STATE(1158),
    [sym_compound_literal_expression] = STATE(1158),
    [sym_parenthesized_expression] = STATE(1158),
    [sym_concatenated_string] = STATE(1158),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3347),
    [sym_char_literal] = ACTIONS(3347),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [sym_null] = ACTIONS(3349),
    [sym_identifier] = ACTIONS(3349),
    [sym_comment] = ACTIONS(39),
  },
  [1070] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1071] = {
    [sym__expression] = STATE(1160),
    [sym_conditional_expression] = STATE(1160),
    [sym_assignment_expression] = STATE(1160),
    [sym_pointer_expression] = STATE(1160),
    [sym_logical_expression] = STATE(1160),
    [sym_bitwise_expression] = STATE(1160),
    [sym_equality_expression] = STATE(1160),
    [sym_relational_expression] = STATE(1160),
    [sym_shift_expression] = STATE(1160),
    [sym_math_expression] = STATE(1160),
    [sym_cast_expression] = STATE(1160),
    [sym_sizeof_expression] = STATE(1160),
    [sym_subscript_expression] = STATE(1160),
    [sym_call_expression] = STATE(1160),
    [sym_field_expression] = STATE(1160),
    [sym_compound_literal_expression] = STATE(1160),
    [sym_parenthesized_expression] = STATE(1160),
    [sym_concatenated_string] = STATE(1160),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3353),
    [sym_char_literal] = ACTIONS(3353),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [sym_null] = ACTIONS(3355),
    [sym_identifier] = ACTIONS(3355),
    [sym_comment] = ACTIONS(39),
  },
  [1072] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1073] = {
    [sym_compound_statement] = STATE(1162),
    [sym_labeled_statement] = STATE(1162),
    [sym_expression_statement] = STATE(1162),
    [sym_if_statement] = STATE(1162),
    [sym_switch_statement] = STATE(1162),
    [sym_case_statement] = STATE(1162),
    [sym_while_statement] = STATE(1162),
    [sym_do_statement] = STATE(1162),
    [sym_for_statement] = STATE(1162),
    [sym_return_statement] = STATE(1162),
    [sym_break_statement] = STATE(1162),
    [sym_continue_statement] = STATE(1162),
    [sym_goto_statement] = STATE(1162),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [1074] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1164),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1075] = {
    [sym__expression] = STATE(1165),
    [sym_conditional_expression] = STATE(1165),
    [sym_assignment_expression] = STATE(1165),
    [sym_pointer_expression] = STATE(1165),
    [sym_logical_expression] = STATE(1165),
    [sym_bitwise_expression] = STATE(1165),
    [sym_equality_expression] = STATE(1165),
    [sym_relational_expression] = STATE(1165),
    [sym_shift_expression] = STATE(1165),
    [sym_math_expression] = STATE(1165),
    [sym_cast_expression] = STATE(1165),
    [sym_sizeof_expression] = STATE(1165),
    [sym_subscript_expression] = STATE(1165),
    [sym_call_expression] = STATE(1165),
    [sym_field_expression] = STATE(1165),
    [sym_compound_literal_expression] = STATE(1165),
    [sym_parenthesized_expression] = STATE(1165),
    [sym_concatenated_string] = STATE(1165),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3361),
    [sym_char_literal] = ACTIONS(3361),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [sym_null] = ACTIONS(3363),
    [sym_identifier] = ACTIONS(3363),
    [sym_comment] = ACTIONS(39),
  },
  [1076] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1077] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(3367),
    [anon_sym_RPAREN] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1078] = {
    [anon_sym_LPAREN] = ACTIONS(3369),
    [anon_sym_COMMA] = ACTIONS(3369),
    [anon_sym_RPAREN] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3369),
    [anon_sym_RBRACK] = ACTIONS(3369),
    [anon_sym_EQ] = ACTIONS(3371),
    [anon_sym_COLON] = ACTIONS(3369),
    [anon_sym_QMARK] = ACTIONS(3369),
    [anon_sym_STAR_EQ] = ACTIONS(3369),
    [anon_sym_SLASH_EQ] = ACTIONS(3369),
    [anon_sym_PERCENT_EQ] = ACTIONS(3369),
    [anon_sym_PLUS_EQ] = ACTIONS(3369),
    [anon_sym_DASH_EQ] = ACTIONS(3369),
    [anon_sym_LT_LT_EQ] = ACTIONS(3369),
    [anon_sym_GT_GT_EQ] = ACTIONS(3369),
    [anon_sym_AMP_EQ] = ACTIONS(3369),
    [anon_sym_CARET_EQ] = ACTIONS(3369),
    [anon_sym_PIPE_EQ] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_PIPE_PIPE] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_PIPE] = ACTIONS(3371),
    [anon_sym_CARET] = ACTIONS(3371),
    [anon_sym_EQ_EQ] = ACTIONS(3369),
    [anon_sym_BANG_EQ] = ACTIONS(3369),
    [anon_sym_LT] = ACTIONS(3371),
    [anon_sym_GT] = ACTIONS(3371),
    [anon_sym_LT_EQ] = ACTIONS(3369),
    [anon_sym_GT_EQ] = ACTIONS(3369),
    [anon_sym_LT_LT] = ACTIONS(3371),
    [anon_sym_GT_GT] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_SLASH] = ACTIONS(3371),
    [anon_sym_PERCENT] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_DOT] = ACTIONS(3369),
    [anon_sym_DASH_GT] = ACTIONS(3369),
    [sym_comment] = ACTIONS(39),
  },
  [1079] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(3373),
    [anon_sym_RPAREN] = ACTIONS(3367),
    [sym_comment] = ACTIONS(39),
  },
  [1080] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(3376),
    [anon_sym_SEMI] = ACTIONS(3376),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1094),
    [anon_sym_QMARK] = ACTIONS(1096),
    [anon_sym_STAR_EQ] = ACTIONS(1098),
    [anon_sym_SLASH_EQ] = ACTIONS(1098),
    [anon_sym_PERCENT_EQ] = ACTIONS(1098),
    [anon_sym_PLUS_EQ] = ACTIONS(1098),
    [anon_sym_DASH_EQ] = ACTIONS(1098),
    [anon_sym_LT_LT_EQ] = ACTIONS(1098),
    [anon_sym_GT_GT_EQ] = ACTIONS(1098),
    [anon_sym_AMP_EQ] = ACTIONS(1098),
    [anon_sym_CARET_EQ] = ACTIONS(1098),
    [anon_sym_PIPE_EQ] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1081] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_RBRACK] = ACTIONS(3376),
    [anon_sym_EQ] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_STAR_EQ] = ACTIONS(1148),
    [anon_sym_SLASH_EQ] = ACTIONS(1148),
    [anon_sym_PERCENT_EQ] = ACTIONS(1148),
    [anon_sym_PLUS_EQ] = ACTIONS(1148),
    [anon_sym_DASH_EQ] = ACTIONS(1148),
    [anon_sym_LT_LT_EQ] = ACTIONS(1148),
    [anon_sym_GT_GT_EQ] = ACTIONS(1148),
    [anon_sym_AMP_EQ] = ACTIONS(1148),
    [anon_sym_CARET_EQ] = ACTIONS(1148),
    [anon_sym_PIPE_EQ] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1150),
    [anon_sym_PIPE_PIPE] = ACTIONS(1152),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1162),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1082] = {
    [anon_sym_LPAREN] = ACTIONS(3378),
    [anon_sym_COMMA] = ACTIONS(3378),
    [anon_sym_RPAREN] = ACTIONS(3378),
    [anon_sym_SEMI] = ACTIONS(3378),
    [anon_sym_RBRACE] = ACTIONS(3378),
    [anon_sym_STAR] = ACTIONS(3380),
    [anon_sym_LBRACK] = ACTIONS(3378),
    [anon_sym_RBRACK] = ACTIONS(3378),
    [anon_sym_EQ] = ACTIONS(3380),
    [anon_sym_COLON] = ACTIONS(3378),
    [anon_sym_QMARK] = ACTIONS(3378),
    [anon_sym_STAR_EQ] = ACTIONS(3378),
    [anon_sym_SLASH_EQ] = ACTIONS(3378),
    [anon_sym_PERCENT_EQ] = ACTIONS(3378),
    [anon_sym_PLUS_EQ] = ACTIONS(3378),
    [anon_sym_DASH_EQ] = ACTIONS(3378),
    [anon_sym_LT_LT_EQ] = ACTIONS(3378),
    [anon_sym_GT_GT_EQ] = ACTIONS(3378),
    [anon_sym_AMP_EQ] = ACTIONS(3378),
    [anon_sym_CARET_EQ] = ACTIONS(3378),
    [anon_sym_PIPE_EQ] = ACTIONS(3378),
    [anon_sym_AMP] = ACTIONS(3380),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_AMP_AMP] = ACTIONS(3378),
    [anon_sym_PIPE] = ACTIONS(3380),
    [anon_sym_CARET] = ACTIONS(3380),
    [anon_sym_EQ_EQ] = ACTIONS(3378),
    [anon_sym_BANG_EQ] = ACTIONS(3378),
    [anon_sym_LT] = ACTIONS(3380),
    [anon_sym_GT] = ACTIONS(3380),
    [anon_sym_LT_EQ] = ACTIONS(3378),
    [anon_sym_GT_EQ] = ACTIONS(3378),
    [anon_sym_LT_LT] = ACTIONS(3380),
    [anon_sym_GT_GT] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3380),
    [anon_sym_DASH] = ACTIONS(3380),
    [anon_sym_SLASH] = ACTIONS(3380),
    [anon_sym_PERCENT] = ACTIONS(3380),
    [anon_sym_DASH_DASH] = ACTIONS(3378),
    [anon_sym_PLUS_PLUS] = ACTIONS(3378),
    [anon_sym_DOT] = ACTIONS(3378),
    [anon_sym_DASH_GT] = ACTIONS(3378),
    [sym_comment] = ACTIONS(39),
  },
  [1083] = {
    [sym__expression] = STATE(960),
    [sym_conditional_expression] = STATE(960),
    [sym_assignment_expression] = STATE(960),
    [sym_pointer_expression] = STATE(960),
    [sym_logical_expression] = STATE(960),
    [sym_bitwise_expression] = STATE(960),
    [sym_equality_expression] = STATE(960),
    [sym_relational_expression] = STATE(960),
    [sym_shift_expression] = STATE(960),
    [sym_math_expression] = STATE(960),
    [sym_cast_expression] = STATE(960),
    [sym_sizeof_expression] = STATE(960),
    [sym_subscript_expression] = STATE(960),
    [sym_call_expression] = STATE(960),
    [sym_field_expression] = STATE(960),
    [sym_compound_literal_expression] = STATE(960),
    [sym_parenthesized_expression] = STATE(960),
    [sym_initializer_list] = STATE(961),
    [sym_initializer_pair] = STATE(961),
    [sym_subscript_designator] = STATE(493),
    [sym_field_designator] = STATE(493),
    [sym_concatenated_string] = STATE(960),
    [aux_sym_initializer_pair_repeat1] = STATE(493),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_sizeof] = ACTIONS(785),
    [anon_sym_DOT] = ACTIONS(1180),
    [sym_number_literal] = ACTIONS(2623),
    [sym_char_literal] = ACTIONS(2623),
    [sym_string_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_identifier] = ACTIONS(2625),
    [sym_comment] = ACTIONS(39),
  },
  [1084] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(3376),
    [anon_sym_RBRACE] = ACTIONS(3376),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(1331),
    [anon_sym_STAR_EQ] = ACTIONS(1333),
    [anon_sym_SLASH_EQ] = ACTIONS(1333),
    [anon_sym_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_EQ] = ACTIONS(1333),
    [anon_sym_DASH_EQ] = ACTIONS(1333),
    [anon_sym_LT_LT_EQ] = ACTIONS(1333),
    [anon_sym_GT_GT_EQ] = ACTIONS(1333),
    [anon_sym_AMP_EQ] = ACTIONS(1333),
    [anon_sym_CARET_EQ] = ACTIONS(1333),
    [anon_sym_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1085] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3376),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1086] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(3376),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1087] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2810),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_auto] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [sym_primitive_type] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [sym_number_literal] = ACTIONS(2812),
    [sym_char_literal] = ACTIONS(2812),
    [sym_string_literal] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [sym_null] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2810),
    [sym_comment] = ACTIONS(39),
  },
  [1088] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_auto] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [sym_char_literal] = ACTIONS(2816),
    [sym_string_literal] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [sym_null] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2814),
    [sym_comment] = ACTIONS(39),
  },
  [1089] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_auto] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [sym_primitive_type] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [sym_number_literal] = ACTIONS(2820),
    [sym_char_literal] = ACTIONS(2820),
    [sym_string_literal] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [sym_null] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2818),
    [sym_comment] = ACTIONS(39),
  },
  [1090] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3382),
    [sym_comment] = ACTIONS(39),
  },
  [1091] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3384),
    [sym_comment] = ACTIONS(39),
  },
  [1092] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2897),
    [anon_sym_LPAREN] = ACTIONS(2899),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_auto] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [sym_char_literal] = ACTIONS(2899),
    [sym_string_literal] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [sym_null] = ACTIONS(2897),
    [sym_identifier] = ACTIONS(2897),
    [sym_comment] = ACTIONS(39),
  },
  [1093] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2903),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_auto] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [sym_char_literal] = ACTIONS(2903),
    [sym_string_literal] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [sym_null] = ACTIONS(2901),
    [sym_identifier] = ACTIONS(2901),
    [sym_comment] = ACTIONS(39),
  },
  [1094] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2905),
    [anon_sym_LPAREN] = ACTIONS(2907),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_auto] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [sym_char_literal] = ACTIONS(2907),
    [sym_string_literal] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [sym_null] = ACTIONS(2905),
    [sym_identifier] = ACTIONS(2905),
    [sym_comment] = ACTIONS(39),
  },
  [1095] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3386),
    [sym_comment] = ACTIONS(39),
  },
  [1096] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3388),
    [sym_comment] = ACTIONS(39),
  },
  [1097] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2915),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_auto] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [sym_char_literal] = ACTIONS(2915),
    [sym_string_literal] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [sym_null] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2913),
    [sym_comment] = ACTIONS(39),
  },
  [1098] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2919),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_auto] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [sym_char_literal] = ACTIONS(2919),
    [sym_string_literal] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [sym_null] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_comment] = ACTIONS(39),
  },
  [1099] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2921),
    [anon_sym_LPAREN] = ACTIONS(2923),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_auto] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [sym_char_literal] = ACTIONS(2923),
    [sym_string_literal] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [sym_null] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_comment] = ACTIONS(39),
  },
  [1100] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3390),
    [sym_comment] = ACTIONS(39),
  },
  [1101] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3392),
    [sym_comment] = ACTIONS(39),
  },
  [1102] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2307),
    [sym_preproc_directive] = ACTIONS(2307),
    [anon_sym_SEMI] = ACTIONS(2309),
    [anon_sym_typedef] = ACTIONS(2307),
    [anon_sym_extern] = ACTIONS(2307),
    [anon_sym_LBRACE] = ACTIONS(2309),
    [anon_sym_STAR] = ACTIONS(2309),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_auto] = ACTIONS(2307),
    [anon_sym_register] = ACTIONS(2307),
    [anon_sym_inline] = ACTIONS(2307),
    [anon_sym_const] = ACTIONS(2307),
    [anon_sym_restrict] = ACTIONS(2307),
    [anon_sym_volatile] = ACTIONS(2307),
    [anon_sym__Atomic] = ACTIONS(2307),
    [anon_sym_unsigned] = ACTIONS(2307),
    [anon_sym_long] = ACTIONS(2307),
    [anon_sym_short] = ACTIONS(2307),
    [sym_primitive_type] = ACTIONS(2307),
    [anon_sym_enum] = ACTIONS(2307),
    [anon_sym_struct] = ACTIONS(2307),
    [anon_sym_union] = ACTIONS(2307),
    [anon_sym_if] = ACTIONS(2307),
    [anon_sym_switch] = ACTIONS(2307),
    [anon_sym_case] = ACTIONS(2307),
    [anon_sym_default] = ACTIONS(2307),
    [anon_sym_while] = ACTIONS(2307),
    [anon_sym_do] = ACTIONS(2307),
    [anon_sym_for] = ACTIONS(2307),
    [anon_sym_return] = ACTIONS(2307),
    [anon_sym_break] = ACTIONS(2307),
    [anon_sym_continue] = ACTIONS(2307),
    [anon_sym_goto] = ACTIONS(2307),
    [anon_sym_AMP] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2307),
    [anon_sym_DASH] = ACTIONS(2307),
    [anon_sym_DASH_DASH] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2309),
    [anon_sym_sizeof] = ACTIONS(2307),
    [sym_number_literal] = ACTIONS(2309),
    [sym_char_literal] = ACTIONS(2309),
    [sym_string_literal] = ACTIONS(2309),
    [sym_true] = ACTIONS(2307),
    [sym_false] = ACTIONS(2307),
    [sym_null] = ACTIONS(2307),
    [sym_identifier] = ACTIONS(2307),
    [sym_comment] = ACTIONS(39),
  },
  [1103] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3394),
    [sym_comment] = ACTIONS(39),
  },
  [1104] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3396),
    [sym_comment] = ACTIONS(39),
  },
  [1105] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1176),
    [sym_preproc_elif_in_compound_statement] = STATE(1177),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3398),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [1106] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2395),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2393),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2393),
    [sym_preproc_directive] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2395),
    [anon_sym_typedef] = ACTIONS(2393),
    [anon_sym_extern] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2395),
    [anon_sym_STAR] = ACTIONS(2395),
    [anon_sym_static] = ACTIONS(2393),
    [anon_sym_auto] = ACTIONS(2393),
    [anon_sym_register] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_restrict] = ACTIONS(2393),
    [anon_sym_volatile] = ACTIONS(2393),
    [anon_sym__Atomic] = ACTIONS(2393),
    [anon_sym_unsigned] = ACTIONS(2393),
    [anon_sym_long] = ACTIONS(2393),
    [anon_sym_short] = ACTIONS(2393),
    [sym_primitive_type] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_struct] = ACTIONS(2393),
    [anon_sym_union] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_case] = ACTIONS(2393),
    [anon_sym_default] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_do] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_break] = ACTIONS(2393),
    [anon_sym_continue] = ACTIONS(2393),
    [anon_sym_goto] = ACTIONS(2393),
    [anon_sym_AMP] = ACTIONS(2395),
    [anon_sym_BANG] = ACTIONS(2395),
    [anon_sym_TILDE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2395),
    [anon_sym_PLUS_PLUS] = ACTIONS(2395),
    [anon_sym_sizeof] = ACTIONS(2393),
    [sym_number_literal] = ACTIONS(2395),
    [sym_char_literal] = ACTIONS(2395),
    [sym_string_literal] = ACTIONS(2395),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_identifier] = ACTIONS(2393),
    [sym_comment] = ACTIONS(39),
  },
  [1107] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3400),
    [sym_comment] = ACTIONS(39),
  },
  [1108] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3402),
    [sym_comment] = ACTIONS(39),
  },
  [1109] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1181),
    [sym_preproc_elif_in_compound_statement] = STATE(1182),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3404),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [1110] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2403),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2403),
    [sym_preproc_directive] = ACTIONS(2403),
    [anon_sym_SEMI] = ACTIONS(2405),
    [anon_sym_typedef] = ACTIONS(2403),
    [anon_sym_extern] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_STAR] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_auto] = ACTIONS(2403),
    [anon_sym_register] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_restrict] = ACTIONS(2403),
    [anon_sym_volatile] = ACTIONS(2403),
    [anon_sym__Atomic] = ACTIONS(2403),
    [anon_sym_unsigned] = ACTIONS(2403),
    [anon_sym_long] = ACTIONS(2403),
    [anon_sym_short] = ACTIONS(2403),
    [sym_primitive_type] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_struct] = ACTIONS(2403),
    [anon_sym_union] = ACTIONS(2403),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_switch] = ACTIONS(2403),
    [anon_sym_case] = ACTIONS(2403),
    [anon_sym_default] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_do] = ACTIONS(2403),
    [anon_sym_for] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_break] = ACTIONS(2403),
    [anon_sym_continue] = ACTIONS(2403),
    [anon_sym_goto] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2405),
    [anon_sym_BANG] = ACTIONS(2405),
    [anon_sym_TILDE] = ACTIONS(2405),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_DASH_DASH] = ACTIONS(2405),
    [anon_sym_PLUS_PLUS] = ACTIONS(2405),
    [anon_sym_sizeof] = ACTIONS(2403),
    [sym_number_literal] = ACTIONS(2405),
    [sym_char_literal] = ACTIONS(2405),
    [sym_string_literal] = ACTIONS(2405),
    [sym_true] = ACTIONS(2403),
    [sym_false] = ACTIONS(2403),
    [sym_null] = ACTIONS(2403),
    [sym_identifier] = ACTIONS(2403),
    [sym_comment] = ACTIONS(39),
  },
  [1111] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3406),
    [sym_comment] = ACTIONS(39),
  },
  [1112] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3408),
    [sym_comment] = ACTIONS(39),
  },
  [1113] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_compound_statement] = STATE(654),
    [sym_preproc_ifdef_in_compound_statement] = STATE(655),
    [sym_preproc_else_in_compound_statement] = STATE(1186),
    [sym_preproc_elif_in_compound_statement] = STATE(1187),
    [sym_declaration] = STATE(894),
    [sym_type_definition] = STATE(894),
    [sym__declaration_specifiers] = STATE(658),
    [sym_compound_statement] = STATE(894),
    [sym_storage_class_specifier] = STATE(20),
    [sym_type_qualifier] = STATE(20),
    [sym__type_specifier] = STATE(18),
    [sym_sized_type_specifier] = STATE(18),
    [sym_enum_specifier] = STATE(18),
    [sym_struct_specifier] = STATE(18),
    [sym_union_specifier] = STATE(18),
    [sym_labeled_statement] = STATE(894),
    [sym_expression_statement] = STATE(894),
    [sym_if_statement] = STATE(894),
    [sym_switch_statement] = STATE(894),
    [sym_case_statement] = STATE(894),
    [sym_while_statement] = STATE(894),
    [sym_do_statement] = STATE(894),
    [sym_for_statement] = STATE(894),
    [sym_return_statement] = STATE(894),
    [sym_break_statement] = STATE(894),
    [sym_continue_statement] = STATE(894),
    [sym_goto_statement] = STATE(894),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym__empty_declaration] = STATE(894),
    [sym_macro_type_specifier] = STATE(18),
    [aux_sym_preproc_if_in_compound_statement_repeat1] = STATE(894),
    [aux_sym__declaration_specifiers_repeat1] = STATE(20),
    [aux_sym_sized_type_specifier_repeat1] = STATE(21),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(127),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(532),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(1533),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3410),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(1537),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(1539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(1541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(1543),
    [sym_preproc_directive] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(27),
    [anon_sym_long] = ACTIONS(27),
    [anon_sym_short] = ACTIONS(27),
    [sym_primitive_type] = ACTIONS(29),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_comment] = ACTIONS(39),
  },
  [1114] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3412),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1115] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3414),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1116] = {
    [sym_declaration] = STATE(1190),
    [sym_type_definition] = STATE(1190),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_compound_statement] = STATE(1190),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(1190),
    [sym_expression_statement] = STATE(1190),
    [sym_if_statement] = STATE(1190),
    [sym_switch_statement] = STATE(1190),
    [sym_case_statement] = STATE(1190),
    [sym_while_statement] = STATE(1190),
    [sym_do_statement] = STATE(1190),
    [sym_for_statement] = STATE(1190),
    [sym_return_statement] = STATE(1190),
    [sym_break_statement] = STATE(1190),
    [sym_continue_statement] = STATE(1190),
    [sym_goto_statement] = STATE(1190),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_typedef] = ACTIONS(362),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3151),
    [sym_comment] = ACTIONS(39),
  },
  [1117] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [1118] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2501),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2501),
    [sym_preproc_directive] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_typedef] = ACTIONS(2501),
    [anon_sym_extern] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_STAR] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_auto] = ACTIONS(2501),
    [anon_sym_register] = ACTIONS(2501),
    [anon_sym_inline] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_restrict] = ACTIONS(2501),
    [anon_sym_volatile] = ACTIONS(2501),
    [anon_sym__Atomic] = ACTIONS(2501),
    [anon_sym_unsigned] = ACTIONS(2501),
    [anon_sym_long] = ACTIONS(2501),
    [anon_sym_short] = ACTIONS(2501),
    [sym_primitive_type] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
    [anon_sym_struct] = ACTIONS(2501),
    [anon_sym_union] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_goto] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_DASH_DASH] = ACTIONS(2503),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_sizeof] = ACTIONS(2501),
    [sym_number_literal] = ACTIONS(2503),
    [sym_char_literal] = ACTIONS(2503),
    [sym_string_literal] = ACTIONS(2503),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2501),
    [sym_comment] = ACTIONS(39),
  },
  [1119] = {
    [sym__declarator] = STATE(1014),
    [sym_pointer_declarator] = STATE(1014),
    [sym_function_declarator] = STATE(1014),
    [sym_array_declarator] = STATE(1014),
    [sym_init_declarator] = STATE(302),
    [anon_sym_LPAREN] = ACTIONS(90),
    [anon_sym_STAR] = ACTIONS(524),
    [sym_identifier] = ACTIONS(2772),
    [sym_comment] = ACTIONS(39),
  },
  [1120] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3416),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1121] = {
    [anon_sym_LPAREN] = ACTIONS(3418),
    [sym_comment] = ACTIONS(39),
  },
  [1122] = {
    [sym__expression] = STATE(1194),
    [sym_conditional_expression] = STATE(1194),
    [sym_assignment_expression] = STATE(1194),
    [sym_pointer_expression] = STATE(1194),
    [sym_logical_expression] = STATE(1194),
    [sym_bitwise_expression] = STATE(1194),
    [sym_equality_expression] = STATE(1194),
    [sym_relational_expression] = STATE(1194),
    [sym_shift_expression] = STATE(1194),
    [sym_math_expression] = STATE(1194),
    [sym_cast_expression] = STATE(1194),
    [sym_sizeof_expression] = STATE(1194),
    [sym_subscript_expression] = STATE(1194),
    [sym_call_expression] = STATE(1194),
    [sym_field_expression] = STATE(1194),
    [sym_compound_literal_expression] = STATE(1194),
    [sym_parenthesized_expression] = STATE(1194),
    [sym_concatenated_string] = STATE(1194),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3420),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3422),
    [sym_char_literal] = ACTIONS(3422),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3424),
    [sym_false] = ACTIONS(3424),
    [sym_null] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3424),
    [sym_comment] = ACTIONS(39),
  },
  [1123] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3426),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1124] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2539),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2539),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2539),
    [sym_preproc_directive] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2541),
    [anon_sym_typedef] = ACTIONS(2539),
    [anon_sym_extern] = ACTIONS(2539),
    [anon_sym_LBRACE] = ACTIONS(2541),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_static] = ACTIONS(2539),
    [anon_sym_auto] = ACTIONS(2539),
    [anon_sym_register] = ACTIONS(2539),
    [anon_sym_inline] = ACTIONS(2539),
    [anon_sym_const] = ACTIONS(2539),
    [anon_sym_restrict] = ACTIONS(2539),
    [anon_sym_volatile] = ACTIONS(2539),
    [anon_sym__Atomic] = ACTIONS(2539),
    [anon_sym_unsigned] = ACTIONS(2539),
    [anon_sym_long] = ACTIONS(2539),
    [anon_sym_short] = ACTIONS(2539),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2539),
    [anon_sym_struct] = ACTIONS(2539),
    [anon_sym_union] = ACTIONS(2539),
    [anon_sym_if] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2539),
    [anon_sym_switch] = ACTIONS(2539),
    [anon_sym_case] = ACTIONS(2539),
    [anon_sym_default] = ACTIONS(2539),
    [anon_sym_while] = ACTIONS(2539),
    [anon_sym_do] = ACTIONS(2539),
    [anon_sym_for] = ACTIONS(2539),
    [anon_sym_return] = ACTIONS(2539),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_continue] = ACTIONS(2539),
    [anon_sym_goto] = ACTIONS(2539),
    [anon_sym_AMP] = ACTIONS(2541),
    [anon_sym_BANG] = ACTIONS(2541),
    [anon_sym_TILDE] = ACTIONS(2541),
    [anon_sym_PLUS] = ACTIONS(2539),
    [anon_sym_DASH] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2541),
    [anon_sym_PLUS_PLUS] = ACTIONS(2541),
    [anon_sym_sizeof] = ACTIONS(2539),
    [sym_number_literal] = ACTIONS(2541),
    [sym_char_literal] = ACTIONS(2541),
    [sym_string_literal] = ACTIONS(2541),
    [sym_true] = ACTIONS(2539),
    [sym_false] = ACTIONS(2539),
    [sym_null] = ACTIONS(2539),
    [sym_identifier] = ACTIONS(2539),
    [sym_comment] = ACTIONS(39),
  },
  [1125] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2543),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2543),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2543),
    [sym_preproc_directive] = ACTIONS(2543),
    [anon_sym_SEMI] = ACTIONS(2545),
    [anon_sym_typedef] = ACTIONS(2543),
    [anon_sym_extern] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(2545),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_static] = ACTIONS(2543),
    [anon_sym_auto] = ACTIONS(2543),
    [anon_sym_register] = ACTIONS(2543),
    [anon_sym_inline] = ACTIONS(2543),
    [anon_sym_const] = ACTIONS(2543),
    [anon_sym_restrict] = ACTIONS(2543),
    [anon_sym_volatile] = ACTIONS(2543),
    [anon_sym__Atomic] = ACTIONS(2543),
    [anon_sym_unsigned] = ACTIONS(2543),
    [anon_sym_long] = ACTIONS(2543),
    [anon_sym_short] = ACTIONS(2543),
    [sym_primitive_type] = ACTIONS(2543),
    [anon_sym_enum] = ACTIONS(2543),
    [anon_sym_struct] = ACTIONS(2543),
    [anon_sym_union] = ACTIONS(2543),
    [anon_sym_if] = ACTIONS(2543),
    [anon_sym_else] = ACTIONS(2543),
    [anon_sym_switch] = ACTIONS(2543),
    [anon_sym_case] = ACTIONS(2543),
    [anon_sym_default] = ACTIONS(2543),
    [anon_sym_while] = ACTIONS(2543),
    [anon_sym_do] = ACTIONS(2543),
    [anon_sym_for] = ACTIONS(2543),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_break] = ACTIONS(2543),
    [anon_sym_continue] = ACTIONS(2543),
    [anon_sym_goto] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_BANG] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_DASH_DASH] = ACTIONS(2545),
    [anon_sym_PLUS_PLUS] = ACTIONS(2545),
    [anon_sym_sizeof] = ACTIONS(2543),
    [sym_number_literal] = ACTIONS(2545),
    [sym_char_literal] = ACTIONS(2545),
    [sym_string_literal] = ACTIONS(2545),
    [sym_true] = ACTIONS(2543),
    [sym_false] = ACTIONS(2543),
    [sym_null] = ACTIONS(2543),
    [sym_identifier] = ACTIONS(2543),
    [sym_comment] = ACTIONS(39),
  },
  [1126] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [1127] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2556),
    [anon_sym_LPAREN] = ACTIONS(2558),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2556),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [sym_char_literal] = ACTIONS(2558),
    [sym_string_literal] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [sym_null] = ACTIONS(2556),
    [sym_identifier] = ACTIONS(2556),
    [sym_comment] = ACTIONS(39),
  },
  [1128] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3428),
    [sym_comment] = ACTIONS(39),
  },
  [1129] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3430),
    [sym_comment] = ACTIONS(39),
  },
  [1130] = {
    [sym_compound_statement] = STATE(1203),
    [sym_labeled_statement] = STATE(1203),
    [sym_expression_statement] = STATE(1203),
    [sym_if_statement] = STATE(1203),
    [sym_switch_statement] = STATE(1203),
    [sym_case_statement] = STATE(1203),
    [sym_while_statement] = STATE(1203),
    [sym_do_statement] = STATE(1203),
    [sym_for_statement] = STATE(1203),
    [sym_return_statement] = STATE(1203),
    [sym_break_statement] = STATE(1203),
    [sym_continue_statement] = STATE(1203),
    [sym_goto_statement] = STATE(1203),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1131] = {
    [sym_compound_statement] = STATE(1204),
    [sym_labeled_statement] = STATE(1204),
    [sym_expression_statement] = STATE(1204),
    [sym_if_statement] = STATE(1204),
    [sym_switch_statement] = STATE(1204),
    [sym_case_statement] = STATE(1204),
    [sym_while_statement] = STATE(1204),
    [sym_do_statement] = STATE(1204),
    [sym_for_statement] = STATE(1204),
    [sym_return_statement] = STATE(1204),
    [sym_break_statement] = STATE(1204),
    [sym_continue_statement] = STATE(1204),
    [sym_goto_statement] = STATE(1204),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [1132] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_auto] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [sym_primitive_type] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_else] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [sym_number_literal] = ACTIONS(2998),
    [sym_char_literal] = ACTIONS(2998),
    [sym_string_literal] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [sym_null] = ACTIONS(2996),
    [sym_identifier] = ACTIONS(2996),
    [sym_comment] = ACTIONS(39),
  },
  [1133] = {
    [sym_compound_statement] = STATE(1205),
    [sym_labeled_statement] = STATE(1205),
    [sym_expression_statement] = STATE(1205),
    [sym_if_statement] = STATE(1205),
    [sym_switch_statement] = STATE(1205),
    [sym_case_statement] = STATE(1205),
    [sym_while_statement] = STATE(1205),
    [sym_do_statement] = STATE(1205),
    [sym_for_statement] = STATE(1205),
    [sym_return_statement] = STATE(1205),
    [sym_break_statement] = STATE(1205),
    [sym_continue_statement] = STATE(1205),
    [sym_goto_statement] = STATE(1205),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [1134] = {
    [sym__expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_assignment_expression] = STATE(1206),
    [sym_pointer_expression] = STATE(1206),
    [sym_logical_expression] = STATE(1206),
    [sym_bitwise_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_math_expression] = STATE(1206),
    [sym_cast_expression] = STATE(1206),
    [sym_sizeof_expression] = STATE(1206),
    [sym_subscript_expression] = STATE(1206),
    [sym_call_expression] = STATE(1206),
    [sym_field_expression] = STATE(1206),
    [sym_compound_literal_expression] = STATE(1206),
    [sym_parenthesized_expression] = STATE(1206),
    [sym_concatenated_string] = STATE(1206),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3446),
    [sym_char_literal] = ACTIONS(3446),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3448),
    [sym_false] = ACTIONS(3448),
    [sym_null] = ACTIONS(3448),
    [sym_identifier] = ACTIONS(3448),
    [sym_comment] = ACTIONS(39),
  },
  [1135] = {
    [sym__expression] = STATE(1208),
    [sym_conditional_expression] = STATE(1208),
    [sym_assignment_expression] = STATE(1208),
    [sym_pointer_expression] = STATE(1208),
    [sym_logical_expression] = STATE(1208),
    [sym_bitwise_expression] = STATE(1208),
    [sym_equality_expression] = STATE(1208),
    [sym_relational_expression] = STATE(1208),
    [sym_shift_expression] = STATE(1208),
    [sym_math_expression] = STATE(1208),
    [sym_cast_expression] = STATE(1208),
    [sym_sizeof_expression] = STATE(1208),
    [sym_subscript_expression] = STATE(1208),
    [sym_call_expression] = STATE(1208),
    [sym_field_expression] = STATE(1208),
    [sym_compound_literal_expression] = STATE(1208),
    [sym_parenthesized_expression] = STATE(1208),
    [sym_concatenated_string] = STATE(1208),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3450),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3452),
    [sym_char_literal] = ACTIONS(3452),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3454),
    [sym_comment] = ACTIONS(39),
  },
  [1136] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3456),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1137] = {
    [sym__expression] = STATE(1210),
    [sym_conditional_expression] = STATE(1210),
    [sym_assignment_expression] = STATE(1210),
    [sym_pointer_expression] = STATE(1210),
    [sym_logical_expression] = STATE(1210),
    [sym_bitwise_expression] = STATE(1210),
    [sym_equality_expression] = STATE(1210),
    [sym_relational_expression] = STATE(1210),
    [sym_shift_expression] = STATE(1210),
    [sym_math_expression] = STATE(1210),
    [sym_cast_expression] = STATE(1210),
    [sym_sizeof_expression] = STATE(1210),
    [sym_subscript_expression] = STATE(1210),
    [sym_call_expression] = STATE(1210),
    [sym_field_expression] = STATE(1210),
    [sym_compound_literal_expression] = STATE(1210),
    [sym_parenthesized_expression] = STATE(1210),
    [sym_concatenated_string] = STATE(1210),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3456),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3458),
    [sym_char_literal] = ACTIONS(3458),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3460),
    [sym_false] = ACTIONS(3460),
    [sym_null] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3460),
    [sym_comment] = ACTIONS(39),
  },
  [1138] = {
    [sym__expression] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_assignment_expression] = STATE(846),
    [sym_pointer_expression] = STATE(846),
    [sym_logical_expression] = STATE(846),
    [sym_bitwise_expression] = STATE(846),
    [sym_equality_expression] = STATE(846),
    [sym_relational_expression] = STATE(846),
    [sym_shift_expression] = STATE(846),
    [sym_math_expression] = STATE(846),
    [sym_cast_expression] = STATE(846),
    [sym_sizeof_expression] = STATE(846),
    [sym_subscript_expression] = STATE(846),
    [sym_call_expression] = STATE(846),
    [sym_field_expression] = STATE(846),
    [sym_compound_literal_expression] = STATE(846),
    [sym_parenthesized_expression] = STATE(846),
    [sym_initializer_list] = STATE(847),
    [sym_concatenated_string] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_RPAREN] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(3462),
    [anon_sym_LBRACK] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3462),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3464),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_GT_GT] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [sym_number_literal] = ACTIONS(2301),
    [sym_char_literal] = ACTIONS(2301),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(2303),
    [sym_false] = ACTIONS(2303),
    [sym_null] = ACTIONS(2303),
    [sym_identifier] = ACTIONS(2303),
    [sym_comment] = ACTIONS(39),
  },
  [1139] = {
    [sym__expression] = STATE(1211),
    [sym_conditional_expression] = STATE(1211),
    [sym_assignment_expression] = STATE(1211),
    [sym_pointer_expression] = STATE(1211),
    [sym_logical_expression] = STATE(1211),
    [sym_bitwise_expression] = STATE(1211),
    [sym_equality_expression] = STATE(1211),
    [sym_relational_expression] = STATE(1211),
    [sym_shift_expression] = STATE(1211),
    [sym_math_expression] = STATE(1211),
    [sym_cast_expression] = STATE(1211),
    [sym_sizeof_expression] = STATE(1211),
    [sym_subscript_expression] = STATE(1211),
    [sym_call_expression] = STATE(1211),
    [sym_field_expression] = STATE(1211),
    [sym_compound_literal_expression] = STATE(1211),
    [sym_parenthesized_expression] = STATE(1211),
    [sym_concatenated_string] = STATE(1211),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3466),
    [sym_char_literal] = ACTIONS(3466),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3468),
    [sym_false] = ACTIONS(3468),
    [sym_null] = ACTIONS(3468),
    [sym_identifier] = ACTIONS(3468),
    [sym_comment] = ACTIONS(39),
  },
  [1140] = {
    [sym__expression] = STATE(1212),
    [sym_conditional_expression] = STATE(1212),
    [sym_assignment_expression] = STATE(1212),
    [sym_pointer_expression] = STATE(1212),
    [sym_logical_expression] = STATE(1212),
    [sym_bitwise_expression] = STATE(1212),
    [sym_equality_expression] = STATE(1212),
    [sym_relational_expression] = STATE(1212),
    [sym_shift_expression] = STATE(1212),
    [sym_math_expression] = STATE(1212),
    [sym_cast_expression] = STATE(1212),
    [sym_sizeof_expression] = STATE(1212),
    [sym_subscript_expression] = STATE(1212),
    [sym_call_expression] = STATE(1212),
    [sym_field_expression] = STATE(1212),
    [sym_compound_literal_expression] = STATE(1212),
    [sym_parenthesized_expression] = STATE(1212),
    [sym_concatenated_string] = STATE(1212),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3470),
    [sym_char_literal] = ACTIONS(3470),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3472),
    [sym_false] = ACTIONS(3472),
    [sym_null] = ACTIONS(3472),
    [sym_identifier] = ACTIONS(3472),
    [sym_comment] = ACTIONS(39),
  },
  [1141] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(3474),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1142] = {
    [sym_declaration] = STATE(697),
    [sym_type_definition] = STATE(697),
    [sym__declaration_specifiers] = STATE(698),
    [sym_compound_statement] = STATE(697),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(697),
    [sym_expression_statement] = STATE(697),
    [sym_if_statement] = STATE(697),
    [sym_switch_statement] = STATE(697),
    [sym_case_statement] = STATE(697),
    [sym_while_statement] = STATE(697),
    [sym_do_statement] = STATE(697),
    [sym_for_statement] = STATE(697),
    [sym_return_statement] = STATE(697),
    [sym_break_statement] = STATE(697),
    [sym_continue_statement] = STATE(697),
    [sym_goto_statement] = STATE(697),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3476),
    [sym_comment] = ACTIONS(39),
  },
  [1143] = {
    [sym__expression] = STATE(1215),
    [sym_conditional_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1215),
    [sym_pointer_expression] = STATE(1215),
    [sym_logical_expression] = STATE(1215),
    [sym_bitwise_expression] = STATE(1215),
    [sym_equality_expression] = STATE(1215),
    [sym_relational_expression] = STATE(1215),
    [sym_shift_expression] = STATE(1215),
    [sym_math_expression] = STATE(1215),
    [sym_cast_expression] = STATE(1215),
    [sym_sizeof_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_call_expression] = STATE(1215),
    [sym_field_expression] = STATE(1215),
    [sym_compound_literal_expression] = STATE(1215),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_concatenated_string] = STATE(1215),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3478),
    [sym_char_literal] = ACTIONS(3478),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3480),
    [sym_false] = ACTIONS(3480),
    [sym_null] = ACTIONS(3480),
    [sym_identifier] = ACTIONS(3480),
    [sym_comment] = ACTIONS(39),
  },
  [1144] = {
    [sym_declaration] = STATE(1216),
    [sym__declaration_specifiers] = STATE(698),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym__expression] = STATE(1217),
    [sym_conditional_expression] = STATE(1217),
    [sym_assignment_expression] = STATE(1217),
    [sym_pointer_expression] = STATE(1217),
    [sym_logical_expression] = STATE(1217),
    [sym_bitwise_expression] = STATE(1217),
    [sym_equality_expression] = STATE(1217),
    [sym_relational_expression] = STATE(1217),
    [sym_shift_expression] = STATE(1217),
    [sym_math_expression] = STATE(1217),
    [sym_cast_expression] = STATE(1217),
    [sym_sizeof_expression] = STATE(1217),
    [sym_subscript_expression] = STATE(1217),
    [sym_call_expression] = STATE(1217),
    [sym_field_expression] = STATE(1217),
    [sym_compound_literal_expression] = STATE(1217),
    [sym_parenthesized_expression] = STATE(1217),
    [sym_concatenated_string] = STATE(1217),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3482),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3484),
    [sym_char_literal] = ACTIONS(3484),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3486),
    [sym_false] = ACTIONS(3486),
    [sym_null] = ACTIONS(3486),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(39),
  },
  [1145] = {
    [sym_compound_statement] = STATE(716),
    [sym_labeled_statement] = STATE(716),
    [sym_expression_statement] = STATE(716),
    [sym_if_statement] = STATE(716),
    [sym_switch_statement] = STATE(716),
    [sym_case_statement] = STATE(716),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(716),
    [sym_for_statement] = STATE(716),
    [sym_return_statement] = STATE(716),
    [sym_break_statement] = STATE(716),
    [sym_continue_statement] = STATE(716),
    [sym_goto_statement] = STATE(716),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1146] = {
    [sym_compound_statement] = STATE(1218),
    [sym_labeled_statement] = STATE(1218),
    [sym_expression_statement] = STATE(1218),
    [sym_if_statement] = STATE(1218),
    [sym_switch_statement] = STATE(1218),
    [sym_case_statement] = STATE(1218),
    [sym_while_statement] = STATE(1218),
    [sym_do_statement] = STATE(1218),
    [sym_for_statement] = STATE(1218),
    [sym_return_statement] = STATE(1218),
    [sym_break_statement] = STATE(1218),
    [sym_continue_statement] = STATE(1218),
    [sym_goto_statement] = STATE(1218),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [1147] = {
    [sym__expression] = STATE(1219),
    [sym_conditional_expression] = STATE(1219),
    [sym_assignment_expression] = STATE(1219),
    [sym_pointer_expression] = STATE(1219),
    [sym_logical_expression] = STATE(1219),
    [sym_bitwise_expression] = STATE(1219),
    [sym_equality_expression] = STATE(1219),
    [sym_relational_expression] = STATE(1219),
    [sym_shift_expression] = STATE(1219),
    [sym_math_expression] = STATE(1219),
    [sym_cast_expression] = STATE(1219),
    [sym_sizeof_expression] = STATE(1219),
    [sym_subscript_expression] = STATE(1219),
    [sym_call_expression] = STATE(1219),
    [sym_field_expression] = STATE(1219),
    [sym_compound_literal_expression] = STATE(1219),
    [sym_parenthesized_expression] = STATE(1219),
    [sym_concatenated_string] = STATE(1219),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3488),
    [sym_char_literal] = ACTIONS(3488),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3490),
    [sym_false] = ACTIONS(3490),
    [sym_null] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(3490),
    [sym_comment] = ACTIONS(39),
  },
  [1148] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(3376),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1149] = {
    [anon_sym_LPAREN] = ACTIONS(3492),
    [sym_comment] = ACTIONS(39),
  },
  [1150] = {
    [anon_sym_LPAREN] = ACTIONS(3494),
    [sym_comment] = ACTIONS(39),
  },
  [1151] = {
    [sym__expression] = STATE(1222),
    [sym_conditional_expression] = STATE(1222),
    [sym_assignment_expression] = STATE(1222),
    [sym_pointer_expression] = STATE(1222),
    [sym_logical_expression] = STATE(1222),
    [sym_bitwise_expression] = STATE(1222),
    [sym_equality_expression] = STATE(1222),
    [sym_relational_expression] = STATE(1222),
    [sym_shift_expression] = STATE(1222),
    [sym_math_expression] = STATE(1222),
    [sym_cast_expression] = STATE(1222),
    [sym_sizeof_expression] = STATE(1222),
    [sym_subscript_expression] = STATE(1222),
    [sym_call_expression] = STATE(1222),
    [sym_field_expression] = STATE(1222),
    [sym_compound_literal_expression] = STATE(1222),
    [sym_parenthesized_expression] = STATE(1222),
    [sym_concatenated_string] = STATE(1222),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(3496),
    [sym_char_literal] = ACTIONS(3496),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(3498),
    [sym_false] = ACTIONS(3498),
    [sym_null] = ACTIONS(3498),
    [sym_identifier] = ACTIONS(3498),
    [sym_comment] = ACTIONS(39),
  },
  [1152] = {
    [anon_sym_COLON] = ACTIONS(3500),
    [sym_comment] = ACTIONS(39),
  },
  [1153] = {
    [anon_sym_LPAREN] = ACTIONS(3502),
    [sym_comment] = ACTIONS(39),
  },
  [1154] = {
    [anon_sym_LPAREN] = ACTIONS(3504),
    [sym_comment] = ACTIONS(39),
  },
  [1155] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(3506),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [1156] = {
    [anon_sym_else] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3309),
    [sym_comment] = ACTIONS(39),
  },
  [1157] = {
    [sym_compound_statement] = STATE(1162),
    [sym_labeled_statement] = STATE(1162),
    [sym_expression_statement] = STATE(1162),
    [sym_if_statement] = STATE(1162),
    [sym_switch_statement] = STATE(1162),
    [sym_case_statement] = STATE(1162),
    [sym_while_statement] = STATE(1162),
    [sym_do_statement] = STATE(1162),
    [sym_for_statement] = STATE(1162),
    [sym_return_statement] = STATE(1162),
    [sym_break_statement] = STATE(1162),
    [sym_continue_statement] = STATE(1162),
    [sym_goto_statement] = STATE(1162),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [1158] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1229),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3510),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1159] = {
    [sym__expression] = STATE(1230),
    [sym_conditional_expression] = STATE(1230),
    [sym_assignment_expression] = STATE(1230),
    [sym_pointer_expression] = STATE(1230),
    [sym_logical_expression] = STATE(1230),
    [sym_bitwise_expression] = STATE(1230),
    [sym_equality_expression] = STATE(1230),
    [sym_relational_expression] = STATE(1230),
    [sym_shift_expression] = STATE(1230),
    [sym_math_expression] = STATE(1230),
    [sym_cast_expression] = STATE(1230),
    [sym_sizeof_expression] = STATE(1230),
    [sym_subscript_expression] = STATE(1230),
    [sym_call_expression] = STATE(1230),
    [sym_field_expression] = STATE(1230),
    [sym_compound_literal_expression] = STATE(1230),
    [sym_parenthesized_expression] = STATE(1230),
    [sym_concatenated_string] = STATE(1230),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3510),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3512),
    [sym_char_literal] = ACTIONS(3512),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3514),
    [sym_false] = ACTIONS(3514),
    [sym_null] = ACTIONS(3514),
    [sym_identifier] = ACTIONS(3514),
    [sym_comment] = ACTIONS(39),
  },
  [1160] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3516),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1161] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3518),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3518),
    [sym_preproc_directive] = ACTIONS(3518),
    [anon_sym_SEMI] = ACTIONS(3520),
    [anon_sym_typedef] = ACTIONS(3518),
    [anon_sym_extern] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_RBRACE] = ACTIONS(3520),
    [anon_sym_STAR] = ACTIONS(3520),
    [anon_sym_static] = ACTIONS(3518),
    [anon_sym_auto] = ACTIONS(3518),
    [anon_sym_register] = ACTIONS(3518),
    [anon_sym_inline] = ACTIONS(3518),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_restrict] = ACTIONS(3518),
    [anon_sym_volatile] = ACTIONS(3518),
    [anon_sym__Atomic] = ACTIONS(3518),
    [anon_sym_unsigned] = ACTIONS(3518),
    [anon_sym_long] = ACTIONS(3518),
    [anon_sym_short] = ACTIONS(3518),
    [sym_primitive_type] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(3518),
    [anon_sym_struct] = ACTIONS(3518),
    [anon_sym_union] = ACTIONS(3518),
    [anon_sym_if] = ACTIONS(3518),
    [anon_sym_else] = ACTIONS(3518),
    [anon_sym_switch] = ACTIONS(3518),
    [anon_sym_case] = ACTIONS(3518),
    [anon_sym_default] = ACTIONS(3518),
    [anon_sym_while] = ACTIONS(3518),
    [anon_sym_do] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3518),
    [anon_sym_break] = ACTIONS(3518),
    [anon_sym_continue] = ACTIONS(3518),
    [anon_sym_goto] = ACTIONS(3518),
    [anon_sym_AMP] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3520),
    [anon_sym_PLUS_PLUS] = ACTIONS(3520),
    [anon_sym_sizeof] = ACTIONS(3518),
    [sym_number_literal] = ACTIONS(3520),
    [sym_char_literal] = ACTIONS(3520),
    [sym_string_literal] = ACTIONS(3520),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_null] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3518),
    [sym_comment] = ACTIONS(39),
  },
  [1162] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3522),
    [sym_preproc_directive] = ACTIONS(3522),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_typedef] = ACTIONS(3522),
    [anon_sym_extern] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3522),
    [anon_sym_auto] = ACTIONS(3522),
    [anon_sym_register] = ACTIONS(3522),
    [anon_sym_inline] = ACTIONS(3522),
    [anon_sym_const] = ACTIONS(3522),
    [anon_sym_restrict] = ACTIONS(3522),
    [anon_sym_volatile] = ACTIONS(3522),
    [anon_sym__Atomic] = ACTIONS(3522),
    [anon_sym_unsigned] = ACTIONS(3522),
    [anon_sym_long] = ACTIONS(3522),
    [anon_sym_short] = ACTIONS(3522),
    [sym_primitive_type] = ACTIONS(3522),
    [anon_sym_enum] = ACTIONS(3522),
    [anon_sym_struct] = ACTIONS(3522),
    [anon_sym_union] = ACTIONS(3522),
    [anon_sym_if] = ACTIONS(3522),
    [anon_sym_else] = ACTIONS(3522),
    [anon_sym_switch] = ACTIONS(3522),
    [anon_sym_case] = ACTIONS(3522),
    [anon_sym_default] = ACTIONS(3522),
    [anon_sym_while] = ACTIONS(3522),
    [anon_sym_do] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3522),
    [anon_sym_return] = ACTIONS(3522),
    [anon_sym_break] = ACTIONS(3522),
    [anon_sym_continue] = ACTIONS(3522),
    [anon_sym_goto] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_sizeof] = ACTIONS(3522),
    [sym_number_literal] = ACTIONS(3524),
    [sym_char_literal] = ACTIONS(3524),
    [sym_string_literal] = ACTIONS(3524),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_null] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3522),
    [sym_comment] = ACTIONS(39),
  },
  [1163] = {
    [sym_compound_statement] = STATE(1232),
    [sym_labeled_statement] = STATE(1232),
    [sym_expression_statement] = STATE(1232),
    [sym_if_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_case_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_goto_statement] = STATE(1232),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [1164] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3526),
    [sym_comment] = ACTIONS(39),
  },
  [1165] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1234),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3526),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1166] = {
    [sym__expression] = STATE(1235),
    [sym_conditional_expression] = STATE(1235),
    [sym_assignment_expression] = STATE(1235),
    [sym_pointer_expression] = STATE(1235),
    [sym_logical_expression] = STATE(1235),
    [sym_bitwise_expression] = STATE(1235),
    [sym_equality_expression] = STATE(1235),
    [sym_relational_expression] = STATE(1235),
    [sym_shift_expression] = STATE(1235),
    [sym_math_expression] = STATE(1235),
    [sym_cast_expression] = STATE(1235),
    [sym_sizeof_expression] = STATE(1235),
    [sym_subscript_expression] = STATE(1235),
    [sym_call_expression] = STATE(1235),
    [sym_field_expression] = STATE(1235),
    [sym_compound_literal_expression] = STATE(1235),
    [sym_parenthesized_expression] = STATE(1235),
    [sym_concatenated_string] = STATE(1235),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3526),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3528),
    [sym_char_literal] = ACTIONS(3528),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3530),
    [sym_false] = ACTIONS(3530),
    [sym_null] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3530),
    [sym_comment] = ACTIONS(39),
  },
  [1167] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3262),
    [sym_preproc_directive] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3262),
    [anon_sym_extern] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_auto] = ACTIONS(3262),
    [anon_sym_register] = ACTIONS(3262),
    [anon_sym_inline] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_restrict] = ACTIONS(3262),
    [anon_sym_volatile] = ACTIONS(3262),
    [anon_sym__Atomic] = ACTIONS(3262),
    [anon_sym_unsigned] = ACTIONS(3262),
    [anon_sym_long] = ACTIONS(3262),
    [anon_sym_short] = ACTIONS(3262),
    [sym_primitive_type] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_case] = ACTIONS(3262),
    [anon_sym_default] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_goto] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_sizeof] = ACTIONS(3262),
    [sym_number_literal] = ACTIONS(3264),
    [sym_char_literal] = ACTIONS(3264),
    [sym_string_literal] = ACTIONS(3264),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_identifier] = ACTIONS(3262),
    [sym_comment] = ACTIONS(39),
  },
  [1168] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3266),
    [sym_preproc_directive] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3266),
    [anon_sym_extern] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_auto] = ACTIONS(3266),
    [anon_sym_register] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_restrict] = ACTIONS(3266),
    [anon_sym_volatile] = ACTIONS(3266),
    [anon_sym__Atomic] = ACTIONS(3266),
    [anon_sym_unsigned] = ACTIONS(3266),
    [anon_sym_long] = ACTIONS(3266),
    [anon_sym_short] = ACTIONS(3266),
    [sym_primitive_type] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [anon_sym_struct] = ACTIONS(3266),
    [anon_sym_union] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_goto] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_sizeof] = ACTIONS(3266),
    [sym_number_literal] = ACTIONS(3268),
    [sym_char_literal] = ACTIONS(3268),
    [sym_string_literal] = ACTIONS(3268),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_identifier] = ACTIONS(3266),
    [sym_comment] = ACTIONS(39),
  },
  [1169] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3270),
    [sym_preproc_directive] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_typedef] = ACTIONS(3270),
    [anon_sym_extern] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_auto] = ACTIONS(3270),
    [anon_sym_register] = ACTIONS(3270),
    [anon_sym_inline] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_restrict] = ACTIONS(3270),
    [anon_sym_volatile] = ACTIONS(3270),
    [anon_sym__Atomic] = ACTIONS(3270),
    [anon_sym_unsigned] = ACTIONS(3270),
    [anon_sym_long] = ACTIONS(3270),
    [anon_sym_short] = ACTIONS(3270),
    [sym_primitive_type] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3270),
    [anon_sym_union] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_default] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_goto] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_sizeof] = ACTIONS(3270),
    [sym_number_literal] = ACTIONS(3272),
    [sym_char_literal] = ACTIONS(3272),
    [sym_string_literal] = ACTIONS(3272),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3270),
    [sym_comment] = ACTIONS(39),
  },
  [1170] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_auto] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_goto] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_sizeof] = ACTIONS(3274),
    [sym_number_literal] = ACTIONS(3276),
    [sym_char_literal] = ACTIONS(3276),
    [sym_string_literal] = ACTIONS(3276),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(39),
  },
  [1171] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_auto] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [sym_char_literal] = ACTIONS(3280),
    [sym_string_literal] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_identifier] = ACTIONS(3278),
    [sym_comment] = ACTIONS(39),
  },
  [1172] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_auto] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [sym_char_literal] = ACTIONS(3284),
    [sym_string_literal] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_identifier] = ACTIONS(3282),
    [sym_comment] = ACTIONS(39),
  },
  [1173] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2810),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2810),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2810),
    [sym_preproc_directive] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2810),
    [anon_sym_extern] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_auto] = ACTIONS(2810),
    [anon_sym_register] = ACTIONS(2810),
    [anon_sym_inline] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_restrict] = ACTIONS(2810),
    [anon_sym_volatile] = ACTIONS(2810),
    [anon_sym__Atomic] = ACTIONS(2810),
    [anon_sym_unsigned] = ACTIONS(2810),
    [anon_sym_long] = ACTIONS(2810),
    [anon_sym_short] = ACTIONS(2810),
    [sym_primitive_type] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [anon_sym_struct] = ACTIONS(2810),
    [anon_sym_union] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_goto] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_sizeof] = ACTIONS(2810),
    [sym_number_literal] = ACTIONS(2812),
    [sym_char_literal] = ACTIONS(2812),
    [sym_string_literal] = ACTIONS(2812),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [sym_null] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2810),
    [sym_comment] = ACTIONS(39),
  },
  [1174] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_auto] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [sym_char_literal] = ACTIONS(2816),
    [sym_string_literal] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [sym_null] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2814),
    [sym_comment] = ACTIONS(39),
  },
  [1175] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2818),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2818),
    [sym_preproc_directive] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2818),
    [anon_sym_extern] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_auto] = ACTIONS(2818),
    [anon_sym_register] = ACTIONS(2818),
    [anon_sym_inline] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_restrict] = ACTIONS(2818),
    [anon_sym_volatile] = ACTIONS(2818),
    [anon_sym__Atomic] = ACTIONS(2818),
    [anon_sym_unsigned] = ACTIONS(2818),
    [anon_sym_long] = ACTIONS(2818),
    [anon_sym_short] = ACTIONS(2818),
    [sym_primitive_type] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [anon_sym_struct] = ACTIONS(2818),
    [anon_sym_union] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_goto] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_sizeof] = ACTIONS(2818),
    [sym_number_literal] = ACTIONS(2820),
    [sym_char_literal] = ACTIONS(2820),
    [sym_string_literal] = ACTIONS(2820),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [sym_null] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2818),
    [sym_comment] = ACTIONS(39),
  },
  [1176] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3532),
    [sym_comment] = ACTIONS(39),
  },
  [1177] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3534),
    [sym_comment] = ACTIONS(39),
  },
  [1178] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2897),
    [anon_sym_LPAREN] = ACTIONS(2899),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2897),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_auto] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [sym_char_literal] = ACTIONS(2899),
    [sym_string_literal] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [sym_null] = ACTIONS(2897),
    [sym_identifier] = ACTIONS(2897),
    [sym_comment] = ACTIONS(39),
  },
  [1179] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2903),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2901),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_auto] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [sym_char_literal] = ACTIONS(2903),
    [sym_string_literal] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [sym_null] = ACTIONS(2901),
    [sym_identifier] = ACTIONS(2901),
    [sym_comment] = ACTIONS(39),
  },
  [1180] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2905),
    [anon_sym_LPAREN] = ACTIONS(2907),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2905),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_auto] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [sym_char_literal] = ACTIONS(2907),
    [sym_string_literal] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [sym_null] = ACTIONS(2905),
    [sym_identifier] = ACTIONS(2905),
    [sym_comment] = ACTIONS(39),
  },
  [1181] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3536),
    [sym_comment] = ACTIONS(39),
  },
  [1182] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3538),
    [sym_comment] = ACTIONS(39),
  },
  [1183] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2915),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2913),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_auto] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [sym_char_literal] = ACTIONS(2915),
    [sym_string_literal] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [sym_null] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2913),
    [sym_comment] = ACTIONS(39),
  },
  [1184] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2919),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2917),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_auto] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [sym_char_literal] = ACTIONS(2919),
    [sym_string_literal] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [sym_null] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2917),
    [sym_comment] = ACTIONS(39),
  },
  [1185] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2921),
    [anon_sym_LPAREN] = ACTIONS(2923),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2921),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_auto] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [sym_char_literal] = ACTIONS(2923),
    [sym_string_literal] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [sym_null] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2921),
    [sym_comment] = ACTIONS(39),
  },
  [1186] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3540),
    [sym_comment] = ACTIONS(39),
  },
  [1187] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3542),
    [sym_comment] = ACTIONS(39),
  },
  [1188] = {
    [sym_compound_statement] = STATE(1249),
    [sym_labeled_statement] = STATE(1249),
    [sym_expression_statement] = STATE(1249),
    [sym_if_statement] = STATE(1249),
    [sym_switch_statement] = STATE(1249),
    [sym_case_statement] = STATE(1249),
    [sym_while_statement] = STATE(1249),
    [sym_do_statement] = STATE(1249),
    [sym_for_statement] = STATE(1249),
    [sym_return_statement] = STATE(1249),
    [sym_break_statement] = STATE(1249),
    [sym_continue_statement] = STATE(1249),
    [sym_goto_statement] = STATE(1249),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1189] = {
    [sym_compound_statement] = STATE(1250),
    [sym_labeled_statement] = STATE(1250),
    [sym_expression_statement] = STATE(1250),
    [sym_if_statement] = STATE(1250),
    [sym_switch_statement] = STATE(1250),
    [sym_case_statement] = STATE(1250),
    [sym_while_statement] = STATE(1250),
    [sym_do_statement] = STATE(1250),
    [sym_for_statement] = STATE(1250),
    [sym_return_statement] = STATE(1250),
    [sym_break_statement] = STATE(1250),
    [sym_continue_statement] = STATE(1250),
    [sym_goto_statement] = STATE(1250),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1190] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(2996),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym_typedef] = ACTIONS(2996),
    [anon_sym_extern] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_auto] = ACTIONS(2996),
    [anon_sym_register] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_restrict] = ACTIONS(2996),
    [anon_sym_volatile] = ACTIONS(2996),
    [anon_sym__Atomic] = ACTIONS(2996),
    [anon_sym_unsigned] = ACTIONS(2996),
    [anon_sym_long] = ACTIONS(2996),
    [anon_sym_short] = ACTIONS(2996),
    [sym_primitive_type] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [anon_sym_struct] = ACTIONS(2996),
    [anon_sym_union] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_else] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_case] = ACTIONS(2996),
    [anon_sym_default] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_goto] = ACTIONS(2996),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_sizeof] = ACTIONS(2996),
    [sym_number_literal] = ACTIONS(2998),
    [sym_char_literal] = ACTIONS(2998),
    [sym_string_literal] = ACTIONS(2998),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [sym_null] = ACTIONS(2996),
    [sym_identifier] = ACTIONS(2996),
    [sym_comment] = ACTIONS(39),
  },
  [1191] = {
    [sym_compound_statement] = STATE(1251),
    [sym_labeled_statement] = STATE(1251),
    [sym_expression_statement] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_case_statement] = STATE(1251),
    [sym_while_statement] = STATE(1251),
    [sym_do_statement] = STATE(1251),
    [sym_for_statement] = STATE(1251),
    [sym_return_statement] = STATE(1251),
    [sym_break_statement] = STATE(1251),
    [sym_continue_statement] = STATE(1251),
    [sym_goto_statement] = STATE(1251),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1192] = {
    [sym__expression] = STATE(1252),
    [sym_conditional_expression] = STATE(1252),
    [sym_assignment_expression] = STATE(1252),
    [sym_pointer_expression] = STATE(1252),
    [sym_logical_expression] = STATE(1252),
    [sym_bitwise_expression] = STATE(1252),
    [sym_equality_expression] = STATE(1252),
    [sym_relational_expression] = STATE(1252),
    [sym_shift_expression] = STATE(1252),
    [sym_math_expression] = STATE(1252),
    [sym_cast_expression] = STATE(1252),
    [sym_sizeof_expression] = STATE(1252),
    [sym_subscript_expression] = STATE(1252),
    [sym_call_expression] = STATE(1252),
    [sym_field_expression] = STATE(1252),
    [sym_compound_literal_expression] = STATE(1252),
    [sym_parenthesized_expression] = STATE(1252),
    [sym_concatenated_string] = STATE(1252),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3558),
    [sym_char_literal] = ACTIONS(3558),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3560),
    [sym_false] = ACTIONS(3560),
    [sym_null] = ACTIONS(3560),
    [sym_identifier] = ACTIONS(3560),
    [sym_comment] = ACTIONS(39),
  },
  [1193] = {
    [sym__expression] = STATE(1254),
    [sym_conditional_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1254),
    [sym_pointer_expression] = STATE(1254),
    [sym_logical_expression] = STATE(1254),
    [sym_bitwise_expression] = STATE(1254),
    [sym_equality_expression] = STATE(1254),
    [sym_relational_expression] = STATE(1254),
    [sym_shift_expression] = STATE(1254),
    [sym_math_expression] = STATE(1254),
    [sym_cast_expression] = STATE(1254),
    [sym_sizeof_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_call_expression] = STATE(1254),
    [sym_field_expression] = STATE(1254),
    [sym_compound_literal_expression] = STATE(1254),
    [sym_parenthesized_expression] = STATE(1254),
    [sym_concatenated_string] = STATE(1254),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3562),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3564),
    [sym_char_literal] = ACTIONS(3564),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3566),
    [sym_false] = ACTIONS(3566),
    [sym_null] = ACTIONS(3566),
    [sym_identifier] = ACTIONS(3566),
    [sym_comment] = ACTIONS(39),
  },
  [1194] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3568),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1195] = {
    [sym__expression] = STATE(1256),
    [sym_conditional_expression] = STATE(1256),
    [sym_assignment_expression] = STATE(1256),
    [sym_pointer_expression] = STATE(1256),
    [sym_logical_expression] = STATE(1256),
    [sym_bitwise_expression] = STATE(1256),
    [sym_equality_expression] = STATE(1256),
    [sym_relational_expression] = STATE(1256),
    [sym_shift_expression] = STATE(1256),
    [sym_math_expression] = STATE(1256),
    [sym_cast_expression] = STATE(1256),
    [sym_sizeof_expression] = STATE(1256),
    [sym_subscript_expression] = STATE(1256),
    [sym_call_expression] = STATE(1256),
    [sym_field_expression] = STATE(1256),
    [sym_compound_literal_expression] = STATE(1256),
    [sym_parenthesized_expression] = STATE(1256),
    [sym_concatenated_string] = STATE(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3568),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3570),
    [sym_char_literal] = ACTIONS(3570),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_identifier] = ACTIONS(3572),
    [sym_comment] = ACTIONS(39),
  },
  [1196] = {
    [anon_sym_LPAREN] = ACTIONS(3574),
    [sym_comment] = ACTIONS(39),
  },
  [1197] = {
    [anon_sym_LPAREN] = ACTIONS(3576),
    [sym_comment] = ACTIONS(39),
  },
  [1198] = {
    [sym__expression] = STATE(1259),
    [sym_conditional_expression] = STATE(1259),
    [sym_assignment_expression] = STATE(1259),
    [sym_pointer_expression] = STATE(1259),
    [sym_logical_expression] = STATE(1259),
    [sym_bitwise_expression] = STATE(1259),
    [sym_equality_expression] = STATE(1259),
    [sym_relational_expression] = STATE(1259),
    [sym_shift_expression] = STATE(1259),
    [sym_math_expression] = STATE(1259),
    [sym_cast_expression] = STATE(1259),
    [sym_sizeof_expression] = STATE(1259),
    [sym_subscript_expression] = STATE(1259),
    [sym_call_expression] = STATE(1259),
    [sym_field_expression] = STATE(1259),
    [sym_compound_literal_expression] = STATE(1259),
    [sym_parenthesized_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1259),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(3578),
    [sym_char_literal] = ACTIONS(3578),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(3580),
    [sym_false] = ACTIONS(3580),
    [sym_null] = ACTIONS(3580),
    [sym_identifier] = ACTIONS(3580),
    [sym_comment] = ACTIONS(39),
  },
  [1199] = {
    [anon_sym_COLON] = ACTIONS(3582),
    [sym_comment] = ACTIONS(39),
  },
  [1200] = {
    [anon_sym_LPAREN] = ACTIONS(3584),
    [sym_comment] = ACTIONS(39),
  },
  [1201] = {
    [anon_sym_LPAREN] = ACTIONS(3586),
    [sym_comment] = ACTIONS(39),
  },
  [1202] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(3588),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [1203] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3307),
    [sym_preproc_directive] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3307),
    [anon_sym_extern] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_auto] = ACTIONS(3307),
    [anon_sym_register] = ACTIONS(3307),
    [anon_sym_inline] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_restrict] = ACTIONS(3307),
    [anon_sym_volatile] = ACTIONS(3307),
    [anon_sym__Atomic] = ACTIONS(3307),
    [anon_sym_unsigned] = ACTIONS(3307),
    [anon_sym_long] = ACTIONS(3307),
    [anon_sym_short] = ACTIONS(3307),
    [sym_primitive_type] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [anon_sym_struct] = ACTIONS(3307),
    [anon_sym_union] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3590),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_goto] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3307),
    [sym_number_literal] = ACTIONS(3309),
    [sym_char_literal] = ACTIONS(3309),
    [sym_string_literal] = ACTIONS(3309),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_identifier] = ACTIONS(3307),
    [sym_comment] = ACTIONS(39),
  },
  [1204] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3315),
    [sym_preproc_directive] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3315),
    [anon_sym_extern] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_auto] = ACTIONS(3315),
    [anon_sym_register] = ACTIONS(3315),
    [anon_sym_inline] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_restrict] = ACTIONS(3315),
    [anon_sym_volatile] = ACTIONS(3315),
    [anon_sym__Atomic] = ACTIONS(3315),
    [anon_sym_unsigned] = ACTIONS(3315),
    [anon_sym_long] = ACTIONS(3315),
    [anon_sym_short] = ACTIONS(3315),
    [sym_primitive_type] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [anon_sym_struct] = ACTIONS(3315),
    [anon_sym_union] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_goto] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_sizeof] = ACTIONS(3315),
    [sym_number_literal] = ACTIONS(3317),
    [sym_char_literal] = ACTIONS(3317),
    [sym_string_literal] = ACTIONS(3317),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_identifier] = ACTIONS(3315),
    [sym_comment] = ACTIONS(39),
  },
  [1205] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_auto] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_goto] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3327),
    [sym_number_literal] = ACTIONS(3329),
    [sym_char_literal] = ACTIONS(3329),
    [sym_string_literal] = ACTIONS(3329),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_identifier] = ACTIONS(3327),
    [sym_comment] = ACTIONS(39),
  },
  [1206] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3592),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1207] = {
    [sym_compound_statement] = STATE(1266),
    [sym_labeled_statement] = STATE(1266),
    [sym_expression_statement] = STATE(1266),
    [sym_if_statement] = STATE(1266),
    [sym_switch_statement] = STATE(1266),
    [sym_case_statement] = STATE(1266),
    [sym_while_statement] = STATE(1266),
    [sym_do_statement] = STATE(1266),
    [sym_for_statement] = STATE(1266),
    [sym_return_statement] = STATE(1266),
    [sym_break_statement] = STATE(1266),
    [sym_continue_statement] = STATE(1266),
    [sym_goto_statement] = STATE(1266),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [1208] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1268),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3594),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1209] = {
    [sym__expression] = STATE(1269),
    [sym_conditional_expression] = STATE(1269),
    [sym_assignment_expression] = STATE(1269),
    [sym_pointer_expression] = STATE(1269),
    [sym_logical_expression] = STATE(1269),
    [sym_bitwise_expression] = STATE(1269),
    [sym_equality_expression] = STATE(1269),
    [sym_relational_expression] = STATE(1269),
    [sym_shift_expression] = STATE(1269),
    [sym_math_expression] = STATE(1269),
    [sym_cast_expression] = STATE(1269),
    [sym_sizeof_expression] = STATE(1269),
    [sym_subscript_expression] = STATE(1269),
    [sym_call_expression] = STATE(1269),
    [sym_field_expression] = STATE(1269),
    [sym_compound_literal_expression] = STATE(1269),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_concatenated_string] = STATE(1269),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3594),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3596),
    [sym_char_literal] = ACTIONS(3596),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3598),
    [sym_false] = ACTIONS(3598),
    [sym_null] = ACTIONS(3598),
    [sym_identifier] = ACTIONS(3598),
    [sym_comment] = ACTIONS(39),
  },
  [1210] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3600),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1211] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3602),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1212] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3604),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1213] = {
    [sym_declaration] = STATE(927),
    [sym_type_definition] = STATE(927),
    [sym__declaration_specifiers] = STATE(698),
    [sym_compound_statement] = STATE(927),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_case_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_goto_statement] = STATE(927),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3476),
    [sym_comment] = ACTIONS(39),
  },
  [1214] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(3305),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [1215] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3606),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1216] = {
    [sym__expression] = STATE(1275),
    [sym_conditional_expression] = STATE(1275),
    [sym_assignment_expression] = STATE(1275),
    [sym_pointer_expression] = STATE(1275),
    [sym_logical_expression] = STATE(1275),
    [sym_bitwise_expression] = STATE(1275),
    [sym_equality_expression] = STATE(1275),
    [sym_relational_expression] = STATE(1275),
    [sym_shift_expression] = STATE(1275),
    [sym_math_expression] = STATE(1275),
    [sym_cast_expression] = STATE(1275),
    [sym_sizeof_expression] = STATE(1275),
    [sym_subscript_expression] = STATE(1275),
    [sym_call_expression] = STATE(1275),
    [sym_field_expression] = STATE(1275),
    [sym_compound_literal_expression] = STATE(1275),
    [sym_parenthesized_expression] = STATE(1275),
    [sym_concatenated_string] = STATE(1275),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3610),
    [sym_char_literal] = ACTIONS(3610),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_identifier] = ACTIONS(3612),
    [sym_comment] = ACTIONS(39),
  },
  [1217] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1218] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3616),
    [sym_preproc_directive] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_typedef] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_RBRACE] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_auto] = ACTIONS(3616),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym_unsigned] = ACTIONS(3616),
    [anon_sym_long] = ACTIONS(3616),
    [anon_sym_short] = ACTIONS(3616),
    [sym_primitive_type] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [anon_sym_struct] = ACTIONS(3616),
    [anon_sym_union] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_goto] = ACTIONS(3616),
    [anon_sym_AMP] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_sizeof] = ACTIONS(3616),
    [sym_number_literal] = ACTIONS(3618),
    [sym_char_literal] = ACTIONS(3618),
    [sym_string_literal] = ACTIONS(3618),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_identifier] = ACTIONS(3616),
    [sym_comment] = ACTIONS(39),
  },
  [1219] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1220] = {
    [sym__expression] = STATE(1277),
    [sym_conditional_expression] = STATE(1277),
    [sym_assignment_expression] = STATE(1277),
    [sym_pointer_expression] = STATE(1277),
    [sym_logical_expression] = STATE(1277),
    [sym_bitwise_expression] = STATE(1277),
    [sym_equality_expression] = STATE(1277),
    [sym_relational_expression] = STATE(1277),
    [sym_shift_expression] = STATE(1277),
    [sym_math_expression] = STATE(1277),
    [sym_cast_expression] = STATE(1277),
    [sym_sizeof_expression] = STATE(1277),
    [sym_subscript_expression] = STATE(1277),
    [sym_call_expression] = STATE(1277),
    [sym_field_expression] = STATE(1277),
    [sym_compound_literal_expression] = STATE(1277),
    [sym_parenthesized_expression] = STATE(1277),
    [sym_concatenated_string] = STATE(1277),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3620),
    [sym_char_literal] = ACTIONS(3620),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3622),
    [sym_false] = ACTIONS(3622),
    [sym_null] = ACTIONS(3622),
    [sym_identifier] = ACTIONS(3622),
    [sym_comment] = ACTIONS(39),
  },
  [1221] = {
    [sym__expression] = STATE(1278),
    [sym_conditional_expression] = STATE(1278),
    [sym_assignment_expression] = STATE(1278),
    [sym_pointer_expression] = STATE(1278),
    [sym_logical_expression] = STATE(1278),
    [sym_bitwise_expression] = STATE(1278),
    [sym_equality_expression] = STATE(1278),
    [sym_relational_expression] = STATE(1278),
    [sym_shift_expression] = STATE(1278),
    [sym_math_expression] = STATE(1278),
    [sym_cast_expression] = STATE(1278),
    [sym_sizeof_expression] = STATE(1278),
    [sym_subscript_expression] = STATE(1278),
    [sym_call_expression] = STATE(1278),
    [sym_field_expression] = STATE(1278),
    [sym_compound_literal_expression] = STATE(1278),
    [sym_parenthesized_expression] = STATE(1278),
    [sym_concatenated_string] = STATE(1278),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3624),
    [sym_char_literal] = ACTIONS(3624),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_identifier] = ACTIONS(3626),
    [sym_comment] = ACTIONS(39),
  },
  [1222] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(3628),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1223] = {
    [sym_declaration] = STATE(697),
    [sym_type_definition] = STATE(697),
    [sym__declaration_specifiers] = STATE(698),
    [sym_compound_statement] = STATE(697),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(697),
    [sym_expression_statement] = STATE(697),
    [sym_if_statement] = STATE(697),
    [sym_switch_statement] = STATE(697),
    [sym_case_statement] = STATE(697),
    [sym_while_statement] = STATE(697),
    [sym_do_statement] = STATE(697),
    [sym_for_statement] = STATE(697),
    [sym_return_statement] = STATE(697),
    [sym_break_statement] = STATE(697),
    [sym_continue_statement] = STATE(697),
    [sym_goto_statement] = STATE(697),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3630),
    [sym_comment] = ACTIONS(39),
  },
  [1224] = {
    [sym__expression] = STATE(1281),
    [sym_conditional_expression] = STATE(1281),
    [sym_assignment_expression] = STATE(1281),
    [sym_pointer_expression] = STATE(1281),
    [sym_logical_expression] = STATE(1281),
    [sym_bitwise_expression] = STATE(1281),
    [sym_equality_expression] = STATE(1281),
    [sym_relational_expression] = STATE(1281),
    [sym_shift_expression] = STATE(1281),
    [sym_math_expression] = STATE(1281),
    [sym_cast_expression] = STATE(1281),
    [sym_sizeof_expression] = STATE(1281),
    [sym_subscript_expression] = STATE(1281),
    [sym_call_expression] = STATE(1281),
    [sym_field_expression] = STATE(1281),
    [sym_compound_literal_expression] = STATE(1281),
    [sym_parenthesized_expression] = STATE(1281),
    [sym_concatenated_string] = STATE(1281),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3632),
    [sym_char_literal] = ACTIONS(3632),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3634),
    [sym_false] = ACTIONS(3634),
    [sym_null] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(3634),
    [sym_comment] = ACTIONS(39),
  },
  [1225] = {
    [sym_declaration] = STATE(1282),
    [sym__declaration_specifiers] = STATE(698),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym__expression] = STATE(1283),
    [sym_conditional_expression] = STATE(1283),
    [sym_assignment_expression] = STATE(1283),
    [sym_pointer_expression] = STATE(1283),
    [sym_logical_expression] = STATE(1283),
    [sym_bitwise_expression] = STATE(1283),
    [sym_equality_expression] = STATE(1283),
    [sym_relational_expression] = STATE(1283),
    [sym_shift_expression] = STATE(1283),
    [sym_math_expression] = STATE(1283),
    [sym_cast_expression] = STATE(1283),
    [sym_sizeof_expression] = STATE(1283),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1283),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_concatenated_string] = STATE(1283),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3638),
    [sym_char_literal] = ACTIONS(3638),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3640),
    [sym_false] = ACTIONS(3640),
    [sym_null] = ACTIONS(3640),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(39),
  },
  [1226] = {
    [sym_compound_statement] = STATE(716),
    [sym_labeled_statement] = STATE(716),
    [sym_expression_statement] = STATE(716),
    [sym_if_statement] = STATE(716),
    [sym_switch_statement] = STATE(716),
    [sym_case_statement] = STATE(716),
    [sym_while_statement] = STATE(716),
    [sym_do_statement] = STATE(716),
    [sym_for_statement] = STATE(716),
    [sym_return_statement] = STATE(716),
    [sym_break_statement] = STATE(716),
    [sym_continue_statement] = STATE(716),
    [sym_goto_statement] = STATE(716),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1227] = {
    [sym_compound_statement] = STATE(1218),
    [sym_labeled_statement] = STATE(1218),
    [sym_expression_statement] = STATE(1218),
    [sym_if_statement] = STATE(1218),
    [sym_switch_statement] = STATE(1218),
    [sym_case_statement] = STATE(1218),
    [sym_while_statement] = STATE(1218),
    [sym_do_statement] = STATE(1218),
    [sym_for_statement] = STATE(1218),
    [sym_return_statement] = STATE(1218),
    [sym_break_statement] = STATE(1218),
    [sym_continue_statement] = STATE(1218),
    [sym_goto_statement] = STATE(1218),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [1228] = {
    [sym_compound_statement] = STATE(1232),
    [sym_labeled_statement] = STATE(1232),
    [sym_expression_statement] = STATE(1232),
    [sym_if_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_case_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_goto_statement] = STATE(1232),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [1229] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3642),
    [sym_comment] = ACTIONS(39),
  },
  [1230] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1285),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3642),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1231] = {
    [sym__expression] = STATE(1286),
    [sym_conditional_expression] = STATE(1286),
    [sym_assignment_expression] = STATE(1286),
    [sym_pointer_expression] = STATE(1286),
    [sym_logical_expression] = STATE(1286),
    [sym_bitwise_expression] = STATE(1286),
    [sym_equality_expression] = STATE(1286),
    [sym_relational_expression] = STATE(1286),
    [sym_shift_expression] = STATE(1286),
    [sym_math_expression] = STATE(1286),
    [sym_cast_expression] = STATE(1286),
    [sym_sizeof_expression] = STATE(1286),
    [sym_subscript_expression] = STATE(1286),
    [sym_call_expression] = STATE(1286),
    [sym_field_expression] = STATE(1286),
    [sym_compound_literal_expression] = STATE(1286),
    [sym_parenthesized_expression] = STATE(1286),
    [sym_concatenated_string] = STATE(1286),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3642),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3644),
    [sym_char_literal] = ACTIONS(3644),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3646),
    [sym_false] = ACTIONS(3646),
    [sym_null] = ACTIONS(3646),
    [sym_identifier] = ACTIONS(3646),
    [sym_comment] = ACTIONS(39),
  },
  [1232] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3648),
    [anon_sym_LPAREN] = ACTIONS(3650),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3648),
    [sym_preproc_directive] = ACTIONS(3648),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_typedef] = ACTIONS(3648),
    [anon_sym_extern] = ACTIONS(3648),
    [anon_sym_LBRACE] = ACTIONS(3650),
    [anon_sym_RBRACE] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_static] = ACTIONS(3648),
    [anon_sym_auto] = ACTIONS(3648),
    [anon_sym_register] = ACTIONS(3648),
    [anon_sym_inline] = ACTIONS(3648),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym_unsigned] = ACTIONS(3648),
    [anon_sym_long] = ACTIONS(3648),
    [anon_sym_short] = ACTIONS(3648),
    [sym_primitive_type] = ACTIONS(3648),
    [anon_sym_enum] = ACTIONS(3648),
    [anon_sym_struct] = ACTIONS(3648),
    [anon_sym_union] = ACTIONS(3648),
    [anon_sym_if] = ACTIONS(3648),
    [anon_sym_else] = ACTIONS(3648),
    [anon_sym_switch] = ACTIONS(3648),
    [anon_sym_case] = ACTIONS(3648),
    [anon_sym_default] = ACTIONS(3648),
    [anon_sym_while] = ACTIONS(3648),
    [anon_sym_do] = ACTIONS(3648),
    [anon_sym_for] = ACTIONS(3648),
    [anon_sym_return] = ACTIONS(3648),
    [anon_sym_break] = ACTIONS(3648),
    [anon_sym_continue] = ACTIONS(3648),
    [anon_sym_goto] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3650),
    [anon_sym_TILDE] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3648),
    [anon_sym_DASH] = ACTIONS(3648),
    [anon_sym_DASH_DASH] = ACTIONS(3650),
    [anon_sym_PLUS_PLUS] = ACTIONS(3650),
    [anon_sym_sizeof] = ACTIONS(3648),
    [sym_number_literal] = ACTIONS(3650),
    [sym_char_literal] = ACTIONS(3650),
    [sym_string_literal] = ACTIONS(3650),
    [sym_true] = ACTIONS(3648),
    [sym_false] = ACTIONS(3648),
    [sym_null] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(3648),
    [sym_comment] = ACTIONS(39),
  },
  [1233] = {
    [sym_compound_statement] = STATE(1287),
    [sym_labeled_statement] = STATE(1287),
    [sym_expression_statement] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_case_statement] = STATE(1287),
    [sym_while_statement] = STATE(1287),
    [sym_do_statement] = STATE(1287),
    [sym_for_statement] = STATE(1287),
    [sym_return_statement] = STATE(1287),
    [sym_break_statement] = STATE(1287),
    [sym_continue_statement] = STATE(1287),
    [sym_goto_statement] = STATE(1287),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [1234] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [sym_comment] = ACTIONS(39),
  },
  [1235] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1289),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1236] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3262),
    [anon_sym_LPAREN] = ACTIONS(3264),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3262),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3262),
    [sym_preproc_directive] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3262),
    [anon_sym_extern] = ACTIONS(3262),
    [anon_sym_LBRACE] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3262),
    [anon_sym_auto] = ACTIONS(3262),
    [anon_sym_register] = ACTIONS(3262),
    [anon_sym_inline] = ACTIONS(3262),
    [anon_sym_const] = ACTIONS(3262),
    [anon_sym_restrict] = ACTIONS(3262),
    [anon_sym_volatile] = ACTIONS(3262),
    [anon_sym__Atomic] = ACTIONS(3262),
    [anon_sym_unsigned] = ACTIONS(3262),
    [anon_sym_long] = ACTIONS(3262),
    [anon_sym_short] = ACTIONS(3262),
    [sym_primitive_type] = ACTIONS(3262),
    [anon_sym_enum] = ACTIONS(3262),
    [anon_sym_struct] = ACTIONS(3262),
    [anon_sym_union] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_switch] = ACTIONS(3262),
    [anon_sym_case] = ACTIONS(3262),
    [anon_sym_default] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_do] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3262),
    [anon_sym_return] = ACTIONS(3262),
    [anon_sym_break] = ACTIONS(3262),
    [anon_sym_continue] = ACTIONS(3262),
    [anon_sym_goto] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_BANG] = ACTIONS(3264),
    [anon_sym_TILDE] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3264),
    [anon_sym_PLUS_PLUS] = ACTIONS(3264),
    [anon_sym_sizeof] = ACTIONS(3262),
    [sym_number_literal] = ACTIONS(3264),
    [sym_char_literal] = ACTIONS(3264),
    [sym_string_literal] = ACTIONS(3264),
    [sym_true] = ACTIONS(3262),
    [sym_false] = ACTIONS(3262),
    [sym_null] = ACTIONS(3262),
    [sym_identifier] = ACTIONS(3262),
    [sym_comment] = ACTIONS(39),
  },
  [1237] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3266),
    [anon_sym_LPAREN] = ACTIONS(3268),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3266),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3266),
    [sym_preproc_directive] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3266),
    [anon_sym_extern] = ACTIONS(3266),
    [anon_sym_LBRACE] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3266),
    [anon_sym_auto] = ACTIONS(3266),
    [anon_sym_register] = ACTIONS(3266),
    [anon_sym_inline] = ACTIONS(3266),
    [anon_sym_const] = ACTIONS(3266),
    [anon_sym_restrict] = ACTIONS(3266),
    [anon_sym_volatile] = ACTIONS(3266),
    [anon_sym__Atomic] = ACTIONS(3266),
    [anon_sym_unsigned] = ACTIONS(3266),
    [anon_sym_long] = ACTIONS(3266),
    [anon_sym_short] = ACTIONS(3266),
    [sym_primitive_type] = ACTIONS(3266),
    [anon_sym_enum] = ACTIONS(3266),
    [anon_sym_struct] = ACTIONS(3266),
    [anon_sym_union] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_switch] = ACTIONS(3266),
    [anon_sym_case] = ACTIONS(3266),
    [anon_sym_default] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_do] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3266),
    [anon_sym_return] = ACTIONS(3266),
    [anon_sym_break] = ACTIONS(3266),
    [anon_sym_continue] = ACTIONS(3266),
    [anon_sym_goto] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_BANG] = ACTIONS(3268),
    [anon_sym_TILDE] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3268),
    [anon_sym_PLUS_PLUS] = ACTIONS(3268),
    [anon_sym_sizeof] = ACTIONS(3266),
    [sym_number_literal] = ACTIONS(3268),
    [sym_char_literal] = ACTIONS(3268),
    [sym_string_literal] = ACTIONS(3268),
    [sym_true] = ACTIONS(3266),
    [sym_false] = ACTIONS(3266),
    [sym_null] = ACTIONS(3266),
    [sym_identifier] = ACTIONS(3266),
    [sym_comment] = ACTIONS(39),
  },
  [1238] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3272),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3270),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3270),
    [sym_preproc_directive] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3272),
    [anon_sym_typedef] = ACTIONS(3270),
    [anon_sym_extern] = ACTIONS(3270),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3270),
    [anon_sym_auto] = ACTIONS(3270),
    [anon_sym_register] = ACTIONS(3270),
    [anon_sym_inline] = ACTIONS(3270),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_restrict] = ACTIONS(3270),
    [anon_sym_volatile] = ACTIONS(3270),
    [anon_sym__Atomic] = ACTIONS(3270),
    [anon_sym_unsigned] = ACTIONS(3270),
    [anon_sym_long] = ACTIONS(3270),
    [anon_sym_short] = ACTIONS(3270),
    [sym_primitive_type] = ACTIONS(3270),
    [anon_sym_enum] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3270),
    [anon_sym_union] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_switch] = ACTIONS(3270),
    [anon_sym_case] = ACTIONS(3270),
    [anon_sym_default] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_do] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3270),
    [anon_sym_return] = ACTIONS(3270),
    [anon_sym_break] = ACTIONS(3270),
    [anon_sym_continue] = ACTIONS(3270),
    [anon_sym_goto] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_BANG] = ACTIONS(3272),
    [anon_sym_TILDE] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3272),
    [anon_sym_PLUS_PLUS] = ACTIONS(3272),
    [anon_sym_sizeof] = ACTIONS(3270),
    [sym_number_literal] = ACTIONS(3272),
    [sym_char_literal] = ACTIONS(3272),
    [sym_string_literal] = ACTIONS(3272),
    [sym_true] = ACTIONS(3270),
    [sym_false] = ACTIONS(3270),
    [sym_null] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3270),
    [sym_comment] = ACTIONS(39),
  },
  [1239] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3276),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3274),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_auto] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_goto] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_sizeof] = ACTIONS(3274),
    [sym_number_literal] = ACTIONS(3276),
    [sym_char_literal] = ACTIONS(3276),
    [sym_string_literal] = ACTIONS(3276),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [sym_null] = ACTIONS(3274),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(39),
  },
  [1240] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3278),
    [anon_sym_LPAREN] = ACTIONS(3280),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3278),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_auto] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [sym_char_literal] = ACTIONS(3280),
    [sym_string_literal] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [sym_null] = ACTIONS(3278),
    [sym_identifier] = ACTIONS(3278),
    [sym_comment] = ACTIONS(39),
  },
  [1241] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3282),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3282),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_auto] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [sym_char_literal] = ACTIONS(3284),
    [sym_string_literal] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_identifier] = ACTIONS(3282),
    [sym_comment] = ACTIONS(39),
  },
  [1242] = {
    [anon_sym_LPAREN] = ACTIONS(3654),
    [sym_comment] = ACTIONS(39),
  },
  [1243] = {
    [anon_sym_LPAREN] = ACTIONS(3656),
    [sym_comment] = ACTIONS(39),
  },
  [1244] = {
    [sym__expression] = STATE(1292),
    [sym_conditional_expression] = STATE(1292),
    [sym_assignment_expression] = STATE(1292),
    [sym_pointer_expression] = STATE(1292),
    [sym_logical_expression] = STATE(1292),
    [sym_bitwise_expression] = STATE(1292),
    [sym_equality_expression] = STATE(1292),
    [sym_relational_expression] = STATE(1292),
    [sym_shift_expression] = STATE(1292),
    [sym_math_expression] = STATE(1292),
    [sym_cast_expression] = STATE(1292),
    [sym_sizeof_expression] = STATE(1292),
    [sym_subscript_expression] = STATE(1292),
    [sym_call_expression] = STATE(1292),
    [sym_field_expression] = STATE(1292),
    [sym_compound_literal_expression] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1292),
    [sym_concatenated_string] = STATE(1292),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(996),
    [anon_sym_PLUS_PLUS] = ACTIONS(996),
    [anon_sym_sizeof] = ACTIONS(998),
    [sym_number_literal] = ACTIONS(3658),
    [sym_char_literal] = ACTIONS(3658),
    [sym_string_literal] = ACTIONS(1002),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_identifier] = ACTIONS(3660),
    [sym_comment] = ACTIONS(39),
  },
  [1245] = {
    [anon_sym_COLON] = ACTIONS(3662),
    [sym_comment] = ACTIONS(39),
  },
  [1246] = {
    [anon_sym_LPAREN] = ACTIONS(3664),
    [sym_comment] = ACTIONS(39),
  },
  [1247] = {
    [anon_sym_LPAREN] = ACTIONS(3666),
    [sym_comment] = ACTIONS(39),
  },
  [1248] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_comment] = ACTIONS(39),
  },
  [1249] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3307),
    [sym_preproc_directive] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3307),
    [anon_sym_extern] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_auto] = ACTIONS(3307),
    [anon_sym_register] = ACTIONS(3307),
    [anon_sym_inline] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_restrict] = ACTIONS(3307),
    [anon_sym_volatile] = ACTIONS(3307),
    [anon_sym__Atomic] = ACTIONS(3307),
    [anon_sym_unsigned] = ACTIONS(3307),
    [anon_sym_long] = ACTIONS(3307),
    [anon_sym_short] = ACTIONS(3307),
    [sym_primitive_type] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [anon_sym_struct] = ACTIONS(3307),
    [anon_sym_union] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3670),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_goto] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3307),
    [sym_number_literal] = ACTIONS(3309),
    [sym_char_literal] = ACTIONS(3309),
    [sym_string_literal] = ACTIONS(3309),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_identifier] = ACTIONS(3307),
    [sym_comment] = ACTIONS(39),
  },
  [1250] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3317),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3315),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3315),
    [sym_preproc_directive] = ACTIONS(3315),
    [anon_sym_SEMI] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3315),
    [anon_sym_extern] = ACTIONS(3315),
    [anon_sym_LBRACE] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3315),
    [anon_sym_auto] = ACTIONS(3315),
    [anon_sym_register] = ACTIONS(3315),
    [anon_sym_inline] = ACTIONS(3315),
    [anon_sym_const] = ACTIONS(3315),
    [anon_sym_restrict] = ACTIONS(3315),
    [anon_sym_volatile] = ACTIONS(3315),
    [anon_sym__Atomic] = ACTIONS(3315),
    [anon_sym_unsigned] = ACTIONS(3315),
    [anon_sym_long] = ACTIONS(3315),
    [anon_sym_short] = ACTIONS(3315),
    [sym_primitive_type] = ACTIONS(3315),
    [anon_sym_enum] = ACTIONS(3315),
    [anon_sym_struct] = ACTIONS(3315),
    [anon_sym_union] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(3315),
    [anon_sym_else] = ACTIONS(3315),
    [anon_sym_switch] = ACTIONS(3315),
    [anon_sym_case] = ACTIONS(3315),
    [anon_sym_default] = ACTIONS(3315),
    [anon_sym_while] = ACTIONS(3315),
    [anon_sym_do] = ACTIONS(3315),
    [anon_sym_for] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3315),
    [anon_sym_break] = ACTIONS(3315),
    [anon_sym_continue] = ACTIONS(3315),
    [anon_sym_goto] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3317),
    [anon_sym_TILDE] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3317),
    [anon_sym_PLUS_PLUS] = ACTIONS(3317),
    [anon_sym_sizeof] = ACTIONS(3315),
    [sym_number_literal] = ACTIONS(3317),
    [sym_char_literal] = ACTIONS(3317),
    [sym_string_literal] = ACTIONS(3317),
    [sym_true] = ACTIONS(3315),
    [sym_false] = ACTIONS(3315),
    [sym_null] = ACTIONS(3315),
    [sym_identifier] = ACTIONS(3315),
    [sym_comment] = ACTIONS(39),
  },
  [1251] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3329),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3327),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_auto] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_else] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_goto] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3327),
    [sym_number_literal] = ACTIONS(3329),
    [sym_char_literal] = ACTIONS(3329),
    [sym_string_literal] = ACTIONS(3329),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [sym_null] = ACTIONS(3327),
    [sym_identifier] = ACTIONS(3327),
    [sym_comment] = ACTIONS(39),
  },
  [1252] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1253] = {
    [sym_compound_statement] = STATE(1299),
    [sym_labeled_statement] = STATE(1299),
    [sym_expression_statement] = STATE(1299),
    [sym_if_statement] = STATE(1299),
    [sym_switch_statement] = STATE(1299),
    [sym_case_statement] = STATE(1299),
    [sym_while_statement] = STATE(1299),
    [sym_do_statement] = STATE(1299),
    [sym_for_statement] = STATE(1299),
    [sym_return_statement] = STATE(1299),
    [sym_break_statement] = STATE(1299),
    [sym_continue_statement] = STATE(1299),
    [sym_goto_statement] = STATE(1299),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1254] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1301),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3674),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1255] = {
    [sym__expression] = STATE(1302),
    [sym_conditional_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1302),
    [sym_pointer_expression] = STATE(1302),
    [sym_logical_expression] = STATE(1302),
    [sym_bitwise_expression] = STATE(1302),
    [sym_equality_expression] = STATE(1302),
    [sym_relational_expression] = STATE(1302),
    [sym_shift_expression] = STATE(1302),
    [sym_math_expression] = STATE(1302),
    [sym_cast_expression] = STATE(1302),
    [sym_sizeof_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_call_expression] = STATE(1302),
    [sym_field_expression] = STATE(1302),
    [sym_compound_literal_expression] = STATE(1302),
    [sym_parenthesized_expression] = STATE(1302),
    [sym_concatenated_string] = STATE(1302),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3674),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3676),
    [sym_char_literal] = ACTIONS(3676),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3678),
    [sym_false] = ACTIONS(3678),
    [sym_null] = ACTIONS(3678),
    [sym_identifier] = ACTIONS(3678),
    [sym_comment] = ACTIONS(39),
  },
  [1256] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3680),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1257] = {
    [sym__expression] = STATE(1304),
    [sym_conditional_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(1304),
    [sym_pointer_expression] = STATE(1304),
    [sym_logical_expression] = STATE(1304),
    [sym_bitwise_expression] = STATE(1304),
    [sym_equality_expression] = STATE(1304),
    [sym_relational_expression] = STATE(1304),
    [sym_shift_expression] = STATE(1304),
    [sym_math_expression] = STATE(1304),
    [sym_cast_expression] = STATE(1304),
    [sym_sizeof_expression] = STATE(1304),
    [sym_subscript_expression] = STATE(1304),
    [sym_call_expression] = STATE(1304),
    [sym_field_expression] = STATE(1304),
    [sym_compound_literal_expression] = STATE(1304),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_concatenated_string] = STATE(1304),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3682),
    [sym_char_literal] = ACTIONS(3682),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3684),
    [sym_false] = ACTIONS(3684),
    [sym_null] = ACTIONS(3684),
    [sym_identifier] = ACTIONS(3684),
    [sym_comment] = ACTIONS(39),
  },
  [1258] = {
    [sym__expression] = STATE(1305),
    [sym_conditional_expression] = STATE(1305),
    [sym_assignment_expression] = STATE(1305),
    [sym_pointer_expression] = STATE(1305),
    [sym_logical_expression] = STATE(1305),
    [sym_bitwise_expression] = STATE(1305),
    [sym_equality_expression] = STATE(1305),
    [sym_relational_expression] = STATE(1305),
    [sym_shift_expression] = STATE(1305),
    [sym_math_expression] = STATE(1305),
    [sym_cast_expression] = STATE(1305),
    [sym_sizeof_expression] = STATE(1305),
    [sym_subscript_expression] = STATE(1305),
    [sym_call_expression] = STATE(1305),
    [sym_field_expression] = STATE(1305),
    [sym_compound_literal_expression] = STATE(1305),
    [sym_parenthesized_expression] = STATE(1305),
    [sym_concatenated_string] = STATE(1305),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3686),
    [sym_char_literal] = ACTIONS(3686),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3688),
    [sym_false] = ACTIONS(3688),
    [sym_null] = ACTIONS(3688),
    [sym_identifier] = ACTIONS(3688),
    [sym_comment] = ACTIONS(39),
  },
  [1259] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(3690),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1260] = {
    [sym_declaration] = STATE(1024),
    [sym_type_definition] = STATE(1024),
    [sym__declaration_specifiers] = STATE(1025),
    [sym_compound_statement] = STATE(1024),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(1024),
    [sym_expression_statement] = STATE(1024),
    [sym_if_statement] = STATE(1024),
    [sym_switch_statement] = STATE(1024),
    [sym_case_statement] = STATE(1024),
    [sym_while_statement] = STATE(1024),
    [sym_do_statement] = STATE(1024),
    [sym_for_statement] = STATE(1024),
    [sym_return_statement] = STATE(1024),
    [sym_break_statement] = STATE(1024),
    [sym_continue_statement] = STATE(1024),
    [sym_goto_statement] = STATE(1024),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3692),
    [sym_comment] = ACTIONS(39),
  },
  [1261] = {
    [sym__expression] = STATE(1308),
    [sym_conditional_expression] = STATE(1308),
    [sym_assignment_expression] = STATE(1308),
    [sym_pointer_expression] = STATE(1308),
    [sym_logical_expression] = STATE(1308),
    [sym_bitwise_expression] = STATE(1308),
    [sym_equality_expression] = STATE(1308),
    [sym_relational_expression] = STATE(1308),
    [sym_shift_expression] = STATE(1308),
    [sym_math_expression] = STATE(1308),
    [sym_cast_expression] = STATE(1308),
    [sym_sizeof_expression] = STATE(1308),
    [sym_subscript_expression] = STATE(1308),
    [sym_call_expression] = STATE(1308),
    [sym_field_expression] = STATE(1308),
    [sym_compound_literal_expression] = STATE(1308),
    [sym_parenthesized_expression] = STATE(1308),
    [sym_concatenated_string] = STATE(1308),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3694),
    [sym_char_literal] = ACTIONS(3694),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3696),
    [sym_false] = ACTIONS(3696),
    [sym_null] = ACTIONS(3696),
    [sym_identifier] = ACTIONS(3696),
    [sym_comment] = ACTIONS(39),
  },
  [1262] = {
    [sym_declaration] = STATE(1309),
    [sym__declaration_specifiers] = STATE(698),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym__expression] = STATE(1310),
    [sym_conditional_expression] = STATE(1310),
    [sym_assignment_expression] = STATE(1310),
    [sym_pointer_expression] = STATE(1310),
    [sym_logical_expression] = STATE(1310),
    [sym_bitwise_expression] = STATE(1310),
    [sym_equality_expression] = STATE(1310),
    [sym_relational_expression] = STATE(1310),
    [sym_shift_expression] = STATE(1310),
    [sym_math_expression] = STATE(1310),
    [sym_cast_expression] = STATE(1310),
    [sym_sizeof_expression] = STATE(1310),
    [sym_subscript_expression] = STATE(1310),
    [sym_call_expression] = STATE(1310),
    [sym_field_expression] = STATE(1310),
    [sym_compound_literal_expression] = STATE(1310),
    [sym_parenthesized_expression] = STATE(1310),
    [sym_concatenated_string] = STATE(1310),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3698),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3700),
    [sym_char_literal] = ACTIONS(3700),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3702),
    [sym_false] = ACTIONS(3702),
    [sym_null] = ACTIONS(3702),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(39),
  },
  [1263] = {
    [sym_compound_statement] = STATE(1033),
    [sym_labeled_statement] = STATE(1033),
    [sym_expression_statement] = STATE(1033),
    [sym_if_statement] = STATE(1033),
    [sym_switch_statement] = STATE(1033),
    [sym_case_statement] = STATE(1033),
    [sym_while_statement] = STATE(1033),
    [sym_do_statement] = STATE(1033),
    [sym_for_statement] = STATE(1033),
    [sym_return_statement] = STATE(1033),
    [sym_break_statement] = STATE(1033),
    [sym_continue_statement] = STATE(1033),
    [sym_goto_statement] = STATE(1033),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1264] = {
    [sym_compound_statement] = STATE(1311),
    [sym_labeled_statement] = STATE(1311),
    [sym_expression_statement] = STATE(1311),
    [sym_if_statement] = STATE(1311),
    [sym_switch_statement] = STATE(1311),
    [sym_case_statement] = STATE(1311),
    [sym_while_statement] = STATE(1311),
    [sym_do_statement] = STATE(1311),
    [sym_for_statement] = STATE(1311),
    [sym_return_statement] = STATE(1311),
    [sym_break_statement] = STATE(1311),
    [sym_continue_statement] = STATE(1311),
    [sym_goto_statement] = STATE(1311),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [1265] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3518),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3518),
    [sym_preproc_directive] = ACTIONS(3518),
    [anon_sym_SEMI] = ACTIONS(3520),
    [anon_sym_typedef] = ACTIONS(3518),
    [anon_sym_extern] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_STAR] = ACTIONS(3520),
    [anon_sym_static] = ACTIONS(3518),
    [anon_sym_auto] = ACTIONS(3518),
    [anon_sym_register] = ACTIONS(3518),
    [anon_sym_inline] = ACTIONS(3518),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_restrict] = ACTIONS(3518),
    [anon_sym_volatile] = ACTIONS(3518),
    [anon_sym__Atomic] = ACTIONS(3518),
    [anon_sym_unsigned] = ACTIONS(3518),
    [anon_sym_long] = ACTIONS(3518),
    [anon_sym_short] = ACTIONS(3518),
    [sym_primitive_type] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(3518),
    [anon_sym_struct] = ACTIONS(3518),
    [anon_sym_union] = ACTIONS(3518),
    [anon_sym_if] = ACTIONS(3518),
    [anon_sym_else] = ACTIONS(3518),
    [anon_sym_switch] = ACTIONS(3518),
    [anon_sym_case] = ACTIONS(3518),
    [anon_sym_default] = ACTIONS(3518),
    [anon_sym_while] = ACTIONS(3518),
    [anon_sym_do] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3518),
    [anon_sym_break] = ACTIONS(3518),
    [anon_sym_continue] = ACTIONS(3518),
    [anon_sym_goto] = ACTIONS(3518),
    [anon_sym_AMP] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3520),
    [anon_sym_PLUS_PLUS] = ACTIONS(3520),
    [anon_sym_sizeof] = ACTIONS(3518),
    [sym_number_literal] = ACTIONS(3520),
    [sym_char_literal] = ACTIONS(3520),
    [sym_string_literal] = ACTIONS(3520),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_null] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3518),
    [sym_comment] = ACTIONS(39),
  },
  [1266] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3522),
    [sym_preproc_directive] = ACTIONS(3522),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_typedef] = ACTIONS(3522),
    [anon_sym_extern] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3522),
    [anon_sym_auto] = ACTIONS(3522),
    [anon_sym_register] = ACTIONS(3522),
    [anon_sym_inline] = ACTIONS(3522),
    [anon_sym_const] = ACTIONS(3522),
    [anon_sym_restrict] = ACTIONS(3522),
    [anon_sym_volatile] = ACTIONS(3522),
    [anon_sym__Atomic] = ACTIONS(3522),
    [anon_sym_unsigned] = ACTIONS(3522),
    [anon_sym_long] = ACTIONS(3522),
    [anon_sym_short] = ACTIONS(3522),
    [sym_primitive_type] = ACTIONS(3522),
    [anon_sym_enum] = ACTIONS(3522),
    [anon_sym_struct] = ACTIONS(3522),
    [anon_sym_union] = ACTIONS(3522),
    [anon_sym_if] = ACTIONS(3522),
    [anon_sym_else] = ACTIONS(3522),
    [anon_sym_switch] = ACTIONS(3522),
    [anon_sym_case] = ACTIONS(3522),
    [anon_sym_default] = ACTIONS(3522),
    [anon_sym_while] = ACTIONS(3522),
    [anon_sym_do] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3522),
    [anon_sym_return] = ACTIONS(3522),
    [anon_sym_break] = ACTIONS(3522),
    [anon_sym_continue] = ACTIONS(3522),
    [anon_sym_goto] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_sizeof] = ACTIONS(3522),
    [sym_number_literal] = ACTIONS(3524),
    [sym_char_literal] = ACTIONS(3524),
    [sym_string_literal] = ACTIONS(3524),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_null] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3522),
    [sym_comment] = ACTIONS(39),
  },
  [1267] = {
    [sym_compound_statement] = STATE(1312),
    [sym_labeled_statement] = STATE(1312),
    [sym_expression_statement] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_switch_statement] = STATE(1312),
    [sym_case_statement] = STATE(1312),
    [sym_while_statement] = STATE(1312),
    [sym_do_statement] = STATE(1312),
    [sym_for_statement] = STATE(1312),
    [sym_return_statement] = STATE(1312),
    [sym_break_statement] = STATE(1312),
    [sym_continue_statement] = STATE(1312),
    [sym_goto_statement] = STATE(1312),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [1268] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3704),
    [sym_comment] = ACTIONS(39),
  },
  [1269] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1314),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3704),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1270] = {
    [sym__expression] = STATE(1315),
    [sym_conditional_expression] = STATE(1315),
    [sym_assignment_expression] = STATE(1315),
    [sym_pointer_expression] = STATE(1315),
    [sym_logical_expression] = STATE(1315),
    [sym_bitwise_expression] = STATE(1315),
    [sym_equality_expression] = STATE(1315),
    [sym_relational_expression] = STATE(1315),
    [sym_shift_expression] = STATE(1315),
    [sym_math_expression] = STATE(1315),
    [sym_cast_expression] = STATE(1315),
    [sym_sizeof_expression] = STATE(1315),
    [sym_subscript_expression] = STATE(1315),
    [sym_call_expression] = STATE(1315),
    [sym_field_expression] = STATE(1315),
    [sym_compound_literal_expression] = STATE(1315),
    [sym_parenthesized_expression] = STATE(1315),
    [sym_concatenated_string] = STATE(1315),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3704),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3706),
    [sym_char_literal] = ACTIONS(3706),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3708),
    [sym_false] = ACTIONS(3708),
    [sym_null] = ACTIONS(3708),
    [sym_identifier] = ACTIONS(3708),
    [sym_comment] = ACTIONS(39),
  },
  [1271] = {
    [sym_compound_statement] = STATE(1316),
    [sym_labeled_statement] = STATE(1316),
    [sym_expression_statement] = STATE(1316),
    [sym_if_statement] = STATE(1316),
    [sym_switch_statement] = STATE(1316),
    [sym_case_statement] = STATE(1316),
    [sym_while_statement] = STATE(1316),
    [sym_do_statement] = STATE(1316),
    [sym_for_statement] = STATE(1316),
    [sym_return_statement] = STATE(1316),
    [sym_break_statement] = STATE(1316),
    [sym_continue_statement] = STATE(1316),
    [sym_goto_statement] = STATE(1316),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1272] = {
    [sym_compound_statement] = STATE(1062),
    [sym_labeled_statement] = STATE(1062),
    [sym_expression_statement] = STATE(1062),
    [sym_if_statement] = STATE(1062),
    [sym_switch_statement] = STATE(1062),
    [sym_case_statement] = STATE(1062),
    [sym_while_statement] = STATE(1062),
    [sym_do_statement] = STATE(1062),
    [sym_for_statement] = STATE(1062),
    [sym_return_statement] = STATE(1062),
    [sym_break_statement] = STATE(1062),
    [sym_continue_statement] = STATE(1062),
    [sym_goto_statement] = STATE(1062),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1273] = {
    [sym_compound_statement] = STATE(1065),
    [sym_labeled_statement] = STATE(1065),
    [sym_expression_statement] = STATE(1065),
    [sym_if_statement] = STATE(1065),
    [sym_switch_statement] = STATE(1065),
    [sym_case_statement] = STATE(1065),
    [sym_while_statement] = STATE(1065),
    [sym_do_statement] = STATE(1065),
    [sym_for_statement] = STATE(1065),
    [sym_return_statement] = STATE(1065),
    [sym_break_statement] = STATE(1065),
    [sym_continue_statement] = STATE(1065),
    [sym_goto_statement] = STATE(1065),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1274] = {
    [sym__expression] = STATE(1318),
    [sym_conditional_expression] = STATE(1318),
    [sym_assignment_expression] = STATE(1318),
    [sym_pointer_expression] = STATE(1318),
    [sym_logical_expression] = STATE(1318),
    [sym_bitwise_expression] = STATE(1318),
    [sym_equality_expression] = STATE(1318),
    [sym_relational_expression] = STATE(1318),
    [sym_shift_expression] = STATE(1318),
    [sym_math_expression] = STATE(1318),
    [sym_cast_expression] = STATE(1318),
    [sym_sizeof_expression] = STATE(1318),
    [sym_subscript_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_field_expression] = STATE(1318),
    [sym_compound_literal_expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_concatenated_string] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3710),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3712),
    [sym_char_literal] = ACTIONS(3712),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3714),
    [sym_false] = ACTIONS(3714),
    [sym_null] = ACTIONS(3714),
    [sym_identifier] = ACTIONS(3714),
    [sym_comment] = ACTIONS(39),
  },
  [1275] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1276] = {
    [sym__expression] = STATE(1320),
    [sym_conditional_expression] = STATE(1320),
    [sym_assignment_expression] = STATE(1320),
    [sym_pointer_expression] = STATE(1320),
    [sym_logical_expression] = STATE(1320),
    [sym_bitwise_expression] = STATE(1320),
    [sym_equality_expression] = STATE(1320),
    [sym_relational_expression] = STATE(1320),
    [sym_shift_expression] = STATE(1320),
    [sym_math_expression] = STATE(1320),
    [sym_cast_expression] = STATE(1320),
    [sym_sizeof_expression] = STATE(1320),
    [sym_subscript_expression] = STATE(1320),
    [sym_call_expression] = STATE(1320),
    [sym_field_expression] = STATE(1320),
    [sym_compound_literal_expression] = STATE(1320),
    [sym_parenthesized_expression] = STATE(1320),
    [sym_concatenated_string] = STATE(1320),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3718),
    [sym_char_literal] = ACTIONS(3718),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3720),
    [sym_false] = ACTIONS(3720),
    [sym_null] = ACTIONS(3720),
    [sym_identifier] = ACTIONS(3720),
    [sym_comment] = ACTIONS(39),
  },
  [1277] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3722),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1278] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3724),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1279] = {
    [sym_declaration] = STATE(927),
    [sym_type_definition] = STATE(927),
    [sym__declaration_specifiers] = STATE(698),
    [sym_compound_statement] = STATE(927),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_case_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_goto_statement] = STATE(927),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_typedef] = ACTIONS(19),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3630),
    [sym_comment] = ACTIONS(39),
  },
  [1280] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(3506),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [1281] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3726),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1282] = {
    [sym__expression] = STATE(1325),
    [sym_conditional_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1325),
    [sym_pointer_expression] = STATE(1325),
    [sym_logical_expression] = STATE(1325),
    [sym_bitwise_expression] = STATE(1325),
    [sym_equality_expression] = STATE(1325),
    [sym_relational_expression] = STATE(1325),
    [sym_shift_expression] = STATE(1325),
    [sym_math_expression] = STATE(1325),
    [sym_cast_expression] = STATE(1325),
    [sym_sizeof_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_call_expression] = STATE(1325),
    [sym_field_expression] = STATE(1325),
    [sym_compound_literal_expression] = STATE(1325),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_concatenated_string] = STATE(1325),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3728),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3730),
    [sym_char_literal] = ACTIONS(3730),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3732),
    [sym_false] = ACTIONS(3732),
    [sym_null] = ACTIONS(3732),
    [sym_identifier] = ACTIONS(3732),
    [sym_comment] = ACTIONS(39),
  },
  [1283] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3734),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1284] = {
    [sym_compound_statement] = STATE(1287),
    [sym_labeled_statement] = STATE(1287),
    [sym_expression_statement] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_case_statement] = STATE(1287),
    [sym_while_statement] = STATE(1287),
    [sym_do_statement] = STATE(1287),
    [sym_for_statement] = STATE(1287),
    [sym_return_statement] = STATE(1287),
    [sym_break_statement] = STATE(1287),
    [sym_continue_statement] = STATE(1287),
    [sym_goto_statement] = STATE(1287),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [1285] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3736),
    [sym_comment] = ACTIONS(39),
  },
  [1286] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1328),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3736),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1287] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3738),
    [anon_sym_LPAREN] = ACTIONS(3740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3738),
    [sym_preproc_directive] = ACTIONS(3738),
    [anon_sym_SEMI] = ACTIONS(3740),
    [anon_sym_typedef] = ACTIONS(3738),
    [anon_sym_extern] = ACTIONS(3738),
    [anon_sym_LBRACE] = ACTIONS(3740),
    [anon_sym_RBRACE] = ACTIONS(3740),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_static] = ACTIONS(3738),
    [anon_sym_auto] = ACTIONS(3738),
    [anon_sym_register] = ACTIONS(3738),
    [anon_sym_inline] = ACTIONS(3738),
    [anon_sym_const] = ACTIONS(3738),
    [anon_sym_restrict] = ACTIONS(3738),
    [anon_sym_volatile] = ACTIONS(3738),
    [anon_sym__Atomic] = ACTIONS(3738),
    [anon_sym_unsigned] = ACTIONS(3738),
    [anon_sym_long] = ACTIONS(3738),
    [anon_sym_short] = ACTIONS(3738),
    [sym_primitive_type] = ACTIONS(3738),
    [anon_sym_enum] = ACTIONS(3738),
    [anon_sym_struct] = ACTIONS(3738),
    [anon_sym_union] = ACTIONS(3738),
    [anon_sym_if] = ACTIONS(3738),
    [anon_sym_else] = ACTIONS(3738),
    [anon_sym_switch] = ACTIONS(3738),
    [anon_sym_case] = ACTIONS(3738),
    [anon_sym_default] = ACTIONS(3738),
    [anon_sym_while] = ACTIONS(3738),
    [anon_sym_do] = ACTIONS(3738),
    [anon_sym_for] = ACTIONS(3738),
    [anon_sym_return] = ACTIONS(3738),
    [anon_sym_break] = ACTIONS(3738),
    [anon_sym_continue] = ACTIONS(3738),
    [anon_sym_goto] = ACTIONS(3738),
    [anon_sym_AMP] = ACTIONS(3740),
    [anon_sym_BANG] = ACTIONS(3740),
    [anon_sym_TILDE] = ACTIONS(3740),
    [anon_sym_PLUS] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3738),
    [anon_sym_DASH_DASH] = ACTIONS(3740),
    [anon_sym_PLUS_PLUS] = ACTIONS(3740),
    [anon_sym_sizeof] = ACTIONS(3738),
    [sym_number_literal] = ACTIONS(3740),
    [sym_char_literal] = ACTIONS(3740),
    [sym_string_literal] = ACTIONS(3740),
    [sym_true] = ACTIONS(3738),
    [sym_false] = ACTIONS(3738),
    [sym_null] = ACTIONS(3738),
    [sym_identifier] = ACTIONS(3738),
    [sym_comment] = ACTIONS(39),
  },
  [1288] = {
    [sym_compound_statement] = STATE(1329),
    [sym_labeled_statement] = STATE(1329),
    [sym_expression_statement] = STATE(1329),
    [sym_if_statement] = STATE(1329),
    [sym_switch_statement] = STATE(1329),
    [sym_case_statement] = STATE(1329),
    [sym_while_statement] = STATE(1329),
    [sym_do_statement] = STATE(1329),
    [sym_for_statement] = STATE(1329),
    [sym_return_statement] = STATE(1329),
    [sym_break_statement] = STATE(1329),
    [sym_continue_statement] = STATE(1329),
    [sym_goto_statement] = STATE(1329),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [1289] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3742),
    [sym_comment] = ACTIONS(39),
  },
  [1290] = {
    [sym__expression] = STATE(1331),
    [sym_conditional_expression] = STATE(1331),
    [sym_assignment_expression] = STATE(1331),
    [sym_pointer_expression] = STATE(1331),
    [sym_logical_expression] = STATE(1331),
    [sym_bitwise_expression] = STATE(1331),
    [sym_equality_expression] = STATE(1331),
    [sym_relational_expression] = STATE(1331),
    [sym_shift_expression] = STATE(1331),
    [sym_math_expression] = STATE(1331),
    [sym_cast_expression] = STATE(1331),
    [sym_sizeof_expression] = STATE(1331),
    [sym_subscript_expression] = STATE(1331),
    [sym_call_expression] = STATE(1331),
    [sym_field_expression] = STATE(1331),
    [sym_compound_literal_expression] = STATE(1331),
    [sym_parenthesized_expression] = STATE(1331),
    [sym_concatenated_string] = STATE(1331),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3744),
    [sym_char_literal] = ACTIONS(3744),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3746),
    [sym_false] = ACTIONS(3746),
    [sym_null] = ACTIONS(3746),
    [sym_identifier] = ACTIONS(3746),
    [sym_comment] = ACTIONS(39),
  },
  [1291] = {
    [sym__expression] = STATE(1332),
    [sym_conditional_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(1332),
    [sym_pointer_expression] = STATE(1332),
    [sym_logical_expression] = STATE(1332),
    [sym_bitwise_expression] = STATE(1332),
    [sym_equality_expression] = STATE(1332),
    [sym_relational_expression] = STATE(1332),
    [sym_shift_expression] = STATE(1332),
    [sym_math_expression] = STATE(1332),
    [sym_cast_expression] = STATE(1332),
    [sym_sizeof_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_call_expression] = STATE(1332),
    [sym_field_expression] = STATE(1332),
    [sym_compound_literal_expression] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_concatenated_string] = STATE(1332),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3748),
    [sym_char_literal] = ACTIONS(3748),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3750),
    [sym_false] = ACTIONS(3750),
    [sym_null] = ACTIONS(3750),
    [sym_identifier] = ACTIONS(3750),
    [sym_comment] = ACTIONS(39),
  },
  [1292] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(1615),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1617),
    [anon_sym_COLON] = ACTIONS(3752),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1623),
    [anon_sym_SLASH_EQ] = ACTIONS(1623),
    [anon_sym_PERCENT_EQ] = ACTIONS(1623),
    [anon_sym_PLUS_EQ] = ACTIONS(1623),
    [anon_sym_DASH_EQ] = ACTIONS(1623),
    [anon_sym_LT_LT_EQ] = ACTIONS(1623),
    [anon_sym_GT_GT_EQ] = ACTIONS(1623),
    [anon_sym_AMP_EQ] = ACTIONS(1623),
    [anon_sym_CARET_EQ] = ACTIONS(1623),
    [anon_sym_PIPE_EQ] = ACTIONS(1623),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1627),
    [anon_sym_AMP_AMP] = ACTIONS(1629),
    [anon_sym_PIPE] = ACTIONS(1631),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1293] = {
    [sym_declaration] = STATE(1118),
    [sym_type_definition] = STATE(1118),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_compound_statement] = STATE(1118),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(1118),
    [sym_expression_statement] = STATE(1118),
    [sym_if_statement] = STATE(1118),
    [sym_switch_statement] = STATE(1118),
    [sym_case_statement] = STATE(1118),
    [sym_while_statement] = STATE(1118),
    [sym_do_statement] = STATE(1118),
    [sym_for_statement] = STATE(1118),
    [sym_return_statement] = STATE(1118),
    [sym_break_statement] = STATE(1118),
    [sym_continue_statement] = STATE(1118),
    [sym_goto_statement] = STATE(1118),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_typedef] = ACTIONS(362),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3754),
    [sym_comment] = ACTIONS(39),
  },
  [1294] = {
    [sym__expression] = STATE(1335),
    [sym_conditional_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1335),
    [sym_pointer_expression] = STATE(1335),
    [sym_logical_expression] = STATE(1335),
    [sym_bitwise_expression] = STATE(1335),
    [sym_equality_expression] = STATE(1335),
    [sym_relational_expression] = STATE(1335),
    [sym_shift_expression] = STATE(1335),
    [sym_math_expression] = STATE(1335),
    [sym_cast_expression] = STATE(1335),
    [sym_sizeof_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_call_expression] = STATE(1335),
    [sym_field_expression] = STATE(1335),
    [sym_compound_literal_expression] = STATE(1335),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_concatenated_string] = STATE(1335),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(3756),
    [sym_char_literal] = ACTIONS(3756),
    [sym_string_literal] = ACTIONS(1599),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [sym_null] = ACTIONS(3758),
    [sym_identifier] = ACTIONS(3758),
    [sym_comment] = ACTIONS(39),
  },
  [1295] = {
    [sym_declaration] = STATE(1336),
    [sym__declaration_specifiers] = STATE(698),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym__expression] = STATE(1337),
    [sym_conditional_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(1337),
    [sym_pointer_expression] = STATE(1337),
    [sym_logical_expression] = STATE(1337),
    [sym_bitwise_expression] = STATE(1337),
    [sym_equality_expression] = STATE(1337),
    [sym_relational_expression] = STATE(1337),
    [sym_shift_expression] = STATE(1337),
    [sym_math_expression] = STATE(1337),
    [sym_cast_expression] = STATE(1337),
    [sym_sizeof_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_call_expression] = STATE(1337),
    [sym_field_expression] = STATE(1337),
    [sym_compound_literal_expression] = STATE(1337),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_concatenated_string] = STATE(1337),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3760),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3762),
    [sym_char_literal] = ACTIONS(3762),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3764),
    [sym_false] = ACTIONS(3764),
    [sym_null] = ACTIONS(3764),
    [sym_identifier] = ACTIONS(1675),
    [sym_comment] = ACTIONS(39),
  },
  [1296] = {
    [sym_compound_statement] = STATE(1127),
    [sym_labeled_statement] = STATE(1127),
    [sym_expression_statement] = STATE(1127),
    [sym_if_statement] = STATE(1127),
    [sym_switch_statement] = STATE(1127),
    [sym_case_statement] = STATE(1127),
    [sym_while_statement] = STATE(1127),
    [sym_do_statement] = STATE(1127),
    [sym_for_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_goto_statement] = STATE(1127),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1297] = {
    [sym_compound_statement] = STATE(1338),
    [sym_labeled_statement] = STATE(1338),
    [sym_expression_statement] = STATE(1338),
    [sym_if_statement] = STATE(1338),
    [sym_switch_statement] = STATE(1338),
    [sym_case_statement] = STATE(1338),
    [sym_while_statement] = STATE(1338),
    [sym_do_statement] = STATE(1338),
    [sym_for_statement] = STATE(1338),
    [sym_return_statement] = STATE(1338),
    [sym_break_statement] = STATE(1338),
    [sym_continue_statement] = STATE(1338),
    [sym_goto_statement] = STATE(1338),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1298] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3518),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3518),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3518),
    [sym_preproc_directive] = ACTIONS(3518),
    [anon_sym_SEMI] = ACTIONS(3520),
    [anon_sym_typedef] = ACTIONS(3518),
    [anon_sym_extern] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_STAR] = ACTIONS(3520),
    [anon_sym_static] = ACTIONS(3518),
    [anon_sym_auto] = ACTIONS(3518),
    [anon_sym_register] = ACTIONS(3518),
    [anon_sym_inline] = ACTIONS(3518),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_restrict] = ACTIONS(3518),
    [anon_sym_volatile] = ACTIONS(3518),
    [anon_sym__Atomic] = ACTIONS(3518),
    [anon_sym_unsigned] = ACTIONS(3518),
    [anon_sym_long] = ACTIONS(3518),
    [anon_sym_short] = ACTIONS(3518),
    [sym_primitive_type] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(3518),
    [anon_sym_struct] = ACTIONS(3518),
    [anon_sym_union] = ACTIONS(3518),
    [anon_sym_if] = ACTIONS(3518),
    [anon_sym_else] = ACTIONS(3518),
    [anon_sym_switch] = ACTIONS(3518),
    [anon_sym_case] = ACTIONS(3518),
    [anon_sym_default] = ACTIONS(3518),
    [anon_sym_while] = ACTIONS(3518),
    [anon_sym_do] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3518),
    [anon_sym_break] = ACTIONS(3518),
    [anon_sym_continue] = ACTIONS(3518),
    [anon_sym_goto] = ACTIONS(3518),
    [anon_sym_AMP] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3520),
    [anon_sym_PLUS_PLUS] = ACTIONS(3520),
    [anon_sym_sizeof] = ACTIONS(3518),
    [sym_number_literal] = ACTIONS(3520),
    [sym_char_literal] = ACTIONS(3520),
    [sym_string_literal] = ACTIONS(3520),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_null] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3518),
    [sym_comment] = ACTIONS(39),
  },
  [1299] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3522),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3522),
    [sym_preproc_directive] = ACTIONS(3522),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_typedef] = ACTIONS(3522),
    [anon_sym_extern] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3522),
    [anon_sym_auto] = ACTIONS(3522),
    [anon_sym_register] = ACTIONS(3522),
    [anon_sym_inline] = ACTIONS(3522),
    [anon_sym_const] = ACTIONS(3522),
    [anon_sym_restrict] = ACTIONS(3522),
    [anon_sym_volatile] = ACTIONS(3522),
    [anon_sym__Atomic] = ACTIONS(3522),
    [anon_sym_unsigned] = ACTIONS(3522),
    [anon_sym_long] = ACTIONS(3522),
    [anon_sym_short] = ACTIONS(3522),
    [sym_primitive_type] = ACTIONS(3522),
    [anon_sym_enum] = ACTIONS(3522),
    [anon_sym_struct] = ACTIONS(3522),
    [anon_sym_union] = ACTIONS(3522),
    [anon_sym_if] = ACTIONS(3522),
    [anon_sym_else] = ACTIONS(3522),
    [anon_sym_switch] = ACTIONS(3522),
    [anon_sym_case] = ACTIONS(3522),
    [anon_sym_default] = ACTIONS(3522),
    [anon_sym_while] = ACTIONS(3522),
    [anon_sym_do] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3522),
    [anon_sym_return] = ACTIONS(3522),
    [anon_sym_break] = ACTIONS(3522),
    [anon_sym_continue] = ACTIONS(3522),
    [anon_sym_goto] = ACTIONS(3522),
    [anon_sym_AMP] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_sizeof] = ACTIONS(3522),
    [sym_number_literal] = ACTIONS(3524),
    [sym_char_literal] = ACTIONS(3524),
    [sym_string_literal] = ACTIONS(3524),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_null] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3522),
    [sym_comment] = ACTIONS(39),
  },
  [1300] = {
    [sym_compound_statement] = STATE(1339),
    [sym_labeled_statement] = STATE(1339),
    [sym_expression_statement] = STATE(1339),
    [sym_if_statement] = STATE(1339),
    [sym_switch_statement] = STATE(1339),
    [sym_case_statement] = STATE(1339),
    [sym_while_statement] = STATE(1339),
    [sym_do_statement] = STATE(1339),
    [sym_for_statement] = STATE(1339),
    [sym_return_statement] = STATE(1339),
    [sym_break_statement] = STATE(1339),
    [sym_continue_statement] = STATE(1339),
    [sym_goto_statement] = STATE(1339),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1301] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3766),
    [sym_comment] = ACTIONS(39),
  },
  [1302] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1341),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3766),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1303] = {
    [sym__expression] = STATE(1342),
    [sym_conditional_expression] = STATE(1342),
    [sym_assignment_expression] = STATE(1342),
    [sym_pointer_expression] = STATE(1342),
    [sym_logical_expression] = STATE(1342),
    [sym_bitwise_expression] = STATE(1342),
    [sym_equality_expression] = STATE(1342),
    [sym_relational_expression] = STATE(1342),
    [sym_shift_expression] = STATE(1342),
    [sym_math_expression] = STATE(1342),
    [sym_cast_expression] = STATE(1342),
    [sym_sizeof_expression] = STATE(1342),
    [sym_subscript_expression] = STATE(1342),
    [sym_call_expression] = STATE(1342),
    [sym_field_expression] = STATE(1342),
    [sym_compound_literal_expression] = STATE(1342),
    [sym_parenthesized_expression] = STATE(1342),
    [sym_concatenated_string] = STATE(1342),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3766),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3768),
    [sym_char_literal] = ACTIONS(3768),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3770),
    [sym_false] = ACTIONS(3770),
    [sym_null] = ACTIONS(3770),
    [sym_identifier] = ACTIONS(3770),
    [sym_comment] = ACTIONS(39),
  },
  [1304] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1305] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3774),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1306] = {
    [sym_declaration] = STATE(1132),
    [sym_type_definition] = STATE(1132),
    [sym__declaration_specifiers] = STATE(1025),
    [sym_compound_statement] = STATE(1132),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(1132),
    [sym_expression_statement] = STATE(1132),
    [sym_if_statement] = STATE(1132),
    [sym_switch_statement] = STATE(1132),
    [sym_case_statement] = STATE(1132),
    [sym_while_statement] = STATE(1132),
    [sym_do_statement] = STATE(1132),
    [sym_for_statement] = STATE(1132),
    [sym_return_statement] = STATE(1132),
    [sym_break_statement] = STATE(1132),
    [sym_continue_statement] = STATE(1132),
    [sym_goto_statement] = STATE(1132),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(145),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3692),
    [sym_comment] = ACTIONS(39),
  },
  [1307] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(3588),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [1308] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3776),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1309] = {
    [sym__expression] = STATE(1347),
    [sym_conditional_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(1347),
    [sym_pointer_expression] = STATE(1347),
    [sym_logical_expression] = STATE(1347),
    [sym_bitwise_expression] = STATE(1347),
    [sym_equality_expression] = STATE(1347),
    [sym_relational_expression] = STATE(1347),
    [sym_shift_expression] = STATE(1347),
    [sym_math_expression] = STATE(1347),
    [sym_cast_expression] = STATE(1347),
    [sym_sizeof_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_call_expression] = STATE(1347),
    [sym_field_expression] = STATE(1347),
    [sym_compound_literal_expression] = STATE(1347),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_concatenated_string] = STATE(1347),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3780),
    [sym_char_literal] = ACTIONS(3780),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3782),
    [sym_false] = ACTIONS(3782),
    [sym_null] = ACTIONS(3782),
    [sym_identifier] = ACTIONS(3782),
    [sym_comment] = ACTIONS(39),
  },
  [1310] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3784),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1311] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3616),
    [sym_preproc_directive] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_typedef] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_auto] = ACTIONS(3616),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym_unsigned] = ACTIONS(3616),
    [anon_sym_long] = ACTIONS(3616),
    [anon_sym_short] = ACTIONS(3616),
    [sym_primitive_type] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [anon_sym_struct] = ACTIONS(3616),
    [anon_sym_union] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_goto] = ACTIONS(3616),
    [anon_sym_AMP] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_sizeof] = ACTIONS(3616),
    [sym_number_literal] = ACTIONS(3618),
    [sym_char_literal] = ACTIONS(3618),
    [sym_string_literal] = ACTIONS(3618),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_identifier] = ACTIONS(3616),
    [sym_comment] = ACTIONS(39),
  },
  [1312] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3648),
    [anon_sym_LPAREN] = ACTIONS(3650),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3648),
    [sym_preproc_directive] = ACTIONS(3648),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_typedef] = ACTIONS(3648),
    [anon_sym_extern] = ACTIONS(3648),
    [anon_sym_LBRACE] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_static] = ACTIONS(3648),
    [anon_sym_auto] = ACTIONS(3648),
    [anon_sym_register] = ACTIONS(3648),
    [anon_sym_inline] = ACTIONS(3648),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym_unsigned] = ACTIONS(3648),
    [anon_sym_long] = ACTIONS(3648),
    [anon_sym_short] = ACTIONS(3648),
    [sym_primitive_type] = ACTIONS(3648),
    [anon_sym_enum] = ACTIONS(3648),
    [anon_sym_struct] = ACTIONS(3648),
    [anon_sym_union] = ACTIONS(3648),
    [anon_sym_if] = ACTIONS(3648),
    [anon_sym_else] = ACTIONS(3648),
    [anon_sym_switch] = ACTIONS(3648),
    [anon_sym_case] = ACTIONS(3648),
    [anon_sym_default] = ACTIONS(3648),
    [anon_sym_while] = ACTIONS(3648),
    [anon_sym_do] = ACTIONS(3648),
    [anon_sym_for] = ACTIONS(3648),
    [anon_sym_return] = ACTIONS(3648),
    [anon_sym_break] = ACTIONS(3648),
    [anon_sym_continue] = ACTIONS(3648),
    [anon_sym_goto] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3650),
    [anon_sym_TILDE] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3648),
    [anon_sym_DASH] = ACTIONS(3648),
    [anon_sym_DASH_DASH] = ACTIONS(3650),
    [anon_sym_PLUS_PLUS] = ACTIONS(3650),
    [anon_sym_sizeof] = ACTIONS(3648),
    [sym_number_literal] = ACTIONS(3650),
    [sym_char_literal] = ACTIONS(3650),
    [sym_string_literal] = ACTIONS(3650),
    [sym_true] = ACTIONS(3648),
    [sym_false] = ACTIONS(3648),
    [sym_null] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(3648),
    [sym_comment] = ACTIONS(39),
  },
  [1313] = {
    [sym_compound_statement] = STATE(1349),
    [sym_labeled_statement] = STATE(1349),
    [sym_expression_statement] = STATE(1349),
    [sym_if_statement] = STATE(1349),
    [sym_switch_statement] = STATE(1349),
    [sym_case_statement] = STATE(1349),
    [sym_while_statement] = STATE(1349),
    [sym_do_statement] = STATE(1349),
    [sym_for_statement] = STATE(1349),
    [sym_return_statement] = STATE(1349),
    [sym_break_statement] = STATE(1349),
    [sym_continue_statement] = STATE(1349),
    [sym_goto_statement] = STATE(1349),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [1314] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3786),
    [sym_comment] = ACTIONS(39),
  },
  [1315] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1351),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3786),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1316] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3307),
    [sym_preproc_directive] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3307),
    [anon_sym_extern] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_RBRACE] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_auto] = ACTIONS(3307),
    [anon_sym_register] = ACTIONS(3307),
    [anon_sym_inline] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_restrict] = ACTIONS(3307),
    [anon_sym_volatile] = ACTIONS(3307),
    [anon_sym__Atomic] = ACTIONS(3307),
    [anon_sym_unsigned] = ACTIONS(3307),
    [anon_sym_long] = ACTIONS(3307),
    [anon_sym_short] = ACTIONS(3307),
    [sym_primitive_type] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [anon_sym_struct] = ACTIONS(3307),
    [anon_sym_union] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3788),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_goto] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3307),
    [sym_number_literal] = ACTIONS(3309),
    [sym_char_literal] = ACTIONS(3309),
    [sym_string_literal] = ACTIONS(3309),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_identifier] = ACTIONS(3307),
    [sym_comment] = ACTIONS(39),
  },
  [1317] = {
    [sym_compound_statement] = STATE(1162),
    [sym_labeled_statement] = STATE(1162),
    [sym_expression_statement] = STATE(1162),
    [sym_if_statement] = STATE(1162),
    [sym_switch_statement] = STATE(1162),
    [sym_case_statement] = STATE(1162),
    [sym_while_statement] = STATE(1162),
    [sym_do_statement] = STATE(1162),
    [sym_for_statement] = STATE(1162),
    [sym_return_statement] = STATE(1162),
    [sym_break_statement] = STATE(1162),
    [sym_continue_statement] = STATE(1162),
    [sym_goto_statement] = STATE(1162),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1318] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1354),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3790),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1319] = {
    [sym__expression] = STATE(1355),
    [sym_conditional_expression] = STATE(1355),
    [sym_assignment_expression] = STATE(1355),
    [sym_pointer_expression] = STATE(1355),
    [sym_logical_expression] = STATE(1355),
    [sym_bitwise_expression] = STATE(1355),
    [sym_equality_expression] = STATE(1355),
    [sym_relational_expression] = STATE(1355),
    [sym_shift_expression] = STATE(1355),
    [sym_math_expression] = STATE(1355),
    [sym_cast_expression] = STATE(1355),
    [sym_sizeof_expression] = STATE(1355),
    [sym_subscript_expression] = STATE(1355),
    [sym_call_expression] = STATE(1355),
    [sym_field_expression] = STATE(1355),
    [sym_compound_literal_expression] = STATE(1355),
    [sym_parenthesized_expression] = STATE(1355),
    [sym_concatenated_string] = STATE(1355),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3790),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3792),
    [sym_char_literal] = ACTIONS(3792),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3794),
    [sym_false] = ACTIONS(3794),
    [sym_null] = ACTIONS(3794),
    [sym_identifier] = ACTIONS(3794),
    [sym_comment] = ACTIONS(39),
  },
  [1320] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3796),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1321] = {
    [sym_compound_statement] = STATE(1357),
    [sym_labeled_statement] = STATE(1357),
    [sym_expression_statement] = STATE(1357),
    [sym_if_statement] = STATE(1357),
    [sym_switch_statement] = STATE(1357),
    [sym_case_statement] = STATE(1357),
    [sym_while_statement] = STATE(1357),
    [sym_do_statement] = STATE(1357),
    [sym_for_statement] = STATE(1357),
    [sym_return_statement] = STATE(1357),
    [sym_break_statement] = STATE(1357),
    [sym_continue_statement] = STATE(1357),
    [sym_goto_statement] = STATE(1357),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1322] = {
    [sym_compound_statement] = STATE(1062),
    [sym_labeled_statement] = STATE(1062),
    [sym_expression_statement] = STATE(1062),
    [sym_if_statement] = STATE(1062),
    [sym_switch_statement] = STATE(1062),
    [sym_case_statement] = STATE(1062),
    [sym_while_statement] = STATE(1062),
    [sym_do_statement] = STATE(1062),
    [sym_for_statement] = STATE(1062),
    [sym_return_statement] = STATE(1062),
    [sym_break_statement] = STATE(1062),
    [sym_continue_statement] = STATE(1062),
    [sym_goto_statement] = STATE(1062),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1323] = {
    [sym_compound_statement] = STATE(1065),
    [sym_labeled_statement] = STATE(1065),
    [sym_expression_statement] = STATE(1065),
    [sym_if_statement] = STATE(1065),
    [sym_switch_statement] = STATE(1065),
    [sym_case_statement] = STATE(1065),
    [sym_while_statement] = STATE(1065),
    [sym_do_statement] = STATE(1065),
    [sym_for_statement] = STATE(1065),
    [sym_return_statement] = STATE(1065),
    [sym_break_statement] = STATE(1065),
    [sym_continue_statement] = STATE(1065),
    [sym_goto_statement] = STATE(1065),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1324] = {
    [sym__expression] = STATE(1359),
    [sym_conditional_expression] = STATE(1359),
    [sym_assignment_expression] = STATE(1359),
    [sym_pointer_expression] = STATE(1359),
    [sym_logical_expression] = STATE(1359),
    [sym_bitwise_expression] = STATE(1359),
    [sym_equality_expression] = STATE(1359),
    [sym_relational_expression] = STATE(1359),
    [sym_shift_expression] = STATE(1359),
    [sym_math_expression] = STATE(1359),
    [sym_cast_expression] = STATE(1359),
    [sym_sizeof_expression] = STATE(1359),
    [sym_subscript_expression] = STATE(1359),
    [sym_call_expression] = STATE(1359),
    [sym_field_expression] = STATE(1359),
    [sym_compound_literal_expression] = STATE(1359),
    [sym_parenthesized_expression] = STATE(1359),
    [sym_concatenated_string] = STATE(1359),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3798),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3800),
    [sym_char_literal] = ACTIONS(3800),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3802),
    [sym_false] = ACTIONS(3802),
    [sym_null] = ACTIONS(3802),
    [sym_identifier] = ACTIONS(3802),
    [sym_comment] = ACTIONS(39),
  },
  [1325] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1326] = {
    [sym__expression] = STATE(1361),
    [sym_conditional_expression] = STATE(1361),
    [sym_assignment_expression] = STATE(1361),
    [sym_pointer_expression] = STATE(1361),
    [sym_logical_expression] = STATE(1361),
    [sym_bitwise_expression] = STATE(1361),
    [sym_equality_expression] = STATE(1361),
    [sym_relational_expression] = STATE(1361),
    [sym_shift_expression] = STATE(1361),
    [sym_math_expression] = STATE(1361),
    [sym_cast_expression] = STATE(1361),
    [sym_sizeof_expression] = STATE(1361),
    [sym_subscript_expression] = STATE(1361),
    [sym_call_expression] = STATE(1361),
    [sym_field_expression] = STATE(1361),
    [sym_compound_literal_expression] = STATE(1361),
    [sym_parenthesized_expression] = STATE(1361),
    [sym_concatenated_string] = STATE(1361),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3806),
    [sym_char_literal] = ACTIONS(3806),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3808),
    [sym_false] = ACTIONS(3808),
    [sym_null] = ACTIONS(3808),
    [sym_identifier] = ACTIONS(3808),
    [sym_comment] = ACTIONS(39),
  },
  [1327] = {
    [sym_compound_statement] = STATE(1329),
    [sym_labeled_statement] = STATE(1329),
    [sym_expression_statement] = STATE(1329),
    [sym_if_statement] = STATE(1329),
    [sym_switch_statement] = STATE(1329),
    [sym_case_statement] = STATE(1329),
    [sym_while_statement] = STATE(1329),
    [sym_do_statement] = STATE(1329),
    [sym_for_statement] = STATE(1329),
    [sym_return_statement] = STATE(1329),
    [sym_break_statement] = STATE(1329),
    [sym_continue_statement] = STATE(1329),
    [sym_goto_statement] = STATE(1329),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [1328] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [sym_comment] = ACTIONS(39),
  },
  [1329] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3812),
    [anon_sym_LPAREN] = ACTIONS(3814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3812),
    [sym_preproc_directive] = ACTIONS(3812),
    [anon_sym_SEMI] = ACTIONS(3814),
    [anon_sym_typedef] = ACTIONS(3812),
    [anon_sym_extern] = ACTIONS(3812),
    [anon_sym_LBRACE] = ACTIONS(3814),
    [anon_sym_RBRACE] = ACTIONS(3814),
    [anon_sym_STAR] = ACTIONS(3814),
    [anon_sym_static] = ACTIONS(3812),
    [anon_sym_auto] = ACTIONS(3812),
    [anon_sym_register] = ACTIONS(3812),
    [anon_sym_inline] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3812),
    [anon_sym_restrict] = ACTIONS(3812),
    [anon_sym_volatile] = ACTIONS(3812),
    [anon_sym__Atomic] = ACTIONS(3812),
    [anon_sym_unsigned] = ACTIONS(3812),
    [anon_sym_long] = ACTIONS(3812),
    [anon_sym_short] = ACTIONS(3812),
    [sym_primitive_type] = ACTIONS(3812),
    [anon_sym_enum] = ACTIONS(3812),
    [anon_sym_struct] = ACTIONS(3812),
    [anon_sym_union] = ACTIONS(3812),
    [anon_sym_if] = ACTIONS(3812),
    [anon_sym_else] = ACTIONS(3812),
    [anon_sym_switch] = ACTIONS(3812),
    [anon_sym_case] = ACTIONS(3812),
    [anon_sym_default] = ACTIONS(3812),
    [anon_sym_while] = ACTIONS(3812),
    [anon_sym_do] = ACTIONS(3812),
    [anon_sym_for] = ACTIONS(3812),
    [anon_sym_return] = ACTIONS(3812),
    [anon_sym_break] = ACTIONS(3812),
    [anon_sym_continue] = ACTIONS(3812),
    [anon_sym_goto] = ACTIONS(3812),
    [anon_sym_AMP] = ACTIONS(3814),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_sizeof] = ACTIONS(3812),
    [sym_number_literal] = ACTIONS(3814),
    [sym_char_literal] = ACTIONS(3814),
    [sym_string_literal] = ACTIONS(3814),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_identifier] = ACTIONS(3812),
    [sym_comment] = ACTIONS(39),
  },
  [1330] = {
    [sym_compound_statement] = STATE(1363),
    [sym_labeled_statement] = STATE(1363),
    [sym_expression_statement] = STATE(1363),
    [sym_if_statement] = STATE(1363),
    [sym_switch_statement] = STATE(1363),
    [sym_case_statement] = STATE(1363),
    [sym_while_statement] = STATE(1363),
    [sym_do_statement] = STATE(1363),
    [sym_for_statement] = STATE(1363),
    [sym_return_statement] = STATE(1363),
    [sym_break_statement] = STATE(1363),
    [sym_continue_statement] = STATE(1363),
    [sym_goto_statement] = STATE(1363),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1715),
    [sym_comment] = ACTIONS(39),
  },
  [1331] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1332] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3818),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1333] = {
    [sym_declaration] = STATE(1190),
    [sym_type_definition] = STATE(1190),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_compound_statement] = STATE(1190),
    [sym_storage_class_specifier] = STATE(93),
    [sym_type_qualifier] = STATE(93),
    [sym__type_specifier] = STATE(92),
    [sym_sized_type_specifier] = STATE(92),
    [sym_enum_specifier] = STATE(92),
    [sym_struct_specifier] = STATE(92),
    [sym_union_specifier] = STATE(92),
    [sym_labeled_statement] = STATE(1190),
    [sym_expression_statement] = STATE(1190),
    [sym_if_statement] = STATE(1190),
    [sym_switch_statement] = STATE(1190),
    [sym_case_statement] = STATE(1190),
    [sym_while_statement] = STATE(1190),
    [sym_do_statement] = STATE(1190),
    [sym_for_statement] = STATE(1190),
    [sym_return_statement] = STATE(1190),
    [sym_break_statement] = STATE(1190),
    [sym_continue_statement] = STATE(1190),
    [sym_goto_statement] = STATE(1190),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [sym_macro_type_specifier] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(93),
    [aux_sym_sized_type_specifier_repeat1] = STATE(94),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_typedef] = ACTIONS(362),
    [anon_sym_extern] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_auto] = ACTIONS(23),
    [anon_sym_register] = ACTIONS(23),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_restrict] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym__Atomic] = ACTIONS(25),
    [anon_sym_unsigned] = ACTIONS(171),
    [anon_sym_long] = ACTIONS(171),
    [anon_sym_short] = ACTIONS(171),
    [sym_primitive_type] = ACTIONS(173),
    [anon_sym_enum] = ACTIONS(31),
    [anon_sym_struct] = ACTIONS(33),
    [anon_sym_union] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3754),
    [sym_comment] = ACTIONS(39),
  },
  [1334] = {
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(86),
    [anon_sym_STAR] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_EQ] = ACTIONS(1058),
    [anon_sym_static] = ACTIONS(86),
    [anon_sym_auto] = ACTIONS(86),
    [anon_sym_register] = ACTIONS(86),
    [anon_sym_inline] = ACTIONS(86),
    [anon_sym_const] = ACTIONS(86),
    [anon_sym_restrict] = ACTIONS(86),
    [anon_sym_volatile] = ACTIONS(86),
    [anon_sym__Atomic] = ACTIONS(86),
    [anon_sym_COLON] = ACTIONS(3668),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_STAR_EQ] = ACTIONS(1056),
    [anon_sym_SLASH_EQ] = ACTIONS(1056),
    [anon_sym_PERCENT_EQ] = ACTIONS(1056),
    [anon_sym_PLUS_EQ] = ACTIONS(1056),
    [anon_sym_DASH_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_GT_EQ] = ACTIONS(1056),
    [anon_sym_AMP_EQ] = ACTIONS(1056),
    [anon_sym_CARET_EQ] = ACTIONS(1056),
    [anon_sym_PIPE_EQ] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1058),
    [anon_sym_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1058),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DASH_GT] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(86),
    [sym_comment] = ACTIONS(39),
  },
  [1335] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_STAR] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2429),
    [anon_sym_SLASH_EQ] = ACTIONS(2429),
    [anon_sym_PERCENT_EQ] = ACTIONS(2429),
    [anon_sym_PLUS_EQ] = ACTIONS(2429),
    [anon_sym_DASH_EQ] = ACTIONS(2429),
    [anon_sym_LT_LT_EQ] = ACTIONS(2429),
    [anon_sym_GT_GT_EQ] = ACTIONS(2429),
    [anon_sym_AMP_EQ] = ACTIONS(2429),
    [anon_sym_CARET_EQ] = ACTIONS(2429),
    [anon_sym_PIPE_EQ] = ACTIONS(2429),
    [anon_sym_AMP] = ACTIONS(2431),
    [anon_sym_PIPE_PIPE] = ACTIONS(2433),
    [anon_sym_AMP_AMP] = ACTIONS(2435),
    [anon_sym_PIPE] = ACTIONS(2437),
    [anon_sym_CARET] = ACTIONS(2439),
    [anon_sym_EQ_EQ] = ACTIONS(2441),
    [anon_sym_BANG_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2445),
    [anon_sym_GT_EQ] = ACTIONS(2445),
    [anon_sym_LT_LT] = ACTIONS(2447),
    [anon_sym_GT_GT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2423),
    [anon_sym_PERCENT] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1336] = {
    [sym__expression] = STATE(1368),
    [sym_conditional_expression] = STATE(1368),
    [sym_assignment_expression] = STATE(1368),
    [sym_pointer_expression] = STATE(1368),
    [sym_logical_expression] = STATE(1368),
    [sym_bitwise_expression] = STATE(1368),
    [sym_equality_expression] = STATE(1368),
    [sym_relational_expression] = STATE(1368),
    [sym_shift_expression] = STATE(1368),
    [sym_math_expression] = STATE(1368),
    [sym_cast_expression] = STATE(1368),
    [sym_sizeof_expression] = STATE(1368),
    [sym_subscript_expression] = STATE(1368),
    [sym_call_expression] = STATE(1368),
    [sym_field_expression] = STATE(1368),
    [sym_compound_literal_expression] = STATE(1368),
    [sym_parenthesized_expression] = STATE(1368),
    [sym_concatenated_string] = STATE(1368),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3822),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3824),
    [sym_char_literal] = ACTIONS(3824),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3826),
    [sym_false] = ACTIONS(3826),
    [sym_null] = ACTIONS(3826),
    [sym_identifier] = ACTIONS(3826),
    [sym_comment] = ACTIONS(39),
  },
  [1337] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3828),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1338] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3616),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3616),
    [sym_preproc_directive] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_typedef] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_auto] = ACTIONS(3616),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym_unsigned] = ACTIONS(3616),
    [anon_sym_long] = ACTIONS(3616),
    [anon_sym_short] = ACTIONS(3616),
    [sym_primitive_type] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [anon_sym_struct] = ACTIONS(3616),
    [anon_sym_union] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_goto] = ACTIONS(3616),
    [anon_sym_AMP] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_sizeof] = ACTIONS(3616),
    [sym_number_literal] = ACTIONS(3618),
    [sym_char_literal] = ACTIONS(3618),
    [sym_string_literal] = ACTIONS(3618),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_identifier] = ACTIONS(3616),
    [sym_comment] = ACTIONS(39),
  },
  [1339] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3648),
    [anon_sym_LPAREN] = ACTIONS(3650),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3648),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3648),
    [sym_preproc_directive] = ACTIONS(3648),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_typedef] = ACTIONS(3648),
    [anon_sym_extern] = ACTIONS(3648),
    [anon_sym_LBRACE] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_static] = ACTIONS(3648),
    [anon_sym_auto] = ACTIONS(3648),
    [anon_sym_register] = ACTIONS(3648),
    [anon_sym_inline] = ACTIONS(3648),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym_unsigned] = ACTIONS(3648),
    [anon_sym_long] = ACTIONS(3648),
    [anon_sym_short] = ACTIONS(3648),
    [sym_primitive_type] = ACTIONS(3648),
    [anon_sym_enum] = ACTIONS(3648),
    [anon_sym_struct] = ACTIONS(3648),
    [anon_sym_union] = ACTIONS(3648),
    [anon_sym_if] = ACTIONS(3648),
    [anon_sym_else] = ACTIONS(3648),
    [anon_sym_switch] = ACTIONS(3648),
    [anon_sym_case] = ACTIONS(3648),
    [anon_sym_default] = ACTIONS(3648),
    [anon_sym_while] = ACTIONS(3648),
    [anon_sym_do] = ACTIONS(3648),
    [anon_sym_for] = ACTIONS(3648),
    [anon_sym_return] = ACTIONS(3648),
    [anon_sym_break] = ACTIONS(3648),
    [anon_sym_continue] = ACTIONS(3648),
    [anon_sym_goto] = ACTIONS(3648),
    [anon_sym_AMP] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3650),
    [anon_sym_TILDE] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3648),
    [anon_sym_DASH] = ACTIONS(3648),
    [anon_sym_DASH_DASH] = ACTIONS(3650),
    [anon_sym_PLUS_PLUS] = ACTIONS(3650),
    [anon_sym_sizeof] = ACTIONS(3648),
    [sym_number_literal] = ACTIONS(3650),
    [sym_char_literal] = ACTIONS(3650),
    [sym_string_literal] = ACTIONS(3650),
    [sym_true] = ACTIONS(3648),
    [sym_false] = ACTIONS(3648),
    [sym_null] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(3648),
    [sym_comment] = ACTIONS(39),
  },
  [1340] = {
    [sym_compound_statement] = STATE(1370),
    [sym_labeled_statement] = STATE(1370),
    [sym_expression_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_switch_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_do_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_return_statement] = STATE(1370),
    [sym_break_statement] = STATE(1370),
    [sym_continue_statement] = STATE(1370),
    [sym_goto_statement] = STATE(1370),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1341] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [sym_comment] = ACTIONS(39),
  },
  [1342] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1372),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1343] = {
    [sym_compound_statement] = STATE(1373),
    [sym_labeled_statement] = STATE(1373),
    [sym_expression_statement] = STATE(1373),
    [sym_if_statement] = STATE(1373),
    [sym_switch_statement] = STATE(1373),
    [sym_case_statement] = STATE(1373),
    [sym_while_statement] = STATE(1373),
    [sym_do_statement] = STATE(1373),
    [sym_for_statement] = STATE(1373),
    [sym_return_statement] = STATE(1373),
    [sym_break_statement] = STATE(1373),
    [sym_continue_statement] = STATE(1373),
    [sym_goto_statement] = STATE(1373),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1344] = {
    [sym_compound_statement] = STATE(1204),
    [sym_labeled_statement] = STATE(1204),
    [sym_expression_statement] = STATE(1204),
    [sym_if_statement] = STATE(1204),
    [sym_switch_statement] = STATE(1204),
    [sym_case_statement] = STATE(1204),
    [sym_while_statement] = STATE(1204),
    [sym_do_statement] = STATE(1204),
    [sym_for_statement] = STATE(1204),
    [sym_return_statement] = STATE(1204),
    [sym_break_statement] = STATE(1204),
    [sym_continue_statement] = STATE(1204),
    [sym_goto_statement] = STATE(1204),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1345] = {
    [sym_compound_statement] = STATE(1205),
    [sym_labeled_statement] = STATE(1205),
    [sym_expression_statement] = STATE(1205),
    [sym_if_statement] = STATE(1205),
    [sym_switch_statement] = STATE(1205),
    [sym_case_statement] = STATE(1205),
    [sym_while_statement] = STATE(1205),
    [sym_do_statement] = STATE(1205),
    [sym_for_statement] = STATE(1205),
    [sym_return_statement] = STATE(1205),
    [sym_break_statement] = STATE(1205),
    [sym_continue_statement] = STATE(1205),
    [sym_goto_statement] = STATE(1205),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1346] = {
    [sym__expression] = STATE(1375),
    [sym_conditional_expression] = STATE(1375),
    [sym_assignment_expression] = STATE(1375),
    [sym_pointer_expression] = STATE(1375),
    [sym_logical_expression] = STATE(1375),
    [sym_bitwise_expression] = STATE(1375),
    [sym_equality_expression] = STATE(1375),
    [sym_relational_expression] = STATE(1375),
    [sym_shift_expression] = STATE(1375),
    [sym_math_expression] = STATE(1375),
    [sym_cast_expression] = STATE(1375),
    [sym_sizeof_expression] = STATE(1375),
    [sym_subscript_expression] = STATE(1375),
    [sym_call_expression] = STATE(1375),
    [sym_field_expression] = STATE(1375),
    [sym_compound_literal_expression] = STATE(1375),
    [sym_parenthesized_expression] = STATE(1375),
    [sym_concatenated_string] = STATE(1375),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3832),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3834),
    [sym_char_literal] = ACTIONS(3834),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3836),
    [sym_false] = ACTIONS(3836),
    [sym_null] = ACTIONS(3836),
    [sym_identifier] = ACTIONS(3836),
    [sym_comment] = ACTIONS(39),
  },
  [1347] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3838),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1348] = {
    [sym__expression] = STATE(1377),
    [sym_conditional_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1377),
    [sym_pointer_expression] = STATE(1377),
    [sym_logical_expression] = STATE(1377),
    [sym_bitwise_expression] = STATE(1377),
    [sym_equality_expression] = STATE(1377),
    [sym_relational_expression] = STATE(1377),
    [sym_shift_expression] = STATE(1377),
    [sym_math_expression] = STATE(1377),
    [sym_cast_expression] = STATE(1377),
    [sym_sizeof_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_call_expression] = STATE(1377),
    [sym_field_expression] = STATE(1377),
    [sym_compound_literal_expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_concatenated_string] = STATE(1377),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3838),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3840),
    [sym_char_literal] = ACTIONS(3840),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3842),
    [sym_false] = ACTIONS(3842),
    [sym_null] = ACTIONS(3842),
    [sym_identifier] = ACTIONS(3842),
    [sym_comment] = ACTIONS(39),
  },
  [1349] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3738),
    [anon_sym_LPAREN] = ACTIONS(3740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3738),
    [sym_preproc_directive] = ACTIONS(3738),
    [anon_sym_SEMI] = ACTIONS(3740),
    [anon_sym_typedef] = ACTIONS(3738),
    [anon_sym_extern] = ACTIONS(3738),
    [anon_sym_LBRACE] = ACTIONS(3740),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_static] = ACTIONS(3738),
    [anon_sym_auto] = ACTIONS(3738),
    [anon_sym_register] = ACTIONS(3738),
    [anon_sym_inline] = ACTIONS(3738),
    [anon_sym_const] = ACTIONS(3738),
    [anon_sym_restrict] = ACTIONS(3738),
    [anon_sym_volatile] = ACTIONS(3738),
    [anon_sym__Atomic] = ACTIONS(3738),
    [anon_sym_unsigned] = ACTIONS(3738),
    [anon_sym_long] = ACTIONS(3738),
    [anon_sym_short] = ACTIONS(3738),
    [sym_primitive_type] = ACTIONS(3738),
    [anon_sym_enum] = ACTIONS(3738),
    [anon_sym_struct] = ACTIONS(3738),
    [anon_sym_union] = ACTIONS(3738),
    [anon_sym_if] = ACTIONS(3738),
    [anon_sym_else] = ACTIONS(3738),
    [anon_sym_switch] = ACTIONS(3738),
    [anon_sym_case] = ACTIONS(3738),
    [anon_sym_default] = ACTIONS(3738),
    [anon_sym_while] = ACTIONS(3738),
    [anon_sym_do] = ACTIONS(3738),
    [anon_sym_for] = ACTIONS(3738),
    [anon_sym_return] = ACTIONS(3738),
    [anon_sym_break] = ACTIONS(3738),
    [anon_sym_continue] = ACTIONS(3738),
    [anon_sym_goto] = ACTIONS(3738),
    [anon_sym_AMP] = ACTIONS(3740),
    [anon_sym_BANG] = ACTIONS(3740),
    [anon_sym_TILDE] = ACTIONS(3740),
    [anon_sym_PLUS] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3738),
    [anon_sym_DASH_DASH] = ACTIONS(3740),
    [anon_sym_PLUS_PLUS] = ACTIONS(3740),
    [anon_sym_sizeof] = ACTIONS(3738),
    [sym_number_literal] = ACTIONS(3740),
    [sym_char_literal] = ACTIONS(3740),
    [sym_string_literal] = ACTIONS(3740),
    [sym_true] = ACTIONS(3738),
    [sym_false] = ACTIONS(3738),
    [sym_null] = ACTIONS(3738),
    [sym_identifier] = ACTIONS(3738),
    [sym_comment] = ACTIONS(39),
  },
  [1350] = {
    [sym_compound_statement] = STATE(1378),
    [sym_labeled_statement] = STATE(1378),
    [sym_expression_statement] = STATE(1378),
    [sym_if_statement] = STATE(1378),
    [sym_switch_statement] = STATE(1378),
    [sym_case_statement] = STATE(1378),
    [sym_while_statement] = STATE(1378),
    [sym_do_statement] = STATE(1378),
    [sym_for_statement] = STATE(1378),
    [sym_return_statement] = STATE(1378),
    [sym_break_statement] = STATE(1378),
    [sym_continue_statement] = STATE(1378),
    [sym_goto_statement] = STATE(1378),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [1351] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3844),
    [sym_comment] = ACTIONS(39),
  },
  [1352] = {
    [sym_compound_statement] = STATE(1218),
    [sym_labeled_statement] = STATE(1218),
    [sym_expression_statement] = STATE(1218),
    [sym_if_statement] = STATE(1218),
    [sym_switch_statement] = STATE(1218),
    [sym_case_statement] = STATE(1218),
    [sym_while_statement] = STATE(1218),
    [sym_do_statement] = STATE(1218),
    [sym_for_statement] = STATE(1218),
    [sym_return_statement] = STATE(1218),
    [sym_break_statement] = STATE(1218),
    [sym_continue_statement] = STATE(1218),
    [sym_goto_statement] = STATE(1218),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1353] = {
    [sym_compound_statement] = STATE(1232),
    [sym_labeled_statement] = STATE(1232),
    [sym_expression_statement] = STATE(1232),
    [sym_if_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_case_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_goto_statement] = STATE(1232),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1354] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3846),
    [sym_comment] = ACTIONS(39),
  },
  [1355] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1381),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3846),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1356] = {
    [sym__expression] = STATE(1382),
    [sym_conditional_expression] = STATE(1382),
    [sym_assignment_expression] = STATE(1382),
    [sym_pointer_expression] = STATE(1382),
    [sym_logical_expression] = STATE(1382),
    [sym_bitwise_expression] = STATE(1382),
    [sym_equality_expression] = STATE(1382),
    [sym_relational_expression] = STATE(1382),
    [sym_shift_expression] = STATE(1382),
    [sym_math_expression] = STATE(1382),
    [sym_cast_expression] = STATE(1382),
    [sym_sizeof_expression] = STATE(1382),
    [sym_subscript_expression] = STATE(1382),
    [sym_call_expression] = STATE(1382),
    [sym_field_expression] = STATE(1382),
    [sym_compound_literal_expression] = STATE(1382),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_concatenated_string] = STATE(1382),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3846),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3848),
    [sym_char_literal] = ACTIONS(3848),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3850),
    [sym_false] = ACTIONS(3850),
    [sym_null] = ACTIONS(3850),
    [sym_identifier] = ACTIONS(3850),
    [sym_comment] = ACTIONS(39),
  },
  [1357] = {
    [anon_sym_else] = ACTIONS(3852),
    [anon_sym_while] = ACTIONS(3309),
    [sym_comment] = ACTIONS(39),
  },
  [1358] = {
    [sym_compound_statement] = STATE(1162),
    [sym_labeled_statement] = STATE(1162),
    [sym_expression_statement] = STATE(1162),
    [sym_if_statement] = STATE(1162),
    [sym_switch_statement] = STATE(1162),
    [sym_case_statement] = STATE(1162),
    [sym_while_statement] = STATE(1162),
    [sym_do_statement] = STATE(1162),
    [sym_for_statement] = STATE(1162),
    [sym_return_statement] = STATE(1162),
    [sym_break_statement] = STATE(1162),
    [sym_continue_statement] = STATE(1162),
    [sym_goto_statement] = STATE(1162),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1359] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1385),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1360] = {
    [sym__expression] = STATE(1386),
    [sym_conditional_expression] = STATE(1386),
    [sym_assignment_expression] = STATE(1386),
    [sym_pointer_expression] = STATE(1386),
    [sym_logical_expression] = STATE(1386),
    [sym_bitwise_expression] = STATE(1386),
    [sym_equality_expression] = STATE(1386),
    [sym_relational_expression] = STATE(1386),
    [sym_shift_expression] = STATE(1386),
    [sym_math_expression] = STATE(1386),
    [sym_cast_expression] = STATE(1386),
    [sym_sizeof_expression] = STATE(1386),
    [sym_subscript_expression] = STATE(1386),
    [sym_call_expression] = STATE(1386),
    [sym_field_expression] = STATE(1386),
    [sym_compound_literal_expression] = STATE(1386),
    [sym_parenthesized_expression] = STATE(1386),
    [sym_concatenated_string] = STATE(1386),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3856),
    [sym_char_literal] = ACTIONS(3856),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3858),
    [sym_false] = ACTIONS(3858),
    [sym_null] = ACTIONS(3858),
    [sym_identifier] = ACTIONS(3858),
    [sym_comment] = ACTIONS(39),
  },
  [1361] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1362] = {
    [sym_compound_statement] = STATE(1363),
    [sym_labeled_statement] = STATE(1363),
    [sym_expression_statement] = STATE(1363),
    [sym_if_statement] = STATE(1363),
    [sym_switch_statement] = STATE(1363),
    [sym_case_statement] = STATE(1363),
    [sym_while_statement] = STATE(1363),
    [sym_do_statement] = STATE(1363),
    [sym_for_statement] = STATE(1363),
    [sym_return_statement] = STATE(1363),
    [sym_break_statement] = STATE(1363),
    [sym_continue_statement] = STATE(1363),
    [sym_goto_statement] = STATE(1363),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1010),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(1022),
    [sym_comment] = ACTIONS(39),
  },
  [1363] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3862),
    [anon_sym_LPAREN] = ACTIONS(3864),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3862),
    [sym_preproc_directive] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_typedef] = ACTIONS(3862),
    [anon_sym_extern] = ACTIONS(3862),
    [anon_sym_LBRACE] = ACTIONS(3864),
    [anon_sym_RBRACE] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(3864),
    [anon_sym_static] = ACTIONS(3862),
    [anon_sym_auto] = ACTIONS(3862),
    [anon_sym_register] = ACTIONS(3862),
    [anon_sym_inline] = ACTIONS(3862),
    [anon_sym_const] = ACTIONS(3862),
    [anon_sym_restrict] = ACTIONS(3862),
    [anon_sym_volatile] = ACTIONS(3862),
    [anon_sym__Atomic] = ACTIONS(3862),
    [anon_sym_unsigned] = ACTIONS(3862),
    [anon_sym_long] = ACTIONS(3862),
    [anon_sym_short] = ACTIONS(3862),
    [sym_primitive_type] = ACTIONS(3862),
    [anon_sym_enum] = ACTIONS(3862),
    [anon_sym_struct] = ACTIONS(3862),
    [anon_sym_union] = ACTIONS(3862),
    [anon_sym_if] = ACTIONS(3862),
    [anon_sym_else] = ACTIONS(3862),
    [anon_sym_switch] = ACTIONS(3862),
    [anon_sym_case] = ACTIONS(3862),
    [anon_sym_default] = ACTIONS(3862),
    [anon_sym_while] = ACTIONS(3862),
    [anon_sym_do] = ACTIONS(3862),
    [anon_sym_for] = ACTIONS(3862),
    [anon_sym_return] = ACTIONS(3862),
    [anon_sym_break] = ACTIONS(3862),
    [anon_sym_continue] = ACTIONS(3862),
    [anon_sym_goto] = ACTIONS(3862),
    [anon_sym_AMP] = ACTIONS(3864),
    [anon_sym_BANG] = ACTIONS(3864),
    [anon_sym_TILDE] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3862),
    [anon_sym_DASH] = ACTIONS(3862),
    [anon_sym_DASH_DASH] = ACTIONS(3864),
    [anon_sym_PLUS_PLUS] = ACTIONS(3864),
    [anon_sym_sizeof] = ACTIONS(3862),
    [sym_number_literal] = ACTIONS(3864),
    [sym_char_literal] = ACTIONS(3864),
    [sym_string_literal] = ACTIONS(3864),
    [sym_true] = ACTIONS(3862),
    [sym_false] = ACTIONS(3862),
    [sym_null] = ACTIONS(3862),
    [sym_identifier] = ACTIONS(3862),
    [sym_comment] = ACTIONS(39),
  },
  [1364] = {
    [sym_compound_statement] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_expression_statement] = STATE(1388),
    [sym_if_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_case_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_goto_statement] = STATE(1388),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1365] = {
    [sym_compound_statement] = STATE(1250),
    [sym_labeled_statement] = STATE(1250),
    [sym_expression_statement] = STATE(1250),
    [sym_if_statement] = STATE(1250),
    [sym_switch_statement] = STATE(1250),
    [sym_case_statement] = STATE(1250),
    [sym_while_statement] = STATE(1250),
    [sym_do_statement] = STATE(1250),
    [sym_for_statement] = STATE(1250),
    [sym_return_statement] = STATE(1250),
    [sym_break_statement] = STATE(1250),
    [sym_continue_statement] = STATE(1250),
    [sym_goto_statement] = STATE(1250),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1366] = {
    [sym_compound_statement] = STATE(1251),
    [sym_labeled_statement] = STATE(1251),
    [sym_expression_statement] = STATE(1251),
    [sym_if_statement] = STATE(1251),
    [sym_switch_statement] = STATE(1251),
    [sym_case_statement] = STATE(1251),
    [sym_while_statement] = STATE(1251),
    [sym_do_statement] = STATE(1251),
    [sym_for_statement] = STATE(1251),
    [sym_return_statement] = STATE(1251),
    [sym_break_statement] = STATE(1251),
    [sym_continue_statement] = STATE(1251),
    [sym_goto_statement] = STATE(1251),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1367] = {
    [sym__expression] = STATE(1390),
    [sym_conditional_expression] = STATE(1390),
    [sym_assignment_expression] = STATE(1390),
    [sym_pointer_expression] = STATE(1390),
    [sym_logical_expression] = STATE(1390),
    [sym_bitwise_expression] = STATE(1390),
    [sym_equality_expression] = STATE(1390),
    [sym_relational_expression] = STATE(1390),
    [sym_shift_expression] = STATE(1390),
    [sym_math_expression] = STATE(1390),
    [sym_cast_expression] = STATE(1390),
    [sym_sizeof_expression] = STATE(1390),
    [sym_subscript_expression] = STATE(1390),
    [sym_call_expression] = STATE(1390),
    [sym_field_expression] = STATE(1390),
    [sym_compound_literal_expression] = STATE(1390),
    [sym_parenthesized_expression] = STATE(1390),
    [sym_concatenated_string] = STATE(1390),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3866),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3868),
    [sym_char_literal] = ACTIONS(3868),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3870),
    [sym_false] = ACTIONS(3870),
    [sym_null] = ACTIONS(3870),
    [sym_identifier] = ACTIONS(3870),
    [sym_comment] = ACTIONS(39),
  },
  [1368] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3872),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1369] = {
    [sym__expression] = STATE(1392),
    [sym_conditional_expression] = STATE(1392),
    [sym_assignment_expression] = STATE(1392),
    [sym_pointer_expression] = STATE(1392),
    [sym_logical_expression] = STATE(1392),
    [sym_bitwise_expression] = STATE(1392),
    [sym_equality_expression] = STATE(1392),
    [sym_relational_expression] = STATE(1392),
    [sym_shift_expression] = STATE(1392),
    [sym_math_expression] = STATE(1392),
    [sym_cast_expression] = STATE(1392),
    [sym_sizeof_expression] = STATE(1392),
    [sym_subscript_expression] = STATE(1392),
    [sym_call_expression] = STATE(1392),
    [sym_field_expression] = STATE(1392),
    [sym_compound_literal_expression] = STATE(1392),
    [sym_parenthesized_expression] = STATE(1392),
    [sym_concatenated_string] = STATE(1392),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(3872),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_AMP] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(823),
    [anon_sym_DASH] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(825),
    [anon_sym_sizeof] = ACTIONS(827),
    [sym_number_literal] = ACTIONS(3874),
    [sym_char_literal] = ACTIONS(3874),
    [sym_string_literal] = ACTIONS(831),
    [sym_true] = ACTIONS(3876),
    [sym_false] = ACTIONS(3876),
    [sym_null] = ACTIONS(3876),
    [sym_identifier] = ACTIONS(3876),
    [sym_comment] = ACTIONS(39),
  },
  [1370] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3738),
    [anon_sym_LPAREN] = ACTIONS(3740),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3738),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3738),
    [sym_preproc_directive] = ACTIONS(3738),
    [anon_sym_SEMI] = ACTIONS(3740),
    [anon_sym_typedef] = ACTIONS(3738),
    [anon_sym_extern] = ACTIONS(3738),
    [anon_sym_LBRACE] = ACTIONS(3740),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_static] = ACTIONS(3738),
    [anon_sym_auto] = ACTIONS(3738),
    [anon_sym_register] = ACTIONS(3738),
    [anon_sym_inline] = ACTIONS(3738),
    [anon_sym_const] = ACTIONS(3738),
    [anon_sym_restrict] = ACTIONS(3738),
    [anon_sym_volatile] = ACTIONS(3738),
    [anon_sym__Atomic] = ACTIONS(3738),
    [anon_sym_unsigned] = ACTIONS(3738),
    [anon_sym_long] = ACTIONS(3738),
    [anon_sym_short] = ACTIONS(3738),
    [sym_primitive_type] = ACTIONS(3738),
    [anon_sym_enum] = ACTIONS(3738),
    [anon_sym_struct] = ACTIONS(3738),
    [anon_sym_union] = ACTIONS(3738),
    [anon_sym_if] = ACTIONS(3738),
    [anon_sym_else] = ACTIONS(3738),
    [anon_sym_switch] = ACTIONS(3738),
    [anon_sym_case] = ACTIONS(3738),
    [anon_sym_default] = ACTIONS(3738),
    [anon_sym_while] = ACTIONS(3738),
    [anon_sym_do] = ACTIONS(3738),
    [anon_sym_for] = ACTIONS(3738),
    [anon_sym_return] = ACTIONS(3738),
    [anon_sym_break] = ACTIONS(3738),
    [anon_sym_continue] = ACTIONS(3738),
    [anon_sym_goto] = ACTIONS(3738),
    [anon_sym_AMP] = ACTIONS(3740),
    [anon_sym_BANG] = ACTIONS(3740),
    [anon_sym_TILDE] = ACTIONS(3740),
    [anon_sym_PLUS] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3738),
    [anon_sym_DASH_DASH] = ACTIONS(3740),
    [anon_sym_PLUS_PLUS] = ACTIONS(3740),
    [anon_sym_sizeof] = ACTIONS(3738),
    [sym_number_literal] = ACTIONS(3740),
    [sym_char_literal] = ACTIONS(3740),
    [sym_string_literal] = ACTIONS(3740),
    [sym_true] = ACTIONS(3738),
    [sym_false] = ACTIONS(3738),
    [sym_null] = ACTIONS(3738),
    [sym_identifier] = ACTIONS(3738),
    [sym_comment] = ACTIONS(39),
  },
  [1371] = {
    [sym_compound_statement] = STATE(1393),
    [sym_labeled_statement] = STATE(1393),
    [sym_expression_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_switch_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_do_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_return_statement] = STATE(1393),
    [sym_break_statement] = STATE(1393),
    [sym_continue_statement] = STATE(1393),
    [sym_goto_statement] = STATE(1393),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1372] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3878),
    [sym_comment] = ACTIONS(39),
  },
  [1373] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3307),
    [sym_preproc_directive] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3307),
    [anon_sym_extern] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_auto] = ACTIONS(3307),
    [anon_sym_register] = ACTIONS(3307),
    [anon_sym_inline] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_restrict] = ACTIONS(3307),
    [anon_sym_volatile] = ACTIONS(3307),
    [anon_sym__Atomic] = ACTIONS(3307),
    [anon_sym_unsigned] = ACTIONS(3307),
    [anon_sym_long] = ACTIONS(3307),
    [anon_sym_short] = ACTIONS(3307),
    [sym_primitive_type] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [anon_sym_struct] = ACTIONS(3307),
    [anon_sym_union] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3880),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_goto] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3307),
    [sym_number_literal] = ACTIONS(3309),
    [sym_char_literal] = ACTIONS(3309),
    [sym_string_literal] = ACTIONS(3309),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_identifier] = ACTIONS(3307),
    [sym_comment] = ACTIONS(39),
  },
  [1374] = {
    [sym_compound_statement] = STATE(1266),
    [sym_labeled_statement] = STATE(1266),
    [sym_expression_statement] = STATE(1266),
    [sym_if_statement] = STATE(1266),
    [sym_switch_statement] = STATE(1266),
    [sym_case_statement] = STATE(1266),
    [sym_while_statement] = STATE(1266),
    [sym_do_statement] = STATE(1266),
    [sym_for_statement] = STATE(1266),
    [sym_return_statement] = STATE(1266),
    [sym_break_statement] = STATE(1266),
    [sym_continue_statement] = STATE(1266),
    [sym_goto_statement] = STATE(1266),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1375] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1397),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3882),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1376] = {
    [sym__expression] = STATE(1398),
    [sym_conditional_expression] = STATE(1398),
    [sym_assignment_expression] = STATE(1398),
    [sym_pointer_expression] = STATE(1398),
    [sym_logical_expression] = STATE(1398),
    [sym_bitwise_expression] = STATE(1398),
    [sym_equality_expression] = STATE(1398),
    [sym_relational_expression] = STATE(1398),
    [sym_shift_expression] = STATE(1398),
    [sym_math_expression] = STATE(1398),
    [sym_cast_expression] = STATE(1398),
    [sym_sizeof_expression] = STATE(1398),
    [sym_subscript_expression] = STATE(1398),
    [sym_call_expression] = STATE(1398),
    [sym_field_expression] = STATE(1398),
    [sym_compound_literal_expression] = STATE(1398),
    [sym_parenthesized_expression] = STATE(1398),
    [sym_concatenated_string] = STATE(1398),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3882),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3884),
    [sym_char_literal] = ACTIONS(3884),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3886),
    [sym_false] = ACTIONS(3886),
    [sym_null] = ACTIONS(3886),
    [sym_identifier] = ACTIONS(3886),
    [sym_comment] = ACTIONS(39),
  },
  [1377] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3888),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1378] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3812),
    [anon_sym_LPAREN] = ACTIONS(3814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3812),
    [sym_preproc_directive] = ACTIONS(3812),
    [anon_sym_SEMI] = ACTIONS(3814),
    [anon_sym_typedef] = ACTIONS(3812),
    [anon_sym_extern] = ACTIONS(3812),
    [anon_sym_LBRACE] = ACTIONS(3814),
    [anon_sym_STAR] = ACTIONS(3814),
    [anon_sym_static] = ACTIONS(3812),
    [anon_sym_auto] = ACTIONS(3812),
    [anon_sym_register] = ACTIONS(3812),
    [anon_sym_inline] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3812),
    [anon_sym_restrict] = ACTIONS(3812),
    [anon_sym_volatile] = ACTIONS(3812),
    [anon_sym__Atomic] = ACTIONS(3812),
    [anon_sym_unsigned] = ACTIONS(3812),
    [anon_sym_long] = ACTIONS(3812),
    [anon_sym_short] = ACTIONS(3812),
    [sym_primitive_type] = ACTIONS(3812),
    [anon_sym_enum] = ACTIONS(3812),
    [anon_sym_struct] = ACTIONS(3812),
    [anon_sym_union] = ACTIONS(3812),
    [anon_sym_if] = ACTIONS(3812),
    [anon_sym_else] = ACTIONS(3812),
    [anon_sym_switch] = ACTIONS(3812),
    [anon_sym_case] = ACTIONS(3812),
    [anon_sym_default] = ACTIONS(3812),
    [anon_sym_while] = ACTIONS(3812),
    [anon_sym_do] = ACTIONS(3812),
    [anon_sym_for] = ACTIONS(3812),
    [anon_sym_return] = ACTIONS(3812),
    [anon_sym_break] = ACTIONS(3812),
    [anon_sym_continue] = ACTIONS(3812),
    [anon_sym_goto] = ACTIONS(3812),
    [anon_sym_AMP] = ACTIONS(3814),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_sizeof] = ACTIONS(3812),
    [sym_number_literal] = ACTIONS(3814),
    [sym_char_literal] = ACTIONS(3814),
    [sym_string_literal] = ACTIONS(3814),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_identifier] = ACTIONS(3812),
    [sym_comment] = ACTIONS(39),
  },
  [1379] = {
    [sym_compound_statement] = STATE(1400),
    [sym_labeled_statement] = STATE(1400),
    [sym_expression_statement] = STATE(1400),
    [sym_if_statement] = STATE(1400),
    [sym_switch_statement] = STATE(1400),
    [sym_case_statement] = STATE(1400),
    [sym_while_statement] = STATE(1400),
    [sym_do_statement] = STATE(1400),
    [sym_for_statement] = STATE(1400),
    [sym_return_statement] = STATE(1400),
    [sym_break_statement] = STATE(1400),
    [sym_continue_statement] = STATE(1400),
    [sym_goto_statement] = STATE(1400),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1559),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(2808),
    [sym_comment] = ACTIONS(39),
  },
  [1380] = {
    [sym_compound_statement] = STATE(1287),
    [sym_labeled_statement] = STATE(1287),
    [sym_expression_statement] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_case_statement] = STATE(1287),
    [sym_while_statement] = STATE(1287),
    [sym_do_statement] = STATE(1287),
    [sym_for_statement] = STATE(1287),
    [sym_return_statement] = STATE(1287),
    [sym_break_statement] = STATE(1287),
    [sym_continue_statement] = STATE(1287),
    [sym_goto_statement] = STATE(1287),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1381] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3890),
    [sym_comment] = ACTIONS(39),
  },
  [1382] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1402),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3890),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1383] = {
    [sym_compound_statement] = STATE(1218),
    [sym_labeled_statement] = STATE(1218),
    [sym_expression_statement] = STATE(1218),
    [sym_if_statement] = STATE(1218),
    [sym_switch_statement] = STATE(1218),
    [sym_case_statement] = STATE(1218),
    [sym_while_statement] = STATE(1218),
    [sym_do_statement] = STATE(1218),
    [sym_for_statement] = STATE(1218),
    [sym_return_statement] = STATE(1218),
    [sym_break_statement] = STATE(1218),
    [sym_continue_statement] = STATE(1218),
    [sym_goto_statement] = STATE(1218),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1384] = {
    [sym_compound_statement] = STATE(1232),
    [sym_labeled_statement] = STATE(1232),
    [sym_expression_statement] = STATE(1232),
    [sym_if_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_case_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_goto_statement] = STATE(1232),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1385] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3892),
    [sym_comment] = ACTIONS(39),
  },
  [1386] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1404),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1387] = {
    [sym__expression] = STATE(1405),
    [sym_conditional_expression] = STATE(1405),
    [sym_assignment_expression] = STATE(1405),
    [sym_pointer_expression] = STATE(1405),
    [sym_logical_expression] = STATE(1405),
    [sym_bitwise_expression] = STATE(1405),
    [sym_equality_expression] = STATE(1405),
    [sym_relational_expression] = STATE(1405),
    [sym_shift_expression] = STATE(1405),
    [sym_math_expression] = STATE(1405),
    [sym_cast_expression] = STATE(1405),
    [sym_sizeof_expression] = STATE(1405),
    [sym_subscript_expression] = STATE(1405),
    [sym_call_expression] = STATE(1405),
    [sym_field_expression] = STATE(1405),
    [sym_compound_literal_expression] = STATE(1405),
    [sym_parenthesized_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3894),
    [sym_char_literal] = ACTIONS(3894),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3896),
    [sym_false] = ACTIONS(3896),
    [sym_null] = ACTIONS(3896),
    [sym_identifier] = ACTIONS(3896),
    [sym_comment] = ACTIONS(39),
  },
  [1388] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3309),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3307),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3307),
    [sym_preproc_directive] = ACTIONS(3307),
    [anon_sym_SEMI] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3307),
    [anon_sym_extern] = ACTIONS(3307),
    [anon_sym_LBRACE] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3307),
    [anon_sym_auto] = ACTIONS(3307),
    [anon_sym_register] = ACTIONS(3307),
    [anon_sym_inline] = ACTIONS(3307),
    [anon_sym_const] = ACTIONS(3307),
    [anon_sym_restrict] = ACTIONS(3307),
    [anon_sym_volatile] = ACTIONS(3307),
    [anon_sym__Atomic] = ACTIONS(3307),
    [anon_sym_unsigned] = ACTIONS(3307),
    [anon_sym_long] = ACTIONS(3307),
    [anon_sym_short] = ACTIONS(3307),
    [sym_primitive_type] = ACTIONS(3307),
    [anon_sym_enum] = ACTIONS(3307),
    [anon_sym_struct] = ACTIONS(3307),
    [anon_sym_union] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(3307),
    [anon_sym_else] = ACTIONS(3898),
    [anon_sym_switch] = ACTIONS(3307),
    [anon_sym_case] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(3307),
    [anon_sym_while] = ACTIONS(3307),
    [anon_sym_do] = ACTIONS(3307),
    [anon_sym_for] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3307),
    [anon_sym_break] = ACTIONS(3307),
    [anon_sym_continue] = ACTIONS(3307),
    [anon_sym_goto] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3309),
    [anon_sym_TILDE] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3309),
    [anon_sym_PLUS_PLUS] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3307),
    [sym_number_literal] = ACTIONS(3309),
    [sym_char_literal] = ACTIONS(3309),
    [sym_string_literal] = ACTIONS(3309),
    [sym_true] = ACTIONS(3307),
    [sym_false] = ACTIONS(3307),
    [sym_null] = ACTIONS(3307),
    [sym_identifier] = ACTIONS(3307),
    [sym_comment] = ACTIONS(39),
  },
  [1389] = {
    [sym_compound_statement] = STATE(1299),
    [sym_labeled_statement] = STATE(1299),
    [sym_expression_statement] = STATE(1299),
    [sym_if_statement] = STATE(1299),
    [sym_switch_statement] = STATE(1299),
    [sym_case_statement] = STATE(1299),
    [sym_while_statement] = STATE(1299),
    [sym_do_statement] = STATE(1299),
    [sym_for_statement] = STATE(1299),
    [sym_return_statement] = STATE(1299),
    [sym_break_statement] = STATE(1299),
    [sym_continue_statement] = STATE(1299),
    [sym_goto_statement] = STATE(1299),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1390] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1408),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3900),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1391] = {
    [sym__expression] = STATE(1409),
    [sym_conditional_expression] = STATE(1409),
    [sym_assignment_expression] = STATE(1409),
    [sym_pointer_expression] = STATE(1409),
    [sym_logical_expression] = STATE(1409),
    [sym_bitwise_expression] = STATE(1409),
    [sym_equality_expression] = STATE(1409),
    [sym_relational_expression] = STATE(1409),
    [sym_shift_expression] = STATE(1409),
    [sym_math_expression] = STATE(1409),
    [sym_cast_expression] = STATE(1409),
    [sym_sizeof_expression] = STATE(1409),
    [sym_subscript_expression] = STATE(1409),
    [sym_call_expression] = STATE(1409),
    [sym_field_expression] = STATE(1409),
    [sym_compound_literal_expression] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_concatenated_string] = STATE(1409),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3900),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3902),
    [sym_char_literal] = ACTIONS(3902),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3904),
    [sym_false] = ACTIONS(3904),
    [sym_null] = ACTIONS(3904),
    [sym_identifier] = ACTIONS(3904),
    [sym_comment] = ACTIONS(39),
  },
  [1392] = {
    [sym_argument_list] = STATE(463),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(3906),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_AMP_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1438),
    [anon_sym_GT_GT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1414),
    [anon_sym_PERCENT] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1393] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3812),
    [anon_sym_LPAREN] = ACTIONS(3814),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3812),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3812),
    [sym_preproc_directive] = ACTIONS(3812),
    [anon_sym_SEMI] = ACTIONS(3814),
    [anon_sym_typedef] = ACTIONS(3812),
    [anon_sym_extern] = ACTIONS(3812),
    [anon_sym_LBRACE] = ACTIONS(3814),
    [anon_sym_STAR] = ACTIONS(3814),
    [anon_sym_static] = ACTIONS(3812),
    [anon_sym_auto] = ACTIONS(3812),
    [anon_sym_register] = ACTIONS(3812),
    [anon_sym_inline] = ACTIONS(3812),
    [anon_sym_const] = ACTIONS(3812),
    [anon_sym_restrict] = ACTIONS(3812),
    [anon_sym_volatile] = ACTIONS(3812),
    [anon_sym__Atomic] = ACTIONS(3812),
    [anon_sym_unsigned] = ACTIONS(3812),
    [anon_sym_long] = ACTIONS(3812),
    [anon_sym_short] = ACTIONS(3812),
    [sym_primitive_type] = ACTIONS(3812),
    [anon_sym_enum] = ACTIONS(3812),
    [anon_sym_struct] = ACTIONS(3812),
    [anon_sym_union] = ACTIONS(3812),
    [anon_sym_if] = ACTIONS(3812),
    [anon_sym_else] = ACTIONS(3812),
    [anon_sym_switch] = ACTIONS(3812),
    [anon_sym_case] = ACTIONS(3812),
    [anon_sym_default] = ACTIONS(3812),
    [anon_sym_while] = ACTIONS(3812),
    [anon_sym_do] = ACTIONS(3812),
    [anon_sym_for] = ACTIONS(3812),
    [anon_sym_return] = ACTIONS(3812),
    [anon_sym_break] = ACTIONS(3812),
    [anon_sym_continue] = ACTIONS(3812),
    [anon_sym_goto] = ACTIONS(3812),
    [anon_sym_AMP] = ACTIONS(3814),
    [anon_sym_BANG] = ACTIONS(3814),
    [anon_sym_TILDE] = ACTIONS(3814),
    [anon_sym_PLUS] = ACTIONS(3812),
    [anon_sym_DASH] = ACTIONS(3812),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_sizeof] = ACTIONS(3812),
    [sym_number_literal] = ACTIONS(3814),
    [sym_char_literal] = ACTIONS(3814),
    [sym_string_literal] = ACTIONS(3814),
    [sym_true] = ACTIONS(3812),
    [sym_false] = ACTIONS(3812),
    [sym_null] = ACTIONS(3812),
    [sym_identifier] = ACTIONS(3812),
    [sym_comment] = ACTIONS(39),
  },
  [1394] = {
    [sym_compound_statement] = STATE(1411),
    [sym_labeled_statement] = STATE(1411),
    [sym_expression_statement] = STATE(1411),
    [sym_if_statement] = STATE(1411),
    [sym_switch_statement] = STATE(1411),
    [sym_case_statement] = STATE(1411),
    [sym_while_statement] = STATE(1411),
    [sym_do_statement] = STATE(1411),
    [sym_for_statement] = STATE(1411),
    [sym_return_statement] = STATE(1411),
    [sym_break_statement] = STATE(1411),
    [sym_continue_statement] = STATE(1411),
    [sym_goto_statement] = STATE(1411),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2329),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3169),
    [sym_comment] = ACTIONS(39),
  },
  [1395] = {
    [sym_compound_statement] = STATE(1311),
    [sym_labeled_statement] = STATE(1311),
    [sym_expression_statement] = STATE(1311),
    [sym_if_statement] = STATE(1311),
    [sym_switch_statement] = STATE(1311),
    [sym_case_statement] = STATE(1311),
    [sym_while_statement] = STATE(1311),
    [sym_do_statement] = STATE(1311),
    [sym_for_statement] = STATE(1311),
    [sym_return_statement] = STATE(1311),
    [sym_break_statement] = STATE(1311),
    [sym_continue_statement] = STATE(1311),
    [sym_goto_statement] = STATE(1311),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1396] = {
    [sym_compound_statement] = STATE(1312),
    [sym_labeled_statement] = STATE(1312),
    [sym_expression_statement] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_switch_statement] = STATE(1312),
    [sym_case_statement] = STATE(1312),
    [sym_while_statement] = STATE(1312),
    [sym_do_statement] = STATE(1312),
    [sym_for_statement] = STATE(1312),
    [sym_return_statement] = STATE(1312),
    [sym_break_statement] = STATE(1312),
    [sym_continue_statement] = STATE(1312),
    [sym_goto_statement] = STATE(1312),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1397] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3908),
    [sym_comment] = ACTIONS(39),
  },
  [1398] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1413),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1399] = {
    [sym__expression] = STATE(1414),
    [sym_conditional_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1414),
    [sym_pointer_expression] = STATE(1414),
    [sym_logical_expression] = STATE(1414),
    [sym_bitwise_expression] = STATE(1414),
    [sym_equality_expression] = STATE(1414),
    [sym_relational_expression] = STATE(1414),
    [sym_shift_expression] = STATE(1414),
    [sym_math_expression] = STATE(1414),
    [sym_cast_expression] = STATE(1414),
    [sym_sizeof_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_call_expression] = STATE(1414),
    [sym_field_expression] = STATE(1414),
    [sym_compound_literal_expression] = STATE(1414),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_concatenated_string] = STATE(1414),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3910),
    [sym_char_literal] = ACTIONS(3910),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3912),
    [sym_false] = ACTIONS(3912),
    [sym_null] = ACTIONS(3912),
    [sym_identifier] = ACTIONS(3912),
    [sym_comment] = ACTIONS(39),
  },
  [1400] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3862),
    [anon_sym_LPAREN] = ACTIONS(3864),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelse_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARelif_SLASH] = ACTIONS(3862),
    [sym_preproc_directive] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_typedef] = ACTIONS(3862),
    [anon_sym_extern] = ACTIONS(3862),
    [anon_sym_LBRACE] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(3864),
    [anon_sym_static] = ACTIONS(3862),
    [anon_sym_auto] = ACTIONS(3862),
    [anon_sym_register] = ACTIONS(3862),
    [anon_sym_inline] = ACTIONS(3862),
    [anon_sym_const] = ACTIONS(3862),
    [anon_sym_restrict] = ACTIONS(3862),
    [anon_sym_volatile] = ACTIONS(3862),
    [anon_sym__Atomic] = ACTIONS(3862),
    [anon_sym_unsigned] = ACTIONS(3862),
    [anon_sym_long] = ACTIONS(3862),
    [anon_sym_short] = ACTIONS(3862),
    [sym_primitive_type] = ACTIONS(3862),
    [anon_sym_enum] = ACTIONS(3862),
    [anon_sym_struct] = ACTIONS(3862),
    [anon_sym_union] = ACTIONS(3862),
    [anon_sym_if] = ACTIONS(3862),
    [anon_sym_else] = ACTIONS(3862),
    [anon_sym_switch] = ACTIONS(3862),
    [anon_sym_case] = ACTIONS(3862),
    [anon_sym_default] = ACTIONS(3862),
    [anon_sym_while] = ACTIONS(3862),
    [anon_sym_do] = ACTIONS(3862),
    [anon_sym_for] = ACTIONS(3862),
    [anon_sym_return] = ACTIONS(3862),
    [anon_sym_break] = ACTIONS(3862),
    [anon_sym_continue] = ACTIONS(3862),
    [anon_sym_goto] = ACTIONS(3862),
    [anon_sym_AMP] = ACTIONS(3864),
    [anon_sym_BANG] = ACTIONS(3864),
    [anon_sym_TILDE] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3862),
    [anon_sym_DASH] = ACTIONS(3862),
    [anon_sym_DASH_DASH] = ACTIONS(3864),
    [anon_sym_PLUS_PLUS] = ACTIONS(3864),
    [anon_sym_sizeof] = ACTIONS(3862),
    [sym_number_literal] = ACTIONS(3864),
    [sym_char_literal] = ACTIONS(3864),
    [sym_string_literal] = ACTIONS(3864),
    [sym_true] = ACTIONS(3862),
    [sym_false] = ACTIONS(3862),
    [sym_null] = ACTIONS(3862),
    [sym_identifier] = ACTIONS(3862),
    [sym_comment] = ACTIONS(39),
  },
  [1401] = {
    [sym_compound_statement] = STATE(1329),
    [sym_labeled_statement] = STATE(1329),
    [sym_expression_statement] = STATE(1329),
    [sym_if_statement] = STATE(1329),
    [sym_switch_statement] = STATE(1329),
    [sym_case_statement] = STATE(1329),
    [sym_while_statement] = STATE(1329),
    [sym_do_statement] = STATE(1329),
    [sym_for_statement] = STATE(1329),
    [sym_return_statement] = STATE(1329),
    [sym_break_statement] = STATE(1329),
    [sym_continue_statement] = STATE(1329),
    [sym_goto_statement] = STATE(1329),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1402] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3914),
    [sym_comment] = ACTIONS(39),
  },
  [1403] = {
    [sym_compound_statement] = STATE(1287),
    [sym_labeled_statement] = STATE(1287),
    [sym_expression_statement] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_case_statement] = STATE(1287),
    [sym_while_statement] = STATE(1287),
    [sym_do_statement] = STATE(1287),
    [sym_for_statement] = STATE(1287),
    [sym_return_statement] = STATE(1287),
    [sym_break_statement] = STATE(1287),
    [sym_continue_statement] = STATE(1287),
    [sym_goto_statement] = STATE(1287),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1404] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3916),
    [sym_comment] = ACTIONS(39),
  },
  [1405] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1417),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1406] = {
    [sym_compound_statement] = STATE(1338),
    [sym_labeled_statement] = STATE(1338),
    [sym_expression_statement] = STATE(1338),
    [sym_if_statement] = STATE(1338),
    [sym_switch_statement] = STATE(1338),
    [sym_case_statement] = STATE(1338),
    [sym_while_statement] = STATE(1338),
    [sym_do_statement] = STATE(1338),
    [sym_for_statement] = STATE(1338),
    [sym_return_statement] = STATE(1338),
    [sym_break_statement] = STATE(1338),
    [sym_continue_statement] = STATE(1338),
    [sym_goto_statement] = STATE(1338),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1407] = {
    [sym_compound_statement] = STATE(1339),
    [sym_labeled_statement] = STATE(1339),
    [sym_expression_statement] = STATE(1339),
    [sym_if_statement] = STATE(1339),
    [sym_switch_statement] = STATE(1339),
    [sym_case_statement] = STATE(1339),
    [sym_while_statement] = STATE(1339),
    [sym_do_statement] = STATE(1339),
    [sym_for_statement] = STATE(1339),
    [sym_return_statement] = STATE(1339),
    [sym_break_statement] = STATE(1339),
    [sym_continue_statement] = STATE(1339),
    [sym_goto_statement] = STATE(1339),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1408] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3918),
    [sym_comment] = ACTIONS(39),
  },
  [1409] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1419),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3918),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1410] = {
    [sym__expression] = STATE(1420),
    [sym_conditional_expression] = STATE(1420),
    [sym_assignment_expression] = STATE(1420),
    [sym_pointer_expression] = STATE(1420),
    [sym_logical_expression] = STATE(1420),
    [sym_bitwise_expression] = STATE(1420),
    [sym_equality_expression] = STATE(1420),
    [sym_relational_expression] = STATE(1420),
    [sym_shift_expression] = STATE(1420),
    [sym_math_expression] = STATE(1420),
    [sym_cast_expression] = STATE(1420),
    [sym_sizeof_expression] = STATE(1420),
    [sym_subscript_expression] = STATE(1420),
    [sym_call_expression] = STATE(1420),
    [sym_field_expression] = STATE(1420),
    [sym_compound_literal_expression] = STATE(1420),
    [sym_parenthesized_expression] = STATE(1420),
    [sym_concatenated_string] = STATE(1420),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(3918),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(948),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_sizeof] = ACTIONS(954),
    [sym_number_literal] = ACTIONS(3920),
    [sym_char_literal] = ACTIONS(3920),
    [sym_string_literal] = ACTIONS(958),
    [sym_true] = ACTIONS(3922),
    [sym_false] = ACTIONS(3922),
    [sym_null] = ACTIONS(3922),
    [sym_identifier] = ACTIONS(3922),
    [sym_comment] = ACTIONS(39),
  },
  [1411] = {
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARinclude_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARdefine_SLASH] = ACTIONS(3862),
    [anon_sym_LPAREN] = ACTIONS(3864),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARif_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARendif_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifdef_SLASH] = ACTIONS(3862),
    [aux_sym_SLASH_POUND_LBRACK_TAB_RBRACK_STARifndef_SLASH] = ACTIONS(3862),
    [sym_preproc_directive] = ACTIONS(3862),
    [anon_sym_SEMI] = ACTIONS(3864),
    [anon_sym_typedef] = ACTIONS(3862),
    [anon_sym_extern] = ACTIONS(3862),
    [anon_sym_LBRACE] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(3864),
    [anon_sym_static] = ACTIONS(3862),
    [anon_sym_auto] = ACTIONS(3862),
    [anon_sym_register] = ACTIONS(3862),
    [anon_sym_inline] = ACTIONS(3862),
    [anon_sym_const] = ACTIONS(3862),
    [anon_sym_restrict] = ACTIONS(3862),
    [anon_sym_volatile] = ACTIONS(3862),
    [anon_sym__Atomic] = ACTIONS(3862),
    [anon_sym_unsigned] = ACTIONS(3862),
    [anon_sym_long] = ACTIONS(3862),
    [anon_sym_short] = ACTIONS(3862),
    [sym_primitive_type] = ACTIONS(3862),
    [anon_sym_enum] = ACTIONS(3862),
    [anon_sym_struct] = ACTIONS(3862),
    [anon_sym_union] = ACTIONS(3862),
    [anon_sym_if] = ACTIONS(3862),
    [anon_sym_else] = ACTIONS(3862),
    [anon_sym_switch] = ACTIONS(3862),
    [anon_sym_case] = ACTIONS(3862),
    [anon_sym_default] = ACTIONS(3862),
    [anon_sym_while] = ACTIONS(3862),
    [anon_sym_do] = ACTIONS(3862),
    [anon_sym_for] = ACTIONS(3862),
    [anon_sym_return] = ACTIONS(3862),
    [anon_sym_break] = ACTIONS(3862),
    [anon_sym_continue] = ACTIONS(3862),
    [anon_sym_goto] = ACTIONS(3862),
    [anon_sym_AMP] = ACTIONS(3864),
    [anon_sym_BANG] = ACTIONS(3864),
    [anon_sym_TILDE] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3862),
    [anon_sym_DASH] = ACTIONS(3862),
    [anon_sym_DASH_DASH] = ACTIONS(3864),
    [anon_sym_PLUS_PLUS] = ACTIONS(3864),
    [anon_sym_sizeof] = ACTIONS(3862),
    [sym_number_literal] = ACTIONS(3864),
    [sym_char_literal] = ACTIONS(3864),
    [sym_string_literal] = ACTIONS(3864),
    [sym_true] = ACTIONS(3862),
    [sym_false] = ACTIONS(3862),
    [sym_null] = ACTIONS(3862),
    [sym_identifier] = ACTIONS(3862),
    [sym_comment] = ACTIONS(39),
  },
  [1412] = {
    [sym_compound_statement] = STATE(1349),
    [sym_labeled_statement] = STATE(1349),
    [sym_expression_statement] = STATE(1349),
    [sym_if_statement] = STATE(1349),
    [sym_switch_statement] = STATE(1349),
    [sym_case_statement] = STATE(1349),
    [sym_while_statement] = STATE(1349),
    [sym_do_statement] = STATE(1349),
    [sym_for_statement] = STATE(1349),
    [sym_return_statement] = STATE(1349),
    [sym_break_statement] = STATE(1349),
    [sym_continue_statement] = STATE(1349),
    [sym_goto_statement] = STATE(1349),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1413] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3924),
    [sym_comment] = ACTIONS(39),
  },
  [1414] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1422),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3924),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1415] = {
    [sym_compound_statement] = STATE(1363),
    [sym_labeled_statement] = STATE(1363),
    [sym_expression_statement] = STATE(1363),
    [sym_if_statement] = STATE(1363),
    [sym_switch_statement] = STATE(1363),
    [sym_case_statement] = STATE(1363),
    [sym_while_statement] = STATE(1363),
    [sym_do_statement] = STATE(1363),
    [sym_for_statement] = STATE(1363),
    [sym_return_statement] = STATE(1363),
    [sym_break_statement] = STATE(1363),
    [sym_continue_statement] = STATE(1363),
    [sym_goto_statement] = STATE(1363),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(2945),
    [sym_comment] = ACTIONS(39),
  },
  [1416] = {
    [sym_compound_statement] = STATE(1329),
    [sym_labeled_statement] = STATE(1329),
    [sym_expression_statement] = STATE(1329),
    [sym_if_statement] = STATE(1329),
    [sym_switch_statement] = STATE(1329),
    [sym_case_statement] = STATE(1329),
    [sym_while_statement] = STATE(1329),
    [sym_do_statement] = STATE(1329),
    [sym_for_statement] = STATE(1329),
    [sym_return_statement] = STATE(1329),
    [sym_break_statement] = STATE(1329),
    [sym_continue_statement] = STATE(1329),
    [sym_goto_statement] = STATE(1329),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1417] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3926),
    [sym_comment] = ACTIONS(39),
  },
  [1418] = {
    [sym_compound_statement] = STATE(1370),
    [sym_labeled_statement] = STATE(1370),
    [sym_expression_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_switch_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_do_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_return_statement] = STATE(1370),
    [sym_break_statement] = STATE(1370),
    [sym_continue_statement] = STATE(1370),
    [sym_goto_statement] = STATE(1370),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1419] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3928),
    [sym_comment] = ACTIONS(39),
  },
  [1420] = {
    [sym_argument_list] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(1425),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3928),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1509),
    [anon_sym_SLASH_EQ] = ACTIONS(1509),
    [anon_sym_PERCENT_EQ] = ACTIONS(1509),
    [anon_sym_PLUS_EQ] = ACTIONS(1509),
    [anon_sym_DASH_EQ] = ACTIONS(1509),
    [anon_sym_LT_LT_EQ] = ACTIONS(1509),
    [anon_sym_GT_GT_EQ] = ACTIONS(1509),
    [anon_sym_AMP_EQ] = ACTIONS(1509),
    [anon_sym_CARET_EQ] = ACTIONS(1509),
    [anon_sym_PIPE_EQ] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(39),
  },
  [1421] = {
    [sym_compound_statement] = STATE(1378),
    [sym_labeled_statement] = STATE(1378),
    [sym_expression_statement] = STATE(1378),
    [sym_if_statement] = STATE(1378),
    [sym_switch_statement] = STATE(1378),
    [sym_case_statement] = STATE(1378),
    [sym_while_statement] = STATE(1378),
    [sym_do_statement] = STATE(1378),
    [sym_for_statement] = STATE(1378),
    [sym_return_statement] = STATE(1378),
    [sym_break_statement] = STATE(1378),
    [sym_continue_statement] = STATE(1378),
    [sym_goto_statement] = STATE(1378),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1422] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3930),
    [sym_comment] = ACTIONS(39),
  },
  [1423] = {
    [sym_compound_statement] = STATE(1363),
    [sym_labeled_statement] = STATE(1363),
    [sym_expression_statement] = STATE(1363),
    [sym_if_statement] = STATE(1363),
    [sym_switch_statement] = STATE(1363),
    [sym_case_statement] = STATE(1363),
    [sym_while_statement] = STATE(1363),
    [sym_do_statement] = STATE(1363),
    [sym_for_statement] = STATE(1363),
    [sym_return_statement] = STATE(1363),
    [sym_break_statement] = STATE(1363),
    [sym_continue_statement] = STATE(1363),
    [sym_goto_statement] = STATE(1363),
    [sym__expression] = STATE(251),
    [sym_comma_expression] = STATE(252),
    [sym_conditional_expression] = STATE(251),
    [sym_assignment_expression] = STATE(251),
    [sym_pointer_expression] = STATE(251),
    [sym_logical_expression] = STATE(251),
    [sym_bitwise_expression] = STATE(251),
    [sym_equality_expression] = STATE(251),
    [sym_relational_expression] = STATE(251),
    [sym_shift_expression] = STATE(251),
    [sym_math_expression] = STATE(251),
    [sym_cast_expression] = STATE(251),
    [sym_sizeof_expression] = STATE(251),
    [sym_subscript_expression] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_field_expression] = STATE(251),
    [sym_compound_literal_expression] = STATE(251),
    [sym_parenthesized_expression] = STATE(251),
    [sym_concatenated_string] = STATE(251),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(578),
    [sym_char_literal] = ACTIONS(578),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_identifier] = ACTIONS(3343),
    [sym_comment] = ACTIONS(39),
  },
  [1424] = {
    [sym_compound_statement] = STATE(1393),
    [sym_labeled_statement] = STATE(1393),
    [sym_expression_statement] = STATE(1393),
    [sym_if_statement] = STATE(1393),
    [sym_switch_statement] = STATE(1393),
    [sym_case_statement] = STATE(1393),
    [sym_while_statement] = STATE(1393),
    [sym_do_statement] = STATE(1393),
    [sym_for_statement] = STATE(1393),
    [sym_return_statement] = STATE(1393),
    [sym_break_statement] = STATE(1393),
    [sym_continue_statement] = STATE(1393),
    [sym_goto_statement] = STATE(1393),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
  [1425] = {
    [aux_sym_for_statement_repeat1] = STATE(1079),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_RPAREN] = ACTIONS(3932),
    [sym_comment] = ACTIONS(39),
  },
  [1426] = {
    [sym_compound_statement] = STATE(1400),
    [sym_labeled_statement] = STATE(1400),
    [sym_expression_statement] = STATE(1400),
    [sym_if_statement] = STATE(1400),
    [sym_switch_statement] = STATE(1400),
    [sym_case_statement] = STATE(1400),
    [sym_while_statement] = STATE(1400),
    [sym_do_statement] = STATE(1400),
    [sym_for_statement] = STATE(1400),
    [sym_return_statement] = STATE(1400),
    [sym_break_statement] = STATE(1400),
    [sym_continue_statement] = STATE(1400),
    [sym_goto_statement] = STATE(1400),
    [sym__expression] = STATE(659),
    [sym_comma_expression] = STATE(660),
    [sym_conditional_expression] = STATE(659),
    [sym_assignment_expression] = STATE(659),
    [sym_pointer_expression] = STATE(659),
    [sym_logical_expression] = STATE(659),
    [sym_bitwise_expression] = STATE(659),
    [sym_equality_expression] = STATE(659),
    [sym_relational_expression] = STATE(659),
    [sym_shift_expression] = STATE(659),
    [sym_math_expression] = STATE(659),
    [sym_cast_expression] = STATE(659),
    [sym_sizeof_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_field_expression] = STATE(659),
    [sym_compound_literal_expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(696),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3432),
    [anon_sym_switch] = ACTIONS(3434),
    [anon_sym_case] = ACTIONS(3436),
    [anon_sym_default] = ACTIONS(3438),
    [anon_sym_while] = ACTIONS(3440),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(3442),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1563),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(1569),
    [sym_char_literal] = ACTIONS(1569),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_null] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(3444),
    [sym_comment] = ACTIONS(39),
  },
  [1427] = {
    [sym_compound_statement] = STATE(1411),
    [sym_labeled_statement] = STATE(1411),
    [sym_expression_statement] = STATE(1411),
    [sym_if_statement] = STATE(1411),
    [sym_switch_statement] = STATE(1411),
    [sym_case_statement] = STATE(1411),
    [sym_while_statement] = STATE(1411),
    [sym_do_statement] = STATE(1411),
    [sym_for_statement] = STATE(1411),
    [sym_return_statement] = STATE(1411),
    [sym_break_statement] = STATE(1411),
    [sym_continue_statement] = STATE(1411),
    [sym_goto_statement] = STATE(1411),
    [sym__expression] = STATE(870),
    [sym_comma_expression] = STATE(871),
    [sym_conditional_expression] = STATE(870),
    [sym_assignment_expression] = STATE(870),
    [sym_pointer_expression] = STATE(870),
    [sym_logical_expression] = STATE(870),
    [sym_bitwise_expression] = STATE(870),
    [sym_equality_expression] = STATE(870),
    [sym_relational_expression] = STATE(870),
    [sym_shift_expression] = STATE(870),
    [sym_math_expression] = STATE(870),
    [sym_cast_expression] = STATE(870),
    [sym_sizeof_expression] = STATE(870),
    [sym_subscript_expression] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_field_expression] = STATE(870),
    [sym_compound_literal_expression] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym_concatenated_string] = STATE(870),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2341),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_goto] = ACTIONS(2345),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(574),
    [anon_sym_sizeof] = ACTIONS(576),
    [sym_number_literal] = ACTIONS(2347),
    [sym_char_literal] = ACTIONS(2347),
    [sym_string_literal] = ACTIONS(580),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(3556),
    [sym_comment] = ACTIONS(39),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = true}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, RECOVER(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_translation_unit, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(2),
  [9] = {.count = 1, .reusable = false}, SHIFT(3),
  [11] = {.count = 1, .reusable = false}, SHIFT(4),
  [13] = {.count = 1, .reusable = false}, SHIFT(5),
  [15] = {.count = 1, .reusable = false}, SHIFT(6),
  [17] = {.count = 1, .reusable = false}, SHIFT(7),
  [19] = {.count = 1, .reusable = false}, SHIFT(8),
  [21] = {.count = 1, .reusable = false}, SHIFT(9),
  [23] = {.count = 1, .reusable = false}, SHIFT(10),
  [25] = {.count = 1, .reusable = false}, SHIFT(11),
  [27] = {.count = 1, .reusable = false}, SHIFT(21),
  [29] = {.count = 1, .reusable = false}, SHIFT(18),
  [31] = {.count = 1, .reusable = false}, SHIFT(12),
  [33] = {.count = 1, .reusable = false}, SHIFT(13),
  [35] = {.count = 1, .reusable = false}, SHIFT(14),
  [37] = {.count = 1, .reusable = false}, SHIFT(15),
  [39] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [41] = {.count = 1, .reusable = true}, SHIFT(22),
  [43] = {.count = 1, .reusable = true}, SHIFT(23),
  [45] = {.count = 1, .reusable = false}, SHIFT(24),
  [47] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [49] = {.count = 1, .reusable = true}, SHIFT(25),
  [51] = {.count = 1, .reusable = true}, SHIFT(26),
  [53] = {.count = 1, .reusable = false}, SHIFT(27),
  [55] = {.count = 1, .reusable = false}, SHIFT(28),
  [57] = {.count = 1, .reusable = false}, SHIFT(31),
  [59] = {.count = 1, .reusable = false}, SHIFT(29),
  [61] = {.count = 1, .reusable = false}, REDUCE(sym_storage_class_specifier, 1),
  [63] = {.count = 1, .reusable = true}, SHIFT(32),
  [65] = {.count = 1, .reusable = true}, REDUCE(sym_storage_class_specifier, 1),
  [67] = {.count = 1, .reusable = true}, REDUCE(sym_type_qualifier, 1),
  [69] = {.count = 1, .reusable = false}, REDUCE(sym_type_qualifier, 1),
  [71] = {.count = 1, .reusable = true}, SHIFT(33),
  [73] = {.count = 1, .reusable = true}, SHIFT(34),
  [75] = {.count = 1, .reusable = true}, SHIFT(36),
  [77] = {.count = 1, .reusable = true}, SHIFT(37),
  [79] = {.count = 1, .reusable = true}, SHIFT(39),
  [81] = {.count = 2, .reusable = true}, REDUCE(sym__type_specifier, 1, .alias_sequence_id = 1), SHIFT(41),
  [84] = {.count = 1, .reusable = true}, REDUCE(sym__type_specifier, 1, .alias_sequence_id = 1),
  [86] = {.count = 1, .reusable = false}, REDUCE(sym__type_specifier, 1, .alias_sequence_id = 1),
  [88] = {.count = 1, .reusable = true}, ACCEPT_INPUT(),
  [90] = {.count = 1, .reusable = true}, SHIFT(42),
  [92] = {.count = 1, .reusable = true}, SHIFT(43),
  [94] = {.count = 1, .reusable = true}, SHIFT(44),
  [96] = {.count = 1, .reusable = true}, SHIFT(45),
  [98] = {.count = 1, .reusable = true}, REDUCE(sym__declaration_specifiers, 1),
  [100] = {.count = 1, .reusable = false}, REDUCE(sym__declaration_specifiers, 1),
  [102] = {.count = 1, .reusable = true}, REDUCE(sym_translation_unit, 1),
  [104] = {.count = 1, .reusable = false}, SHIFT(49),
  [106] = {.count = 1, .reusable = true}, REDUCE(sym_sized_type_specifier, 1),
  [108] = {.count = 1, .reusable = false}, REDUCE(sym_sized_type_specifier, 1),
  [110] = {.count = 1, .reusable = false}, SHIFT(53),
  [112] = {.count = 1, .reusable = false}, SHIFT(51),
  [114] = {.count = 2, .reusable = false}, REDUCE(sym_sized_type_specifier, 1), SHIFT(52),
  [117] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_include, 2, .alias_sequence_id = 2),
  [119] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_include, 2, .alias_sequence_id = 2),
  [121] = {.count = 1, .reusable = false}, SHIFT(54),
  [123] = {.count = 1, .reusable = false}, SHIFT(55),
  [125] = {.count = 1, .reusable = false}, SHIFT(56),
  [127] = {.count = 1, .reusable = false}, SHIFT(58),
  [129] = {.count = 1, .reusable = false}, SHIFT(59),
  [131] = {.count = 1, .reusable = false}, SHIFT(60),
  [133] = {.count = 1, .reusable = false}, SHIFT(61),
  [135] = {.count = 1, .reusable = false}, SHIFT(62),
  [137] = {.count = 1, .reusable = false}, SHIFT(63),
  [139] = {.count = 1, .reusable = false}, SHIFT(64),
  [141] = {.count = 1, .reusable = false}, SHIFT(65),
  [143] = {.count = 1, .reusable = false}, SHIFT(66),
  [145] = {.count = 1, .reusable = false}, SHIFT(67),
  [147] = {.count = 1, .reusable = false}, SHIFT(68),
  [149] = {.count = 1, .reusable = false}, SHIFT(72),
  [151] = {.count = 1, .reusable = false}, SHIFT(75),
  [153] = {.count = 1, .reusable = false}, SHIFT(78),
  [155] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_call, 2),
  [157] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_call, 2),
  [159] = {.count = 1, .reusable = true}, SHIFT(79),
  [161] = {.count = 1, .reusable = true}, SHIFT(80),
  [163] = {.count = 1, .reusable = true}, SHIFT(81),
  [165] = {.count = 1, .reusable = false}, SHIFT(86),
  [167] = {.count = 1, .reusable = false}, SHIFT(88),
  [169] = {.count = 1, .reusable = true}, SHIFT(89),
  [171] = {.count = 1, .reusable = false}, SHIFT(94),
  [173] = {.count = 1, .reusable = false}, SHIFT(92),
  [175] = {.count = 1, .reusable = true}, SHIFT(95),
  [177] = {.count = 1, .reusable = true}, SHIFT(96),
  [179] = {.count = 1, .reusable = true}, SHIFT(97),
  [181] = {.count = 1, .reusable = true}, REDUCE(sym_enum_specifier, 2, .alias_sequence_id = 3),
  [183] = {.count = 1, .reusable = false}, REDUCE(sym_enum_specifier, 2, .alias_sequence_id = 3),
  [185] = {.count = 1, .reusable = true}, REDUCE(sym_enum_specifier, 2),
  [187] = {.count = 1, .reusable = false}, REDUCE(sym_enum_specifier, 2),
  [189] = {.count = 1, .reusable = false}, SHIFT(100),
  [191] = {.count = 1, .reusable = true}, SHIFT(101),
  [193] = {.count = 1, .reusable = true}, SHIFT(102),
  [195] = {.count = 1, .reusable = true}, SHIFT(103),
  [197] = {.count = 1, .reusable = false}, SHIFT(110),
  [199] = {.count = 1, .reusable = false}, SHIFT(107),
  [201] = {.count = 1, .reusable = true}, REDUCE(sym_struct_specifier, 2, .alias_sequence_id = 3),
  [203] = {.count = 1, .reusable = false}, REDUCE(sym_struct_specifier, 2, .alias_sequence_id = 3),
  [205] = {.count = 1, .reusable = true}, REDUCE(sym_struct_specifier, 2),
  [207] = {.count = 1, .reusable = false}, REDUCE(sym_struct_specifier, 2),
  [209] = {.count = 1, .reusable = true}, REDUCE(sym_union_specifier, 2, .alias_sequence_id = 3),
  [211] = {.count = 1, .reusable = false}, REDUCE(sym_union_specifier, 2, .alias_sequence_id = 3),
  [213] = {.count = 1, .reusable = true}, REDUCE(sym_union_specifier, 2),
  [215] = {.count = 1, .reusable = false}, REDUCE(sym_union_specifier, 2),
  [217] = {.count = 1, .reusable = false}, SHIFT(116),
  [219] = {.count = 1, .reusable = false}, SHIFT(113),
  [221] = {.count = 1, .reusable = true}, SHIFT(117),
  [223] = {.count = 1, .reusable = true}, SHIFT(118),
  [225] = {.count = 1, .reusable = true}, REDUCE(sym__empty_declaration, 2),
  [227] = {.count = 1, .reusable = false}, REDUCE(sym__empty_declaration, 2),
  [229] = {.count = 1, .reusable = false}, SHIFT(119),
  [231] = {.count = 1, .reusable = true}, SHIFT(121),
  [233] = {.count = 1, .reusable = true}, SHIFT(122),
  [235] = {.count = 1, .reusable = true}, SHIFT(123),
  [237] = {.count = 1, .reusable = true}, SHIFT(124),
  [239] = {.count = 1, .reusable = true}, SHIFT(125),
  [241] = {.count = 1, .reusable = true}, SHIFT(126),
  [243] = {.count = 1, .reusable = true}, REDUCE(sym__declaration_specifiers, 2),
  [245] = {.count = 1, .reusable = false}, REDUCE(sym__declaration_specifiers, 2),
  [247] = {.count = 1, .reusable = true}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [249] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2),
  [252] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3),
  [255] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4),
  [258] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5),
  [261] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6),
  [264] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7),
  [267] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8),
  [270] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9),
  [273] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(10),
  [276] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(11),
  [279] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(21),
  [282] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(18),
  [285] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(12),
  [288] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(13),
  [291] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(14),
  [294] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(15),
  [297] = {.count = 2, .reusable = false}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(10),
  [300] = {.count = 2, .reusable = false}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(11),
  [303] = {.count = 1, .reusable = false}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [305] = {.count = 1, .reusable = true}, REDUCE(sym_sized_type_specifier, 2),
  [307] = {.count = 1, .reusable = false}, REDUCE(sym_sized_type_specifier, 2),
  [309] = {.count = 1, .reusable = true}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .alias_sequence_id = 3),
  [311] = {.count = 1, .reusable = false}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .alias_sequence_id = 3),
  [313] = {.count = 1, .reusable = true}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [315] = {.count = 1, .reusable = false}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [317] = {.count = 2, .reusable = false}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(53),
  [320] = {.count = 1, .reusable = false}, SHIFT(132),
  [322] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_def, 3, .alias_sequence_id = 4),
  [324] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_def, 3, .alias_sequence_id = 4),
  [326] = {.count = 1, .reusable = true}, SHIFT(133),
  [328] = {.count = 1, .reusable = true}, SHIFT(134),
  [330] = {.count = 1, .reusable = false}, SHIFT(135),
  [332] = {.count = 1, .reusable = false}, SHIFT(136),
  [334] = {.count = 1, .reusable = true}, SHIFT(137),
  [336] = {.count = 1, .reusable = true}, SHIFT(138),
  [338] = {.count = 1, .reusable = false}, SHIFT(139),
  [340] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if, 3, .alias_sequence_id = 5),
  [342] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if, 3, .alias_sequence_id = 5),
  [344] = {.count = 1, .reusable = true}, SHIFT(140),
  [346] = {.count = 1, .reusable = true}, SHIFT(141),
  [348] = {.count = 1, .reusable = false}, SHIFT(142),
  [350] = {.count = 1, .reusable = false}, SHIFT(143),
  [352] = {.count = 1, .reusable = false}, SHIFT(144),
  [354] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_else, 1, .alias_sequence_id = 6),
  [356] = {.count = 1, .reusable = false}, SHIFT(145),
  [358] = {.count = 1, .reusable = false}, SHIFT(146),
  [360] = {.count = 1, .reusable = false}, SHIFT(147),
  [362] = {.count = 1, .reusable = false}, SHIFT(148),
  [364] = {.count = 1, .reusable = false}, SHIFT(149),
  [366] = {.count = 1, .reusable = false}, SHIFT(152),
  [368] = {.count = 1, .reusable = false}, SHIFT(153),
  [370] = {.count = 1, .reusable = false}, SHIFT(154),
  [372] = {.count = 1, .reusable = false}, SHIFT(155),
  [374] = {.count = 1, .reusable = true}, SHIFT(157),
  [376] = {.count = 1, .reusable = true}, SHIFT(158),
  [378] = {.count = 1, .reusable = true}, SHIFT(159),
  [380] = {.count = 1, .reusable = true}, SHIFT(160),
  [382] = {.count = 1, .reusable = false}, SHIFT(158),
  [384] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef, 3, .alias_sequence_id = 7),
  [386] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef, 3, .alias_sequence_id = 7),
  [388] = {.count = 1, .reusable = true}, SHIFT(164),
  [390] = {.count = 1, .reusable = false}, SHIFT(164),
  [392] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef, 3, .alias_sequence_id = 8),
  [394] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef, 3, .alias_sequence_id = 8),
  [396] = {.count = 1, .reusable = true}, SHIFT(166),
  [398] = {.count = 1, .reusable = false}, SHIFT(166),
  [400] = {.count = 1, .reusable = true}, SHIFT(168),
  [402] = {.count = 1, .reusable = true}, SHIFT(169),
  [404] = {.count = 1, .reusable = false}, SHIFT(81),
  [406] = {.count = 1, .reusable = true}, REDUCE(sym__type_declarator, 1, .alias_sequence_id = 1),
  [408] = {.count = 1, .reusable = true}, SHIFT(173),
  [410] = {.count = 1, .reusable = true}, SHIFT(174),
  [412] = {.count = 1, .reusable = true}, REDUCE(sym__type_declarator, 1, .alias_sequence_id = 9),
  [414] = {.count = 1, .reusable = true}, REDUCE(sym__type_declarator, 1, .alias_sequence_id = 10),
  [416] = {.count = 1, .reusable = true}, REDUCE(sym__type_declarator, 1, .alias_sequence_id = 11),
  [418] = {.count = 2, .reusable = false}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(11),
  [421] = {.count = 1, .reusable = false}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [423] = {.count = 2, .reusable = false}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(88),
  [426] = {.count = 1, .reusable = true}, SHIFT(177),
  [428] = {.count = 1, .reusable = true}, REDUCE(sym_linkage_specification, 3),
  [430] = {.count = 1, .reusable = false}, REDUCE(sym_linkage_specification, 3),
  [432] = {.count = 1, .reusable = false}, SHIFT(180),
  [434] = {.count = 1, .reusable = false}, SHIFT(181),
  [436] = {.count = 1, .reusable = true}, SHIFT(182),
  [438] = {.count = 1, .reusable = true}, REDUCE(sym_enumerator_list, 2),
  [440] = {.count = 1, .reusable = false}, REDUCE(sym_enumerator_list, 2),
  [442] = {.count = 1, .reusable = true}, REDUCE(sym_enumerator, 1),
  [444] = {.count = 1, .reusable = true}, SHIFT(183),
  [446] = {.count = 1, .reusable = true}, SHIFT(184),
  [448] = {.count = 1, .reusable = true}, REDUCE(sym_enum_specifier, 3, .alias_sequence_id = 3),
  [450] = {.count = 1, .reusable = false}, REDUCE(sym_enum_specifier, 3, .alias_sequence_id = 3),
  [452] = {.count = 1, .reusable = false}, SHIFT(186),
  [454] = {.count = 1, .reusable = true}, SHIFT(187),
  [456] = {.count = 1, .reusable = true}, SHIFT(188),
  [458] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 2),
  [460] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 2),
  [462] = {.count = 1, .reusable = false}, REDUCE(sym__field_declaration_list_item, 1, .alias_sequence_id = 12),
  [464] = {.count = 1, .reusable = true}, REDUCE(sym__field_declaration_list_item, 1, .alias_sequence_id = 12),
  [466] = {.count = 1, .reusable = false}, REDUCE(sym__field_declaration_list_item, 1, .alias_sequence_id = 13),
  [468] = {.count = 1, .reusable = true}, REDUCE(sym__field_declaration_list_item, 1, .alias_sequence_id = 13),
  [470] = {.count = 1, .reusable = true}, SHIFT(189),
  [472] = {.count = 1, .reusable = true}, SHIFT(190),
  [474] = {.count = 1, .reusable = true}, SHIFT(191),
  [476] = {.count = 1, .reusable = true}, SHIFT(192),
  [478] = {.count = 1, .reusable = true}, SHIFT(193),
  [480] = {.count = 1, .reusable = true}, SHIFT(199),
  [482] = {.count = 1, .reusable = false}, SHIFT(201),
  [484] = {.count = 1, .reusable = false}, SHIFT(202),
  [486] = {.count = 1, .reusable = true}, REDUCE(sym_struct_specifier, 3, .alias_sequence_id = 3),
  [488] = {.count = 1, .reusable = false}, REDUCE(sym_struct_specifier, 3, .alias_sequence_id = 3),
  [490] = {.count = 1, .reusable = true}, REDUCE(sym_union_specifier, 3, .alias_sequence_id = 3),
  [492] = {.count = 1, .reusable = false}, REDUCE(sym_union_specifier, 3, .alias_sequence_id = 3),
  [494] = {.count = 1, .reusable = true}, SHIFT(203),
  [496] = {.count = 1, .reusable = true}, REDUCE(sym_type_descriptor, 1),
  [498] = {.count = 1, .reusable = true}, SHIFT(204),
  [500] = {.count = 1, .reusable = true}, SHIFT(205),
  [502] = {.count = 1, .reusable = true}, SHIFT(208),
  [504] = {.count = 1, .reusable = false}, SHIFT(209),
  [506] = {.count = 1, .reusable = false}, SHIFT(210),
  [508] = {.count = 1, .reusable = false}, SHIFT(52),
  [510] = {.count = 1, .reusable = true}, SHIFT(212),
  [512] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_declarator, 2),
  [514] = {.count = 1, .reusable = false}, SHIFT(213),
  [516] = {.count = 1, .reusable = true}, SHIFT(215),
  [518] = {.count = 1, .reusable = true}, SHIFT(216),
  [520] = {.count = 1, .reusable = false}, SHIFT(220),
  [522] = {.count = 1, .reusable = false}, SHIFT(218),
  [524] = {.count = 1, .reusable = true}, SHIFT(221),
  [526] = {.count = 1, .reusable = true}, SHIFT(222),
  [528] = {.count = 1, .reusable = true}, REDUCE(sym_declaration, 3),
  [530] = {.count = 1, .reusable = false}, REDUCE(sym_declaration, 3),
  [532] = {.count = 1, .reusable = true}, SHIFT(224),
  [534] = {.count = 1, .reusable = false}, SHIFT(225),
  [536] = {.count = 1, .reusable = false}, SHIFT(226),
  [538] = {.count = 1, .reusable = false}, SHIFT(227),
  [540] = {.count = 1, .reusable = true}, SHIFT(228),
  [542] = {.count = 1, .reusable = true}, SHIFT(229),
  [544] = {.count = 1, .reusable = true}, SHIFT(230),
  [546] = {.count = 1, .reusable = false}, SHIFT(231),
  [548] = {.count = 1, .reusable = false}, SHIFT(232),
  [550] = {.count = 1, .reusable = false}, SHIFT(233),
  [552] = {.count = 1, .reusable = false}, SHIFT(234),
  [554] = {.count = 1, .reusable = false}, SHIFT(235),
  [556] = {.count = 1, .reusable = false}, SHIFT(236),
  [558] = {.count = 1, .reusable = false}, SHIFT(237),
  [560] = {.count = 1, .reusable = false}, SHIFT(238),
  [562] = {.count = 1, .reusable = false}, SHIFT(239),
  [564] = {.count = 1, .reusable = false}, SHIFT(240),
  [566] = {.count = 1, .reusable = false}, SHIFT(241),
  [568] = {.count = 1, .reusable = true}, SHIFT(242),
  [570] = {.count = 1, .reusable = true}, SHIFT(243),
  [572] = {.count = 1, .reusable = false}, SHIFT(244),
  [574] = {.count = 1, .reusable = true}, SHIFT(244),
  [576] = {.count = 1, .reusable = false}, SHIFT(245),
  [578] = {.count = 1, .reusable = true}, SHIFT(251),
  [580] = {.count = 1, .reusable = true}, SHIFT(246),
  [582] = {.count = 1, .reusable = false}, SHIFT(251),
  [584] = {.count = 1, .reusable = false}, SHIFT(247),
  [586] = {.count = 1, .reusable = true}, SHIFT(254),
  [588] = {.count = 1, .reusable = true}, SHIFT(255),
  [590] = {.count = 1, .reusable = true}, SHIFT(256),
  [592] = {.count = 1, .reusable = false}, SHIFT(267),
  [594] = {.count = 1, .reusable = false}, SHIFT(264),
  [596] = {.count = 1, .reusable = true}, SHIFT(257),
  [598] = {.count = 1, .reusable = true}, SHIFT(258),
  [600] = {.count = 1, .reusable = false}, SHIFT(259),
  [602] = {.count = 1, .reusable = true}, SHIFT(259),
  [604] = {.count = 1, .reusable = false}, SHIFT(260),
  [606] = {.count = 1, .reusable = true}, SHIFT(265),
  [608] = {.count = 1, .reusable = true}, SHIFT(261),
  [610] = {.count = 1, .reusable = false}, SHIFT(265),
  [612] = {.count = 1, .reusable = false}, SHIFT(262),
  [614] = {.count = 1, .reusable = true}, SHIFT(268),
  [616] = {.count = 1, .reusable = true}, SHIFT(269),
  [618] = {.count = 1, .reusable = false}, SHIFT(269),
  [620] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 3),
  [622] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 3),
  [624] = {.count = 1, .reusable = true}, REDUCE(sym_function_declarator, 2),
  [626] = {.count = 1, .reusable = true}, SHIFT(271),
  [628] = {.count = 1, .reusable = true}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [630] = {.count = 1, .reusable = true}, REDUCE(sym__declaration_specifiers, 3),
  [632] = {.count = 1, .reusable = false}, REDUCE(sym__declaration_specifiers, 3),
  [634] = {.count = 1, .reusable = true}, SHIFT(273),
  [636] = {.count = 1, .reusable = true}, SHIFT(274),
  [638] = {.count = 1, .reusable = true}, SHIFT(275),
  [640] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_params, 2),
  [642] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_function_def, 4, .alias_sequence_id = 4),
  [644] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_function_def, 4, .alias_sequence_id = 4),
  [646] = {.count = 1, .reusable = true}, SHIFT(277),
  [648] = {.count = 1, .reusable = false}, SHIFT(278),
  [650] = {.count = 1, .reusable = false}, SHIFT(279),
  [652] = {.count = 1, .reusable = false}, SHIFT(281),
  [654] = {.count = 1, .reusable = false}, SHIFT(284),
  [656] = {.count = 1, .reusable = false}, SHIFT(287),
  [658] = {.count = 1, .reusable = true}, SHIFT(290),
  [660] = {.count = 1, .reusable = true}, SHIFT(291),
  [662] = {.count = 1, .reusable = false}, SHIFT(292),
  [664] = {.count = 1, .reusable = true}, SHIFT(293),
  [666] = {.count = 1, .reusable = true}, SHIFT(294),
  [668] = {.count = 1, .reusable = false}, SHIFT(295),
  [670] = {.count = 1, .reusable = false}, SHIFT(296),
  [672] = {.count = 1, .reusable = false}, SHIFT(297),
  [674] = {.count = 1, .reusable = true}, SHIFT(299),
  [676] = {.count = 1, .reusable = true}, SHIFT(300),
  [678] = {.count = 1, .reusable = true}, SHIFT(301),
  [680] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_else, 2, .alias_sequence_id = 6),
  [682] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_elif, 2, .alias_sequence_id = 14),
  [684] = {.count = 1, .reusable = false}, SHIFT(306),
  [686] = {.count = 1, .reusable = false}, SHIFT(308),
  [688] = {.count = 1, .reusable = true}, SHIFT(309),
  [690] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if, 4, .alias_sequence_id = 15),
  [692] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if, 4, .alias_sequence_id = 15),
  [694] = {.count = 1, .reusable = true}, SHIFT(312),
  [696] = {.count = 1, .reusable = true}, SHIFT(313),
  [698] = {.count = 1, .reusable = true}, SHIFT(316),
  [700] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(58),
  [703] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(59),
  [706] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(60),
  [709] = {.count = 1, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [711] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(62),
  [714] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(63),
  [717] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(66),
  [720] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(67),
  [723] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(68),
  [726] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef, 4, .alias_sequence_id = 16),
  [728] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef, 4, .alias_sequence_id = 16),
  [730] = {.count = 1, .reusable = true}, SHIFT(317),
  [732] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef, 4, .alias_sequence_id = 17),
  [734] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef, 4, .alias_sequence_id = 17),
  [736] = {.count = 1, .reusable = true}, SHIFT(318),
  [738] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_call, 4),
  [740] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_call, 4),
  [742] = {.count = 1, .reusable = true}, SHIFT(320),
  [744] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_type_declarator, 2),
  [746] = {.count = 1, .reusable = true}, REDUCE(sym_type_definition, 4),
  [748] = {.count = 1, .reusable = false}, REDUCE(sym_type_definition, 4),
  [750] = {.count = 1, .reusable = true}, SHIFT(322),
  [752] = {.count = 1, .reusable = true}, SHIFT(324),
  [754] = {.count = 1, .reusable = false}, SHIFT(324),
  [756] = {.count = 1, .reusable = true}, REDUCE(sym_function_type_declarator, 2),
  [758] = {.count = 1, .reusable = true}, SHIFT(325),
  [760] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_list, 2),
  [762] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_list, 2),
  [764] = {.count = 1, .reusable = true}, SHIFT(326),
  [766] = {.count = 2, .reusable = false}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(181),
  [769] = {.count = 1, .reusable = true}, REDUCE(sym_enumerator_list, 3),
  [771] = {.count = 1, .reusable = false}, REDUCE(sym_enumerator_list, 3),
  [773] = {.count = 1, .reusable = true}, SHIFT(330),
  [775] = {.count = 1, .reusable = true}, SHIFT(331),
  [777] = {.count = 1, .reusable = true}, SHIFT(332),
  [779] = {.count = 1, .reusable = true}, SHIFT(333),
  [781] = {.count = 1, .reusable = false}, SHIFT(334),
  [783] = {.count = 1, .reusable = true}, SHIFT(334),
  [785] = {.count = 1, .reusable = false}, SHIFT(335),
  [787] = {.count = 1, .reusable = true}, SHIFT(337),
  [789] = {.count = 1, .reusable = true}, SHIFT(336),
  [791] = {.count = 1, .reusable = false}, SHIFT(337),
  [793] = {.count = 1, .reusable = true}, SHIFT(338),
  [795] = {.count = 1, .reusable = true}, SHIFT(340),
  [797] = {.count = 1, .reusable = true}, SHIFT(342),
  [799] = {.count = 1, .reusable = true}, SHIFT(343),
  [801] = {.count = 1, .reusable = true}, SHIFT(344),
  [803] = {.count = 1, .reusable = true}, SHIFT(348),
  [805] = {.count = 1, .reusable = true}, SHIFT(352),
  [807] = {.count = 1, .reusable = true}, SHIFT(356),
  [809] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2),
  [811] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2),
  [813] = {.count = 1, .reusable = false}, SHIFT(193),
  [815] = {.count = 1, .reusable = true}, SHIFT(360),
  [817] = {.count = 1, .reusable = true}, SHIFT(361),
  [819] = {.count = 1, .reusable = true}, SHIFT(362),
  [821] = {.count = 1, .reusable = true}, SHIFT(363),
  [823] = {.count = 1, .reusable = false}, SHIFT(364),
  [825] = {.count = 1, .reusable = true}, SHIFT(364),
  [827] = {.count = 1, .reusable = false}, SHIFT(365),
  [829] = {.count = 1, .reusable = true}, SHIFT(367),
  [831] = {.count = 1, .reusable = true}, SHIFT(366),
  [833] = {.count = 1, .reusable = false}, SHIFT(367),
  [835] = {.count = 1, .reusable = true}, REDUCE(sym__field_declarator, 1, .alias_sequence_id = 18),
  [837] = {.count = 1, .reusable = true}, SHIFT(368),
  [839] = {.count = 1, .reusable = true}, SHIFT(369),
  [841] = {.count = 1, .reusable = true}, SHIFT(370),
  [843] = {.count = 1, .reusable = true}, SHIFT(371),
  [845] = {.count = 1, .reusable = true}, REDUCE(sym__field_declarator, 1, .alias_sequence_id = 9),
  [847] = {.count = 1, .reusable = true}, REDUCE(sym__field_declarator, 1, .alias_sequence_id = 10),
  [849] = {.count = 1, .reusable = true}, REDUCE(sym__field_declarator, 1, .alias_sequence_id = 11),
  [851] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 3),
  [853] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 3),
  [855] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(100),
  [858] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(101),
  [861] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(102),
  [864] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(10),
  [867] = {.count = 1, .reusable = true}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [869] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(11),
  [872] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(110),
  [875] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(107),
  [878] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(12),
  [881] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(13),
  [884] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(14),
  [887] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(15),
  [890] = {.count = 2, .reusable = false}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(202),
  [893] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_pointer_declarator, 1),
  [895] = {.count = 1, .reusable = true}, SHIFT(11),
  [897] = {.count = 1, .reusable = true}, SHIFT(379),
  [899] = {.count = 1, .reusable = true}, SHIFT(381),
  [901] = {.count = 1, .reusable = false}, SHIFT(381),
  [903] = {.count = 1, .reusable = true}, REDUCE(sym_type_descriptor, 2),
  [905] = {.count = 1, .reusable = true}, SHIFT(382),
  [907] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_function_declarator, 1),
  [909] = {.count = 1, .reusable = true}, REDUCE(sym_macro_type_specifier, 4),
  [911] = {.count = 1, .reusable = false}, REDUCE(sym_macro_type_specifier, 4),
  [913] = {.count = 2, .reusable = false}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(210),
  [916] = {.count = 1, .reusable = true}, REDUCE(sym__declarator, 3),
  [918] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_declarator, 3),
  [920] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [922] = {.count = 1, .reusable = true}, SHIFT(385),
  [924] = {.count = 1, .reusable = true}, SHIFT(386),
  [926] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 2, .dynamic_precedence = 1),
  [928] = {.count = 1, .reusable = true}, SHIFT(388),
  [930] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 1),
  [932] = {.count = 1, .reusable = true}, SHIFT(389),
  [934] = {.count = 1, .reusable = true}, SHIFT(390),
  [936] = {.count = 1, .reusable = false}, SHIFT(393),
  [938] = {.count = 1, .reusable = false}, SHIFT(394),
  [940] = {.count = 1, .reusable = true}, REDUCE(aux_sym_declaration_repeat1, 2),
  [942] = {.count = 1, .reusable = true}, SHIFT(396),
  [944] = {.count = 1, .reusable = true}, SHIFT(397),
  [946] = {.count = 1, .reusable = true}, SHIFT(398),
  [948] = {.count = 1, .reusable = true}, SHIFT(399),
  [950] = {.count = 1, .reusable = false}, SHIFT(400),
  [952] = {.count = 1, .reusable = true}, SHIFT(400),
  [954] = {.count = 1, .reusable = false}, SHIFT(401),
  [956] = {.count = 1, .reusable = true}, SHIFT(404),
  [958] = {.count = 1, .reusable = true}, SHIFT(402),
  [960] = {.count = 1, .reusable = false}, SHIFT(404),
  [962] = {.count = 1, .reusable = false}, SHIFT(403),
  [964] = {.count = 1, .reusable = false}, SHIFT(407),
  [966] = {.count = 1, .reusable = true}, SHIFT(408),
  [968] = {.count = 1, .reusable = true}, SHIFT(409),
  [970] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 1),
  [972] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 1),
  [974] = {.count = 1, .reusable = true}, REDUCE(sym_compound_statement, 2),
  [976] = {.count = 1, .reusable = false}, REDUCE(sym_compound_statement, 2),
  [978] = {.count = 1, .reusable = true}, SHIFT(410),
  [980] = {.count = 1, .reusable = false}, SHIFT(410),
  [982] = {.count = 1, .reusable = true}, SHIFT(411),
  [984] = {.count = 1, .reusable = true}, SHIFT(412),
  [986] = {.count = 1, .reusable = true}, SHIFT(413),
  [988] = {.count = 1, .reusable = true}, SHIFT(414),
  [990] = {.count = 1, .reusable = true}, SHIFT(415),
  [992] = {.count = 1, .reusable = true}, SHIFT(416),
  [994] = {.count = 1, .reusable = false}, SHIFT(417),
  [996] = {.count = 1, .reusable = true}, SHIFT(417),
  [998] = {.count = 1, .reusable = false}, SHIFT(418),
  [1000] = {.count = 1, .reusable = true}, SHIFT(420),
  [1002] = {.count = 1, .reusable = true}, SHIFT(419),
  [1004] = {.count = 1, .reusable = false}, SHIFT(420),
  [1006] = {.count = 1, .reusable = true}, SHIFT(421),
  [1008] = {.count = 1, .reusable = true}, SHIFT(422),
  [1010] = {.count = 1, .reusable = false}, SHIFT(423),
  [1012] = {.count = 1, .reusable = false}, SHIFT(424),
  [1014] = {.count = 1, .reusable = false}, SHIFT(425),
  [1016] = {.count = 1, .reusable = false}, SHIFT(426),
  [1018] = {.count = 1, .reusable = false}, SHIFT(427),
  [1020] = {.count = 1, .reusable = false}, SHIFT(428),
  [1022] = {.count = 1, .reusable = false}, SHIFT(429),
  [1024] = {.count = 1, .reusable = true}, SHIFT(431),
  [1026] = {.count = 1, .reusable = true}, SHIFT(432),
  [1028] = {.count = 1, .reusable = true}, SHIFT(433),
  [1030] = {.count = 1, .reusable = false}, SHIFT(433),
  [1032] = {.count = 1, .reusable = true}, SHIFT(434),
  [1034] = {.count = 1, .reusable = true}, SHIFT(435),
  [1036] = {.count = 1, .reusable = true}, SHIFT(436),
  [1038] = {.count = 1, .reusable = true}, SHIFT(437),
  [1040] = {.count = 1, .reusable = false}, SHIFT(437),
  [1042] = {.count = 1, .reusable = true}, SHIFT(438),
  [1044] = {.count = 1, .reusable = false}, SHIFT(438),
  [1046] = {.count = 1, .reusable = true}, SHIFT(439),
  [1048] = {.count = 1, .reusable = false}, SHIFT(439),
  [1050] = {.count = 1, .reusable = true}, SHIFT(440),
  [1052] = {.count = 1, .reusable = true}, SHIFT(441),
  [1054] = {.count = 1, .reusable = false}, SHIFT(441),
  [1056] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [1058] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [1060] = {.count = 1, .reusable = true}, SHIFT(442),
  [1062] = {.count = 3, .reusable = true}, REDUCE(sym__type_specifier, 1, .alias_sequence_id = 1), REDUCE(sym__expression, 1), SHIFT(41),
  [1066] = {.count = 2, .reusable = true}, REDUCE(sym__type_specifier, 1, .alias_sequence_id = 1), REDUCE(sym__expression, 1),
  [1069] = {.count = 2, .reusable = false}, REDUCE(sym__type_specifier, 1, .alias_sequence_id = 1), REDUCE(sym__expression, 1),
  [1072] = {.count = 1, .reusable = true}, SHIFT(443),
  [1074] = {.count = 1, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 1, .alias_sequence_id = 12),
  [1076] = {.count = 1, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 1, .alias_sequence_id = 12),
  [1078] = {.count = 1, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 1, .alias_sequence_id = 13),
  [1080] = {.count = 1, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 1, .alias_sequence_id = 13),
  [1082] = {.count = 1, .reusable = true}, SHIFT(444),
  [1084] = {.count = 1, .reusable = true}, SHIFT(445),
  [1086] = {.count = 1, .reusable = true}, SHIFT(446),
  [1088] = {.count = 1, .reusable = true}, SHIFT(447),
  [1090] = {.count = 1, .reusable = false}, SHIFT(448),
  [1092] = {.count = 1, .reusable = true}, SHIFT(449),
  [1094] = {.count = 1, .reusable = false}, SHIFT(450),
  [1096] = {.count = 1, .reusable = true}, SHIFT(451),
  [1098] = {.count = 1, .reusable = true}, SHIFT(450),
  [1100] = {.count = 1, .reusable = false}, SHIFT(452),
  [1102] = {.count = 1, .reusable = true}, SHIFT(453),
  [1104] = {.count = 1, .reusable = true}, SHIFT(454),
  [1106] = {.count = 1, .reusable = false}, SHIFT(455),
  [1108] = {.count = 1, .reusable = false}, SHIFT(456),
  [1110] = {.count = 1, .reusable = true}, SHIFT(457),
  [1112] = {.count = 1, .reusable = false}, SHIFT(458),
  [1114] = {.count = 1, .reusable = true}, SHIFT(458),
  [1116] = {.count = 1, .reusable = false}, SHIFT(459),
  [1118] = {.count = 1, .reusable = false}, SHIFT(460),
  [1120] = {.count = 1, .reusable = true}, SHIFT(461),
  [1122] = {.count = 1, .reusable = true}, SHIFT(462),
  [1124] = {.count = 1, .reusable = true}, SHIFT(464),
  [1126] = {.count = 1, .reusable = true}, REDUCE(sym_array_declarator, 3),
  [1128] = {.count = 1, .reusable = true}, SHIFT(467),
  [1130] = {.count = 1, .reusable = true}, SHIFT(468),
  [1132] = {.count = 1, .reusable = false}, SHIFT(468),
  [1134] = {.count = 1, .reusable = true}, SHIFT(469),
  [1136] = {.count = 1, .reusable = true}, SHIFT(470),
  [1138] = {.count = 1, .reusable = true}, SHIFT(471),
  [1140] = {.count = 1, .reusable = false}, SHIFT(471),
  [1142] = {.count = 1, .reusable = false}, SHIFT(473),
  [1144] = {.count = 1, .reusable = false}, SHIFT(474),
  [1146] = {.count = 1, .reusable = true}, SHIFT(475),
  [1148] = {.count = 1, .reusable = true}, SHIFT(474),
  [1150] = {.count = 1, .reusable = false}, SHIFT(476),
  [1152] = {.count = 1, .reusable = true}, SHIFT(477),
  [1154] = {.count = 1, .reusable = true}, SHIFT(478),
  [1156] = {.count = 1, .reusable = false}, SHIFT(479),
  [1158] = {.count = 1, .reusable = false}, SHIFT(480),
  [1160] = {.count = 1, .reusable = true}, SHIFT(481),
  [1162] = {.count = 1, .reusable = false}, SHIFT(482),
  [1164] = {.count = 1, .reusable = true}, SHIFT(482),
  [1166] = {.count = 1, .reusable = false}, SHIFT(483),
  [1168] = {.count = 1, .reusable = false}, SHIFT(484),
  [1170] = {.count = 1, .reusable = false}, SHIFT(485),
  [1172] = {.count = 1, .reusable = false}, SHIFT(486),
  [1174] = {.count = 1, .reusable = true}, SHIFT(487),
  [1176] = {.count = 1, .reusable = true}, SHIFT(488),
  [1178] = {.count = 1, .reusable = true}, SHIFT(489),
  [1180] = {.count = 1, .reusable = true}, SHIFT(490),
  [1182] = {.count = 1, .reusable = true}, SHIFT(491),
  [1184] = {.count = 1, .reusable = false}, SHIFT(491),
  [1186] = {.count = 1, .reusable = true}, REDUCE(sym_init_declarator, 3),
  [1188] = {.count = 1, .reusable = true}, REDUCE(sym_declaration, 4),
  [1190] = {.count = 1, .reusable = false}, REDUCE(sym_declaration, 4),
  [1192] = {.count = 2, .reusable = true}, REDUCE(aux_sym_declaration_repeat1, 2), SHIFT_REPEAT(122),
  [1195] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_def, 5, .alias_sequence_id = 4),
  [1197] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_def, 5, .alias_sequence_id = 4),
  [1199] = {.count = 1, .reusable = true}, SHIFT(494),
  [1201] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_params, 3),
  [1203] = {.count = 1, .reusable = true}, SHIFT(495),
  [1205] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_function_def, 5, .alias_sequence_id = 4),
  [1207] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_function_def, 5, .alias_sequence_id = 4),
  [1209] = {.count = 1, .reusable = false}, SHIFT(497),
  [1211] = {.count = 1, .reusable = false}, SHIFT(498),
  [1213] = {.count = 1, .reusable = false}, SHIFT(499),
  [1215] = {.count = 1, .reusable = true}, SHIFT(500),
  [1217] = {.count = 1, .reusable = false}, SHIFT(500),
  [1219] = {.count = 1, .reusable = true}, SHIFT(502),
  [1221] = {.count = 1, .reusable = false}, SHIFT(502),
  [1223] = {.count = 1, .reusable = true}, SHIFT(504),
  [1225] = {.count = 1, .reusable = false}, SHIFT(504),
  [1227] = {.count = 1, .reusable = false}, SHIFT(506),
  [1229] = {.count = 1, .reusable = false}, SHIFT(507),
  [1231] = {.count = 1, .reusable = false}, SHIFT(509),
  [1233] = {.count = 1, .reusable = false}, SHIFT(512),
  [1235] = {.count = 1, .reusable = false}, SHIFT(515),
  [1237] = {.count = 1, .reusable = false}, SHIFT(518),
  [1239] = {.count = 1, .reusable = false}, SHIFT(520),
  [1241] = {.count = 1, .reusable = true}, SHIFT(521),
  [1243] = {.count = 1, .reusable = true}, SHIFT(524),
  [1245] = {.count = 1, .reusable = true}, SHIFT(525),
  [1247] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(142),
  [1250] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(143),
  [1253] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(144),
  [1256] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(145),
  [1259] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(146),
  [1262] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(147),
  [1265] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(148),
  [1268] = {.count = 2, .reusable = false}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(149),
  [1271] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif, 3, .alias_sequence_id = 14),
  [1273] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_elif, 3, .alias_sequence_id = 14),
  [1275] = {.count = 1, .reusable = true}, SHIFT(529),
  [1277] = {.count = 1, .reusable = true}, SHIFT(530),
  [1279] = {.count = 1, .reusable = true}, SHIFT(532),
  [1281] = {.count = 1, .reusable = true}, SHIFT(534),
  [1283] = {.count = 1, .reusable = true}, SHIFT(536),
  [1285] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if, 5, .alias_sequence_id = 19),
  [1287] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if, 5, .alias_sequence_id = 19),
  [1289] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef, 5, .alias_sequence_id = 20),
  [1291] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef, 5, .alias_sequence_id = 20),
  [1293] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef, 5, .alias_sequence_id = 21),
  [1295] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef, 5, .alias_sequence_id = 21),
  [1297] = {.count = 1, .reusable = true}, REDUCE(sym__type_declarator, 3),
  [1299] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_type_declarator, 3),
  [1301] = {.count = 1, .reusable = true}, REDUCE(sym_array_type_declarator, 3),
  [1303] = {.count = 1, .reusable = true}, SHIFT(537),
  [1305] = {.count = 1, .reusable = true}, SHIFT(538),
  [1307] = {.count = 1, .reusable = false}, SHIFT(538),
  [1309] = {.count = 1, .reusable = true}, REDUCE(sym_type_definition, 5),
  [1311] = {.count = 1, .reusable = false}, REDUCE(sym_type_definition, 5),
  [1313] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_list, 3),
  [1315] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_list, 3),
  [1317] = {.count = 1, .reusable = true}, SHIFT(540),
  [1319] = {.count = 1, .reusable = true}, SHIFT(541),
  [1321] = {.count = 1, .reusable = false}, SHIFT(541),
  [1323] = {.count = 1, .reusable = true}, SHIFT(542),
  [1325] = {.count = 1, .reusable = true}, REDUCE(sym_enumerator, 3),
  [1327] = {.count = 1, .reusable = false}, SHIFT(543),
  [1329] = {.count = 1, .reusable = false}, SHIFT(544),
  [1331] = {.count = 1, .reusable = true}, SHIFT(545),
  [1333] = {.count = 1, .reusable = true}, SHIFT(544),
  [1335] = {.count = 1, .reusable = false}, SHIFT(546),
  [1337] = {.count = 1, .reusable = true}, SHIFT(547),
  [1339] = {.count = 1, .reusable = true}, SHIFT(548),
  [1341] = {.count = 1, .reusable = false}, SHIFT(549),
  [1343] = {.count = 1, .reusable = false}, SHIFT(550),
  [1345] = {.count = 1, .reusable = true}, SHIFT(551),
  [1347] = {.count = 1, .reusable = false}, SHIFT(552),
  [1349] = {.count = 1, .reusable = true}, SHIFT(552),
  [1351] = {.count = 1, .reusable = false}, SHIFT(553),
  [1353] = {.count = 1, .reusable = false}, SHIFT(554),
  [1355] = {.count = 1, .reusable = true}, REDUCE(sym_enumerator_list, 4),
  [1357] = {.count = 1, .reusable = false}, REDUCE(sym_enumerator_list, 4),
  [1359] = {.count = 1, .reusable = true}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [1361] = {.count = 1, .reusable = true}, SHIFT(555),
  [1363] = {.count = 2, .reusable = true}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(556),
  [1366] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_field_declaration_list, 3, .alias_sequence_id = 5),
  [1368] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_field_declaration_list, 3, .alias_sequence_id = 5),
  [1370] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, .alias_sequence_id = 6),
  [1372] = {.count = 1, .reusable = false}, SHIFT(558),
  [1374] = {.count = 1, .reusable = true}, SHIFT(559),
  [1376] = {.count = 1, .reusable = true}, SHIFT(560),
  [1378] = {.count = 1, .reusable = true}, SHIFT(561),
  [1380] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .alias_sequence_id = 7),
  [1382] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .alias_sequence_id = 7),
  [1384] = {.count = 1, .reusable = true}, SHIFT(565),
  [1386] = {.count = 1, .reusable = true}, SHIFT(566),
  [1388] = {.count = 1, .reusable = true}, SHIFT(567),
  [1390] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .alias_sequence_id = 8),
  [1392] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .alias_sequence_id = 8),
  [1394] = {.count = 1, .reusable = true}, SHIFT(570),
  [1396] = {.count = 1, .reusable = true}, SHIFT(571),
  [1398] = {.count = 1, .reusable = true}, SHIFT(572),
  [1400] = {.count = 1, .reusable = true}, SHIFT(576),
  [1402] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_field_declarator, 2),
  [1404] = {.count = 1, .reusable = true}, SHIFT(579),
  [1406] = {.count = 1, .reusable = true}, SHIFT(580),
  [1408] = {.count = 1, .reusable = false}, SHIFT(580),
  [1410] = {.count = 1, .reusable = true}, SHIFT(581),
  [1412] = {.count = 1, .reusable = true}, SHIFT(582),
  [1414] = {.count = 1, .reusable = false}, SHIFT(583),
  [1416] = {.count = 1, .reusable = false}, SHIFT(584),
  [1418] = {.count = 1, .reusable = true}, SHIFT(585),
  [1420] = {.count = 1, .reusable = true}, SHIFT(584),
  [1422] = {.count = 1, .reusable = false}, SHIFT(586),
  [1424] = {.count = 1, .reusable = true}, SHIFT(587),
  [1426] = {.count = 1, .reusable = true}, SHIFT(588),
  [1428] = {.count = 1, .reusable = false}, SHIFT(589),
  [1430] = {.count = 1, .reusable = false}, SHIFT(590),
  [1432] = {.count = 1, .reusable = true}, SHIFT(591),
  [1434] = {.count = 1, .reusable = false}, SHIFT(592),
  [1436] = {.count = 1, .reusable = true}, SHIFT(592),
  [1438] = {.count = 1, .reusable = false}, SHIFT(593),
  [1440] = {.count = 1, .reusable = false}, SHIFT(594),
  [1442] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3),
  [1444] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3),
  [1446] = {.count = 1, .reusable = true}, SHIFT(596),
  [1448] = {.count = 1, .reusable = true}, SHIFT(598),
  [1450] = {.count = 1, .reusable = false}, SHIFT(598),
  [1452] = {.count = 1, .reusable = true}, SHIFT(599),
  [1454] = {.count = 1, .reusable = false}, SHIFT(599),
  [1456] = {.count = 1, .reusable = true}, REDUCE(sym_function_field_declarator, 2),
  [1458] = {.count = 1, .reusable = true}, SHIFT(600),
  [1460] = {.count = 1, .reusable = true}, SHIFT(602),
  [1462] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_pointer_declarator, 2),
  [1464] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_array_declarator, 2),
  [1466] = {.count = 1, .reusable = true}, SHIFT(605),
  [1468] = {.count = 1, .reusable = true}, SHIFT(606),
  [1470] = {.count = 1, .reusable = false}, SHIFT(606),
  [1472] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_function_declarator, 2),
  [1474] = {.count = 1, .reusable = true}, REDUCE(sym_type_descriptor, 3),
  [1476] = {.count = 1, .reusable = true}, SHIFT(608),
  [1478] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 3, .dynamic_precedence = 1),
  [1480] = {.count = 1, .reusable = true}, SHIFT(609),
  [1482] = {.count = 1, .reusable = true}, SHIFT(611),
  [1484] = {.count = 1, .reusable = false}, SHIFT(612),
  [1486] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 2),
  [1488] = {.count = 2, .reusable = false}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(394),
  [1491] = {.count = 1, .reusable = true}, SHIFT(617),
  [1493] = {.count = 1, .reusable = true}, SHIFT(618),
  [1495] = {.count = 1, .reusable = false}, SHIFT(618),
  [1497] = {.count = 1, .reusable = true}, SHIFT(619),
  [1499] = {.count = 1, .reusable = true}, SHIFT(620),
  [1501] = {.count = 1, .reusable = true}, SHIFT(621),
  [1503] = {.count = 1, .reusable = false}, SHIFT(622),
  [1505] = {.count = 1, .reusable = false}, SHIFT(623),
  [1507] = {.count = 1, .reusable = true}, SHIFT(624),
  [1509] = {.count = 1, .reusable = true}, SHIFT(623),
  [1511] = {.count = 1, .reusable = false}, SHIFT(625),
  [1513] = {.count = 1, .reusable = true}, SHIFT(626),
  [1515] = {.count = 1, .reusable = true}, SHIFT(627),
  [1517] = {.count = 1, .reusable = false}, SHIFT(628),
  [1519] = {.count = 1, .reusable = false}, SHIFT(629),
  [1521] = {.count = 1, .reusable = true}, SHIFT(630),
  [1523] = {.count = 1, .reusable = false}, SHIFT(631),
  [1525] = {.count = 1, .reusable = true}, SHIFT(631),
  [1527] = {.count = 1, .reusable = false}, SHIFT(632),
  [1529] = {.count = 1, .reusable = false}, SHIFT(633),
  [1531] = {.count = 1, .reusable = true}, SHIFT(634),
  [1533] = {.count = 1, .reusable = false}, SHIFT(635),
  [1535] = {.count = 1, .reusable = false}, SHIFT(636),
  [1537] = {.count = 1, .reusable = false}, SHIFT(637),
  [1539] = {.count = 1, .reusable = false}, SHIFT(638),
  [1541] = {.count = 1, .reusable = false}, SHIFT(639),
  [1543] = {.count = 1, .reusable = false}, SHIFT(640),
  [1545] = {.count = 1, .reusable = true}, SHIFT(641),
  [1547] = {.count = 1, .reusable = false}, SHIFT(642),
  [1549] = {.count = 1, .reusable = false}, SHIFT(643),
  [1551] = {.count = 1, .reusable = false}, SHIFT(644),
  [1553] = {.count = 1, .reusable = false}, SHIFT(645),
  [1555] = {.count = 1, .reusable = false}, SHIFT(646),
  [1557] = {.count = 1, .reusable = false}, SHIFT(647),
  [1559] = {.count = 1, .reusable = false}, SHIFT(648),
  [1561] = {.count = 1, .reusable = false}, SHIFT(649),
  [1563] = {.count = 1, .reusable = false}, SHIFT(650),
  [1565] = {.count = 1, .reusable = false}, SHIFT(651),
  [1567] = {.count = 1, .reusable = false}, SHIFT(652),
  [1569] = {.count = 1, .reusable = true}, SHIFT(659),
  [1571] = {.count = 1, .reusable = false}, SHIFT(659),
  [1573] = {.count = 1, .reusable = false}, SHIFT(653),
  [1575] = {.count = 1, .reusable = false}, SHIFT(662),
  [1577] = {.count = 1, .reusable = false}, SHIFT(666),
  [1579] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_expression, 2),
  [1581] = {.count = 1, .reusable = false}, REDUCE(sym_pointer_expression, 2),
  [1583] = {.count = 1, .reusable = true}, SHIFT(670),
  [1585] = {.count = 1, .reusable = true}, SHIFT(671),
  [1587] = {.count = 1, .reusable = true}, SHIFT(672),
  [1589] = {.count = 1, .reusable = true}, SHIFT(673),
  [1591] = {.count = 1, .reusable = false}, SHIFT(674),
  [1593] = {.count = 1, .reusable = true}, SHIFT(674),
  [1595] = {.count = 1, .reusable = false}, SHIFT(675),
  [1597] = {.count = 1, .reusable = true}, SHIFT(677),
  [1599] = {.count = 1, .reusable = true}, SHIFT(676),
  [1601] = {.count = 1, .reusable = false}, SHIFT(677),
  [1603] = {.count = 1, .reusable = true}, SHIFT(678),
  [1605] = {.count = 1, .reusable = false}, SHIFT(678),
  [1607] = {.count = 1, .reusable = true}, SHIFT(680),
  [1609] = {.count = 1, .reusable = true}, SHIFT(681),
  [1611] = {.count = 1, .reusable = false}, SHIFT(681),
  [1613] = {.count = 1, .reusable = true}, SHIFT(682),
  [1615] = {.count = 1, .reusable = false}, SHIFT(683),
  [1617] = {.count = 1, .reusable = false}, SHIFT(684),
  [1619] = {.count = 1, .reusable = true}, SHIFT(685),
  [1621] = {.count = 1, .reusable = true}, SHIFT(686),
  [1623] = {.count = 1, .reusable = true}, SHIFT(684),
  [1625] = {.count = 1, .reusable = false}, SHIFT(687),
  [1627] = {.count = 1, .reusable = true}, SHIFT(688),
  [1629] = {.count = 1, .reusable = true}, SHIFT(689),
  [1631] = {.count = 1, .reusable = false}, SHIFT(690),
  [1633] = {.count = 1, .reusable = false}, SHIFT(691),
  [1635] = {.count = 1, .reusable = true}, SHIFT(692),
  [1637] = {.count = 1, .reusable = false}, SHIFT(693),
  [1639] = {.count = 1, .reusable = true}, SHIFT(693),
  [1641] = {.count = 1, .reusable = false}, SHIFT(694),
  [1643] = {.count = 1, .reusable = false}, SHIFT(695),
  [1645] = {.count = 1, .reusable = false}, SHIFT(696),
  [1647] = {.count = 1, .reusable = true}, SHIFT(699),
  [1649] = {.count = 1, .reusable = false}, SHIFT(699),
  [1651] = {.count = 1, .reusable = true}, SHIFT(700),
  [1653] = {.count = 1, .reusable = true}, SHIFT(701),
  [1655] = {.count = 1, .reusable = true}, SHIFT(702),
  [1657] = {.count = 1, .reusable = false}, SHIFT(702),
  [1659] = {.count = 1, .reusable = true}, SHIFT(703),
  [1661] = {.count = 1, .reusable = true}, SHIFT(704),
  [1663] = {.count = 1, .reusable = true}, SHIFT(705),
  [1665] = {.count = 1, .reusable = true}, SHIFT(706),
  [1667] = {.count = 1, .reusable = true}, SHIFT(707),
  [1669] = {.count = 1, .reusable = true}, SHIFT(708),
  [1671] = {.count = 1, .reusable = true}, SHIFT(710),
  [1673] = {.count = 1, .reusable = false}, SHIFT(710),
  [1675] = {.count = 1, .reusable = false}, SHIFT(709),
  [1677] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [1679] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [1681] = {.count = 1, .reusable = true}, SHIFT(711),
  [1683] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [1685] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [1687] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [1689] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [1691] = {.count = 1, .reusable = true}, SHIFT(712),
  [1693] = {.count = 1, .reusable = true}, REDUCE(sym_logical_expression, 2),
  [1695] = {.count = 1, .reusable = false}, REDUCE(sym_logical_expression, 2),
  [1697] = {.count = 1, .reusable = true}, REDUCE(sym_bitwise_expression, 2),
  [1699] = {.count = 1, .reusable = false}, REDUCE(sym_bitwise_expression, 2),
  [1701] = {.count = 1, .reusable = true}, REDUCE(sym_math_expression, 2),
  [1703] = {.count = 1, .reusable = false}, REDUCE(sym_math_expression, 2),
  [1705] = {.count = 1, .reusable = true}, REDUCE(sym_sizeof_expression, 2),
  [1707] = {.count = 1, .reusable = false}, REDUCE(sym_sizeof_expression, 2),
  [1709] = {.count = 1, .reusable = true}, REDUCE(sym_concatenated_string, 2),
  [1711] = {.count = 1, .reusable = false}, REDUCE(sym_concatenated_string, 2),
  [1713] = {.count = 1, .reusable = true}, SHIFT(714),
  [1715] = {.count = 1, .reusable = false}, SHIFT(715),
  [1717] = {.count = 1, .reusable = true}, SHIFT(717),
  [1719] = {.count = 1, .reusable = true}, SHIFT(718),
  [1721] = {.count = 1, .reusable = false}, SHIFT(718),
  [1723] = {.count = 1, .reusable = true}, SHIFT(719),
  [1725] = {.count = 1, .reusable = false}, SHIFT(719),
  [1727] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 2),
  [1729] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [1731] = {.count = 1, .reusable = true}, SHIFT(721),
  [1733] = {.count = 1, .reusable = false}, SHIFT(721),
  [1735] = {.count = 1, .reusable = true}, SHIFT(722),
  [1737] = {.count = 1, .reusable = false}, SHIFT(722),
  [1739] = {.count = 1, .reusable = true}, SHIFT(723),
  [1741] = {.count = 1, .reusable = false}, SHIFT(723),
  [1743] = {.count = 1, .reusable = true}, SHIFT(724),
  [1745] = {.count = 1, .reusable = false}, SHIFT(724),
  [1747] = {.count = 1, .reusable = true}, SHIFT(725),
  [1749] = {.count = 1, .reusable = false}, SHIFT(725),
  [1751] = {.count = 1, .reusable = true}, SHIFT(726),
  [1753] = {.count = 1, .reusable = false}, SHIFT(726),
  [1755] = {.count = 1, .reusable = true}, SHIFT(727),
  [1757] = {.count = 1, .reusable = false}, SHIFT(727),
  [1759] = {.count = 1, .reusable = true}, SHIFT(728),
  [1761] = {.count = 1, .reusable = false}, SHIFT(728),
  [1763] = {.count = 1, .reusable = true}, SHIFT(729),
  [1765] = {.count = 1, .reusable = false}, SHIFT(729),
  [1767] = {.count = 1, .reusable = true}, SHIFT(730),
  [1769] = {.count = 1, .reusable = false}, SHIFT(730),
  [1771] = {.count = 1, .reusable = true}, SHIFT(731),
  [1773] = {.count = 1, .reusable = false}, SHIFT(731),
  [1775] = {.count = 1, .reusable = true}, SHIFT(732),
  [1777] = {.count = 1, .reusable = false}, SHIFT(732),
  [1779] = {.count = 1, .reusable = true}, SHIFT(733),
  [1781] = {.count = 1, .reusable = false}, SHIFT(733),
  [1783] = {.count = 1, .reusable = true}, SHIFT(734),
  [1785] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2),
  [1787] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2),
  [1789] = {.count = 1, .reusable = true}, REDUCE(sym_compound_statement, 3),
  [1791] = {.count = 1, .reusable = false}, REDUCE(sym_compound_statement, 3),
  [1793] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(2),
  [1796] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(3),
  [1799] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(224),
  [1802] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(225),
  [1805] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(226),
  [1808] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(227),
  [1811] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(7),
  [1814] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(228),
  [1817] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(8),
  [1820] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(10),
  [1823] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(124),
  [1826] = {.count = 1, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2),
  [1828] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(230),
  [1831] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(11),
  [1834] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(21),
  [1837] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(18),
  [1840] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(12),
  [1843] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(13),
  [1846] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(14),
  [1849] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(231),
  [1852] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(232),
  [1855] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(233),
  [1858] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(234),
  [1861] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(235),
  [1864] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(236),
  [1867] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(237),
  [1870] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(238),
  [1873] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(239),
  [1876] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(240),
  [1879] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(241),
  [1882] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(242),
  [1885] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(243),
  [1888] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(244),
  [1891] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(244),
  [1894] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(245),
  [1897] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(251),
  [1900] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(246),
  [1903] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(251),
  [1906] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(247),
  [1909] = {.count = 1, .reusable = true}, SHIFT(735),
  [1911] = {.count = 1, .reusable = true}, SHIFT(737),
  [1913] = {.count = 1, .reusable = true}, REDUCE(sym_array_declarator, 4),
  [1915] = {.count = 1, .reusable = true}, SHIFT(738),
  [1917] = {.count = 1, .reusable = true}, SHIFT(740),
  [1919] = {.count = 1, .reusable = false}, SHIFT(740),
  [1921] = {.count = 1, .reusable = true}, SHIFT(741),
  [1923] = {.count = 1, .reusable = false}, SHIFT(741),
  [1925] = {.count = 1, .reusable = true}, SHIFT(742),
  [1927] = {.count = 1, .reusable = false}, SHIFT(742),
  [1929] = {.count = 1, .reusable = true}, SHIFT(743),
  [1931] = {.count = 1, .reusable = false}, SHIFT(743),
  [1933] = {.count = 1, .reusable = true}, SHIFT(744),
  [1935] = {.count = 1, .reusable = false}, SHIFT(744),
  [1937] = {.count = 1, .reusable = true}, SHIFT(745),
  [1939] = {.count = 1, .reusable = false}, SHIFT(745),
  [1941] = {.count = 1, .reusable = true}, SHIFT(746),
  [1943] = {.count = 1, .reusable = false}, SHIFT(746),
  [1945] = {.count = 1, .reusable = true}, SHIFT(747),
  [1947] = {.count = 1, .reusable = false}, SHIFT(747),
  [1949] = {.count = 1, .reusable = true}, SHIFT(748),
  [1951] = {.count = 1, .reusable = false}, SHIFT(748),
  [1953] = {.count = 1, .reusable = true}, SHIFT(749),
  [1955] = {.count = 1, .reusable = false}, SHIFT(749),
  [1957] = {.count = 1, .reusable = true}, SHIFT(750),
  [1959] = {.count = 1, .reusable = false}, SHIFT(750),
  [1961] = {.count = 2, .reusable = false}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(486),
  [1964] = {.count = 1, .reusable = true}, SHIFT(752),
  [1966] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_list, 2),
  [1968] = {.count = 1, .reusable = false}, REDUCE(sym_initializer_list, 2),
  [1970] = {.count = 1, .reusable = true}, SHIFT(753),
  [1972] = {.count = 1, .reusable = false}, SHIFT(753),
  [1974] = {.count = 1, .reusable = true}, SHIFT(754),
  [1976] = {.count = 1, .reusable = true}, SHIFT(755),
  [1978] = {.count = 1, .reusable = true}, SHIFT(757),
  [1980] = {.count = 1, .reusable = true}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [1982] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_params, 4),
  [1984] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(274),
  [1987] = {.count = 1, .reusable = true}, SHIFT(759),
  [1989] = {.count = 1, .reusable = true}, SHIFT(760),
  [1991] = {.count = 1, .reusable = true}, SHIFT(761),
  [1993] = {.count = 1, .reusable = true}, SHIFT(762),
  [1995] = {.count = 1, .reusable = true}, SHIFT(763),
  [1997] = {.count = 1, .reusable = false}, SHIFT(764),
  [1999] = {.count = 1, .reusable = false}, SHIFT(765),
  [2001] = {.count = 1, .reusable = false}, SHIFT(766),
  [2003] = {.count = 1, .reusable = true}, SHIFT(767),
  [2005] = {.count = 1, .reusable = false}, SHIFT(767),
  [2007] = {.count = 1, .reusable = true}, SHIFT(769),
  [2009] = {.count = 1, .reusable = false}, SHIFT(769),
  [2011] = {.count = 1, .reusable = true}, SHIFT(771),
  [2013] = {.count = 1, .reusable = false}, SHIFT(771),
  [2015] = {.count = 1, .reusable = true}, SHIFT(773),
  [2017] = {.count = 1, .reusable = true}, SHIFT(774),
  [2019] = {.count = 1, .reusable = true}, SHIFT(776),
  [2021] = {.count = 1, .reusable = true}, SHIFT(778),
  [2023] = {.count = 1, .reusable = true}, SHIFT(780),
  [2025] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif, 4, .alias_sequence_id = 14),
  [2027] = {.count = 1, .reusable = true}, SHIFT(781),
  [2029] = {.count = 1, .reusable = true}, SHIFT(782),
  [2031] = {.count = 1, .reusable = true}, SHIFT(783),
  [2033] = {.count = 1, .reusable = true}, REDUCE(sym_array_type_declarator, 4),
  [2035] = {.count = 1, .reusable = true}, SHIFT(784),
  [2037] = {.count = 1, .reusable = true}, SHIFT(785),
  [2039] = {.count = 1, .reusable = true}, SHIFT(787),
  [2041] = {.count = 1, .reusable = true}, SHIFT(788),
  [2043] = {.count = 1, .reusable = false}, SHIFT(788),
  [2045] = {.count = 1, .reusable = true}, SHIFT(789),
  [2047] = {.count = 1, .reusable = false}, SHIFT(789),
  [2049] = {.count = 1, .reusable = true}, SHIFT(790),
  [2051] = {.count = 1, .reusable = false}, SHIFT(790),
  [2053] = {.count = 1, .reusable = true}, SHIFT(791),
  [2055] = {.count = 1, .reusable = false}, SHIFT(791),
  [2057] = {.count = 1, .reusable = true}, SHIFT(792),
  [2059] = {.count = 1, .reusable = false}, SHIFT(792),
  [2061] = {.count = 1, .reusable = true}, SHIFT(793),
  [2063] = {.count = 1, .reusable = false}, SHIFT(793),
  [2065] = {.count = 1, .reusable = true}, SHIFT(794),
  [2067] = {.count = 1, .reusable = false}, SHIFT(794),
  [2069] = {.count = 1, .reusable = true}, SHIFT(795),
  [2071] = {.count = 1, .reusable = false}, SHIFT(795),
  [2073] = {.count = 1, .reusable = true}, SHIFT(796),
  [2075] = {.count = 1, .reusable = false}, SHIFT(796),
  [2077] = {.count = 1, .reusable = true}, SHIFT(797),
  [2079] = {.count = 1, .reusable = false}, SHIFT(797),
  [2081] = {.count = 1, .reusable = true}, SHIFT(798),
  [2083] = {.count = 1, .reusable = false}, SHIFT(798),
  [2085] = {.count = 1, .reusable = true}, REDUCE(sym_enumerator_list, 5),
  [2087] = {.count = 1, .reusable = false}, REDUCE(sym_enumerator_list, 5),
  [2089] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, .alias_sequence_id = 6),
  [2091] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_field_declaration_list, 2, .alias_sequence_id = 14),
  [2093] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .alias_sequence_id = 22),
  [2095] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .alias_sequence_id = 22),
  [2097] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .alias_sequence_id = 23),
  [2099] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .alias_sequence_id = 23),
  [2101] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .alias_sequence_id = 15),
  [2103] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .alias_sequence_id = 15),
  [2105] = {.count = 1, .reusable = true}, SHIFT(803),
  [2107] = {.count = 1, .reusable = true}, SHIFT(804),
  [2109] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 24),
  [2111] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 24),
  [2113] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 25),
  [2115] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 25),
  [2117] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 16),
  [2119] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 16),
  [2121] = {.count = 1, .reusable = true}, SHIFT(805),
  [2123] = {.count = 1, .reusable = true}, SHIFT(806),
  [2125] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 26),
  [2127] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 26),
  [2129] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 27),
  [2131] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 27),
  [2133] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 17),
  [2135] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .alias_sequence_id = 17),
  [2137] = {.count = 1, .reusable = true}, SHIFT(807),
  [2139] = {.count = 1, .reusable = true}, SHIFT(808),
  [2141] = {.count = 1, .reusable = true}, REDUCE(sym__field_declarator, 3),
  [2143] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_field_declarator, 3),
  [2145] = {.count = 1, .reusable = true}, SHIFT(809),
  [2147] = {.count = 1, .reusable = true}, SHIFT(811),
  [2149] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 4),
  [2151] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 4),
  [2153] = {.count = 1, .reusable = true}, SHIFT(812),
  [2155] = {.count = 1, .reusable = false}, SHIFT(812),
  [2157] = {.count = 1, .reusable = true}, SHIFT(813),
  [2159] = {.count = 1, .reusable = false}, SHIFT(813),
  [2161] = {.count = 1, .reusable = true}, SHIFT(814),
  [2163] = {.count = 1, .reusable = false}, SHIFT(814),
  [2165] = {.count = 1, .reusable = true}, SHIFT(815),
  [2167] = {.count = 1, .reusable = false}, SHIFT(815),
  [2169] = {.count = 1, .reusable = true}, SHIFT(816),
  [2171] = {.count = 1, .reusable = false}, SHIFT(816),
  [2173] = {.count = 1, .reusable = true}, SHIFT(817),
  [2175] = {.count = 1, .reusable = false}, SHIFT(817),
  [2177] = {.count = 1, .reusable = true}, SHIFT(818),
  [2179] = {.count = 1, .reusable = false}, SHIFT(818),
  [2181] = {.count = 1, .reusable = true}, SHIFT(819),
  [2183] = {.count = 1, .reusable = false}, SHIFT(819),
  [2185] = {.count = 1, .reusable = true}, SHIFT(820),
  [2187] = {.count = 1, .reusable = false}, SHIFT(820),
  [2189] = {.count = 1, .reusable = true}, SHIFT(821),
  [2191] = {.count = 1, .reusable = false}, SHIFT(821),
  [2193] = {.count = 1, .reusable = true}, SHIFT(822),
  [2195] = {.count = 1, .reusable = false}, SHIFT(822),
  [2197] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_declaration_repeat1, 2),
  [2199] = {.count = 1, .reusable = true}, REDUCE(sym_array_field_declarator, 3),
  [2201] = {.count = 1, .reusable = true}, SHIFT(823),
  [2203] = {.count = 1, .reusable = true}, SHIFT(824),
  [2205] = {.count = 1, .reusable = false}, SHIFT(824),
  [2207] = {.count = 1, .reusable = true}, SHIFT(825),
  [2209] = {.count = 1, .reusable = true}, SHIFT(826),
  [2211] = {.count = 1, .reusable = false}, SHIFT(826),
  [2213] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_declaration_repeat1, 2), SHIFT_REPEAT(368),
  [2216] = {.count = 1, .reusable = true}, REDUCE(sym__abstract_declarator, 3),
  [2218] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_pointer_declarator, 3),
  [2220] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(11),
  [2223] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_array_declarator, 3),
  [2225] = {.count = 1, .reusable = true}, SHIFT(827),
  [2227] = {.count = 1, .reusable = true}, SHIFT(828),
  [2229] = {.count = 1, .reusable = false}, SHIFT(828),
  [2231] = {.count = 1, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [2233] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 4, .dynamic_precedence = 1),
  [2235] = {.count = 2, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(385),
  [2238] = {.count = 3, .reusable = true}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .alias_sequence_id = 1), SHIFT(41),
  [2242] = {.count = 2, .reusable = true}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .alias_sequence_id = 1),
  [2245] = {.count = 1, .reusable = true}, SHIFT(831),
  [2247] = {.count = 1, .reusable = true}, SHIFT(833),
  [2249] = {.count = 1, .reusable = true}, SHIFT(834),
  [2251] = {.count = 1, .reusable = false}, SHIFT(834),
  [2253] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [2255] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [2257] = {.count = 1, .reusable = true}, SHIFT(835),
  [2259] = {.count = 1, .reusable = false}, SHIFT(835),
  [2261] = {.count = 1, .reusable = true}, SHIFT(836),
  [2263] = {.count = 1, .reusable = false}, SHIFT(836),
  [2265] = {.count = 1, .reusable = true}, SHIFT(837),
  [2267] = {.count = 1, .reusable = false}, SHIFT(837),
  [2269] = {.count = 1, .reusable = true}, SHIFT(838),
  [2271] = {.count = 1, .reusable = false}, SHIFT(838),
  [2273] = {.count = 1, .reusable = true}, SHIFT(839),
  [2275] = {.count = 1, .reusable = false}, SHIFT(839),
  [2277] = {.count = 1, .reusable = true}, SHIFT(840),
  [2279] = {.count = 1, .reusable = false}, SHIFT(840),
  [2281] = {.count = 1, .reusable = true}, SHIFT(841),
  [2283] = {.count = 1, .reusable = false}, SHIFT(841),
  [2285] = {.count = 1, .reusable = true}, SHIFT(842),
  [2287] = {.count = 1, .reusable = false}, SHIFT(842),
  [2289] = {.count = 1, .reusable = true}, SHIFT(843),
  [2291] = {.count = 1, .reusable = false}, SHIFT(843),
  [2293] = {.count = 1, .reusable = true}, SHIFT(844),
  [2295] = {.count = 1, .reusable = false}, SHIFT(844),
  [2297] = {.count = 1, .reusable = true}, SHIFT(845),
  [2299] = {.count = 1, .reusable = false}, SHIFT(845),
  [2301] = {.count = 1, .reusable = true}, SHIFT(846),
  [2303] = {.count = 1, .reusable = false}, SHIFT(846),
  [2305] = {.count = 1, .reusable = false}, SHIFT(848),
  [2307] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_compound_statement, 3, .alias_sequence_id = 5),
  [2309] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_compound_statement, 3, .alias_sequence_id = 5),
  [2311] = {.count = 1, .reusable = true}, SHIFT(849),
  [2313] = {.count = 1, .reusable = true}, SHIFT(850),
  [2315] = {.count = 1, .reusable = false}, SHIFT(851),
  [2317] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_else_in_compound_statement, 1, .alias_sequence_id = 6),
  [2319] = {.count = 1, .reusable = false}, SHIFT(852),
  [2321] = {.count = 1, .reusable = false}, SHIFT(853),
  [2323] = {.count = 1, .reusable = true}, SHIFT(854),
  [2325] = {.count = 1, .reusable = false}, SHIFT(855),
  [2327] = {.count = 1, .reusable = false}, SHIFT(856),
  [2329] = {.count = 1, .reusable = false}, SHIFT(857),
  [2331] = {.count = 1, .reusable = false}, SHIFT(858),
  [2333] = {.count = 1, .reusable = false}, SHIFT(859),
  [2335] = {.count = 1, .reusable = false}, SHIFT(860),
  [2337] = {.count = 1, .reusable = false}, SHIFT(861),
  [2339] = {.count = 1, .reusable = false}, SHIFT(862),
  [2341] = {.count = 1, .reusable = false}, SHIFT(863),
  [2343] = {.count = 1, .reusable = false}, SHIFT(864),
  [2345] = {.count = 1, .reusable = false}, SHIFT(865),
  [2347] = {.count = 1, .reusable = true}, SHIFT(870),
  [2349] = {.count = 1, .reusable = false}, SHIFT(870),
  [2351] = {.count = 1, .reusable = false}, SHIFT(866),
  [2353] = {.count = 1, .reusable = false}, SHIFT(873),
  [2355] = {.count = 1, .reusable = true}, SHIFT(874),
  [2357] = {.count = 1, .reusable = true}, SHIFT(875),
  [2359] = {.count = 1, .reusable = true}, SHIFT(876),
  [2361] = {.count = 1, .reusable = false}, SHIFT(876),
  [2363] = {.count = 1, .reusable = true}, SHIFT(877),
  [2365] = {.count = 1, .reusable = true}, SHIFT(878),
  [2367] = {.count = 1, .reusable = true}, SHIFT(880),
  [2369] = {.count = 1, .reusable = true}, SHIFT(881),
  [2371] = {.count = 1, .reusable = true}, SHIFT(882),
  [2373] = {.count = 1, .reusable = false}, SHIFT(882),
  [2375] = {.count = 1, .reusable = true}, SHIFT(883),
  [2377] = {.count = 1, .reusable = true}, SHIFT(884),
  [2379] = {.count = 1, .reusable = true}, SHIFT(885),
  [2381] = {.count = 1, .reusable = true}, SHIFT(886),
  [2383] = {.count = 1, .reusable = true}, SHIFT(887),
  [2385] = {.count = 1, .reusable = true}, SHIFT(888),
  [2387] = {.count = 1, .reusable = true}, SHIFT(889),
  [2389] = {.count = 1, .reusable = true}, SHIFT(890),
  [2391] = {.count = 1, .reusable = false}, SHIFT(891),
  [2393] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 3, .alias_sequence_id = 7),
  [2395] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 3, .alias_sequence_id = 7),
  [2397] = {.count = 1, .reusable = true}, SHIFT(895),
  [2399] = {.count = 1, .reusable = true}, SHIFT(896),
  [2401] = {.count = 1, .reusable = false}, SHIFT(897),
  [2403] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 3, .alias_sequence_id = 8),
  [2405] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 3, .alias_sequence_id = 8),
  [2407] = {.count = 1, .reusable = true}, SHIFT(900),
  [2409] = {.count = 1, .reusable = true}, SHIFT(901),
  [2411] = {.count = 1, .reusable = false}, SHIFT(902),
  [2413] = {.count = 1, .reusable = true}, SHIFT(906),
  [2415] = {.count = 1, .reusable = true}, SHIFT(907),
  [2417] = {.count = 1, .reusable = false}, SHIFT(907),
  [2419] = {.count = 1, .reusable = true}, SHIFT(908),
  [2421] = {.count = 1, .reusable = true}, SHIFT(909),
  [2423] = {.count = 1, .reusable = false}, SHIFT(910),
  [2425] = {.count = 1, .reusable = false}, SHIFT(911),
  [2427] = {.count = 1, .reusable = true}, SHIFT(912),
  [2429] = {.count = 1, .reusable = true}, SHIFT(911),
  [2431] = {.count = 1, .reusable = false}, SHIFT(913),
  [2433] = {.count = 1, .reusable = true}, SHIFT(914),
  [2435] = {.count = 1, .reusable = true}, SHIFT(915),
  [2437] = {.count = 1, .reusable = false}, SHIFT(916),
  [2439] = {.count = 1, .reusable = false}, SHIFT(917),
  [2441] = {.count = 1, .reusable = true}, SHIFT(918),
  [2443] = {.count = 1, .reusable = false}, SHIFT(919),
  [2445] = {.count = 1, .reusable = true}, SHIFT(919),
  [2447] = {.count = 1, .reusable = false}, SHIFT(920),
  [2449] = {.count = 1, .reusable = false}, SHIFT(921),
  [2451] = {.count = 1, .reusable = true}, SHIFT(922),
  [2453] = {.count = 1, .reusable = true}, SHIFT(923),
  [2455] = {.count = 1, .reusable = true}, SHIFT(925),
  [2457] = {.count = 1, .reusable = true}, SHIFT(926),
  [2459] = {.count = 1, .reusable = false}, SHIFT(926),
  [2461] = {.count = 1, .reusable = true}, SHIFT(928),
  [2463] = {.count = 1, .reusable = false}, SHIFT(928),
  [2465] = {.count = 1, .reusable = true}, SHIFT(929),
  [2467] = {.count = 1, .reusable = false}, SHIFT(929),
  [2469] = {.count = 1, .reusable = true}, SHIFT(930),
  [2471] = {.count = 1, .reusable = false}, SHIFT(930),
  [2473] = {.count = 1, .reusable = true}, SHIFT(931),
  [2475] = {.count = 1, .reusable = false}, SHIFT(931),
  [2477] = {.count = 1, .reusable = true}, SHIFT(932),
  [2479] = {.count = 1, .reusable = false}, SHIFT(932),
  [2481] = {.count = 1, .reusable = true}, SHIFT(933),
  [2483] = {.count = 1, .reusable = false}, SHIFT(933),
  [2485] = {.count = 1, .reusable = true}, SHIFT(934),
  [2487] = {.count = 1, .reusable = false}, SHIFT(934),
  [2489] = {.count = 1, .reusable = true}, SHIFT(935),
  [2491] = {.count = 1, .reusable = false}, SHIFT(935),
  [2493] = {.count = 1, .reusable = true}, SHIFT(936),
  [2495] = {.count = 1, .reusable = false}, SHIFT(936),
  [2497] = {.count = 1, .reusable = true}, SHIFT(937),
  [2499] = {.count = 1, .reusable = false}, SHIFT(937),
  [2501] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 3),
  [2503] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 3),
  [2505] = {.count = 1, .reusable = true}, SHIFT(938),
  [2507] = {.count = 1, .reusable = true}, SHIFT(939),
  [2509] = {.count = 1, .reusable = false}, SHIFT(939),
  [2511] = {.count = 1, .reusable = true}, SHIFT(940),
  [2513] = {.count = 1, .reusable = false}, SHIFT(940),
  [2515] = {.count = 1, .reusable = true}, SHIFT(941),
  [2517] = {.count = 1, .reusable = false}, SHIFT(942),
  [2519] = {.count = 1, .reusable = true}, SHIFT(943),
  [2521] = {.count = 1, .reusable = false}, SHIFT(943),
  [2523] = {.count = 1, .reusable = true}, SHIFT(944),
  [2525] = {.count = 1, .reusable = true}, SHIFT(945),
  [2527] = {.count = 1, .reusable = false}, SHIFT(945),
  [2529] = {.count = 1, .reusable = true}, SHIFT(946),
  [2531] = {.count = 1, .reusable = true}, SHIFT(947),
  [2533] = {.count = 1, .reusable = true}, SHIFT(948),
  [2535] = {.count = 1, .reusable = false}, SHIFT(948),
  [2537] = {.count = 1, .reusable = true}, SHIFT(949),
  [2539] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3),
  [2541] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3),
  [2543] = {.count = 1, .reusable = false}, REDUCE(sym_goto_statement, 3, .alias_sequence_id = 28),
  [2545] = {.count = 1, .reusable = true}, REDUCE(sym_goto_statement, 3, .alias_sequence_id = 28),
  [2547] = {.count = 1, .reusable = true}, SHIFT(950),
  [2549] = {.count = 1, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2551] = {.count = 1, .reusable = false}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2553] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(714),
  [2556] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 29),
  [2558] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 29),
  [2560] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2, .dynamic_precedence = 1),
  [2562] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2, .dynamic_precedence = 1),
  [2564] = {.count = 1, .reusable = true}, SHIFT(951),
  [2566] = {.count = 1, .reusable = true}, SHIFT(952),
  [2568] = {.count = 1, .reusable = true}, REDUCE(sym_comma_expression, 3),
  [2570] = {.count = 1, .reusable = true}, REDUCE(sym_math_expression, 3),
  [2572] = {.count = 1, .reusable = false}, REDUCE(sym_math_expression, 3),
  [2574] = {.count = 1, .reusable = true}, SHIFT(954),
  [2576] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3),
  [2578] = {.count = 1, .reusable = true}, SHIFT(955),
  [2580] = {.count = 1, .reusable = true}, REDUCE(sym_bitwise_expression, 3),
  [2582] = {.count = 1, .reusable = false}, REDUCE(sym_bitwise_expression, 3),
  [2584] = {.count = 1, .reusable = true}, REDUCE(sym_logical_expression, 3),
  [2586] = {.count = 1, .reusable = false}, REDUCE(sym_logical_expression, 3),
  [2588] = {.count = 1, .reusable = true}, REDUCE(sym_equality_expression, 3),
  [2590] = {.count = 1, .reusable = false}, REDUCE(sym_equality_expression, 3),
  [2592] = {.count = 1, .reusable = true}, REDUCE(sym_relational_expression, 3),
  [2594] = {.count = 1, .reusable = false}, REDUCE(sym_relational_expression, 3),
  [2596] = {.count = 1, .reusable = true}, REDUCE(sym_shift_expression, 3),
  [2598] = {.count = 1, .reusable = false}, REDUCE(sym_shift_expression, 3),
  [2600] = {.count = 1, .reusable = true}, REDUCE(sym_field_expression, 3, .alias_sequence_id = 30),
  [2602] = {.count = 1, .reusable = false}, REDUCE(sym_field_expression, 3, .alias_sequence_id = 30),
  [2604] = {.count = 1, .reusable = true}, SHIFT(956),
  [2606] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(737),
  [2609] = {.count = 1, .reusable = true}, REDUCE(sym_array_declarator, 5),
  [2611] = {.count = 1, .reusable = true}, SHIFT(957),
  [2613] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_list, 3),
  [2615] = {.count = 1, .reusable = false}, REDUCE(sym_initializer_list, 3),
  [2617] = {.count = 1, .reusable = true}, SHIFT(958),
  [2619] = {.count = 1, .reusable = true}, REDUCE(sym_field_designator, 2, .alias_sequence_id = 31),
  [2621] = {.count = 1, .reusable = true}, SHIFT(959),
  [2623] = {.count = 1, .reusable = true}, SHIFT(960),
  [2625] = {.count = 1, .reusable = false}, SHIFT(960),
  [2627] = {.count = 1, .reusable = true}, SHIFT(962),
  [2629] = {.count = 1, .reusable = true}, SHIFT(964),
  [2631] = {.count = 1, .reusable = false}, SHIFT(964),
  [2633] = {.count = 2, .reusable = true}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(489),
  [2636] = {.count = 1, .reusable = true}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [2638] = {.count = 2, .reusable = true}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(490),
  [2641] = {.count = 1, .reusable = true}, SHIFT(966),
  [2643] = {.count = 1, .reusable = true}, SHIFT(967),
  [2645] = {.count = 1, .reusable = true}, SHIFT(968),
  [2647] = {.count = 1, .reusable = true}, SHIFT(969),
  [2649] = {.count = 1, .reusable = true}, SHIFT(970),
  [2651] = {.count = 1, .reusable = true}, SHIFT(971),
  [2653] = {.count = 1, .reusable = true}, SHIFT(972),
  [2655] = {.count = 1, .reusable = true}, SHIFT(973),
  [2657] = {.count = 1, .reusable = true}, REDUCE(sym_array_type_declarator, 5),
  [2659] = {.count = 1, .reusable = true}, SHIFT(974),
  [2661] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(787),
  [2664] = {.count = 1, .reusable = true}, SHIFT(975),
  [2666] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .alias_sequence_id = 32),
  [2668] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .alias_sequence_id = 33),
  [2670] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .alias_sequence_id = 14),
  [2672] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .alias_sequence_id = 34),
  [2674] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .alias_sequence_id = 34),
  [2676] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .alias_sequence_id = 35),
  [2678] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .alias_sequence_id = 35),
  [2680] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .alias_sequence_id = 36),
  [2682] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .alias_sequence_id = 36),
  [2684] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .alias_sequence_id = 37),
  [2686] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .alias_sequence_id = 37),
  [2688] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .alias_sequence_id = 38),
  [2690] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .alias_sequence_id = 38),
  [2692] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .alias_sequence_id = 39),
  [2694] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .alias_sequence_id = 39),
  [2696] = {.count = 1, .reusable = true}, SHIFT(978),
  [2698] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(811),
  [2701] = {.count = 1, .reusable = true}, SHIFT(979),
  [2703] = {.count = 1, .reusable = true}, REDUCE(sym_array_field_declarator, 4),
  [2705] = {.count = 1, .reusable = true}, SHIFT(980),
  [2707] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 5),
  [2709] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 5),
  [2711] = {.count = 1, .reusable = true}, SHIFT(981),
  [2713] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_array_declarator, 4),
  [2715] = {.count = 1, .reusable = true}, SHIFT(982),
  [2717] = {.count = 1, .reusable = true}, SHIFT(984),
  [2719] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(833),
  [2722] = {.count = 1, .reusable = true}, SHIFT(985),
  [2724] = {.count = 1, .reusable = true}, REDUCE(sym_cast_expression, 4),
  [2726] = {.count = 1, .reusable = false}, REDUCE(sym_cast_expression, 4),
  [2728] = {.count = 1, .reusable = true}, REDUCE(sym_compound_literal_expression, 4),
  [2730] = {.count = 1, .reusable = false}, REDUCE(sym_compound_literal_expression, 4),
  [2732] = {.count = 1, .reusable = false}, SHIFT(986),
  [2734] = {.count = 1, .reusable = false}, SHIFT(990),
  [2736] = {.count = 1, .reusable = false}, SHIFT(994),
  [2738] = {.count = 1, .reusable = false}, SHIFT(998),
  [2740] = {.count = 1, .reusable = true}, SHIFT(999),
  [2742] = {.count = 1, .reusable = true}, SHIFT(1000),
  [2744] = {.count = 1, .reusable = true}, SHIFT(1001),
  [2746] = {.count = 1, .reusable = true}, SHIFT(1002),
  [2748] = {.count = 1, .reusable = true}, SHIFT(1003),
  [2750] = {.count = 1, .reusable = false}, SHIFT(1003),
  [2752] = {.count = 1, .reusable = true}, SHIFT(1004),
  [2754] = {.count = 1, .reusable = true}, SHIFT(1005),
  [2756] = {.count = 1, .reusable = true}, SHIFT(1007),
  [2758] = {.count = 1, .reusable = true}, SHIFT(1008),
  [2760] = {.count = 1, .reusable = true}, SHIFT(1009),
  [2762] = {.count = 1, .reusable = false}, SHIFT(1009),
  [2764] = {.count = 1, .reusable = true}, SHIFT(1010),
  [2766] = {.count = 1, .reusable = true}, SHIFT(1011),
  [2768] = {.count = 1, .reusable = true}, SHIFT(1012),
  [2770] = {.count = 1, .reusable = true}, SHIFT(1013),
  [2772] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2774] = {.count = 1, .reusable = true}, SHIFT(1015),
  [2776] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_else_in_compound_statement, 2, .alias_sequence_id = 6),
  [2778] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_elif_in_compound_statement, 2, .alias_sequence_id = 14),
  [2780] = {.count = 1, .reusable = true}, SHIFT(1020),
  [2782] = {.count = 1, .reusable = false}, SHIFT(1020),
  [2784] = {.count = 1, .reusable = true}, SHIFT(1021),
  [2786] = {.count = 1, .reusable = false}, SHIFT(1021),
  [2788] = {.count = 1, .reusable = true}, SHIFT(1022),
  [2790] = {.count = 1, .reusable = false}, SHIFT(1023),
  [2792] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2794] = {.count = 1, .reusable = false}, SHIFT(1026),
  [2796] = {.count = 1, .reusable = true}, SHIFT(1027),
  [2798] = {.count = 1, .reusable = true}, SHIFT(1028),
  [2800] = {.count = 1, .reusable = true}, SHIFT(1029),
  [2802] = {.count = 1, .reusable = false}, SHIFT(1029),
  [2804] = {.count = 1, .reusable = true}, SHIFT(1030),
  [2806] = {.count = 1, .reusable = true}, SHIFT(1031),
  [2808] = {.count = 1, .reusable = false}, SHIFT(1032),
  [2810] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_compound_statement, 4, .alias_sequence_id = 22),
  [2812] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_compound_statement, 4, .alias_sequence_id = 22),
  [2814] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_compound_statement, 4, .alias_sequence_id = 23),
  [2816] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_compound_statement, 4, .alias_sequence_id = 23),
  [2818] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_compound_statement, 4, .alias_sequence_id = 15),
  [2820] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_compound_statement, 4, .alias_sequence_id = 15),
  [2822] = {.count = 1, .reusable = true}, SHIFT(1034),
  [2824] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2826] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(58),
  [2829] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(59),
  [2832] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(635),
  [2835] = {.count = 1, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2),
  [2837] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(637),
  [2840] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(638),
  [2843] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(66),
  [2846] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(641),
  [2849] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(67),
  [2852] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(313),
  [2855] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(642),
  [2858] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(643),
  [2861] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(644),
  [2864] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(645),
  [2867] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(646),
  [2870] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(647),
  [2873] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(648),
  [2876] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(649),
  [2879] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(650),
  [2882] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(651),
  [2885] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(652),
  [2888] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(659),
  [2891] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(659),
  [2894] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(653),
  [2897] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 24),
  [2899] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 24),
  [2901] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 25),
  [2903] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 25),
  [2905] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 16),
  [2907] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 16),
  [2909] = {.count = 1, .reusable = true}, SHIFT(1036),
  [2911] = {.count = 1, .reusable = true}, SHIFT(1037),
  [2913] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 26),
  [2915] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 26),
  [2917] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 27),
  [2919] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 27),
  [2921] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 17),
  [2923] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 4, .alias_sequence_id = 17),
  [2925] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2927] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2929] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2931] = {.count = 1, .reusable = true}, SHIFT(1042),
  [2933] = {.count = 1, .reusable = false}, SHIFT(1043),
  [2935] = {.count = 1, .reusable = false}, SHIFT(1044),
  [2937] = {.count = 1, .reusable = false}, SHIFT(1045),
  [2939] = {.count = 1, .reusable = false}, SHIFT(1046),
  [2941] = {.count = 1, .reusable = false}, SHIFT(1047),
  [2943] = {.count = 1, .reusable = false}, SHIFT(1048),
  [2945] = {.count = 1, .reusable = false}, SHIFT(1049),
  [2947] = {.count = 1, .reusable = true}, SHIFT(1051),
  [2949] = {.count = 1, .reusable = false}, SHIFT(1051),
  [2951] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2953] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2955] = {.count = 1, .reusable = true}, SHIFT(1053),
  [2957] = {.count = 1, .reusable = false}, SHIFT(1053),
  [2959] = {.count = 1, .reusable = true}, SHIFT(1054),
  [2961] = {.count = 1, .reusable = false}, SHIFT(1054),
  [2963] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2965] = {.count = 1, .reusable = false}, SHIFT(1055),
  [2967] = {.count = 1, .reusable = true}, SHIFT(1056),
  [2969] = {.count = 1, .reusable = false}, SHIFT(1056),
  [2971] = {.count = 1, .reusable = true}, SHIFT(1057),
  [2973] = {.count = 1, .reusable = false}, SHIFT(1057),
  [2975] = {.count = 1, .reusable = true}, SHIFT(1058),
  [2977] = {.count = 1, .reusable = false}, SHIFT(1058),
  [2979] = {.count = 1, .reusable = true}, SHIFT(1059),
  [2981] = {.count = 1, .reusable = false}, SHIFT(1059),
  [2983] = {.count = 1, .reusable = true}, SHIFT(1060),
  [2985] = {.count = 1, .reusable = false}, SHIFT(1060),
  [2987] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2989] = {.count = 1, .reusable = false}, SHIFT(1061),
  [2991] = {.count = 1, .reusable = true}, SHIFT(1063),
  [2993] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(925),
  [2996] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 4),
  [2998] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 4),
  [3000] = {.count = 1, .reusable = true}, SHIFT(1064),
  [3002] = {.count = 1, .reusable = true}, SHIFT(1066),
  [3004] = {.count = 1, .reusable = true}, SHIFT(1067),
  [3006] = {.count = 1, .reusable = true}, SHIFT(1068),
  [3008] = {.count = 1, .reusable = true}, SHIFT(1069),
  [3010] = {.count = 1, .reusable = true}, SHIFT(1070),
  [3012] = {.count = 1, .reusable = false}, SHIFT(1070),
  [3014] = {.count = 1, .reusable = true}, SHIFT(1071),
  [3016] = {.count = 1, .reusable = true}, SHIFT(1072),
  [3018] = {.count = 1, .reusable = false}, SHIFT(1072),
  [3020] = {.count = 1, .reusable = true}, SHIFT(1073),
  [3022] = {.count = 1, .reusable = true}, SHIFT(1074),
  [3024] = {.count = 1, .reusable = false}, SHIFT(1074),
  [3026] = {.count = 1, .reusable = true}, SHIFT(1075),
  [3028] = {.count = 1, .reusable = true}, SHIFT(1076),
  [3030] = {.count = 1, .reusable = false}, SHIFT(1076),
  [3032] = {.count = 1, .reusable = true}, REDUCE(sym_sizeof_expression, 4),
  [3034] = {.count = 1, .reusable = false}, SHIFT(230),
  [3036] = {.count = 1, .reusable = false}, REDUCE(sym_sizeof_expression, 4),
  [3038] = {.count = 1, .reusable = false}, SHIFT(242),
  [3040] = {.count = 1, .reusable = true}, SHIFT(1077),
  [3042] = {.count = 1, .reusable = false}, SHIFT(1077),
  [3044] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3, .dynamic_precedence = 1),
  [3046] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3, .dynamic_precedence = 1),
  [3048] = {.count = 1, .reusable = true}, SHIFT(1078),
  [3050] = {.count = 1, .reusable = true}, REDUCE(sym_subscript_expression, 4),
  [3052] = {.count = 1, .reusable = false}, REDUCE(sym_subscript_expression, 4),
  [3054] = {.count = 1, .reusable = true}, SHIFT(1080),
  [3056] = {.count = 1, .reusable = false}, SHIFT(1080),
  [3058] = {.count = 1, .reusable = false}, SHIFT(255),
  [3060] = {.count = 1, .reusable = false}, SHIFT(257),
  [3062] = {.count = 1, .reusable = true}, SHIFT(1081),
  [3064] = {.count = 1, .reusable = false}, SHIFT(1081),
  [3066] = {.count = 1, .reusable = true}, REDUCE(sym_subscript_designator, 3),
  [3068] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_list, 4),
  [3070] = {.count = 1, .reusable = false}, REDUCE(sym_initializer_list, 4),
  [3072] = {.count = 1, .reusable = true}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [3074] = {.count = 1, .reusable = true}, SHIFT(1082),
  [3076] = {.count = 2, .reusable = true}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(1083),
  [3079] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_pair, 3),
  [3081] = {.count = 1, .reusable = false}, SHIFT(331),
  [3083] = {.count = 1, .reusable = false}, SHIFT(332),
  [3085] = {.count = 1, .reusable = true}, SHIFT(1084),
  [3087] = {.count = 1, .reusable = false}, SHIFT(1084),
  [3089] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .alias_sequence_id = 40),
  [3091] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .alias_sequence_id = 41),
  [3093] = {.count = 1, .reusable = false}, SHIFT(361),
  [3095] = {.count = 1, .reusable = false}, SHIFT(362),
  [3097] = {.count = 1, .reusable = true}, SHIFT(1085),
  [3099] = {.count = 1, .reusable = false}, SHIFT(1085),
  [3101] = {.count = 1, .reusable = true}, REDUCE(sym_array_field_declarator, 5),
  [3103] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 6),
  [3105] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 6),
  [3107] = {.count = 1, .reusable = true}, REDUCE(sym_abstract_array_declarator, 5),
  [3109] = {.count = 1, .reusable = false}, SHIFT(397),
  [3111] = {.count = 1, .reusable = false}, SHIFT(398),
  [3113] = {.count = 1, .reusable = true}, SHIFT(1086),
  [3115] = {.count = 1, .reusable = false}, SHIFT(1086),
  [3117] = {.count = 1, .reusable = true}, SHIFT(1087),
  [3119] = {.count = 1, .reusable = true}, SHIFT(1088),
  [3121] = {.count = 1, .reusable = false}, SHIFT(1089),
  [3123] = {.count = 1, .reusable = true}, SHIFT(1092),
  [3125] = {.count = 1, .reusable = true}, SHIFT(1093),
  [3127] = {.count = 1, .reusable = false}, SHIFT(1094),
  [3129] = {.count = 1, .reusable = true}, SHIFT(1097),
  [3131] = {.count = 1, .reusable = true}, SHIFT(1098),
  [3133] = {.count = 1, .reusable = false}, SHIFT(1099),
  [3135] = {.count = 1, .reusable = false}, SHIFT(1102),
  [3137] = {.count = 1, .reusable = false}, SHIFT(1106),
  [3139] = {.count = 1, .reusable = false}, SHIFT(1110),
  [3141] = {.count = 1, .reusable = true}, SHIFT(1114),
  [3143] = {.count = 1, .reusable = false}, SHIFT(1114),
  [3145] = {.count = 1, .reusable = true}, SHIFT(1115),
  [3147] = {.count = 1, .reusable = false}, SHIFT(1115),
  [3149] = {.count = 1, .reusable = true}, SHIFT(1116),
  [3151] = {.count = 1, .reusable = false}, SHIFT(1117),
  [3153] = {.count = 1, .reusable = true}, SHIFT(1120),
  [3155] = {.count = 1, .reusable = false}, SHIFT(1120),
  [3157] = {.count = 1, .reusable = true}, SHIFT(1121),
  [3159] = {.count = 1, .reusable = true}, SHIFT(1122),
  [3161] = {.count = 1, .reusable = true}, SHIFT(1123),
  [3163] = {.count = 1, .reusable = false}, SHIFT(1123),
  [3165] = {.count = 1, .reusable = true}, SHIFT(1124),
  [3167] = {.count = 1, .reusable = true}, SHIFT(1125),
  [3169] = {.count = 1, .reusable = false}, SHIFT(1126),
  [3171] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(142),
  [3174] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(143),
  [3177] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(851),
  [3180] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(852),
  [3183] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(853),
  [3186] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(147),
  [3189] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(854),
  [3192] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(148),
  [3195] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(525),
  [3198] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(855),
  [3201] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(856),
  [3204] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(857),
  [3207] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(858),
  [3210] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(859),
  [3213] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(860),
  [3216] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(861),
  [3219] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(862),
  [3222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(863),
  [3225] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(864),
  [3228] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(865),
  [3231] = {.count = 2, .reusable = true}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(870),
  [3234] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(870),
  [3237] = {.count = 2, .reusable = false}, REDUCE(aux_sym_preproc_if_in_compound_statement_repeat1, 2), SHIFT_REPEAT(866),
  [3240] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_compound_statement, 3, .alias_sequence_id = 32),
  [3242] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_compound_statement, 3, .alias_sequence_id = 33),
  [3244] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_elif_in_compound_statement, 3, .alias_sequence_id = 14),
  [3246] = {.count = 1, .reusable = true}, SHIFT(1130),
  [3248] = {.count = 1, .reusable = true}, SHIFT(1131),
  [3250] = {.count = 1, .reusable = true}, SHIFT(1133),
  [3252] = {.count = 1, .reusable = true}, SHIFT(1134),
  [3254] = {.count = 1, .reusable = true}, SHIFT(1135),
  [3256] = {.count = 1, .reusable = true}, SHIFT(1136),
  [3258] = {.count = 1, .reusable = false}, SHIFT(1136),
  [3260] = {.count = 1, .reusable = true}, SHIFT(1137),
  [3262] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_compound_statement, 5, .alias_sequence_id = 34),
  [3264] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_compound_statement, 5, .alias_sequence_id = 34),
  [3266] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_if_in_compound_statement, 5, .alias_sequence_id = 35),
  [3268] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_if_in_compound_statement, 5, .alias_sequence_id = 35),
  [3270] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 5, .alias_sequence_id = 36),
  [3272] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 5, .alias_sequence_id = 36),
  [3274] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 5, .alias_sequence_id = 37),
  [3276] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 5, .alias_sequence_id = 37),
  [3278] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 5, .alias_sequence_id = 38),
  [3280] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 5, .alias_sequence_id = 38),
  [3282] = {.count = 1, .reusable = false}, REDUCE(sym_preproc_ifdef_in_compound_statement, 5, .alias_sequence_id = 39),
  [3284] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_ifdef_in_compound_statement, 5, .alias_sequence_id = 39),
  [3286] = {.count = 1, .reusable = true}, SHIFT(1138),
  [3288] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1042),
  [3291] = {.count = 1, .reusable = true}, SHIFT(1139),
  [3293] = {.count = 1, .reusable = true}, SHIFT(1140),
  [3295] = {.count = 1, .reusable = true}, SHIFT(1141),
  [3297] = {.count = 1, .reusable = false}, SHIFT(1141),
  [3299] = {.count = 1, .reusable = true}, SHIFT(1142),
  [3301] = {.count = 1, .reusable = true}, SHIFT(1143),
  [3303] = {.count = 1, .reusable = true}, SHIFT(1144),
  [3305] = {.count = 1, .reusable = true}, SHIFT(1145),
  [3307] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5),
  [3309] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5),
  [3311] = {.count = 1, .reusable = false}, SHIFT(1146),
  [3313] = {.count = 1, .reusable = true}, SHIFT(1147),
  [3315] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 5),
  [3317] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 5),
  [3319] = {.count = 1, .reusable = false}, SHIFT(414),
  [3321] = {.count = 1, .reusable = false}, SHIFT(415),
  [3323] = {.count = 1, .reusable = true}, SHIFT(1148),
  [3325] = {.count = 1, .reusable = false}, SHIFT(1148),
  [3327] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5),
  [3329] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5),
  [3331] = {.count = 1, .reusable = false}, SHIFT(1149),
  [3333] = {.count = 1, .reusable = false}, SHIFT(1150),
  [3335] = {.count = 1, .reusable = false}, SHIFT(1151),
  [3337] = {.count = 1, .reusable = false}, SHIFT(1152),
  [3339] = {.count = 1, .reusable = false}, SHIFT(1153),
  [3341] = {.count = 1, .reusable = false}, SHIFT(1154),
  [3343] = {.count = 1, .reusable = false}, SHIFT(1155),
  [3345] = {.count = 1, .reusable = true}, SHIFT(1157),
  [3347] = {.count = 1, .reusable = true}, SHIFT(1158),
  [3349] = {.count = 1, .reusable = false}, SHIFT(1158),
  [3351] = {.count = 1, .reusable = true}, SHIFT(1159),
  [3353] = {.count = 1, .reusable = true}, SHIFT(1160),
  [3355] = {.count = 1, .reusable = false}, SHIFT(1160),
  [3357] = {.count = 1, .reusable = true}, SHIFT(1161),
  [3359] = {.count = 1, .reusable = true}, SHIFT(1163),
  [3361] = {.count = 1, .reusable = true}, SHIFT(1165),
  [3363] = {.count = 1, .reusable = false}, SHIFT(1165),
  [3365] = {.count = 1, .reusable = true}, SHIFT(1166),
  [3367] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3369] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4, .dynamic_precedence = 1),
  [3371] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4, .dynamic_precedence = 1),
  [3373] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(951),
  [3376] = {.count = 1, .reusable = true}, REDUCE(sym_conditional_expression, 5),
  [3378] = {.count = 1, .reusable = true}, REDUCE(sym_initializer_list, 5),
  [3380] = {.count = 1, .reusable = false}, REDUCE(sym_initializer_list, 5),
  [3382] = {.count = 1, .reusable = true}, SHIFT(1167),
  [3384] = {.count = 1, .reusable = true}, SHIFT(1168),
  [3386] = {.count = 1, .reusable = true}, SHIFT(1169),
  [3388] = {.count = 1, .reusable = true}, SHIFT(1170),
  [3390] = {.count = 1, .reusable = true}, SHIFT(1171),
  [3392] = {.count = 1, .reusable = true}, SHIFT(1172),
  [3394] = {.count = 1, .reusable = true}, SHIFT(1173),
  [3396] = {.count = 1, .reusable = true}, SHIFT(1174),
  [3398] = {.count = 1, .reusable = false}, SHIFT(1175),
  [3400] = {.count = 1, .reusable = true}, SHIFT(1178),
  [3402] = {.count = 1, .reusable = true}, SHIFT(1179),
  [3404] = {.count = 1, .reusable = false}, SHIFT(1180),
  [3406] = {.count = 1, .reusable = true}, SHIFT(1183),
  [3408] = {.count = 1, .reusable = true}, SHIFT(1184),
  [3410] = {.count = 1, .reusable = false}, SHIFT(1185),
  [3412] = {.count = 1, .reusable = true}, SHIFT(1188),
  [3414] = {.count = 1, .reusable = true}, SHIFT(1189),
  [3416] = {.count = 1, .reusable = true}, SHIFT(1191),
  [3418] = {.count = 1, .reusable = true}, SHIFT(1192),
  [3420] = {.count = 1, .reusable = true}, SHIFT(1193),
  [3422] = {.count = 1, .reusable = true}, SHIFT(1194),
  [3424] = {.count = 1, .reusable = false}, SHIFT(1194),
  [3426] = {.count = 1, .reusable = true}, SHIFT(1195),
  [3428] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_compound_statement, 4, .alias_sequence_id = 40),
  [3430] = {.count = 1, .reusable = true}, REDUCE(sym_preproc_elif_in_compound_statement, 4, .alias_sequence_id = 41),
  [3432] = {.count = 1, .reusable = false}, SHIFT(1196),
  [3434] = {.count = 1, .reusable = false}, SHIFT(1197),
  [3436] = {.count = 1, .reusable = false}, SHIFT(1198),
  [3438] = {.count = 1, .reusable = false}, SHIFT(1199),
  [3440] = {.count = 1, .reusable = false}, SHIFT(1200),
  [3442] = {.count = 1, .reusable = false}, SHIFT(1201),
  [3444] = {.count = 1, .reusable = false}, SHIFT(1202),
  [3446] = {.count = 1, .reusable = true}, SHIFT(1206),
  [3448] = {.count = 1, .reusable = false}, SHIFT(1206),
  [3450] = {.count = 1, .reusable = true}, SHIFT(1207),
  [3452] = {.count = 1, .reusable = true}, SHIFT(1208),
  [3454] = {.count = 1, .reusable = false}, SHIFT(1208),
  [3456] = {.count = 1, .reusable = true}, SHIFT(1209),
  [3458] = {.count = 1, .reusable = true}, SHIFT(1210),
  [3460] = {.count = 1, .reusable = false}, SHIFT(1210),
  [3462] = {.count = 1, .reusable = false}, SHIFT(671),
  [3464] = {.count = 1, .reusable = false}, SHIFT(672),
  [3466] = {.count = 1, .reusable = true}, SHIFT(1211),
  [3468] = {.count = 1, .reusable = false}, SHIFT(1211),
  [3470] = {.count = 1, .reusable = true}, SHIFT(1212),
  [3472] = {.count = 1, .reusable = false}, SHIFT(1212),
  [3474] = {.count = 1, .reusable = true}, SHIFT(1213),
  [3476] = {.count = 1, .reusable = false}, SHIFT(1214),
  [3478] = {.count = 1, .reusable = true}, SHIFT(1215),
  [3480] = {.count = 1, .reusable = false}, SHIFT(1215),
  [3482] = {.count = 1, .reusable = true}, SHIFT(1216),
  [3484] = {.count = 1, .reusable = true}, SHIFT(1217),
  [3486] = {.count = 1, .reusable = false}, SHIFT(1217),
  [3488] = {.count = 1, .reusable = true}, SHIFT(1219),
  [3490] = {.count = 1, .reusable = false}, SHIFT(1219),
  [3492] = {.count = 1, .reusable = true}, SHIFT(1220),
  [3494] = {.count = 1, .reusable = true}, SHIFT(1221),
  [3496] = {.count = 1, .reusable = true}, SHIFT(1222),
  [3498] = {.count = 1, .reusable = false}, SHIFT(1222),
  [3500] = {.count = 1, .reusable = true}, SHIFT(1223),
  [3502] = {.count = 1, .reusable = true}, SHIFT(1224),
  [3504] = {.count = 1, .reusable = true}, SHIFT(1225),
  [3506] = {.count = 1, .reusable = true}, SHIFT(1226),
  [3508] = {.count = 1, .reusable = true}, SHIFT(1227),
  [3510] = {.count = 1, .reusable = true}, SHIFT(1228),
  [3512] = {.count = 1, .reusable = true}, SHIFT(1230),
  [3514] = {.count = 1, .reusable = false}, SHIFT(1230),
  [3516] = {.count = 1, .reusable = true}, SHIFT(1231),
  [3518] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 6),
  [3520] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 6),
  [3522] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6),
  [3524] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6),
  [3526] = {.count = 1, .reusable = true}, SHIFT(1233),
  [3528] = {.count = 1, .reusable = true}, SHIFT(1235),
  [3530] = {.count = 1, .reusable = false}, SHIFT(1235),
  [3532] = {.count = 1, .reusable = true}, SHIFT(1236),
  [3534] = {.count = 1, .reusable = true}, SHIFT(1237),
  [3536] = {.count = 1, .reusable = true}, SHIFT(1238),
  [3538] = {.count = 1, .reusable = true}, SHIFT(1239),
  [3540] = {.count = 1, .reusable = true}, SHIFT(1240),
  [3542] = {.count = 1, .reusable = true}, SHIFT(1241),
  [3544] = {.count = 1, .reusable = false}, SHIFT(1242),
  [3546] = {.count = 1, .reusable = false}, SHIFT(1243),
  [3548] = {.count = 1, .reusable = false}, SHIFT(1244),
  [3550] = {.count = 1, .reusable = false}, SHIFT(1245),
  [3552] = {.count = 1, .reusable = false}, SHIFT(1246),
  [3554] = {.count = 1, .reusable = false}, SHIFT(1247),
  [3556] = {.count = 1, .reusable = false}, SHIFT(1248),
  [3558] = {.count = 1, .reusable = true}, SHIFT(1252),
  [3560] = {.count = 1, .reusable = false}, SHIFT(1252),
  [3562] = {.count = 1, .reusable = true}, SHIFT(1253),
  [3564] = {.count = 1, .reusable = true}, SHIFT(1254),
  [3566] = {.count = 1, .reusable = false}, SHIFT(1254),
  [3568] = {.count = 1, .reusable = true}, SHIFT(1255),
  [3570] = {.count = 1, .reusable = true}, SHIFT(1256),
  [3572] = {.count = 1, .reusable = false}, SHIFT(1256),
  [3574] = {.count = 1, .reusable = true}, SHIFT(1257),
  [3576] = {.count = 1, .reusable = true}, SHIFT(1258),
  [3578] = {.count = 1, .reusable = true}, SHIFT(1259),
  [3580] = {.count = 1, .reusable = false}, SHIFT(1259),
  [3582] = {.count = 1, .reusable = true}, SHIFT(1260),
  [3584] = {.count = 1, .reusable = true}, SHIFT(1261),
  [3586] = {.count = 1, .reusable = true}, SHIFT(1262),
  [3588] = {.count = 1, .reusable = true}, SHIFT(1263),
  [3590] = {.count = 1, .reusable = false}, SHIFT(1264),
  [3592] = {.count = 1, .reusable = true}, SHIFT(1265),
  [3594] = {.count = 1, .reusable = true}, SHIFT(1267),
  [3596] = {.count = 1, .reusable = true}, SHIFT(1269),
  [3598] = {.count = 1, .reusable = false}, SHIFT(1269),
  [3600] = {.count = 1, .reusable = true}, SHIFT(1270),
  [3602] = {.count = 1, .reusable = true}, SHIFT(1271),
  [3604] = {.count = 1, .reusable = true}, SHIFT(1272),
  [3606] = {.count = 1, .reusable = true}, SHIFT(1273),
  [3608] = {.count = 1, .reusable = true}, SHIFT(1274),
  [3610] = {.count = 1, .reusable = true}, SHIFT(1275),
  [3612] = {.count = 1, .reusable = false}, SHIFT(1275),
  [3614] = {.count = 1, .reusable = true}, SHIFT(1276),
  [3616] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7),
  [3618] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7),
  [3620] = {.count = 1, .reusable = true}, SHIFT(1277),
  [3622] = {.count = 1, .reusable = false}, SHIFT(1277),
  [3624] = {.count = 1, .reusable = true}, SHIFT(1278),
  [3626] = {.count = 1, .reusable = false}, SHIFT(1278),
  [3628] = {.count = 1, .reusable = true}, SHIFT(1279),
  [3630] = {.count = 1, .reusable = false}, SHIFT(1280),
  [3632] = {.count = 1, .reusable = true}, SHIFT(1281),
  [3634] = {.count = 1, .reusable = false}, SHIFT(1281),
  [3636] = {.count = 1, .reusable = true}, SHIFT(1282),
  [3638] = {.count = 1, .reusable = true}, SHIFT(1283),
  [3640] = {.count = 1, .reusable = false}, SHIFT(1283),
  [3642] = {.count = 1, .reusable = true}, SHIFT(1284),
  [3644] = {.count = 1, .reusable = true}, SHIFT(1286),
  [3646] = {.count = 1, .reusable = false}, SHIFT(1286),
  [3648] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7),
  [3650] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7),
  [3652] = {.count = 1, .reusable = true}, SHIFT(1288),
  [3654] = {.count = 1, .reusable = true}, SHIFT(1290),
  [3656] = {.count = 1, .reusable = true}, SHIFT(1291),
  [3658] = {.count = 1, .reusable = true}, SHIFT(1292),
  [3660] = {.count = 1, .reusable = false}, SHIFT(1292),
  [3662] = {.count = 1, .reusable = true}, SHIFT(1293),
  [3664] = {.count = 1, .reusable = true}, SHIFT(1294),
  [3666] = {.count = 1, .reusable = true}, SHIFT(1295),
  [3668] = {.count = 1, .reusable = true}, SHIFT(1296),
  [3670] = {.count = 1, .reusable = false}, SHIFT(1297),
  [3672] = {.count = 1, .reusable = true}, SHIFT(1298),
  [3674] = {.count = 1, .reusable = true}, SHIFT(1300),
  [3676] = {.count = 1, .reusable = true}, SHIFT(1302),
  [3678] = {.count = 1, .reusable = false}, SHIFT(1302),
  [3680] = {.count = 1, .reusable = true}, SHIFT(1303),
  [3682] = {.count = 1, .reusable = true}, SHIFT(1304),
  [3684] = {.count = 1, .reusable = false}, SHIFT(1304),
  [3686] = {.count = 1, .reusable = true}, SHIFT(1305),
  [3688] = {.count = 1, .reusable = false}, SHIFT(1305),
  [3690] = {.count = 1, .reusable = true}, SHIFT(1306),
  [3692] = {.count = 1, .reusable = false}, SHIFT(1307),
  [3694] = {.count = 1, .reusable = true}, SHIFT(1308),
  [3696] = {.count = 1, .reusable = false}, SHIFT(1308),
  [3698] = {.count = 1, .reusable = true}, SHIFT(1309),
  [3700] = {.count = 1, .reusable = true}, SHIFT(1310),
  [3702] = {.count = 1, .reusable = false}, SHIFT(1310),
  [3704] = {.count = 1, .reusable = true}, SHIFT(1313),
  [3706] = {.count = 1, .reusable = true}, SHIFT(1315),
  [3708] = {.count = 1, .reusable = false}, SHIFT(1315),
  [3710] = {.count = 1, .reusable = true}, SHIFT(1317),
  [3712] = {.count = 1, .reusable = true}, SHIFT(1318),
  [3714] = {.count = 1, .reusable = false}, SHIFT(1318),
  [3716] = {.count = 1, .reusable = true}, SHIFT(1319),
  [3718] = {.count = 1, .reusable = true}, SHIFT(1320),
  [3720] = {.count = 1, .reusable = false}, SHIFT(1320),
  [3722] = {.count = 1, .reusable = true}, SHIFT(1321),
  [3724] = {.count = 1, .reusable = true}, SHIFT(1322),
  [3726] = {.count = 1, .reusable = true}, SHIFT(1323),
  [3728] = {.count = 1, .reusable = true}, SHIFT(1324),
  [3730] = {.count = 1, .reusable = true}, SHIFT(1325),
  [3732] = {.count = 1, .reusable = false}, SHIFT(1325),
  [3734] = {.count = 1, .reusable = true}, SHIFT(1326),
  [3736] = {.count = 1, .reusable = true}, SHIFT(1327),
  [3738] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8),
  [3740] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8),
  [3742] = {.count = 1, .reusable = true}, SHIFT(1330),
  [3744] = {.count = 1, .reusable = true}, SHIFT(1331),
  [3746] = {.count = 1, .reusable = false}, SHIFT(1331),
  [3748] = {.count = 1, .reusable = true}, SHIFT(1332),
  [3750] = {.count = 1, .reusable = false}, SHIFT(1332),
  [3752] = {.count = 1, .reusable = true}, SHIFT(1333),
  [3754] = {.count = 1, .reusable = false}, SHIFT(1334),
  [3756] = {.count = 1, .reusable = true}, SHIFT(1335),
  [3758] = {.count = 1, .reusable = false}, SHIFT(1335),
  [3760] = {.count = 1, .reusable = true}, SHIFT(1336),
  [3762] = {.count = 1, .reusable = true}, SHIFT(1337),
  [3764] = {.count = 1, .reusable = false}, SHIFT(1337),
  [3766] = {.count = 1, .reusable = true}, SHIFT(1340),
  [3768] = {.count = 1, .reusable = true}, SHIFT(1342),
  [3770] = {.count = 1, .reusable = false}, SHIFT(1342),
  [3772] = {.count = 1, .reusable = true}, SHIFT(1343),
  [3774] = {.count = 1, .reusable = true}, SHIFT(1344),
  [3776] = {.count = 1, .reusable = true}, SHIFT(1345),
  [3778] = {.count = 1, .reusable = true}, SHIFT(1346),
  [3780] = {.count = 1, .reusable = true}, SHIFT(1347),
  [3782] = {.count = 1, .reusable = false}, SHIFT(1347),
  [3784] = {.count = 1, .reusable = true}, SHIFT(1348),
  [3786] = {.count = 1, .reusable = true}, SHIFT(1350),
  [3788] = {.count = 1, .reusable = false}, SHIFT(1352),
  [3790] = {.count = 1, .reusable = true}, SHIFT(1353),
  [3792] = {.count = 1, .reusable = true}, SHIFT(1355),
  [3794] = {.count = 1, .reusable = false}, SHIFT(1355),
  [3796] = {.count = 1, .reusable = true}, SHIFT(1356),
  [3798] = {.count = 1, .reusable = true}, SHIFT(1358),
  [3800] = {.count = 1, .reusable = true}, SHIFT(1359),
  [3802] = {.count = 1, .reusable = false}, SHIFT(1359),
  [3804] = {.count = 1, .reusable = true}, SHIFT(1360),
  [3806] = {.count = 1, .reusable = true}, SHIFT(1361),
  [3808] = {.count = 1, .reusable = false}, SHIFT(1361),
  [3810] = {.count = 1, .reusable = true}, SHIFT(1362),
  [3812] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 9),
  [3814] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 9),
  [3816] = {.count = 1, .reusable = true}, SHIFT(1364),
  [3818] = {.count = 1, .reusable = true}, SHIFT(1365),
  [3820] = {.count = 1, .reusable = true}, SHIFT(1366),
  [3822] = {.count = 1, .reusable = true}, SHIFT(1367),
  [3824] = {.count = 1, .reusable = true}, SHIFT(1368),
  [3826] = {.count = 1, .reusable = false}, SHIFT(1368),
  [3828] = {.count = 1, .reusable = true}, SHIFT(1369),
  [3830] = {.count = 1, .reusable = true}, SHIFT(1371),
  [3832] = {.count = 1, .reusable = true}, SHIFT(1374),
  [3834] = {.count = 1, .reusable = true}, SHIFT(1375),
  [3836] = {.count = 1, .reusable = false}, SHIFT(1375),
  [3838] = {.count = 1, .reusable = true}, SHIFT(1376),
  [3840] = {.count = 1, .reusable = true}, SHIFT(1377),
  [3842] = {.count = 1, .reusable = false}, SHIFT(1377),
  [3844] = {.count = 1, .reusable = true}, SHIFT(1379),
  [3846] = {.count = 1, .reusable = true}, SHIFT(1380),
  [3848] = {.count = 1, .reusable = true}, SHIFT(1382),
  [3850] = {.count = 1, .reusable = false}, SHIFT(1382),
  [3852] = {.count = 1, .reusable = true}, SHIFT(1383),
  [3854] = {.count = 1, .reusable = true}, SHIFT(1384),
  [3856] = {.count = 1, .reusable = true}, SHIFT(1386),
  [3858] = {.count = 1, .reusable = false}, SHIFT(1386),
  [3860] = {.count = 1, .reusable = true}, SHIFT(1387),
  [3862] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 10),
  [3864] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 10),
  [3866] = {.count = 1, .reusable = true}, SHIFT(1389),
  [3868] = {.count = 1, .reusable = true}, SHIFT(1390),
  [3870] = {.count = 1, .reusable = false}, SHIFT(1390),
  [3872] = {.count = 1, .reusable = true}, SHIFT(1391),
  [3874] = {.count = 1, .reusable = true}, SHIFT(1392),
  [3876] = {.count = 1, .reusable = false}, SHIFT(1392),
  [3878] = {.count = 1, .reusable = true}, SHIFT(1394),
  [3880] = {.count = 1, .reusable = false}, SHIFT(1395),
  [3882] = {.count = 1, .reusable = true}, SHIFT(1396),
  [3884] = {.count = 1, .reusable = true}, SHIFT(1398),
  [3886] = {.count = 1, .reusable = false}, SHIFT(1398),
  [3888] = {.count = 1, .reusable = true}, SHIFT(1399),
  [3890] = {.count = 1, .reusable = true}, SHIFT(1401),
  [3892] = {.count = 1, .reusable = true}, SHIFT(1403),
  [3894] = {.count = 1, .reusable = true}, SHIFT(1405),
  [3896] = {.count = 1, .reusable = false}, SHIFT(1405),
  [3898] = {.count = 1, .reusable = false}, SHIFT(1406),
  [3900] = {.count = 1, .reusable = true}, SHIFT(1407),
  [3902] = {.count = 1, .reusable = true}, SHIFT(1409),
  [3904] = {.count = 1, .reusable = false}, SHIFT(1409),
  [3906] = {.count = 1, .reusable = true}, SHIFT(1410),
  [3908] = {.count = 1, .reusable = true}, SHIFT(1412),
  [3910] = {.count = 1, .reusable = true}, SHIFT(1414),
  [3912] = {.count = 1, .reusable = false}, SHIFT(1414),
  [3914] = {.count = 1, .reusable = true}, SHIFT(1415),
  [3916] = {.count = 1, .reusable = true}, SHIFT(1416),
  [3918] = {.count = 1, .reusable = true}, SHIFT(1418),
  [3920] = {.count = 1, .reusable = true}, SHIFT(1420),
  [3922] = {.count = 1, .reusable = false}, SHIFT(1420),
  [3924] = {.count = 1, .reusable = true}, SHIFT(1421),
  [3926] = {.count = 1, .reusable = true}, SHIFT(1423),
  [3928] = {.count = 1, .reusable = true}, SHIFT(1424),
  [3930] = {.count = 1, .reusable = true}, SHIFT(1426),
  [3932] = {.count = 1, .reusable = true}, SHIFT(1427),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_c() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
