#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 8
#define STATE_COUNT 1541
#define SYMBOL_COUNT 195
#define ALIAS_COUNT 7
#define TOKEN_COUNT 85
#define EXTERNAL_TOKEN_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 6

enum {
  anon_sym_LF = 1,
  anon_sym_SEMI = 2,
  anon_sym_package = 3,
  anon_sym_import = 4,
  anon_sym_DOT = 5,
  sym_blank_identifier = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_const = 9,
  anon_sym_COMMA = 10,
  anon_sym_EQ = 11,
  anon_sym_var = 12,
  anon_sym_func = 13,
  anon_sym_DOT_DOT_DOT = 14,
  anon_sym_type = 15,
  anon_sym_STAR = 16,
  anon_sym_LBRACK = 17,
  anon_sym_RBRACK = 18,
  anon_sym_struct = 19,
  anon_sym_LBRACE = 20,
  anon_sym_RBRACE = 21,
  anon_sym_interface = 22,
  anon_sym_map = 23,
  anon_sym_chan = 24,
  anon_sym_LT_DASH = 25,
  anon_sym_COLON_EQ = 26,
  anon_sym_PLUS_PLUS = 27,
  anon_sym_DASH_DASH = 28,
  anon_sym_STAR_EQ = 29,
  anon_sym_SLASH_EQ = 30,
  anon_sym_PERCENT_EQ = 31,
  anon_sym_LT_LT_EQ = 32,
  anon_sym_GT_GT_EQ = 33,
  anon_sym_AMP_EQ = 34,
  anon_sym_AMP_CARET_EQ = 35,
  anon_sym_PLUS_EQ = 36,
  anon_sym_DASH_EQ = 37,
  anon_sym_PIPE_EQ = 38,
  anon_sym_CARET_EQ = 39,
  anon_sym_COLON = 40,
  anon_sym_fallthrough = 41,
  anon_sym_break = 42,
  anon_sym_continue = 43,
  anon_sym_goto = 44,
  anon_sym_return = 45,
  anon_sym_go = 46,
  anon_sym_defer = 47,
  anon_sym_if = 48,
  anon_sym_else = 49,
  anon_sym_for = 50,
  anon_sym_range = 51,
  anon_sym_switch = 52,
  anon_sym_case = 53,
  sym_default_case = 54,
  anon_sym_select = 55,
  anon_sym_new = 56,
  anon_sym_make = 57,
  anon_sym_PLUS = 58,
  anon_sym_DASH = 59,
  anon_sym_BANG = 60,
  anon_sym_CARET = 61,
  anon_sym_AMP = 62,
  anon_sym_SLASH = 63,
  anon_sym_PERCENT = 64,
  anon_sym_LT_LT = 65,
  anon_sym_GT_GT = 66,
  anon_sym_AMP_CARET = 67,
  anon_sym_PIPE = 68,
  anon_sym_EQ_EQ = 69,
  anon_sym_BANG_EQ = 70,
  anon_sym_LT = 71,
  anon_sym_LT_EQ = 72,
  anon_sym_GT = 73,
  anon_sym_GT_EQ = 74,
  anon_sym_AMP_AMP = 75,
  anon_sym_PIPE_PIPE = 76,
  sym_identifier = 77,
  sym_raw_string_literal = 78,
  sym_interpreted_string_literal = 79,
  sym_int_literal = 80,
  sym_float_literal = 81,
  sym_imaginary_literal = 82,
  sym_rune_literal = 83,
  sym_comment = 84,
  sym_source_file = 85,
  sym__top_level_declaration = 86,
  sym_package_clause = 87,
  sym_import_declaration = 88,
  sym_import_spec = 89,
  sym_dot = 90,
  sym_import_spec_list = 91,
  sym__declaration = 92,
  sym_const_declaration = 93,
  sym_const_spec = 94,
  sym_var_declaration = 95,
  sym_var_spec = 96,
  sym_function_declaration = 97,
  sym_method_declaration = 98,
  sym_parameter_list = 99,
  sym_parameter_declaration = 100,
  sym_variadic_parameter_declaration = 101,
  sym_type_alias = 102,
  sym_type_declaration = 103,
  sym_type_spec = 104,
  sym_expression_list = 105,
  sym_parenthesized_type = 106,
  sym__simple_type = 107,
  sym_pointer_type = 108,
  sym_array_type = 109,
  sym_implicit_length_array_type = 110,
  sym_slice_type = 111,
  sym_struct_type = 112,
  sym_field_declaration_list = 113,
  sym_field_declaration = 114,
  sym_interface_type = 115,
  sym_method_spec_list = 116,
  sym_method_spec = 117,
  sym_map_type = 118,
  sym_channel_type = 119,
  sym_function_type = 120,
  sym_block = 121,
  sym__statement_list = 122,
  sym__statement = 123,
  sym_empty_statement = 124,
  sym__simple_statement = 125,
  sym_send_statement = 126,
  sym_receive_statement = 127,
  sym_inc_statement = 128,
  sym_dec_statement = 129,
  sym_assignment_statement = 130,
  sym_short_var_declaration = 131,
  sym_labeled_statement = 132,
  sym_empty_labeled_statement = 133,
  sym_fallthrough_statement = 134,
  sym_break_statement = 135,
  sym_continue_statement = 136,
  sym_goto_statement = 137,
  sym_return_statement = 138,
  sym_go_statement = 139,
  sym_defer_statement = 140,
  sym_if_statement = 141,
  sym_if_initializer = 142,
  sym_else_clause = 143,
  sym_for_statement = 144,
  sym_for_clause = 145,
  sym_range_clause = 146,
  sym_expression_switch_statement = 147,
  sym_expression_case_clause = 148,
  sym_expression_case = 149,
  sym_type_switch_statement = 150,
  sym_type_switch_guard = 151,
  sym_type_case_clause = 152,
  sym_type_case = 153,
  sym_select_statement = 154,
  sym_communication_clause = 155,
  sym_communication_case = 156,
  sym__expression = 157,
  sym_parenthesized_expression = 158,
  sym_call_expression = 159,
  sym_variadic_argument = 160,
  sym_special_argument_list = 161,
  sym_argument_list = 162,
  sym_selector_expression = 163,
  sym_index_expression = 164,
  sym_slice_expression = 165,
  sym_type_assertion_expression = 166,
  sym_type_conversion_expression = 167,
  sym_composite_literal = 168,
  sym_literal_value = 169,
  sym_keyed_element = 170,
  sym_element = 171,
  sym_func_literal = 172,
  sym_unary_expression = 173,
  sym_binary_expression = 174,
  sym_qualified_type = 175,
  sym__string_literal = 176,
  aux_sym_source_file_repeat1 = 177,
  aux_sym_import_spec_list_repeat1 = 178,
  aux_sym_const_declaration_repeat1 = 179,
  aux_sym_const_spec_repeat1 = 180,
  aux_sym_var_declaration_repeat1 = 181,
  aux_sym_parameter_list_repeat1 = 182,
  aux_sym_type_declaration_repeat1 = 183,
  aux_sym_field_name_list_repeat1 = 184,
  aux_sym_expression_list_repeat1 = 185,
  aux_sym_field_declaration_list_repeat1 = 186,
  aux_sym_method_spec_list_repeat1 = 187,
  aux_sym__statement_list_repeat1 = 188,
  aux_sym_expression_switch_statement_repeat1 = 189,
  aux_sym_type_switch_statement_repeat1 = 190,
  aux_sym_type_case_repeat1 = 191,
  aux_sym_select_statement_repeat1 = 192,
  aux_sym_argument_list_repeat1 = 193,
  aux_sym_literal_value_repeat1 = 194,
  alias_sym_argument_list = 195,
  alias_sym_field_identifier = 196,
  alias_sym_identifier = 197,
  alias_sym_label_name = 198,
  alias_sym_labeled_statement = 199,
  alias_sym_package_identifier = 200,
  alias_sym_type_identifier = 201,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "END",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_struct] = "struct",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [sym_default_case] = "default_case",
  [anon_sym_select] = "select",
  [anon_sym_new] = "new",
  [anon_sym_make] = "make",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_PIPE] = "|",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_identifier] = "identifier",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym__top_level_declaration] = "_top_level_declaration",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_spec_list] = "method_spec_list",
  [sym_method_spec] = "method_spec",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "empty_labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_if_initializer] = "if_initializer",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case_clause] = "expression_case_clause",
  [sym_expression_case] = "expression_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym_type_switch_guard] = "type_switch_guard",
  [sym_type_case_clause] = "type_case_clause",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_clause] = "communication_clause",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "special_argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_keyed_element] = "keyed_element",
  [sym_element] = "element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym__string_literal] = "_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_field_name_list_repeat1] = "field_name_list_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_method_spec_list_repeat1] = "method_spec_list_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [alias_sym_argument_list] = "argument_list",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_identifier] = "identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_labeled_statement] = "labeled_statement",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_name_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[16][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [1] = alias_sym_package_identifier,
  },
  [2] = {
    [0] = alias_sym_package_identifier,
  },
  [3] = {
    [0] = alias_sym_type_identifier,
  },
  [4] = {
    [0] = alias_sym_identifier,
  },
  [5] = {
    [2] = alias_sym_field_identifier,
  },
  [6] = {
    [0] = alias_sym_identifier,
    [1] = alias_sym_argument_list,
  },
  [7] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [8] = {
    [0] = alias_sym_labeled_statement,
  },
  [9] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_field_identifier,
  },
  [11] = {
    [1] = alias_sym_label_name,
  },
  [12] = {
    [0] = alias_sym_label_name,
  },
  [13] = {
    [1] = alias_sym_field_identifier,
  },
  [14] = {
    [2] = alias_sym_labeled_statement,
  },
  [15] = {
    [3] = alias_sym_labeled_statement,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '%')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(9);
      if (lookahead == '\'')
        ADVANCE(14);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == ')')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(30);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(36);
      if (lookahead == '.')
        ADVANCE(39);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == '0')
        ADVANCE(53);
      if (lookahead == ':')
        ADVANCE(58);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(61);
      if (lookahead == '=')
        ADVANCE(66);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == ']')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(74);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(80);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(84);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 4:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\\')
        ADVANCE(6);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(4);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(sym_interpreted_string_literal);
      END_STATE();
    case 6:
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(4);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(8);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(10);
      if (lookahead == '=')
        ADVANCE(11);
      if (lookahead == '^')
        ADVANCE(12);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=')
        ADVANCE(13);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 14:
      if (lookahead == '\\')
        ADVANCE(15);
      if (lookahead != 0 &&
          lookahead != '\'')
        ADVANCE(16);
      END_STATE();
    case 15:
      if (lookahead == '\"')
        ADVANCE(16);
      if (lookahead == '\'')
        ADVANCE(16);
      if (lookahead == 'U')
        ADVANCE(18);
      if (lookahead == '\\')
        ADVANCE(16);
      if (lookahead == 'a')
        ADVANCE(16);
      if (lookahead == 'b')
        ADVANCE(16);
      if (lookahead == 'f')
        ADVANCE(16);
      if (lookahead == 'n')
        ADVANCE(16);
      if (lookahead == 'r')
        ADVANCE(16);
      if (lookahead == 't')
        ADVANCE(16);
      if (lookahead == 'u')
        ADVANCE(22);
      if (lookahead == 'v')
        ADVANCE(16);
      if (lookahead == 'x')
        ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(26);
      END_STATE();
    case 16:
      if (lookahead == '\'')
        ADVANCE(17);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 18:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(19);
      END_STATE();
    case 19:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(20);
      END_STATE();
    case 20:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(21);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(22);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(23);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(24);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(25);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(16);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(27);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(16);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=')
        ADVANCE(31);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(33);
      if (lookahead == '=')
        ADVANCE(34);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(37);
      if (lookahead == '=')
        ADVANCE(38);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == '.')
        ADVANCE(41);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E')
        ADVANCE(43);
      if (lookahead == 'e')
        ADVANCE(43);
      if (lookahead == 'i')
        ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(42);
      END_STATE();
    case 43:
      if (lookahead == '+')
        ADVANCE(44);
      if (lookahead == '-')
        ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'i')
        ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(48);
      if (lookahead == '/')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(52);
      END_STATE();
    case 48:
      if (lookahead == '*')
        ADVANCE(49);
      if (lookahead != 0)
        ADVANCE(48);
      END_STATE();
    case 49:
      if (lookahead == '*')
        ADVANCE(49);
      if (lookahead == '/')
        ADVANCE(50);
      if (lookahead != 0)
        ADVANCE(48);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(51);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(42);
      if (lookahead == 'E')
        ADVANCE(43);
      if (lookahead == 'X')
        ADVANCE(54);
      if (lookahead == 'e')
        ADVANCE(43);
      if (lookahead == 'i')
        ADVANCE(46);
      if (lookahead == 'x')
        ADVANCE(54);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(57);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(55);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym_int_literal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(55);
      END_STATE();
    case 56:
      if (lookahead == '.')
        ADVANCE(42);
      if (lookahead == 'E')
        ADVANCE(43);
      if (lookahead == 'e')
        ADVANCE(43);
      if (lookahead == 'i')
        ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(56);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(42);
      if (lookahead == 'E')
        ADVANCE(43);
      if (lookahead == 'e')
        ADVANCE(43);
      if (lookahead == 'i')
        ADVANCE(46);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(57);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=')
        ADVANCE(59);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-')
        ADVANCE(62);
      if (lookahead == '<')
        ADVANCE(63);
      if (lookahead == '=')
        ADVANCE(65);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(64);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(67);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(69);
      if (lookahead == '>')
        ADVANCE(70);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(71);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(75);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_')
        ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(76);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 77:
      if (lookahead == '`')
        ADVANCE(78);
      if (lookahead != 0)
        ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(81);
      if (lookahead == '|')
        ADVANCE(82);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(42);
      if (lookahead == 'E')
        ADVANCE(43);
      if (lookahead == 'e')
        ADVANCE(43);
      if (lookahead == 'i')
        ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(84);
      END_STATE();
    case 85:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(85);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 86:
      if (lookahead == '*')
        ADVANCE(48);
      if (lookahead == '/')
        ADVANCE(51);
      END_STATE();
    case 87:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == ')')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '.')
        ADVANCE(89);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(40);
      END_STATE();
    case 90:
      if (lookahead == '-')
        ADVANCE(62);
      END_STATE();
    case 91:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(91);
      END_STATE();
    case 92:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(92);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 94:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(94);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 96:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(96);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 97:
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(97);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 99:
      if (lookahead == '!')
        ADVANCE(100);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(101);
      if (lookahead == '\'')
        ADVANCE(14);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(104);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == '0')
        ADVANCE(53);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == ']')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(99);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(84);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 104:
      if (lookahead == '.')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(42);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 106:
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == ')')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == ']')
        ADVANCE(73);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(106);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 108:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 109:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(109);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 110:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 111:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(111);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 112:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(114);
      if (lookahead == '&')
        ADVANCE(115);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(117);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(118);
      if (lookahead == '=')
        ADVANCE(120);
      if (lookahead == '>')
        ADVANCE(121);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '|')
        ADVANCE(123);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 113:
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(10);
      if (lookahead == '^')
        ADVANCE(116);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(48);
      if (lookahead == '/')
        ADVANCE(51);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(119);
      if (lookahead == '=')
        ADVANCE(65);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 120:
      if (lookahead == '=')
        ADVANCE(67);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(69);
      if (lookahead == '>')
        ADVANCE(122);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|')
        ADVANCE(82);
      END_STATE();
    case 124:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(114);
      if (lookahead == '&')
        ADVANCE(115);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(117);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(118);
      if (lookahead == '=')
        ADVANCE(120);
      if (lookahead == '>')
        ADVANCE(121);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(123);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(124);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 125:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(114);
      if (lookahead == '&')
        ADVANCE(115);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(117);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(118);
      if (lookahead == '=')
        ADVANCE(120);
      if (lookahead == '>')
        ADVANCE(121);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '|')
        ADVANCE(123);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(125);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 126:
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(9);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == ')')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(30);
      if (lookahead == '+')
        ADVANCE(127);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(128);
      if (lookahead == '.')
        ADVANCE(89);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == ':')
        ADVANCE(58);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(61);
      if (lookahead == '=')
        ADVANCE(66);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == ']')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(74);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(80);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(34);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(38);
      END_STATE();
    case 129:
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(9);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == ')')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(30);
      if (lookahead == '+')
        ADVANCE(127);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(128);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == ':')
        ADVANCE(58);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(61);
      if (lookahead == '=')
        ADVANCE(66);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == ']')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(74);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(80);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(129);
      END_STATE();
    case 130:
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(114);
      if (lookahead == '&')
        ADVANCE(115);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(117);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(118);
      if (lookahead == '=')
        ADVANCE(120);
      if (lookahead == '>')
        ADVANCE(121);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == ']')
        ADVANCE(73);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '|')
        ADVANCE(123);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(130);
      END_STATE();
    case 131:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(131);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 132:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(132);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 133:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '=')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(133);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 134:
      if (lookahead == '!')
        ADVANCE(100);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(101);
      if (lookahead == '\'')
        ADVANCE(14);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(135);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == '0')
        ADVANCE(53);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(134);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(84);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(42);
      END_STATE();
    case 136:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(136);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 137:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(137);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 138:
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(114);
      if (lookahead == '&')
        ADVANCE(115);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(117);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(118);
      if (lookahead == '=')
        ADVANCE(120);
      if (lookahead == '>')
        ADVANCE(121);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '|')
        ADVANCE(123);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(138);
      END_STATE();
    case 139:
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(114);
      if (lookahead == '&')
        ADVANCE(115);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == ')')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(89);
      if (lookahead == '/')
        ADVANCE(117);
      if (lookahead == '<')
        ADVANCE(118);
      if (lookahead == '=')
        ADVANCE(120);
      if (lookahead == '>')
        ADVANCE(121);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(123);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(139);
      END_STATE();
    case 140:
      if (lookahead == '!')
        ADVANCE(100);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(101);
      if (lookahead == '\'')
        ADVANCE(14);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == ')')
        ADVANCE(29);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(135);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == '0')
        ADVANCE(53);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(140);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(84);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 141:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(141);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 142:
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(142);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 143:
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '!')
        ADVANCE(100);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(101);
      if (lookahead == '\'')
        ADVANCE(14);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '+')
        ADVANCE(102);
      if (lookahead == '-')
        ADVANCE(103);
      if (lookahead == '.')
        ADVANCE(135);
      if (lookahead == '/')
        ADVANCE(86);
      if (lookahead == '0')
        ADVANCE(53);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(90);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '`')
        ADVANCE(77);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(143);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(84);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 144:
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(9);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(30);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(36);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == ':')
        ADVANCE(58);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(61);
      if (lookahead == '=')
        ADVANCE(66);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(74);
      if (lookahead == '_')
        ADVANCE(76);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(80);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(144);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(76);
      END_STATE();
    case 145:
      if (lookahead == '\n')
        ADVANCE(93);
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(9);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(30);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(36);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == ':')
        ADVANCE(58);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(61);
      if (lookahead == '=')
        ADVANCE(66);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(74);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(80);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(145);
      END_STATE();
    case 146:
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(9);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(30);
      if (lookahead == '+')
        ADVANCE(127);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(128);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == ':')
        ADVANCE(58);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(61);
      if (lookahead == '=')
        ADVANCE(66);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(74);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(80);
      if (lookahead == '}')
        ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(146);
      END_STATE();
    case 147:
      if (lookahead == '!')
        ADVANCE(113);
      if (lookahead == '%')
        ADVANCE(7);
      if (lookahead == '&')
        ADVANCE(9);
      if (lookahead == '(')
        ADVANCE(28);
      if (lookahead == '*')
        ADVANCE(30);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == ',')
        ADVANCE(35);
      if (lookahead == '-')
        ADVANCE(36);
      if (lookahead == '.')
        ADVANCE(107);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == ':')
        ADVANCE(148);
      if (lookahead == ';')
        ADVANCE(60);
      if (lookahead == '<')
        ADVANCE(61);
      if (lookahead == '=')
        ADVANCE(66);
      if (lookahead == '>')
        ADVANCE(68);
      if (lookahead == '[')
        ADVANCE(72);
      if (lookahead == '^')
        ADVANCE(74);
      if (lookahead == '{')
        ADVANCE(79);
      if (lookahead == '|')
        ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(147);
      END_STATE();
    case 148:
      if (lookahead == '=')
        ADVANCE(59);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == '_')
        ADVANCE(1);
      if (lookahead == 'b')
        ADVANCE(2);
      if (lookahead == 'c')
        ADVANCE(7);
      if (lookahead == 'd')
        ADVANCE(23);
      if (lookahead == 'e')
        ADVANCE(32);
      if (lookahead == 'f')
        ADVANCE(36);
      if (lookahead == 'g')
        ADVANCE(52);
      if (lookahead == 'i')
        ADVANCE(56);
      if (lookahead == 'm')
        ADVANCE(71);
      if (lookahead == 'n')
        ADVANCE(76);
      if (lookahead == 'p')
        ADVANCE(79);
      if (lookahead == 'r')
        ADVANCE(86);
      if (lookahead == 's')
        ADVANCE(96);
      if (lookahead == 't')
        ADVANCE(112);
      if (lookahead == 'v')
        ADVANCE(116);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r')
        ADVANCE(3);
      END_STATE();
    case 3:
      if (lookahead == 'e')
        ADVANCE(4);
      END_STATE();
    case 4:
      if (lookahead == 'a')
        ADVANCE(5);
      END_STATE();
    case 5:
      if (lookahead == 'k')
        ADVANCE(6);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 7:
      if (lookahead == 'a')
        ADVANCE(8);
      if (lookahead == 'h')
        ADVANCE(11);
      if (lookahead == 'o')
        ADVANCE(14);
      END_STATE();
    case 8:
      if (lookahead == 's')
        ADVANCE(9);
      END_STATE();
    case 9:
      if (lookahead == 'e')
        ADVANCE(10);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 11:
      if (lookahead == 'a')
        ADVANCE(12);
      END_STATE();
    case 12:
      if (lookahead == 'n')
        ADVANCE(13);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 14:
      if (lookahead == 'n')
        ADVANCE(15);
      END_STATE();
    case 15:
      if (lookahead == 's')
        ADVANCE(16);
      if (lookahead == 't')
        ADVANCE(18);
      END_STATE();
    case 16:
      if (lookahead == 't')
        ADVANCE(17);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 18:
      if (lookahead == 'i')
        ADVANCE(19);
      END_STATE();
    case 19:
      if (lookahead == 'n')
        ADVANCE(20);
      END_STATE();
    case 20:
      if (lookahead == 'u')
        ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == 'e')
        ADVANCE(22);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 23:
      if (lookahead == 'e')
        ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == 'f')
        ADVANCE(25);
      END_STATE();
    case 25:
      if (lookahead == 'a')
        ADVANCE(26);
      if (lookahead == 'e')
        ADVANCE(30);
      END_STATE();
    case 26:
      if (lookahead == 'u')
        ADVANCE(27);
      END_STATE();
    case 27:
      if (lookahead == 'l')
        ADVANCE(28);
      END_STATE();
    case 28:
      if (lookahead == 't')
        ADVANCE(29);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(sym_default_case);
      END_STATE();
    case 30:
      if (lookahead == 'r')
        ADVANCE(31);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 32:
      if (lookahead == 'l')
        ADVANCE(33);
      END_STATE();
    case 33:
      if (lookahead == 's')
        ADVANCE(34);
      END_STATE();
    case 34:
      if (lookahead == 'e')
        ADVANCE(35);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 36:
      if (lookahead == 'a')
        ADVANCE(37);
      if (lookahead == 'o')
        ADVANCE(47);
      if (lookahead == 'u')
        ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'l')
        ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == 'l')
        ADVANCE(39);
      END_STATE();
    case 39:
      if (lookahead == 't')
        ADVANCE(40);
      END_STATE();
    case 40:
      if (lookahead == 'h')
        ADVANCE(41);
      END_STATE();
    case 41:
      if (lookahead == 'r')
        ADVANCE(42);
      END_STATE();
    case 42:
      if (lookahead == 'o')
        ADVANCE(43);
      END_STATE();
    case 43:
      if (lookahead == 'u')
        ADVANCE(44);
      END_STATE();
    case 44:
      if (lookahead == 'g')
        ADVANCE(45);
      END_STATE();
    case 45:
      if (lookahead == 'h')
        ADVANCE(46);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    case 47:
      if (lookahead == 'r')
        ADVANCE(48);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 49:
      if (lookahead == 'n')
        ADVANCE(50);
      END_STATE();
    case 50:
      if (lookahead == 'c')
        ADVANCE(51);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 52:
      if (lookahead == 'o')
        ADVANCE(53);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't')
        ADVANCE(54);
      END_STATE();
    case 54:
      if (lookahead == 'o')
        ADVANCE(55);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 56:
      if (lookahead == 'f')
        ADVANCE(57);
      if (lookahead == 'm')
        ADVANCE(58);
      if (lookahead == 'n')
        ADVANCE(63);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 58:
      if (lookahead == 'p')
        ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'o')
        ADVANCE(60);
      END_STATE();
    case 60:
      if (lookahead == 'r')
        ADVANCE(61);
      END_STATE();
    case 61:
      if (lookahead == 't')
        ADVANCE(62);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 63:
      if (lookahead == 't')
        ADVANCE(64);
      END_STATE();
    case 64:
      if (lookahead == 'e')
        ADVANCE(65);
      END_STATE();
    case 65:
      if (lookahead == 'r')
        ADVANCE(66);
      END_STATE();
    case 66:
      if (lookahead == 'f')
        ADVANCE(67);
      END_STATE();
    case 67:
      if (lookahead == 'a')
        ADVANCE(68);
      END_STATE();
    case 68:
      if (lookahead == 'c')
        ADVANCE(69);
      END_STATE();
    case 69:
      if (lookahead == 'e')
        ADVANCE(70);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 71:
      if (lookahead == 'a')
        ADVANCE(72);
      END_STATE();
    case 72:
      if (lookahead == 'k')
        ADVANCE(73);
      if (lookahead == 'p')
        ADVANCE(75);
      END_STATE();
    case 73:
      if (lookahead == 'e')
        ADVANCE(74);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 76:
      if (lookahead == 'e')
        ADVANCE(77);
      END_STATE();
    case 77:
      if (lookahead == 'w')
        ADVANCE(78);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 79:
      if (lookahead == 'a')
        ADVANCE(80);
      END_STATE();
    case 80:
      if (lookahead == 'c')
        ADVANCE(81);
      END_STATE();
    case 81:
      if (lookahead == 'k')
        ADVANCE(82);
      END_STATE();
    case 82:
      if (lookahead == 'a')
        ADVANCE(83);
      END_STATE();
    case 83:
      if (lookahead == 'g')
        ADVANCE(84);
      END_STATE();
    case 84:
      if (lookahead == 'e')
        ADVANCE(85);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 86:
      if (lookahead == 'a')
        ADVANCE(87);
      if (lookahead == 'e')
        ADVANCE(91);
      END_STATE();
    case 87:
      if (lookahead == 'n')
        ADVANCE(88);
      END_STATE();
    case 88:
      if (lookahead == 'g')
        ADVANCE(89);
      END_STATE();
    case 89:
      if (lookahead == 'e')
        ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 91:
      if (lookahead == 't')
        ADVANCE(92);
      END_STATE();
    case 92:
      if (lookahead == 'u')
        ADVANCE(93);
      END_STATE();
    case 93:
      if (lookahead == 'r')
        ADVANCE(94);
      END_STATE();
    case 94:
      if (lookahead == 'n')
        ADVANCE(95);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 96:
      if (lookahead == 'e')
        ADVANCE(97);
      if (lookahead == 't')
        ADVANCE(102);
      if (lookahead == 'w')
        ADVANCE(107);
      END_STATE();
    case 97:
      if (lookahead == 'l')
        ADVANCE(98);
      END_STATE();
    case 98:
      if (lookahead == 'e')
        ADVANCE(99);
      END_STATE();
    case 99:
      if (lookahead == 'c')
        ADVANCE(100);
      END_STATE();
    case 100:
      if (lookahead == 't')
        ADVANCE(101);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 102:
      if (lookahead == 'r')
        ADVANCE(103);
      END_STATE();
    case 103:
      if (lookahead == 'u')
        ADVANCE(104);
      END_STATE();
    case 104:
      if (lookahead == 'c')
        ADVANCE(105);
      END_STATE();
    case 105:
      if (lookahead == 't')
        ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 107:
      if (lookahead == 'i')
        ADVANCE(108);
      END_STATE();
    case 108:
      if (lookahead == 't')
        ADVANCE(109);
      END_STATE();
    case 109:
      if (lookahead == 'c')
        ADVANCE(110);
      END_STATE();
    case 110:
      if (lookahead == 'h')
        ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 112:
      if (lookahead == 'y')
        ADVANCE(113);
      END_STATE();
    case 113:
      if (lookahead == 'p')
        ADVANCE(114);
      END_STATE();
    case 114:
      if (lookahead == 'e')
        ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 116:
      if (lookahead == 'a')
        ADVANCE(117);
      END_STATE();
    case 117:
      if (lookahead == 'r')
        ADVANCE(118);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 85},
  [2] = {.lex_state = 85},
  [3] = {.lex_state = 87},
  [4] = {.lex_state = 87},
  [5] = {.lex_state = 87},
  [6] = {.lex_state = 87},
  [7] = {.lex_state = 87},
  [8] = {.lex_state = 91},
  [9] = {.lex_state = 92},
  [10] = {.lex_state = 85},
  [11] = {.lex_state = 92},
  [12] = {.lex_state = 87},
  [13] = {.lex_state = 87},
  [14] = {.lex_state = 87},
  [15] = {.lex_state = 87},
  [16] = {.lex_state = 92},
  [17] = {.lex_state = 92},
  [18] = {.lex_state = 87},
  [19] = {.lex_state = 94},
  [20] = {.lex_state = 96},
  [21] = {.lex_state = 87},
  [22] = {.lex_state = 97},
  [23] = {.lex_state = 96},
  [24] = {.lex_state = 87},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 85},
  [27] = {.lex_state = 87},
  [28] = {.lex_state = 97},
  [29] = {.lex_state = 96},
  [30] = {.lex_state = 85},
  [31] = {.lex_state = 85},
  [32] = {.lex_state = 92},
  [33] = {.lex_state = 92},
  [34] = {.lex_state = 92},
  [35] = {.lex_state = 87},
  [36] = {.lex_state = 92},
  [37] = {.lex_state = 96},
  [38] = {.lex_state = 94},
  [39] = {.lex_state = 92},
  [40] = {.lex_state = 87},
  [41] = {.lex_state = 87},
  [42] = {.lex_state = 85},
  [43] = {.lex_state = 99},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 87},
  [46] = {.lex_state = 99},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 87},
  [51] = {.lex_state = 85},
  [52] = {.lex_state = 106},
  [53] = {.lex_state = 97},
  [54] = {.lex_state = 94},
  [55] = {.lex_state = 96},
  [56] = {.lex_state = 97},
  [57] = {.lex_state = 92},
  [58] = {.lex_state = 87},
  [59] = {.lex_state = 87},
  [60] = {.lex_state = 85},
  [61] = {.lex_state = 99},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 87},
  [64] = {.lex_state = 99},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 87},
  [69] = {.lex_state = 85},
  [70] = {.lex_state = 108},
  [71] = {.lex_state = 109},
  [72] = {.lex_state = 97},
  [73] = {.lex_state = 106},
  [74] = {.lex_state = 87},
  [75] = {.lex_state = 0},
  [76] = {.lex_state = 87},
  [77] = {.lex_state = 87},
  [78] = {.lex_state = 99},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 87},
  [81] = {.lex_state = 85},
  [82] = {.lex_state = 87},
  [83] = {.lex_state = 87},
  [84] = {.lex_state = 87},
  [85] = {.lex_state = 87},
  [86] = {.lex_state = 110},
  [87] = {.lex_state = 0},
  [88] = {.lex_state = 96},
  [89] = {.lex_state = 97},
  [90] = {.lex_state = 92},
  [91] = {.lex_state = 87},
  [92] = {.lex_state = 87},
  [93] = {.lex_state = 0},
  [94] = {.lex_state = 87},
  [95] = {.lex_state = 99},
  [96] = {.lex_state = 0},
  [97] = {.lex_state = 87},
  [98] = {.lex_state = 85},
  [99] = {.lex_state = 96},
  [100] = {.lex_state = 87},
  [101] = {.lex_state = 92},
  [102] = {.lex_state = 87},
  [103] = {.lex_state = 99},
  [104] = {.lex_state = 97},
  [105] = {.lex_state = 94},
  [106] = {.lex_state = 87},
  [107] = {.lex_state = 96},
  [108] = {.lex_state = 87},
  [109] = {.lex_state = 0},
  [110] = {.lex_state = 87},
  [111] = {.lex_state = 99},
  [112] = {.lex_state = 0},
  [113] = {.lex_state = 87},
  [114] = {.lex_state = 85},
  [115] = {.lex_state = 87},
  [116] = {.lex_state = 111},
  [117] = {.lex_state = 99},
  [118] = {.lex_state = 0},
  [119] = {.lex_state = 99},
  [120] = {.lex_state = 99},
  [121] = {.lex_state = 0},
  [122] = {.lex_state = 87},
  [123] = {.lex_state = 99},
  [124] = {.lex_state = 112},
  [125] = {.lex_state = 99},
  [126] = {.lex_state = 124},
  [127] = {.lex_state = 96},
  [128] = {.lex_state = 0},
  [129] = {.lex_state = 0},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 125},
  [132] = {.lex_state = 97},
  [133] = {.lex_state = 106},
  [134] = {.lex_state = 99},
  [135] = {.lex_state = 0},
  [136] = {.lex_state = 99},
  [137] = {.lex_state = 87},
  [138] = {.lex_state = 99},
  [139] = {.lex_state = 126},
  [140] = {.lex_state = 99},
  [141] = {.lex_state = 129},
  [142] = {.lex_state = 0},
  [143] = {.lex_state = 87},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 130},
  [146] = {.lex_state = 97},
  [147] = {.lex_state = 106},
  [148] = {.lex_state = 97},
  [149] = {.lex_state = 106},
  [150] = {.lex_state = 87},
  [151] = {.lex_state = 87},
  [152] = {.lex_state = 106},
  [153] = {.lex_state = 87},
  [154] = {.lex_state = 85},
  [155] = {.lex_state = 99},
  [156] = {.lex_state = 97},
  [157] = {.lex_state = 94},
  [158] = {.lex_state = 99},
  [159] = {.lex_state = 0},
  [160] = {.lex_state = 87},
  [161] = {.lex_state = 99},
  [162] = {.lex_state = 0},
  [163] = {.lex_state = 87},
  [164] = {.lex_state = 85},
  [165] = {.lex_state = 94},
  [166] = {.lex_state = 97},
  [167] = {.lex_state = 87},
  [168] = {.lex_state = 96},
  [169] = {.lex_state = 87},
  [170] = {.lex_state = 87},
  [171] = {.lex_state = 97},
  [172] = {.lex_state = 96},
  [173] = {.lex_state = 131},
  [174] = {.lex_state = 132},
  [175] = {.lex_state = 87},
  [176] = {.lex_state = 130},
  [177] = {.lex_state = 97},
  [178] = {.lex_state = 132},
  [179] = {.lex_state = 97},
  [180] = {.lex_state = 132},
  [181] = {.lex_state = 87},
  [182] = {.lex_state = 87},
  [183] = {.lex_state = 132},
  [184] = {.lex_state = 87},
  [185] = {.lex_state = 85},
  [186] = {.lex_state = 99},
  [187] = {.lex_state = 109},
  [188] = {.lex_state = 97},
  [189] = {.lex_state = 106},
  [190] = {.lex_state = 87},
  [191] = {.lex_state = 87},
  [192] = {.lex_state = 87},
  [193] = {.lex_state = 130},
  [194] = {.lex_state = 87},
  [195] = {.lex_state = 87},
  [196] = {.lex_state = 87},
  [197] = {.lex_state = 87},
  [198] = {.lex_state = 87},
  [199] = {.lex_state = 87},
  [200] = {.lex_state = 87},
  [201] = {.lex_state = 87},
  [202] = {.lex_state = 133},
  [203] = {.lex_state = 87},
  [204] = {.lex_state = 87},
  [205] = {.lex_state = 0},
  [206] = {.lex_state = 87},
  [207] = {.lex_state = 99},
  [208] = {.lex_state = 134},
  [209] = {.lex_state = 0},
  [210] = {.lex_state = 87},
  [211] = {.lex_state = 85},
  [212] = {.lex_state = 136},
  [213] = {.lex_state = 92},
  [214] = {.lex_state = 110},
  [215] = {.lex_state = 87},
  [216] = {.lex_state = 0},
  [217] = {.lex_state = 87},
  [218] = {.lex_state = 99},
  [219] = {.lex_state = 0},
  [220] = {.lex_state = 87},
  [221] = {.lex_state = 85},
  [222] = {.lex_state = 87},
  [223] = {.lex_state = 96},
  [224] = {.lex_state = 87},
  [225] = {.lex_state = 96},
  [226] = {.lex_state = 137},
  [227] = {.lex_state = 87},
  [228] = {.lex_state = 130},
  [229] = {.lex_state = 87},
  [230] = {.lex_state = 87},
  [231] = {.lex_state = 87},
  [232] = {.lex_state = 99},
  [233] = {.lex_state = 99},
  [234] = {.lex_state = 99},
  [235] = {.lex_state = 138},
  [236] = {.lex_state = 99},
  [237] = {.lex_state = 97},
  [238] = {.lex_state = 94},
  [239] = {.lex_state = 87},
  [240] = {.lex_state = 87},
  [241] = {.lex_state = 130},
  [242] = {.lex_state = 87},
  [243] = {.lex_state = 87},
  [244] = {.lex_state = 87},
  [245] = {.lex_state = 106},
  [246] = {.lex_state = 0},
  [247] = {.lex_state = 99},
  [248] = {.lex_state = 99},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 87},
  [251] = {.lex_state = 99},
  [252] = {.lex_state = 99},
  [253] = {.lex_state = 87},
  [254] = {.lex_state = 139},
  [255] = {.lex_state = 87},
  [256] = {.lex_state = 87},
  [257] = {.lex_state = 112},
  [258] = {.lex_state = 99},
  [259] = {.lex_state = 87},
  [260] = {.lex_state = 130},
  [261] = {.lex_state = 87},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 87},
  [264] = {.lex_state = 99},
  [265] = {.lex_state = 0},
  [266] = {.lex_state = 87},
  [267] = {.lex_state = 87},
  [268] = {.lex_state = 87},
  [269] = {.lex_state = 112},
  [270] = {.lex_state = 134},
  [271] = {.lex_state = 112},
  [272] = {.lex_state = 99},
  [273] = {.lex_state = 112},
  [274] = {.lex_state = 87},
  [275] = {.lex_state = 140},
  [276] = {.lex_state = 99},
  [277] = {.lex_state = 99},
  [278] = {.lex_state = 134},
  [279] = {.lex_state = 99},
  [280] = {.lex_state = 99},
  [281] = {.lex_state = 99},
  [282] = {.lex_state = 99},
  [283] = {.lex_state = 112},
  [284] = {.lex_state = 141},
  [285] = {.lex_state = 106},
  [286] = {.lex_state = 139},
  [287] = {.lex_state = 87},
  [288] = {.lex_state = 126},
  [289] = {.lex_state = 106},
  [290] = {.lex_state = 87},
  [291] = {.lex_state = 126},
  [292] = {.lex_state = 134},
  [293] = {.lex_state = 126},
  [294] = {.lex_state = 99},
  [295] = {.lex_state = 126},
  [296] = {.lex_state = 87},
  [297] = {.lex_state = 140},
  [298] = {.lex_state = 99},
  [299] = {.lex_state = 134},
  [300] = {.lex_state = 87},
  [301] = {.lex_state = 99},
  [302] = {.lex_state = 99},
  [303] = {.lex_state = 99},
  [304] = {.lex_state = 99},
  [305] = {.lex_state = 126},
  [306] = {.lex_state = 85},
  [307] = {.lex_state = 106},
  [308] = {.lex_state = 142},
  [309] = {.lex_state = 96},
  [310] = {.lex_state = 142},
  [311] = {.lex_state = 106},
  [312] = {.lex_state = 112},
  [313] = {.lex_state = 96},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 87},
  [316] = {.lex_state = 99},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 87},
  [319] = {.lex_state = 85},
  [320] = {.lex_state = 99},
  [321] = {.lex_state = 87},
  [322] = {.lex_state = 106},
  [323] = {.lex_state = 106},
  [324] = {.lex_state = 96},
  [325] = {.lex_state = 99},
  [326] = {.lex_state = 94},
  [327] = {.lex_state = 87},
  [328] = {.lex_state = 130},
  [329] = {.lex_state = 87},
  [330] = {.lex_state = 87},
  [331] = {.lex_state = 87},
  [332] = {.lex_state = 99},
  [333] = {.lex_state = 94},
  [334] = {.lex_state = 132},
  [335] = {.lex_state = 132},
  [336] = {.lex_state = 132},
  [337] = {.lex_state = 87},
  [338] = {.lex_state = 132},
  [339] = {.lex_state = 96},
  [340] = {.lex_state = 132},
  [341] = {.lex_state = 112},
  [342] = {.lex_state = 96},
  [343] = {.lex_state = 99},
  [344] = {.lex_state = 87},
  [345] = {.lex_state = 132},
  [346] = {.lex_state = 132},
  [347] = {.lex_state = 96},
  [348] = {.lex_state = 99},
  [349] = {.lex_state = 87},
  [350] = {.lex_state = 99},
  [351] = {.lex_state = 87},
  [352] = {.lex_state = 87},
  [353] = {.lex_state = 87},
  [354] = {.lex_state = 87},
  [355] = {.lex_state = 106},
  [356] = {.lex_state = 87},
  [357] = {.lex_state = 87},
  [358] = {.lex_state = 87},
  [359] = {.lex_state = 133},
  [360] = {.lex_state = 87},
  [361] = {.lex_state = 87},
  [362] = {.lex_state = 110},
  [363] = {.lex_state = 87},
  [364] = {.lex_state = 130},
  [365] = {.lex_state = 96},
  [366] = {.lex_state = 99},
  [367] = {.lex_state = 87},
  [368] = {.lex_state = 87},
  [369] = {.lex_state = 0},
  [370] = {.lex_state = 87},
  [371] = {.lex_state = 99},
  [372] = {.lex_state = 112},
  [373] = {.lex_state = 99},
  [374] = {.lex_state = 96},
  [375] = {.lex_state = 96},
  [376] = {.lex_state = 96},
  [377] = {.lex_state = 85},
  [378] = {.lex_state = 143},
  [379] = {.lex_state = 99},
  [380] = {.lex_state = 99},
  [381] = {.lex_state = 99},
  [382] = {.lex_state = 134},
  [383] = {.lex_state = 99},
  [384] = {.lex_state = 0},
  [385] = {.lex_state = 144},
  [386] = {.lex_state = 99},
  [387] = {.lex_state = 145},
  [388] = {.lex_state = 146},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 0},
  [391] = {.lex_state = 0},
  [392] = {.lex_state = 97},
  [393] = {.lex_state = 96},
  [394] = {.lex_state = 97},
  [395] = {.lex_state = 145},
  [396] = {.lex_state = 87},
  [397] = {.lex_state = 87},
  [398] = {.lex_state = 87},
  [399] = {.lex_state = 92},
  [400] = {.lex_state = 136},
  [401] = {.lex_state = 92},
  [402] = {.lex_state = 94},
  [403] = {.lex_state = 87},
  [404] = {.lex_state = 130},
  [405] = {.lex_state = 87},
  [406] = {.lex_state = 87},
  [407] = {.lex_state = 87},
  [408] = {.lex_state = 87},
  [409] = {.lex_state = 99},
  [410] = {.lex_state = 87},
  [411] = {.lex_state = 99},
  [412] = {.lex_state = 99},
  [413] = {.lex_state = 99},
  [414] = {.lex_state = 99},
  [415] = {.lex_state = 99},
  [416] = {.lex_state = 99},
  [417] = {.lex_state = 94},
  [418] = {.lex_state = 99},
  [419] = {.lex_state = 87},
  [420] = {.lex_state = 99},
  [421] = {.lex_state = 87},
  [422] = {.lex_state = 87},
  [423] = {.lex_state = 87},
  [424] = {.lex_state = 130},
  [425] = {.lex_state = 87},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 87},
  [428] = {.lex_state = 99},
  [429] = {.lex_state = 0},
  [430] = {.lex_state = 87},
  [431] = {.lex_state = 99},
  [432] = {.lex_state = 87},
  [433] = {.lex_state = 99},
  [434] = {.lex_state = 139},
  [435] = {.lex_state = 112},
  [436] = {.lex_state = 99},
  [437] = {.lex_state = 99},
  [438] = {.lex_state = 99},
  [439] = {.lex_state = 99},
  [440] = {.lex_state = 99},
  [441] = {.lex_state = 0},
  [442] = {.lex_state = 87},
  [443] = {.lex_state = 99},
  [444] = {.lex_state = 87},
  [445] = {.lex_state = 85},
  [446] = {.lex_state = 0},
  [447] = {.lex_state = 112},
  [448] = {.lex_state = 87},
  [449] = {.lex_state = 87},
  [450] = {.lex_state = 99},
  [451] = {.lex_state = 87},
  [452] = {.lex_state = 85},
  [453] = {.lex_state = 87},
  [454] = {.lex_state = 130},
  [455] = {.lex_state = 87},
  [456] = {.lex_state = 87},
  [457] = {.lex_state = 99},
  [458] = {.lex_state = 112},
  [459] = {.lex_state = 99},
  [460] = {.lex_state = 99},
  [461] = {.lex_state = 146},
  [462] = {.lex_state = 146},
  [463] = {.lex_state = 97},
  [464] = {.lex_state = 97},
  [465] = {.lex_state = 99},
  [466] = {.lex_state = 99},
  [467] = {.lex_state = 99},
  [468] = {.lex_state = 139},
  [469] = {.lex_state = 87},
  [470] = {.lex_state = 112},
  [471] = {.lex_state = 112},
  [472] = {.lex_state = 99},
  [473] = {.lex_state = 99},
  [474] = {.lex_state = 99},
  [475] = {.lex_state = 139},
  [476] = {.lex_state = 87},
  [477] = {.lex_state = 125},
  [478] = {.lex_state = 112},
  [479] = {.lex_state = 99},
  [480] = {.lex_state = 99},
  [481] = {.lex_state = 99},
  [482] = {.lex_state = 99},
  [483] = {.lex_state = 130},
  [484] = {.lex_state = 125},
  [485] = {.lex_state = 125},
  [486] = {.lex_state = 125},
  [487] = {.lex_state = 125},
  [488] = {.lex_state = 141},
  [489] = {.lex_state = 126},
  [490] = {.lex_state = 134},
  [491] = {.lex_state = 87},
  [492] = {.lex_state = 126},
  [493] = {.lex_state = 87},
  [494] = {.lex_state = 126},
  [495] = {.lex_state = 97},
  [496] = {.lex_state = 139},
  [497] = {.lex_state = 87},
  [498] = {.lex_state = 126},
  [499] = {.lex_state = 126},
  [500] = {.lex_state = 139},
  [501] = {.lex_state = 87},
  [502] = {.lex_state = 126},
  [503] = {.lex_state = 99},
  [504] = {.lex_state = 130},
  [505] = {.lex_state = 106},
  [506] = {.lex_state = 130},
  [507] = {.lex_state = 130},
  [508] = {.lex_state = 130},
  [509] = {.lex_state = 130},
  [510] = {.lex_state = 142},
  [511] = {.lex_state = 142},
  [512] = {.lex_state = 85},
  [513] = {.lex_state = 0},
  [514] = {.lex_state = 87},
  [515] = {.lex_state = 99},
  [516] = {.lex_state = 0},
  [517] = {.lex_state = 87},
  [518] = {.lex_state = 85},
  [519] = {.lex_state = 142},
  [520] = {.lex_state = 96},
  [521] = {.lex_state = 87},
  [522] = {.lex_state = 97},
  [523] = {.lex_state = 106},
  [524] = {.lex_state = 96},
  [525] = {.lex_state = 96},
  [526] = {.lex_state = 97},
  [527] = {.lex_state = 106},
  [528] = {.lex_state = 111},
  [529] = {.lex_state = 96},
  [530] = {.lex_state = 97},
  [531] = {.lex_state = 106},
  [532] = {.lex_state = 96},
  [533] = {.lex_state = 99},
  [534] = {.lex_state = 87},
  [535] = {.lex_state = 130},
  [536] = {.lex_state = 87},
  [537] = {.lex_state = 87},
  [538] = {.lex_state = 87},
  [539] = {.lex_state = 87},
  [540] = {.lex_state = 96},
  [541] = {.lex_state = 87},
  [542] = {.lex_state = 99},
  [543] = {.lex_state = 87},
  [544] = {.lex_state = 99},
  [545] = {.lex_state = 132},
  [546] = {.lex_state = 97},
  [547] = {.lex_state = 132},
  [548] = {.lex_state = 96},
  [549] = {.lex_state = 97},
  [550] = {.lex_state = 132},
  [551] = {.lex_state = 96},
  [552] = {.lex_state = 97},
  [553] = {.lex_state = 132},
  [554] = {.lex_state = 96},
  [555] = {.lex_state = 87},
  [556] = {.lex_state = 96},
  [557] = {.lex_state = 87},
  [558] = {.lex_state = 106},
  [559] = {.lex_state = 87},
  [560] = {.lex_state = 133},
  [561] = {.lex_state = 87},
  [562] = {.lex_state = 87},
  [563] = {.lex_state = 139},
  [564] = {.lex_state = 111},
  [565] = {.lex_state = 97},
  [566] = {.lex_state = 87},
  [567] = {.lex_state = 97},
  [568] = {.lex_state = 144},
  [569] = {.lex_state = 144},
  [570] = {.lex_state = 96},
  [571] = {.lex_state = 96},
  [572] = {.lex_state = 96},
  [573] = {.lex_state = 99},
  [574] = {.lex_state = 99},
  [575] = {.lex_state = 99},
  [576] = {.lex_state = 96},
  [577] = {.lex_state = 138},
  [578] = {.lex_state = 99},
  [579] = {.lex_state = 99},
  [580] = {.lex_state = 99},
  [581] = {.lex_state = 138},
  [582] = {.lex_state = 138},
  [583] = {.lex_state = 99},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 99},
  [586] = {.lex_state = 99},
  [587] = {.lex_state = 147},
  [588] = {.lex_state = 99},
  [589] = {.lex_state = 147},
  [590] = {.lex_state = 146},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 97},
  [595] = {.lex_state = 99},
  [596] = {.lex_state = 147},
  [597] = {.lex_state = 134},
  [598] = {.lex_state = 99},
  [599] = {.lex_state = 146},
  [600] = {.lex_state = 96},
  [601] = {.lex_state = 97},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 147},
  [604] = {.lex_state = 97},
  [605] = {.lex_state = 146},
  [606] = {.lex_state = 97},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 147},
  [609] = {.lex_state = 97},
  [610] = {.lex_state = 87},
  [611] = {.lex_state = 144},
  [612] = {.lex_state = 134},
  [613] = {.lex_state = 134},
  [614] = {.lex_state = 144},
  [615] = {.lex_state = 99},
  [616] = {.lex_state = 99},
  [617] = {.lex_state = 99},
  [618] = {.lex_state = 144},
  [619] = {.lex_state = 112},
  [620] = {.lex_state = 134},
  [621] = {.lex_state = 96},
  [622] = {.lex_state = 87},
  [623] = {.lex_state = 140},
  [624] = {.lex_state = 99},
  [625] = {.lex_state = 99},
  [626] = {.lex_state = 134},
  [627] = {.lex_state = 99},
  [628] = {.lex_state = 96},
  [629] = {.lex_state = 96},
  [630] = {.lex_state = 99},
  [631] = {.lex_state = 99},
  [632] = {.lex_state = 99},
  [633] = {.lex_state = 99},
  [634] = {.lex_state = 144},
  [635] = {.lex_state = 146},
  [636] = {.lex_state = 99},
  [637] = {.lex_state = 87},
  [638] = {.lex_state = 92},
  [639] = {.lex_state = 87},
  [640] = {.lex_state = 99},
  [641] = {.lex_state = 87},
  [642] = {.lex_state = 87},
  [643] = {.lex_state = 138},
  [644] = {.lex_state = 138},
  [645] = {.lex_state = 138},
  [646] = {.lex_state = 138},
  [647] = {.lex_state = 138},
  [648] = {.lex_state = 94},
  [649] = {.lex_state = 87},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 87},
  [652] = {.lex_state = 99},
  [653] = {.lex_state = 87},
  [654] = {.lex_state = 85},
  [655] = {.lex_state = 87},
  [656] = {.lex_state = 99},
  [657] = {.lex_state = 87},
  [658] = {.lex_state = 85},
  [659] = {.lex_state = 87},
  [660] = {.lex_state = 130},
  [661] = {.lex_state = 87},
  [662] = {.lex_state = 87},
  [663] = {.lex_state = 87},
  [664] = {.lex_state = 139},
  [665] = {.lex_state = 139},
  [666] = {.lex_state = 139},
  [667] = {.lex_state = 139},
  [668] = {.lex_state = 87},
  [669] = {.lex_state = 87},
  [670] = {.lex_state = 87},
  [671] = {.lex_state = 112},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 87},
  [674] = {.lex_state = 99},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 87},
  [677] = {.lex_state = 85},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 87},
  [680] = {.lex_state = 87},
  [681] = {.lex_state = 87},
  [682] = {.lex_state = 99},
  [683] = {.lex_state = 112},
  [684] = {.lex_state = 140},
  [685] = {.lex_state = 87},
  [686] = {.lex_state = 99},
  [687] = {.lex_state = 99},
  [688] = {.lex_state = 99},
  [689] = {.lex_state = 99},
  [690] = {.lex_state = 99},
  [691] = {.lex_state = 99},
  [692] = {.lex_state = 99},
  [693] = {.lex_state = 134},
  [694] = {.lex_state = 112},
  [695] = {.lex_state = 97},
  [696] = {.lex_state = 112},
  [697] = {.lex_state = 87},
  [698] = {.lex_state = 99},
  [699] = {.lex_state = 99},
  [700] = {.lex_state = 99},
  [701] = {.lex_state = 99},
  [702] = {.lex_state = 99},
  [703] = {.lex_state = 87},
  [704] = {.lex_state = 112},
  [705] = {.lex_state = 140},
  [706] = {.lex_state = 87},
  [707] = {.lex_state = 99},
  [708] = {.lex_state = 99},
  [709] = {.lex_state = 99},
  [710] = {.lex_state = 99},
  [711] = {.lex_state = 99},
  [712] = {.lex_state = 87},
  [713] = {.lex_state = 112},
  [714] = {.lex_state = 130},
  [715] = {.lex_state = 99},
  [716] = {.lex_state = 112},
  [717] = {.lex_state = 99},
  [718] = {.lex_state = 99},
  [719] = {.lex_state = 99},
  [720] = {.lex_state = 99},
  [721] = {.lex_state = 99},
  [722] = {.lex_state = 126},
  [723] = {.lex_state = 97},
  [724] = {.lex_state = 126},
  [725] = {.lex_state = 126},
  [726] = {.lex_state = 140},
  [727] = {.lex_state = 87},
  [728] = {.lex_state = 134},
  [729] = {.lex_state = 126},
  [730] = {.lex_state = 97},
  [731] = {.lex_state = 126},
  [732] = {.lex_state = 87},
  [733] = {.lex_state = 87},
  [734] = {.lex_state = 126},
  [735] = {.lex_state = 140},
  [736] = {.lex_state = 87},
  [737] = {.lex_state = 126},
  [738] = {.lex_state = 130},
  [739] = {.lex_state = 126},
  [740] = {.lex_state = 99},
  [741] = {.lex_state = 96},
  [742] = {.lex_state = 96},
  [743] = {.lex_state = 87},
  [744] = {.lex_state = 142},
  [745] = {.lex_state = 87},
  [746] = {.lex_state = 130},
  [747] = {.lex_state = 87},
  [748] = {.lex_state = 87},
  [749] = {.lex_state = 87},
  [750] = {.lex_state = 96},
  [751] = {.lex_state = 142},
  [752] = {.lex_state = 87},
  [753] = {.lex_state = 106},
  [754] = {.lex_state = 96},
  [755] = {.lex_state = 97},
  [756] = {.lex_state = 96},
  [757] = {.lex_state = 106},
  [758] = {.lex_state = 112},
  [759] = {.lex_state = 96},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 87},
  [762] = {.lex_state = 99},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 87},
  [765] = {.lex_state = 85},
  [766] = {.lex_state = 96},
  [767] = {.lex_state = 97},
  [768] = {.lex_state = 96},
  [769] = {.lex_state = 106},
  [770] = {.lex_state = 97},
  [771] = {.lex_state = 87},
  [772] = {.lex_state = 99},
  [773] = {.lex_state = 87},
  [774] = {.lex_state = 106},
  [775] = {.lex_state = 87},
  [776] = {.lex_state = 132},
  [777] = {.lex_state = 97},
  [778] = {.lex_state = 132},
  [779] = {.lex_state = 97},
  [780] = {.lex_state = 132},
  [781] = {.lex_state = 97},
  [782] = {.lex_state = 132},
  [783] = {.lex_state = 133},
  [784] = {.lex_state = 144},
  [785] = {.lex_state = 99},
  [786] = {.lex_state = 97},
  [787] = {.lex_state = 111},
  [788] = {.lex_state = 99},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 87},
  [791] = {.lex_state = 99},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 87},
  [794] = {.lex_state = 85},
  [795] = {.lex_state = 111},
  [796] = {.lex_state = 97},
  [797] = {.lex_state = 134},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 144},
  [800] = {.lex_state = 87},
  [801] = {.lex_state = 99},
  [802] = {.lex_state = 99},
  [803] = {.lex_state = 99},
  [804] = {.lex_state = 99},
  [805] = {.lex_state = 99},
  [806] = {.lex_state = 99},
  [807] = {.lex_state = 111},
  [808] = {.lex_state = 99},
  [809] = {.lex_state = 99},
  [810] = {.lex_state = 99},
  [811] = {.lex_state = 99},
  [812] = {.lex_state = 99},
  [813] = {.lex_state = 139},
  [814] = {.lex_state = 87},
  [815] = {.lex_state = 147},
  [816] = {.lex_state = 87},
  [817] = {.lex_state = 147},
  [818] = {.lex_state = 134},
  [819] = {.lex_state = 147},
  [820] = {.lex_state = 99},
  [821] = {.lex_state = 99},
  [822] = {.lex_state = 99},
  [823] = {.lex_state = 147},
  [824] = {.lex_state = 99},
  [825] = {.lex_state = 99},
  [826] = {.lex_state = 99},
  [827] = {.lex_state = 99},
  [828] = {.lex_state = 146},
  [829] = {.lex_state = 126},
  [830] = {.lex_state = 87},
  [831] = {.lex_state = 140},
  [832] = {.lex_state = 99},
  [833] = {.lex_state = 134},
  [834] = {.lex_state = 99},
  [835] = {.lex_state = 97},
  [836] = {.lex_state = 97},
  [837] = {.lex_state = 99},
  [838] = {.lex_state = 99},
  [839] = {.lex_state = 99},
  [840] = {.lex_state = 99},
  [841] = {.lex_state = 96},
  [842] = {.lex_state = 147},
  [843] = {.lex_state = 99},
  [844] = {.lex_state = 99},
  [845] = {.lex_state = 99},
  [846] = {.lex_state = 99},
  [847] = {.lex_state = 146},
  [848] = {.lex_state = 126},
  [849] = {.lex_state = 99},
  [850] = {.lex_state = 99},
  [851] = {.lex_state = 134},
  [852] = {.lex_state = 96},
  [853] = {.lex_state = 96},
  [854] = {.lex_state = 99},
  [855] = {.lex_state = 97},
  [856] = {.lex_state = 97},
  [857] = {.lex_state = 99},
  [858] = {.lex_state = 99},
  [859] = {.lex_state = 97},
  [860] = {.lex_state = 87},
  [861] = {.lex_state = 97},
  [862] = {.lex_state = 96},
  [863] = {.lex_state = 99},
  [864] = {.lex_state = 97},
  [865] = {.lex_state = 97},
  [866] = {.lex_state = 87},
  [867] = {.lex_state = 144},
  [868] = {.lex_state = 97},
  [869] = {.lex_state = 145},
  [870] = {.lex_state = 96},
  [871] = {.lex_state = 96},
  [872] = {.lex_state = 96},
  [873] = {.lex_state = 139},
  [874] = {.lex_state = 96},
  [875] = {.lex_state = 97},
  [876] = {.lex_state = 134},
  [877] = {.lex_state = 96},
  [878] = {.lex_state = 87},
  [879] = {.lex_state = 144},
  [880] = {.lex_state = 144},
  [881] = {.lex_state = 139},
  [882] = {.lex_state = 87},
  [883] = {.lex_state = 99},
  [884] = {.lex_state = 99},
  [885] = {.lex_state = 99},
  [886] = {.lex_state = 146},
  [887] = {.lex_state = 144},
  [888] = {.lex_state = 99},
  [889] = {.lex_state = 130},
  [890] = {.lex_state = 138},
  [891] = {.lex_state = 145},
  [892] = {.lex_state = 145},
  [893] = {.lex_state = 145},
  [894] = {.lex_state = 145},
  [895] = {.lex_state = 146},
  [896] = {.lex_state = 87},
  [897] = {.lex_state = 87},
  [898] = {.lex_state = 87},
  [899] = {.lex_state = 87},
  [900] = {.lex_state = 87},
  [901] = {.lex_state = 87},
  [902] = {.lex_state = 87},
  [903] = {.lex_state = 87},
  [904] = {.lex_state = 99},
  [905] = {.lex_state = 87},
  [906] = {.lex_state = 87},
  [907] = {.lex_state = 87},
  [908] = {.lex_state = 130},
  [909] = {.lex_state = 87},
  [910] = {.lex_state = 87},
  [911] = {.lex_state = 87},
  [912] = {.lex_state = 87},
  [913] = {.lex_state = 112},
  [914] = {.lex_state = 139},
  [915] = {.lex_state = 140},
  [916] = {.lex_state = 87},
  [917] = {.lex_state = 99},
  [918] = {.lex_state = 99},
  [919] = {.lex_state = 99},
  [920] = {.lex_state = 146},
  [921] = {.lex_state = 97},
  [922] = {.lex_state = 146},
  [923] = {.lex_state = 97},
  [924] = {.lex_state = 146},
  [925] = {.lex_state = 146},
  [926] = {.lex_state = 146},
  [927] = {.lex_state = 146},
  [928] = {.lex_state = 112},
  [929] = {.lex_state = 97},
  [930] = {.lex_state = 134},
  [931] = {.lex_state = 97},
  [932] = {.lex_state = 112},
  [933] = {.lex_state = 139},
  [934] = {.lex_state = 139},
  [935] = {.lex_state = 139},
  [936] = {.lex_state = 139},
  [937] = {.lex_state = 112},
  [938] = {.lex_state = 112},
  [939] = {.lex_state = 139},
  [940] = {.lex_state = 87},
  [941] = {.lex_state = 139},
  [942] = {.lex_state = 139},
  [943] = {.lex_state = 139},
  [944] = {.lex_state = 139},
  [945] = {.lex_state = 140},
  [946] = {.lex_state = 87},
  [947] = {.lex_state = 112},
  [948] = {.lex_state = 99},
  [949] = {.lex_state = 130},
  [950] = {.lex_state = 130},
  [951] = {.lex_state = 130},
  [952] = {.lex_state = 130},
  [953] = {.lex_state = 130},
  [954] = {.lex_state = 126},
  [955] = {.lex_state = 126},
  [956] = {.lex_state = 140},
  [957] = {.lex_state = 126},
  [958] = {.lex_state = 134},
  [959] = {.lex_state = 126},
  [960] = {.lex_state = 126},
  [961] = {.lex_state = 126},
  [962] = {.lex_state = 140},
  [963] = {.lex_state = 126},
  [964] = {.lex_state = 99},
  [965] = {.lex_state = 130},
  [966] = {.lex_state = 87},
  [967] = {.lex_state = 99},
  [968] = {.lex_state = 87},
  [969] = {.lex_state = 96},
  [970] = {.lex_state = 106},
  [971] = {.lex_state = 87},
  [972] = {.lex_state = 111},
  [973] = {.lex_state = 87},
  [974] = {.lex_state = 130},
  [975] = {.lex_state = 87},
  [976] = {.lex_state = 87},
  [977] = {.lex_state = 87},
  [978] = {.lex_state = 106},
  [979] = {.lex_state = 85},
  [980] = {.lex_state = 106},
  [981] = {.lex_state = 87},
  [982] = {.lex_state = 132},
  [983] = {.lex_state = 132},
  [984] = {.lex_state = 132},
  [985] = {.lex_state = 99},
  [986] = {.lex_state = 97},
  [987] = {.lex_state = 111},
  [988] = {.lex_state = 111},
  [989] = {.lex_state = 87},
  [990] = {.lex_state = 130},
  [991] = {.lex_state = 87},
  [992] = {.lex_state = 87},
  [993] = {.lex_state = 87},
  [994] = {.lex_state = 99},
  [995] = {.lex_state = 111},
  [996] = {.lex_state = 144},
  [997] = {.lex_state = 97},
  [998] = {.lex_state = 144},
  [999] = {.lex_state = 138},
  [1000] = {.lex_state = 138},
  [1001] = {.lex_state = 138},
  [1002] = {.lex_state = 138},
  [1003] = {.lex_state = 138},
  [1004] = {.lex_state = 111},
  [1005] = {.lex_state = 138},
  [1006] = {.lex_state = 138},
  [1007] = {.lex_state = 138},
  [1008] = {.lex_state = 138},
  [1009] = {.lex_state = 147},
  [1010] = {.lex_state = 134},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 147},
  [1013] = {.lex_state = 87},
  [1014] = {.lex_state = 147},
  [1015] = {.lex_state = 97},
  [1016] = {.lex_state = 99},
  [1017] = {.lex_state = 99},
  [1018] = {.lex_state = 99},
  [1019] = {.lex_state = 97},
  [1020] = {.lex_state = 146},
  [1021] = {.lex_state = 97},
  [1022] = {.lex_state = 139},
  [1023] = {.lex_state = 99},
  [1024] = {.lex_state = 99},
  [1025] = {.lex_state = 99},
  [1026] = {.lex_state = 99},
  [1027] = {.lex_state = 99},
  [1028] = {.lex_state = 96},
  [1029] = {.lex_state = 87},
  [1030] = {.lex_state = 147},
  [1031] = {.lex_state = 147},
  [1032] = {.lex_state = 139},
  [1033] = {.lex_state = 87},
  [1034] = {.lex_state = 147},
  [1035] = {.lex_state = 99},
  [1036] = {.lex_state = 130},
  [1037] = {.lex_state = 146},
  [1038] = {.lex_state = 147},
  [1039] = {.lex_state = 147},
  [1040] = {.lex_state = 147},
  [1041] = {.lex_state = 147},
  [1042] = {.lex_state = 87},
  [1043] = {.lex_state = 96},
  [1044] = {.lex_state = 99},
  [1045] = {.lex_state = 99},
  [1046] = {.lex_state = 99},
  [1047] = {.lex_state = 146},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 147},
  [1050] = {.lex_state = 99},
  [1051] = {.lex_state = 99},
  [1052] = {.lex_state = 99},
  [1053] = {.lex_state = 99},
  [1054] = {.lex_state = 99},
  [1055] = {.lex_state = 99},
  [1056] = {.lex_state = 99},
  [1057] = {.lex_state = 146},
  [1058] = {.lex_state = 99},
  [1059] = {.lex_state = 99},
  [1060] = {.lex_state = 99},
  [1061] = {.lex_state = 97},
  [1062] = {.lex_state = 146},
  [1063] = {.lex_state = 134},
  [1064] = {.lex_state = 96},
  [1065] = {.lex_state = 97},
  [1066] = {.lex_state = 146},
  [1067] = {.lex_state = 99},
  [1068] = {.lex_state = 97},
  [1069] = {.lex_state = 99},
  [1070] = {.lex_state = 99},
  [1071] = {.lex_state = 146},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 146},
  [1074] = {.lex_state = 96},
  [1075] = {.lex_state = 87},
  [1076] = {.lex_state = 97},
  [1077] = {.lex_state = 97},
  [1078] = {.lex_state = 87},
  [1079] = {.lex_state = 97},
  [1080] = {.lex_state = 99},
  [1081] = {.lex_state = 99},
  [1082] = {.lex_state = 99},
  [1083] = {.lex_state = 146},
  [1084] = {.lex_state = 97},
  [1085] = {.lex_state = 146},
  [1086] = {.lex_state = 134},
  [1087] = {.lex_state = 96},
  [1088] = {.lex_state = 97},
  [1089] = {.lex_state = 144},
  [1090] = {.lex_state = 140},
  [1091] = {.lex_state = 87},
  [1092] = {.lex_state = 134},
  [1093] = {.lex_state = 144},
  [1094] = {.lex_state = 97},
  [1095] = {.lex_state = 134},
  [1096] = {.lex_state = 144},
  [1097] = {.lex_state = 87},
  [1098] = {.lex_state = 97},
  [1099] = {.lex_state = 134},
  [1100] = {.lex_state = 87},
  [1101] = {.lex_state = 144},
  [1102] = {.lex_state = 140},
  [1103] = {.lex_state = 87},
  [1104] = {.lex_state = 99},
  [1105] = {.lex_state = 99},
  [1106] = {.lex_state = 99},
  [1107] = {.lex_state = 99},
  [1108] = {.lex_state = 99},
  [1109] = {.lex_state = 144},
  [1110] = {.lex_state = 130},
  [1111] = {.lex_state = 144},
  [1112] = {.lex_state = 99},
  [1113] = {.lex_state = 87},
  [1114] = {.lex_state = 87},
  [1115] = {.lex_state = 87},
  [1116] = {.lex_state = 99},
  [1117] = {.lex_state = 87},
  [1118] = {.lex_state = 112},
  [1119] = {.lex_state = 99},
  [1120] = {.lex_state = 99},
  [1121] = {.lex_state = 99},
  [1122] = {.lex_state = 99},
  [1123] = {.lex_state = 99},
  [1124] = {.lex_state = 99},
  [1125] = {.lex_state = 112},
  [1126] = {.lex_state = 99},
  [1127] = {.lex_state = 112},
  [1128] = {.lex_state = 99},
  [1129] = {.lex_state = 130},
  [1130] = {.lex_state = 112},
  [1131] = {.lex_state = 99},
  [1132] = {.lex_state = 126},
  [1133] = {.lex_state = 126},
  [1134] = {.lex_state = 126},
  [1135] = {.lex_state = 130},
  [1136] = {.lex_state = 126},
  [1137] = {.lex_state = 99},
  [1138] = {.lex_state = 87},
  [1139] = {.lex_state = 87},
  [1140] = {.lex_state = 99},
  [1141] = {.lex_state = 87},
  [1142] = {.lex_state = 99},
  [1143] = {.lex_state = 87},
  [1144] = {.lex_state = 99},
  [1145] = {.lex_state = 87},
  [1146] = {.lex_state = 99},
  [1147] = {.lex_state = 144},
  [1148] = {.lex_state = 147},
  [1149] = {.lex_state = 97},
  [1150] = {.lex_state = 147},
  [1151] = {.lex_state = 147},
  [1152] = {.lex_state = 140},
  [1153] = {.lex_state = 87},
  [1154] = {.lex_state = 134},
  [1155] = {.lex_state = 147},
  [1156] = {.lex_state = 97},
  [1157] = {.lex_state = 99},
  [1158] = {.lex_state = 99},
  [1159] = {.lex_state = 99},
  [1160] = {.lex_state = 99},
  [1161] = {.lex_state = 99},
  [1162] = {.lex_state = 99},
  [1163] = {.lex_state = 97},
  [1164] = {.lex_state = 147},
  [1165] = {.lex_state = 87},
  [1166] = {.lex_state = 126},
  [1167] = {.lex_state = 126},
  [1168] = {.lex_state = 126},
  [1169] = {.lex_state = 126},
  [1170] = {.lex_state = 96},
  [1171] = {.lex_state = 87},
  [1172] = {.lex_state = 147},
  [1173] = {.lex_state = 140},
  [1174] = {.lex_state = 87},
  [1175] = {.lex_state = 147},
  [1176] = {.lex_state = 130},
  [1177] = {.lex_state = 147},
  [1178] = {.lex_state = 99},
  [1179] = {.lex_state = 96},
  [1180] = {.lex_state = 99},
  [1181] = {.lex_state = 99},
  [1182] = {.lex_state = 99},
  [1183] = {.lex_state = 99},
  [1184] = {.lex_state = 99},
  [1185] = {.lex_state = 99},
  [1186] = {.lex_state = 99},
  [1187] = {.lex_state = 99},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 146},
  [1190] = {.lex_state = 146},
  [1191] = {.lex_state = 146},
  [1192] = {.lex_state = 146},
  [1193] = {.lex_state = 126},
  [1194] = {.lex_state = 99},
  [1195] = {.lex_state = 99},
  [1196] = {.lex_state = 99},
  [1197] = {.lex_state = 99},
  [1198] = {.lex_state = 99},
  [1199] = {.lex_state = 99},
  [1200] = {.lex_state = 99},
  [1201] = {.lex_state = 97},
  [1202] = {.lex_state = 87},
  [1203] = {.lex_state = 87},
  [1204] = {.lex_state = 87},
  [1205] = {.lex_state = 99},
  [1206] = {.lex_state = 99},
  [1207] = {.lex_state = 143},
  [1208] = {.lex_state = 99},
  [1209] = {.lex_state = 99},
  [1210] = {.lex_state = 99},
  [1211] = {.lex_state = 99},
  [1212] = {.lex_state = 144},
  [1213] = {.lex_state = 146},
  [1214] = {.lex_state = 97},
  [1215] = {.lex_state = 96},
  [1216] = {.lex_state = 144},
  [1217] = {.lex_state = 87},
  [1218] = {.lex_state = 96},
  [1219] = {.lex_state = 97},
  [1220] = {.lex_state = 99},
  [1221] = {.lex_state = 97},
  [1222] = {.lex_state = 87},
  [1223] = {.lex_state = 99},
  [1224] = {.lex_state = 99},
  [1225] = {.lex_state = 97},
  [1226] = {.lex_state = 99},
  [1227] = {.lex_state = 99},
  [1228] = {.lex_state = 99},
  [1229] = {.lex_state = 99},
  [1230] = {.lex_state = 146},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 87},
  [1233] = {.lex_state = 99},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 87},
  [1236] = {.lex_state = 85},
  [1237] = {.lex_state = 97},
  [1238] = {.lex_state = 134},
  [1239] = {.lex_state = 96},
  [1240] = {.lex_state = 97},
  [1241] = {.lex_state = 87},
  [1242] = {.lex_state = 99},
  [1243] = {.lex_state = 99},
  [1244] = {.lex_state = 99},
  [1245] = {.lex_state = 99},
  [1246] = {.lex_state = 99},
  [1247] = {.lex_state = 99},
  [1248] = {.lex_state = 99},
  [1249] = {.lex_state = 99},
  [1250] = {.lex_state = 146},
  [1251] = {.lex_state = 97},
  [1252] = {.lex_state = 144},
  [1253] = {.lex_state = 140},
  [1254] = {.lex_state = 144},
  [1255] = {.lex_state = 134},
  [1256] = {.lex_state = 144},
  [1257] = {.lex_state = 144},
  [1258] = {.lex_state = 144},
  [1259] = {.lex_state = 140},
  [1260] = {.lex_state = 146},
  [1261] = {.lex_state = 146},
  [1262] = {.lex_state = 146},
  [1263] = {.lex_state = 146},
  [1264] = {.lex_state = 144},
  [1265] = {.lex_state = 99},
  [1266] = {.lex_state = 130},
  [1267] = {.lex_state = 87},
  [1268] = {.lex_state = 146},
  [1269] = {.lex_state = 146},
  [1270] = {.lex_state = 146},
  [1271] = {.lex_state = 146},
  [1272] = {.lex_state = 112},
  [1273] = {.lex_state = 130},
  [1274] = {.lex_state = 126},
  [1275] = {.lex_state = 130},
  [1276] = {.lex_state = 87},
  [1277] = {.lex_state = 87},
  [1278] = {.lex_state = 147},
  [1279] = {.lex_state = 147},
  [1280] = {.lex_state = 140},
  [1281] = {.lex_state = 147},
  [1282] = {.lex_state = 134},
  [1283] = {.lex_state = 146},
  [1284] = {.lex_state = 146},
  [1285] = {.lex_state = 146},
  [1286] = {.lex_state = 146},
  [1287] = {.lex_state = 146},
  [1288] = {.lex_state = 97},
  [1289] = {.lex_state = 147},
  [1290] = {.lex_state = 147},
  [1291] = {.lex_state = 147},
  [1292] = {.lex_state = 140},
  [1293] = {.lex_state = 147},
  [1294] = {.lex_state = 99},
  [1295] = {.lex_state = 130},
  [1296] = {.lex_state = 99},
  [1297] = {.lex_state = 99},
  [1298] = {.lex_state = 99},
  [1299] = {.lex_state = 139},
  [1300] = {.lex_state = 126},
  [1301] = {.lex_state = 147},
  [1302] = {.lex_state = 147},
  [1303] = {.lex_state = 147},
  [1304] = {.lex_state = 147},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 146},
  [1307] = {.lex_state = 146},
  [1308] = {.lex_state = 146},
  [1309] = {.lex_state = 146},
  [1310] = {.lex_state = 146},
  [1311] = {.lex_state = 97},
  [1312] = {.lex_state = 111},
  [1313] = {.lex_state = 97},
  [1314] = {.lex_state = 97},
  [1315] = {.lex_state = 99},
  [1316] = {.lex_state = 99},
  [1317] = {.lex_state = 99},
  [1318] = {.lex_state = 112},
  [1319] = {.lex_state = 99},
  [1320] = {.lex_state = 99},
  [1321] = {.lex_state = 99},
  [1322] = {.lex_state = 112},
  [1323] = {.lex_state = 112},
  [1324] = {.lex_state = 99},
  [1325] = {.lex_state = 147},
  [1326] = {.lex_state = 134},
  [1327] = {.lex_state = 99},
  [1328] = {.lex_state = 99},
  [1329] = {.lex_state = 134},
  [1330] = {.lex_state = 96},
  [1331] = {.lex_state = 99},
  [1332] = {.lex_state = 99},
  [1333] = {.lex_state = 99},
  [1334] = {.lex_state = 99},
  [1335] = {.lex_state = 99},
  [1336] = {.lex_state = 99},
  [1337] = {.lex_state = 87},
  [1338] = {.lex_state = 96},
  [1339] = {.lex_state = 99},
  [1340] = {.lex_state = 99},
  [1341] = {.lex_state = 99},
  [1342] = {.lex_state = 126},
  [1343] = {.lex_state = 96},
  [1344] = {.lex_state = 97},
  [1345] = {.lex_state = 87},
  [1346] = {.lex_state = 99},
  [1347] = {.lex_state = 99},
  [1348] = {.lex_state = 99},
  [1349] = {.lex_state = 146},
  [1350] = {.lex_state = 97},
  [1351] = {.lex_state = 146},
  [1352] = {.lex_state = 146},
  [1353] = {.lex_state = 146},
  [1354] = {.lex_state = 146},
  [1355] = {.lex_state = 146},
  [1356] = {.lex_state = 97},
  [1357] = {.lex_state = 87},
  [1358] = {.lex_state = 130},
  [1359] = {.lex_state = 87},
  [1360] = {.lex_state = 87},
  [1361] = {.lex_state = 87},
  [1362] = {.lex_state = 87},
  [1363] = {.lex_state = 97},
  [1364] = {.lex_state = 97},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 99},
  [1367] = {.lex_state = 99},
  [1368] = {.lex_state = 99},
  [1369] = {.lex_state = 130},
  [1370] = {.lex_state = 99},
  [1371] = {.lex_state = 99},
  [1372] = {.lex_state = 99},
  [1373] = {.lex_state = 146},
  [1374] = {.lex_state = 130},
  [1375] = {.lex_state = 146},
  [1376] = {.lex_state = 146},
  [1377] = {.lex_state = 146},
  [1378] = {.lex_state = 146},
  [1379] = {.lex_state = 146},
  [1380] = {.lex_state = 144},
  [1381] = {.lex_state = 144},
  [1382] = {.lex_state = 144},
  [1383] = {.lex_state = 130},
  [1384] = {.lex_state = 144},
  [1385] = {.lex_state = 99},
  [1386] = {.lex_state = 112},
  [1387] = {.lex_state = 126},
  [1388] = {.lex_state = 147},
  [1389] = {.lex_state = 147},
  [1390] = {.lex_state = 147},
  [1391] = {.lex_state = 130},
  [1392] = {.lex_state = 147},
  [1393] = {.lex_state = 99},
  [1394] = {.lex_state = 99},
  [1395] = {.lex_state = 99},
  [1396] = {.lex_state = 99},
  [1397] = {.lex_state = 99},
  [1398] = {.lex_state = 99},
  [1399] = {.lex_state = 99},
  [1400] = {.lex_state = 87},
  [1401] = {.lex_state = 99},
  [1402] = {.lex_state = 97},
  [1403] = {.lex_state = 111},
  [1404] = {.lex_state = 99},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 87},
  [1407] = {.lex_state = 99},
  [1408] = {.lex_state = 0},
  [1409] = {.lex_state = 87},
  [1410] = {.lex_state = 85},
  [1411] = {.lex_state = 111},
  [1412] = {.lex_state = 97},
  [1413] = {.lex_state = 87},
  [1414] = {.lex_state = 0},
  [1415] = {.lex_state = 87},
  [1416] = {.lex_state = 99},
  [1417] = {.lex_state = 0},
  [1418] = {.lex_state = 87},
  [1419] = {.lex_state = 85},
  [1420] = {.lex_state = 99},
  [1421] = {.lex_state = 99},
  [1422] = {.lex_state = 99},
  [1423] = {.lex_state = 99},
  [1424] = {.lex_state = 99},
  [1425] = {.lex_state = 99},
  [1426] = {.lex_state = 111},
  [1427] = {.lex_state = 99},
  [1428] = {.lex_state = 99},
  [1429] = {.lex_state = 99},
  [1430] = {.lex_state = 99},
  [1431] = {.lex_state = 99},
  [1432] = {.lex_state = 126},
  [1433] = {.lex_state = 96},
  [1434] = {.lex_state = 144},
  [1435] = {.lex_state = 134},
  [1436] = {.lex_state = 96},
  [1437] = {.lex_state = 112},
  [1438] = {.lex_state = 144},
  [1439] = {.lex_state = 144},
  [1440] = {.lex_state = 144},
  [1441] = {.lex_state = 144},
  [1442] = {.lex_state = 87},
  [1443] = {.lex_state = 99},
  [1444] = {.lex_state = 99},
  [1445] = {.lex_state = 99},
  [1446] = {.lex_state = 99},
  [1447] = {.lex_state = 99},
  [1448] = {.lex_state = 96},
  [1449] = {.lex_state = 99},
  [1450] = {.lex_state = 99},
  [1451] = {.lex_state = 99},
  [1452] = {.lex_state = 99},
  [1453] = {.lex_state = 99},
  [1454] = {.lex_state = 96},
  [1455] = {.lex_state = 87},
  [1456] = {.lex_state = 99},
  [1457] = {.lex_state = 87},
  [1458] = {.lex_state = 97},
  [1459] = {.lex_state = 97},
  [1460] = {.lex_state = 99},
  [1461] = {.lex_state = 99},
  [1462] = {.lex_state = 99},
  [1463] = {.lex_state = 99},
  [1464] = {.lex_state = 99},
  [1465] = {.lex_state = 99},
  [1466] = {.lex_state = 99},
  [1467] = {.lex_state = 99},
  [1468] = {.lex_state = 99},
  [1469] = {.lex_state = 99},
  [1470] = {.lex_state = 144},
  [1471] = {.lex_state = 130},
  [1472] = {.lex_state = 147},
  [1473] = {.lex_state = 130},
  [1474] = {.lex_state = 139},
  [1475] = {.lex_state = 139},
  [1476] = {.lex_state = 139},
  [1477] = {.lex_state = 139},
  [1478] = {.lex_state = 139},
  [1479] = {.lex_state = 87},
  [1480] = {.lex_state = 99},
  [1481] = {.lex_state = 97},
  [1482] = {.lex_state = 111},
  [1483] = {.lex_state = 111},
  [1484] = {.lex_state = 87},
  [1485] = {.lex_state = 130},
  [1486] = {.lex_state = 87},
  [1487] = {.lex_state = 87},
  [1488] = {.lex_state = 87},
  [1489] = {.lex_state = 99},
  [1490] = {.lex_state = 111},
  [1491] = {.lex_state = 111},
  [1492] = {.lex_state = 87},
  [1493] = {.lex_state = 130},
  [1494] = {.lex_state = 87},
  [1495] = {.lex_state = 87},
  [1496] = {.lex_state = 87},
  [1497] = {.lex_state = 112},
  [1498] = {.lex_state = 112},
  [1499] = {.lex_state = 112},
  [1500] = {.lex_state = 112},
  [1501] = {.lex_state = 112},
  [1502] = {.lex_state = 111},
  [1503] = {.lex_state = 112},
  [1504] = {.lex_state = 112},
  [1505] = {.lex_state = 112},
  [1506] = {.lex_state = 112},
  [1507] = {.lex_state = 96},
  [1508] = {.lex_state = 87},
  [1509] = {.lex_state = 134},
  [1510] = {.lex_state = 134},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 126},
  [1513] = {.lex_state = 126},
  [1514] = {.lex_state = 126},
  [1515] = {.lex_state = 126},
  [1516] = {.lex_state = 146},
  [1517] = {.lex_state = 146},
  [1518] = {.lex_state = 146},
  [1519] = {.lex_state = 146},
  [1520] = {.lex_state = 87},
  [1521] = {.lex_state = 130},
  [1522] = {.lex_state = 130},
  [1523] = {.lex_state = 130},
  [1524] = {.lex_state = 130},
  [1525] = {.lex_state = 146},
  [1526] = {.lex_state = 146},
  [1527] = {.lex_state = 146},
  [1528] = {.lex_state = 146},
  [1529] = {.lex_state = 144},
  [1530] = {.lex_state = 147},
  [1531] = {.lex_state = 99},
  [1532] = {.lex_state = 87},
  [1533] = {.lex_state = 99},
  [1534] = {.lex_state = 87},
  [1535] = {.lex_state = 99},
  [1536] = {.lex_state = 87},
  [1537] = {.lex_state = 99},
  [1538] = {.lex_state = 87},
  [1539] = {.lex_state = 87},
  [1540] = {.lex_state = 87},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(3),
    [sym_blank_identifier] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(3),
    [anon_sym_var] = ACTIONS(3),
    [anon_sym_func] = ACTIONS(3),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(3),
    [anon_sym_map] = ACTIONS(3),
    [anon_sym_chan] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(3),
    [anon_sym_fallthrough] = ACTIONS(3),
    [anon_sym_break] = ACTIONS(3),
    [anon_sym_continue] = ACTIONS(3),
    [anon_sym_goto] = ACTIONS(3),
    [anon_sym_return] = ACTIONS(3),
    [anon_sym_go] = ACTIONS(3),
    [anon_sym_defer] = ACTIONS(3),
    [anon_sym_if] = ACTIONS(3),
    [anon_sym_else] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3),
    [anon_sym_range] = ACTIONS(3),
    [anon_sym_switch] = ACTIONS(3),
    [anon_sym_case] = ACTIONS(3),
    [sym_default_case] = ACTIONS(3),
    [anon_sym_select] = ACTIONS(3),
    [anon_sym_new] = ACTIONS(3),
    [anon_sym_make] = ACTIONS(3),
    [anon_sym_PLUS] = ACTIONS(3),
    [anon_sym_DASH] = ACTIONS(3),
    [anon_sym_BANG] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_SLASH] = ACTIONS(3),
    [anon_sym_PERCENT] = ACTIONS(3),
    [anon_sym_LT_LT] = ACTIONS(3),
    [anon_sym_GT_GT] = ACTIONS(3),
    [anon_sym_AMP_CARET] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(3),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(3),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_identifier] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1),
    [sym_interpreted_string_literal] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(3),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_comment] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(8),
    [sym__top_level_declaration] = STATE(9),
    [sym_package_clause] = STATE(9),
    [sym_import_declaration] = STATE(9),
    [sym__declaration] = STATE(9),
    [sym_const_declaration] = STATE(9),
    [sym_var_declaration] = STATE(9),
    [sym_function_declaration] = STATE(9),
    [sym_method_declaration] = STATE(9),
    [sym_type_declaration] = STATE(9),
    [aux_sym_source_file_repeat1] = STATE(10),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_package] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_const] = ACTIONS(11),
    [anon_sym_var] = ACTIONS(13),
    [anon_sym_func] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2] = {
    [sym_identifier] = ACTIONS(21),
    [sym_comment] = ACTIONS(19),
  },
  [3] = {
    [sym_import_spec] = STATE(16),
    [sym_dot] = STATE(13),
    [sym_import_spec_list] = STATE(16),
    [sym__string_literal] = STATE(17),
    [anon_sym_DOT] = ACTIONS(23),
    [sym_blank_identifier] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [sym_identifier] = ACTIONS(29),
    [sym_raw_string_literal] = ACTIONS(31),
    [sym_interpreted_string_literal] = ACTIONS(31),
    [sym_comment] = ACTIONS(19),
  },
  [4] = {
    [sym_const_spec] = STATE(20),
    [anon_sym_LPAREN] = ACTIONS(33),
    [sym_identifier] = ACTIONS(35),
    [sym_comment] = ACTIONS(19),
  },
  [5] = {
    [sym_var_spec] = STATE(23),
    [anon_sym_LPAREN] = ACTIONS(37),
    [sym_identifier] = ACTIONS(39),
    [sym_comment] = ACTIONS(19),
  },
  [6] = {
    [sym_parameter_list] = STATE(26),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_identifier] = ACTIONS(43),
    [sym_comment] = ACTIONS(19),
  },
  [7] = {
    [sym_type_alias] = STATE(29),
    [sym_type_spec] = STATE(29),
    [anon_sym_LPAREN] = ACTIONS(45),
    [sym_identifier] = ACTIONS(47),
    [sym_comment] = ACTIONS(19),
  },
  [8] = {
    [ts_builtin_sym_end] = ACTIONS(49),
    [sym_comment] = ACTIONS(19),
  },
  [9] = {
    [ts_builtin_sym_end] = ACTIONS(51),
    [anon_sym_LF] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_package] = ACTIONS(57),
    [anon_sym_import] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(57),
    [anon_sym_var] = ACTIONS(57),
    [anon_sym_func] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(57),
    [sym_comment] = ACTIONS(59),
  },
  [10] = {
    [sym__top_level_declaration] = STATE(9),
    [sym_package_clause] = STATE(9),
    [sym_import_declaration] = STATE(9),
    [sym__declaration] = STATE(9),
    [sym_const_declaration] = STATE(9),
    [sym_var_declaration] = STATE(9),
    [sym_function_declaration] = STATE(9),
    [sym_method_declaration] = STATE(9),
    [sym_type_declaration] = STATE(9),
    [aux_sym_source_file_repeat1] = STATE(31),
    [ts_builtin_sym_end] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_const] = ACTIONS(11),
    [anon_sym_var] = ACTIONS(13),
    [anon_sym_func] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [11] = {
    [ts_builtin_sym_end] = ACTIONS(63),
    [anon_sym_LF] = ACTIONS(63),
    [anon_sym_SEMI] = ACTIONS(65),
    [anon_sym_package] = ACTIONS(65),
    [anon_sym_import] = ACTIONS(65),
    [anon_sym_const] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(65),
    [anon_sym_func] = ACTIONS(65),
    [anon_sym_type] = ACTIONS(65),
    [sym_comment] = ACTIONS(59),
  },
  [12] = {
    [sym_raw_string_literal] = ACTIONS(67),
    [sym_interpreted_string_literal] = ACTIONS(67),
    [sym_comment] = ACTIONS(19),
  },
  [13] = {
    [sym__string_literal] = STATE(32),
    [sym_raw_string_literal] = ACTIONS(69),
    [sym_interpreted_string_literal] = ACTIONS(69),
    [sym_comment] = ACTIONS(19),
  },
  [14] = {
    [sym_import_spec] = STATE(34),
    [sym_dot] = STATE(13),
    [sym__string_literal] = STATE(17),
    [aux_sym_import_spec_list_repeat1] = STATE(35),
    [anon_sym_DOT] = ACTIONS(23),
    [sym_blank_identifier] = ACTIONS(25),
    [anon_sym_RPAREN] = ACTIONS(71),
    [sym_identifier] = ACTIONS(29),
    [sym_raw_string_literal] = ACTIONS(31),
    [sym_interpreted_string_literal] = ACTIONS(31),
    [sym_comment] = ACTIONS(19),
  },
  [15] = {
    [sym__string_literal] = STATE(36),
    [sym_raw_string_literal] = ACTIONS(73),
    [sym_interpreted_string_literal] = ACTIONS(73),
    [sym_comment] = ACTIONS(19),
  },
  [16] = {
    [ts_builtin_sym_end] = ACTIONS(75),
    [anon_sym_LF] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(77),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_const] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(77),
    [anon_sym_func] = ACTIONS(77),
    [anon_sym_type] = ACTIONS(77),
    [sym_comment] = ACTIONS(59),
  },
  [17] = {
    [ts_builtin_sym_end] = ACTIONS(79),
    [anon_sym_LF] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(81),
    [anon_sym_package] = ACTIONS(81),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_const] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(81),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_type] = ACTIONS(81),
    [sym_comment] = ACTIONS(59),
  },
  [18] = {
    [sym_const_spec] = STATE(39),
    [aux_sym_const_declaration_repeat1] = STATE(40),
    [anon_sym_RPAREN] = ACTIONS(83),
    [sym_identifier] = ACTIONS(85),
    [sym_comment] = ACTIONS(19),
  },
  [19] = {
    [sym_parenthesized_type] = STATE(53),
    [sym__simple_type] = STATE(53),
    [sym_pointer_type] = STATE(53),
    [sym_array_type] = STATE(53),
    [sym_slice_type] = STATE(53),
    [sym_struct_type] = STATE(53),
    [sym_interface_type] = STATE(53),
    [sym_map_type] = STATE(53),
    [sym_channel_type] = STATE(53),
    [sym_function_type] = STATE(53),
    [sym_qualified_type] = STATE(53),
    [aux_sym_const_spec_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(87),
    [anon_sym_LF] = ACTIONS(87),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_package] = ACTIONS(89),
    [anon_sym_import] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(89),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_var] = ACTIONS(89),
    [anon_sym_func] = ACTIONS(89),
    [anon_sym_type] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(59),
  },
  [20] = {
    [ts_builtin_sym_end] = ACTIONS(113),
    [anon_sym_LF] = ACTIONS(113),
    [anon_sym_SEMI] = ACTIONS(115),
    [anon_sym_package] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(115),
    [anon_sym_var] = ACTIONS(115),
    [anon_sym_func] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(115),
    [anon_sym_case] = ACTIONS(115),
    [sym_default_case] = ACTIONS(115),
    [sym_comment] = ACTIONS(59),
  },
  [21] = {
    [sym_var_spec] = STATE(57),
    [aux_sym_var_declaration_repeat1] = STATE(58),
    [anon_sym_RPAREN] = ACTIONS(117),
    [sym_identifier] = ACTIONS(119),
    [sym_comment] = ACTIONS(19),
  },
  [22] = {
    [sym_parenthesized_type] = STATE(71),
    [sym__simple_type] = STATE(71),
    [sym_pointer_type] = STATE(71),
    [sym_array_type] = STATE(71),
    [sym_slice_type] = STATE(71),
    [sym_struct_type] = STATE(71),
    [sym_interface_type] = STATE(71),
    [sym_map_type] = STATE(71),
    [sym_channel_type] = STATE(71),
    [sym_function_type] = STATE(71),
    [sym_qualified_type] = STATE(71),
    [aux_sym_const_spec_repeat1] = STATE(72),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(125),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [23] = {
    [ts_builtin_sym_end] = ACTIONS(145),
    [anon_sym_LF] = ACTIONS(145),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_package] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(147),
    [anon_sym_const] = ACTIONS(147),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_func] = ACTIONS(147),
    [anon_sym_type] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(147),
    [anon_sym_case] = ACTIONS(147),
    [sym_default_case] = ACTIONS(147),
    [sym_comment] = ACTIONS(59),
  },
  [24] = {
    [sym_parameter_declaration] = STATE(83),
    [sym_variadic_parameter_declaration] = STATE(83),
    [sym_parenthesized_type] = STATE(84),
    [sym__simple_type] = STATE(84),
    [sym_pointer_type] = STATE(84),
    [sym_array_type] = STATE(84),
    [sym_slice_type] = STATE(84),
    [sym_struct_type] = STATE(84),
    [sym_interface_type] = STATE(84),
    [sym_map_type] = STATE(84),
    [sym_channel_type] = STATE(84),
    [sym_function_type] = STATE(84),
    [sym_qualified_type] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(153),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(19),
  },
  [25] = {
    [sym_parameter_list] = STATE(86),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [26] = {
    [sym_identifier] = ACTIONS(173),
    [sym_comment] = ACTIONS(19),
  },
  [27] = {
    [sym_type_alias] = STATE(90),
    [sym_type_spec] = STATE(90),
    [aux_sym_type_declaration_repeat1] = STATE(91),
    [anon_sym_RPAREN] = ACTIONS(175),
    [sym_identifier] = ACTIONS(177),
    [sym_comment] = ACTIONS(19),
  },
  [28] = {
    [sym_parenthesized_type] = STATE(99),
    [sym__simple_type] = STATE(99),
    [sym_pointer_type] = STATE(99),
    [sym_array_type] = STATE(99),
    [sym_slice_type] = STATE(99),
    [sym_struct_type] = STATE(99),
    [sym_interface_type] = STATE(99),
    [sym_map_type] = STATE(99),
    [sym_channel_type] = STATE(99),
    [sym_function_type] = STATE(99),
    [sym_qualified_type] = STATE(99),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_EQ] = ACTIONS(179),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(191),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [29] = {
    [ts_builtin_sym_end] = ACTIONS(193),
    [anon_sym_LF] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_package] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(195),
    [anon_sym_var] = ACTIONS(195),
    [anon_sym_func] = ACTIONS(195),
    [anon_sym_type] = ACTIONS(195),
    [anon_sym_RBRACE] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(195),
    [sym_default_case] = ACTIONS(195),
    [sym_comment] = ACTIONS(59),
  },
  [30] = {
    [ts_builtin_sym_end] = ACTIONS(197),
    [anon_sym_package] = ACTIONS(197),
    [anon_sym_import] = ACTIONS(197),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_var] = ACTIONS(197),
    [anon_sym_func] = ACTIONS(197),
    [anon_sym_type] = ACTIONS(197),
    [sym_comment] = ACTIONS(19),
  },
  [31] = {
    [sym__top_level_declaration] = STATE(9),
    [sym_package_clause] = STATE(9),
    [sym_import_declaration] = STATE(9),
    [sym__declaration] = STATE(9),
    [sym_const_declaration] = STATE(9),
    [sym_var_declaration] = STATE(9),
    [sym_function_declaration] = STATE(9),
    [sym_method_declaration] = STATE(9),
    [sym_type_declaration] = STATE(9),
    [aux_sym_source_file_repeat1] = STATE(31),
    [ts_builtin_sym_end] = ACTIONS(197),
    [anon_sym_package] = ACTIONS(199),
    [anon_sym_import] = ACTIONS(202),
    [anon_sym_const] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(208),
    [anon_sym_func] = ACTIONS(211),
    [anon_sym_type] = ACTIONS(214),
    [sym_comment] = ACTIONS(19),
  },
  [32] = {
    [ts_builtin_sym_end] = ACTIONS(217),
    [anon_sym_LF] = ACTIONS(217),
    [anon_sym_SEMI] = ACTIONS(219),
    [anon_sym_package] = ACTIONS(219),
    [anon_sym_import] = ACTIONS(219),
    [anon_sym_const] = ACTIONS(219),
    [anon_sym_var] = ACTIONS(219),
    [anon_sym_func] = ACTIONS(219),
    [anon_sym_type] = ACTIONS(219),
    [sym_comment] = ACTIONS(59),
  },
  [33] = {
    [ts_builtin_sym_end] = ACTIONS(221),
    [anon_sym_LF] = ACTIONS(221),
    [anon_sym_SEMI] = ACTIONS(223),
    [anon_sym_package] = ACTIONS(223),
    [anon_sym_import] = ACTIONS(223),
    [anon_sym_const] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(223),
    [anon_sym_func] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(223),
    [sym_comment] = ACTIONS(59),
  },
  [34] = {
    [anon_sym_LF] = ACTIONS(225),
    [anon_sym_SEMI] = ACTIONS(227),
    [sym_comment] = ACTIONS(59),
  },
  [35] = {
    [sym_import_spec] = STATE(34),
    [sym_dot] = STATE(13),
    [sym__string_literal] = STATE(17),
    [aux_sym_import_spec_list_repeat1] = STATE(102),
    [anon_sym_DOT] = ACTIONS(23),
    [sym_blank_identifier] = ACTIONS(25),
    [anon_sym_RPAREN] = ACTIONS(229),
    [sym_identifier] = ACTIONS(29),
    [sym_raw_string_literal] = ACTIONS(31),
    [sym_interpreted_string_literal] = ACTIONS(31),
    [sym_comment] = ACTIONS(19),
  },
  [36] = {
    [ts_builtin_sym_end] = ACTIONS(231),
    [anon_sym_LF] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(233),
    [anon_sym_package] = ACTIONS(233),
    [anon_sym_import] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(233),
    [anon_sym_var] = ACTIONS(233),
    [anon_sym_func] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(233),
    [sym_comment] = ACTIONS(59),
  },
  [37] = {
    [ts_builtin_sym_end] = ACTIONS(235),
    [anon_sym_LF] = ACTIONS(235),
    [anon_sym_SEMI] = ACTIONS(237),
    [anon_sym_package] = ACTIONS(237),
    [anon_sym_import] = ACTIONS(237),
    [anon_sym_const] = ACTIONS(237),
    [anon_sym_var] = ACTIONS(237),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_type] = ACTIONS(237),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_case] = ACTIONS(237),
    [sym_default_case] = ACTIONS(237),
    [sym_comment] = ACTIONS(59),
  },
  [38] = {
    [sym_parenthesized_type] = STATE(104),
    [sym__simple_type] = STATE(104),
    [sym_pointer_type] = STATE(104),
    [sym_array_type] = STATE(104),
    [sym_slice_type] = STATE(104),
    [sym_struct_type] = STATE(104),
    [sym_interface_type] = STATE(104),
    [sym_map_type] = STATE(104),
    [sym_channel_type] = STATE(104),
    [sym_function_type] = STATE(104),
    [sym_qualified_type] = STATE(104),
    [aux_sym_const_spec_repeat1] = STATE(105),
    [anon_sym_LF] = ACTIONS(87),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(239),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(59),
  },
  [39] = {
    [anon_sym_LF] = ACTIONS(243),
    [anon_sym_SEMI] = ACTIONS(245),
    [sym_comment] = ACTIONS(59),
  },
  [40] = {
    [sym_const_spec] = STATE(39),
    [aux_sym_const_declaration_repeat1] = STATE(108),
    [anon_sym_RPAREN] = ACTIONS(247),
    [sym_identifier] = ACTIONS(85),
    [sym_comment] = ACTIONS(19),
  },
  [41] = {
    [sym_parenthesized_type] = STATE(115),
    [sym__simple_type] = STATE(115),
    [sym_pointer_type] = STATE(115),
    [sym_array_type] = STATE(115),
    [sym_slice_type] = STATE(115),
    [sym_struct_type] = STATE(115),
    [sym_interface_type] = STATE(115),
    [sym_map_type] = STATE(115),
    [sym_channel_type] = STATE(115),
    [sym_function_type] = STATE(115),
    [sym_qualified_type] = STATE(115),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [42] = {
    [sym_identifier] = ACTIONS(261),
    [sym_comment] = ACTIONS(19),
  },
  [43] = {
    [sym_expression_list] = STATE(127),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(131),
    [sym_parenthesized_expression] = STATE(131),
    [sym_call_expression] = STATE(131),
    [sym_selector_expression] = STATE(131),
    [sym_index_expression] = STATE(131),
    [sym_slice_expression] = STATE(131),
    [sym_type_assertion_expression] = STATE(131),
    [sym_type_conversion_expression] = STATE(131),
    [sym_composite_literal] = STATE(131),
    [sym_func_literal] = STATE(131),
    [sym_unary_expression] = STATE(131),
    [sym_binary_expression] = STATE(131),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(283),
    [sym_interpreted_string_literal] = ACTIONS(283),
    [sym_int_literal] = ACTIONS(285),
    [sym_float_literal] = ACTIONS(285),
    [sym_imaginary_literal] = ACTIONS(283),
    [sym_rune_literal] = ACTIONS(283),
    [sym_comment] = ACTIONS(19),
  },
  [44] = {
    [sym_parameter_list] = STATE(132),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [45] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [46] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_call_expression] = STATE(145),
    [sym_selector_expression] = STATE(145),
    [sym_index_expression] = STATE(145),
    [sym_slice_expression] = STATE(145),
    [sym_type_assertion_expression] = STATE(145),
    [sym_type_conversion_expression] = STATE(145),
    [sym_composite_literal] = STATE(145),
    [sym_func_literal] = STATE(145),
    [sym_unary_expression] = STATE(145),
    [sym_binary_expression] = STATE(145),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(145),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(309),
    [sym_interpreted_string_literal] = ACTIONS(309),
    [sym_int_literal] = ACTIONS(311),
    [sym_float_literal] = ACTIONS(311),
    [sym_imaginary_literal] = ACTIONS(309),
    [sym_rune_literal] = ACTIONS(309),
    [sym_comment] = ACTIONS(19),
  },
  [47] = {
    [sym_field_declaration_list] = STATE(147),
    [anon_sym_LBRACE] = ACTIONS(313),
    [sym_comment] = ACTIONS(19),
  },
  [48] = {
    [sym_method_spec_list] = STATE(149),
    [anon_sym_LBRACE] = ACTIONS(315),
    [sym_comment] = ACTIONS(19),
  },
  [49] = {
    [anon_sym_LBRACK] = ACTIONS(317),
    [sym_comment] = ACTIONS(19),
  },
  [50] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(319),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [51] = {
    [anon_sym_chan] = ACTIONS(321),
    [sym_comment] = ACTIONS(19),
  },
  [52] = {
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(325),
    [anon_sym_RPAREN] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(325),
    [anon_sym_RBRACK] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(325),
    [anon_sym_COLON] = ACTIONS(325),
    [sym_comment] = ACTIONS(19),
  },
  [53] = {
    [anon_sym_EQ] = ACTIONS(327),
    [sym_comment] = ACTIONS(19),
  },
  [54] = {
    [sym_parenthesized_type] = STATE(156),
    [sym__simple_type] = STATE(156),
    [sym_pointer_type] = STATE(156),
    [sym_array_type] = STATE(156),
    [sym_slice_type] = STATE(156),
    [sym_struct_type] = STATE(156),
    [sym_interface_type] = STATE(156),
    [sym_map_type] = STATE(156),
    [sym_channel_type] = STATE(156),
    [sym_function_type] = STATE(156),
    [sym_qualified_type] = STATE(156),
    [aux_sym_const_spec_repeat1] = STATE(157),
    [ts_builtin_sym_end] = ACTIONS(329),
    [anon_sym_LF] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_package] = ACTIONS(331),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(331),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(333),
    [anon_sym_var] = ACTIONS(331),
    [anon_sym_func] = ACTIONS(331),
    [anon_sym_type] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(59),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(335),
    [anon_sym_LF] = ACTIONS(335),
    [anon_sym_SEMI] = ACTIONS(337),
    [anon_sym_package] = ACTIONS(337),
    [anon_sym_import] = ACTIONS(337),
    [anon_sym_const] = ACTIONS(337),
    [anon_sym_var] = ACTIONS(337),
    [anon_sym_func] = ACTIONS(337),
    [anon_sym_type] = ACTIONS(337),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(337),
    [sym_default_case] = ACTIONS(337),
    [sym_comment] = ACTIONS(59),
  },
  [56] = {
    [sym_parenthesized_type] = STATE(165),
    [sym__simple_type] = STATE(165),
    [sym_pointer_type] = STATE(165),
    [sym_array_type] = STATE(165),
    [sym_slice_type] = STATE(165),
    [sym_struct_type] = STATE(165),
    [sym_interface_type] = STATE(165),
    [sym_map_type] = STATE(165),
    [sym_channel_type] = STATE(165),
    [sym_function_type] = STATE(165),
    [sym_qualified_type] = STATE(165),
    [aux_sym_const_spec_repeat1] = STATE(166),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(339),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [57] = {
    [anon_sym_LF] = ACTIONS(353),
    [anon_sym_SEMI] = ACTIONS(355),
    [sym_comment] = ACTIONS(59),
  },
  [58] = {
    [sym_var_spec] = STATE(57),
    [aux_sym_var_declaration_repeat1] = STATE(169),
    [anon_sym_RPAREN] = ACTIONS(357),
    [sym_identifier] = ACTIONS(119),
    [sym_comment] = ACTIONS(19),
  },
  [59] = {
    [sym_parenthesized_type] = STATE(170),
    [sym__simple_type] = STATE(170),
    [sym_pointer_type] = STATE(170),
    [sym_array_type] = STATE(170),
    [sym_slice_type] = STATE(170),
    [sym_struct_type] = STATE(170),
    [sym_interface_type] = STATE(170),
    [sym_map_type] = STATE(170),
    [sym_channel_type] = STATE(170),
    [sym_function_type] = STATE(170),
    [sym_qualified_type] = STATE(170),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [60] = {
    [sym_identifier] = ACTIONS(359),
    [sym_comment] = ACTIONS(19),
  },
  [61] = {
    [sym_expression_list] = STATE(172),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(131),
    [sym_parenthesized_expression] = STATE(131),
    [sym_call_expression] = STATE(131),
    [sym_selector_expression] = STATE(131),
    [sym_index_expression] = STATE(131),
    [sym_slice_expression] = STATE(131),
    [sym_type_assertion_expression] = STATE(131),
    [sym_type_conversion_expression] = STATE(131),
    [sym_composite_literal] = STATE(131),
    [sym_func_literal] = STATE(131),
    [sym_unary_expression] = STATE(131),
    [sym_binary_expression] = STATE(131),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(283),
    [sym_interpreted_string_literal] = ACTIONS(283),
    [sym_int_literal] = ACTIONS(285),
    [sym_float_literal] = ACTIONS(285),
    [sym_imaginary_literal] = ACTIONS(283),
    [sym_rune_literal] = ACTIONS(283),
    [sym_comment] = ACTIONS(19),
  },
  [62] = {
    [sym_parameter_list] = STATE(173),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [63] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [64] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(176),
    [sym_parenthesized_expression] = STATE(176),
    [sym_call_expression] = STATE(176),
    [sym_selector_expression] = STATE(176),
    [sym_index_expression] = STATE(176),
    [sym_slice_expression] = STATE(176),
    [sym_type_assertion_expression] = STATE(176),
    [sym_type_conversion_expression] = STATE(176),
    [sym_composite_literal] = STATE(176),
    [sym_func_literal] = STATE(176),
    [sym_unary_expression] = STATE(176),
    [sym_binary_expression] = STATE(176),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(176),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(363),
    [sym_interpreted_string_literal] = ACTIONS(363),
    [sym_int_literal] = ACTIONS(365),
    [sym_float_literal] = ACTIONS(365),
    [sym_imaginary_literal] = ACTIONS(363),
    [sym_rune_literal] = ACTIONS(363),
    [sym_comment] = ACTIONS(19),
  },
  [65] = {
    [sym_field_declaration_list] = STATE(178),
    [anon_sym_LBRACE] = ACTIONS(367),
    [sym_comment] = ACTIONS(19),
  },
  [66] = {
    [sym_method_spec_list] = STATE(180),
    [anon_sym_LBRACE] = ACTIONS(369),
    [sym_comment] = ACTIONS(19),
  },
  [67] = {
    [anon_sym_LBRACK] = ACTIONS(371),
    [sym_comment] = ACTIONS(19),
  },
  [68] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(373),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [69] = {
    [anon_sym_chan] = ACTIONS(375),
    [sym_comment] = ACTIONS(19),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(325),
    [anon_sym_LF] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(377),
    [anon_sym_package] = ACTIONS(377),
    [anon_sym_import] = ACTIONS(377),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_const] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(377),
    [anon_sym_var] = ACTIONS(377),
    [anon_sym_func] = ACTIONS(377),
    [anon_sym_type] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(377),
    [sym_default_case] = ACTIONS(377),
    [sym_raw_string_literal] = ACTIONS(377),
    [sym_interpreted_string_literal] = ACTIONS(377),
    [sym_comment] = ACTIONS(59),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(381),
    [anon_sym_LF] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_package] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(383),
    [anon_sym_const] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(385),
    [anon_sym_var] = ACTIONS(383),
    [anon_sym_func] = ACTIONS(383),
    [anon_sym_type] = ACTIONS(383),
    [sym_comment] = ACTIONS(59),
  },
  [72] = {
    [sym_parenthesized_type] = STATE(187),
    [sym__simple_type] = STATE(187),
    [sym_pointer_type] = STATE(187),
    [sym_array_type] = STATE(187),
    [sym_slice_type] = STATE(187),
    [sym_struct_type] = STATE(187),
    [sym_interface_type] = STATE(187),
    [sym_map_type] = STATE(187),
    [sym_channel_type] = STATE(187),
    [sym_function_type] = STATE(187),
    [sym_qualified_type] = STATE(187),
    [aux_sym_const_spec_repeat1] = STATE(188),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(387),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [73] = {
    [anon_sym_LPAREN] = ACTIONS(389),
    [anon_sym_RPAREN] = ACTIONS(389),
    [anon_sym_COMMA] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(389),
    [anon_sym_func] = ACTIONS(391),
    [anon_sym_STAR] = ACTIONS(389),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_RBRACK] = ACTIONS(389),
    [anon_sym_struct] = ACTIONS(391),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_interface] = ACTIONS(391),
    [anon_sym_map] = ACTIONS(391),
    [anon_sym_chan] = ACTIONS(391),
    [anon_sym_LT_DASH] = ACTIONS(389),
    [anon_sym_COLON] = ACTIONS(389),
    [sym_identifier] = ACTIONS(391),
    [sym_comment] = ACTIONS(19),
  },
  [74] = {
    [anon_sym_RPAREN] = ACTIONS(393),
    [sym_comment] = ACTIONS(19),
  },
  [75] = {
    [sym_parameter_list] = STATE(190),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [76] = {
    [sym_parenthesized_type] = STATE(191),
    [sym__simple_type] = STATE(191),
    [sym_pointer_type] = STATE(191),
    [sym_array_type] = STATE(191),
    [sym_slice_type] = STATE(191),
    [sym_struct_type] = STATE(191),
    [sym_interface_type] = STATE(191),
    [sym_map_type] = STATE(191),
    [sym_channel_type] = STATE(191),
    [sym_function_type] = STATE(191),
    [sym_qualified_type] = STATE(191),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [77] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [78] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(193),
    [sym_parenthesized_expression] = STATE(193),
    [sym_call_expression] = STATE(193),
    [sym_selector_expression] = STATE(193),
    [sym_index_expression] = STATE(193),
    [sym_slice_expression] = STATE(193),
    [sym_type_assertion_expression] = STATE(193),
    [sym_type_conversion_expression] = STATE(193),
    [sym_composite_literal] = STATE(193),
    [sym_func_literal] = STATE(193),
    [sym_unary_expression] = STATE(193),
    [sym_binary_expression] = STATE(193),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(193),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(395),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(397),
    [sym_interpreted_string_literal] = ACTIONS(397),
    [sym_int_literal] = ACTIONS(399),
    [sym_float_literal] = ACTIONS(399),
    [sym_imaginary_literal] = ACTIONS(397),
    [sym_rune_literal] = ACTIONS(397),
    [sym_comment] = ACTIONS(19),
  },
  [79] = {
    [anon_sym_LBRACK] = ACTIONS(401),
    [sym_comment] = ACTIONS(19),
  },
  [80] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(403),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [81] = {
    [anon_sym_chan] = ACTIONS(405),
    [sym_comment] = ACTIONS(19),
  },
  [82] = {
    [sym_parenthesized_type] = STATE(198),
    [sym__simple_type] = STATE(198),
    [sym_pointer_type] = STATE(198),
    [sym_array_type] = STATE(198),
    [sym_slice_type] = STATE(198),
    [sym_struct_type] = STATE(198),
    [sym_interface_type] = STATE(198),
    [sym_map_type] = STATE(198),
    [sym_channel_type] = STATE(198),
    [sym_function_type] = STATE(198),
    [sym_qualified_type] = STATE(198),
    [aux_sym_const_spec_repeat1] = STATE(199),
    [anon_sym_DOT] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_RPAREN] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(409),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [83] = {
    [aux_sym_parameter_list_repeat1] = STATE(201),
    [anon_sym_RPAREN] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(414),
    [sym_comment] = ACTIONS(19),
  },
  [84] = {
    [anon_sym_RPAREN] = ACTIONS(416),
    [anon_sym_COMMA] = ACTIONS(416),
    [sym_comment] = ACTIONS(19),
  },
  [85] = {
    [sym_parameter_declaration] = STATE(204),
    [sym_variadic_parameter_declaration] = STATE(204),
    [sym_parenthesized_type] = STATE(84),
    [sym__simple_type] = STATE(84),
    [sym_pointer_type] = STATE(84),
    [sym_array_type] = STATE(84),
    [sym_slice_type] = STATE(84),
    [sym_struct_type] = STATE(84),
    [sym_interface_type] = STATE(84),
    [sym_map_type] = STATE(84),
    [sym_channel_type] = STATE(84),
    [sym_function_type] = STATE(84),
    [sym_qualified_type] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_RPAREN] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(420),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(19),
  },
  [86] = {
    [sym_parameter_list] = STATE(212),
    [sym__simple_type] = STATE(212),
    [sym_pointer_type] = STATE(212),
    [sym_array_type] = STATE(212),
    [sym_slice_type] = STATE(212),
    [sym_struct_type] = STATE(212),
    [sym_interface_type] = STATE(212),
    [sym_map_type] = STATE(212),
    [sym_channel_type] = STATE(212),
    [sym_function_type] = STATE(212),
    [sym_block] = STATE(213),
    [sym_qualified_type] = STATE(212),
    [ts_builtin_sym_end] = ACTIONS(422),
    [anon_sym_LF] = ACTIONS(422),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_package] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(424),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_const] = ACTIONS(424),
    [anon_sym_var] = ACTIONS(424),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_type] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(432),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(440),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [87] = {
    [sym_parameter_list] = STATE(214),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [88] = {
    [ts_builtin_sym_end] = ACTIONS(442),
    [anon_sym_LF] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(444),
    [anon_sym_package] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(444),
    [anon_sym_const] = ACTIONS(444),
    [anon_sym_var] = ACTIONS(444),
    [anon_sym_func] = ACTIONS(444),
    [anon_sym_type] = ACTIONS(444),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_case] = ACTIONS(444),
    [sym_default_case] = ACTIONS(444),
    [sym_comment] = ACTIONS(59),
  },
  [89] = {
    [sym_parenthesized_type] = STATE(99),
    [sym__simple_type] = STATE(99),
    [sym_pointer_type] = STATE(99),
    [sym_array_type] = STATE(99),
    [sym_slice_type] = STATE(99),
    [sym_struct_type] = STATE(99),
    [sym_interface_type] = STATE(99),
    [sym_map_type] = STATE(99),
    [sym_channel_type] = STATE(99),
    [sym_function_type] = STATE(99),
    [sym_qualified_type] = STATE(99),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_EQ] = ACTIONS(446),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [90] = {
    [anon_sym_LF] = ACTIONS(460),
    [anon_sym_SEMI] = ACTIONS(462),
    [sym_comment] = ACTIONS(59),
  },
  [91] = {
    [sym_type_alias] = STATE(90),
    [sym_type_spec] = STATE(90),
    [aux_sym_type_declaration_repeat1] = STATE(224),
    [anon_sym_RPAREN] = ACTIONS(464),
    [sym_identifier] = ACTIONS(177),
    [sym_comment] = ACTIONS(19),
  },
  [92] = {
    [sym_parenthesized_type] = STATE(225),
    [sym__simple_type] = STATE(225),
    [sym_pointer_type] = STATE(225),
    [sym_array_type] = STATE(225),
    [sym_slice_type] = STATE(225),
    [sym_struct_type] = STATE(225),
    [sym_interface_type] = STATE(225),
    [sym_map_type] = STATE(225),
    [sym_channel_type] = STATE(225),
    [sym_function_type] = STATE(225),
    [sym_qualified_type] = STATE(225),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(191),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [93] = {
    [sym_parameter_list] = STATE(226),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [94] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(191),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [95] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(228),
    [sym_parenthesized_expression] = STATE(228),
    [sym_call_expression] = STATE(228),
    [sym_selector_expression] = STATE(228),
    [sym_index_expression] = STATE(228),
    [sym_slice_expression] = STATE(228),
    [sym_type_assertion_expression] = STATE(228),
    [sym_type_conversion_expression] = STATE(228),
    [sym_composite_literal] = STATE(228),
    [sym_func_literal] = STATE(228),
    [sym_unary_expression] = STATE(228),
    [sym_binary_expression] = STATE(228),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(228),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(466),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(468),
    [sym_interpreted_string_literal] = ACTIONS(468),
    [sym_int_literal] = ACTIONS(470),
    [sym_float_literal] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(468),
    [sym_rune_literal] = ACTIONS(468),
    [sym_comment] = ACTIONS(19),
  },
  [96] = {
    [anon_sym_LBRACK] = ACTIONS(472),
    [sym_comment] = ACTIONS(19),
  },
  [97] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(474),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [98] = {
    [anon_sym_chan] = ACTIONS(476),
    [sym_comment] = ACTIONS(19),
  },
  [99] = {
    [ts_builtin_sym_end] = ACTIONS(478),
    [anon_sym_LF] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_package] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(480),
    [anon_sym_const] = ACTIONS(480),
    [anon_sym_var] = ACTIONS(480),
    [anon_sym_func] = ACTIONS(480),
    [anon_sym_type] = ACTIONS(480),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_case] = ACTIONS(480),
    [sym_default_case] = ACTIONS(480),
    [sym_comment] = ACTIONS(59),
  },
  [100] = {
    [anon_sym_DOT] = ACTIONS(482),
    [sym_blank_identifier] = ACTIONS(484),
    [anon_sym_RPAREN] = ACTIONS(482),
    [sym_identifier] = ACTIONS(484),
    [sym_raw_string_literal] = ACTIONS(482),
    [sym_interpreted_string_literal] = ACTIONS(482),
    [sym_comment] = ACTIONS(19),
  },
  [101] = {
    [ts_builtin_sym_end] = ACTIONS(486),
    [anon_sym_LF] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(488),
    [anon_sym_package] = ACTIONS(488),
    [anon_sym_import] = ACTIONS(488),
    [anon_sym_const] = ACTIONS(488),
    [anon_sym_var] = ACTIONS(488),
    [anon_sym_func] = ACTIONS(488),
    [anon_sym_type] = ACTIONS(488),
    [sym_comment] = ACTIONS(59),
  },
  [102] = {
    [sym_import_spec] = STATE(34),
    [sym_dot] = STATE(13),
    [sym__string_literal] = STATE(17),
    [aux_sym_import_spec_list_repeat1] = STATE(102),
    [anon_sym_DOT] = ACTIONS(490),
    [sym_blank_identifier] = ACTIONS(493),
    [anon_sym_RPAREN] = ACTIONS(482),
    [sym_identifier] = ACTIONS(496),
    [sym_raw_string_literal] = ACTIONS(499),
    [sym_interpreted_string_literal] = ACTIONS(499),
    [sym_comment] = ACTIONS(19),
  },
  [103] = {
    [sym_expression_list] = STATE(127),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(235),
    [sym_parenthesized_expression] = STATE(235),
    [sym_call_expression] = STATE(235),
    [sym_selector_expression] = STATE(235),
    [sym_index_expression] = STATE(235),
    [sym_slice_expression] = STATE(235),
    [sym_type_assertion_expression] = STATE(235),
    [sym_type_conversion_expression] = STATE(235),
    [sym_composite_literal] = STATE(235),
    [sym_func_literal] = STATE(235),
    [sym_unary_expression] = STATE(235),
    [sym_binary_expression] = STATE(235),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(235),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(508),
    [sym_interpreted_string_literal] = ACTIONS(508),
    [sym_int_literal] = ACTIONS(510),
    [sym_float_literal] = ACTIONS(510),
    [sym_imaginary_literal] = ACTIONS(508),
    [sym_rune_literal] = ACTIONS(508),
    [sym_comment] = ACTIONS(19),
  },
  [104] = {
    [anon_sym_EQ] = ACTIONS(512),
    [sym_comment] = ACTIONS(19),
  },
  [105] = {
    [sym_parenthesized_type] = STATE(237),
    [sym__simple_type] = STATE(237),
    [sym_pointer_type] = STATE(237),
    [sym_array_type] = STATE(237),
    [sym_slice_type] = STATE(237),
    [sym_struct_type] = STATE(237),
    [sym_interface_type] = STATE(237),
    [sym_map_type] = STATE(237),
    [sym_channel_type] = STATE(237),
    [sym_function_type] = STATE(237),
    [sym_qualified_type] = STATE(237),
    [aux_sym_const_spec_repeat1] = STATE(238),
    [anon_sym_LF] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(514),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(59),
  },
  [106] = {
    [anon_sym_RPAREN] = ACTIONS(516),
    [sym_identifier] = ACTIONS(516),
    [sym_comment] = ACTIONS(19),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(518),
    [anon_sym_LF] = ACTIONS(518),
    [anon_sym_SEMI] = ACTIONS(520),
    [anon_sym_package] = ACTIONS(520),
    [anon_sym_import] = ACTIONS(520),
    [anon_sym_const] = ACTIONS(520),
    [anon_sym_var] = ACTIONS(520),
    [anon_sym_func] = ACTIONS(520),
    [anon_sym_type] = ACTIONS(520),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_case] = ACTIONS(520),
    [sym_default_case] = ACTIONS(520),
    [sym_comment] = ACTIONS(59),
  },
  [108] = {
    [sym_const_spec] = STATE(39),
    [aux_sym_const_declaration_repeat1] = STATE(108),
    [anon_sym_RPAREN] = ACTIONS(516),
    [sym_identifier] = ACTIONS(522),
    [sym_comment] = ACTIONS(19),
  },
  [109] = {
    [sym_parameter_list] = STATE(239),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [110] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [111] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(241),
    [sym_parenthesized_expression] = STATE(241),
    [sym_call_expression] = STATE(241),
    [sym_selector_expression] = STATE(241),
    [sym_index_expression] = STATE(241),
    [sym_slice_expression] = STATE(241),
    [sym_type_assertion_expression] = STATE(241),
    [sym_type_conversion_expression] = STATE(241),
    [sym_composite_literal] = STATE(241),
    [sym_func_literal] = STATE(241),
    [sym_unary_expression] = STATE(241),
    [sym_binary_expression] = STATE(241),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(241),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(525),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(527),
    [sym_interpreted_string_literal] = ACTIONS(527),
    [sym_int_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(529),
    [sym_imaginary_literal] = ACTIONS(527),
    [sym_rune_literal] = ACTIONS(527),
    [sym_comment] = ACTIONS(19),
  },
  [112] = {
    [anon_sym_LBRACK] = ACTIONS(531),
    [sym_comment] = ACTIONS(19),
  },
  [113] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(533),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [114] = {
    [anon_sym_chan] = ACTIONS(535),
    [sym_comment] = ACTIONS(19),
  },
  [115] = {
    [anon_sym_RPAREN] = ACTIONS(537),
    [sym_comment] = ACTIONS(19),
  },
  [116] = {
    [ts_builtin_sym_end] = ACTIONS(539),
    [anon_sym_LF] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_package] = ACTIONS(541),
    [anon_sym_import] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_const] = ACTIONS(541),
    [anon_sym_COMMA] = ACTIONS(541),
    [anon_sym_EQ] = ACTIONS(541),
    [anon_sym_var] = ACTIONS(541),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_type] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(541),
    [anon_sym_struct] = ACTIONS(541),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(541),
    [anon_sym_map] = ACTIONS(541),
    [anon_sym_chan] = ACTIONS(541),
    [anon_sym_LT_DASH] = ACTIONS(541),
    [anon_sym_case] = ACTIONS(541),
    [sym_default_case] = ACTIONS(541),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(59),
  },
  [117] = {
    [sym_parenthesized_type] = STATE(253),
    [sym__simple_type] = STATE(253),
    [sym_pointer_type] = STATE(253),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(253),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(253),
    [sym_function_type] = STATE(253),
    [sym__expression] = STATE(254),
    [sym_parenthesized_expression] = STATE(254),
    [sym_call_expression] = STATE(254),
    [sym_selector_expression] = STATE(254),
    [sym_index_expression] = STATE(254),
    [sym_slice_expression] = STATE(254),
    [sym_type_assertion_expression] = STATE(254),
    [sym_type_conversion_expression] = STATE(254),
    [sym_composite_literal] = STATE(254),
    [sym_func_literal] = STATE(254),
    [sym_unary_expression] = STATE(254),
    [sym_binary_expression] = STATE(254),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(254),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(543),
    [anon_sym_STAR] = ACTIONS(545),
    [anon_sym_LBRACK] = ACTIONS(547),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(553),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(557),
    [sym_interpreted_string_literal] = ACTIONS(557),
    [sym_int_literal] = ACTIONS(559),
    [sym_float_literal] = ACTIONS(559),
    [sym_imaginary_literal] = ACTIONS(557),
    [sym_rune_literal] = ACTIONS(557),
    [sym_comment] = ACTIONS(19),
  },
  [118] = {
    [sym_parameter_list] = STATE(255),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [119] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [120] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(260),
    [sym_parenthesized_expression] = STATE(260),
    [sym_call_expression] = STATE(260),
    [sym_selector_expression] = STATE(260),
    [sym_index_expression] = STATE(260),
    [sym_slice_expression] = STATE(260),
    [sym_type_assertion_expression] = STATE(260),
    [sym_type_conversion_expression] = STATE(260),
    [sym_composite_literal] = STATE(260),
    [sym_func_literal] = STATE(260),
    [sym_unary_expression] = STATE(260),
    [sym_binary_expression] = STATE(260),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(260),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(565),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(567),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(569),
    [sym_interpreted_string_literal] = ACTIONS(569),
    [sym_int_literal] = ACTIONS(571),
    [sym_float_literal] = ACTIONS(571),
    [sym_imaginary_literal] = ACTIONS(569),
    [sym_rune_literal] = ACTIONS(569),
    [sym_comment] = ACTIONS(19),
  },
  [121] = {
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_comment] = ACTIONS(19),
  },
  [122] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(583),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [123] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [124] = {
    [sym_special_argument_list] = STATE(269),
    [ts_builtin_sym_end] = ACTIONS(587),
    [anon_sym_LF] = ACTIONS(587),
    [anon_sym_SEMI] = ACTIONS(589),
    [anon_sym_package] = ACTIONS(589),
    [anon_sym_import] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(591),
    [anon_sym_const] = ACTIONS(589),
    [anon_sym_COMMA] = ACTIONS(589),
    [anon_sym_var] = ACTIONS(589),
    [anon_sym_func] = ACTIONS(589),
    [anon_sym_type] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_case] = ACTIONS(589),
    [sym_default_case] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_AMP_CARET] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(589),
    [anon_sym_BANG_EQ] = ACTIONS(589),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(589),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(589),
    [anon_sym_AMP_AMP] = ACTIONS(589),
    [anon_sym_PIPE_PIPE] = ACTIONS(589),
    [sym_comment] = ACTIONS(59),
  },
  [125] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [126] = {
    [sym_literal_value] = STATE(271),
    [ts_builtin_sym_end] = ACTIONS(593),
    [anon_sym_LF] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_package] = ACTIONS(595),
    [anon_sym_import] = ACTIONS(595),
    [anon_sym_DOT] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(600),
    [anon_sym_const] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_var] = ACTIONS(595),
    [anon_sym_func] = ACTIONS(595),
    [anon_sym_type] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_case] = ACTIONS(595),
    [sym_default_case] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [sym_comment] = ACTIONS(59),
  },
  [127] = {
    [ts_builtin_sym_end] = ACTIONS(605),
    [anon_sym_LF] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(607),
    [anon_sym_package] = ACTIONS(607),
    [anon_sym_import] = ACTIONS(607),
    [anon_sym_const] = ACTIONS(607),
    [anon_sym_var] = ACTIONS(607),
    [anon_sym_func] = ACTIONS(607),
    [anon_sym_type] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(607),
    [anon_sym_case] = ACTIONS(607),
    [sym_default_case] = ACTIONS(607),
    [sym_comment] = ACTIONS(59),
  },
  [128] = {
    [anon_sym_LPAREN] = ACTIONS(609),
    [sym_comment] = ACTIONS(19),
  },
  [129] = {
    [sym_literal_value] = STATE(273),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(613),
    [sym_comment] = ACTIONS(19),
  },
  [130] = {
    [sym_literal_value] = STATE(273),
    [anon_sym_LBRACE] = ACTIONS(613),
    [sym_comment] = ACTIONS(19),
  },
  [131] = {
    [sym_argument_list] = STATE(283),
    [aux_sym_expression_list_repeat1] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(615),
    [anon_sym_LF] = ACTIONS(615),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_package] = ACTIONS(617),
    [anon_sym_import] = ACTIONS(617),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(617),
    [anon_sym_COMMA] = ACTIONS(623),
    [anon_sym_var] = ACTIONS(617),
    [anon_sym_func] = ACTIONS(617),
    [anon_sym_type] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_AMP_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_AMP_AMP] = ACTIONS(633),
    [anon_sym_PIPE_PIPE] = ACTIONS(635),
    [sym_comment] = ACTIONS(59),
  },
  [132] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_EQ] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [133] = {
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(639),
    [anon_sym_COLON] = ACTIONS(639),
    [sym_comment] = ACTIONS(19),
  },
  [134] = {
    [sym_parenthesized_type] = STATE(253),
    [sym__simple_type] = STATE(253),
    [sym_pointer_type] = STATE(253),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(253),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(253),
    [sym_function_type] = STATE(253),
    [sym__expression] = STATE(286),
    [sym_parenthesized_expression] = STATE(286),
    [sym_call_expression] = STATE(286),
    [sym_selector_expression] = STATE(286),
    [sym_index_expression] = STATE(286),
    [sym_slice_expression] = STATE(286),
    [sym_type_assertion_expression] = STATE(286),
    [sym_type_conversion_expression] = STATE(286),
    [sym_composite_literal] = STATE(286),
    [sym_func_literal] = STATE(286),
    [sym_unary_expression] = STATE(286),
    [sym_binary_expression] = STATE(286),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(286),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(543),
    [anon_sym_STAR] = ACTIONS(545),
    [anon_sym_LBRACK] = ACTIONS(547),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(553),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(641),
    [sym_interpreted_string_literal] = ACTIONS(641),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_comment] = ACTIONS(19),
  },
  [135] = {
    [sym_parameter_list] = STATE(287),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [136] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [137] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [138] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [139] = {
    [sym_special_argument_list] = STATE(291),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_RPAREN] = ACTIONS(587),
    [anon_sym_COMMA] = ACTIONS(587),
    [anon_sym_EQ] = ACTIONS(589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(587),
    [anon_sym_STAR] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(587),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_RBRACE] = ACTIONS(587),
    [anon_sym_LT_DASH] = ACTIONS(587),
    [anon_sym_COLON_EQ] = ACTIONS(587),
    [anon_sym_STAR_EQ] = ACTIONS(587),
    [anon_sym_SLASH_EQ] = ACTIONS(587),
    [anon_sym_PERCENT_EQ] = ACTIONS(587),
    [anon_sym_LT_LT_EQ] = ACTIONS(587),
    [anon_sym_GT_GT_EQ] = ACTIONS(587),
    [anon_sym_AMP_EQ] = ACTIONS(587),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(587),
    [anon_sym_PLUS_EQ] = ACTIONS(587),
    [anon_sym_DASH_EQ] = ACTIONS(587),
    [anon_sym_PIPE_EQ] = ACTIONS(587),
    [anon_sym_CARET_EQ] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_AMP_CARET] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(587),
    [anon_sym_BANG_EQ] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(587),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(587),
    [anon_sym_AMP_AMP] = ACTIONS(587),
    [anon_sym_PIPE_PIPE] = ACTIONS(587),
    [sym_comment] = ACTIONS(19),
  },
  [140] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [141] = {
    [sym_literal_value] = STATE(293),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(654),
    [anon_sym_RPAREN] = ACTIONS(654),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_RBRACK] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_LT_DASH] = ACTIONS(593),
    [anon_sym_COLON_EQ] = ACTIONS(593),
    [anon_sym_STAR_EQ] = ACTIONS(593),
    [anon_sym_SLASH_EQ] = ACTIONS(593),
    [anon_sym_PERCENT_EQ] = ACTIONS(593),
    [anon_sym_LT_LT_EQ] = ACTIONS(593),
    [anon_sym_GT_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_EQ] = ACTIONS(593),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(593),
    [anon_sym_PLUS_EQ] = ACTIONS(593),
    [anon_sym_DASH_EQ] = ACTIONS(593),
    [anon_sym_PIPE_EQ] = ACTIONS(593),
    [anon_sym_CARET_EQ] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [sym_comment] = ACTIONS(19),
  },
  [142] = {
    [anon_sym_LPAREN] = ACTIONS(659),
    [sym_comment] = ACTIONS(19),
  },
  [143] = {
    [sym_literal_value] = STATE(295),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_RPAREN] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(657),
    [sym_comment] = ACTIONS(19),
  },
  [144] = {
    [sym_literal_value] = STATE(295),
    [anon_sym_LBRACE] = ACTIONS(657),
    [sym_comment] = ACTIONS(19),
  },
  [145] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(669),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [146] = {
    [sym_field_declaration] = STATE(309),
    [sym_qualified_type] = STATE(310),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_RBRACE] = ACTIONS(687),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(19),
  },
  [147] = {
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_RPAREN] = ACTIONS(691),
    [anon_sym_COMMA] = ACTIONS(691),
    [anon_sym_EQ] = ACTIONS(691),
    [anon_sym_RBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_COLON] = ACTIONS(691),
    [sym_comment] = ACTIONS(19),
  },
  [148] = {
    [sym_method_spec] = STATE(313),
    [sym_qualified_type] = STATE(313),
    [anon_sym_RBRACE] = ACTIONS(693),
    [sym_identifier] = ACTIONS(695),
    [sym_comment] = ACTIONS(19),
  },
  [149] = {
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(697),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_EQ] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_LBRACE] = ACTIONS(697),
    [anon_sym_COLON] = ACTIONS(697),
    [sym_comment] = ACTIONS(19),
  },
  [150] = {
    [sym_parenthesized_type] = STATE(320),
    [sym__simple_type] = STATE(320),
    [sym_pointer_type] = STATE(320),
    [sym_array_type] = STATE(320),
    [sym_slice_type] = STATE(320),
    [sym_struct_type] = STATE(320),
    [sym_interface_type] = STATE(320),
    [sym_map_type] = STATE(320),
    [sym_channel_type] = STATE(320),
    [sym_function_type] = STATE(320),
    [sym_qualified_type] = STATE(320),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [151] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [152] = {
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(713),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [sym_comment] = ACTIONS(19),
  },
  [153] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [154] = {
    [sym_identifier] = ACTIONS(715),
    [sym_comment] = ACTIONS(19),
  },
  [155] = {
    [sym_expression_list] = STATE(324),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(131),
    [sym_parenthesized_expression] = STATE(131),
    [sym_call_expression] = STATE(131),
    [sym_selector_expression] = STATE(131),
    [sym_index_expression] = STATE(131),
    [sym_slice_expression] = STATE(131),
    [sym_type_assertion_expression] = STATE(131),
    [sym_type_conversion_expression] = STATE(131),
    [sym_composite_literal] = STATE(131),
    [sym_func_literal] = STATE(131),
    [sym_unary_expression] = STATE(131),
    [sym_binary_expression] = STATE(131),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(283),
    [sym_interpreted_string_literal] = ACTIONS(283),
    [sym_int_literal] = ACTIONS(285),
    [sym_float_literal] = ACTIONS(285),
    [sym_imaginary_literal] = ACTIONS(283),
    [sym_rune_literal] = ACTIONS(283),
    [sym_comment] = ACTIONS(19),
  },
  [156] = {
    [anon_sym_EQ] = ACTIONS(717),
    [sym_comment] = ACTIONS(19),
  },
  [157] = {
    [aux_sym_const_spec_repeat1] = STATE(157),
    [ts_builtin_sym_end] = ACTIONS(539),
    [anon_sym_LF] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_package] = ACTIONS(541),
    [anon_sym_import] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_const] = ACTIONS(541),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(541),
    [anon_sym_var] = ACTIONS(541),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_type] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(541),
    [anon_sym_struct] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(541),
    [anon_sym_map] = ACTIONS(541),
    [anon_sym_chan] = ACTIONS(541),
    [anon_sym_LT_DASH] = ACTIONS(541),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(59),
  },
  [158] = {
    [sym_expression_list] = STATE(172),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(235),
    [sym_parenthesized_expression] = STATE(235),
    [sym_call_expression] = STATE(235),
    [sym_selector_expression] = STATE(235),
    [sym_index_expression] = STATE(235),
    [sym_slice_expression] = STATE(235),
    [sym_type_assertion_expression] = STATE(235),
    [sym_type_conversion_expression] = STATE(235),
    [sym_composite_literal] = STATE(235),
    [sym_func_literal] = STATE(235),
    [sym_unary_expression] = STATE(235),
    [sym_binary_expression] = STATE(235),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(235),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(508),
    [sym_interpreted_string_literal] = ACTIONS(508),
    [sym_int_literal] = ACTIONS(510),
    [sym_float_literal] = ACTIONS(510),
    [sym_imaginary_literal] = ACTIONS(508),
    [sym_rune_literal] = ACTIONS(508),
    [sym_comment] = ACTIONS(19),
  },
  [159] = {
    [sym_parameter_list] = STATE(326),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [160] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [161] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(328),
    [sym_parenthesized_expression] = STATE(328),
    [sym_call_expression] = STATE(328),
    [sym_selector_expression] = STATE(328),
    [sym_index_expression] = STATE(328),
    [sym_slice_expression] = STATE(328),
    [sym_type_assertion_expression] = STATE(328),
    [sym_type_conversion_expression] = STATE(328),
    [sym_composite_literal] = STATE(328),
    [sym_func_literal] = STATE(328),
    [sym_unary_expression] = STATE(328),
    [sym_binary_expression] = STATE(328),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(328),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(722),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(724),
    [sym_interpreted_string_literal] = ACTIONS(724),
    [sym_int_literal] = ACTIONS(726),
    [sym_float_literal] = ACTIONS(726),
    [sym_imaginary_literal] = ACTIONS(724),
    [sym_rune_literal] = ACTIONS(724),
    [sym_comment] = ACTIONS(19),
  },
  [162] = {
    [anon_sym_LBRACK] = ACTIONS(728),
    [sym_comment] = ACTIONS(19),
  },
  [163] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(730),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [164] = {
    [anon_sym_chan] = ACTIONS(732),
    [sym_comment] = ACTIONS(19),
  },
  [165] = {
    [anon_sym_LF] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(734),
    [sym_comment] = ACTIONS(59),
  },
  [166] = {
    [sym_parenthesized_type] = STATE(333),
    [sym__simple_type] = STATE(333),
    [sym_pointer_type] = STATE(333),
    [sym_array_type] = STATE(333),
    [sym_slice_type] = STATE(333),
    [sym_struct_type] = STATE(333),
    [sym_interface_type] = STATE(333),
    [sym_map_type] = STATE(333),
    [sym_channel_type] = STATE(333),
    [sym_function_type] = STATE(333),
    [sym_qualified_type] = STATE(333),
    [aux_sym_const_spec_repeat1] = STATE(188),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(736),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [167] = {
    [anon_sym_RPAREN] = ACTIONS(738),
    [sym_identifier] = ACTIONS(738),
    [sym_comment] = ACTIONS(19),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(740),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_package] = ACTIONS(742),
    [anon_sym_import] = ACTIONS(742),
    [anon_sym_const] = ACTIONS(742),
    [anon_sym_var] = ACTIONS(742),
    [anon_sym_func] = ACTIONS(742),
    [anon_sym_type] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_case] = ACTIONS(742),
    [sym_default_case] = ACTIONS(742),
    [sym_comment] = ACTIONS(59),
  },
  [169] = {
    [sym_var_spec] = STATE(57),
    [aux_sym_var_declaration_repeat1] = STATE(169),
    [anon_sym_RPAREN] = ACTIONS(738),
    [sym_identifier] = ACTIONS(744),
    [sym_comment] = ACTIONS(19),
  },
  [170] = {
    [anon_sym_RPAREN] = ACTIONS(747),
    [sym_comment] = ACTIONS(19),
  },
  [171] = {
    [anon_sym_LPAREN] = ACTIONS(539),
    [anon_sym_COMMA] = ACTIONS(539),
    [anon_sym_EQ] = ACTIONS(539),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(539),
    [anon_sym_LBRACK] = ACTIONS(539),
    [anon_sym_struct] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(541),
    [anon_sym_map] = ACTIONS(541),
    [anon_sym_chan] = ACTIONS(541),
    [anon_sym_LT_DASH] = ACTIONS(539),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(19),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(749),
    [anon_sym_LF] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_package] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(751),
    [anon_sym_const] = ACTIONS(751),
    [anon_sym_var] = ACTIONS(751),
    [anon_sym_func] = ACTIONS(751),
    [anon_sym_type] = ACTIONS(751),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_case] = ACTIONS(751),
    [sym_default_case] = ACTIONS(751),
    [sym_comment] = ACTIONS(59),
  },
  [173] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [ts_builtin_sym_end] = ACTIONS(637),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_package] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_const] = ACTIONS(753),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_var] = ACTIONS(753),
    [anon_sym_func] = ACTIONS(755),
    [anon_sym_type] = ACTIONS(753),
    [anon_sym_STAR] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(760),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(762),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(639),
    [anon_sym_LF] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_package] = ACTIONS(764),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_const] = ACTIONS(764),
    [anon_sym_EQ] = ACTIONS(764),
    [anon_sym_var] = ACTIONS(764),
    [anon_sym_func] = ACTIONS(764),
    [anon_sym_type] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(764),
    [sym_default_case] = ACTIONS(764),
    [sym_raw_string_literal] = ACTIONS(764),
    [sym_interpreted_string_literal] = ACTIONS(764),
    [sym_comment] = ACTIONS(59),
  },
  [175] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [176] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [177] = {
    [sym_field_declaration] = STATE(339),
    [sym_qualified_type] = STATE(310),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_RBRACE] = ACTIONS(768),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(19),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(691),
    [anon_sym_LF] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(770),
    [anon_sym_package] = ACTIONS(770),
    [anon_sym_import] = ACTIONS(770),
    [anon_sym_const] = ACTIONS(770),
    [anon_sym_EQ] = ACTIONS(770),
    [anon_sym_var] = ACTIONS(770),
    [anon_sym_func] = ACTIONS(770),
    [anon_sym_type] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_RBRACE] = ACTIONS(770),
    [anon_sym_case] = ACTIONS(770),
    [sym_default_case] = ACTIONS(770),
    [sym_raw_string_literal] = ACTIONS(770),
    [sym_interpreted_string_literal] = ACTIONS(770),
    [sym_comment] = ACTIONS(59),
  },
  [179] = {
    [sym_method_spec] = STATE(342),
    [sym_qualified_type] = STATE(342),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_identifier] = ACTIONS(774),
    [sym_comment] = ACTIONS(19),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(697),
    [anon_sym_LF] = ACTIONS(697),
    [anon_sym_SEMI] = ACTIONS(776),
    [anon_sym_package] = ACTIONS(776),
    [anon_sym_import] = ACTIONS(776),
    [anon_sym_const] = ACTIONS(776),
    [anon_sym_EQ] = ACTIONS(776),
    [anon_sym_var] = ACTIONS(776),
    [anon_sym_func] = ACTIONS(776),
    [anon_sym_type] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(776),
    [anon_sym_RBRACE] = ACTIONS(776),
    [anon_sym_case] = ACTIONS(776),
    [sym_default_case] = ACTIONS(776),
    [sym_raw_string_literal] = ACTIONS(776),
    [sym_interpreted_string_literal] = ACTIONS(776),
    [sym_comment] = ACTIONS(59),
  },
  [181] = {
    [sym_parenthesized_type] = STATE(343),
    [sym__simple_type] = STATE(343),
    [sym_pointer_type] = STATE(343),
    [sym_array_type] = STATE(343),
    [sym_slice_type] = STATE(343),
    [sym_struct_type] = STATE(343),
    [sym_interface_type] = STATE(343),
    [sym_map_type] = STATE(343),
    [sym_channel_type] = STATE(343),
    [sym_function_type] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [182] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(778),
    [anon_sym_LT_DASH] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(713),
    [anon_sym_LF] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(780),
    [anon_sym_package] = ACTIONS(780),
    [anon_sym_import] = ACTIONS(780),
    [anon_sym_const] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(780),
    [anon_sym_var] = ACTIONS(780),
    [anon_sym_func] = ACTIONS(780),
    [anon_sym_type] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(780),
    [anon_sym_RBRACE] = ACTIONS(780),
    [anon_sym_case] = ACTIONS(780),
    [sym_default_case] = ACTIONS(780),
    [sym_raw_string_literal] = ACTIONS(780),
    [sym_interpreted_string_literal] = ACTIONS(780),
    [sym_comment] = ACTIONS(59),
  },
  [184] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [185] = {
    [sym_identifier] = ACTIONS(782),
    [sym_comment] = ACTIONS(19),
  },
  [186] = {
    [sym_expression_list] = STATE(347),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(131),
    [sym_parenthesized_expression] = STATE(131),
    [sym_call_expression] = STATE(131),
    [sym_selector_expression] = STATE(131),
    [sym_index_expression] = STATE(131),
    [sym_slice_expression] = STATE(131),
    [sym_type_assertion_expression] = STATE(131),
    [sym_type_conversion_expression] = STATE(131),
    [sym_composite_literal] = STATE(131),
    [sym_func_literal] = STATE(131),
    [sym_unary_expression] = STATE(131),
    [sym_binary_expression] = STATE(131),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(283),
    [sym_interpreted_string_literal] = ACTIONS(283),
    [sym_int_literal] = ACTIONS(285),
    [sym_float_literal] = ACTIONS(285),
    [sym_imaginary_literal] = ACTIONS(283),
    [sym_rune_literal] = ACTIONS(283),
    [sym_comment] = ACTIONS(19),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(749),
    [anon_sym_LF] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_package] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(751),
    [anon_sym_const] = ACTIONS(751),
    [anon_sym_EQ] = ACTIONS(784),
    [anon_sym_var] = ACTIONS(751),
    [anon_sym_func] = ACTIONS(751),
    [anon_sym_type] = ACTIONS(751),
    [sym_comment] = ACTIONS(59),
  },
  [188] = {
    [aux_sym_const_spec_repeat1] = STATE(188),
    [anon_sym_LPAREN] = ACTIONS(539),
    [anon_sym_COMMA] = ACTIONS(786),
    [anon_sym_EQ] = ACTIONS(539),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(539),
    [anon_sym_LBRACK] = ACTIONS(539),
    [anon_sym_struct] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(541),
    [anon_sym_map] = ACTIONS(541),
    [anon_sym_chan] = ACTIONS(541),
    [anon_sym_LT_DASH] = ACTIONS(539),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(19),
  },
  [189] = {
    [anon_sym_LPAREN] = ACTIONS(789),
    [anon_sym_RPAREN] = ACTIONS(789),
    [anon_sym_COMMA] = ACTIONS(789),
    [anon_sym_EQ] = ACTIONS(789),
    [anon_sym_func] = ACTIONS(791),
    [anon_sym_STAR] = ACTIONS(789),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(789),
    [anon_sym_struct] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(789),
    [anon_sym_interface] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(791),
    [anon_sym_chan] = ACTIONS(791),
    [anon_sym_LT_DASH] = ACTIONS(789),
    [anon_sym_COLON] = ACTIONS(789),
    [sym_identifier] = ACTIONS(791),
    [sym_comment] = ACTIONS(19),
  },
  [190] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_COMMA] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [191] = {
    [anon_sym_RPAREN] = ACTIONS(793),
    [anon_sym_COMMA] = ACTIONS(793),
    [sym_comment] = ACTIONS(19),
  },
  [192] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [193] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [194] = {
    [sym_parenthesized_type] = STATE(350),
    [sym__simple_type] = STATE(350),
    [sym_pointer_type] = STATE(350),
    [sym_array_type] = STATE(350),
    [sym_slice_type] = STATE(350),
    [sym_struct_type] = STATE(350),
    [sym_interface_type] = STATE(350),
    [sym_map_type] = STATE(350),
    [sym_channel_type] = STATE(350),
    [sym_function_type] = STATE(350),
    [sym_qualified_type] = STATE(350),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [195] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(797),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [196] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [197] = {
    [sym_parenthesized_type] = STATE(352),
    [sym__simple_type] = STATE(352),
    [sym_pointer_type] = STATE(352),
    [sym_array_type] = STATE(352),
    [sym_slice_type] = STATE(352),
    [sym_struct_type] = STATE(352),
    [sym_interface_type] = STATE(352),
    [sym_map_type] = STATE(352),
    [sym_channel_type] = STATE(352),
    [sym_function_type] = STATE(352),
    [sym_qualified_type] = STATE(352),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [198] = {
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_COMMA] = ACTIONS(799),
    [sym_comment] = ACTIONS(19),
  },
  [199] = {
    [sym_parenthesized_type] = STATE(353),
    [sym__simple_type] = STATE(353),
    [sym_pointer_type] = STATE(353),
    [sym_array_type] = STATE(353),
    [sym_slice_type] = STATE(353),
    [sym_struct_type] = STATE(353),
    [sym_interface_type] = STATE(353),
    [sym_map_type] = STATE(353),
    [sym_channel_type] = STATE(353),
    [sym_function_type] = STATE(353),
    [sym_qualified_type] = STATE(353),
    [aux_sym_const_spec_repeat1] = STATE(354),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [200] = {
    [sym_parameter_declaration] = STATE(356),
    [sym_variadic_parameter_declaration] = STATE(356),
    [sym_parenthesized_type] = STATE(84),
    [sym__simple_type] = STATE(84),
    [sym_pointer_type] = STATE(84),
    [sym_array_type] = STATE(84),
    [sym_slice_type] = STATE(84),
    [sym_struct_type] = STATE(84),
    [sym_interface_type] = STATE(84),
    [sym_map_type] = STATE(84),
    [sym_channel_type] = STATE(84),
    [sym_function_type] = STATE(84),
    [sym_qualified_type] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(19),
  },
  [201] = {
    [aux_sym_parameter_list_repeat1] = STATE(358),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(803),
    [sym_comment] = ACTIONS(19),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(389),
    [anon_sym_LF] = ACTIONS(389),
    [anon_sym_SEMI] = ACTIONS(391),
    [anon_sym_package] = ACTIONS(391),
    [anon_sym_import] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(391),
    [anon_sym_const] = ACTIONS(391),
    [anon_sym_EQ] = ACTIONS(391),
    [anon_sym_var] = ACTIONS(391),
    [anon_sym_func] = ACTIONS(391),
    [anon_sym_type] = ACTIONS(391),
    [anon_sym_STAR] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(391),
    [anon_sym_struct] = ACTIONS(391),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_interface] = ACTIONS(391),
    [anon_sym_map] = ACTIONS(391),
    [anon_sym_chan] = ACTIONS(391),
    [anon_sym_LT_DASH] = ACTIONS(391),
    [anon_sym_case] = ACTIONS(391),
    [sym_default_case] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_raw_string_literal] = ACTIONS(391),
    [sym_interpreted_string_literal] = ACTIONS(391),
    [sym_comment] = ACTIONS(59),
  },
  [203] = {
    [anon_sym_RPAREN] = ACTIONS(805),
    [sym_comment] = ACTIONS(19),
  },
  [204] = {
    [aux_sym_parameter_list_repeat1] = STATE(361),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [sym_comment] = ACTIONS(19),
  },
  [205] = {
    [sym_parameter_list] = STATE(362),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [206] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [207] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(364),
    [sym_parenthesized_expression] = STATE(364),
    [sym_call_expression] = STATE(364),
    [sym_selector_expression] = STATE(364),
    [sym_index_expression] = STATE(364),
    [sym_slice_expression] = STATE(364),
    [sym_type_assertion_expression] = STATE(364),
    [sym_type_conversion_expression] = STATE(364),
    [sym_composite_literal] = STATE(364),
    [sym_func_literal] = STATE(364),
    [sym_unary_expression] = STATE(364),
    [sym_binary_expression] = STATE(364),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(364),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(817),
    [sym_interpreted_string_literal] = ACTIONS(817),
    [sym_int_literal] = ACTIONS(819),
    [sym_float_literal] = ACTIONS(819),
    [sym_imaginary_literal] = ACTIONS(817),
    [sym_rune_literal] = ACTIONS(817),
    [sym_comment] = ACTIONS(19),
  },
  [208] = {
    [sym__declaration] = STATE(393),
    [sym_const_declaration] = STATE(393),
    [sym_var_declaration] = STATE(393),
    [sym_type_declaration] = STATE(393),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(393),
    [sym__statement_list] = STATE(392),
    [sym__statement] = STATE(393),
    [sym_empty_statement] = STATE(393),
    [sym__simple_statement] = STATE(393),
    [sym_send_statement] = STATE(393),
    [sym_inc_statement] = STATE(393),
    [sym_dec_statement] = STATE(393),
    [sym_assignment_statement] = STATE(393),
    [sym_short_var_declaration] = STATE(393),
    [sym_labeled_statement] = STATE(393),
    [sym_empty_labeled_statement] = STATE(394),
    [sym_fallthrough_statement] = STATE(393),
    [sym_break_statement] = STATE(393),
    [sym_continue_statement] = STATE(393),
    [sym_goto_statement] = STATE(393),
    [sym_return_statement] = STATE(393),
    [sym_go_statement] = STATE(393),
    [sym_defer_statement] = STATE(393),
    [sym_if_statement] = STATE(393),
    [sym_for_statement] = STATE(393),
    [sym_expression_switch_statement] = STATE(393),
    [sym_type_switch_statement] = STATE(393),
    [sym_select_statement] = STATE(393),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(867),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [209] = {
    [anon_sym_LBRACK] = ACTIONS(873),
    [sym_comment] = ACTIONS(19),
  },
  [210] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(875),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [211] = {
    [anon_sym_chan] = ACTIONS(877),
    [sym_comment] = ACTIONS(19),
  },
  [212] = {
    [sym_block] = STATE(399),
    [ts_builtin_sym_end] = ACTIONS(879),
    [anon_sym_LF] = ACTIONS(879),
    [anon_sym_SEMI] = ACTIONS(881),
    [anon_sym_package] = ACTIONS(881),
    [anon_sym_import] = ACTIONS(881),
    [anon_sym_const] = ACTIONS(881),
    [anon_sym_var] = ACTIONS(881),
    [anon_sym_func] = ACTIONS(881),
    [anon_sym_type] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(434),
    [sym_comment] = ACTIONS(59),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(879),
    [anon_sym_LF] = ACTIONS(879),
    [anon_sym_SEMI] = ACTIONS(881),
    [anon_sym_package] = ACTIONS(881),
    [anon_sym_import] = ACTIONS(881),
    [anon_sym_const] = ACTIONS(881),
    [anon_sym_var] = ACTIONS(881),
    [anon_sym_func] = ACTIONS(881),
    [anon_sym_type] = ACTIONS(881),
    [sym_comment] = ACTIONS(59),
  },
  [214] = {
    [sym_parameter_list] = STATE(400),
    [sym__simple_type] = STATE(400),
    [sym_pointer_type] = STATE(400),
    [sym_array_type] = STATE(400),
    [sym_slice_type] = STATE(400),
    [sym_struct_type] = STATE(400),
    [sym_interface_type] = STATE(400),
    [sym_map_type] = STATE(400),
    [sym_channel_type] = STATE(400),
    [sym_function_type] = STATE(400),
    [sym_block] = STATE(401),
    [sym_qualified_type] = STATE(400),
    [ts_builtin_sym_end] = ACTIONS(883),
    [anon_sym_LF] = ACTIONS(883),
    [anon_sym_SEMI] = ACTIONS(885),
    [anon_sym_package] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_const] = ACTIONS(885),
    [anon_sym_var] = ACTIONS(885),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_STAR] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(432),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(440),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [215] = {
    [sym_parenthesized_type] = STATE(225),
    [sym__simple_type] = STATE(225),
    [sym_pointer_type] = STATE(225),
    [sym_array_type] = STATE(225),
    [sym_slice_type] = STATE(225),
    [sym_struct_type] = STATE(225),
    [sym_interface_type] = STATE(225),
    [sym_map_type] = STATE(225),
    [sym_channel_type] = STATE(225),
    [sym_function_type] = STATE(225),
    [sym_qualified_type] = STATE(225),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [216] = {
    [sym_parameter_list] = STATE(402),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [217] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [218] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(404),
    [sym_parenthesized_expression] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_selector_expression] = STATE(404),
    [sym_index_expression] = STATE(404),
    [sym_slice_expression] = STATE(404),
    [sym_type_assertion_expression] = STATE(404),
    [sym_type_conversion_expression] = STATE(404),
    [sym_composite_literal] = STATE(404),
    [sym_func_literal] = STATE(404),
    [sym_unary_expression] = STATE(404),
    [sym_binary_expression] = STATE(404),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(404),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(887),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(889),
    [sym_interpreted_string_literal] = ACTIONS(889),
    [sym_int_literal] = ACTIONS(891),
    [sym_float_literal] = ACTIONS(891),
    [sym_imaginary_literal] = ACTIONS(889),
    [sym_rune_literal] = ACTIONS(889),
    [sym_comment] = ACTIONS(19),
  },
  [219] = {
    [anon_sym_LBRACK] = ACTIONS(893),
    [sym_comment] = ACTIONS(19),
  },
  [220] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(895),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [221] = {
    [anon_sym_chan] = ACTIONS(897),
    [sym_comment] = ACTIONS(19),
  },
  [222] = {
    [anon_sym_RPAREN] = ACTIONS(899),
    [sym_identifier] = ACTIONS(899),
    [sym_comment] = ACTIONS(19),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(901),
    [anon_sym_LF] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_package] = ACTIONS(903),
    [anon_sym_import] = ACTIONS(903),
    [anon_sym_const] = ACTIONS(903),
    [anon_sym_var] = ACTIONS(903),
    [anon_sym_func] = ACTIONS(903),
    [anon_sym_type] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(903),
    [sym_default_case] = ACTIONS(903),
    [sym_comment] = ACTIONS(59),
  },
  [224] = {
    [sym_type_alias] = STATE(90),
    [sym_type_spec] = STATE(90),
    [aux_sym_type_declaration_repeat1] = STATE(224),
    [anon_sym_RPAREN] = ACTIONS(899),
    [sym_identifier] = ACTIONS(905),
    [sym_comment] = ACTIONS(19),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(908),
    [anon_sym_LF] = ACTIONS(908),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_package] = ACTIONS(910),
    [anon_sym_import] = ACTIONS(910),
    [anon_sym_const] = ACTIONS(910),
    [anon_sym_var] = ACTIONS(910),
    [anon_sym_func] = ACTIONS(910),
    [anon_sym_type] = ACTIONS(910),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(910),
    [sym_default_case] = ACTIONS(910),
    [sym_comment] = ACTIONS(59),
  },
  [226] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [ts_builtin_sym_end] = ACTIONS(637),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_package] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_const] = ACTIONS(753),
    [anon_sym_var] = ACTIONS(753),
    [anon_sym_func] = ACTIONS(912),
    [anon_sym_type] = ACTIONS(753),
    [anon_sym_STAR] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(919),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [227] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(191),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [228] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [229] = {
    [sym_parenthesized_type] = STATE(409),
    [sym__simple_type] = STATE(409),
    [sym_pointer_type] = STATE(409),
    [sym_array_type] = STATE(409),
    [sym_slice_type] = STATE(409),
    [sym_struct_type] = STATE(409),
    [sym_interface_type] = STATE(409),
    [sym_map_type] = STATE(409),
    [sym_channel_type] = STATE(409),
    [sym_function_type] = STATE(409),
    [sym_qualified_type] = STATE(409),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [230] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(923),
    [anon_sym_LT_DASH] = ACTIONS(191),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [231] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(191),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [232] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [233] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [234] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [235] = {
    [sym_argument_list] = STATE(283),
    [aux_sym_expression_list_repeat1] = STATE(417),
    [anon_sym_LF] = ACTIONS(615),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_AMP_CARET] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(931),
    [anon_sym_BANG_EQ] = ACTIONS(931),
    [anon_sym_LT] = ACTIONS(931),
    [anon_sym_LT_EQ] = ACTIONS(931),
    [anon_sym_GT] = ACTIONS(931),
    [anon_sym_GT_EQ] = ACTIONS(931),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [sym_comment] = ACTIONS(59),
  },
  [236] = {
    [sym_expression_list] = STATE(324),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(235),
    [sym_parenthesized_expression] = STATE(235),
    [sym_call_expression] = STATE(235),
    [sym_selector_expression] = STATE(235),
    [sym_index_expression] = STATE(235),
    [sym_slice_expression] = STATE(235),
    [sym_type_assertion_expression] = STATE(235),
    [sym_type_conversion_expression] = STATE(235),
    [sym_composite_literal] = STATE(235),
    [sym_func_literal] = STATE(235),
    [sym_unary_expression] = STATE(235),
    [sym_binary_expression] = STATE(235),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(235),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(508),
    [sym_interpreted_string_literal] = ACTIONS(508),
    [sym_int_literal] = ACTIONS(510),
    [sym_float_literal] = ACTIONS(510),
    [sym_imaginary_literal] = ACTIONS(508),
    [sym_rune_literal] = ACTIONS(508),
    [sym_comment] = ACTIONS(19),
  },
  [237] = {
    [anon_sym_EQ] = ACTIONS(937),
    [sym_comment] = ACTIONS(19),
  },
  [238] = {
    [aux_sym_const_spec_repeat1] = STATE(238),
    [anon_sym_LF] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(541),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(541),
    [anon_sym_struct] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(541),
    [anon_sym_map] = ACTIONS(541),
    [anon_sym_chan] = ACTIONS(541),
    [anon_sym_LT_DASH] = ACTIONS(541),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(59),
  },
  [239] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [240] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [241] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [242] = {
    [sym_parenthesized_type] = STATE(420),
    [sym__simple_type] = STATE(420),
    [sym_pointer_type] = STATE(420),
    [sym_array_type] = STATE(420),
    [sym_slice_type] = STATE(420),
    [sym_struct_type] = STATE(420),
    [sym_interface_type] = STATE(420),
    [sym_map_type] = STATE(420),
    [sym_channel_type] = STATE(420),
    [sym_function_type] = STATE(420),
    [sym_qualified_type] = STATE(420),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [243] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(941),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [244] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [245] = {
    [anon_sym_LPAREN] = ACTIONS(943),
    [anon_sym_RPAREN] = ACTIONS(943),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_EQ] = ACTIONS(943),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_COLON] = ACTIONS(943),
    [sym_comment] = ACTIONS(19),
  },
  [246] = {
    [sym_parameter_list] = STATE(422),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [247] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(543),
    [anon_sym_STAR] = ACTIONS(545),
    [anon_sym_LBRACK] = ACTIONS(547),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(553),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [248] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(424),
    [sym_parenthesized_expression] = STATE(424),
    [sym_call_expression] = STATE(424),
    [sym_selector_expression] = STATE(424),
    [sym_index_expression] = STATE(424),
    [sym_slice_expression] = STATE(424),
    [sym_type_assertion_expression] = STATE(424),
    [sym_type_conversion_expression] = STATE(424),
    [sym_composite_literal] = STATE(424),
    [sym_func_literal] = STATE(424),
    [sym_unary_expression] = STATE(424),
    [sym_binary_expression] = STATE(424),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(424),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(565),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(947),
    [sym_interpreted_string_literal] = ACTIONS(947),
    [sym_int_literal] = ACTIONS(949),
    [sym_float_literal] = ACTIONS(949),
    [sym_imaginary_literal] = ACTIONS(947),
    [sym_rune_literal] = ACTIONS(947),
    [sym_comment] = ACTIONS(19),
  },
  [249] = {
    [anon_sym_LBRACK] = ACTIONS(951),
    [sym_comment] = ACTIONS(19),
  },
  [250] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(961),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [251] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(965),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [252] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [253] = {
    [anon_sym_LPAREN] = ACTIONS(659),
    [anon_sym_RPAREN] = ACTIONS(537),
    [sym_comment] = ACTIONS(19),
  },
  [254] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_AMP_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(985),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [sym_comment] = ACTIONS(19),
  },
  [255] = {
    [sym_parameter_list] = STATE(446),
    [sym__simple_type] = STATE(446),
    [sym_pointer_type] = STATE(446),
    [sym_array_type] = STATE(446),
    [sym_slice_type] = STATE(446),
    [sym_struct_type] = STATE(446),
    [sym_interface_type] = STATE(446),
    [sym_map_type] = STATE(446),
    [sym_channel_type] = STATE(446),
    [sym_function_type] = STATE(446),
    [sym_block] = STATE(447),
    [sym_qualified_type] = STATE(446),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [256] = {
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [sym_comment] = ACTIONS(19),
  },
  [257] = {
    [sym_argument_list] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1002),
    [anon_sym_LF] = ACTIONS(1002),
    [anon_sym_SEMI] = ACTIONS(1004),
    [anon_sym_package] = ACTIONS(1004),
    [anon_sym_import] = ACTIONS(1004),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(1004),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_var] = ACTIONS(1004),
    [anon_sym_func] = ACTIONS(1004),
    [anon_sym_type] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(1004),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [anon_sym_case] = ACTIONS(1004),
    [sym_default_case] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_CARET] = ACTIONS(1004),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_SLASH] = ACTIONS(1004),
    [anon_sym_PERCENT] = ACTIONS(1004),
    [anon_sym_LT_LT] = ACTIONS(1004),
    [anon_sym_GT_GT] = ACTIONS(1004),
    [anon_sym_AMP_CARET] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1004),
    [anon_sym_EQ_EQ] = ACTIONS(1004),
    [anon_sym_BANG_EQ] = ACTIONS(1004),
    [anon_sym_LT] = ACTIONS(1004),
    [anon_sym_LT_EQ] = ACTIONS(1004),
    [anon_sym_GT] = ACTIONS(1004),
    [anon_sym_GT_EQ] = ACTIONS(1004),
    [anon_sym_AMP_AMP] = ACTIONS(1004),
    [anon_sym_PIPE_PIPE] = ACTIONS(1004),
    [sym_comment] = ACTIONS(59),
  },
  [258] = {
    [anon_sym_RBRACK] = ACTIONS(1006),
    [sym_comment] = ACTIONS(19),
  },
  [259] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [260] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1008),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [261] = {
    [sym_parenthesized_type] = STATE(450),
    [sym__simple_type] = STATE(450),
    [sym_pointer_type] = STATE(450),
    [sym_array_type] = STATE(450),
    [sym_slice_type] = STATE(450),
    [sym_struct_type] = STATE(450),
    [sym_interface_type] = STATE(450),
    [sym_map_type] = STATE(450),
    [sym_channel_type] = STATE(450),
    [sym_function_type] = STATE(450),
    [sym_qualified_type] = STATE(450),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [262] = {
    [sym_parameter_list] = STATE(451),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [263] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [264] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(454),
    [sym_parenthesized_expression] = STATE(454),
    [sym_call_expression] = STATE(454),
    [sym_selector_expression] = STATE(454),
    [sym_index_expression] = STATE(454),
    [sym_slice_expression] = STATE(454),
    [sym_type_assertion_expression] = STATE(454),
    [sym_type_conversion_expression] = STATE(454),
    [sym_composite_literal] = STATE(454),
    [sym_func_literal] = STATE(454),
    [sym_unary_expression] = STATE(454),
    [sym_binary_expression] = STATE(454),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(454),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(1012),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1014),
    [sym_interpreted_string_literal] = ACTIONS(1014),
    [sym_int_literal] = ACTIONS(1016),
    [sym_float_literal] = ACTIONS(1016),
    [sym_imaginary_literal] = ACTIONS(1014),
    [sym_rune_literal] = ACTIONS(1014),
    [sym_comment] = ACTIONS(19),
  },
  [265] = {
    [anon_sym_LBRACK] = ACTIONS(1018),
    [sym_comment] = ACTIONS(19),
  },
  [266] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [267] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(583),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [268] = {
    [sym_parenthesized_type] = STATE(456),
    [sym__simple_type] = STATE(456),
    [sym_pointer_type] = STATE(456),
    [sym_array_type] = STATE(456),
    [sym_slice_type] = STATE(456),
    [sym_struct_type] = STATE(456),
    [sym_interface_type] = STATE(456),
    [sym_map_type] = STATE(456),
    [sym_channel_type] = STATE(456),
    [sym_function_type] = STATE(456),
    [sym_qualified_type] = STATE(456),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [anon_sym_LF] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1022),
    [anon_sym_package] = ACTIONS(1022),
    [anon_sym_import] = ACTIONS(1022),
    [anon_sym_DOT] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1022),
    [anon_sym_const] = ACTIONS(1022),
    [anon_sym_COMMA] = ACTIONS(1022),
    [anon_sym_var] = ACTIONS(1022),
    [anon_sym_func] = ACTIONS(1022),
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_case] = ACTIONS(1022),
    [sym_default_case] = ACTIONS(1022),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_CARET] = ACTIONS(1022),
    [anon_sym_AMP] = ACTIONS(1022),
    [anon_sym_SLASH] = ACTIONS(1022),
    [anon_sym_PERCENT] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1022),
    [anon_sym_GT_GT] = ACTIONS(1022),
    [anon_sym_AMP_CARET] = ACTIONS(1022),
    [anon_sym_PIPE] = ACTIONS(1022),
    [anon_sym_EQ_EQ] = ACTIONS(1022),
    [anon_sym_BANG_EQ] = ACTIONS(1022),
    [anon_sym_LT] = ACTIONS(1022),
    [anon_sym_LT_EQ] = ACTIONS(1022),
    [anon_sym_GT] = ACTIONS(1022),
    [anon_sym_GT_EQ] = ACTIONS(1022),
    [anon_sym_AMP_AMP] = ACTIONS(1022),
    [anon_sym_PIPE_PIPE] = ACTIONS(1022),
    [sym_comment] = ACTIONS(59),
  },
  [270] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(464),
    [sym_element] = STATE(464),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(1026),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(1038),
    [anon_sym_LF] = ACTIONS(1038),
    [anon_sym_SEMI] = ACTIONS(1040),
    [anon_sym_package] = ACTIONS(1040),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [anon_sym_const] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1040),
    [anon_sym_var] = ACTIONS(1040),
    [anon_sym_func] = ACTIONS(1040),
    [anon_sym_type] = ACTIONS(1040),
    [anon_sym_STAR] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [anon_sym_case] = ACTIONS(1040),
    [sym_default_case] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1040),
    [anon_sym_LT_LT] = ACTIONS(1040),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_AMP_CARET] = ACTIONS(1040),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1040),
    [anon_sym_BANG_EQ] = ACTIONS(1040),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1040),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1040),
    [anon_sym_AMP_AMP] = ACTIONS(1040),
    [anon_sym_PIPE_PIPE] = ACTIONS(1040),
    [sym_comment] = ACTIONS(59),
  },
  [272] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(468),
    [sym_parenthesized_expression] = STATE(468),
    [sym_call_expression] = STATE(468),
    [sym_selector_expression] = STATE(468),
    [sym_index_expression] = STATE(468),
    [sym_slice_expression] = STATE(468),
    [sym_type_assertion_expression] = STATE(468),
    [sym_type_conversion_expression] = STATE(468),
    [sym_composite_literal] = STATE(468),
    [sym_func_literal] = STATE(468),
    [sym_unary_expression] = STATE(468),
    [sym_binary_expression] = STATE(468),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(468),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1048),
    [sym_interpreted_string_literal] = ACTIONS(1048),
    [sym_int_literal] = ACTIONS(1050),
    [sym_float_literal] = ACTIONS(1050),
    [sym_imaginary_literal] = ACTIONS(1048),
    [sym_rune_literal] = ACTIONS(1048),
    [sym_comment] = ACTIONS(19),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1052),
    [anon_sym_LF] = ACTIONS(1052),
    [anon_sym_SEMI] = ACTIONS(1054),
    [anon_sym_package] = ACTIONS(1054),
    [anon_sym_import] = ACTIONS(1054),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1054),
    [anon_sym_COMMA] = ACTIONS(1054),
    [anon_sym_var] = ACTIONS(1054),
    [anon_sym_func] = ACTIONS(1054),
    [anon_sym_type] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1054),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_case] = ACTIONS(1054),
    [sym_default_case] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_SLASH] = ACTIONS(1054),
    [anon_sym_PERCENT] = ACTIONS(1054),
    [anon_sym_LT_LT] = ACTIONS(1054),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_AMP_CARET] = ACTIONS(1054),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1054),
    [anon_sym_BANG_EQ] = ACTIONS(1054),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1054),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1054),
    [anon_sym_AMP_AMP] = ACTIONS(1054),
    [anon_sym_PIPE_PIPE] = ACTIONS(1054),
    [sym_comment] = ACTIONS(59),
  },
  [274] = {
    [anon_sym_LPAREN] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [sym_comment] = ACTIONS(19),
  },
  [275] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(475),
    [sym_parenthesized_expression] = STATE(475),
    [sym_call_expression] = STATE(475),
    [sym_variadic_argument] = STATE(476),
    [sym_selector_expression] = STATE(475),
    [sym_index_expression] = STATE(475),
    [sym_slice_expression] = STATE(475),
    [sym_type_assertion_expression] = STATE(475),
    [sym_type_conversion_expression] = STATE(475),
    [sym_composite_literal] = STATE(475),
    [sym_func_literal] = STATE(475),
    [sym_unary_expression] = STATE(475),
    [sym_binary_expression] = STATE(475),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(475),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(1060),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1068),
    [sym_interpreted_string_literal] = ACTIONS(1068),
    [sym_int_literal] = ACTIONS(1070),
    [sym_float_literal] = ACTIONS(1070),
    [sym_imaginary_literal] = ACTIONS(1068),
    [sym_rune_literal] = ACTIONS(1068),
    [sym_comment] = ACTIONS(19),
  },
  [276] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(477),
    [sym_parenthesized_expression] = STATE(477),
    [sym_call_expression] = STATE(477),
    [sym_selector_expression] = STATE(477),
    [sym_index_expression] = STATE(477),
    [sym_slice_expression] = STATE(477),
    [sym_type_assertion_expression] = STATE(477),
    [sym_type_conversion_expression] = STATE(477),
    [sym_composite_literal] = STATE(477),
    [sym_func_literal] = STATE(477),
    [sym_unary_expression] = STATE(477),
    [sym_binary_expression] = STATE(477),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(477),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1072),
    [sym_interpreted_string_literal] = ACTIONS(1072),
    [sym_int_literal] = ACTIONS(1074),
    [sym_float_literal] = ACTIONS(1074),
    [sym_imaginary_literal] = ACTIONS(1072),
    [sym_rune_literal] = ACTIONS(1072),
    [sym_comment] = ACTIONS(19),
  },
  [277] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(478),
    [sym_parenthesized_expression] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_selector_expression] = STATE(478),
    [sym_index_expression] = STATE(478),
    [sym_slice_expression] = STATE(478),
    [sym_type_assertion_expression] = STATE(478),
    [sym_type_conversion_expression] = STATE(478),
    [sym_composite_literal] = STATE(478),
    [sym_func_literal] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(478),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1076),
    [sym_interpreted_string_literal] = ACTIONS(1076),
    [sym_int_literal] = ACTIONS(1078),
    [sym_float_literal] = ACTIONS(1078),
    [sym_imaginary_literal] = ACTIONS(1076),
    [sym_rune_literal] = ACTIONS(1076),
    [sym_comment] = ACTIONS(19),
  },
  [278] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(483),
    [sym_parenthesized_expression] = STATE(483),
    [sym_call_expression] = STATE(483),
    [sym_selector_expression] = STATE(483),
    [sym_index_expression] = STATE(483),
    [sym_slice_expression] = STATE(483),
    [sym_type_assertion_expression] = STATE(483),
    [sym_type_conversion_expression] = STATE(483),
    [sym_composite_literal] = STATE(483),
    [sym_func_literal] = STATE(483),
    [sym_unary_expression] = STATE(483),
    [sym_binary_expression] = STATE(483),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(483),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_COLON] = ACTIONS(1084),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1088),
    [sym_interpreted_string_literal] = ACTIONS(1088),
    [sym_int_literal] = ACTIONS(1090),
    [sym_float_literal] = ACTIONS(1090),
    [sym_imaginary_literal] = ACTIONS(1088),
    [sym_rune_literal] = ACTIONS(1088),
    [sym_comment] = ACTIONS(19),
  },
  [279] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(484),
    [sym_call_expression] = STATE(484),
    [sym_selector_expression] = STATE(484),
    [sym_index_expression] = STATE(484),
    [sym_slice_expression] = STATE(484),
    [sym_type_assertion_expression] = STATE(484),
    [sym_type_conversion_expression] = STATE(484),
    [sym_composite_literal] = STATE(484),
    [sym_func_literal] = STATE(484),
    [sym_unary_expression] = STATE(484),
    [sym_binary_expression] = STATE(484),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(484),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1092),
    [sym_interpreted_string_literal] = ACTIONS(1092),
    [sym_int_literal] = ACTIONS(1094),
    [sym_float_literal] = ACTIONS(1094),
    [sym_imaginary_literal] = ACTIONS(1092),
    [sym_rune_literal] = ACTIONS(1092),
    [sym_comment] = ACTIONS(19),
  },
  [280] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(485),
    [sym_parenthesized_expression] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_selector_expression] = STATE(485),
    [sym_index_expression] = STATE(485),
    [sym_slice_expression] = STATE(485),
    [sym_type_assertion_expression] = STATE(485),
    [sym_type_conversion_expression] = STATE(485),
    [sym_composite_literal] = STATE(485),
    [sym_func_literal] = STATE(485),
    [sym_unary_expression] = STATE(485),
    [sym_binary_expression] = STATE(485),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(485),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1096),
    [sym_interpreted_string_literal] = ACTIONS(1096),
    [sym_int_literal] = ACTIONS(1098),
    [sym_float_literal] = ACTIONS(1098),
    [sym_imaginary_literal] = ACTIONS(1096),
    [sym_rune_literal] = ACTIONS(1096),
    [sym_comment] = ACTIONS(19),
  },
  [281] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(486),
    [sym_parenthesized_expression] = STATE(486),
    [sym_call_expression] = STATE(486),
    [sym_selector_expression] = STATE(486),
    [sym_index_expression] = STATE(486),
    [sym_slice_expression] = STATE(486),
    [sym_type_assertion_expression] = STATE(486),
    [sym_type_conversion_expression] = STATE(486),
    [sym_composite_literal] = STATE(486),
    [sym_func_literal] = STATE(486),
    [sym_unary_expression] = STATE(486),
    [sym_binary_expression] = STATE(486),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(486),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1100),
    [sym_interpreted_string_literal] = ACTIONS(1100),
    [sym_int_literal] = ACTIONS(1102),
    [sym_float_literal] = ACTIONS(1102),
    [sym_imaginary_literal] = ACTIONS(1100),
    [sym_rune_literal] = ACTIONS(1100),
    [sym_comment] = ACTIONS(19),
  },
  [282] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(487),
    [sym_parenthesized_expression] = STATE(487),
    [sym_call_expression] = STATE(487),
    [sym_selector_expression] = STATE(487),
    [sym_index_expression] = STATE(487),
    [sym_slice_expression] = STATE(487),
    [sym_type_assertion_expression] = STATE(487),
    [sym_type_conversion_expression] = STATE(487),
    [sym_composite_literal] = STATE(487),
    [sym_func_literal] = STATE(487),
    [sym_unary_expression] = STATE(487),
    [sym_binary_expression] = STATE(487),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(487),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1104),
    [sym_interpreted_string_literal] = ACTIONS(1104),
    [sym_int_literal] = ACTIONS(1106),
    [sym_float_literal] = ACTIONS(1106),
    [sym_imaginary_literal] = ACTIONS(1104),
    [sym_rune_literal] = ACTIONS(1104),
    [sym_comment] = ACTIONS(19),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1108),
    [anon_sym_LF] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1110),
    [anon_sym_package] = ACTIONS(1110),
    [anon_sym_import] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1110),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_const] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_func] = ACTIONS(1110),
    [anon_sym_type] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_case] = ACTIONS(1110),
    [sym_default_case] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1110),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [sym_comment] = ACTIONS(59),
  },
  [284] = {
    [aux_sym_expression_list_repeat1] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1112),
    [anon_sym_LF] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym_package] = ACTIONS(1114),
    [anon_sym_import] = ACTIONS(1114),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(623),
    [anon_sym_var] = ACTIONS(1114),
    [anon_sym_func] = ACTIONS(1114),
    [anon_sym_type] = ACTIONS(1114),
    [sym_comment] = ACTIONS(59),
  },
  [285] = {
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_RPAREN] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1116),
    [anon_sym_RBRACK] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_COLON] = ACTIONS(1116),
    [sym_comment] = ACTIONS(19),
  },
  [286] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_AMP_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(985),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [sym_comment] = ACTIONS(19),
  },
  [287] = {
    [sym_parameter_list] = STATE(491),
    [sym__simple_type] = STATE(491),
    [sym_pointer_type] = STATE(491),
    [sym_array_type] = STATE(491),
    [sym_slice_type] = STATE(491),
    [sym_struct_type] = STATE(491),
    [sym_interface_type] = STATE(491),
    [sym_map_type] = STATE(491),
    [sym_channel_type] = STATE(491),
    [sym_function_type] = STATE(491),
    [sym_block] = STATE(492),
    [sym_qualified_type] = STATE(491),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [288] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1002),
    [anon_sym_COMMA] = ACTIONS(1002),
    [anon_sym_EQ] = ACTIONS(1004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1002),
    [anon_sym_STAR] = ACTIONS(1004),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_RBRACE] = ACTIONS(1002),
    [anon_sym_LT_DASH] = ACTIONS(1002),
    [anon_sym_COLON_EQ] = ACTIONS(1002),
    [anon_sym_STAR_EQ] = ACTIONS(1002),
    [anon_sym_SLASH_EQ] = ACTIONS(1002),
    [anon_sym_PERCENT_EQ] = ACTIONS(1002),
    [anon_sym_LT_LT_EQ] = ACTIONS(1002),
    [anon_sym_GT_GT_EQ] = ACTIONS(1002),
    [anon_sym_AMP_EQ] = ACTIONS(1002),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1002),
    [anon_sym_PLUS_EQ] = ACTIONS(1002),
    [anon_sym_DASH_EQ] = ACTIONS(1002),
    [anon_sym_PIPE_EQ] = ACTIONS(1002),
    [anon_sym_CARET_EQ] = ACTIONS(1002),
    [anon_sym_COLON] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_CARET] = ACTIONS(1004),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_SLASH] = ACTIONS(1004),
    [anon_sym_PERCENT] = ACTIONS(1004),
    [anon_sym_LT_LT] = ACTIONS(1004),
    [anon_sym_GT_GT] = ACTIONS(1004),
    [anon_sym_AMP_CARET] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1004),
    [anon_sym_EQ_EQ] = ACTIONS(1002),
    [anon_sym_BANG_EQ] = ACTIONS(1002),
    [anon_sym_LT] = ACTIONS(1004),
    [anon_sym_LT_EQ] = ACTIONS(1002),
    [anon_sym_GT] = ACTIONS(1004),
    [anon_sym_GT_EQ] = ACTIONS(1002),
    [anon_sym_AMP_AMP] = ACTIONS(1002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1002),
    [sym_comment] = ACTIONS(19),
  },
  [289] = {
    [anon_sym_LPAREN] = ACTIONS(1124),
    [anon_sym_RPAREN] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(1124),
    [anon_sym_RBRACK] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_COLON] = ACTIONS(1124),
    [sym_comment] = ACTIONS(19),
  },
  [290] = {
    [sym_parenthesized_type] = STATE(493),
    [sym__simple_type] = STATE(493),
    [sym_pointer_type] = STATE(493),
    [sym_array_type] = STATE(493),
    [sym_slice_type] = STATE(493),
    [sym_struct_type] = STATE(493),
    [sym_interface_type] = STATE(493),
    [sym_map_type] = STATE(493),
    [sym_channel_type] = STATE(493),
    [sym_function_type] = STATE(493),
    [sym_qualified_type] = STATE(493),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [291] = {
    [anon_sym_SEMI] = ACTIONS(1020),
    [anon_sym_DOT] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_RPAREN] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1020),
    [anon_sym_EQ] = ACTIONS(1022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1020),
    [anon_sym_STAR] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_RBRACK] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_LT_DASH] = ACTIONS(1020),
    [anon_sym_COLON_EQ] = ACTIONS(1020),
    [anon_sym_STAR_EQ] = ACTIONS(1020),
    [anon_sym_SLASH_EQ] = ACTIONS(1020),
    [anon_sym_PERCENT_EQ] = ACTIONS(1020),
    [anon_sym_LT_LT_EQ] = ACTIONS(1020),
    [anon_sym_GT_GT_EQ] = ACTIONS(1020),
    [anon_sym_AMP_EQ] = ACTIONS(1020),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1020),
    [anon_sym_PLUS_EQ] = ACTIONS(1020),
    [anon_sym_DASH_EQ] = ACTIONS(1020),
    [anon_sym_PIPE_EQ] = ACTIONS(1020),
    [anon_sym_CARET_EQ] = ACTIONS(1020),
    [anon_sym_COLON] = ACTIONS(1022),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_CARET] = ACTIONS(1022),
    [anon_sym_AMP] = ACTIONS(1022),
    [anon_sym_SLASH] = ACTIONS(1022),
    [anon_sym_PERCENT] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1022),
    [anon_sym_GT_GT] = ACTIONS(1022),
    [anon_sym_AMP_CARET] = ACTIONS(1022),
    [anon_sym_PIPE] = ACTIONS(1022),
    [anon_sym_EQ_EQ] = ACTIONS(1020),
    [anon_sym_BANG_EQ] = ACTIONS(1020),
    [anon_sym_LT] = ACTIONS(1022),
    [anon_sym_LT_EQ] = ACTIONS(1020),
    [anon_sym_GT] = ACTIONS(1022),
    [anon_sym_GT_EQ] = ACTIONS(1020),
    [anon_sym_AMP_AMP] = ACTIONS(1020),
    [anon_sym_PIPE_PIPE] = ACTIONS(1020),
    [sym_comment] = ACTIONS(19),
  },
  [292] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(495),
    [sym_element] = STATE(495),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [293] = {
    [anon_sym_SEMI] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_RPAREN] = ACTIONS(1038),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_RBRACK] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [anon_sym_LT_DASH] = ACTIONS(1038),
    [anon_sym_COLON_EQ] = ACTIONS(1038),
    [anon_sym_STAR_EQ] = ACTIONS(1038),
    [anon_sym_SLASH_EQ] = ACTIONS(1038),
    [anon_sym_PERCENT_EQ] = ACTIONS(1038),
    [anon_sym_LT_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT_GT_EQ] = ACTIONS(1038),
    [anon_sym_AMP_EQ] = ACTIONS(1038),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1038),
    [anon_sym_PLUS_EQ] = ACTIONS(1038),
    [anon_sym_DASH_EQ] = ACTIONS(1038),
    [anon_sym_PIPE_EQ] = ACTIONS(1038),
    [anon_sym_CARET_EQ] = ACTIONS(1038),
    [anon_sym_COLON] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1040),
    [anon_sym_LT_LT] = ACTIONS(1040),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_AMP_CARET] = ACTIONS(1040),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [sym_comment] = ACTIONS(19),
  },
  [294] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_call_expression] = STATE(496),
    [sym_selector_expression] = STATE(496),
    [sym_index_expression] = STATE(496),
    [sym_slice_expression] = STATE(496),
    [sym_type_assertion_expression] = STATE(496),
    [sym_type_conversion_expression] = STATE(496),
    [sym_composite_literal] = STATE(496),
    [sym_func_literal] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(496),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1128),
    [sym_interpreted_string_literal] = ACTIONS(1128),
    [sym_int_literal] = ACTIONS(1130),
    [sym_float_literal] = ACTIONS(1130),
    [sym_imaginary_literal] = ACTIONS(1128),
    [sym_rune_literal] = ACTIONS(1128),
    [sym_comment] = ACTIONS(19),
  },
  [295] = {
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_RPAREN] = ACTIONS(1052),
    [anon_sym_COMMA] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(1054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1052),
    [anon_sym_STAR] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_RBRACK] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [anon_sym_LT_DASH] = ACTIONS(1052),
    [anon_sym_COLON_EQ] = ACTIONS(1052),
    [anon_sym_STAR_EQ] = ACTIONS(1052),
    [anon_sym_SLASH_EQ] = ACTIONS(1052),
    [anon_sym_PERCENT_EQ] = ACTIONS(1052),
    [anon_sym_LT_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT_GT_EQ] = ACTIONS(1052),
    [anon_sym_AMP_EQ] = ACTIONS(1052),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1052),
    [anon_sym_PLUS_EQ] = ACTIONS(1052),
    [anon_sym_DASH_EQ] = ACTIONS(1052),
    [anon_sym_PIPE_EQ] = ACTIONS(1052),
    [anon_sym_CARET_EQ] = ACTIONS(1052),
    [anon_sym_COLON] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_SLASH] = ACTIONS(1054),
    [anon_sym_PERCENT] = ACTIONS(1054),
    [anon_sym_LT_LT] = ACTIONS(1054),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_AMP_CARET] = ACTIONS(1054),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1052),
    [anon_sym_BANG_EQ] = ACTIONS(1052),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1052),
    [anon_sym_AMP_AMP] = ACTIONS(1052),
    [anon_sym_PIPE_PIPE] = ACTIONS(1052),
    [sym_comment] = ACTIONS(19),
  },
  [296] = {
    [anon_sym_LPAREN] = ACTIONS(1132),
    [sym_identifier] = ACTIONS(1134),
    [sym_comment] = ACTIONS(19),
  },
  [297] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_call_expression] = STATE(500),
    [sym_variadic_argument] = STATE(501),
    [sym_selector_expression] = STATE(500),
    [sym_index_expression] = STATE(500),
    [sym_slice_expression] = STATE(500),
    [sym_type_assertion_expression] = STATE(500),
    [sym_type_conversion_expression] = STATE(500),
    [sym_composite_literal] = STATE(500),
    [sym_func_literal] = STATE(500),
    [sym_unary_expression] = STATE(500),
    [sym_binary_expression] = STATE(500),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(500),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(1136),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1138),
    [sym_interpreted_string_literal] = ACTIONS(1138),
    [sym_int_literal] = ACTIONS(1140),
    [sym_float_literal] = ACTIONS(1140),
    [sym_imaginary_literal] = ACTIONS(1138),
    [sym_rune_literal] = ACTIONS(1138),
    [sym_comment] = ACTIONS(19),
  },
  [298] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [299] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(504),
    [sym_parenthesized_expression] = STATE(504),
    [sym_call_expression] = STATE(504),
    [sym_selector_expression] = STATE(504),
    [sym_index_expression] = STATE(504),
    [sym_slice_expression] = STATE(504),
    [sym_type_assertion_expression] = STATE(504),
    [sym_type_conversion_expression] = STATE(504),
    [sym_composite_literal] = STATE(504),
    [sym_func_literal] = STATE(504),
    [sym_unary_expression] = STATE(504),
    [sym_binary_expression] = STATE(504),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(504),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_COLON] = ACTIONS(1146),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1148),
    [sym_interpreted_string_literal] = ACTIONS(1148),
    [sym_int_literal] = ACTIONS(1150),
    [sym_float_literal] = ACTIONS(1150),
    [sym_imaginary_literal] = ACTIONS(1148),
    [sym_rune_literal] = ACTIONS(1148),
    [sym_comment] = ACTIONS(19),
  },
  [300] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [301] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(506),
    [sym_parenthesized_expression] = STATE(506),
    [sym_call_expression] = STATE(506),
    [sym_selector_expression] = STATE(506),
    [sym_index_expression] = STATE(506),
    [sym_slice_expression] = STATE(506),
    [sym_type_assertion_expression] = STATE(506),
    [sym_type_conversion_expression] = STATE(506),
    [sym_composite_literal] = STATE(506),
    [sym_func_literal] = STATE(506),
    [sym_unary_expression] = STATE(506),
    [sym_binary_expression] = STATE(506),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(506),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1152),
    [sym_interpreted_string_literal] = ACTIONS(1152),
    [sym_int_literal] = ACTIONS(1154),
    [sym_float_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1152),
    [sym_rune_literal] = ACTIONS(1152),
    [sym_comment] = ACTIONS(19),
  },
  [302] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(507),
    [sym_parenthesized_expression] = STATE(507),
    [sym_call_expression] = STATE(507),
    [sym_selector_expression] = STATE(507),
    [sym_index_expression] = STATE(507),
    [sym_slice_expression] = STATE(507),
    [sym_type_assertion_expression] = STATE(507),
    [sym_type_conversion_expression] = STATE(507),
    [sym_composite_literal] = STATE(507),
    [sym_func_literal] = STATE(507),
    [sym_unary_expression] = STATE(507),
    [sym_binary_expression] = STATE(507),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(507),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1156),
    [sym_interpreted_string_literal] = ACTIONS(1156),
    [sym_int_literal] = ACTIONS(1158),
    [sym_float_literal] = ACTIONS(1158),
    [sym_imaginary_literal] = ACTIONS(1156),
    [sym_rune_literal] = ACTIONS(1156),
    [sym_comment] = ACTIONS(19),
  },
  [303] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(508),
    [sym_parenthesized_expression] = STATE(508),
    [sym_call_expression] = STATE(508),
    [sym_selector_expression] = STATE(508),
    [sym_index_expression] = STATE(508),
    [sym_slice_expression] = STATE(508),
    [sym_type_assertion_expression] = STATE(508),
    [sym_type_conversion_expression] = STATE(508),
    [sym_composite_literal] = STATE(508),
    [sym_func_literal] = STATE(508),
    [sym_unary_expression] = STATE(508),
    [sym_binary_expression] = STATE(508),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(508),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1160),
    [sym_interpreted_string_literal] = ACTIONS(1160),
    [sym_int_literal] = ACTIONS(1162),
    [sym_float_literal] = ACTIONS(1162),
    [sym_imaginary_literal] = ACTIONS(1160),
    [sym_rune_literal] = ACTIONS(1160),
    [sym_comment] = ACTIONS(19),
  },
  [304] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(509),
    [sym_parenthesized_expression] = STATE(509),
    [sym_call_expression] = STATE(509),
    [sym_selector_expression] = STATE(509),
    [sym_index_expression] = STATE(509),
    [sym_slice_expression] = STATE(509),
    [sym_type_assertion_expression] = STATE(509),
    [sym_type_conversion_expression] = STATE(509),
    [sym_composite_literal] = STATE(509),
    [sym_func_literal] = STATE(509),
    [sym_unary_expression] = STATE(509),
    [sym_binary_expression] = STATE(509),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(509),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1164),
    [sym_interpreted_string_literal] = ACTIONS(1164),
    [sym_int_literal] = ACTIONS(1166),
    [sym_float_literal] = ACTIONS(1166),
    [sym_imaginary_literal] = ACTIONS(1164),
    [sym_rune_literal] = ACTIONS(1164),
    [sym_comment] = ACTIONS(19),
  },
  [305] = {
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym_DOT] = ACTIONS(1110),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_RPAREN] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1108),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1108),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [anon_sym_LT_DASH] = ACTIONS(1108),
    [anon_sym_COLON_EQ] = ACTIONS(1108),
    [anon_sym_STAR_EQ] = ACTIONS(1108),
    [anon_sym_SLASH_EQ] = ACTIONS(1108),
    [anon_sym_PERCENT_EQ] = ACTIONS(1108),
    [anon_sym_LT_LT_EQ] = ACTIONS(1108),
    [anon_sym_GT_GT_EQ] = ACTIONS(1108),
    [anon_sym_AMP_EQ] = ACTIONS(1108),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1108),
    [anon_sym_PLUS_EQ] = ACTIONS(1108),
    [anon_sym_DASH_EQ] = ACTIONS(1108),
    [anon_sym_PIPE_EQ] = ACTIONS(1108),
    [anon_sym_CARET_EQ] = ACTIONS(1108),
    [anon_sym_COLON] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_LT_EQ] = ACTIONS(1108),
    [anon_sym_GT] = ACTIONS(1110),
    [anon_sym_GT_EQ] = ACTIONS(1108),
    [anon_sym_AMP_AMP] = ACTIONS(1108),
    [anon_sym_PIPE_PIPE] = ACTIONS(1108),
    [sym_comment] = ACTIONS(19),
  },
  [306] = {
    [sym_qualified_type] = STATE(511),
    [sym_identifier] = ACTIONS(1168),
    [sym_comment] = ACTIONS(19),
  },
  [307] = {
    [anon_sym_LPAREN] = ACTIONS(1170),
    [anon_sym_RPAREN] = ACTIONS(1170),
    [anon_sym_COMMA] = ACTIONS(1170),
    [anon_sym_EQ] = ACTIONS(1170),
    [anon_sym_RBRACK] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_COLON] = ACTIONS(1170),
    [sym_comment] = ACTIONS(19),
  },
  [308] = {
    [sym_parenthesized_type] = STATE(519),
    [sym__simple_type] = STATE(519),
    [sym_pointer_type] = STATE(519),
    [sym_array_type] = STATE(519),
    [sym_slice_type] = STATE(519),
    [sym_struct_type] = STATE(519),
    [sym_interface_type] = STATE(519),
    [sym_map_type] = STATE(519),
    [sym_channel_type] = STATE(519),
    [sym_function_type] = STATE(519),
    [sym_qualified_type] = STATE(519),
    [sym__string_literal] = STATE(520),
    [aux_sym_field_name_list_repeat1] = STATE(521),
    [anon_sym_LF] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1174),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [anon_sym_COMMA] = ACTIONS(1178),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(143),
    [sym_raw_string_literal] = ACTIONS(1192),
    [sym_interpreted_string_literal] = ACTIONS(1192),
    [sym_comment] = ACTIONS(59),
  },
  [309] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(524),
    [anon_sym_LF] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [sym_comment] = ACTIONS(59),
  },
  [310] = {
    [sym__string_literal] = STATE(525),
    [anon_sym_LF] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [sym_raw_string_literal] = ACTIONS(1204),
    [sym_interpreted_string_literal] = ACTIONS(1204),
    [sym_comment] = ACTIONS(59),
  },
  [311] = {
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_RPAREN] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_EQ] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1206),
    [sym_comment] = ACTIONS(19),
  },
  [312] = {
    [sym_parameter_list] = STATE(528),
    [aux_sym_method_spec_list_repeat1] = STATE(529),
    [anon_sym_LF] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [sym_comment] = ACTIONS(59),
  },
  [313] = {
    [aux_sym_method_spec_list_repeat1] = STATE(532),
    [anon_sym_LF] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [sym_comment] = ACTIONS(59),
  },
  [314] = {
    [sym_parameter_list] = STATE(533),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [315] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [316] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(535),
    [sym_parenthesized_expression] = STATE(535),
    [sym_call_expression] = STATE(535),
    [sym_selector_expression] = STATE(535),
    [sym_index_expression] = STATE(535),
    [sym_slice_expression] = STATE(535),
    [sym_type_assertion_expression] = STATE(535),
    [sym_type_conversion_expression] = STATE(535),
    [sym_composite_literal] = STATE(535),
    [sym_func_literal] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(535),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(1220),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1222),
    [sym_interpreted_string_literal] = ACTIONS(1222),
    [sym_int_literal] = ACTIONS(1224),
    [sym_float_literal] = ACTIONS(1224),
    [sym_imaginary_literal] = ACTIONS(1222),
    [sym_rune_literal] = ACTIONS(1222),
    [sym_comment] = ACTIONS(19),
  },
  [317] = {
    [anon_sym_LBRACK] = ACTIONS(1226),
    [sym_comment] = ACTIONS(19),
  },
  [318] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(1228),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [319] = {
    [anon_sym_chan] = ACTIONS(1230),
    [sym_comment] = ACTIONS(19),
  },
  [320] = {
    [anon_sym_RBRACK] = ACTIONS(1232),
    [sym_comment] = ACTIONS(19),
  },
  [321] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(319),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [322] = {
    [anon_sym_LPAREN] = ACTIONS(1234),
    [anon_sym_RPAREN] = ACTIONS(1234),
    [anon_sym_COMMA] = ACTIONS(1234),
    [anon_sym_EQ] = ACTIONS(1234),
    [anon_sym_RBRACK] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_COLON] = ACTIONS(1234),
    [sym_comment] = ACTIONS(19),
  },
  [323] = {
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_RPAREN] = ACTIONS(1236),
    [anon_sym_COMMA] = ACTIONS(1236),
    [anon_sym_EQ] = ACTIONS(1236),
    [anon_sym_RBRACK] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_COLON] = ACTIONS(1236),
    [sym_comment] = ACTIONS(19),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [anon_sym_LF] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_package] = ACTIONS(1240),
    [anon_sym_import] = ACTIONS(1240),
    [anon_sym_const] = ACTIONS(1240),
    [anon_sym_var] = ACTIONS(1240),
    [anon_sym_func] = ACTIONS(1240),
    [anon_sym_type] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_case] = ACTIONS(1240),
    [sym_default_case] = ACTIONS(1240),
    [sym_comment] = ACTIONS(59),
  },
  [325] = {
    [sym_expression_list] = STATE(540),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(131),
    [sym_parenthesized_expression] = STATE(131),
    [sym_call_expression] = STATE(131),
    [sym_selector_expression] = STATE(131),
    [sym_index_expression] = STATE(131),
    [sym_slice_expression] = STATE(131),
    [sym_type_assertion_expression] = STATE(131),
    [sym_type_conversion_expression] = STATE(131),
    [sym_composite_literal] = STATE(131),
    [sym_func_literal] = STATE(131),
    [sym_unary_expression] = STATE(131),
    [sym_binary_expression] = STATE(131),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(283),
    [sym_interpreted_string_literal] = ACTIONS(283),
    [sym_int_literal] = ACTIONS(285),
    [sym_float_literal] = ACTIONS(285),
    [sym_imaginary_literal] = ACTIONS(283),
    [sym_rune_literal] = ACTIONS(283),
    [sym_comment] = ACTIONS(19),
  },
  [326] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [327] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [328] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [329] = {
    [sym_parenthesized_type] = STATE(542),
    [sym__simple_type] = STATE(542),
    [sym_pointer_type] = STATE(542),
    [sym_array_type] = STATE(542),
    [sym_slice_type] = STATE(542),
    [sym_struct_type] = STATE(542),
    [sym_interface_type] = STATE(542),
    [sym_map_type] = STATE(542),
    [sym_channel_type] = STATE(542),
    [sym_function_type] = STATE(542),
    [sym_qualified_type] = STATE(542),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [330] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(1250),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [331] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [332] = {
    [sym_expression_list] = STATE(347),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(235),
    [sym_parenthesized_expression] = STATE(235),
    [sym_call_expression] = STATE(235),
    [sym_selector_expression] = STATE(235),
    [sym_index_expression] = STATE(235),
    [sym_slice_expression] = STATE(235),
    [sym_type_assertion_expression] = STATE(235),
    [sym_type_conversion_expression] = STATE(235),
    [sym_composite_literal] = STATE(235),
    [sym_func_literal] = STATE(235),
    [sym_unary_expression] = STATE(235),
    [sym_binary_expression] = STATE(235),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(235),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(508),
    [sym_interpreted_string_literal] = ACTIONS(508),
    [sym_int_literal] = ACTIONS(510),
    [sym_float_literal] = ACTIONS(510),
    [sym_imaginary_literal] = ACTIONS(508),
    [sym_rune_literal] = ACTIONS(508),
    [sym_comment] = ACTIONS(19),
  },
  [333] = {
    [anon_sym_LF] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_EQ] = ACTIONS(1252),
    [sym_comment] = ACTIONS(59),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(943),
    [anon_sym_LF] = ACTIONS(943),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_package] = ACTIONS(1254),
    [anon_sym_import] = ACTIONS(1254),
    [anon_sym_const] = ACTIONS(1254),
    [anon_sym_EQ] = ACTIONS(1254),
    [anon_sym_var] = ACTIONS(1254),
    [anon_sym_func] = ACTIONS(1254),
    [anon_sym_type] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_case] = ACTIONS(1254),
    [sym_default_case] = ACTIONS(1254),
    [sym_raw_string_literal] = ACTIONS(1254),
    [sym_interpreted_string_literal] = ACTIONS(1254),
    [sym_comment] = ACTIONS(59),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(1116),
    [anon_sym_LF] = ACTIONS(1116),
    [anon_sym_SEMI] = ACTIONS(1256),
    [anon_sym_package] = ACTIONS(1256),
    [anon_sym_import] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_EQ] = ACTIONS(1256),
    [anon_sym_var] = ACTIONS(1256),
    [anon_sym_func] = ACTIONS(1256),
    [anon_sym_type] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [sym_default_case] = ACTIONS(1256),
    [sym_raw_string_literal] = ACTIONS(1256),
    [sym_interpreted_string_literal] = ACTIONS(1256),
    [sym_comment] = ACTIONS(59),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1124),
    [anon_sym_LF] = ACTIONS(1124),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_package] = ACTIONS(1258),
    [anon_sym_import] = ACTIONS(1258),
    [anon_sym_const] = ACTIONS(1258),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_var] = ACTIONS(1258),
    [anon_sym_func] = ACTIONS(1258),
    [anon_sym_type] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_case] = ACTIONS(1258),
    [sym_default_case] = ACTIONS(1258),
    [sym_raw_string_literal] = ACTIONS(1258),
    [sym_interpreted_string_literal] = ACTIONS(1258),
    [sym_comment] = ACTIONS(59),
  },
  [337] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [anon_sym_LF] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1260),
    [anon_sym_package] = ACTIONS(1260),
    [anon_sym_import] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(1260),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_var] = ACTIONS(1260),
    [anon_sym_func] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [anon_sym_case] = ACTIONS(1260),
    [sym_default_case] = ACTIONS(1260),
    [sym_raw_string_literal] = ACTIONS(1260),
    [sym_interpreted_string_literal] = ACTIONS(1260),
    [sym_comment] = ACTIONS(59),
  },
  [339] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(548),
    [anon_sym_LF] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [sym_comment] = ACTIONS(59),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1268),
    [anon_sym_package] = ACTIONS(1268),
    [anon_sym_import] = ACTIONS(1268),
    [anon_sym_const] = ACTIONS(1268),
    [anon_sym_EQ] = ACTIONS(1268),
    [anon_sym_var] = ACTIONS(1268),
    [anon_sym_func] = ACTIONS(1268),
    [anon_sym_type] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [anon_sym_case] = ACTIONS(1268),
    [sym_default_case] = ACTIONS(1268),
    [sym_raw_string_literal] = ACTIONS(1268),
    [sym_interpreted_string_literal] = ACTIONS(1268),
    [sym_comment] = ACTIONS(59),
  },
  [341] = {
    [sym_parameter_list] = STATE(528),
    [aux_sym_method_spec_list_repeat1] = STATE(551),
    [anon_sym_LF] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1272),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [sym_comment] = ACTIONS(59),
  },
  [342] = {
    [aux_sym_method_spec_list_repeat1] = STATE(554),
    [anon_sym_LF] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [sym_comment] = ACTIONS(59),
  },
  [343] = {
    [anon_sym_RBRACK] = ACTIONS(1282),
    [sym_comment] = ACTIONS(19),
  },
  [344] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(373),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [anon_sym_LF] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1284),
    [anon_sym_package] = ACTIONS(1284),
    [anon_sym_import] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_var] = ACTIONS(1284),
    [anon_sym_func] = ACTIONS(1284),
    [anon_sym_type] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1284),
    [sym_default_case] = ACTIONS(1284),
    [sym_raw_string_literal] = ACTIONS(1284),
    [sym_interpreted_string_literal] = ACTIONS(1284),
    [sym_comment] = ACTIONS(59),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1236),
    [anon_sym_LF] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1286),
    [anon_sym_package] = ACTIONS(1286),
    [anon_sym_import] = ACTIONS(1286),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_EQ] = ACTIONS(1286),
    [anon_sym_var] = ACTIONS(1286),
    [anon_sym_func] = ACTIONS(1286),
    [anon_sym_type] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(1286),
    [sym_default_case] = ACTIONS(1286),
    [sym_raw_string_literal] = ACTIONS(1286),
    [sym_interpreted_string_literal] = ACTIONS(1286),
    [sym_comment] = ACTIONS(59),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1288),
    [anon_sym_LF] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_package] = ACTIONS(1290),
    [anon_sym_import] = ACTIONS(1290),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_var] = ACTIONS(1290),
    [anon_sym_func] = ACTIONS(1290),
    [anon_sym_type] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_case] = ACTIONS(1290),
    [sym_default_case] = ACTIONS(1290),
    [sym_comment] = ACTIONS(59),
  },
  [348] = {
    [sym_expression_list] = STATE(556),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(131),
    [sym_parenthesized_expression] = STATE(131),
    [sym_call_expression] = STATE(131),
    [sym_selector_expression] = STATE(131),
    [sym_index_expression] = STATE(131),
    [sym_slice_expression] = STATE(131),
    [sym_type_assertion_expression] = STATE(131),
    [sym_type_conversion_expression] = STATE(131),
    [sym_composite_literal] = STATE(131),
    [sym_func_literal] = STATE(131),
    [sym_unary_expression] = STATE(131),
    [sym_binary_expression] = STATE(131),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(275),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(283),
    [sym_interpreted_string_literal] = ACTIONS(283),
    [sym_int_literal] = ACTIONS(285),
    [sym_float_literal] = ACTIONS(285),
    [sym_imaginary_literal] = ACTIONS(283),
    [sym_rune_literal] = ACTIONS(283),
    [sym_comment] = ACTIONS(19),
  },
  [349] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [350] = {
    [anon_sym_RBRACK] = ACTIONS(1292),
    [sym_comment] = ACTIONS(19),
  },
  [351] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(403),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [352] = {
    [anon_sym_RPAREN] = ACTIONS(1294),
    [anon_sym_COMMA] = ACTIONS(1294),
    [sym_comment] = ACTIONS(19),
  },
  [353] = {
    [anon_sym_RPAREN] = ACTIONS(1296),
    [anon_sym_COMMA] = ACTIONS(1296),
    [sym_comment] = ACTIONS(19),
  },
  [354] = {
    [aux_sym_const_spec_repeat1] = STATE(354),
    [anon_sym_LPAREN] = ACTIONS(539),
    [anon_sym_COMMA] = ACTIONS(786),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(539),
    [anon_sym_LBRACK] = ACTIONS(539),
    [anon_sym_struct] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(541),
    [anon_sym_map] = ACTIONS(541),
    [anon_sym_chan] = ACTIONS(541),
    [anon_sym_LT_DASH] = ACTIONS(539),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(19),
  },
  [355] = {
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_RPAREN] = ACTIONS(1298),
    [anon_sym_COMMA] = ACTIONS(1298),
    [anon_sym_EQ] = ACTIONS(1298),
    [anon_sym_func] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_RBRACK] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_interface] = ACTIONS(1300),
    [anon_sym_map] = ACTIONS(1300),
    [anon_sym_chan] = ACTIONS(1300),
    [anon_sym_LT_DASH] = ACTIONS(1298),
    [anon_sym_COLON] = ACTIONS(1298),
    [sym_identifier] = ACTIONS(1300),
    [sym_comment] = ACTIONS(19),
  },
  [356] = {
    [anon_sym_RPAREN] = ACTIONS(1302),
    [anon_sym_COMMA] = ACTIONS(1302),
    [sym_comment] = ACTIONS(19),
  },
  [357] = {
    [sym_parameter_declaration] = STATE(356),
    [sym_variadic_parameter_declaration] = STATE(356),
    [sym_parenthesized_type] = STATE(84),
    [sym__simple_type] = STATE(84),
    [sym_pointer_type] = STATE(84),
    [sym_array_type] = STATE(84),
    [sym_slice_type] = STATE(84),
    [sym_struct_type] = STATE(84),
    [sym_interface_type] = STATE(84),
    [sym_map_type] = STATE(84),
    [sym_channel_type] = STATE(84),
    [sym_function_type] = STATE(84),
    [sym_qualified_type] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_RPAREN] = ACTIONS(1304),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(19),
  },
  [358] = {
    [aux_sym_parameter_list_repeat1] = STATE(358),
    [anon_sym_RPAREN] = ACTIONS(1302),
    [anon_sym_COMMA] = ACTIONS(1306),
    [sym_comment] = ACTIONS(19),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(789),
    [anon_sym_LF] = ACTIONS(789),
    [anon_sym_SEMI] = ACTIONS(791),
    [anon_sym_package] = ACTIONS(791),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_LPAREN] = ACTIONS(791),
    [anon_sym_const] = ACTIONS(791),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_var] = ACTIONS(791),
    [anon_sym_func] = ACTIONS(791),
    [anon_sym_type] = ACTIONS(791),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_LBRACK] = ACTIONS(791),
    [anon_sym_struct] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_RBRACE] = ACTIONS(791),
    [anon_sym_interface] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(791),
    [anon_sym_chan] = ACTIONS(791),
    [anon_sym_LT_DASH] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(791),
    [sym_default_case] = ACTIONS(791),
    [sym_identifier] = ACTIONS(791),
    [sym_raw_string_literal] = ACTIONS(791),
    [sym_interpreted_string_literal] = ACTIONS(791),
    [sym_comment] = ACTIONS(59),
  },
  [360] = {
    [sym_parameter_declaration] = STATE(356),
    [sym_variadic_parameter_declaration] = STATE(356),
    [sym_parenthesized_type] = STATE(84),
    [sym__simple_type] = STATE(84),
    [sym_pointer_type] = STATE(84),
    [sym_array_type] = STATE(84),
    [sym_slice_type] = STATE(84),
    [sym_struct_type] = STATE(84),
    [sym_interface_type] = STATE(84),
    [sym_map_type] = STATE(84),
    [sym_channel_type] = STATE(84),
    [sym_function_type] = STATE(84),
    [sym_qualified_type] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_RPAREN] = ACTIONS(1309),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(19),
  },
  [361] = {
    [aux_sym_parameter_list_repeat1] = STATE(358),
    [anon_sym_RPAREN] = ACTIONS(1309),
    [anon_sym_COMMA] = ACTIONS(1311),
    [sym_comment] = ACTIONS(19),
  },
  [362] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [ts_builtin_sym_end] = ACTIONS(637),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_package] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_const] = ACTIONS(753),
    [anon_sym_var] = ACTIONS(753),
    [anon_sym_func] = ACTIONS(1313),
    [anon_sym_type] = ACTIONS(753),
    [anon_sym_STAR] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(432),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(440),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [363] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [364] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [365] = {
    [anon_sym_LF] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [sym_default_case] = ACTIONS(1320),
    [sym_comment] = ACTIONS(59),
  },
  [366] = {
    [sym_parenthesized_type] = STATE(253),
    [sym__simple_type] = STATE(253),
    [sym_pointer_type] = STATE(253),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(253),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(253),
    [sym_function_type] = STATE(253),
    [sym__expression] = STATE(563),
    [sym_parenthesized_expression] = STATE(563),
    [sym_call_expression] = STATE(563),
    [sym_selector_expression] = STATE(563),
    [sym_index_expression] = STATE(563),
    [sym_slice_expression] = STATE(563),
    [sym_type_assertion_expression] = STATE(563),
    [sym_type_conversion_expression] = STATE(563),
    [sym_composite_literal] = STATE(563),
    [sym_func_literal] = STATE(563),
    [sym_unary_expression] = STATE(563),
    [sym_binary_expression] = STATE(563),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(563),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(543),
    [anon_sym_STAR] = ACTIONS(545),
    [anon_sym_LBRACK] = ACTIONS(547),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(553),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1322),
    [sym_interpreted_string_literal] = ACTIONS(1322),
    [sym_int_literal] = ACTIONS(1324),
    [sym_float_literal] = ACTIONS(1324),
    [sym_imaginary_literal] = ACTIONS(1322),
    [sym_rune_literal] = ACTIONS(1322),
    [sym_comment] = ACTIONS(19),
  },
  [367] = {
    [sym_const_spec] = STATE(20),
    [anon_sym_LPAREN] = ACTIONS(33),
    [sym_identifier] = ACTIONS(1326),
    [sym_comment] = ACTIONS(19),
  },
  [368] = {
    [sym_var_spec] = STATE(23),
    [anon_sym_LPAREN] = ACTIONS(37),
    [sym_identifier] = ACTIONS(1328),
    [sym_comment] = ACTIONS(19),
  },
  [369] = {
    [sym_parameter_list] = STATE(566),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [370] = {
    [sym_type_alias] = STATE(29),
    [sym_type_spec] = STATE(29),
    [anon_sym_LPAREN] = ACTIONS(45),
    [sym_identifier] = ACTIONS(1330),
    [sym_comment] = ACTIONS(19),
  },
  [371] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_selector_expression] = STATE(569),
    [sym_index_expression] = STATE(569),
    [sym_slice_expression] = STATE(569),
    [sym_type_assertion_expression] = STATE(569),
    [sym_type_conversion_expression] = STATE(569),
    [sym_composite_literal] = STATE(569),
    [sym_func_literal] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(569),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(1334),
    [sym_interpreted_string_literal] = ACTIONS(1334),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1336),
    [sym_imaginary_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [sym_comment] = ACTIONS(19),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [anon_sym_LF] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym_package] = ACTIONS(1340),
    [anon_sym_import] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_var] = ACTIONS(1340),
    [anon_sym_func] = ACTIONS(1340),
    [anon_sym_type] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_else] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [sym_default_case] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1340),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1340),
    [anon_sym_GT_GT] = ACTIONS(1340),
    [anon_sym_AMP_CARET] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1340),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_AMP] = ACTIONS(1340),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [sym_comment] = ACTIONS(59),
  },
  [373] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_selector_expression] = STATE(569),
    [sym_index_expression] = STATE(569),
    [sym_slice_expression] = STATE(569),
    [sym_type_assertion_expression] = STATE(569),
    [sym_type_conversion_expression] = STATE(569),
    [sym_composite_literal] = STATE(569),
    [sym_func_literal] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(569),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(1334),
    [sym_interpreted_string_literal] = ACTIONS(1334),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1336),
    [sym_imaginary_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [sym_comment] = ACTIONS(19),
  },
  [374] = {
    [anon_sym_LF] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [sym_default_case] = ACTIONS(1344),
    [sym_comment] = ACTIONS(59),
  },
  [375] = {
    [anon_sym_LF] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [sym_default_case] = ACTIONS(1348),
    [sym_identifier] = ACTIONS(1350),
    [sym_comment] = ACTIONS(59),
  },
  [376] = {
    [anon_sym_LF] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [sym_default_case] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(1356),
    [sym_comment] = ACTIONS(59),
  },
  [377] = {
    [sym_identifier] = ACTIONS(1358),
    [sym_comment] = ACTIONS(19),
  },
  [378] = {
    [sym_expression_list] = STATE(576),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LF] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1370),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1374),
    [sym_interpreted_string_literal] = ACTIONS(1374),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(1374),
    [sym_rune_literal] = ACTIONS(1374),
    [sym_comment] = ACTIONS(59),
  },
  [379] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(581),
    [sym_parenthesized_expression] = STATE(581),
    [sym_call_expression] = STATE(581),
    [sym_selector_expression] = STATE(581),
    [sym_index_expression] = STATE(581),
    [sym_slice_expression] = STATE(581),
    [sym_type_assertion_expression] = STATE(581),
    [sym_type_conversion_expression] = STATE(581),
    [sym_composite_literal] = STATE(581),
    [sym_func_literal] = STATE(581),
    [sym_unary_expression] = STATE(581),
    [sym_binary_expression] = STATE(581),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(581),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1382),
    [sym_interpreted_string_literal] = ACTIONS(1382),
    [sym_int_literal] = ACTIONS(1384),
    [sym_float_literal] = ACTIONS(1384),
    [sym_imaginary_literal] = ACTIONS(1382),
    [sym_rune_literal] = ACTIONS(1382),
    [sym_comment] = ACTIONS(19),
  },
  [380] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(582),
    [sym_parenthesized_expression] = STATE(582),
    [sym_call_expression] = STATE(582),
    [sym_selector_expression] = STATE(582),
    [sym_index_expression] = STATE(582),
    [sym_slice_expression] = STATE(582),
    [sym_type_assertion_expression] = STATE(582),
    [sym_type_conversion_expression] = STATE(582),
    [sym_composite_literal] = STATE(582),
    [sym_func_literal] = STATE(582),
    [sym_unary_expression] = STATE(582),
    [sym_binary_expression] = STATE(582),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(582),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1386),
    [sym_interpreted_string_literal] = ACTIONS(1386),
    [sym_int_literal] = ACTIONS(1388),
    [sym_float_literal] = ACTIONS(1388),
    [sym_imaginary_literal] = ACTIONS(1386),
    [sym_rune_literal] = ACTIONS(1386),
    [sym_comment] = ACTIONS(19),
  },
  [381] = {
    [sym_expression_list] = STATE(590),
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__simple_statement] = STATE(594),
    [sym_send_statement] = STATE(594),
    [sym_inc_statement] = STATE(594),
    [sym_dec_statement] = STATE(594),
    [sym_assignment_statement] = STATE(594),
    [sym_short_var_declaration] = STATE(594),
    [sym_if_initializer] = STATE(595),
    [sym__expression] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_call_expression] = STATE(596),
    [sym_selector_expression] = STATE(596),
    [sym_index_expression] = STATE(596),
    [sym_slice_expression] = STATE(596),
    [sym_type_assertion_expression] = STATE(596),
    [sym_type_conversion_expression] = STATE(596),
    [sym_composite_literal] = STATE(596),
    [sym_func_literal] = STATE(596),
    [sym_unary_expression] = STATE(596),
    [sym_binary_expression] = STATE(596),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(596),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1404),
    [sym_interpreted_string_literal] = ACTIONS(1404),
    [sym_int_literal] = ACTIONS(1406),
    [sym_float_literal] = ACTIONS(1406),
    [sym_imaginary_literal] = ACTIONS(1404),
    [sym_rune_literal] = ACTIONS(1404),
    [sym_comment] = ACTIONS(19),
  },
  [382] = {
    [sym_expression_list] = STATE(599),
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym_block] = STATE(600),
    [sym__simple_statement] = STATE(601),
    [sym_send_statement] = STATE(601),
    [sym_inc_statement] = STATE(601),
    [sym_dec_statement] = STATE(601),
    [sym_assignment_statement] = STATE(601),
    [sym_short_var_declaration] = STATE(601),
    [sym_for_clause] = STATE(602),
    [sym_range_clause] = STATE(602),
    [sym__expression] = STATE(603),
    [sym_parenthesized_expression] = STATE(603),
    [sym_call_expression] = STATE(603),
    [sym_selector_expression] = STATE(603),
    [sym_index_expression] = STATE(603),
    [sym_slice_expression] = STATE(603),
    [sym_type_assertion_expression] = STATE(603),
    [sym_type_conversion_expression] = STATE(603),
    [sym_composite_literal] = STATE(603),
    [sym_func_literal] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(603),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_range] = ACTIONS(1410),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1412),
    [sym_interpreted_string_literal] = ACTIONS(1412),
    [sym_int_literal] = ACTIONS(1414),
    [sym_float_literal] = ACTIONS(1414),
    [sym_imaginary_literal] = ACTIONS(1412),
    [sym_rune_literal] = ACTIONS(1412),
    [sym_comment] = ACTIONS(19),
  },
  [383] = {
    [sym_expression_list] = STATE(605),
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__simple_statement] = STATE(606),
    [sym_send_statement] = STATE(606),
    [sym_inc_statement] = STATE(606),
    [sym_dec_statement] = STATE(606),
    [sym_assignment_statement] = STATE(606),
    [sym_short_var_declaration] = STATE(606),
    [sym_type_switch_guard] = STATE(607),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(608),
    [sym_call_expression] = STATE(608),
    [sym_selector_expression] = STATE(608),
    [sym_index_expression] = STATE(608),
    [sym_slice_expression] = STATE(608),
    [sym_type_assertion_expression] = STATE(608),
    [sym_type_conversion_expression] = STATE(608),
    [sym_composite_literal] = STATE(608),
    [sym_func_literal] = STATE(608),
    [sym_unary_expression] = STATE(608),
    [sym_binary_expression] = STATE(608),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(608),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1418),
    [sym_interpreted_string_literal] = ACTIONS(1418),
    [sym_int_literal] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1420),
    [sym_imaginary_literal] = ACTIONS(1418),
    [sym_rune_literal] = ACTIONS(1418),
    [sym_comment] = ACTIONS(19),
  },
  [384] = {
    [anon_sym_LBRACE] = ACTIONS(1422),
    [sym_comment] = ACTIONS(19),
  },
  [385] = {
    [sym_special_argument_list] = STATE(611),
    [anon_sym_LF] = ACTIONS(587),
    [anon_sym_SEMI] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(589),
    [anon_sym_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_LT_DASH] = ACTIONS(589),
    [anon_sym_COLON_EQ] = ACTIONS(589),
    [anon_sym_PLUS_PLUS] = ACTIONS(589),
    [anon_sym_DASH_DASH] = ACTIONS(589),
    [anon_sym_STAR_EQ] = ACTIONS(589),
    [anon_sym_SLASH_EQ] = ACTIONS(589),
    [anon_sym_PERCENT_EQ] = ACTIONS(589),
    [anon_sym_LT_LT_EQ] = ACTIONS(589),
    [anon_sym_GT_GT_EQ] = ACTIONS(589),
    [anon_sym_AMP_EQ] = ACTIONS(589),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(589),
    [anon_sym_PLUS_EQ] = ACTIONS(589),
    [anon_sym_DASH_EQ] = ACTIONS(589),
    [anon_sym_PIPE_EQ] = ACTIONS(589),
    [anon_sym_CARET_EQ] = ACTIONS(589),
    [anon_sym_case] = ACTIONS(589),
    [sym_default_case] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_AMP_CARET] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(589),
    [anon_sym_BANG_EQ] = ACTIONS(589),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(589),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(589),
    [anon_sym_AMP_AMP] = ACTIONS(589),
    [anon_sym_PIPE_PIPE] = ACTIONS(589),
    [sym_comment] = ACTIONS(59),
  },
  [386] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_selector_expression] = STATE(569),
    [sym_index_expression] = STATE(569),
    [sym_slice_expression] = STATE(569),
    [sym_type_assertion_expression] = STATE(569),
    [sym_type_conversion_expression] = STATE(569),
    [sym_composite_literal] = STATE(569),
    [sym_func_literal] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(569),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(1334),
    [sym_interpreted_string_literal] = ACTIONS(1334),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1336),
    [sym_imaginary_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [sym_comment] = ACTIONS(19),
  },
  [387] = {
    [sym_literal_value] = STATE(614),
    [anon_sym_LF] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_DOT] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LT_DASH] = ACTIONS(595),
    [anon_sym_COLON_EQ] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_LT_LT_EQ] = ACTIONS(595),
    [anon_sym_GT_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_EQ] = ACTIONS(595),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_DASH_EQ] = ACTIONS(595),
    [anon_sym_PIPE_EQ] = ACTIONS(595),
    [anon_sym_CARET_EQ] = ACTIONS(595),
    [anon_sym_COLON] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [sym_comment] = ACTIONS(59),
  },
  [388] = {
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_COLON_EQ] = ACTIONS(1432),
    [anon_sym_STAR_EQ] = ACTIONS(1430),
    [anon_sym_SLASH_EQ] = ACTIONS(1430),
    [anon_sym_PERCENT_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT_EQ] = ACTIONS(1430),
    [anon_sym_GT_GT_EQ] = ACTIONS(1430),
    [anon_sym_AMP_EQ] = ACTIONS(1430),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1430),
    [anon_sym_PLUS_EQ] = ACTIONS(1430),
    [anon_sym_DASH_EQ] = ACTIONS(1430),
    [anon_sym_PIPE_EQ] = ACTIONS(1430),
    [anon_sym_CARET_EQ] = ACTIONS(1430),
    [sym_comment] = ACTIONS(19),
  },
  [389] = {
    [anon_sym_LPAREN] = ACTIONS(1434),
    [sym_comment] = ACTIONS(19),
  },
  [390] = {
    [sym_literal_value] = STATE(618),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [sym_comment] = ACTIONS(19),
  },
  [391] = {
    [sym_literal_value] = STATE(618),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [sym_comment] = ACTIONS(19),
  },
  [392] = {
    [anon_sym_RBRACE] = ACTIONS(1438),
    [sym_comment] = ACTIONS(19),
  },
  [393] = {
    [aux_sym__statement_list_repeat1] = STATE(621),
    [anon_sym_LF] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [sym_comment] = ACTIONS(59),
  },
  [394] = {
    [anon_sym_RBRACE] = ACTIONS(1446),
    [anon_sym_case] = ACTIONS(1446),
    [sym_default_case] = ACTIONS(1446),
    [sym_comment] = ACTIONS(19),
  },
  [395] = {
    [sym_argument_list] = STATE(634),
    [aux_sym_expression_list_repeat1] = STATE(635),
    [anon_sym_LF] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_LT_DASH] = ACTIONS(1462),
    [anon_sym_COLON_EQ] = ACTIONS(617),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_LT_LT_EQ] = ACTIONS(617),
    [anon_sym_GT_GT_EQ] = ACTIONS(617),
    [anon_sym_AMP_EQ] = ACTIONS(617),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(617),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_DASH_EQ] = ACTIONS(617),
    [anon_sym_PIPE_EQ] = ACTIONS(617),
    [anon_sym_CARET_EQ] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1474),
    [sym_comment] = ACTIONS(59),
  },
  [396] = {
    [sym_parenthesized_type] = STATE(636),
    [sym__simple_type] = STATE(636),
    [sym_pointer_type] = STATE(636),
    [sym_array_type] = STATE(636),
    [sym_slice_type] = STATE(636),
    [sym_struct_type] = STATE(636),
    [sym_interface_type] = STATE(636),
    [sym_map_type] = STATE(636),
    [sym_channel_type] = STATE(636),
    [sym_function_type] = STATE(636),
    [sym_qualified_type] = STATE(636),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [397] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(1476),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [398] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [399] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [anon_sym_LF] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_package] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_var] = ACTIONS(1480),
    [anon_sym_func] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1480),
    [sym_comment] = ACTIONS(59),
  },
  [400] = {
    [sym_block] = STATE(638),
    [ts_builtin_sym_end] = ACTIONS(1482),
    [anon_sym_LF] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_package] = ACTIONS(1484),
    [anon_sym_import] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_var] = ACTIONS(1484),
    [anon_sym_func] = ACTIONS(1484),
    [anon_sym_type] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(434),
    [sym_comment] = ACTIONS(59),
  },
  [401] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [anon_sym_LF] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_package] = ACTIONS(1484),
    [anon_sym_import] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_var] = ACTIONS(1484),
    [anon_sym_func] = ACTIONS(1484),
    [anon_sym_type] = ACTIONS(1484),
    [sym_comment] = ACTIONS(59),
  },
  [402] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [403] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [404] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [405] = {
    [sym_parenthesized_type] = STATE(640),
    [sym__simple_type] = STATE(640),
    [sym_pointer_type] = STATE(640),
    [sym_array_type] = STATE(640),
    [sym_slice_type] = STATE(640),
    [sym_struct_type] = STATE(640),
    [sym_interface_type] = STATE(640),
    [sym_map_type] = STATE(640),
    [sym_channel_type] = STATE(640),
    [sym_function_type] = STATE(640),
    [sym_qualified_type] = STATE(640),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [406] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(1494),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [407] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [408] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(191),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [409] = {
    [anon_sym_RBRACK] = ACTIONS(1496),
    [sym_comment] = ACTIONS(19),
  },
  [410] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(474),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [411] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(643),
    [sym_parenthesized_expression] = STATE(643),
    [sym_call_expression] = STATE(643),
    [sym_selector_expression] = STATE(643),
    [sym_index_expression] = STATE(643),
    [sym_slice_expression] = STATE(643),
    [sym_type_assertion_expression] = STATE(643),
    [sym_type_conversion_expression] = STATE(643),
    [sym_composite_literal] = STATE(643),
    [sym_func_literal] = STATE(643),
    [sym_unary_expression] = STATE(643),
    [sym_binary_expression] = STATE(643),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(643),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1498),
    [sym_interpreted_string_literal] = ACTIONS(1498),
    [sym_int_literal] = ACTIONS(1500),
    [sym_float_literal] = ACTIONS(1500),
    [sym_imaginary_literal] = ACTIONS(1498),
    [sym_rune_literal] = ACTIONS(1498),
    [sym_comment] = ACTIONS(19),
  },
  [412] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(478),
    [sym_parenthesized_expression] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_selector_expression] = STATE(478),
    [sym_index_expression] = STATE(478),
    [sym_slice_expression] = STATE(478),
    [sym_type_assertion_expression] = STATE(478),
    [sym_type_conversion_expression] = STATE(478),
    [sym_composite_literal] = STATE(478),
    [sym_func_literal] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(478),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1076),
    [sym_interpreted_string_literal] = ACTIONS(1076),
    [sym_int_literal] = ACTIONS(1078),
    [sym_float_literal] = ACTIONS(1078),
    [sym_imaginary_literal] = ACTIONS(1076),
    [sym_rune_literal] = ACTIONS(1076),
    [sym_comment] = ACTIONS(19),
  },
  [413] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(644),
    [sym_parenthesized_expression] = STATE(644),
    [sym_call_expression] = STATE(644),
    [sym_selector_expression] = STATE(644),
    [sym_index_expression] = STATE(644),
    [sym_slice_expression] = STATE(644),
    [sym_type_assertion_expression] = STATE(644),
    [sym_type_conversion_expression] = STATE(644),
    [sym_composite_literal] = STATE(644),
    [sym_func_literal] = STATE(644),
    [sym_unary_expression] = STATE(644),
    [sym_binary_expression] = STATE(644),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(644),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1502),
    [sym_interpreted_string_literal] = ACTIONS(1502),
    [sym_int_literal] = ACTIONS(1504),
    [sym_float_literal] = ACTIONS(1504),
    [sym_imaginary_literal] = ACTIONS(1502),
    [sym_rune_literal] = ACTIONS(1502),
    [sym_comment] = ACTIONS(19),
  },
  [414] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(645),
    [sym_parenthesized_expression] = STATE(645),
    [sym_call_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym_index_expression] = STATE(645),
    [sym_slice_expression] = STATE(645),
    [sym_type_assertion_expression] = STATE(645),
    [sym_type_conversion_expression] = STATE(645),
    [sym_composite_literal] = STATE(645),
    [sym_func_literal] = STATE(645),
    [sym_unary_expression] = STATE(645),
    [sym_binary_expression] = STATE(645),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(645),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1506),
    [sym_interpreted_string_literal] = ACTIONS(1506),
    [sym_int_literal] = ACTIONS(1508),
    [sym_float_literal] = ACTIONS(1508),
    [sym_imaginary_literal] = ACTIONS(1506),
    [sym_rune_literal] = ACTIONS(1506),
    [sym_comment] = ACTIONS(19),
  },
  [415] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(646),
    [sym_parenthesized_expression] = STATE(646),
    [sym_call_expression] = STATE(646),
    [sym_selector_expression] = STATE(646),
    [sym_index_expression] = STATE(646),
    [sym_slice_expression] = STATE(646),
    [sym_type_assertion_expression] = STATE(646),
    [sym_type_conversion_expression] = STATE(646),
    [sym_composite_literal] = STATE(646),
    [sym_func_literal] = STATE(646),
    [sym_unary_expression] = STATE(646),
    [sym_binary_expression] = STATE(646),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(646),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1510),
    [sym_interpreted_string_literal] = ACTIONS(1510),
    [sym_int_literal] = ACTIONS(1512),
    [sym_float_literal] = ACTIONS(1512),
    [sym_imaginary_literal] = ACTIONS(1510),
    [sym_rune_literal] = ACTIONS(1510),
    [sym_comment] = ACTIONS(19),
  },
  [416] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(647),
    [sym_parenthesized_expression] = STATE(647),
    [sym_call_expression] = STATE(647),
    [sym_selector_expression] = STATE(647),
    [sym_index_expression] = STATE(647),
    [sym_slice_expression] = STATE(647),
    [sym_type_assertion_expression] = STATE(647),
    [sym_type_conversion_expression] = STATE(647),
    [sym_composite_literal] = STATE(647),
    [sym_func_literal] = STATE(647),
    [sym_unary_expression] = STATE(647),
    [sym_binary_expression] = STATE(647),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(647),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1514),
    [sym_interpreted_string_literal] = ACTIONS(1514),
    [sym_int_literal] = ACTIONS(1516),
    [sym_float_literal] = ACTIONS(1516),
    [sym_imaginary_literal] = ACTIONS(1514),
    [sym_rune_literal] = ACTIONS(1514),
    [sym_comment] = ACTIONS(19),
  },
  [417] = {
    [aux_sym_expression_list_repeat1] = STATE(648),
    [anon_sym_LF] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(925),
    [sym_comment] = ACTIONS(59),
  },
  [418] = {
    [sym_expression_list] = STATE(540),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(235),
    [sym_parenthesized_expression] = STATE(235),
    [sym_call_expression] = STATE(235),
    [sym_selector_expression] = STATE(235),
    [sym_index_expression] = STATE(235),
    [sym_slice_expression] = STATE(235),
    [sym_type_assertion_expression] = STATE(235),
    [sym_type_conversion_expression] = STATE(235),
    [sym_composite_literal] = STATE(235),
    [sym_func_literal] = STATE(235),
    [sym_unary_expression] = STATE(235),
    [sym_binary_expression] = STATE(235),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(235),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(508),
    [sym_interpreted_string_literal] = ACTIONS(508),
    [sym_int_literal] = ACTIONS(510),
    [sym_float_literal] = ACTIONS(510),
    [sym_imaginary_literal] = ACTIONS(508),
    [sym_rune_literal] = ACTIONS(508),
    [sym_comment] = ACTIONS(19),
  },
  [419] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [420] = {
    [anon_sym_RBRACK] = ACTIONS(1518),
    [sym_comment] = ACTIONS(19),
  },
  [421] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(533),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [422] = {
    [sym_parameter_list] = STATE(491),
    [sym__simple_type] = STATE(491),
    [sym_pointer_type] = STATE(491),
    [sym_array_type] = STATE(491),
    [sym_slice_type] = STATE(491),
    [sym_struct_type] = STATE(491),
    [sym_interface_type] = STATE(491),
    [sym_map_type] = STATE(491),
    [sym_channel_type] = STATE(491),
    [sym_function_type] = STATE(491),
    [sym_block] = STATE(492),
    [sym_qualified_type] = STATE(491),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [423] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [424] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [425] = {
    [sym_parenthesized_type] = STATE(656),
    [sym__simple_type] = STATE(656),
    [sym_pointer_type] = STATE(656),
    [sym_array_type] = STATE(656),
    [sym_slice_type] = STATE(656),
    [sym_struct_type] = STATE(656),
    [sym_interface_type] = STATE(656),
    [sym_map_type] = STATE(656),
    [sym_channel_type] = STATE(656),
    [sym_function_type] = STATE(656),
    [sym_qualified_type] = STATE(656),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [426] = {
    [sym_parameter_list] = STATE(657),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [427] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [428] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(660),
    [sym_parenthesized_expression] = STATE(660),
    [sym_call_expression] = STATE(660),
    [sym_selector_expression] = STATE(660),
    [sym_index_expression] = STATE(660),
    [sym_slice_expression] = STATE(660),
    [sym_type_assertion_expression] = STATE(660),
    [sym_type_conversion_expression] = STATE(660),
    [sym_composite_literal] = STATE(660),
    [sym_func_literal] = STATE(660),
    [sym_unary_expression] = STATE(660),
    [sym_binary_expression] = STATE(660),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(660),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(1534),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1536),
    [sym_interpreted_string_literal] = ACTIONS(1536),
    [sym_int_literal] = ACTIONS(1538),
    [sym_float_literal] = ACTIONS(1538),
    [sym_imaginary_literal] = ACTIONS(1536),
    [sym_rune_literal] = ACTIONS(1536),
    [sym_comment] = ACTIONS(19),
  },
  [429] = {
    [anon_sym_LBRACK] = ACTIONS(1540),
    [sym_comment] = ACTIONS(19),
  },
  [430] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(1542),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [431] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [432] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(1544),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [433] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [434] = {
    [sym_literal_value] = STATE(293),
    [anon_sym_DOT] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(654),
    [anon_sym_RPAREN] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_AMP_CARET] = ACTIONS(593),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [sym_comment] = ACTIONS(19),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [anon_sym_LF] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_package] = ACTIONS(1548),
    [anon_sym_import] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_const] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_var] = ACTIONS(1548),
    [anon_sym_func] = ACTIONS(1548),
    [anon_sym_type] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_case] = ACTIONS(1548),
    [sym_default_case] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_AMP_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [sym_comment] = ACTIONS(59),
  },
  [436] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [437] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(664),
    [sym_parenthesized_expression] = STATE(664),
    [sym_call_expression] = STATE(664),
    [sym_selector_expression] = STATE(664),
    [sym_index_expression] = STATE(664),
    [sym_slice_expression] = STATE(664),
    [sym_type_assertion_expression] = STATE(664),
    [sym_type_conversion_expression] = STATE(664),
    [sym_composite_literal] = STATE(664),
    [sym_func_literal] = STATE(664),
    [sym_unary_expression] = STATE(664),
    [sym_binary_expression] = STATE(664),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(664),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1550),
    [sym_interpreted_string_literal] = ACTIONS(1550),
    [sym_int_literal] = ACTIONS(1552),
    [sym_float_literal] = ACTIONS(1552),
    [sym_imaginary_literal] = ACTIONS(1550),
    [sym_rune_literal] = ACTIONS(1550),
    [sym_comment] = ACTIONS(19),
  },
  [438] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(665),
    [sym_parenthesized_expression] = STATE(665),
    [sym_call_expression] = STATE(665),
    [sym_selector_expression] = STATE(665),
    [sym_index_expression] = STATE(665),
    [sym_slice_expression] = STATE(665),
    [sym_type_assertion_expression] = STATE(665),
    [sym_type_conversion_expression] = STATE(665),
    [sym_composite_literal] = STATE(665),
    [sym_func_literal] = STATE(665),
    [sym_unary_expression] = STATE(665),
    [sym_binary_expression] = STATE(665),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(665),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1554),
    [sym_interpreted_string_literal] = ACTIONS(1554),
    [sym_int_literal] = ACTIONS(1556),
    [sym_float_literal] = ACTIONS(1556),
    [sym_imaginary_literal] = ACTIONS(1554),
    [sym_rune_literal] = ACTIONS(1554),
    [sym_comment] = ACTIONS(19),
  },
  [439] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(666),
    [sym_parenthesized_expression] = STATE(666),
    [sym_call_expression] = STATE(666),
    [sym_selector_expression] = STATE(666),
    [sym_index_expression] = STATE(666),
    [sym_slice_expression] = STATE(666),
    [sym_type_assertion_expression] = STATE(666),
    [sym_type_conversion_expression] = STATE(666),
    [sym_composite_literal] = STATE(666),
    [sym_func_literal] = STATE(666),
    [sym_unary_expression] = STATE(666),
    [sym_binary_expression] = STATE(666),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(666),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1558),
    [sym_interpreted_string_literal] = ACTIONS(1558),
    [sym_int_literal] = ACTIONS(1560),
    [sym_float_literal] = ACTIONS(1560),
    [sym_imaginary_literal] = ACTIONS(1558),
    [sym_rune_literal] = ACTIONS(1558),
    [sym_comment] = ACTIONS(19),
  },
  [440] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(667),
    [sym_parenthesized_expression] = STATE(667),
    [sym_call_expression] = STATE(667),
    [sym_selector_expression] = STATE(667),
    [sym_index_expression] = STATE(667),
    [sym_slice_expression] = STATE(667),
    [sym_type_assertion_expression] = STATE(667),
    [sym_type_conversion_expression] = STATE(667),
    [sym_composite_literal] = STATE(667),
    [sym_func_literal] = STATE(667),
    [sym_unary_expression] = STATE(667),
    [sym_binary_expression] = STATE(667),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(667),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1562),
    [sym_interpreted_string_literal] = ACTIONS(1562),
    [sym_int_literal] = ACTIONS(1564),
    [sym_float_literal] = ACTIONS(1564),
    [sym_imaginary_literal] = ACTIONS(1562),
    [sym_rune_literal] = ACTIONS(1562),
    [sym_comment] = ACTIONS(19),
  },
  [441] = {
    [sym_parameter_list] = STATE(668),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [442] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [443] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(260),
    [sym_parenthesized_expression] = STATE(260),
    [sym_call_expression] = STATE(260),
    [sym_selector_expression] = STATE(260),
    [sym_index_expression] = STATE(260),
    [sym_slice_expression] = STATE(260),
    [sym_type_assertion_expression] = STATE(260),
    [sym_type_conversion_expression] = STATE(260),
    [sym_composite_literal] = STATE(260),
    [sym_func_literal] = STATE(260),
    [sym_unary_expression] = STATE(260),
    [sym_binary_expression] = STATE(260),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(260),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(567),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(569),
    [sym_interpreted_string_literal] = ACTIONS(569),
    [sym_int_literal] = ACTIONS(571),
    [sym_float_literal] = ACTIONS(571),
    [sym_imaginary_literal] = ACTIONS(569),
    [sym_rune_literal] = ACTIONS(569),
    [sym_comment] = ACTIONS(19),
  },
  [444] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1566),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [445] = {
    [anon_sym_chan] = ACTIONS(1568),
    [sym_comment] = ACTIONS(19),
  },
  [446] = {
    [sym_block] = STATE(671),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(835),
    [sym_comment] = ACTIONS(19),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1570),
    [anon_sym_LF] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_package] = ACTIONS(1572),
    [anon_sym_import] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_const] = ACTIONS(1572),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_var] = ACTIONS(1572),
    [anon_sym_func] = ACTIONS(1572),
    [anon_sym_type] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_case] = ACTIONS(1572),
    [sym_default_case] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1572),
    [anon_sym_AMP_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [sym_comment] = ACTIONS(59),
  },
  [448] = {
    [sym_parenthesized_type] = STATE(678),
    [sym__simple_type] = STATE(678),
    [sym_pointer_type] = STATE(678),
    [sym_array_type] = STATE(678),
    [sym_slice_type] = STATE(678),
    [sym_struct_type] = STATE(678),
    [sym_interface_type] = STATE(678),
    [sym_map_type] = STATE(678),
    [sym_channel_type] = STATE(678),
    [sym_function_type] = STATE(678),
    [sym_qualified_type] = STATE(678),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [449] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [450] = {
    [anon_sym_RBRACK] = ACTIONS(1586),
    [sym_comment] = ACTIONS(19),
  },
  [451] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [452] = {
    [anon_sym_chan] = ACTIONS(1588),
    [sym_comment] = ACTIONS(19),
  },
  [453] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [454] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [455] = {
    [sym_parenthesized_type] = STATE(682),
    [sym__simple_type] = STATE(682),
    [sym_pointer_type] = STATE(682),
    [sym_array_type] = STATE(682),
    [sym_slice_type] = STATE(682),
    [sym_struct_type] = STATE(682),
    [sym_interface_type] = STATE(682),
    [sym_map_type] = STATE(682),
    [sym_channel_type] = STATE(682),
    [sym_function_type] = STATE(682),
    [sym_qualified_type] = STATE(682),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [456] = {
    [aux_sym_expression_list_repeat1] = STATE(685),
    [anon_sym_RPAREN] = ACTIONS(1592),
    [anon_sym_COMMA] = ACTIONS(1594),
    [sym_comment] = ACTIONS(19),
  },
  [457] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1596),
    [anon_sym_LF] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_package] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_const] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_var] = ACTIONS(1598),
    [anon_sym_func] = ACTIONS(1598),
    [anon_sym_type] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_case] = ACTIONS(1598),
    [sym_default_case] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1598),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [sym_comment] = ACTIONS(59),
  },
  [459] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [460] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [461] = {
    [sym_literal_value] = STATE(293),
    [anon_sym_DOT] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(654),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_AMP_CARET] = ACTIONS(593),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [sym_comment] = ACTIONS(19),
  },
  [462] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_COLON] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_AMP_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_GT] = ACTIONS(1616),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_AMP_AMP] = ACTIONS(1618),
    [anon_sym_PIPE_PIPE] = ACTIONS(1620),
    [sym_comment] = ACTIONS(19),
  },
  [463] = {
    [anon_sym_COMMA] = ACTIONS(1602),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_COLON] = ACTIONS(1606),
    [sym_comment] = ACTIONS(19),
  },
  [464] = {
    [aux_sym_literal_value_repeat1] = STATE(695),
    [anon_sym_COMMA] = ACTIONS(1622),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [sym_comment] = ACTIONS(19),
  },
  [465] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [466] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [467] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [468] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1626),
    [anon_sym_COMMA] = ACTIONS(1628),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1638),
    [anon_sym_BANG_EQ] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1638),
    [anon_sym_AMP_AMP] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [sym_comment] = ACTIONS(19),
  },
  [469] = {
    [sym_parenthesized_type] = STATE(703),
    [sym__simple_type] = STATE(703),
    [sym_pointer_type] = STATE(703),
    [sym_array_type] = STATE(703),
    [sym_slice_type] = STATE(703),
    [sym_struct_type] = STATE(703),
    [sym_interface_type] = STATE(703),
    [sym_map_type] = STATE(703),
    [sym_channel_type] = STATE(703),
    [sym_function_type] = STATE(703),
    [sym_qualified_type] = STATE(703),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1646),
    [anon_sym_LF] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_package] = ACTIONS(1648),
    [anon_sym_import] = ACTIONS(1648),
    [anon_sym_DOT] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_const] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [anon_sym_var] = ACTIONS(1648),
    [anon_sym_func] = ACTIONS(1648),
    [anon_sym_type] = ACTIONS(1648),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_case] = ACTIONS(1648),
    [sym_default_case] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1648),
    [anon_sym_PERCENT] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_EQ_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_AMP_AMP] = ACTIONS(1648),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [sym_comment] = ACTIONS(59),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1650),
    [anon_sym_LF] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1652),
    [anon_sym_package] = ACTIONS(1652),
    [anon_sym_import] = ACTIONS(1652),
    [anon_sym_DOT] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_const] = ACTIONS(1652),
    [anon_sym_COMMA] = ACTIONS(1652),
    [anon_sym_var] = ACTIONS(1652),
    [anon_sym_func] = ACTIONS(1652),
    [anon_sym_type] = ACTIONS(1652),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_RBRACE] = ACTIONS(1652),
    [anon_sym_case] = ACTIONS(1652),
    [sym_default_case] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1652),
    [anon_sym_PERCENT] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1652),
    [anon_sym_EQ_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_AMP] = ACTIONS(1652),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [sym_comment] = ACTIONS(59),
  },
  [472] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [473] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [474] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [475] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_argument_list_repeat1] = STATE(712),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(19),
  },
  [476] = {
    [aux_sym_argument_list_repeat1] = STATE(712),
    [anon_sym_RPAREN] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1656),
    [sym_comment] = ACTIONS(19),
  },
  [477] = {
    [sym_argument_list] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1676),
    [anon_sym_LF] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_package] = ACTIONS(1678),
    [anon_sym_import] = ACTIONS(1678),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1678),
    [anon_sym_var] = ACTIONS(1678),
    [anon_sym_func] = ACTIONS(1678),
    [anon_sym_type] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_AMP_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_AMP_AMP] = ACTIONS(633),
    [anon_sym_PIPE_PIPE] = ACTIONS(635),
    [sym_comment] = ACTIONS(59),
  },
  [478] = {
    [sym_argument_list] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1680),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_package] = ACTIONS(1682),
    [anon_sym_import] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_var] = ACTIONS(1682),
    [anon_sym_func] = ACTIONS(1682),
    [anon_sym_type] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1682),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PERCENT] = ACTIONS(1682),
    [anon_sym_LT_LT] = ACTIONS(1682),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_AMP_CARET] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [479] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [480] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [481] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(714),
    [sym_parenthesized_expression] = STATE(714),
    [sym_call_expression] = STATE(714),
    [sym_selector_expression] = STATE(714),
    [sym_index_expression] = STATE(714),
    [sym_slice_expression] = STATE(714),
    [sym_type_assertion_expression] = STATE(714),
    [sym_type_conversion_expression] = STATE(714),
    [sym_composite_literal] = STATE(714),
    [sym_func_literal] = STATE(714),
    [sym_unary_expression] = STATE(714),
    [sym_binary_expression] = STATE(714),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(714),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(1684),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1686),
    [sym_interpreted_string_literal] = ACTIONS(1686),
    [sym_int_literal] = ACTIONS(1688),
    [sym_float_literal] = ACTIONS(1688),
    [sym_imaginary_literal] = ACTIONS(1686),
    [sym_rune_literal] = ACTIONS(1686),
    [sym_comment] = ACTIONS(19),
  },
  [482] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [483] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1692),
    [anon_sym_COLON] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [484] = {
    [sym_argument_list] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1680),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_package] = ACTIONS(1682),
    [anon_sym_import] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_var] = ACTIONS(1682),
    [anon_sym_func] = ACTIONS(1682),
    [anon_sym_type] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_AMP_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [485] = {
    [sym_argument_list] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1680),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_package] = ACTIONS(1682),
    [anon_sym_import] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_var] = ACTIONS(1682),
    [anon_sym_func] = ACTIONS(1682),
    [anon_sym_type] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_AMP_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [486] = {
    [sym_argument_list] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1680),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_package] = ACTIONS(1682),
    [anon_sym_import] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_var] = ACTIONS(1682),
    [anon_sym_func] = ACTIONS(1682),
    [anon_sym_type] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_AMP_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [487] = {
    [sym_argument_list] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1680),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_package] = ACTIONS(1682),
    [anon_sym_import] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_var] = ACTIONS(1682),
    [anon_sym_func] = ACTIONS(1682),
    [anon_sym_type] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(629),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_CARET] = ACTIONS(629),
    [anon_sym_AMP] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(625),
    [anon_sym_LT_LT] = ACTIONS(625),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_AMP_CARET] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_EQ_EQ] = ACTIONS(631),
    [anon_sym_BANG_EQ] = ACTIONS(631),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_LT_EQ] = ACTIONS(631),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_GT_EQ] = ACTIONS(631),
    [anon_sym_AMP_AMP] = ACTIONS(633),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [488] = {
    [aux_sym_expression_list_repeat1] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1676),
    [anon_sym_LF] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_package] = ACTIONS(1678),
    [anon_sym_import] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1710),
    [anon_sym_var] = ACTIONS(1678),
    [anon_sym_func] = ACTIONS(1678),
    [anon_sym_type] = ACTIONS(1678),
    [sym_comment] = ACTIONS(59),
  },
  [489] = {
    [anon_sym_SEMI] = ACTIONS(1546),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [anon_sym_RPAREN] = ACTIONS(1546),
    [anon_sym_COMMA] = ACTIONS(1546),
    [anon_sym_EQ] = ACTIONS(1548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_RBRACK] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [anon_sym_LT_DASH] = ACTIONS(1546),
    [anon_sym_COLON_EQ] = ACTIONS(1546),
    [anon_sym_STAR_EQ] = ACTIONS(1546),
    [anon_sym_SLASH_EQ] = ACTIONS(1546),
    [anon_sym_PERCENT_EQ] = ACTIONS(1546),
    [anon_sym_LT_LT_EQ] = ACTIONS(1546),
    [anon_sym_GT_GT_EQ] = ACTIONS(1546),
    [anon_sym_AMP_EQ] = ACTIONS(1546),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1546),
    [anon_sym_PLUS_EQ] = ACTIONS(1546),
    [anon_sym_DASH_EQ] = ACTIONS(1546),
    [anon_sym_PIPE_EQ] = ACTIONS(1546),
    [anon_sym_CARET_EQ] = ACTIONS(1546),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_AMP_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1546),
    [anon_sym_BANG_EQ] = ACTIONS(1546),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1546),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1546),
    [anon_sym_PIPE_PIPE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(19),
  },
  [490] = {
    [sym__declaration] = STATE(393),
    [sym_const_declaration] = STATE(393),
    [sym_var_declaration] = STATE(393),
    [sym_type_declaration] = STATE(393),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(393),
    [sym__statement_list] = STATE(723),
    [sym__statement] = STATE(393),
    [sym_empty_statement] = STATE(393),
    [sym__simple_statement] = STATE(393),
    [sym_send_statement] = STATE(393),
    [sym_inc_statement] = STATE(393),
    [sym_dec_statement] = STATE(393),
    [sym_assignment_statement] = STATE(393),
    [sym_short_var_declaration] = STATE(393),
    [sym_labeled_statement] = STATE(393),
    [sym_empty_labeled_statement] = STATE(394),
    [sym_fallthrough_statement] = STATE(393),
    [sym_break_statement] = STATE(393),
    [sym_continue_statement] = STATE(393),
    [sym_goto_statement] = STATE(393),
    [sym_return_statement] = STATE(393),
    [sym_go_statement] = STATE(393),
    [sym_defer_statement] = STATE(393),
    [sym_if_statement] = STATE(393),
    [sym_for_statement] = STATE(393),
    [sym_expression_switch_statement] = STATE(393),
    [sym_type_switch_statement] = STATE(393),
    [sym_select_statement] = STATE(393),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(867),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [491] = {
    [sym_block] = STATE(724),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_RPAREN] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [sym_comment] = ACTIONS(19),
  },
  [492] = {
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1570),
    [anon_sym_RPAREN] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_EQ] = ACTIONS(1572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_RBRACK] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_LT_DASH] = ACTIONS(1570),
    [anon_sym_COLON_EQ] = ACTIONS(1570),
    [anon_sym_STAR_EQ] = ACTIONS(1570),
    [anon_sym_SLASH_EQ] = ACTIONS(1570),
    [anon_sym_PERCENT_EQ] = ACTIONS(1570),
    [anon_sym_LT_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT_GT_EQ] = ACTIONS(1570),
    [anon_sym_AMP_EQ] = ACTIONS(1570),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1570),
    [anon_sym_PLUS_EQ] = ACTIONS(1570),
    [anon_sym_DASH_EQ] = ACTIONS(1570),
    [anon_sym_PIPE_EQ] = ACTIONS(1570),
    [anon_sym_CARET_EQ] = ACTIONS(1570),
    [anon_sym_COLON] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1572),
    [anon_sym_AMP_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1570),
    [anon_sym_AMP_AMP] = ACTIONS(1570),
    [anon_sym_PIPE_PIPE] = ACTIONS(1570),
    [sym_comment] = ACTIONS(19),
  },
  [493] = {
    [aux_sym_expression_list_repeat1] = STATE(727),
    [anon_sym_RPAREN] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1717),
    [sym_comment] = ACTIONS(19),
  },
  [494] = {
    [anon_sym_SEMI] = ACTIONS(1596),
    [anon_sym_DOT] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_RPAREN] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_EQ] = ACTIONS(1598),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1596),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_RBRACK] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [anon_sym_LT_DASH] = ACTIONS(1596),
    [anon_sym_COLON_EQ] = ACTIONS(1596),
    [anon_sym_STAR_EQ] = ACTIONS(1596),
    [anon_sym_SLASH_EQ] = ACTIONS(1596),
    [anon_sym_PERCENT_EQ] = ACTIONS(1596),
    [anon_sym_LT_LT_EQ] = ACTIONS(1596),
    [anon_sym_GT_GT_EQ] = ACTIONS(1596),
    [anon_sym_AMP_EQ] = ACTIONS(1596),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1596),
    [anon_sym_PLUS_EQ] = ACTIONS(1596),
    [anon_sym_DASH_EQ] = ACTIONS(1596),
    [anon_sym_PIPE_EQ] = ACTIONS(1596),
    [anon_sym_CARET_EQ] = ACTIONS(1596),
    [anon_sym_COLON] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1598),
    [anon_sym_EQ_EQ] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_AMP_AMP] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1596),
    [sym_comment] = ACTIONS(19),
  },
  [495] = {
    [aux_sym_literal_value_repeat1] = STATE(730),
    [anon_sym_COMMA] = ACTIONS(1719),
    [anon_sym_RBRACE] = ACTIONS(1721),
    [sym_comment] = ACTIONS(19),
  },
  [496] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1723),
    [anon_sym_COMMA] = ACTIONS(1725),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1638),
    [anon_sym_BANG_EQ] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1638),
    [anon_sym_AMP_AMP] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [sym_comment] = ACTIONS(19),
  },
  [497] = {
    [sym_parenthesized_type] = STATE(733),
    [sym__simple_type] = STATE(733),
    [sym_pointer_type] = STATE(733),
    [sym_array_type] = STATE(733),
    [sym_slice_type] = STATE(733),
    [sym_struct_type] = STATE(733),
    [sym_interface_type] = STATE(733),
    [sym_map_type] = STATE(733),
    [sym_channel_type] = STATE(733),
    [sym_function_type] = STATE(733),
    [sym_qualified_type] = STATE(733),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [498] = {
    [anon_sym_SEMI] = ACTIONS(1646),
    [anon_sym_DOT] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1646),
    [anon_sym_RPAREN] = ACTIONS(1646),
    [anon_sym_COMMA] = ACTIONS(1646),
    [anon_sym_EQ] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1646),
    [anon_sym_RBRACK] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_RBRACE] = ACTIONS(1646),
    [anon_sym_LT_DASH] = ACTIONS(1646),
    [anon_sym_COLON_EQ] = ACTIONS(1646),
    [anon_sym_STAR_EQ] = ACTIONS(1646),
    [anon_sym_SLASH_EQ] = ACTIONS(1646),
    [anon_sym_PERCENT_EQ] = ACTIONS(1646),
    [anon_sym_LT_LT_EQ] = ACTIONS(1646),
    [anon_sym_GT_GT_EQ] = ACTIONS(1646),
    [anon_sym_AMP_EQ] = ACTIONS(1646),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1646),
    [anon_sym_PLUS_EQ] = ACTIONS(1646),
    [anon_sym_DASH_EQ] = ACTIONS(1646),
    [anon_sym_PIPE_EQ] = ACTIONS(1646),
    [anon_sym_CARET_EQ] = ACTIONS(1646),
    [anon_sym_COLON] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1648),
    [anon_sym_PERCENT] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_EQ_EQ] = ACTIONS(1646),
    [anon_sym_BANG_EQ] = ACTIONS(1646),
    [anon_sym_LT] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1646),
    [anon_sym_AMP_AMP] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1646),
    [sym_comment] = ACTIONS(19),
  },
  [499] = {
    [anon_sym_SEMI] = ACTIONS(1650),
    [anon_sym_DOT] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_RPAREN] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_EQ] = ACTIONS(1652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1650),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_RBRACK] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_RBRACE] = ACTIONS(1650),
    [anon_sym_LT_DASH] = ACTIONS(1650),
    [anon_sym_COLON_EQ] = ACTIONS(1650),
    [anon_sym_STAR_EQ] = ACTIONS(1650),
    [anon_sym_SLASH_EQ] = ACTIONS(1650),
    [anon_sym_PERCENT_EQ] = ACTIONS(1650),
    [anon_sym_LT_LT_EQ] = ACTIONS(1650),
    [anon_sym_GT_GT_EQ] = ACTIONS(1650),
    [anon_sym_AMP_EQ] = ACTIONS(1650),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1650),
    [anon_sym_PLUS_EQ] = ACTIONS(1650),
    [anon_sym_DASH_EQ] = ACTIONS(1650),
    [anon_sym_PIPE_EQ] = ACTIONS(1650),
    [anon_sym_CARET_EQ] = ACTIONS(1650),
    [anon_sym_COLON] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1652),
    [anon_sym_PERCENT] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1652),
    [anon_sym_EQ_EQ] = ACTIONS(1650),
    [anon_sym_BANG_EQ] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1650),
    [anon_sym_AMP_AMP] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1650),
    [sym_comment] = ACTIONS(19),
  },
  [500] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_argument_list_repeat1] = STATE(736),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(1729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(19),
  },
  [501] = {
    [aux_sym_argument_list_repeat1] = STATE(736),
    [anon_sym_RPAREN] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(1729),
    [sym_comment] = ACTIONS(19),
  },
  [502] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1682),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PERCENT] = ACTIONS(1682),
    [anon_sym_LT_LT] = ACTIONS(1682),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_AMP_CARET] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [503] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_call_expression] = STATE(738),
    [sym_selector_expression] = STATE(738),
    [sym_index_expression] = STATE(738),
    [sym_slice_expression] = STATE(738),
    [sym_type_assertion_expression] = STATE(738),
    [sym_type_conversion_expression] = STATE(738),
    [sym_composite_literal] = STATE(738),
    [sym_func_literal] = STATE(738),
    [sym_unary_expression] = STATE(738),
    [sym_binary_expression] = STATE(738),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(738),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(1731),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1733),
    [sym_interpreted_string_literal] = ACTIONS(1733),
    [sym_int_literal] = ACTIONS(1735),
    [sym_float_literal] = ACTIONS(1735),
    [sym_imaginary_literal] = ACTIONS(1733),
    [sym_rune_literal] = ACTIONS(1733),
    [sym_comment] = ACTIONS(19),
  },
  [504] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1737),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [505] = {
    [anon_sym_LPAREN] = ACTIONS(1741),
    [anon_sym_RPAREN] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1741),
    [anon_sym_RBRACK] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(1741),
    [anon_sym_COLON] = ACTIONS(1741),
    [sym_comment] = ACTIONS(19),
  },
  [506] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [507] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [508] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [509] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [510] = {
    [sym__string_literal] = STATE(741),
    [anon_sym_LF] = ACTIONS(1743),
    [anon_sym_SEMI] = ACTIONS(1745),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_RBRACE] = ACTIONS(1745),
    [sym_raw_string_literal] = ACTIONS(1747),
    [sym_interpreted_string_literal] = ACTIONS(1747),
    [sym_comment] = ACTIONS(59),
  },
  [511] = {
    [sym__string_literal] = STATE(742),
    [anon_sym_LF] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [sym_raw_string_literal] = ACTIONS(1753),
    [sym_interpreted_string_literal] = ACTIONS(1753),
    [sym_comment] = ACTIONS(59),
  },
  [512] = {
    [sym_identifier] = ACTIONS(1755),
    [sym_comment] = ACTIONS(19),
  },
  [513] = {
    [sym_parameter_list] = STATE(744),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [514] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [515] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(746),
    [sym_call_expression] = STATE(746),
    [sym_selector_expression] = STATE(746),
    [sym_index_expression] = STATE(746),
    [sym_slice_expression] = STATE(746),
    [sym_type_assertion_expression] = STATE(746),
    [sym_type_conversion_expression] = STATE(746),
    [sym_composite_literal] = STATE(746),
    [sym_func_literal] = STATE(746),
    [sym_unary_expression] = STATE(746),
    [sym_binary_expression] = STATE(746),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(746),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(1763),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1765),
    [sym_interpreted_string_literal] = ACTIONS(1765),
    [sym_int_literal] = ACTIONS(1767),
    [sym_float_literal] = ACTIONS(1767),
    [sym_imaginary_literal] = ACTIONS(1765),
    [sym_rune_literal] = ACTIONS(1765),
    [sym_comment] = ACTIONS(19),
  },
  [516] = {
    [anon_sym_LBRACK] = ACTIONS(1769),
    [sym_comment] = ACTIONS(19),
  },
  [517] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1771),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [518] = {
    [anon_sym_chan] = ACTIONS(1773),
    [sym_comment] = ACTIONS(19),
  },
  [519] = {
    [sym__string_literal] = STATE(750),
    [anon_sym_LF] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [sym_raw_string_literal] = ACTIONS(1779),
    [sym_interpreted_string_literal] = ACTIONS(1779),
    [sym_comment] = ACTIONS(59),
  },
  [520] = {
    [anon_sym_LF] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [sym_comment] = ACTIONS(59),
  },
  [521] = {
    [sym_parenthesized_type] = STATE(751),
    [sym__simple_type] = STATE(751),
    [sym_pointer_type] = STATE(751),
    [sym_array_type] = STATE(751),
    [sym_slice_type] = STATE(751),
    [sym_struct_type] = STATE(751),
    [sym_interface_type] = STATE(751),
    [sym_map_type] = STATE(751),
    [sym_channel_type] = STATE(751),
    [sym_function_type] = STATE(751),
    [sym_qualified_type] = STATE(751),
    [aux_sym_field_name_list_repeat1] = STATE(752),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [522] = {
    [sym_field_declaration] = STATE(754),
    [sym_qualified_type] = STATE(310),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(19),
  },
  [523] = {
    [anon_sym_LPAREN] = ACTIONS(1789),
    [anon_sym_RPAREN] = ACTIONS(1789),
    [anon_sym_COMMA] = ACTIONS(1789),
    [anon_sym_EQ] = ACTIONS(1789),
    [anon_sym_RBRACK] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1789),
    [anon_sym_COLON] = ACTIONS(1789),
    [sym_comment] = ACTIONS(19),
  },
  [524] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(756),
    [anon_sym_LF] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1793),
    [anon_sym_RBRACE] = ACTIONS(1795),
    [sym_comment] = ACTIONS(59),
  },
  [525] = {
    [anon_sym_LF] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [sym_comment] = ACTIONS(59),
  },
  [526] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [anon_sym_RBRACE] = ACTIONS(1797),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [527] = {
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_RPAREN] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1801),
    [anon_sym_EQ] = ACTIONS(1801),
    [anon_sym_RBRACK] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1801),
    [anon_sym_COLON] = ACTIONS(1801),
    [sym_comment] = ACTIONS(19),
  },
  [528] = {
    [sym_parameter_list] = STATE(766),
    [sym__simple_type] = STATE(766),
    [sym_pointer_type] = STATE(766),
    [sym_array_type] = STATE(766),
    [sym_slice_type] = STATE(766),
    [sym_struct_type] = STATE(766),
    [sym_interface_type] = STATE(766),
    [sym_map_type] = STATE(766),
    [sym_channel_type] = STATE(766),
    [sym_function_type] = STATE(766),
    [sym_qualified_type] = STATE(766),
    [anon_sym_LF] = ACTIONS(1803),
    [anon_sym_SEMI] = ACTIONS(1805),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(1805),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [529] = {
    [aux_sym_method_spec_list_repeat1] = STATE(768),
    [anon_sym_LF] = ACTIONS(1819),
    [anon_sym_SEMI] = ACTIONS(1821),
    [anon_sym_RBRACE] = ACTIONS(1823),
    [sym_comment] = ACTIONS(59),
  },
  [530] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [anon_sym_RBRACE] = ACTIONS(1825),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [531] = {
    [anon_sym_LPAREN] = ACTIONS(1827),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [anon_sym_EQ] = ACTIONS(1827),
    [anon_sym_RBRACK] = ACTIONS(1827),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_COLON] = ACTIONS(1827),
    [sym_comment] = ACTIONS(19),
  },
  [532] = {
    [aux_sym_method_spec_list_repeat1] = STATE(768),
    [anon_sym_LF] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1831),
    [anon_sym_RBRACE] = ACTIONS(1833),
    [sym_comment] = ACTIONS(59),
  },
  [533] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_RBRACK] = ACTIONS(637),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [534] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [535] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1835),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [536] = {
    [sym_parenthesized_type] = STATE(772),
    [sym__simple_type] = STATE(772),
    [sym_pointer_type] = STATE(772),
    [sym_array_type] = STATE(772),
    [sym_slice_type] = STATE(772),
    [sym_struct_type] = STATE(772),
    [sym_interface_type] = STATE(772),
    [sym_map_type] = STATE(772),
    [sym_channel_type] = STATE(772),
    [sym_function_type] = STATE(772),
    [sym_qualified_type] = STATE(772),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [537] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(1837),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [538] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [539] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1839),
    [anon_sym_LF] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_package] = ACTIONS(1841),
    [anon_sym_import] = ACTIONS(1841),
    [anon_sym_const] = ACTIONS(1841),
    [anon_sym_var] = ACTIONS(1841),
    [anon_sym_func] = ACTIONS(1841),
    [anon_sym_type] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_case] = ACTIONS(1841),
    [sym_default_case] = ACTIONS(1841),
    [sym_comment] = ACTIONS(59),
  },
  [541] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [542] = {
    [anon_sym_RBRACK] = ACTIONS(1843),
    [sym_comment] = ACTIONS(19),
  },
  [543] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(730),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [544] = {
    [sym_expression_list] = STATE(556),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(235),
    [sym_parenthesized_expression] = STATE(235),
    [sym_call_expression] = STATE(235),
    [sym_selector_expression] = STATE(235),
    [sym_index_expression] = STATE(235),
    [sym_slice_expression] = STATE(235),
    [sym_type_assertion_expression] = STATE(235),
    [sym_type_conversion_expression] = STATE(235),
    [sym_composite_literal] = STATE(235),
    [sym_func_literal] = STATE(235),
    [sym_unary_expression] = STATE(235),
    [sym_binary_expression] = STATE(235),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(235),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(506),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(508),
    [sym_interpreted_string_literal] = ACTIONS(508),
    [sym_int_literal] = ACTIONS(510),
    [sym_float_literal] = ACTIONS(510),
    [sym_imaginary_literal] = ACTIONS(508),
    [sym_rune_literal] = ACTIONS(508),
    [sym_comment] = ACTIONS(19),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1741),
    [anon_sym_LF] = ACTIONS(1741),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_func] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_case] = ACTIONS(1845),
    [sym_default_case] = ACTIONS(1845),
    [sym_raw_string_literal] = ACTIONS(1845),
    [sym_interpreted_string_literal] = ACTIONS(1845),
    [sym_comment] = ACTIONS(59),
  },
  [546] = {
    [sym_field_declaration] = STATE(754),
    [sym_qualified_type] = STATE(310),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(19),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1789),
    [anon_sym_LF] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_package] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_func] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_case] = ACTIONS(1849),
    [sym_default_case] = ACTIONS(1849),
    [sym_raw_string_literal] = ACTIONS(1849),
    [sym_interpreted_string_literal] = ACTIONS(1849),
    [sym_comment] = ACTIONS(59),
  },
  [548] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(756),
    [anon_sym_LF] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [sym_comment] = ACTIONS(59),
  },
  [549] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1801),
    [anon_sym_LF] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_package] = ACTIONS(1859),
    [anon_sym_import] = ACTIONS(1859),
    [anon_sym_const] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_var] = ACTIONS(1859),
    [anon_sym_func] = ACTIONS(1859),
    [anon_sym_type] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_case] = ACTIONS(1859),
    [sym_default_case] = ACTIONS(1859),
    [sym_raw_string_literal] = ACTIONS(1859),
    [sym_interpreted_string_literal] = ACTIONS(1859),
    [sym_comment] = ACTIONS(59),
  },
  [551] = {
    [aux_sym_method_spec_list_repeat1] = STATE(768),
    [anon_sym_LF] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1865),
    [sym_comment] = ACTIONS(59),
  },
  [552] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [anon_sym_RBRACE] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1827),
    [anon_sym_LF] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_package] = ACTIONS(1869),
    [anon_sym_import] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1869),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_var] = ACTIONS(1869),
    [anon_sym_func] = ACTIONS(1869),
    [anon_sym_type] = ACTIONS(1869),
    [anon_sym_LBRACE] = ACTIONS(1869),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_case] = ACTIONS(1869),
    [sym_default_case] = ACTIONS(1869),
    [sym_raw_string_literal] = ACTIONS(1869),
    [sym_interpreted_string_literal] = ACTIONS(1869),
    [sym_comment] = ACTIONS(59),
  },
  [554] = {
    [aux_sym_method_spec_list_repeat1] = STATE(768),
    [anon_sym_LF] = ACTIONS(1871),
    [anon_sym_SEMI] = ACTIONS(1873),
    [anon_sym_RBRACE] = ACTIONS(1875),
    [sym_comment] = ACTIONS(59),
  },
  [555] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(137),
    [anon_sym_chan] = ACTIONS(139),
    [anon_sym_LT_DASH] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1877),
    [anon_sym_LF] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(1879),
    [anon_sym_package] = ACTIONS(1879),
    [anon_sym_import] = ACTIONS(1879),
    [anon_sym_const] = ACTIONS(1879),
    [anon_sym_var] = ACTIONS(1879),
    [anon_sym_func] = ACTIONS(1879),
    [anon_sym_type] = ACTIONS(1879),
    [anon_sym_RBRACE] = ACTIONS(1879),
    [anon_sym_case] = ACTIONS(1879),
    [sym_default_case] = ACTIONS(1879),
    [sym_comment] = ACTIONS(59),
  },
  [557] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [558] = {
    [anon_sym_LPAREN] = ACTIONS(1881),
    [anon_sym_RPAREN] = ACTIONS(1881),
    [anon_sym_COMMA] = ACTIONS(1881),
    [anon_sym_EQ] = ACTIONS(1881),
    [anon_sym_func] = ACTIONS(1883),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_LBRACK] = ACTIONS(1881),
    [anon_sym_RBRACK] = ACTIONS(1881),
    [anon_sym_struct] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(1881),
    [anon_sym_interface] = ACTIONS(1883),
    [anon_sym_map] = ACTIONS(1883),
    [anon_sym_chan] = ACTIONS(1883),
    [anon_sym_LT_DASH] = ACTIONS(1881),
    [anon_sym_COLON] = ACTIONS(1881),
    [sym_identifier] = ACTIONS(1883),
    [sym_comment] = ACTIONS(19),
  },
  [559] = {
    [sym_parameter_declaration] = STATE(356),
    [sym_variadic_parameter_declaration] = STATE(356),
    [sym_parenthesized_type] = STATE(84),
    [sym__simple_type] = STATE(84),
    [sym_pointer_type] = STATE(84),
    [sym_array_type] = STATE(84),
    [sym_slice_type] = STATE(84),
    [sym_struct_type] = STATE(84),
    [sym_interface_type] = STATE(84),
    [sym_map_type] = STATE(84),
    [sym_channel_type] = STATE(84),
    [sym_function_type] = STATE(84),
    [sym_qualified_type] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(19),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [anon_sym_LF] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym_package] = ACTIONS(1300),
    [anon_sym_import] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_EQ] = ACTIONS(1300),
    [anon_sym_var] = ACTIONS(1300),
    [anon_sym_func] = ACTIONS(1300),
    [anon_sym_type] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_interface] = ACTIONS(1300),
    [anon_sym_map] = ACTIONS(1300),
    [anon_sym_chan] = ACTIONS(1300),
    [anon_sym_LT_DASH] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [sym_default_case] = ACTIONS(1300),
    [sym_identifier] = ACTIONS(1300),
    [sym_raw_string_literal] = ACTIONS(1300),
    [sym_interpreted_string_literal] = ACTIONS(1300),
    [sym_comment] = ACTIONS(59),
  },
  [561] = {
    [sym_parameter_declaration] = STATE(356),
    [sym_variadic_parameter_declaration] = STATE(356),
    [sym_parenthesized_type] = STATE(84),
    [sym__simple_type] = STATE(84),
    [sym_pointer_type] = STATE(84),
    [sym_array_type] = STATE(84),
    [sym_slice_type] = STATE(84),
    [sym_struct_type] = STATE(84),
    [sym_interface_type] = STATE(84),
    [sym_map_type] = STATE(84),
    [sym_channel_type] = STATE(84),
    [sym_function_type] = STATE(84),
    [sym_qualified_type] = STATE(84),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_RPAREN] = ACTIONS(1885),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(19),
  },
  [562] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [563] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1887),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_AMP_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(985),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [sym_comment] = ACTIONS(19),
  },
  [564] = {
    [sym_parenthesized_type] = STATE(786),
    [sym__simple_type] = STATE(786),
    [sym_pointer_type] = STATE(786),
    [sym_array_type] = STATE(786),
    [sym_slice_type] = STATE(786),
    [sym_struct_type] = STATE(786),
    [sym_interface_type] = STATE(786),
    [sym_map_type] = STATE(786),
    [sym_channel_type] = STATE(786),
    [sym_function_type] = STATE(786),
    [sym_qualified_type] = STATE(786),
    [aux_sym_const_spec_repeat1] = STATE(787),
    [anon_sym_LF] = ACTIONS(87),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(89),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(59),
  },
  [565] = {
    [sym_parenthesized_type] = STATE(795),
    [sym__simple_type] = STATE(795),
    [sym_pointer_type] = STATE(795),
    [sym_array_type] = STATE(795),
    [sym_slice_type] = STATE(795),
    [sym_struct_type] = STATE(795),
    [sym_interface_type] = STATE(795),
    [sym_map_type] = STATE(795),
    [sym_channel_type] = STATE(795),
    [sym_function_type] = STATE(795),
    [sym_qualified_type] = STATE(795),
    [aux_sym_const_spec_repeat1] = STATE(796),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(1891),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [566] = {
    [sym_parameter_list] = STATE(798),
    [sym__simple_type] = STATE(798),
    [sym_pointer_type] = STATE(798),
    [sym_array_type] = STATE(798),
    [sym_slice_type] = STATE(798),
    [sym_struct_type] = STATE(798),
    [sym_interface_type] = STATE(798),
    [sym_map_type] = STATE(798),
    [sym_channel_type] = STATE(798),
    [sym_function_type] = STATE(798),
    [sym_block] = STATE(799),
    [sym_qualified_type] = STATE(798),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [567] = {
    [sym_parenthesized_type] = STATE(99),
    [sym__simple_type] = STATE(99),
    [sym_pointer_type] = STATE(99),
    [sym_array_type] = STATE(99),
    [sym_slice_type] = STATE(99),
    [sym_struct_type] = STATE(99),
    [sym_interface_type] = STATE(99),
    [sym_map_type] = STATE(99),
    [sym_channel_type] = STATE(99),
    [sym_function_type] = STATE(99),
    [sym_qualified_type] = STATE(99),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_EQ] = ACTIONS(1907),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [568] = {
    [sym_literal_value] = STATE(614),
    [anon_sym_LF] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_DOT] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LT_DASH] = ACTIONS(595),
    [anon_sym_COLON_EQ] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_LT_LT_EQ] = ACTIONS(595),
    [anon_sym_GT_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_EQ] = ACTIONS(595),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_DASH_EQ] = ACTIONS(595),
    [anon_sym_PIPE_EQ] = ACTIONS(595),
    [anon_sym_CARET_EQ] = ACTIONS(595),
    [anon_sym_case] = ACTIONS(595),
    [sym_default_case] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [sym_comment] = ACTIONS(59),
  },
  [569] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1002),
    [anon_sym_SEMI] = ACTIONS(1004),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1004),
    [anon_sym_EQ] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(1004),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [anon_sym_LT_DASH] = ACTIONS(1004),
    [anon_sym_COLON_EQ] = ACTIONS(1004),
    [anon_sym_PLUS_PLUS] = ACTIONS(1004),
    [anon_sym_DASH_DASH] = ACTIONS(1004),
    [anon_sym_STAR_EQ] = ACTIONS(1004),
    [anon_sym_SLASH_EQ] = ACTIONS(1004),
    [anon_sym_PERCENT_EQ] = ACTIONS(1004),
    [anon_sym_LT_LT_EQ] = ACTIONS(1004),
    [anon_sym_GT_GT_EQ] = ACTIONS(1004),
    [anon_sym_AMP_EQ] = ACTIONS(1004),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1004),
    [anon_sym_PLUS_EQ] = ACTIONS(1004),
    [anon_sym_DASH_EQ] = ACTIONS(1004),
    [anon_sym_PIPE_EQ] = ACTIONS(1004),
    [anon_sym_CARET_EQ] = ACTIONS(1004),
    [anon_sym_case] = ACTIONS(1004),
    [sym_default_case] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_CARET] = ACTIONS(1004),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_SLASH] = ACTIONS(1004),
    [anon_sym_PERCENT] = ACTIONS(1004),
    [anon_sym_LT_LT] = ACTIONS(1004),
    [anon_sym_GT_GT] = ACTIONS(1004),
    [anon_sym_AMP_CARET] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1004),
    [anon_sym_EQ_EQ] = ACTIONS(1004),
    [anon_sym_BANG_EQ] = ACTIONS(1004),
    [anon_sym_LT] = ACTIONS(1004),
    [anon_sym_LT_EQ] = ACTIONS(1004),
    [anon_sym_GT] = ACTIONS(1004),
    [anon_sym_GT_EQ] = ACTIONS(1004),
    [anon_sym_AMP_AMP] = ACTIONS(1004),
    [anon_sym_PIPE_PIPE] = ACTIONS(1004),
    [sym_comment] = ACTIONS(59),
  },
  [570] = {
    [anon_sym_LF] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(1917),
    [anon_sym_RBRACE] = ACTIONS(1917),
    [anon_sym_case] = ACTIONS(1917),
    [sym_default_case] = ACTIONS(1917),
    [sym_comment] = ACTIONS(59),
  },
  [571] = {
    [anon_sym_LF] = ACTIONS(1919),
    [anon_sym_SEMI] = ACTIONS(1921),
    [anon_sym_RBRACE] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1921),
    [sym_default_case] = ACTIONS(1921),
    [sym_comment] = ACTIONS(59),
  },
  [572] = {
    [anon_sym_LF] = ACTIONS(1923),
    [anon_sym_SEMI] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [sym_default_case] = ACTIONS(1925),
    [sym_comment] = ACTIONS(59),
  },
  [573] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [574] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [575] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [576] = {
    [anon_sym_LF] = ACTIONS(1933),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym_RBRACE] = ACTIONS(1935),
    [anon_sym_case] = ACTIONS(1935),
    [sym_default_case] = ACTIONS(1935),
    [sym_comment] = ACTIONS(59),
  },
  [577] = {
    [sym_argument_list] = STATE(283),
    [aux_sym_expression_list_repeat1] = STATE(807),
    [anon_sym_LF] = ACTIONS(615),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1937),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_AMP_CARET] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1941),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1945),
    [anon_sym_PIPE_PIPE] = ACTIONS(1947),
    [sym_comment] = ACTIONS(59),
  },
  [578] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [579] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [580] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [581] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1949),
    [anon_sym_SEMI] = ACTIONS(1951),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_AMP_CARET] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1957),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1961),
    [sym_comment] = ACTIONS(59),
  },
  [582] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_AMP_CARET] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1957),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1961),
    [sym_comment] = ACTIONS(59),
  },
  [583] = {
    [sym_parenthesized_type] = STATE(253),
    [sym__simple_type] = STATE(253),
    [sym_pointer_type] = STATE(253),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(253),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(253),
    [sym_function_type] = STATE(253),
    [sym__expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_selector_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_slice_expression] = STATE(813),
    [sym_type_assertion_expression] = STATE(813),
    [sym_type_conversion_expression] = STATE(813),
    [sym_composite_literal] = STATE(813),
    [sym_func_literal] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(813),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(543),
    [anon_sym_STAR] = ACTIONS(545),
    [anon_sym_LBRACK] = ACTIONS(547),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(553),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(555),
    [anon_sym_DASH] = ACTIONS(555),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_CARET] = ACTIONS(555),
    [anon_sym_AMP] = ACTIONS(555),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1967),
    [sym_interpreted_string_literal] = ACTIONS(1967),
    [sym_int_literal] = ACTIONS(1969),
    [sym_float_literal] = ACTIONS(1969),
    [sym_imaginary_literal] = ACTIONS(1967),
    [sym_rune_literal] = ACTIONS(1967),
    [sym_comment] = ACTIONS(19),
  },
  [584] = {
    [sym_parameter_list] = STATE(814),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [585] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_call_expression] = STATE(815),
    [sym_selector_expression] = STATE(815),
    [sym_index_expression] = STATE(815),
    [sym_slice_expression] = STATE(815),
    [sym_type_assertion_expression] = STATE(815),
    [sym_type_conversion_expression] = STATE(815),
    [sym_composite_literal] = STATE(815),
    [sym_func_literal] = STATE(815),
    [sym_unary_expression] = STATE(815),
    [sym_binary_expression] = STATE(815),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1971),
    [sym_interpreted_string_literal] = ACTIONS(1971),
    [sym_int_literal] = ACTIONS(1973),
    [sym_float_literal] = ACTIONS(1973),
    [sym_imaginary_literal] = ACTIONS(1971),
    [sym_rune_literal] = ACTIONS(1971),
    [sym_comment] = ACTIONS(19),
  },
  [586] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_call_expression] = STATE(815),
    [sym_selector_expression] = STATE(815),
    [sym_index_expression] = STATE(815),
    [sym_slice_expression] = STATE(815),
    [sym_type_assertion_expression] = STATE(815),
    [sym_type_conversion_expression] = STATE(815),
    [sym_composite_literal] = STATE(815),
    [sym_func_literal] = STATE(815),
    [sym_unary_expression] = STATE(815),
    [sym_binary_expression] = STATE(815),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1971),
    [sym_interpreted_string_literal] = ACTIONS(1971),
    [sym_int_literal] = ACTIONS(1973),
    [sym_float_literal] = ACTIONS(1973),
    [sym_imaginary_literal] = ACTIONS(1971),
    [sym_rune_literal] = ACTIONS(1971),
    [sym_comment] = ACTIONS(19),
  },
  [587] = {
    [sym_special_argument_list] = STATE(817),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_DOT] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(587),
    [anon_sym_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_LT_DASH] = ACTIONS(587),
    [anon_sym_COLON_EQ] = ACTIONS(587),
    [anon_sym_PLUS_PLUS] = ACTIONS(587),
    [anon_sym_DASH_DASH] = ACTIONS(587),
    [anon_sym_STAR_EQ] = ACTIONS(587),
    [anon_sym_SLASH_EQ] = ACTIONS(587),
    [anon_sym_PERCENT_EQ] = ACTIONS(587),
    [anon_sym_LT_LT_EQ] = ACTIONS(587),
    [anon_sym_GT_GT_EQ] = ACTIONS(587),
    [anon_sym_AMP_EQ] = ACTIONS(587),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(587),
    [anon_sym_PLUS_EQ] = ACTIONS(587),
    [anon_sym_DASH_EQ] = ACTIONS(587),
    [anon_sym_PIPE_EQ] = ACTIONS(587),
    [anon_sym_CARET_EQ] = ACTIONS(587),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_AMP_CARET] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(587),
    [anon_sym_BANG_EQ] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(587),
    [anon_sym_GT] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(587),
    [anon_sym_AMP_AMP] = ACTIONS(587),
    [anon_sym_PIPE_PIPE] = ACTIONS(587),
    [sym_comment] = ACTIONS(19),
  },
  [588] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_call_expression] = STATE(815),
    [sym_selector_expression] = STATE(815),
    [sym_index_expression] = STATE(815),
    [sym_slice_expression] = STATE(815),
    [sym_type_assertion_expression] = STATE(815),
    [sym_type_conversion_expression] = STATE(815),
    [sym_composite_literal] = STATE(815),
    [sym_func_literal] = STATE(815),
    [sym_unary_expression] = STATE(815),
    [sym_binary_expression] = STATE(815),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1971),
    [sym_interpreted_string_literal] = ACTIONS(1971),
    [sym_int_literal] = ACTIONS(1973),
    [sym_float_literal] = ACTIONS(1973),
    [sym_imaginary_literal] = ACTIONS(1971),
    [sym_rune_literal] = ACTIONS(1971),
    [sym_comment] = ACTIONS(19),
  },
  [589] = {
    [sym_literal_value] = STATE(819),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(654),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_LT_DASH] = ACTIONS(593),
    [anon_sym_COLON_EQ] = ACTIONS(593),
    [anon_sym_PLUS_PLUS] = ACTIONS(593),
    [anon_sym_DASH_DASH] = ACTIONS(593),
    [anon_sym_STAR_EQ] = ACTIONS(593),
    [anon_sym_SLASH_EQ] = ACTIONS(593),
    [anon_sym_PERCENT_EQ] = ACTIONS(593),
    [anon_sym_LT_LT_EQ] = ACTIONS(593),
    [anon_sym_GT_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_EQ] = ACTIONS(593),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(593),
    [anon_sym_PLUS_EQ] = ACTIONS(593),
    [anon_sym_DASH_EQ] = ACTIONS(593),
    [anon_sym_PIPE_EQ] = ACTIONS(593),
    [anon_sym_CARET_EQ] = ACTIONS(593),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [sym_comment] = ACTIONS(19),
  },
  [590] = {
    [anon_sym_EQ] = ACTIONS(1977),
    [anon_sym_COLON_EQ] = ACTIONS(1979),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [sym_comment] = ACTIONS(19),
  },
  [591] = {
    [anon_sym_LPAREN] = ACTIONS(1981),
    [sym_comment] = ACTIONS(19),
  },
  [592] = {
    [sym_literal_value] = STATE(823),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_LBRACE] = ACTIONS(1983),
    [sym_comment] = ACTIONS(19),
  },
  [593] = {
    [sym_literal_value] = STATE(823),
    [anon_sym_LBRACE] = ACTIONS(1983),
    [sym_comment] = ACTIONS(19),
  },
  [594] = {
    [anon_sym_SEMI] = ACTIONS(1985),
    [sym_comment] = ACTIONS(19),
  },
  [595] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_call_expression] = STATE(829),
    [sym_selector_expression] = STATE(829),
    [sym_index_expression] = STATE(829),
    [sym_slice_expression] = STATE(829),
    [sym_type_assertion_expression] = STATE(829),
    [sym_type_conversion_expression] = STATE(829),
    [sym_composite_literal] = STATE(829),
    [sym_func_literal] = STATE(829),
    [sym_unary_expression] = STATE(829),
    [sym_binary_expression] = STATE(829),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(829),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(1995),
    [sym_interpreted_string_literal] = ACTIONS(1995),
    [sym_int_literal] = ACTIONS(1997),
    [sym_float_literal] = ACTIONS(1997),
    [sym_imaginary_literal] = ACTIONS(1995),
    [sym_rune_literal] = ACTIONS(1995),
    [sym_comment] = ACTIONS(19),
  },
  [596] = {
    [sym_block] = STATE(841),
    [sym_argument_list] = STATE(842),
    [aux_sym_expression_list_repeat1] = STATE(635),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_LT_DASH] = ACTIONS(2009),
    [anon_sym_COLON_EQ] = ACTIONS(615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_STAR_EQ] = ACTIONS(615),
    [anon_sym_SLASH_EQ] = ACTIONS(615),
    [anon_sym_PERCENT_EQ] = ACTIONS(615),
    [anon_sym_LT_LT_EQ] = ACTIONS(615),
    [anon_sym_GT_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_EQ] = ACTIONS(615),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(615),
    [anon_sym_DASH_EQ] = ACTIONS(615),
    [anon_sym_PIPE_EQ] = ACTIONS(615),
    [anon_sym_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_AMP_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_LT] = ACTIONS(2019),
    [anon_sym_LT_EQ] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2019),
    [anon_sym_GT_EQ] = ACTIONS(2017),
    [anon_sym_AMP_AMP] = ACTIONS(2021),
    [anon_sym_PIPE_PIPE] = ACTIONS(2023),
    [sym_comment] = ACTIONS(19),
  },
  [597] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(847),
    [sym_parenthesized_expression] = STATE(847),
    [sym_call_expression] = STATE(847),
    [sym_selector_expression] = STATE(847),
    [sym_index_expression] = STATE(847),
    [sym_slice_expression] = STATE(847),
    [sym_type_assertion_expression] = STATE(847),
    [sym_type_conversion_expression] = STATE(847),
    [sym_composite_literal] = STATE(847),
    [sym_func_literal] = STATE(847),
    [sym_unary_expression] = STATE(847),
    [sym_binary_expression] = STATE(847),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(847),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2033),
    [sym_interpreted_string_literal] = ACTIONS(2033),
    [sym_int_literal] = ACTIONS(2035),
    [sym_float_literal] = ACTIONS(2035),
    [sym_imaginary_literal] = ACTIONS(2033),
    [sym_rune_literal] = ACTIONS(2033),
    [sym_comment] = ACTIONS(19),
  },
  [598] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(848),
    [sym_parenthesized_expression] = STATE(848),
    [sym_call_expression] = STATE(848),
    [sym_selector_expression] = STATE(848),
    [sym_index_expression] = STATE(848),
    [sym_slice_expression] = STATE(848),
    [sym_type_assertion_expression] = STATE(848),
    [sym_type_conversion_expression] = STATE(848),
    [sym_composite_literal] = STATE(848),
    [sym_func_literal] = STATE(848),
    [sym_unary_expression] = STATE(848),
    [sym_binary_expression] = STATE(848),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(848),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(2037),
    [sym_interpreted_string_literal] = ACTIONS(2037),
    [sym_int_literal] = ACTIONS(2039),
    [sym_float_literal] = ACTIONS(2039),
    [sym_imaginary_literal] = ACTIONS(2037),
    [sym_rune_literal] = ACTIONS(2037),
    [sym_comment] = ACTIONS(19),
  },
  [599] = {
    [anon_sym_EQ] = ACTIONS(2041),
    [anon_sym_COLON_EQ] = ACTIONS(2043),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [sym_comment] = ACTIONS(19),
  },
  [600] = {
    [anon_sym_LF] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2047),
    [anon_sym_RBRACE] = ACTIONS(2047),
    [anon_sym_case] = ACTIONS(2047),
    [sym_default_case] = ACTIONS(2047),
    [sym_comment] = ACTIONS(59),
  },
  [601] = {
    [anon_sym_SEMI] = ACTIONS(2049),
    [sym_comment] = ACTIONS(19),
  },
  [602] = {
    [sym_block] = STATE(852),
    [anon_sym_LBRACE] = ACTIONS(835),
    [sym_comment] = ACTIONS(19),
  },
  [603] = {
    [sym_block] = STATE(852),
    [sym_argument_list] = STATE(842),
    [aux_sym_expression_list_repeat1] = STATE(635),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_LT_DASH] = ACTIONS(2009),
    [anon_sym_COLON_EQ] = ACTIONS(615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_STAR_EQ] = ACTIONS(615),
    [anon_sym_SLASH_EQ] = ACTIONS(615),
    [anon_sym_PERCENT_EQ] = ACTIONS(615),
    [anon_sym_LT_LT_EQ] = ACTIONS(615),
    [anon_sym_GT_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_EQ] = ACTIONS(615),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(615),
    [anon_sym_DASH_EQ] = ACTIONS(615),
    [anon_sym_PIPE_EQ] = ACTIONS(615),
    [anon_sym_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_AMP_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_LT] = ACTIONS(2019),
    [anon_sym_LT_EQ] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2019),
    [anon_sym_GT_EQ] = ACTIONS(2017),
    [anon_sym_AMP_AMP] = ACTIONS(2021),
    [anon_sym_PIPE_PIPE] = ACTIONS(2023),
    [sym_comment] = ACTIONS(19),
  },
  [604] = {
    [sym_expression_case_clause] = STATE(856),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(856),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_case] = ACTIONS(2053),
    [sym_default_case] = ACTIONS(2055),
    [sym_comment] = ACTIONS(19),
  },
  [605] = {
    [anon_sym_EQ] = ACTIONS(1977),
    [anon_sym_COLON_EQ] = ACTIONS(2057),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [sym_comment] = ACTIONS(19),
  },
  [606] = {
    [anon_sym_SEMI] = ACTIONS(2059),
    [sym_comment] = ACTIONS(19),
  },
  [607] = {
    [anon_sym_LBRACE] = ACTIONS(2061),
    [sym_comment] = ACTIONS(19),
  },
  [608] = {
    [sym_argument_list] = STATE(842),
    [aux_sym_expression_list_repeat1] = STATE(635),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(2063),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_LT_DASH] = ACTIONS(2009),
    [anon_sym_COLON_EQ] = ACTIONS(615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_STAR_EQ] = ACTIONS(615),
    [anon_sym_SLASH_EQ] = ACTIONS(615),
    [anon_sym_PERCENT_EQ] = ACTIONS(615),
    [anon_sym_LT_LT_EQ] = ACTIONS(615),
    [anon_sym_GT_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_EQ] = ACTIONS(615),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(615),
    [anon_sym_DASH_EQ] = ACTIONS(615),
    [anon_sym_PIPE_EQ] = ACTIONS(615),
    [anon_sym_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_AMP_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_LT] = ACTIONS(2019),
    [anon_sym_LT_EQ] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2019),
    [anon_sym_GT_EQ] = ACTIONS(2017),
    [anon_sym_AMP_AMP] = ACTIONS(2021),
    [anon_sym_PIPE_PIPE] = ACTIONS(2023),
    [sym_comment] = ACTIONS(19),
  },
  [609] = {
    [sym_communication_clause] = STATE(865),
    [sym_communication_case] = STATE(864),
    [aux_sym_select_statement_repeat1] = STATE(865),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2069),
    [sym_default_case] = ACTIONS(2071),
    [sym_comment] = ACTIONS(19),
  },
  [610] = {
    [sym_parenthesized_type] = STATE(866),
    [sym__simple_type] = STATE(866),
    [sym_pointer_type] = STATE(866),
    [sym_array_type] = STATE(866),
    [sym_slice_type] = STATE(866),
    [sym_struct_type] = STATE(866),
    [sym_interface_type] = STATE(866),
    [sym_map_type] = STATE(866),
    [sym_channel_type] = STATE(866),
    [sym_function_type] = STATE(866),
    [sym_qualified_type] = STATE(866),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [611] = {
    [anon_sym_LF] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1022),
    [anon_sym_DOT] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1022),
    [anon_sym_COMMA] = ACTIONS(1022),
    [anon_sym_EQ] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_LT_DASH] = ACTIONS(1022),
    [anon_sym_COLON_EQ] = ACTIONS(1022),
    [anon_sym_PLUS_PLUS] = ACTIONS(1022),
    [anon_sym_DASH_DASH] = ACTIONS(1022),
    [anon_sym_STAR_EQ] = ACTIONS(1022),
    [anon_sym_SLASH_EQ] = ACTIONS(1022),
    [anon_sym_PERCENT_EQ] = ACTIONS(1022),
    [anon_sym_LT_LT_EQ] = ACTIONS(1022),
    [anon_sym_GT_GT_EQ] = ACTIONS(1022),
    [anon_sym_AMP_EQ] = ACTIONS(1022),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1022),
    [anon_sym_PLUS_EQ] = ACTIONS(1022),
    [anon_sym_DASH_EQ] = ACTIONS(1022),
    [anon_sym_PIPE_EQ] = ACTIONS(1022),
    [anon_sym_CARET_EQ] = ACTIONS(1022),
    [anon_sym_case] = ACTIONS(1022),
    [sym_default_case] = ACTIONS(1022),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_CARET] = ACTIONS(1022),
    [anon_sym_AMP] = ACTIONS(1022),
    [anon_sym_SLASH] = ACTIONS(1022),
    [anon_sym_PERCENT] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1022),
    [anon_sym_GT_GT] = ACTIONS(1022),
    [anon_sym_AMP_CARET] = ACTIONS(1022),
    [anon_sym_PIPE] = ACTIONS(1022),
    [anon_sym_EQ_EQ] = ACTIONS(1022),
    [anon_sym_BANG_EQ] = ACTIONS(1022),
    [anon_sym_LT] = ACTIONS(1022),
    [anon_sym_LT_EQ] = ACTIONS(1022),
    [anon_sym_GT] = ACTIONS(1022),
    [anon_sym_GT_EQ] = ACTIONS(1022),
    [anon_sym_AMP_AMP] = ACTIONS(1022),
    [anon_sym_PIPE_PIPE] = ACTIONS(1022),
    [sym_comment] = ACTIONS(59),
  },
  [612] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(868),
    [sym_element] = STATE(868),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(2073),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [613] = {
    [sym__declaration] = STATE(870),
    [sym_const_declaration] = STATE(870),
    [sym_var_declaration] = STATE(870),
    [sym_type_declaration] = STATE(870),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(870),
    [sym__statement] = STATE(870),
    [sym_empty_statement] = STATE(870),
    [sym__simple_statement] = STATE(870),
    [sym_send_statement] = STATE(870),
    [sym_inc_statement] = STATE(870),
    [sym_dec_statement] = STATE(870),
    [sym_assignment_statement] = STATE(870),
    [sym_short_var_declaration] = STATE(870),
    [sym_labeled_statement] = STATE(870),
    [sym_fallthrough_statement] = STATE(870),
    [sym_break_statement] = STATE(870),
    [sym_continue_statement] = STATE(870),
    [sym_goto_statement] = STATE(870),
    [sym_return_statement] = STATE(870),
    [sym_go_statement] = STATE(870),
    [sym_defer_statement] = STATE(870),
    [sym_if_statement] = STATE(870),
    [sym_for_statement] = STATE(870),
    [sym_expression_switch_statement] = STATE(870),
    [sym_type_switch_statement] = STATE(870),
    [sym_select_statement] = STATE(870),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(2075),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(2077),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [614] = {
    [anon_sym_LF] = ACTIONS(1038),
    [anon_sym_SEMI] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1040),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_STAR] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [anon_sym_LT_DASH] = ACTIONS(1040),
    [anon_sym_COLON_EQ] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_STAR_EQ] = ACTIONS(1040),
    [anon_sym_SLASH_EQ] = ACTIONS(1040),
    [anon_sym_PERCENT_EQ] = ACTIONS(1040),
    [anon_sym_LT_LT_EQ] = ACTIONS(1040),
    [anon_sym_GT_GT_EQ] = ACTIONS(1040),
    [anon_sym_AMP_EQ] = ACTIONS(1040),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1040),
    [anon_sym_PLUS_EQ] = ACTIONS(1040),
    [anon_sym_DASH_EQ] = ACTIONS(1040),
    [anon_sym_PIPE_EQ] = ACTIONS(1040),
    [anon_sym_CARET_EQ] = ACTIONS(1040),
    [anon_sym_case] = ACTIONS(1040),
    [sym_default_case] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1040),
    [anon_sym_LT_LT] = ACTIONS(1040),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_AMP_CARET] = ACTIONS(1040),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1040),
    [anon_sym_BANG_EQ] = ACTIONS(1040),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1040),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1040),
    [anon_sym_AMP_AMP] = ACTIONS(1040),
    [anon_sym_PIPE_PIPE] = ACTIONS(1040),
    [sym_comment] = ACTIONS(59),
  },
  [615] = {
    [sym_expression_list] = STATE(871),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_interpreted_string_literal] = ACTIONS(2079),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(2079),
    [sym_rune_literal] = ACTIONS(2079),
    [sym_comment] = ACTIONS(19),
  },
  [616] = {
    [sym_expression_list] = STATE(872),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_interpreted_string_literal] = ACTIONS(2079),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(2079),
    [sym_rune_literal] = ACTIONS(2079),
    [sym_comment] = ACTIONS(19),
  },
  [617] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(873),
    [sym_parenthesized_expression] = STATE(873),
    [sym_call_expression] = STATE(873),
    [sym_selector_expression] = STATE(873),
    [sym_index_expression] = STATE(873),
    [sym_slice_expression] = STATE(873),
    [sym_type_assertion_expression] = STATE(873),
    [sym_type_conversion_expression] = STATE(873),
    [sym_composite_literal] = STATE(873),
    [sym_func_literal] = STATE(873),
    [sym_unary_expression] = STATE(873),
    [sym_binary_expression] = STATE(873),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(873),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2081),
    [sym_interpreted_string_literal] = ACTIONS(2081),
    [sym_int_literal] = ACTIONS(2083),
    [sym_float_literal] = ACTIONS(2083),
    [sym_imaginary_literal] = ACTIONS(2081),
    [sym_rune_literal] = ACTIONS(2081),
    [sym_comment] = ACTIONS(19),
  },
  [618] = {
    [anon_sym_LF] = ACTIONS(1052),
    [anon_sym_SEMI] = ACTIONS(1054),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1054),
    [anon_sym_COMMA] = ACTIONS(1054),
    [anon_sym_EQ] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1054),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1054),
    [anon_sym_COLON_EQ] = ACTIONS(1054),
    [anon_sym_PLUS_PLUS] = ACTIONS(1054),
    [anon_sym_DASH_DASH] = ACTIONS(1054),
    [anon_sym_STAR_EQ] = ACTIONS(1054),
    [anon_sym_SLASH_EQ] = ACTIONS(1054),
    [anon_sym_PERCENT_EQ] = ACTIONS(1054),
    [anon_sym_LT_LT_EQ] = ACTIONS(1054),
    [anon_sym_GT_GT_EQ] = ACTIONS(1054),
    [anon_sym_AMP_EQ] = ACTIONS(1054),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1054),
    [anon_sym_PLUS_EQ] = ACTIONS(1054),
    [anon_sym_DASH_EQ] = ACTIONS(1054),
    [anon_sym_PIPE_EQ] = ACTIONS(1054),
    [anon_sym_CARET_EQ] = ACTIONS(1054),
    [anon_sym_case] = ACTIONS(1054),
    [sym_default_case] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_SLASH] = ACTIONS(1054),
    [anon_sym_PERCENT] = ACTIONS(1054),
    [anon_sym_LT_LT] = ACTIONS(1054),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_AMP_CARET] = ACTIONS(1054),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1054),
    [anon_sym_BANG_EQ] = ACTIONS(1054),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1054),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1054),
    [anon_sym_AMP_AMP] = ACTIONS(1054),
    [anon_sym_PIPE_PIPE] = ACTIONS(1054),
    [sym_comment] = ACTIONS(59),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(2085),
    [anon_sym_LF] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2087),
    [anon_sym_package] = ACTIONS(2087),
    [anon_sym_import] = ACTIONS(2087),
    [anon_sym_DOT] = ACTIONS(2087),
    [anon_sym_LPAREN] = ACTIONS(2087),
    [anon_sym_const] = ACTIONS(2087),
    [anon_sym_COMMA] = ACTIONS(2087),
    [anon_sym_var] = ACTIONS(2087),
    [anon_sym_func] = ACTIONS(2087),
    [anon_sym_type] = ACTIONS(2087),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2087),
    [anon_sym_case] = ACTIONS(2087),
    [sym_default_case] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2087),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_AMP_CARET] = ACTIONS(2087),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_EQ_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_AMP_AMP] = ACTIONS(2087),
    [anon_sym_PIPE_PIPE] = ACTIONS(2087),
    [sym_comment] = ACTIONS(59),
  },
  [620] = {
    [sym__declaration] = STATE(874),
    [sym_const_declaration] = STATE(874),
    [sym_var_declaration] = STATE(874),
    [sym_type_declaration] = STATE(874),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(874),
    [sym__statement] = STATE(874),
    [sym_empty_statement] = STATE(874),
    [sym__simple_statement] = STATE(874),
    [sym_send_statement] = STATE(874),
    [sym_inc_statement] = STATE(874),
    [sym_dec_statement] = STATE(874),
    [sym_assignment_statement] = STATE(874),
    [sym_short_var_declaration] = STATE(874),
    [sym_labeled_statement] = STATE(874),
    [sym_empty_labeled_statement] = STATE(875),
    [sym_fallthrough_statement] = STATE(874),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(874),
    [sym_goto_statement] = STATE(874),
    [sym_return_statement] = STATE(874),
    [sym_go_statement] = STATE(874),
    [sym_defer_statement] = STATE(874),
    [sym_if_statement] = STATE(874),
    [sym_for_statement] = STATE(874),
    [sym_expression_switch_statement] = STATE(874),
    [sym_type_switch_statement] = STATE(874),
    [sym_select_statement] = STATE(874),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(867),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [621] = {
    [aux_sym__statement_list_repeat1] = STATE(877),
    [anon_sym_LF] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [sym_comment] = ACTIONS(59),
  },
  [622] = {
    [anon_sym_LPAREN] = ACTIONS(2097),
    [sym_identifier] = ACTIONS(2099),
    [sym_comment] = ACTIONS(19),
  },
  [623] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(881),
    [sym_parenthesized_expression] = STATE(881),
    [sym_call_expression] = STATE(881),
    [sym_variadic_argument] = STATE(882),
    [sym_selector_expression] = STATE(881),
    [sym_index_expression] = STATE(881),
    [sym_slice_expression] = STATE(881),
    [sym_type_assertion_expression] = STATE(881),
    [sym_type_conversion_expression] = STATE(881),
    [sym_composite_literal] = STATE(881),
    [sym_func_literal] = STATE(881),
    [sym_unary_expression] = STATE(881),
    [sym_binary_expression] = STATE(881),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2101),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2103),
    [sym_interpreted_string_literal] = ACTIONS(2103),
    [sym_int_literal] = ACTIONS(2105),
    [sym_float_literal] = ACTIONS(2105),
    [sym_imaginary_literal] = ACTIONS(2103),
    [sym_rune_literal] = ACTIONS(2103),
    [sym_comment] = ACTIONS(19),
  },
  [624] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(886),
    [sym_parenthesized_expression] = STATE(886),
    [sym_call_expression] = STATE(886),
    [sym_selector_expression] = STATE(886),
    [sym_index_expression] = STATE(886),
    [sym_slice_expression] = STATE(886),
    [sym_type_assertion_expression] = STATE(886),
    [sym_type_conversion_expression] = STATE(886),
    [sym_composite_literal] = STATE(886),
    [sym_func_literal] = STATE(886),
    [sym_unary_expression] = STATE(886),
    [sym_binary_expression] = STATE(886),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(886),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2113),
    [sym_interpreted_string_literal] = ACTIONS(2113),
    [sym_int_literal] = ACTIONS(2115),
    [sym_float_literal] = ACTIONS(2115),
    [sym_imaginary_literal] = ACTIONS(2113),
    [sym_rune_literal] = ACTIONS(2113),
    [sym_comment] = ACTIONS(19),
  },
  [625] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(887),
    [sym_parenthesized_expression] = STATE(887),
    [sym_call_expression] = STATE(887),
    [sym_selector_expression] = STATE(887),
    [sym_index_expression] = STATE(887),
    [sym_slice_expression] = STATE(887),
    [sym_type_assertion_expression] = STATE(887),
    [sym_type_conversion_expression] = STATE(887),
    [sym_composite_literal] = STATE(887),
    [sym_func_literal] = STATE(887),
    [sym_unary_expression] = STATE(887),
    [sym_binary_expression] = STATE(887),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(887),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(2117),
    [sym_interpreted_string_literal] = ACTIONS(2117),
    [sym_int_literal] = ACTIONS(2119),
    [sym_float_literal] = ACTIONS(2119),
    [sym_imaginary_literal] = ACTIONS(2117),
    [sym_rune_literal] = ACTIONS(2117),
    [sym_comment] = ACTIONS(19),
  },
  [626] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(889),
    [sym_parenthesized_expression] = STATE(889),
    [sym_call_expression] = STATE(889),
    [sym_selector_expression] = STATE(889),
    [sym_index_expression] = STATE(889),
    [sym_slice_expression] = STATE(889),
    [sym_type_assertion_expression] = STATE(889),
    [sym_type_conversion_expression] = STATE(889),
    [sym_composite_literal] = STATE(889),
    [sym_func_literal] = STATE(889),
    [sym_unary_expression] = STATE(889),
    [sym_binary_expression] = STATE(889),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(889),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_COLON] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2123),
    [sym_interpreted_string_literal] = ACTIONS(2123),
    [sym_int_literal] = ACTIONS(2125),
    [sym_float_literal] = ACTIONS(2125),
    [sym_imaginary_literal] = ACTIONS(2123),
    [sym_rune_literal] = ACTIONS(2123),
    [sym_comment] = ACTIONS(19),
  },
  [627] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(890),
    [sym_parenthesized_expression] = STATE(890),
    [sym_call_expression] = STATE(890),
    [sym_selector_expression] = STATE(890),
    [sym_index_expression] = STATE(890),
    [sym_slice_expression] = STATE(890),
    [sym_type_assertion_expression] = STATE(890),
    [sym_type_conversion_expression] = STATE(890),
    [sym_composite_literal] = STATE(890),
    [sym_func_literal] = STATE(890),
    [sym_unary_expression] = STATE(890),
    [sym_binary_expression] = STATE(890),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(890),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2127),
    [sym_interpreted_string_literal] = ACTIONS(2127),
    [sym_int_literal] = ACTIONS(2129),
    [sym_float_literal] = ACTIONS(2129),
    [sym_imaginary_literal] = ACTIONS(2127),
    [sym_rune_literal] = ACTIONS(2127),
    [sym_comment] = ACTIONS(19),
  },
  [628] = {
    [anon_sym_LF] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2133),
    [anon_sym_case] = ACTIONS(2133),
    [sym_default_case] = ACTIONS(2133),
    [sym_comment] = ACTIONS(59),
  },
  [629] = {
    [anon_sym_LF] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2137),
    [anon_sym_case] = ACTIONS(2137),
    [sym_default_case] = ACTIONS(2137),
    [sym_comment] = ACTIONS(59),
  },
  [630] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(891),
    [sym_parenthesized_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_selector_expression] = STATE(891),
    [sym_index_expression] = STATE(891),
    [sym_slice_expression] = STATE(891),
    [sym_type_assertion_expression] = STATE(891),
    [sym_type_conversion_expression] = STATE(891),
    [sym_composite_literal] = STATE(891),
    [sym_func_literal] = STATE(891),
    [sym_unary_expression] = STATE(891),
    [sym_binary_expression] = STATE(891),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(891),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(2139),
    [sym_interpreted_string_literal] = ACTIONS(2139),
    [sym_int_literal] = ACTIONS(2141),
    [sym_float_literal] = ACTIONS(2141),
    [sym_imaginary_literal] = ACTIONS(2139),
    [sym_rune_literal] = ACTIONS(2139),
    [sym_comment] = ACTIONS(19),
  },
  [631] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(892),
    [sym_parenthesized_expression] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_selector_expression] = STATE(892),
    [sym_index_expression] = STATE(892),
    [sym_slice_expression] = STATE(892),
    [sym_type_assertion_expression] = STATE(892),
    [sym_type_conversion_expression] = STATE(892),
    [sym_composite_literal] = STATE(892),
    [sym_func_literal] = STATE(892),
    [sym_unary_expression] = STATE(892),
    [sym_binary_expression] = STATE(892),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(892),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(2143),
    [sym_interpreted_string_literal] = ACTIONS(2143),
    [sym_int_literal] = ACTIONS(2145),
    [sym_float_literal] = ACTIONS(2145),
    [sym_imaginary_literal] = ACTIONS(2143),
    [sym_rune_literal] = ACTIONS(2143),
    [sym_comment] = ACTIONS(19),
  },
  [632] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(893),
    [sym_parenthesized_expression] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_selector_expression] = STATE(893),
    [sym_index_expression] = STATE(893),
    [sym_slice_expression] = STATE(893),
    [sym_type_assertion_expression] = STATE(893),
    [sym_type_conversion_expression] = STATE(893),
    [sym_composite_literal] = STATE(893),
    [sym_func_literal] = STATE(893),
    [sym_unary_expression] = STATE(893),
    [sym_binary_expression] = STATE(893),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(893),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(2147),
    [sym_interpreted_string_literal] = ACTIONS(2147),
    [sym_int_literal] = ACTIONS(2149),
    [sym_float_literal] = ACTIONS(2149),
    [sym_imaginary_literal] = ACTIONS(2147),
    [sym_rune_literal] = ACTIONS(2147),
    [sym_comment] = ACTIONS(19),
  },
  [633] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(894),
    [sym_parenthesized_expression] = STATE(894),
    [sym_call_expression] = STATE(894),
    [sym_selector_expression] = STATE(894),
    [sym_index_expression] = STATE(894),
    [sym_slice_expression] = STATE(894),
    [sym_type_assertion_expression] = STATE(894),
    [sym_type_conversion_expression] = STATE(894),
    [sym_composite_literal] = STATE(894),
    [sym_func_literal] = STATE(894),
    [sym_unary_expression] = STATE(894),
    [sym_binary_expression] = STATE(894),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(894),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(2151),
    [sym_interpreted_string_literal] = ACTIONS(2151),
    [sym_int_literal] = ACTIONS(2153),
    [sym_float_literal] = ACTIONS(2153),
    [sym_imaginary_literal] = ACTIONS(2151),
    [sym_rune_literal] = ACTIONS(2151),
    [sym_comment] = ACTIONS(19),
  },
  [634] = {
    [anon_sym_LF] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1110),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_COMMA] = ACTIONS(1110),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_LT_DASH] = ACTIONS(1110),
    [anon_sym_COLON_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_STAR_EQ] = ACTIONS(1110),
    [anon_sym_SLASH_EQ] = ACTIONS(1110),
    [anon_sym_PERCENT_EQ] = ACTIONS(1110),
    [anon_sym_LT_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_EQ] = ACTIONS(1110),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1110),
    [anon_sym_DASH_EQ] = ACTIONS(1110),
    [anon_sym_PIPE_EQ] = ACTIONS(1110),
    [anon_sym_CARET_EQ] = ACTIONS(1110),
    [anon_sym_case] = ACTIONS(1110),
    [sym_default_case] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1110),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [sym_comment] = ACTIONS(59),
  },
  [635] = {
    [aux_sym_expression_list_repeat1] = STATE(895),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_COLON_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [sym_comment] = ACTIONS(19),
  },
  [636] = {
    [anon_sym_RBRACK] = ACTIONS(2155),
    [sym_comment] = ACTIONS(19),
  },
  [637] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(875),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2157),
    [anon_sym_LF] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_package] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_func] = ACTIONS(2159),
    [anon_sym_type] = ACTIONS(2159),
    [sym_comment] = ACTIONS(59),
  },
  [639] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [640] = {
    [anon_sym_RBRACK] = ACTIONS(2161),
    [sym_comment] = ACTIONS(19),
  },
  [641] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(895),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [642] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(181),
    [anon_sym_STAR] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(187),
    [anon_sym_chan] = ACTIONS(189),
    [anon_sym_LT_DASH] = ACTIONS(191),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [643] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_AMP_CARET] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(931),
    [anon_sym_BANG_EQ] = ACTIONS(931),
    [anon_sym_LT] = ACTIONS(931),
    [anon_sym_LT_EQ] = ACTIONS(931),
    [anon_sym_GT] = ACTIONS(931),
    [anon_sym_GT_EQ] = ACTIONS(931),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [sym_comment] = ACTIONS(59),
  },
  [644] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_AMP_CARET] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [645] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_AMP_CARET] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [646] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_AMP_CARET] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(931),
    [anon_sym_BANG_EQ] = ACTIONS(931),
    [anon_sym_LT] = ACTIONS(931),
    [anon_sym_LT_EQ] = ACTIONS(931),
    [anon_sym_GT] = ACTIONS(931),
    [anon_sym_GT_EQ] = ACTIONS(931),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [647] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_AMP_CARET] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(931),
    [anon_sym_BANG_EQ] = ACTIONS(931),
    [anon_sym_LT] = ACTIONS(931),
    [anon_sym_LT_EQ] = ACTIONS(931),
    [anon_sym_GT] = ACTIONS(931),
    [anon_sym_GT_EQ] = ACTIONS(931),
    [anon_sym_AMP_AMP] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [648] = {
    [aux_sym_expression_list_repeat1] = STATE(648),
    [anon_sym_LF] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(2163),
    [sym_comment] = ACTIONS(59),
  },
  [649] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [650] = {
    [sym_parameter_list] = STATE(898),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [651] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [652] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(424),
    [sym_parenthesized_expression] = STATE(424),
    [sym_call_expression] = STATE(424),
    [sym_selector_expression] = STATE(424),
    [sym_index_expression] = STATE(424),
    [sym_slice_expression] = STATE(424),
    [sym_type_assertion_expression] = STATE(424),
    [sym_type_conversion_expression] = STATE(424),
    [sym_composite_literal] = STATE(424),
    [sym_func_literal] = STATE(424),
    [sym_unary_expression] = STATE(424),
    [sym_binary_expression] = STATE(424),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(424),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(947),
    [sym_interpreted_string_literal] = ACTIONS(947),
    [sym_int_literal] = ACTIONS(949),
    [sym_float_literal] = ACTIONS(949),
    [sym_imaginary_literal] = ACTIONS(947),
    [sym_rune_literal] = ACTIONS(947),
    [sym_comment] = ACTIONS(19),
  },
  [653] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [654] = {
    [anon_sym_chan] = ACTIONS(2168),
    [sym_comment] = ACTIONS(19),
  },
  [655] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [656] = {
    [anon_sym_RBRACK] = ACTIONS(2170),
    [sym_comment] = ACTIONS(19),
  },
  [657] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [658] = {
    [anon_sym_chan] = ACTIONS(2172),
    [sym_comment] = ACTIONS(19),
  },
  [659] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [660] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [661] = {
    [sym_parenthesized_type] = STATE(904),
    [sym__simple_type] = STATE(904),
    [sym_pointer_type] = STATE(904),
    [sym_array_type] = STATE(904),
    [sym_slice_type] = STATE(904),
    [sym_struct_type] = STATE(904),
    [sym_interface_type] = STATE(904),
    [sym_map_type] = STATE(904),
    [sym_channel_type] = STATE(904),
    [sym_function_type] = STATE(904),
    [sym_qualified_type] = STATE(904),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [662] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(961),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [663] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(965),
    [anon_sym_LT_DASH] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [664] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_AMP_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [665] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_AMP_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [666] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_AMP_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [667] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_AMP_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(985),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [668] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [669] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(2176),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [670] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(2178),
    [anon_sym_LF] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_package] = ACTIONS(2180),
    [anon_sym_import] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_var] = ACTIONS(2180),
    [anon_sym_func] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_case] = ACTIONS(2180),
    [sym_default_case] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_AMP_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [sym_comment] = ACTIONS(59),
  },
  [672] = {
    [sym_parameter_list] = STATE(906),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [673] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [674] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(908),
    [sym_parenthesized_expression] = STATE(908),
    [sym_call_expression] = STATE(908),
    [sym_selector_expression] = STATE(908),
    [sym_index_expression] = STATE(908),
    [sym_slice_expression] = STATE(908),
    [sym_type_assertion_expression] = STATE(908),
    [sym_type_conversion_expression] = STATE(908),
    [sym_composite_literal] = STATE(908),
    [sym_func_literal] = STATE(908),
    [sym_unary_expression] = STATE(908),
    [sym_binary_expression] = STATE(908),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(908),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2184),
    [sym_interpreted_string_literal] = ACTIONS(2184),
    [sym_int_literal] = ACTIONS(2186),
    [sym_float_literal] = ACTIONS(2186),
    [sym_imaginary_literal] = ACTIONS(2184),
    [sym_rune_literal] = ACTIONS(2184),
    [sym_comment] = ACTIONS(19),
  },
  [675] = {
    [anon_sym_LBRACK] = ACTIONS(2188),
    [sym_comment] = ACTIONS(19),
  },
  [676] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(2190),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [677] = {
    [anon_sym_chan] = ACTIONS(2192),
    [sym_comment] = ACTIONS(19),
  },
  [678] = {
    [anon_sym_LBRACE] = ACTIONS(2194),
    [sym_comment] = ACTIONS(19),
  },
  [679] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [680] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [681] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [682] = {
    [anon_sym_RBRACK] = ACTIONS(2196),
    [sym_comment] = ACTIONS(19),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(2198),
    [anon_sym_LF] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_package] = ACTIONS(2200),
    [anon_sym_import] = ACTIONS(2200),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_var] = ACTIONS(2200),
    [anon_sym_func] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [sym_default_case] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_AMP_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [sym_comment] = ACTIONS(59),
  },
  [684] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [685] = {
    [aux_sym_expression_list_repeat1] = STATE(916),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2208),
    [sym_comment] = ACTIONS(19),
  },
  [686] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(920),
    [sym_parenthesized_expression] = STATE(920),
    [sym_call_expression] = STATE(920),
    [sym_selector_expression] = STATE(920),
    [sym_index_expression] = STATE(920),
    [sym_slice_expression] = STATE(920),
    [sym_type_assertion_expression] = STATE(920),
    [sym_type_conversion_expression] = STATE(920),
    [sym_composite_literal] = STATE(920),
    [sym_literal_value] = STATE(921),
    [sym_func_literal] = STATE(920),
    [sym_unary_expression] = STATE(920),
    [sym_binary_expression] = STATE(920),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2216),
    [sym_interpreted_string_literal] = ACTIONS(2216),
    [sym_int_literal] = ACTIONS(2218),
    [sym_float_literal] = ACTIONS(2218),
    [sym_imaginary_literal] = ACTIONS(2216),
    [sym_rune_literal] = ACTIONS(2216),
    [sym_comment] = ACTIONS(19),
  },
  [687] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [688] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(922),
    [sym_parenthesized_expression] = STATE(922),
    [sym_call_expression] = STATE(922),
    [sym_selector_expression] = STATE(922),
    [sym_index_expression] = STATE(922),
    [sym_slice_expression] = STATE(922),
    [sym_type_assertion_expression] = STATE(922),
    [sym_type_conversion_expression] = STATE(922),
    [sym_composite_literal] = STATE(922),
    [sym_literal_value] = STATE(923),
    [sym_func_literal] = STATE(922),
    [sym_unary_expression] = STATE(922),
    [sym_binary_expression] = STATE(922),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(922),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2220),
    [sym_interpreted_string_literal] = ACTIONS(2220),
    [sym_int_literal] = ACTIONS(2222),
    [sym_float_literal] = ACTIONS(2222),
    [sym_imaginary_literal] = ACTIONS(2220),
    [sym_rune_literal] = ACTIONS(2220),
    [sym_comment] = ACTIONS(19),
  },
  [689] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(924),
    [sym_parenthesized_expression] = STATE(924),
    [sym_call_expression] = STATE(924),
    [sym_selector_expression] = STATE(924),
    [sym_index_expression] = STATE(924),
    [sym_slice_expression] = STATE(924),
    [sym_type_assertion_expression] = STATE(924),
    [sym_type_conversion_expression] = STATE(924),
    [sym_composite_literal] = STATE(924),
    [sym_func_literal] = STATE(924),
    [sym_unary_expression] = STATE(924),
    [sym_binary_expression] = STATE(924),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(924),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2224),
    [sym_interpreted_string_literal] = ACTIONS(2224),
    [sym_int_literal] = ACTIONS(2226),
    [sym_float_literal] = ACTIONS(2226),
    [sym_imaginary_literal] = ACTIONS(2224),
    [sym_rune_literal] = ACTIONS(2224),
    [sym_comment] = ACTIONS(19),
  },
  [690] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(925),
    [sym_call_expression] = STATE(925),
    [sym_selector_expression] = STATE(925),
    [sym_index_expression] = STATE(925),
    [sym_slice_expression] = STATE(925),
    [sym_type_assertion_expression] = STATE(925),
    [sym_type_conversion_expression] = STATE(925),
    [sym_composite_literal] = STATE(925),
    [sym_func_literal] = STATE(925),
    [sym_unary_expression] = STATE(925),
    [sym_binary_expression] = STATE(925),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(925),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2228),
    [sym_interpreted_string_literal] = ACTIONS(2228),
    [sym_int_literal] = ACTIONS(2230),
    [sym_float_literal] = ACTIONS(2230),
    [sym_imaginary_literal] = ACTIONS(2228),
    [sym_rune_literal] = ACTIONS(2228),
    [sym_comment] = ACTIONS(19),
  },
  [691] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(926),
    [sym_parenthesized_expression] = STATE(926),
    [sym_call_expression] = STATE(926),
    [sym_selector_expression] = STATE(926),
    [sym_index_expression] = STATE(926),
    [sym_slice_expression] = STATE(926),
    [sym_type_assertion_expression] = STATE(926),
    [sym_type_conversion_expression] = STATE(926),
    [sym_composite_literal] = STATE(926),
    [sym_func_literal] = STATE(926),
    [sym_unary_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(926),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2232),
    [sym_interpreted_string_literal] = ACTIONS(2232),
    [sym_int_literal] = ACTIONS(2234),
    [sym_float_literal] = ACTIONS(2234),
    [sym_imaginary_literal] = ACTIONS(2232),
    [sym_rune_literal] = ACTIONS(2232),
    [sym_comment] = ACTIONS(19),
  },
  [692] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(927),
    [sym_parenthesized_expression] = STATE(927),
    [sym_call_expression] = STATE(927),
    [sym_selector_expression] = STATE(927),
    [sym_index_expression] = STATE(927),
    [sym_slice_expression] = STATE(927),
    [sym_type_assertion_expression] = STATE(927),
    [sym_type_conversion_expression] = STATE(927),
    [sym_composite_literal] = STATE(927),
    [sym_func_literal] = STATE(927),
    [sym_unary_expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(927),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2236),
    [sym_interpreted_string_literal] = ACTIONS(2236),
    [sym_int_literal] = ACTIONS(2238),
    [sym_float_literal] = ACTIONS(2238),
    [sym_imaginary_literal] = ACTIONS(2236),
    [sym_rune_literal] = ACTIONS(2236),
    [sym_comment] = ACTIONS(19),
  },
  [693] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2242),
    [anon_sym_LF] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_package] = ACTIONS(2244),
    [anon_sym_import] = ACTIONS(2244),
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2244),
    [anon_sym_var] = ACTIONS(2244),
    [anon_sym_func] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_case] = ACTIONS(2244),
    [sym_default_case] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_AMP_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [sym_comment] = ACTIONS(59),
  },
  [695] = {
    [aux_sym_literal_value_repeat1] = STATE(931),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [sym_comment] = ACTIONS(19),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(2248),
    [anon_sym_LF] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_package] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_DOT] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2250),
    [anon_sym_COMMA] = ACTIONS(2250),
    [anon_sym_var] = ACTIONS(2250),
    [anon_sym_func] = ACTIONS(2250),
    [anon_sym_type] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [sym_default_case] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2250),
    [anon_sym_LT_LT] = ACTIONS(2250),
    [anon_sym_GT_GT] = ACTIONS(2250),
    [anon_sym_AMP_CARET] = ACTIONS(2250),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_EQ_EQ] = ACTIONS(2250),
    [anon_sym_BANG_EQ] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_GT_EQ] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2250),
    [anon_sym_PIPE_PIPE] = ACTIONS(2250),
    [sym_comment] = ACTIONS(59),
  },
  [697] = {
    [anon_sym_RPAREN] = ACTIONS(2252),
    [sym_comment] = ACTIONS(19),
  },
  [698] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [699] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(933),
    [sym_parenthesized_expression] = STATE(933),
    [sym_call_expression] = STATE(933),
    [sym_selector_expression] = STATE(933),
    [sym_index_expression] = STATE(933),
    [sym_slice_expression] = STATE(933),
    [sym_type_assertion_expression] = STATE(933),
    [sym_type_conversion_expression] = STATE(933),
    [sym_composite_literal] = STATE(933),
    [sym_func_literal] = STATE(933),
    [sym_unary_expression] = STATE(933),
    [sym_binary_expression] = STATE(933),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(933),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2254),
    [sym_interpreted_string_literal] = ACTIONS(2254),
    [sym_int_literal] = ACTIONS(2256),
    [sym_float_literal] = ACTIONS(2256),
    [sym_imaginary_literal] = ACTIONS(2254),
    [sym_rune_literal] = ACTIONS(2254),
    [sym_comment] = ACTIONS(19),
  },
  [700] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(934),
    [sym_parenthesized_expression] = STATE(934),
    [sym_call_expression] = STATE(934),
    [sym_selector_expression] = STATE(934),
    [sym_index_expression] = STATE(934),
    [sym_slice_expression] = STATE(934),
    [sym_type_assertion_expression] = STATE(934),
    [sym_type_conversion_expression] = STATE(934),
    [sym_composite_literal] = STATE(934),
    [sym_func_literal] = STATE(934),
    [sym_unary_expression] = STATE(934),
    [sym_binary_expression] = STATE(934),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(934),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2258),
    [sym_interpreted_string_literal] = ACTIONS(2258),
    [sym_int_literal] = ACTIONS(2260),
    [sym_float_literal] = ACTIONS(2260),
    [sym_imaginary_literal] = ACTIONS(2258),
    [sym_rune_literal] = ACTIONS(2258),
    [sym_comment] = ACTIONS(19),
  },
  [701] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(935),
    [sym_parenthesized_expression] = STATE(935),
    [sym_call_expression] = STATE(935),
    [sym_selector_expression] = STATE(935),
    [sym_index_expression] = STATE(935),
    [sym_slice_expression] = STATE(935),
    [sym_type_assertion_expression] = STATE(935),
    [sym_type_conversion_expression] = STATE(935),
    [sym_composite_literal] = STATE(935),
    [sym_func_literal] = STATE(935),
    [sym_unary_expression] = STATE(935),
    [sym_binary_expression] = STATE(935),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(935),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2262),
    [sym_interpreted_string_literal] = ACTIONS(2262),
    [sym_int_literal] = ACTIONS(2264),
    [sym_float_literal] = ACTIONS(2264),
    [sym_imaginary_literal] = ACTIONS(2262),
    [sym_rune_literal] = ACTIONS(2262),
    [sym_comment] = ACTIONS(19),
  },
  [702] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(936),
    [sym_parenthesized_expression] = STATE(936),
    [sym_call_expression] = STATE(936),
    [sym_selector_expression] = STATE(936),
    [sym_index_expression] = STATE(936),
    [sym_slice_expression] = STATE(936),
    [sym_type_assertion_expression] = STATE(936),
    [sym_type_conversion_expression] = STATE(936),
    [sym_composite_literal] = STATE(936),
    [sym_func_literal] = STATE(936),
    [sym_unary_expression] = STATE(936),
    [sym_binary_expression] = STATE(936),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(936),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2266),
    [sym_interpreted_string_literal] = ACTIONS(2266),
    [sym_int_literal] = ACTIONS(2268),
    [sym_float_literal] = ACTIONS(2268),
    [sym_imaginary_literal] = ACTIONS(2266),
    [sym_rune_literal] = ACTIONS(2266),
    [sym_comment] = ACTIONS(19),
  },
  [703] = {
    [anon_sym_RPAREN] = ACTIONS(2270),
    [sym_comment] = ACTIONS(19),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(2272),
    [anon_sym_LF] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_package] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_const] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_var] = ACTIONS(2274),
    [anon_sym_func] = ACTIONS(2274),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_case] = ACTIONS(2274),
    [sym_default_case] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_AMP_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [sym_comment] = ACTIONS(59),
  },
  [705] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [706] = {
    [anon_sym_RPAREN] = ACTIONS(2282),
    [anon_sym_COMMA] = ACTIONS(2282),
    [sym_comment] = ACTIONS(19),
  },
  [707] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [708] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(941),
    [sym_parenthesized_expression] = STATE(941),
    [sym_call_expression] = STATE(941),
    [sym_selector_expression] = STATE(941),
    [sym_index_expression] = STATE(941),
    [sym_slice_expression] = STATE(941),
    [sym_type_assertion_expression] = STATE(941),
    [sym_type_conversion_expression] = STATE(941),
    [sym_composite_literal] = STATE(941),
    [sym_func_literal] = STATE(941),
    [sym_unary_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(941),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2284),
    [sym_interpreted_string_literal] = ACTIONS(2284),
    [sym_int_literal] = ACTIONS(2286),
    [sym_float_literal] = ACTIONS(2286),
    [sym_imaginary_literal] = ACTIONS(2284),
    [sym_rune_literal] = ACTIONS(2284),
    [sym_comment] = ACTIONS(19),
  },
  [709] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(942),
    [sym_parenthesized_expression] = STATE(942),
    [sym_call_expression] = STATE(942),
    [sym_selector_expression] = STATE(942),
    [sym_index_expression] = STATE(942),
    [sym_slice_expression] = STATE(942),
    [sym_type_assertion_expression] = STATE(942),
    [sym_type_conversion_expression] = STATE(942),
    [sym_composite_literal] = STATE(942),
    [sym_func_literal] = STATE(942),
    [sym_unary_expression] = STATE(942),
    [sym_binary_expression] = STATE(942),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(942),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2288),
    [sym_interpreted_string_literal] = ACTIONS(2288),
    [sym_int_literal] = ACTIONS(2290),
    [sym_float_literal] = ACTIONS(2290),
    [sym_imaginary_literal] = ACTIONS(2288),
    [sym_rune_literal] = ACTIONS(2288),
    [sym_comment] = ACTIONS(19),
  },
  [710] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(943),
    [sym_parenthesized_expression] = STATE(943),
    [sym_call_expression] = STATE(943),
    [sym_selector_expression] = STATE(943),
    [sym_index_expression] = STATE(943),
    [sym_slice_expression] = STATE(943),
    [sym_type_assertion_expression] = STATE(943),
    [sym_type_conversion_expression] = STATE(943),
    [sym_composite_literal] = STATE(943),
    [sym_func_literal] = STATE(943),
    [sym_unary_expression] = STATE(943),
    [sym_binary_expression] = STATE(943),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(943),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2292),
    [sym_interpreted_string_literal] = ACTIONS(2292),
    [sym_int_literal] = ACTIONS(2294),
    [sym_float_literal] = ACTIONS(2294),
    [sym_imaginary_literal] = ACTIONS(2292),
    [sym_rune_literal] = ACTIONS(2292),
    [sym_comment] = ACTIONS(19),
  },
  [711] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(944),
    [sym_parenthesized_expression] = STATE(944),
    [sym_call_expression] = STATE(944),
    [sym_selector_expression] = STATE(944),
    [sym_index_expression] = STATE(944),
    [sym_slice_expression] = STATE(944),
    [sym_type_assertion_expression] = STATE(944),
    [sym_type_conversion_expression] = STATE(944),
    [sym_composite_literal] = STATE(944),
    [sym_func_literal] = STATE(944),
    [sym_unary_expression] = STATE(944),
    [sym_binary_expression] = STATE(944),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(944),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2296),
    [sym_interpreted_string_literal] = ACTIONS(2296),
    [sym_int_literal] = ACTIONS(2298),
    [sym_float_literal] = ACTIONS(2298),
    [sym_imaginary_literal] = ACTIONS(2296),
    [sym_rune_literal] = ACTIONS(2296),
    [sym_comment] = ACTIONS(19),
  },
  [712] = {
    [aux_sym_argument_list_repeat1] = STATE(946),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2300),
    [sym_comment] = ACTIONS(19),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2302),
    [anon_sym_LF] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2304),
    [anon_sym_package] = ACTIONS(2304),
    [anon_sym_import] = ACTIONS(2304),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2304),
    [anon_sym_var] = ACTIONS(2304),
    [anon_sym_func] = ACTIONS(2304),
    [anon_sym_type] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_RBRACE] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [sym_default_case] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2304),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SLASH] = ACTIONS(2304),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_GT_GT] = ACTIONS(2304),
    [anon_sym_AMP_CARET] = ACTIONS(2304),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2304),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_AMP_AMP] = ACTIONS(2304),
    [anon_sym_PIPE_PIPE] = ACTIONS(2304),
    [sym_comment] = ACTIONS(59),
  },
  [714] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2306),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [715] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(2310),
    [anon_sym_LF] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym_package] = ACTIONS(2312),
    [anon_sym_import] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_LPAREN] = ACTIONS(2312),
    [anon_sym_const] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2312),
    [anon_sym_var] = ACTIONS(2312),
    [anon_sym_func] = ACTIONS(2312),
    [anon_sym_type] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2312),
    [anon_sym_case] = ACTIONS(2312),
    [sym_default_case] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_AMP_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_PIPE_PIPE] = ACTIONS(2312),
    [sym_comment] = ACTIONS(59),
  },
  [717] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(949),
    [sym_parenthesized_expression] = STATE(949),
    [sym_call_expression] = STATE(949),
    [sym_selector_expression] = STATE(949),
    [sym_index_expression] = STATE(949),
    [sym_slice_expression] = STATE(949),
    [sym_type_assertion_expression] = STATE(949),
    [sym_type_conversion_expression] = STATE(949),
    [sym_composite_literal] = STATE(949),
    [sym_func_literal] = STATE(949),
    [sym_unary_expression] = STATE(949),
    [sym_binary_expression] = STATE(949),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(949),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2314),
    [sym_interpreted_string_literal] = ACTIONS(2314),
    [sym_int_literal] = ACTIONS(2316),
    [sym_float_literal] = ACTIONS(2316),
    [sym_imaginary_literal] = ACTIONS(2314),
    [sym_rune_literal] = ACTIONS(2314),
    [sym_comment] = ACTIONS(19),
  },
  [718] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(950),
    [sym_parenthesized_expression] = STATE(950),
    [sym_call_expression] = STATE(950),
    [sym_selector_expression] = STATE(950),
    [sym_index_expression] = STATE(950),
    [sym_slice_expression] = STATE(950),
    [sym_type_assertion_expression] = STATE(950),
    [sym_type_conversion_expression] = STATE(950),
    [sym_composite_literal] = STATE(950),
    [sym_func_literal] = STATE(950),
    [sym_unary_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(950),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2318),
    [sym_interpreted_string_literal] = ACTIONS(2318),
    [sym_int_literal] = ACTIONS(2320),
    [sym_float_literal] = ACTIONS(2320),
    [sym_imaginary_literal] = ACTIONS(2318),
    [sym_rune_literal] = ACTIONS(2318),
    [sym_comment] = ACTIONS(19),
  },
  [719] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(951),
    [sym_call_expression] = STATE(951),
    [sym_selector_expression] = STATE(951),
    [sym_index_expression] = STATE(951),
    [sym_slice_expression] = STATE(951),
    [sym_type_assertion_expression] = STATE(951),
    [sym_type_conversion_expression] = STATE(951),
    [sym_composite_literal] = STATE(951),
    [sym_func_literal] = STATE(951),
    [sym_unary_expression] = STATE(951),
    [sym_binary_expression] = STATE(951),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(951),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2322),
    [sym_interpreted_string_literal] = ACTIONS(2322),
    [sym_int_literal] = ACTIONS(2324),
    [sym_float_literal] = ACTIONS(2324),
    [sym_imaginary_literal] = ACTIONS(2322),
    [sym_rune_literal] = ACTIONS(2322),
    [sym_comment] = ACTIONS(19),
  },
  [720] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(952),
    [sym_parenthesized_expression] = STATE(952),
    [sym_call_expression] = STATE(952),
    [sym_selector_expression] = STATE(952),
    [sym_index_expression] = STATE(952),
    [sym_slice_expression] = STATE(952),
    [sym_type_assertion_expression] = STATE(952),
    [sym_type_conversion_expression] = STATE(952),
    [sym_composite_literal] = STATE(952),
    [sym_func_literal] = STATE(952),
    [sym_unary_expression] = STATE(952),
    [sym_binary_expression] = STATE(952),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(952),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2326),
    [sym_interpreted_string_literal] = ACTIONS(2326),
    [sym_int_literal] = ACTIONS(2328),
    [sym_float_literal] = ACTIONS(2328),
    [sym_imaginary_literal] = ACTIONS(2326),
    [sym_rune_literal] = ACTIONS(2326),
    [sym_comment] = ACTIONS(19),
  },
  [721] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(953),
    [sym_parenthesized_expression] = STATE(953),
    [sym_call_expression] = STATE(953),
    [sym_selector_expression] = STATE(953),
    [sym_index_expression] = STATE(953),
    [sym_slice_expression] = STATE(953),
    [sym_type_assertion_expression] = STATE(953),
    [sym_type_conversion_expression] = STATE(953),
    [sym_composite_literal] = STATE(953),
    [sym_func_literal] = STATE(953),
    [sym_unary_expression] = STATE(953),
    [sym_binary_expression] = STATE(953),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(953),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2330),
    [sym_interpreted_string_literal] = ACTIONS(2330),
    [sym_int_literal] = ACTIONS(2332),
    [sym_float_literal] = ACTIONS(2332),
    [sym_imaginary_literal] = ACTIONS(2330),
    [sym_rune_literal] = ACTIONS(2330),
    [sym_comment] = ACTIONS(19),
  },
  [722] = {
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_DOT] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [anon_sym_RPAREN] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_RBRACK] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_LT_DASH] = ACTIONS(1338),
    [anon_sym_COLON_EQ] = ACTIONS(1338),
    [anon_sym_STAR_EQ] = ACTIONS(1338),
    [anon_sym_SLASH_EQ] = ACTIONS(1338),
    [anon_sym_PERCENT_EQ] = ACTIONS(1338),
    [anon_sym_LT_LT_EQ] = ACTIONS(1338),
    [anon_sym_GT_GT_EQ] = ACTIONS(1338),
    [anon_sym_AMP_EQ] = ACTIONS(1338),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1338),
    [anon_sym_PLUS_EQ] = ACTIONS(1338),
    [anon_sym_DASH_EQ] = ACTIONS(1338),
    [anon_sym_PIPE_EQ] = ACTIONS(1338),
    [anon_sym_CARET_EQ] = ACTIONS(1338),
    [anon_sym_COLON] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1340),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1340),
    [anon_sym_GT_GT] = ACTIONS(1340),
    [anon_sym_AMP_CARET] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(1338),
    [anon_sym_BANG_EQ] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1338),
    [anon_sym_GT] = ACTIONS(1340),
    [anon_sym_GT_EQ] = ACTIONS(1338),
    [anon_sym_AMP_AMP] = ACTIONS(1338),
    [anon_sym_PIPE_PIPE] = ACTIONS(1338),
    [sym_comment] = ACTIONS(19),
  },
  [723] = {
    [anon_sym_RBRACE] = ACTIONS(2334),
    [sym_comment] = ACTIONS(19),
  },
  [724] = {
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_RPAREN] = ACTIONS(2178),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_RBRACK] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_LT_DASH] = ACTIONS(2178),
    [anon_sym_COLON_EQ] = ACTIONS(2178),
    [anon_sym_STAR_EQ] = ACTIONS(2178),
    [anon_sym_SLASH_EQ] = ACTIONS(2178),
    [anon_sym_PERCENT_EQ] = ACTIONS(2178),
    [anon_sym_LT_LT_EQ] = ACTIONS(2178),
    [anon_sym_GT_GT_EQ] = ACTIONS(2178),
    [anon_sym_AMP_EQ] = ACTIONS(2178),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2178),
    [anon_sym_PLUS_EQ] = ACTIONS(2178),
    [anon_sym_DASH_EQ] = ACTIONS(2178),
    [anon_sym_PIPE_EQ] = ACTIONS(2178),
    [anon_sym_CARET_EQ] = ACTIONS(2178),
    [anon_sym_COLON] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_AMP_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [sym_comment] = ACTIONS(19),
  },
  [725] = {
    [anon_sym_SEMI] = ACTIONS(2198),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2198),
    [anon_sym_RPAREN] = ACTIONS(2198),
    [anon_sym_COMMA] = ACTIONS(2198),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [anon_sym_RBRACK] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2198),
    [anon_sym_RBRACE] = ACTIONS(2198),
    [anon_sym_LT_DASH] = ACTIONS(2198),
    [anon_sym_COLON_EQ] = ACTIONS(2198),
    [anon_sym_STAR_EQ] = ACTIONS(2198),
    [anon_sym_SLASH_EQ] = ACTIONS(2198),
    [anon_sym_PERCENT_EQ] = ACTIONS(2198),
    [anon_sym_LT_LT_EQ] = ACTIONS(2198),
    [anon_sym_GT_GT_EQ] = ACTIONS(2198),
    [anon_sym_AMP_EQ] = ACTIONS(2198),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2198),
    [anon_sym_PLUS_EQ] = ACTIONS(2198),
    [anon_sym_DASH_EQ] = ACTIONS(2198),
    [anon_sym_PIPE_EQ] = ACTIONS(2198),
    [anon_sym_CARET_EQ] = ACTIONS(2198),
    [anon_sym_COLON] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_AMP_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2198),
    [anon_sym_BANG_EQ] = ACTIONS(2198),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2198),
    [anon_sym_AMP_AMP] = ACTIONS(2198),
    [anon_sym_PIPE_PIPE] = ACTIONS(2198),
    [sym_comment] = ACTIONS(19),
  },
  [726] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [727] = {
    [aux_sym_expression_list_repeat1] = STATE(916),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2338),
    [sym_comment] = ACTIONS(19),
  },
  [728] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [729] = {
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_LT_DASH] = ACTIONS(2242),
    [anon_sym_COLON_EQ] = ACTIONS(2242),
    [anon_sym_STAR_EQ] = ACTIONS(2242),
    [anon_sym_SLASH_EQ] = ACTIONS(2242),
    [anon_sym_PERCENT_EQ] = ACTIONS(2242),
    [anon_sym_LT_LT_EQ] = ACTIONS(2242),
    [anon_sym_GT_GT_EQ] = ACTIONS(2242),
    [anon_sym_AMP_EQ] = ACTIONS(2242),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2242),
    [anon_sym_PLUS_EQ] = ACTIONS(2242),
    [anon_sym_DASH_EQ] = ACTIONS(2242),
    [anon_sym_PIPE_EQ] = ACTIONS(2242),
    [anon_sym_CARET_EQ] = ACTIONS(2242),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_AMP_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2242),
    [anon_sym_AMP_AMP] = ACTIONS(2242),
    [anon_sym_PIPE_PIPE] = ACTIONS(2242),
    [sym_comment] = ACTIONS(19),
  },
  [730] = {
    [aux_sym_literal_value_repeat1] = STATE(931),
    [anon_sym_COMMA] = ACTIONS(2342),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [sym_comment] = ACTIONS(19),
  },
  [731] = {
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_DOT] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_RPAREN] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [anon_sym_EQ] = ACTIONS(2250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_RBRACK] = ACTIONS(2248),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [anon_sym_LT_DASH] = ACTIONS(2248),
    [anon_sym_COLON_EQ] = ACTIONS(2248),
    [anon_sym_STAR_EQ] = ACTIONS(2248),
    [anon_sym_SLASH_EQ] = ACTIONS(2248),
    [anon_sym_PERCENT_EQ] = ACTIONS(2248),
    [anon_sym_LT_LT_EQ] = ACTIONS(2248),
    [anon_sym_GT_GT_EQ] = ACTIONS(2248),
    [anon_sym_AMP_EQ] = ACTIONS(2248),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2248),
    [anon_sym_PLUS_EQ] = ACTIONS(2248),
    [anon_sym_DASH_EQ] = ACTIONS(2248),
    [anon_sym_PIPE_EQ] = ACTIONS(2248),
    [anon_sym_CARET_EQ] = ACTIONS(2248),
    [anon_sym_COLON] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2250),
    [anon_sym_LT_LT] = ACTIONS(2250),
    [anon_sym_GT_GT] = ACTIONS(2250),
    [anon_sym_AMP_CARET] = ACTIONS(2250),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_EQ_EQ] = ACTIONS(2248),
    [anon_sym_BANG_EQ] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_AMP_AMP] = ACTIONS(2248),
    [anon_sym_PIPE_PIPE] = ACTIONS(2248),
    [sym_comment] = ACTIONS(19),
  },
  [732] = {
    [anon_sym_RPAREN] = ACTIONS(2344),
    [sym_comment] = ACTIONS(19),
  },
  [733] = {
    [anon_sym_RPAREN] = ACTIONS(2346),
    [sym_comment] = ACTIONS(19),
  },
  [734] = {
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [anon_sym_LT_DASH] = ACTIONS(2272),
    [anon_sym_COLON_EQ] = ACTIONS(2272),
    [anon_sym_STAR_EQ] = ACTIONS(2272),
    [anon_sym_SLASH_EQ] = ACTIONS(2272),
    [anon_sym_PERCENT_EQ] = ACTIONS(2272),
    [anon_sym_LT_LT_EQ] = ACTIONS(2272),
    [anon_sym_GT_GT_EQ] = ACTIONS(2272),
    [anon_sym_AMP_EQ] = ACTIONS(2272),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2272),
    [anon_sym_PLUS_EQ] = ACTIONS(2272),
    [anon_sym_DASH_EQ] = ACTIONS(2272),
    [anon_sym_PIPE_EQ] = ACTIONS(2272),
    [anon_sym_CARET_EQ] = ACTIONS(2272),
    [anon_sym_COLON] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_AMP_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2272),
    [anon_sym_BANG_EQ] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2272),
    [sym_comment] = ACTIONS(19),
  },
  [735] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [736] = {
    [aux_sym_argument_list_repeat1] = STATE(946),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [anon_sym_COMMA] = ACTIONS(2350),
    [sym_comment] = ACTIONS(19),
  },
  [737] = {
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_RPAREN] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(2304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_RBRACK] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_LT_DASH] = ACTIONS(2302),
    [anon_sym_COLON_EQ] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_COLON] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2304),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SLASH] = ACTIONS(2304),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_GT_GT] = ACTIONS(2304),
    [anon_sym_AMP_CARET] = ACTIONS(2304),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2304),
    [anon_sym_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_PIPE_PIPE] = ACTIONS(2302),
    [sym_comment] = ACTIONS(19),
  },
  [738] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2352),
    [anon_sym_COLON] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [739] = {
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_LT_DASH] = ACTIONS(2310),
    [anon_sym_COLON_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_COLON] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_AMP_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [sym_comment] = ACTIONS(19),
  },
  [740] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(965),
    [sym_parenthesized_expression] = STATE(965),
    [sym_call_expression] = STATE(965),
    [sym_selector_expression] = STATE(965),
    [sym_index_expression] = STATE(965),
    [sym_slice_expression] = STATE(965),
    [sym_type_assertion_expression] = STATE(965),
    [sym_type_conversion_expression] = STATE(965),
    [sym_composite_literal] = STATE(965),
    [sym_func_literal] = STATE(965),
    [sym_unary_expression] = STATE(965),
    [sym_binary_expression] = STATE(965),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(965),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(2352),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2356),
    [sym_interpreted_string_literal] = ACTIONS(2356),
    [sym_int_literal] = ACTIONS(2358),
    [sym_float_literal] = ACTIONS(2358),
    [sym_imaginary_literal] = ACTIONS(2356),
    [sym_rune_literal] = ACTIONS(2356),
    [sym_comment] = ACTIONS(19),
  },
  [741] = {
    [anon_sym_LF] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [sym_comment] = ACTIONS(59),
  },
  [742] = {
    [anon_sym_LF] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [sym_comment] = ACTIONS(59),
  },
  [743] = {
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_COMMA] = ACTIONS(2368),
    [anon_sym_func] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_map] = ACTIONS(2370),
    [anon_sym_chan] = ACTIONS(2370),
    [anon_sym_LT_DASH] = ACTIONS(2368),
    [sym_identifier] = ACTIONS(2370),
    [sym_comment] = ACTIONS(19),
  },
  [744] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(143),
    [sym_raw_string_literal] = ACTIONS(753),
    [sym_interpreted_string_literal] = ACTIONS(753),
    [sym_comment] = ACTIONS(59),
  },
  [745] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [746] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [747] = {
    [sym_parenthesized_type] = STATE(967),
    [sym__simple_type] = STATE(967),
    [sym_pointer_type] = STATE(967),
    [sym_array_type] = STATE(967),
    [sym_slice_type] = STATE(967),
    [sym_struct_type] = STATE(967),
    [sym_interface_type] = STATE(967),
    [sym_map_type] = STATE(967),
    [sym_channel_type] = STATE(967),
    [sym_function_type] = STATE(967),
    [sym_qualified_type] = STATE(967),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [748] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(2374),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [749] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [750] = {
    [anon_sym_LF] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [sym_comment] = ACTIONS(59),
  },
  [751] = {
    [sym__string_literal] = STATE(969),
    [anon_sym_LF] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [sym_raw_string_literal] = ACTIONS(2380),
    [sym_interpreted_string_literal] = ACTIONS(2380),
    [sym_comment] = ACTIONS(59),
  },
  [752] = {
    [aux_sym_field_name_list_repeat1] = STATE(752),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_func] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2387),
    [anon_sym_map] = ACTIONS(2387),
    [anon_sym_chan] = ACTIONS(2387),
    [anon_sym_LT_DASH] = ACTIONS(2382),
    [sym_identifier] = ACTIONS(2387),
    [sym_comment] = ACTIONS(19),
  },
  [753] = {
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_RPAREN] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_RBRACK] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2389),
    [anon_sym_COLON] = ACTIONS(2389),
    [sym_comment] = ACTIONS(19),
  },
  [754] = {
    [anon_sym_LF] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_RBRACE] = ACTIONS(2393),
    [sym_comment] = ACTIONS(59),
  },
  [755] = {
    [sym_field_declaration] = STATE(754),
    [sym_qualified_type] = STATE(310),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_RBRACE] = ACTIONS(2395),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(19),
  },
  [756] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(756),
    [anon_sym_LF] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym_RBRACE] = ACTIONS(2393),
    [sym_comment] = ACTIONS(59),
  },
  [757] = {
    [anon_sym_LPAREN] = ACTIONS(2403),
    [anon_sym_RPAREN] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_COLON] = ACTIONS(2403),
    [sym_comment] = ACTIONS(19),
  },
  [758] = {
    [sym_parameter_list] = STATE(528),
    [anon_sym_LF] = ACTIONS(2405),
    [anon_sym_SEMI] = ACTIONS(2407),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_RBRACE] = ACTIONS(2407),
    [sym_comment] = ACTIONS(59),
  },
  [759] = {
    [anon_sym_LF] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2411),
    [sym_comment] = ACTIONS(59),
  },
  [760] = {
    [sym_parameter_list] = STATE(972),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [761] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [762] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(974),
    [sym_parenthesized_expression] = STATE(974),
    [sym_call_expression] = STATE(974),
    [sym_selector_expression] = STATE(974),
    [sym_index_expression] = STATE(974),
    [sym_slice_expression] = STATE(974),
    [sym_type_assertion_expression] = STATE(974),
    [sym_type_conversion_expression] = STATE(974),
    [sym_composite_literal] = STATE(974),
    [sym_func_literal] = STATE(974),
    [sym_unary_expression] = STATE(974),
    [sym_binary_expression] = STATE(974),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(974),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2415),
    [sym_interpreted_string_literal] = ACTIONS(2415),
    [sym_int_literal] = ACTIONS(2417),
    [sym_float_literal] = ACTIONS(2417),
    [sym_imaginary_literal] = ACTIONS(2415),
    [sym_rune_literal] = ACTIONS(2415),
    [sym_comment] = ACTIONS(19),
  },
  [763] = {
    [anon_sym_LBRACK] = ACTIONS(2419),
    [sym_comment] = ACTIONS(19),
  },
  [764] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(2421),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [765] = {
    [anon_sym_chan] = ACTIONS(2423),
    [sym_comment] = ACTIONS(19),
  },
  [766] = {
    [anon_sym_LF] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [sym_comment] = ACTIONS(59),
  },
  [767] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [768] = {
    [aux_sym_method_spec_list_repeat1] = STATE(768),
    [anon_sym_LF] = ACTIONS(2431),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2411),
    [sym_comment] = ACTIONS(59),
  },
  [769] = {
    [anon_sym_LPAREN] = ACTIONS(2437),
    [anon_sym_RPAREN] = ACTIONS(2437),
    [anon_sym_COMMA] = ACTIONS(2437),
    [anon_sym_EQ] = ACTIONS(2437),
    [anon_sym_RBRACK] = ACTIONS(2437),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_COLON] = ACTIONS(2437),
    [sym_comment] = ACTIONS(19),
  },
  [770] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [771] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [772] = {
    [anon_sym_RBRACK] = ACTIONS(2441),
    [sym_comment] = ACTIONS(19),
  },
  [773] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(1228),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [774] = {
    [anon_sym_LPAREN] = ACTIONS(2443),
    [anon_sym_RPAREN] = ACTIONS(2443),
    [anon_sym_COMMA] = ACTIONS(2443),
    [anon_sym_EQ] = ACTIONS(2443),
    [anon_sym_RBRACK] = ACTIONS(2443),
    [anon_sym_LBRACE] = ACTIONS(2443),
    [anon_sym_COLON] = ACTIONS(2443),
    [sym_comment] = ACTIONS(19),
  },
  [775] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(341),
    [anon_sym_STAR] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(347),
    [anon_sym_chan] = ACTIONS(349),
    [anon_sym_LT_DASH] = ACTIONS(351),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(2389),
    [anon_sym_LF] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(2445),
    [anon_sym_package] = ACTIONS(2445),
    [anon_sym_import] = ACTIONS(2445),
    [anon_sym_const] = ACTIONS(2445),
    [anon_sym_EQ] = ACTIONS(2445),
    [anon_sym_var] = ACTIONS(2445),
    [anon_sym_func] = ACTIONS(2445),
    [anon_sym_type] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2445),
    [anon_sym_RBRACE] = ACTIONS(2445),
    [anon_sym_case] = ACTIONS(2445),
    [sym_default_case] = ACTIONS(2445),
    [sym_raw_string_literal] = ACTIONS(2445),
    [sym_interpreted_string_literal] = ACTIONS(2445),
    [sym_comment] = ACTIONS(59),
  },
  [777] = {
    [sym_field_declaration] = STATE(754),
    [sym_qualified_type] = STATE(310),
    [anon_sym_STAR] = ACTIONS(685),
    [anon_sym_RBRACE] = ACTIONS(2447),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(19),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(2403),
    [anon_sym_LF] = ACTIONS(2403),
    [anon_sym_SEMI] = ACTIONS(2449),
    [anon_sym_package] = ACTIONS(2449),
    [anon_sym_import] = ACTIONS(2449),
    [anon_sym_const] = ACTIONS(2449),
    [anon_sym_EQ] = ACTIONS(2449),
    [anon_sym_var] = ACTIONS(2449),
    [anon_sym_func] = ACTIONS(2449),
    [anon_sym_type] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2449),
    [anon_sym_RBRACE] = ACTIONS(2449),
    [anon_sym_case] = ACTIONS(2449),
    [sym_default_case] = ACTIONS(2449),
    [sym_raw_string_literal] = ACTIONS(2449),
    [sym_interpreted_string_literal] = ACTIONS(2449),
    [sym_comment] = ACTIONS(59),
  },
  [779] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [anon_sym_RBRACE] = ACTIONS(2451),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(2437),
    [anon_sym_LF] = ACTIONS(2437),
    [anon_sym_SEMI] = ACTIONS(2453),
    [anon_sym_package] = ACTIONS(2453),
    [anon_sym_import] = ACTIONS(2453),
    [anon_sym_const] = ACTIONS(2453),
    [anon_sym_EQ] = ACTIONS(2453),
    [anon_sym_var] = ACTIONS(2453),
    [anon_sym_func] = ACTIONS(2453),
    [anon_sym_type] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2453),
    [sym_default_case] = ACTIONS(2453),
    [sym_raw_string_literal] = ACTIONS(2453),
    [sym_interpreted_string_literal] = ACTIONS(2453),
    [sym_comment] = ACTIONS(59),
  },
  [781] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(2443),
    [anon_sym_LF] = ACTIONS(2443),
    [anon_sym_SEMI] = ACTIONS(2457),
    [anon_sym_package] = ACTIONS(2457),
    [anon_sym_import] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_var] = ACTIONS(2457),
    [anon_sym_func] = ACTIONS(2457),
    [anon_sym_type] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(2457),
    [anon_sym_RBRACE] = ACTIONS(2457),
    [anon_sym_case] = ACTIONS(2457),
    [sym_default_case] = ACTIONS(2457),
    [sym_raw_string_literal] = ACTIONS(2457),
    [sym_interpreted_string_literal] = ACTIONS(2457),
    [sym_comment] = ACTIONS(59),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(1881),
    [anon_sym_LF] = ACTIONS(1881),
    [anon_sym_SEMI] = ACTIONS(1883),
    [anon_sym_package] = ACTIONS(1883),
    [anon_sym_import] = ACTIONS(1883),
    [anon_sym_LPAREN] = ACTIONS(1883),
    [anon_sym_const] = ACTIONS(1883),
    [anon_sym_EQ] = ACTIONS(1883),
    [anon_sym_var] = ACTIONS(1883),
    [anon_sym_func] = ACTIONS(1883),
    [anon_sym_type] = ACTIONS(1883),
    [anon_sym_STAR] = ACTIONS(1883),
    [anon_sym_LBRACK] = ACTIONS(1883),
    [anon_sym_struct] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(1883),
    [anon_sym_RBRACE] = ACTIONS(1883),
    [anon_sym_interface] = ACTIONS(1883),
    [anon_sym_map] = ACTIONS(1883),
    [anon_sym_chan] = ACTIONS(1883),
    [anon_sym_LT_DASH] = ACTIONS(1883),
    [anon_sym_case] = ACTIONS(1883),
    [sym_default_case] = ACTIONS(1883),
    [sym_identifier] = ACTIONS(1883),
    [sym_raw_string_literal] = ACTIONS(1883),
    [sym_interpreted_string_literal] = ACTIONS(1883),
    [sym_comment] = ACTIONS(59),
  },
  [784] = {
    [anon_sym_LF] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_EQ] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_LT_DASH] = ACTIONS(1548),
    [anon_sym_COLON_EQ] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_STAR_EQ] = ACTIONS(1548),
    [anon_sym_SLASH_EQ] = ACTIONS(1548),
    [anon_sym_PERCENT_EQ] = ACTIONS(1548),
    [anon_sym_LT_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT_GT_EQ] = ACTIONS(1548),
    [anon_sym_AMP_EQ] = ACTIONS(1548),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1548),
    [anon_sym_PLUS_EQ] = ACTIONS(1548),
    [anon_sym_DASH_EQ] = ACTIONS(1548),
    [anon_sym_PIPE_EQ] = ACTIONS(1548),
    [anon_sym_CARET_EQ] = ACTIONS(1548),
    [anon_sym_case] = ACTIONS(1548),
    [sym_default_case] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_AMP_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [sym_comment] = ACTIONS(59),
  },
  [785] = {
    [sym_expression_list] = STATE(127),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_interpreted_string_literal] = ACTIONS(2079),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(2079),
    [sym_rune_literal] = ACTIONS(2079),
    [sym_comment] = ACTIONS(19),
  },
  [786] = {
    [anon_sym_EQ] = ACTIONS(2459),
    [sym_comment] = ACTIONS(19),
  },
  [787] = {
    [sym_parenthesized_type] = STATE(986),
    [sym__simple_type] = STATE(986),
    [sym_pointer_type] = STATE(986),
    [sym_array_type] = STATE(986),
    [sym_slice_type] = STATE(986),
    [sym_struct_type] = STATE(986),
    [sym_interface_type] = STATE(986),
    [sym_map_type] = STATE(986),
    [sym_channel_type] = STATE(986),
    [sym_function_type] = STATE(986),
    [sym_qualified_type] = STATE(986),
    [aux_sym_const_spec_repeat1] = STATE(987),
    [anon_sym_LF] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(2461),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(59),
  },
  [788] = {
    [sym_expression_list] = STATE(172),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_interpreted_string_literal] = ACTIONS(2079),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(2079),
    [sym_rune_literal] = ACTIONS(2079),
    [sym_comment] = ACTIONS(19),
  },
  [789] = {
    [sym_parameter_list] = STATE(988),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [790] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [791] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(990),
    [sym_parenthesized_expression] = STATE(990),
    [sym_call_expression] = STATE(990),
    [sym_selector_expression] = STATE(990),
    [sym_index_expression] = STATE(990),
    [sym_slice_expression] = STATE(990),
    [sym_type_assertion_expression] = STATE(990),
    [sym_type_conversion_expression] = STATE(990),
    [sym_composite_literal] = STATE(990),
    [sym_func_literal] = STATE(990),
    [sym_unary_expression] = STATE(990),
    [sym_binary_expression] = STATE(990),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(990),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(2463),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2465),
    [sym_interpreted_string_literal] = ACTIONS(2465),
    [sym_int_literal] = ACTIONS(2467),
    [sym_float_literal] = ACTIONS(2467),
    [sym_imaginary_literal] = ACTIONS(2465),
    [sym_rune_literal] = ACTIONS(2465),
    [sym_comment] = ACTIONS(19),
  },
  [792] = {
    [anon_sym_LBRACK] = ACTIONS(2469),
    [sym_comment] = ACTIONS(19),
  },
  [793] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [794] = {
    [anon_sym_chan] = ACTIONS(2473),
    [sym_comment] = ACTIONS(19),
  },
  [795] = {
    [anon_sym_LF] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(2475),
    [anon_sym_RBRACE] = ACTIONS(383),
    [sym_comment] = ACTIONS(59),
  },
  [796] = {
    [sym_parenthesized_type] = STATE(995),
    [sym__simple_type] = STATE(995),
    [sym_pointer_type] = STATE(995),
    [sym_array_type] = STATE(995),
    [sym_slice_type] = STATE(995),
    [sym_struct_type] = STATE(995),
    [sym_interface_type] = STATE(995),
    [sym_map_type] = STATE(995),
    [sym_channel_type] = STATE(995),
    [sym_function_type] = STATE(995),
    [sym_qualified_type] = STATE(995),
    [aux_sym_const_spec_repeat1] = STATE(188),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [797] = {
    [sym__declaration] = STATE(393),
    [sym_const_declaration] = STATE(393),
    [sym_var_declaration] = STATE(393),
    [sym_type_declaration] = STATE(393),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(393),
    [sym__statement_list] = STATE(997),
    [sym__statement] = STATE(393),
    [sym_empty_statement] = STATE(393),
    [sym__simple_statement] = STATE(393),
    [sym_send_statement] = STATE(393),
    [sym_inc_statement] = STATE(393),
    [sym_dec_statement] = STATE(393),
    [sym_assignment_statement] = STATE(393),
    [sym_short_var_declaration] = STATE(393),
    [sym_labeled_statement] = STATE(393),
    [sym_empty_labeled_statement] = STATE(394),
    [sym_fallthrough_statement] = STATE(393),
    [sym_break_statement] = STATE(393),
    [sym_continue_statement] = STATE(393),
    [sym_goto_statement] = STATE(393),
    [sym_return_statement] = STATE(393),
    [sym_go_statement] = STATE(393),
    [sym_defer_statement] = STATE(393),
    [sym_if_statement] = STATE(393),
    [sym_for_statement] = STATE(393),
    [sym_expression_switch_statement] = STATE(393),
    [sym_type_switch_statement] = STATE(393),
    [sym_select_statement] = STATE(393),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(867),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [798] = {
    [sym_block] = STATE(998),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [sym_comment] = ACTIONS(19),
  },
  [799] = {
    [anon_sym_LF] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1572),
    [anon_sym_DOT] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [anon_sym_COMMA] = ACTIONS(1572),
    [anon_sym_EQ] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [anon_sym_LT_DASH] = ACTIONS(1572),
    [anon_sym_COLON_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_STAR_EQ] = ACTIONS(1572),
    [anon_sym_SLASH_EQ] = ACTIONS(1572),
    [anon_sym_PERCENT_EQ] = ACTIONS(1572),
    [anon_sym_LT_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT_GT_EQ] = ACTIONS(1572),
    [anon_sym_AMP_EQ] = ACTIONS(1572),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1572),
    [anon_sym_PLUS_EQ] = ACTIONS(1572),
    [anon_sym_DASH_EQ] = ACTIONS(1572),
    [anon_sym_PIPE_EQ] = ACTIONS(1572),
    [anon_sym_CARET_EQ] = ACTIONS(1572),
    [anon_sym_case] = ACTIONS(1572),
    [sym_default_case] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1572),
    [anon_sym_AMP_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1572),
    [anon_sym_BANG_EQ] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1572),
    [anon_sym_GT] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1572),
    [anon_sym_AMP_AMP] = ACTIONS(1572),
    [anon_sym_PIPE_PIPE] = ACTIONS(1572),
    [sym_comment] = ACTIONS(59),
  },
  [800] = {
    [sym_parenthesized_type] = STATE(225),
    [sym__simple_type] = STATE(225),
    [sym_pointer_type] = STATE(225),
    [sym_array_type] = STATE(225),
    [sym_slice_type] = STATE(225),
    [sym_struct_type] = STATE(225),
    [sym_interface_type] = STATE(225),
    [sym_map_type] = STATE(225),
    [sym_channel_type] = STATE(225),
    [sym_function_type] = STATE(225),
    [sym_qualified_type] = STATE(225),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [801] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(999),
    [sym_parenthesized_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_selector_expression] = STATE(999),
    [sym_index_expression] = STATE(999),
    [sym_slice_expression] = STATE(999),
    [sym_type_assertion_expression] = STATE(999),
    [sym_type_conversion_expression] = STATE(999),
    [sym_composite_literal] = STATE(999),
    [sym_func_literal] = STATE(999),
    [sym_unary_expression] = STATE(999),
    [sym_binary_expression] = STATE(999),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(999),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2481),
    [sym_interpreted_string_literal] = ACTIONS(2481),
    [sym_int_literal] = ACTIONS(2483),
    [sym_float_literal] = ACTIONS(2483),
    [sym_imaginary_literal] = ACTIONS(2481),
    [sym_rune_literal] = ACTIONS(2481),
    [sym_comment] = ACTIONS(19),
  },
  [802] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(478),
    [sym_parenthesized_expression] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_selector_expression] = STATE(478),
    [sym_index_expression] = STATE(478),
    [sym_slice_expression] = STATE(478),
    [sym_type_assertion_expression] = STATE(478),
    [sym_type_conversion_expression] = STATE(478),
    [sym_composite_literal] = STATE(478),
    [sym_func_literal] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(478),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1076),
    [sym_interpreted_string_literal] = ACTIONS(1076),
    [sym_int_literal] = ACTIONS(1078),
    [sym_float_literal] = ACTIONS(1078),
    [sym_imaginary_literal] = ACTIONS(1076),
    [sym_rune_literal] = ACTIONS(1076),
    [sym_comment] = ACTIONS(19),
  },
  [803] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1000),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_call_expression] = STATE(1000),
    [sym_selector_expression] = STATE(1000),
    [sym_index_expression] = STATE(1000),
    [sym_slice_expression] = STATE(1000),
    [sym_type_assertion_expression] = STATE(1000),
    [sym_type_conversion_expression] = STATE(1000),
    [sym_composite_literal] = STATE(1000),
    [sym_func_literal] = STATE(1000),
    [sym_unary_expression] = STATE(1000),
    [sym_binary_expression] = STATE(1000),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1000),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2485),
    [sym_interpreted_string_literal] = ACTIONS(2485),
    [sym_int_literal] = ACTIONS(2487),
    [sym_float_literal] = ACTIONS(2487),
    [sym_imaginary_literal] = ACTIONS(2485),
    [sym_rune_literal] = ACTIONS(2485),
    [sym_comment] = ACTIONS(19),
  },
  [804] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_call_expression] = STATE(1001),
    [sym_selector_expression] = STATE(1001),
    [sym_index_expression] = STATE(1001),
    [sym_slice_expression] = STATE(1001),
    [sym_type_assertion_expression] = STATE(1001),
    [sym_type_conversion_expression] = STATE(1001),
    [sym_composite_literal] = STATE(1001),
    [sym_func_literal] = STATE(1001),
    [sym_unary_expression] = STATE(1001),
    [sym_binary_expression] = STATE(1001),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1001),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2489),
    [sym_interpreted_string_literal] = ACTIONS(2489),
    [sym_int_literal] = ACTIONS(2491),
    [sym_float_literal] = ACTIONS(2491),
    [sym_imaginary_literal] = ACTIONS(2489),
    [sym_rune_literal] = ACTIONS(2489),
    [sym_comment] = ACTIONS(19),
  },
  [805] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_call_expression] = STATE(1002),
    [sym_selector_expression] = STATE(1002),
    [sym_index_expression] = STATE(1002),
    [sym_slice_expression] = STATE(1002),
    [sym_type_assertion_expression] = STATE(1002),
    [sym_type_conversion_expression] = STATE(1002),
    [sym_composite_literal] = STATE(1002),
    [sym_func_literal] = STATE(1002),
    [sym_unary_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1002),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2493),
    [sym_interpreted_string_literal] = ACTIONS(2493),
    [sym_int_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2495),
    [sym_imaginary_literal] = ACTIONS(2493),
    [sym_rune_literal] = ACTIONS(2493),
    [sym_comment] = ACTIONS(19),
  },
  [806] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(1003),
    [sym_call_expression] = STATE(1003),
    [sym_selector_expression] = STATE(1003),
    [sym_index_expression] = STATE(1003),
    [sym_slice_expression] = STATE(1003),
    [sym_type_assertion_expression] = STATE(1003),
    [sym_type_conversion_expression] = STATE(1003),
    [sym_composite_literal] = STATE(1003),
    [sym_func_literal] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_binary_expression] = STATE(1003),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1003),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2497),
    [sym_interpreted_string_literal] = ACTIONS(2497),
    [sym_int_literal] = ACTIONS(2499),
    [sym_float_literal] = ACTIONS(2499),
    [sym_imaginary_literal] = ACTIONS(2497),
    [sym_rune_literal] = ACTIONS(2497),
    [sym_comment] = ACTIONS(19),
  },
  [807] = {
    [aux_sym_expression_list_repeat1] = STATE(1004),
    [anon_sym_LF] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(1937),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [sym_comment] = ACTIONS(59),
  },
  [808] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(478),
    [sym_parenthesized_expression] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_selector_expression] = STATE(478),
    [sym_index_expression] = STATE(478),
    [sym_slice_expression] = STATE(478),
    [sym_type_assertion_expression] = STATE(478),
    [sym_type_conversion_expression] = STATE(478),
    [sym_composite_literal] = STATE(478),
    [sym_func_literal] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(478),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1076),
    [sym_interpreted_string_literal] = ACTIONS(1076),
    [sym_int_literal] = ACTIONS(1078),
    [sym_float_literal] = ACTIONS(1078),
    [sym_imaginary_literal] = ACTIONS(1076),
    [sym_rune_literal] = ACTIONS(1076),
    [sym_comment] = ACTIONS(19),
  },
  [809] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1005),
    [sym_parenthesized_expression] = STATE(1005),
    [sym_call_expression] = STATE(1005),
    [sym_selector_expression] = STATE(1005),
    [sym_index_expression] = STATE(1005),
    [sym_slice_expression] = STATE(1005),
    [sym_type_assertion_expression] = STATE(1005),
    [sym_type_conversion_expression] = STATE(1005),
    [sym_composite_literal] = STATE(1005),
    [sym_func_literal] = STATE(1005),
    [sym_unary_expression] = STATE(1005),
    [sym_binary_expression] = STATE(1005),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1005),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2501),
    [sym_interpreted_string_literal] = ACTIONS(2501),
    [sym_int_literal] = ACTIONS(2503),
    [sym_float_literal] = ACTIONS(2503),
    [sym_imaginary_literal] = ACTIONS(2501),
    [sym_rune_literal] = ACTIONS(2501),
    [sym_comment] = ACTIONS(19),
  },
  [810] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1006),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_call_expression] = STATE(1006),
    [sym_selector_expression] = STATE(1006),
    [sym_index_expression] = STATE(1006),
    [sym_slice_expression] = STATE(1006),
    [sym_type_assertion_expression] = STATE(1006),
    [sym_type_conversion_expression] = STATE(1006),
    [sym_composite_literal] = STATE(1006),
    [sym_func_literal] = STATE(1006),
    [sym_unary_expression] = STATE(1006),
    [sym_binary_expression] = STATE(1006),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1006),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2505),
    [sym_interpreted_string_literal] = ACTIONS(2505),
    [sym_int_literal] = ACTIONS(2507),
    [sym_float_literal] = ACTIONS(2507),
    [sym_imaginary_literal] = ACTIONS(2505),
    [sym_rune_literal] = ACTIONS(2505),
    [sym_comment] = ACTIONS(19),
  },
  [811] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1007),
    [sym_parenthesized_expression] = STATE(1007),
    [sym_call_expression] = STATE(1007),
    [sym_selector_expression] = STATE(1007),
    [sym_index_expression] = STATE(1007),
    [sym_slice_expression] = STATE(1007),
    [sym_type_assertion_expression] = STATE(1007),
    [sym_type_conversion_expression] = STATE(1007),
    [sym_composite_literal] = STATE(1007),
    [sym_func_literal] = STATE(1007),
    [sym_unary_expression] = STATE(1007),
    [sym_binary_expression] = STATE(1007),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1007),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2509),
    [sym_interpreted_string_literal] = ACTIONS(2509),
    [sym_int_literal] = ACTIONS(2511),
    [sym_float_literal] = ACTIONS(2511),
    [sym_imaginary_literal] = ACTIONS(2509),
    [sym_rune_literal] = ACTIONS(2509),
    [sym_comment] = ACTIONS(19),
  },
  [812] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1008),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_call_expression] = STATE(1008),
    [sym_selector_expression] = STATE(1008),
    [sym_index_expression] = STATE(1008),
    [sym_slice_expression] = STATE(1008),
    [sym_type_assertion_expression] = STATE(1008),
    [sym_type_conversion_expression] = STATE(1008),
    [sym_composite_literal] = STATE(1008),
    [sym_func_literal] = STATE(1008),
    [sym_unary_expression] = STATE(1008),
    [sym_binary_expression] = STATE(1008),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1008),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1378),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2513),
    [sym_interpreted_string_literal] = ACTIONS(2513),
    [sym_int_literal] = ACTIONS(2515),
    [sym_float_literal] = ACTIONS(2515),
    [sym_imaginary_literal] = ACTIONS(2513),
    [sym_rune_literal] = ACTIONS(2513),
    [sym_comment] = ACTIONS(19),
  },
  [813] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(2517),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(975),
    [anon_sym_AMP] = ACTIONS(977),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(973),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(973),
    [anon_sym_AMP_CARET] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_LT_EQ] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(985),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [sym_comment] = ACTIONS(19),
  },
  [814] = {
    [sym_parameter_list] = STATE(1011),
    [sym__simple_type] = STATE(1011),
    [sym_pointer_type] = STATE(1011),
    [sym_array_type] = STATE(1011),
    [sym_slice_type] = STATE(1011),
    [sym_struct_type] = STATE(1011),
    [sym_interface_type] = STATE(1011),
    [sym_map_type] = STATE(1011),
    [sym_channel_type] = STATE(1011),
    [sym_function_type] = STATE(1011),
    [sym_block] = STATE(1012),
    [sym_qualified_type] = STATE(1011),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1000),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [815] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1002),
    [anon_sym_EQ] = ACTIONS(1004),
    [anon_sym_STAR] = ACTIONS(1004),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_LT_DASH] = ACTIONS(1002),
    [anon_sym_COLON_EQ] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_STAR_EQ] = ACTIONS(1002),
    [anon_sym_SLASH_EQ] = ACTIONS(1002),
    [anon_sym_PERCENT_EQ] = ACTIONS(1002),
    [anon_sym_LT_LT_EQ] = ACTIONS(1002),
    [anon_sym_GT_GT_EQ] = ACTIONS(1002),
    [anon_sym_AMP_EQ] = ACTIONS(1002),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1002),
    [anon_sym_PLUS_EQ] = ACTIONS(1002),
    [anon_sym_DASH_EQ] = ACTIONS(1002),
    [anon_sym_PIPE_EQ] = ACTIONS(1002),
    [anon_sym_CARET_EQ] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_CARET] = ACTIONS(1004),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_SLASH] = ACTIONS(1004),
    [anon_sym_PERCENT] = ACTIONS(1004),
    [anon_sym_LT_LT] = ACTIONS(1004),
    [anon_sym_GT_GT] = ACTIONS(1004),
    [anon_sym_AMP_CARET] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1004),
    [anon_sym_EQ_EQ] = ACTIONS(1002),
    [anon_sym_BANG_EQ] = ACTIONS(1002),
    [anon_sym_LT] = ACTIONS(1004),
    [anon_sym_LT_EQ] = ACTIONS(1002),
    [anon_sym_GT] = ACTIONS(1004),
    [anon_sym_GT_EQ] = ACTIONS(1002),
    [anon_sym_AMP_AMP] = ACTIONS(1002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1002),
    [sym_comment] = ACTIONS(19),
  },
  [816] = {
    [sym_parenthesized_type] = STATE(1013),
    [sym__simple_type] = STATE(1013),
    [sym_pointer_type] = STATE(1013),
    [sym_array_type] = STATE(1013),
    [sym_slice_type] = STATE(1013),
    [sym_struct_type] = STATE(1013),
    [sym_interface_type] = STATE(1013),
    [sym_map_type] = STATE(1013),
    [sym_channel_type] = STATE(1013),
    [sym_function_type] = STATE(1013),
    [sym_qualified_type] = STATE(1013),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(163),
    [anon_sym_chan] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [817] = {
    [anon_sym_SEMI] = ACTIONS(1020),
    [anon_sym_DOT] = ACTIONS(1020),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1020),
    [anon_sym_EQ] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_LT_DASH] = ACTIONS(1020),
    [anon_sym_COLON_EQ] = ACTIONS(1020),
    [anon_sym_PLUS_PLUS] = ACTIONS(1020),
    [anon_sym_DASH_DASH] = ACTIONS(1020),
    [anon_sym_STAR_EQ] = ACTIONS(1020),
    [anon_sym_SLASH_EQ] = ACTIONS(1020),
    [anon_sym_PERCENT_EQ] = ACTIONS(1020),
    [anon_sym_LT_LT_EQ] = ACTIONS(1020),
    [anon_sym_GT_GT_EQ] = ACTIONS(1020),
    [anon_sym_AMP_EQ] = ACTIONS(1020),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1020),
    [anon_sym_PLUS_EQ] = ACTIONS(1020),
    [anon_sym_DASH_EQ] = ACTIONS(1020),
    [anon_sym_PIPE_EQ] = ACTIONS(1020),
    [anon_sym_CARET_EQ] = ACTIONS(1020),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_CARET] = ACTIONS(1022),
    [anon_sym_AMP] = ACTIONS(1022),
    [anon_sym_SLASH] = ACTIONS(1022),
    [anon_sym_PERCENT] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1022),
    [anon_sym_GT_GT] = ACTIONS(1022),
    [anon_sym_AMP_CARET] = ACTIONS(1022),
    [anon_sym_PIPE] = ACTIONS(1022),
    [anon_sym_EQ_EQ] = ACTIONS(1020),
    [anon_sym_BANG_EQ] = ACTIONS(1020),
    [anon_sym_LT] = ACTIONS(1022),
    [anon_sym_LT_EQ] = ACTIONS(1020),
    [anon_sym_GT] = ACTIONS(1022),
    [anon_sym_GT_EQ] = ACTIONS(1020),
    [anon_sym_AMP_AMP] = ACTIONS(1020),
    [anon_sym_PIPE_PIPE] = ACTIONS(1020),
    [sym_comment] = ACTIONS(19),
  },
  [818] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(1015),
    [sym_element] = STATE(1015),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [819] = {
    [anon_sym_SEMI] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_STAR] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_LT_DASH] = ACTIONS(1038),
    [anon_sym_COLON_EQ] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [anon_sym_STAR_EQ] = ACTIONS(1038),
    [anon_sym_SLASH_EQ] = ACTIONS(1038),
    [anon_sym_PERCENT_EQ] = ACTIONS(1038),
    [anon_sym_LT_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT_GT_EQ] = ACTIONS(1038),
    [anon_sym_AMP_EQ] = ACTIONS(1038),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1038),
    [anon_sym_PLUS_EQ] = ACTIONS(1038),
    [anon_sym_DASH_EQ] = ACTIONS(1038),
    [anon_sym_PIPE_EQ] = ACTIONS(1038),
    [anon_sym_CARET_EQ] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1040),
    [anon_sym_LT_LT] = ACTIONS(1040),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_AMP_CARET] = ACTIONS(1040),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [sym_comment] = ACTIONS(19),
  },
  [820] = {
    [sym_expression_list] = STATE(1019),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1020),
    [sym_parenthesized_expression] = STATE(1020),
    [sym_call_expression] = STATE(1020),
    [sym_selector_expression] = STATE(1020),
    [sym_index_expression] = STATE(1020),
    [sym_slice_expression] = STATE(1020),
    [sym_type_assertion_expression] = STATE(1020),
    [sym_type_conversion_expression] = STATE(1020),
    [sym_composite_literal] = STATE(1020),
    [sym_func_literal] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1020),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2529),
    [sym_interpreted_string_literal] = ACTIONS(2529),
    [sym_int_literal] = ACTIONS(2531),
    [sym_float_literal] = ACTIONS(2531),
    [sym_imaginary_literal] = ACTIONS(2529),
    [sym_rune_literal] = ACTIONS(2529),
    [sym_comment] = ACTIONS(19),
  },
  [821] = {
    [sym_expression_list] = STATE(1021),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1020),
    [sym_parenthesized_expression] = STATE(1020),
    [sym_call_expression] = STATE(1020),
    [sym_selector_expression] = STATE(1020),
    [sym_index_expression] = STATE(1020),
    [sym_slice_expression] = STATE(1020),
    [sym_type_assertion_expression] = STATE(1020),
    [sym_type_conversion_expression] = STATE(1020),
    [sym_composite_literal] = STATE(1020),
    [sym_func_literal] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1020),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2529),
    [sym_interpreted_string_literal] = ACTIONS(2529),
    [sym_int_literal] = ACTIONS(2531),
    [sym_float_literal] = ACTIONS(2531),
    [sym_imaginary_literal] = ACTIONS(2529),
    [sym_rune_literal] = ACTIONS(2529),
    [sym_comment] = ACTIONS(19),
  },
  [822] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(1022),
    [sym_call_expression] = STATE(1022),
    [sym_selector_expression] = STATE(1022),
    [sym_index_expression] = STATE(1022),
    [sym_slice_expression] = STATE(1022),
    [sym_type_assertion_expression] = STATE(1022),
    [sym_type_conversion_expression] = STATE(1022),
    [sym_composite_literal] = STATE(1022),
    [sym_func_literal] = STATE(1022),
    [sym_unary_expression] = STATE(1022),
    [sym_binary_expression] = STATE(1022),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1022),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2533),
    [sym_interpreted_string_literal] = ACTIONS(2533),
    [sym_int_literal] = ACTIONS(2535),
    [sym_float_literal] = ACTIONS(2535),
    [sym_imaginary_literal] = ACTIONS(2533),
    [sym_rune_literal] = ACTIONS(2533),
    [sym_comment] = ACTIONS(19),
  },
  [823] = {
    [anon_sym_SEMI] = ACTIONS(1052),
    [anon_sym_DOT] = ACTIONS(1052),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_COMMA] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_LT_DASH] = ACTIONS(1052),
    [anon_sym_COLON_EQ] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_STAR_EQ] = ACTIONS(1052),
    [anon_sym_SLASH_EQ] = ACTIONS(1052),
    [anon_sym_PERCENT_EQ] = ACTIONS(1052),
    [anon_sym_LT_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT_GT_EQ] = ACTIONS(1052),
    [anon_sym_AMP_EQ] = ACTIONS(1052),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1052),
    [anon_sym_PLUS_EQ] = ACTIONS(1052),
    [anon_sym_DASH_EQ] = ACTIONS(1052),
    [anon_sym_PIPE_EQ] = ACTIONS(1052),
    [anon_sym_CARET_EQ] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_SLASH] = ACTIONS(1054),
    [anon_sym_PERCENT] = ACTIONS(1054),
    [anon_sym_LT_LT] = ACTIONS(1054),
    [anon_sym_GT_GT] = ACTIONS(1054),
    [anon_sym_AMP_CARET] = ACTIONS(1054),
    [anon_sym_PIPE] = ACTIONS(1054),
    [anon_sym_EQ_EQ] = ACTIONS(1052),
    [anon_sym_BANG_EQ] = ACTIONS(1052),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_LT_EQ] = ACTIONS(1052),
    [anon_sym_GT] = ACTIONS(1054),
    [anon_sym_GT_EQ] = ACTIONS(1052),
    [anon_sym_AMP_AMP] = ACTIONS(1052),
    [anon_sym_PIPE_PIPE] = ACTIONS(1052),
    [sym_comment] = ACTIONS(19),
  },
  [824] = {
    [anon_sym_LPAREN] = ACTIONS(2537),
    [anon_sym_func] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_LBRACK] = ACTIONS(2537),
    [anon_sym_struct] = ACTIONS(2539),
    [anon_sym_interface] = ACTIONS(2539),
    [anon_sym_map] = ACTIONS(2539),
    [anon_sym_chan] = ACTIONS(2539),
    [anon_sym_LT_DASH] = ACTIONS(2537),
    [anon_sym_new] = ACTIONS(2539),
    [anon_sym_make] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2537),
    [anon_sym_CARET] = ACTIONS(2537),
    [anon_sym_AMP] = ACTIONS(2537),
    [sym_identifier] = ACTIONS(2539),
    [sym_raw_string_literal] = ACTIONS(2537),
    [sym_interpreted_string_literal] = ACTIONS(2537),
    [sym_int_literal] = ACTIONS(2539),
    [sym_float_literal] = ACTIONS(2539),
    [sym_imaginary_literal] = ACTIONS(2537),
    [sym_rune_literal] = ACTIONS(2537),
    [sym_comment] = ACTIONS(19),
  },
  [825] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [826] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [827] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [828] = {
    [sym_literal_value] = STATE(293),
    [anon_sym_DOT] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(654),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_COLON_EQ] = ACTIONS(593),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_AMP_CARET] = ACTIONS(593),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(593),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [sym_comment] = ACTIONS(19),
  },
  [829] = {
    [sym_block] = STATE(1028),
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_PIPE_PIPE] = ACTIONS(2555),
    [sym_comment] = ACTIONS(19),
  },
  [830] = {
    [anon_sym_LPAREN] = ACTIONS(2557),
    [sym_identifier] = ACTIONS(2559),
    [sym_comment] = ACTIONS(19),
  },
  [831] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(1032),
    [sym_call_expression] = STATE(1032),
    [sym_variadic_argument] = STATE(1033),
    [sym_selector_expression] = STATE(1032),
    [sym_index_expression] = STATE(1032),
    [sym_slice_expression] = STATE(1032),
    [sym_type_assertion_expression] = STATE(1032),
    [sym_type_conversion_expression] = STATE(1032),
    [sym_composite_literal] = STATE(1032),
    [sym_func_literal] = STATE(1032),
    [sym_unary_expression] = STATE(1032),
    [sym_binary_expression] = STATE(1032),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1032),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2561),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2563),
    [sym_interpreted_string_literal] = ACTIONS(2563),
    [sym_int_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2565),
    [sym_imaginary_literal] = ACTIONS(2563),
    [sym_rune_literal] = ACTIONS(2563),
    [sym_comment] = ACTIONS(19),
  },
  [832] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1034),
    [sym_parenthesized_expression] = STATE(1034),
    [sym_call_expression] = STATE(1034),
    [sym_selector_expression] = STATE(1034),
    [sym_index_expression] = STATE(1034),
    [sym_slice_expression] = STATE(1034),
    [sym_type_assertion_expression] = STATE(1034),
    [sym_type_conversion_expression] = STATE(1034),
    [sym_composite_literal] = STATE(1034),
    [sym_func_literal] = STATE(1034),
    [sym_unary_expression] = STATE(1034),
    [sym_binary_expression] = STATE(1034),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1034),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2567),
    [sym_interpreted_string_literal] = ACTIONS(2567),
    [sym_int_literal] = ACTIONS(2569),
    [sym_float_literal] = ACTIONS(2569),
    [sym_imaginary_literal] = ACTIONS(2567),
    [sym_rune_literal] = ACTIONS(2567),
    [sym_comment] = ACTIONS(19),
  },
  [833] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1036),
    [sym_parenthesized_expression] = STATE(1036),
    [sym_call_expression] = STATE(1036),
    [sym_selector_expression] = STATE(1036),
    [sym_index_expression] = STATE(1036),
    [sym_slice_expression] = STATE(1036),
    [sym_type_assertion_expression] = STATE(1036),
    [sym_type_conversion_expression] = STATE(1036),
    [sym_composite_literal] = STATE(1036),
    [sym_func_literal] = STATE(1036),
    [sym_unary_expression] = STATE(1036),
    [sym_binary_expression] = STATE(1036),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1036),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_COLON] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2573),
    [sym_interpreted_string_literal] = ACTIONS(2573),
    [sym_int_literal] = ACTIONS(2575),
    [sym_float_literal] = ACTIONS(2575),
    [sym_imaginary_literal] = ACTIONS(2573),
    [sym_rune_literal] = ACTIONS(2573),
    [sym_comment] = ACTIONS(19),
  },
  [834] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(1037),
    [sym_call_expression] = STATE(1037),
    [sym_selector_expression] = STATE(1037),
    [sym_index_expression] = STATE(1037),
    [sym_slice_expression] = STATE(1037),
    [sym_type_assertion_expression] = STATE(1037),
    [sym_type_conversion_expression] = STATE(1037),
    [sym_composite_literal] = STATE(1037),
    [sym_func_literal] = STATE(1037),
    [sym_unary_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1037),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2577),
    [sym_interpreted_string_literal] = ACTIONS(2577),
    [sym_int_literal] = ACTIONS(2579),
    [sym_float_literal] = ACTIONS(2579),
    [sym_imaginary_literal] = ACTIONS(2577),
    [sym_rune_literal] = ACTIONS(2577),
    [sym_comment] = ACTIONS(19),
  },
  [835] = {
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [sym_comment] = ACTIONS(19),
  },
  [836] = {
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [sym_comment] = ACTIONS(19),
  },
  [837] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(1038),
    [sym_call_expression] = STATE(1038),
    [sym_selector_expression] = STATE(1038),
    [sym_index_expression] = STATE(1038),
    [sym_slice_expression] = STATE(1038),
    [sym_type_assertion_expression] = STATE(1038),
    [sym_type_conversion_expression] = STATE(1038),
    [sym_composite_literal] = STATE(1038),
    [sym_func_literal] = STATE(1038),
    [sym_unary_expression] = STATE(1038),
    [sym_binary_expression] = STATE(1038),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1038),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2581),
    [sym_interpreted_string_literal] = ACTIONS(2581),
    [sym_int_literal] = ACTIONS(2583),
    [sym_float_literal] = ACTIONS(2583),
    [sym_imaginary_literal] = ACTIONS(2581),
    [sym_rune_literal] = ACTIONS(2581),
    [sym_comment] = ACTIONS(19),
  },
  [838] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1039),
    [sym_parenthesized_expression] = STATE(1039),
    [sym_call_expression] = STATE(1039),
    [sym_selector_expression] = STATE(1039),
    [sym_index_expression] = STATE(1039),
    [sym_slice_expression] = STATE(1039),
    [sym_type_assertion_expression] = STATE(1039),
    [sym_type_conversion_expression] = STATE(1039),
    [sym_composite_literal] = STATE(1039),
    [sym_func_literal] = STATE(1039),
    [sym_unary_expression] = STATE(1039),
    [sym_binary_expression] = STATE(1039),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1039),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2585),
    [sym_interpreted_string_literal] = ACTIONS(2585),
    [sym_int_literal] = ACTIONS(2587),
    [sym_float_literal] = ACTIONS(2587),
    [sym_imaginary_literal] = ACTIONS(2585),
    [sym_rune_literal] = ACTIONS(2585),
    [sym_comment] = ACTIONS(19),
  },
  [839] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1040),
    [sym_parenthesized_expression] = STATE(1040),
    [sym_call_expression] = STATE(1040),
    [sym_selector_expression] = STATE(1040),
    [sym_index_expression] = STATE(1040),
    [sym_slice_expression] = STATE(1040),
    [sym_type_assertion_expression] = STATE(1040),
    [sym_type_conversion_expression] = STATE(1040),
    [sym_composite_literal] = STATE(1040),
    [sym_func_literal] = STATE(1040),
    [sym_unary_expression] = STATE(1040),
    [sym_binary_expression] = STATE(1040),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1040),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2589),
    [sym_interpreted_string_literal] = ACTIONS(2589),
    [sym_int_literal] = ACTIONS(2591),
    [sym_float_literal] = ACTIONS(2591),
    [sym_imaginary_literal] = ACTIONS(2589),
    [sym_rune_literal] = ACTIONS(2589),
    [sym_comment] = ACTIONS(19),
  },
  [840] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(1041),
    [sym_call_expression] = STATE(1041),
    [sym_selector_expression] = STATE(1041),
    [sym_index_expression] = STATE(1041),
    [sym_slice_expression] = STATE(1041),
    [sym_type_assertion_expression] = STATE(1041),
    [sym_type_conversion_expression] = STATE(1041),
    [sym_composite_literal] = STATE(1041),
    [sym_func_literal] = STATE(1041),
    [sym_unary_expression] = STATE(1041),
    [sym_binary_expression] = STATE(1041),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1041),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2593),
    [sym_interpreted_string_literal] = ACTIONS(2593),
    [sym_int_literal] = ACTIONS(2595),
    [sym_float_literal] = ACTIONS(2595),
    [sym_imaginary_literal] = ACTIONS(2593),
    [sym_rune_literal] = ACTIONS(2593),
    [sym_comment] = ACTIONS(19),
  },
  [841] = {
    [sym_else_clause] = STATE(1043),
    [anon_sym_LF] = ACTIONS(2597),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_else] = ACTIONS(2601),
    [sym_comment] = ACTIONS(59),
  },
  [842] = {
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym_DOT] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1108),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LT_DASH] = ACTIONS(1108),
    [anon_sym_COLON_EQ] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_STAR_EQ] = ACTIONS(1108),
    [anon_sym_SLASH_EQ] = ACTIONS(1108),
    [anon_sym_PERCENT_EQ] = ACTIONS(1108),
    [anon_sym_LT_LT_EQ] = ACTIONS(1108),
    [anon_sym_GT_GT_EQ] = ACTIONS(1108),
    [anon_sym_AMP_EQ] = ACTIONS(1108),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1108),
    [anon_sym_PLUS_EQ] = ACTIONS(1108),
    [anon_sym_DASH_EQ] = ACTIONS(1108),
    [anon_sym_PIPE_EQ] = ACTIONS(1108),
    [anon_sym_CARET_EQ] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1110),
    [anon_sym_AMP_CARET] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_LT_EQ] = ACTIONS(1108),
    [anon_sym_GT] = ACTIONS(1110),
    [anon_sym_GT_EQ] = ACTIONS(1108),
    [anon_sym_AMP_AMP] = ACTIONS(1108),
    [anon_sym_PIPE_PIPE] = ACTIONS(1108),
    [sym_comment] = ACTIONS(19),
  },
  [843] = {
    [sym_expression_list] = STATE(1047),
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__simple_statement] = STATE(1048),
    [sym_send_statement] = STATE(1048),
    [sym_inc_statement] = STATE(1048),
    [sym_dec_statement] = STATE(1048),
    [sym_assignment_statement] = STATE(1048),
    [sym_short_var_declaration] = STATE(1048),
    [sym__expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1049),
    [sym_call_expression] = STATE(1049),
    [sym_selector_expression] = STATE(1049),
    [sym_index_expression] = STATE(1049),
    [sym_slice_expression] = STATE(1049),
    [sym_type_assertion_expression] = STATE(1049),
    [sym_type_conversion_expression] = STATE(1049),
    [sym_composite_literal] = STATE(1049),
    [sym_func_literal] = STATE(1049),
    [sym_unary_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1049),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2611),
    [sym_interpreted_string_literal] = ACTIONS(2611),
    [sym_int_literal] = ACTIONS(2613),
    [sym_float_literal] = ACTIONS(2613),
    [sym_imaginary_literal] = ACTIONS(2611),
    [sym_rune_literal] = ACTIONS(2611),
    [sym_comment] = ACTIONS(19),
  },
  [844] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [845] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [846] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [847] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_CARET] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_AMP_CARET] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2623),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2631),
    [sym_comment] = ACTIONS(19),
  },
  [848] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_PIPE_PIPE] = ACTIONS(2555),
    [sym_comment] = ACTIONS(19),
  },
  [849] = {
    [sym_expression_list] = STATE(1019),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1020),
    [sym_parenthesized_expression] = STATE(1020),
    [sym_call_expression] = STATE(1020),
    [sym_selector_expression] = STATE(1020),
    [sym_index_expression] = STATE(1020),
    [sym_slice_expression] = STATE(1020),
    [sym_type_assertion_expression] = STATE(1020),
    [sym_type_conversion_expression] = STATE(1020),
    [sym_composite_literal] = STATE(1020),
    [sym_func_literal] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1020),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_range] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2529),
    [sym_interpreted_string_literal] = ACTIONS(2529),
    [sym_int_literal] = ACTIONS(2531),
    [sym_float_literal] = ACTIONS(2531),
    [sym_imaginary_literal] = ACTIONS(2529),
    [sym_rune_literal] = ACTIONS(2529),
    [sym_comment] = ACTIONS(19),
  },
  [850] = {
    [sym_expression_list] = STATE(1021),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1020),
    [sym_parenthesized_expression] = STATE(1020),
    [sym_call_expression] = STATE(1020),
    [sym_selector_expression] = STATE(1020),
    [sym_index_expression] = STATE(1020),
    [sym_slice_expression] = STATE(1020),
    [sym_type_assertion_expression] = STATE(1020),
    [sym_type_conversion_expression] = STATE(1020),
    [sym_composite_literal] = STATE(1020),
    [sym_func_literal] = STATE(1020),
    [sym_unary_expression] = STATE(1020),
    [sym_binary_expression] = STATE(1020),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1020),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_range] = ACTIONS(2635),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2529),
    [sym_interpreted_string_literal] = ACTIONS(2529),
    [sym_int_literal] = ACTIONS(2531),
    [sym_float_literal] = ACTIONS(2531),
    [sym_imaginary_literal] = ACTIONS(2529),
    [sym_rune_literal] = ACTIONS(2529),
    [sym_comment] = ACTIONS(19),
  },
  [851] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1057),
    [sym_parenthesized_expression] = STATE(1057),
    [sym_call_expression] = STATE(1057),
    [sym_selector_expression] = STATE(1057),
    [sym_index_expression] = STATE(1057),
    [sym_slice_expression] = STATE(1057),
    [sym_type_assertion_expression] = STATE(1057),
    [sym_type_conversion_expression] = STATE(1057),
    [sym_composite_literal] = STATE(1057),
    [sym_func_literal] = STATE(1057),
    [sym_unary_expression] = STATE(1057),
    [sym_binary_expression] = STATE(1057),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1057),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2637),
    [sym_interpreted_string_literal] = ACTIONS(2637),
    [sym_int_literal] = ACTIONS(2639),
    [sym_float_literal] = ACTIONS(2639),
    [sym_imaginary_literal] = ACTIONS(2637),
    [sym_rune_literal] = ACTIONS(2637),
    [sym_comment] = ACTIONS(19),
  },
  [852] = {
    [anon_sym_LF] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_case] = ACTIONS(2643),
    [sym_default_case] = ACTIONS(2643),
    [sym_comment] = ACTIONS(59),
  },
  [853] = {
    [anon_sym_LF] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_case] = ACTIONS(2647),
    [sym_default_case] = ACTIONS(2647),
    [sym_comment] = ACTIONS(59),
  },
  [854] = {
    [sym_expression_list] = STATE(1061),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_call_expression] = STATE(1062),
    [sym_selector_expression] = STATE(1062),
    [sym_index_expression] = STATE(1062),
    [sym_slice_expression] = STATE(1062),
    [sym_type_assertion_expression] = STATE(1062),
    [sym_type_conversion_expression] = STATE(1062),
    [sym_composite_literal] = STATE(1062),
    [sym_func_literal] = STATE(1062),
    [sym_unary_expression] = STATE(1062),
    [sym_binary_expression] = STATE(1062),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1062),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2655),
    [sym_interpreted_string_literal] = ACTIONS(2655),
    [sym_int_literal] = ACTIONS(2657),
    [sym_float_literal] = ACTIONS(2657),
    [sym_imaginary_literal] = ACTIONS(2655),
    [sym_rune_literal] = ACTIONS(2655),
    [sym_comment] = ACTIONS(19),
  },
  [855] = {
    [anon_sym_COLON] = ACTIONS(2659),
    [sym_comment] = ACTIONS(19),
  },
  [856] = {
    [sym_expression_case_clause] = STATE(1065),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1065),
    [anon_sym_RBRACE] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2053),
    [sym_default_case] = ACTIONS(2055),
    [sym_comment] = ACTIONS(19),
  },
  [857] = {
    [sym_expression_list] = STATE(1021),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_type_assertion_expression] = STATE(1066),
    [sym_type_conversion_expression] = STATE(1066),
    [sym_composite_literal] = STATE(1066),
    [sym_func_literal] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1066),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2663),
    [sym_interpreted_string_literal] = ACTIONS(2663),
    [sym_int_literal] = ACTIONS(2665),
    [sym_float_literal] = ACTIONS(2665),
    [sym_imaginary_literal] = ACTIONS(2663),
    [sym_rune_literal] = ACTIONS(2663),
    [sym_comment] = ACTIONS(19),
  },
  [858] = {
    [sym_expression_list] = STATE(1071),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym_type_switch_guard] = STATE(1072),
    [sym__expression] = STATE(1073),
    [sym_parenthesized_expression] = STATE(1073),
    [sym_call_expression] = STATE(1073),
    [sym_selector_expression] = STATE(1073),
    [sym_index_expression] = STATE(1073),
    [sym_slice_expression] = STATE(1073),
    [sym_type_assertion_expression] = STATE(1073),
    [sym_type_conversion_expression] = STATE(1073),
    [sym_composite_literal] = STATE(1073),
    [sym_func_literal] = STATE(1073),
    [sym_unary_expression] = STATE(1073),
    [sym_binary_expression] = STATE(1073),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1073),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(2675),
    [sym_interpreted_string_literal] = ACTIONS(2675),
    [sym_int_literal] = ACTIONS(2677),
    [sym_float_literal] = ACTIONS(2677),
    [sym_imaginary_literal] = ACTIONS(2675),
    [sym_rune_literal] = ACTIONS(2675),
    [sym_comment] = ACTIONS(19),
  },
  [859] = {
    [sym_type_case_clause] = STATE(1077),
    [sym_type_case] = STATE(1076),
    [aux_sym_type_switch_statement_repeat1] = STATE(1077),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_case] = ACTIONS(2681),
    [sym_default_case] = ACTIONS(2683),
    [sym_comment] = ACTIONS(19),
  },
  [860] = {
    [anon_sym_LPAREN] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2559),
    [sym_comment] = ACTIONS(19),
  },
  [861] = {
    [sym_expression_case_clause] = STATE(1079),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1079),
    [anon_sym_RBRACE] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2053),
    [sym_default_case] = ACTIONS(2055),
    [sym_comment] = ACTIONS(19),
  },
  [862] = {
    [anon_sym_LF] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_case] = ACTIONS(2689),
    [sym_default_case] = ACTIONS(2689),
    [sym_comment] = ACTIONS(59),
  },
  [863] = {
    [sym_expression_list] = STATE(1083),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym_send_statement] = STATE(1084),
    [sym_receive_statement] = STATE(1084),
    [sym__expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(1085),
    [sym_call_expression] = STATE(1085),
    [sym_selector_expression] = STATE(1085),
    [sym_index_expression] = STATE(1085),
    [sym_slice_expression] = STATE(1085),
    [sym_type_assertion_expression] = STATE(1085),
    [sym_type_conversion_expression] = STATE(1085),
    [sym_composite_literal] = STATE(1085),
    [sym_func_literal] = STATE(1085),
    [sym_unary_expression] = STATE(1085),
    [sym_binary_expression] = STATE(1085),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1085),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2697),
    [sym_interpreted_string_literal] = ACTIONS(2697),
    [sym_int_literal] = ACTIONS(2699),
    [sym_float_literal] = ACTIONS(2699),
    [sym_imaginary_literal] = ACTIONS(2697),
    [sym_rune_literal] = ACTIONS(2697),
    [sym_comment] = ACTIONS(19),
  },
  [864] = {
    [anon_sym_COLON] = ACTIONS(2701),
    [sym_comment] = ACTIONS(19),
  },
  [865] = {
    [sym_communication_clause] = STATE(1088),
    [sym_communication_case] = STATE(864),
    [aux_sym_select_statement_repeat1] = STATE(1088),
    [anon_sym_RBRACE] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2069),
    [sym_default_case] = ACTIONS(2071),
    [sym_comment] = ACTIONS(19),
  },
  [866] = {
    [aux_sym_expression_list_repeat1] = STATE(1091),
    [anon_sym_RPAREN] = ACTIONS(2705),
    [anon_sym_COMMA] = ACTIONS(2707),
    [sym_comment] = ACTIONS(19),
  },
  [867] = {
    [anon_sym_LF] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_DOT] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_LT_DASH] = ACTIONS(1598),
    [anon_sym_COLON_EQ] = ACTIONS(1598),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [anon_sym_STAR_EQ] = ACTIONS(1598),
    [anon_sym_SLASH_EQ] = ACTIONS(1598),
    [anon_sym_PERCENT_EQ] = ACTIONS(1598),
    [anon_sym_LT_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT_GT_EQ] = ACTIONS(1598),
    [anon_sym_AMP_EQ] = ACTIONS(1598),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1598),
    [anon_sym_PLUS_EQ] = ACTIONS(1598),
    [anon_sym_DASH_EQ] = ACTIONS(1598),
    [anon_sym_PIPE_EQ] = ACTIONS(1598),
    [anon_sym_CARET_EQ] = ACTIONS(1598),
    [anon_sym_case] = ACTIONS(1598),
    [sym_default_case] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1598),
    [anon_sym_EQ_EQ] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [sym_comment] = ACTIONS(59),
  },
  [868] = {
    [aux_sym_literal_value_repeat1] = STATE(1094),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_RBRACE] = ACTIONS(2711),
    [sym_comment] = ACTIONS(19),
  },
  [869] = {
    [sym_literal_value] = STATE(614),
    [anon_sym_LF] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_DOT] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LT_DASH] = ACTIONS(595),
    [anon_sym_COLON_EQ] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_LT_LT_EQ] = ACTIONS(595),
    [anon_sym_GT_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_EQ] = ACTIONS(595),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_DASH_EQ] = ACTIONS(595),
    [anon_sym_PIPE_EQ] = ACTIONS(595),
    [anon_sym_CARET_EQ] = ACTIONS(595),
    [anon_sym_COLON] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [sym_comment] = ACTIONS(59),
  },
  [870] = {
    [anon_sym_LF] = ACTIONS(2715),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [sym_default_case] = ACTIONS(2717),
    [sym_comment] = ACTIONS(59),
  },
  [871] = {
    [anon_sym_LF] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [sym_default_case] = ACTIONS(2721),
    [sym_comment] = ACTIONS(59),
  },
  [872] = {
    [anon_sym_LF] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [sym_default_case] = ACTIONS(2725),
    [sym_comment] = ACTIONS(59),
  },
  [873] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(2727),
    [anon_sym_COMMA] = ACTIONS(2729),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1638),
    [anon_sym_BANG_EQ] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1638),
    [anon_sym_AMP_AMP] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [sym_comment] = ACTIONS(19),
  },
  [874] = {
    [anon_sym_LF] = ACTIONS(2731),
    [anon_sym_SEMI] = ACTIONS(2733),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [sym_default_case] = ACTIONS(2733),
    [sym_comment] = ACTIONS(59),
  },
  [875] = {
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_case] = ACTIONS(2735),
    [sym_default_case] = ACTIONS(2735),
    [sym_comment] = ACTIONS(19),
  },
  [876] = {
    [sym__declaration] = STATE(874),
    [sym_const_declaration] = STATE(874),
    [sym_var_declaration] = STATE(874),
    [sym_type_declaration] = STATE(874),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(874),
    [sym__statement] = STATE(874),
    [sym_empty_statement] = STATE(874),
    [sym__simple_statement] = STATE(874),
    [sym_send_statement] = STATE(874),
    [sym_inc_statement] = STATE(874),
    [sym_dec_statement] = STATE(874),
    [sym_assignment_statement] = STATE(874),
    [sym_short_var_declaration] = STATE(874),
    [sym_labeled_statement] = STATE(874),
    [sym_empty_labeled_statement] = STATE(1098),
    [sym_fallthrough_statement] = STATE(874),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(874),
    [sym_goto_statement] = STATE(874),
    [sym_return_statement] = STATE(874),
    [sym_go_statement] = STATE(874),
    [sym_defer_statement] = STATE(874),
    [sym_if_statement] = STATE(874),
    [sym_for_statement] = STATE(874),
    [sym_expression_switch_statement] = STATE(874),
    [sym_type_switch_statement] = STATE(874),
    [sym_select_statement] = STATE(874),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(867),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [877] = {
    [aux_sym__statement_list_repeat1] = STATE(877),
    [anon_sym_LF] = ACTIONS(2739),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [sym_comment] = ACTIONS(59),
  },
  [878] = {
    [sym_parenthesized_type] = STATE(1100),
    [sym__simple_type] = STATE(1100),
    [sym_pointer_type] = STATE(1100),
    [sym_array_type] = STATE(1100),
    [sym_slice_type] = STATE(1100),
    [sym_struct_type] = STATE(1100),
    [sym_interface_type] = STATE(1100),
    [sym_map_type] = STATE(1100),
    [sym_channel_type] = STATE(1100),
    [sym_function_type] = STATE(1100),
    [sym_qualified_type] = STATE(1100),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [879] = {
    [anon_sym_LF] = ACTIONS(1646),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_DOT] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_COMMA] = ACTIONS(1648),
    [anon_sym_EQ] = ACTIONS(1648),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [anon_sym_LT_DASH] = ACTIONS(1648),
    [anon_sym_COLON_EQ] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_STAR_EQ] = ACTIONS(1648),
    [anon_sym_SLASH_EQ] = ACTIONS(1648),
    [anon_sym_PERCENT_EQ] = ACTIONS(1648),
    [anon_sym_LT_LT_EQ] = ACTIONS(1648),
    [anon_sym_GT_GT_EQ] = ACTIONS(1648),
    [anon_sym_AMP_EQ] = ACTIONS(1648),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1648),
    [anon_sym_PLUS_EQ] = ACTIONS(1648),
    [anon_sym_DASH_EQ] = ACTIONS(1648),
    [anon_sym_PIPE_EQ] = ACTIONS(1648),
    [anon_sym_CARET_EQ] = ACTIONS(1648),
    [anon_sym_case] = ACTIONS(1648),
    [sym_default_case] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1648),
    [anon_sym_PERCENT] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_EQ_EQ] = ACTIONS(1648),
    [anon_sym_BANG_EQ] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1648),
    [anon_sym_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1648),
    [anon_sym_AMP_AMP] = ACTIONS(1648),
    [anon_sym_PIPE_PIPE] = ACTIONS(1648),
    [sym_comment] = ACTIONS(59),
  },
  [880] = {
    [anon_sym_LF] = ACTIONS(1650),
    [anon_sym_SEMI] = ACTIONS(1652),
    [anon_sym_DOT] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [anon_sym_COMMA] = ACTIONS(1652),
    [anon_sym_EQ] = ACTIONS(1652),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_RBRACE] = ACTIONS(1652),
    [anon_sym_LT_DASH] = ACTIONS(1652),
    [anon_sym_COLON_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_PLUS] = ACTIONS(1652),
    [anon_sym_DASH_DASH] = ACTIONS(1652),
    [anon_sym_STAR_EQ] = ACTIONS(1652),
    [anon_sym_SLASH_EQ] = ACTIONS(1652),
    [anon_sym_PERCENT_EQ] = ACTIONS(1652),
    [anon_sym_LT_LT_EQ] = ACTIONS(1652),
    [anon_sym_GT_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_EQ] = ACTIONS(1652),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1652),
    [anon_sym_PLUS_EQ] = ACTIONS(1652),
    [anon_sym_DASH_EQ] = ACTIONS(1652),
    [anon_sym_PIPE_EQ] = ACTIONS(1652),
    [anon_sym_CARET_EQ] = ACTIONS(1652),
    [anon_sym_case] = ACTIONS(1652),
    [sym_default_case] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1652),
    [anon_sym_PERCENT] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1652),
    [anon_sym_EQ_EQ] = ACTIONS(1652),
    [anon_sym_BANG_EQ] = ACTIONS(1652),
    [anon_sym_LT] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1652),
    [anon_sym_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1652),
    [anon_sym_AMP_AMP] = ACTIONS(1652),
    [anon_sym_PIPE_PIPE] = ACTIONS(1652),
    [sym_comment] = ACTIONS(59),
  },
  [881] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_argument_list_repeat1] = STATE(1103),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(19),
  },
  [882] = {
    [aux_sym_argument_list_repeat1] = STATE(1103),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2747),
    [sym_comment] = ACTIONS(19),
  },
  [883] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [884] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [885] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [886] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1676),
    [anon_sym_STAR_EQ] = ACTIONS(1676),
    [anon_sym_SLASH_EQ] = ACTIONS(1676),
    [anon_sym_PERCENT_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT_EQ] = ACTIONS(1676),
    [anon_sym_GT_GT_EQ] = ACTIONS(1676),
    [anon_sym_AMP_EQ] = ACTIONS(1676),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1676),
    [anon_sym_PLUS_EQ] = ACTIONS(1676),
    [anon_sym_DASH_EQ] = ACTIONS(1676),
    [anon_sym_PIPE_EQ] = ACTIONS(1676),
    [anon_sym_CARET_EQ] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_GT_GT] = ACTIONS(2749),
    [anon_sym_AMP_CARET] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [sym_comment] = ACTIONS(19),
  },
  [887] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1682),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PERCENT] = ACTIONS(1682),
    [anon_sym_LT_LT] = ACTIONS(1682),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_AMP_CARET] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [888] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1110),
    [sym_parenthesized_expression] = STATE(1110),
    [sym_call_expression] = STATE(1110),
    [sym_selector_expression] = STATE(1110),
    [sym_index_expression] = STATE(1110),
    [sym_slice_expression] = STATE(1110),
    [sym_type_assertion_expression] = STATE(1110),
    [sym_type_conversion_expression] = STATE(1110),
    [sym_composite_literal] = STATE(1110),
    [sym_func_literal] = STATE(1110),
    [sym_unary_expression] = STATE(1110),
    [sym_binary_expression] = STATE(1110),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1110),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(2761),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2763),
    [sym_interpreted_string_literal] = ACTIONS(2763),
    [sym_int_literal] = ACTIONS(2765),
    [sym_float_literal] = ACTIONS(2765),
    [sym_imaginary_literal] = ACTIONS(2763),
    [sym_rune_literal] = ACTIONS(2763),
    [sym_comment] = ACTIONS(19),
  },
  [889] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2767),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [890] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_AMP_CARET] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1957),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1961),
    [sym_comment] = ACTIONS(59),
  },
  [891] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [892] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [893] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [894] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_CARET] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [895] = {
    [aux_sym_expression_list_repeat1] = STATE(895),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_EQ] = ACTIONS(1676),
    [anon_sym_COLON_EQ] = ACTIONS(1676),
    [anon_sym_STAR_EQ] = ACTIONS(1676),
    [anon_sym_SLASH_EQ] = ACTIONS(1676),
    [anon_sym_PERCENT_EQ] = ACTIONS(1676),
    [anon_sym_LT_LT_EQ] = ACTIONS(1676),
    [anon_sym_GT_GT_EQ] = ACTIONS(1676),
    [anon_sym_AMP_EQ] = ACTIONS(1676),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1676),
    [anon_sym_PLUS_EQ] = ACTIONS(1676),
    [anon_sym_DASH_EQ] = ACTIONS(1676),
    [anon_sym_PIPE_EQ] = ACTIONS(1676),
    [anon_sym_CARET_EQ] = ACTIONS(1676),
    [sym_comment] = ACTIONS(19),
  },
  [896] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(436),
    [anon_sym_chan] = ACTIONS(438),
    [anon_sym_LT_DASH] = ACTIONS(813),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [897] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(452),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(454),
    [anon_sym_chan] = ACTIONS(456),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [898] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [899] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(2778),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [900] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [901] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [902] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [903] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [904] = {
    [anon_sym_RBRACK] = ACTIONS(2780),
    [sym_comment] = ACTIONS(19),
  },
  [905] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(998),
    [anon_sym_LT_DASH] = ACTIONS(1566),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [906] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(637),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [907] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [908] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [909] = {
    [sym_parenthesized_type] = STATE(1116),
    [sym__simple_type] = STATE(1116),
    [sym_pointer_type] = STATE(1116),
    [sym_array_type] = STATE(1116),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1116),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1116),
    [sym_function_type] = STATE(1116),
    [sym_qualified_type] = STATE(1116),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [910] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(2784),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [911] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [912] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(575),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(581),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [913] = {
    [ts_builtin_sym_end] = ACTIONS(2786),
    [anon_sym_LF] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym_package] = ACTIONS(2788),
    [anon_sym_import] = ACTIONS(2788),
    [anon_sym_DOT] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_COMMA] = ACTIONS(2788),
    [anon_sym_var] = ACTIONS(2788),
    [anon_sym_func] = ACTIONS(2788),
    [anon_sym_type] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_case] = ACTIONS(2788),
    [sym_default_case] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_PERCENT] = ACTIONS(2788),
    [anon_sym_LT_LT] = ACTIONS(2788),
    [anon_sym_GT_GT] = ACTIONS(2788),
    [anon_sym_AMP_CARET] = ACTIONS(2788),
    [anon_sym_PIPE] = ACTIONS(2788),
    [anon_sym_EQ_EQ] = ACTIONS(2788),
    [anon_sym_BANG_EQ] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2788),
    [anon_sym_LT_EQ] = ACTIONS(2788),
    [anon_sym_GT] = ACTIONS(2788),
    [anon_sym_GT_EQ] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2788),
    [sym_comment] = ACTIONS(59),
  },
  [914] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1638),
    [anon_sym_BANG_EQ] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1638),
    [anon_sym_AMP_AMP] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [sym_comment] = ACTIONS(19),
  },
  [915] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2790),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [916] = {
    [aux_sym_expression_list_repeat1] = STATE(916),
    [anon_sym_RPAREN] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(2792),
    [sym_comment] = ACTIONS(19),
  },
  [917] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [918] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [919] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [920] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [sym_comment] = ACTIONS(19),
  },
  [921] = {
    [anon_sym_COMMA] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [sym_comment] = ACTIONS(19),
  },
  [922] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(2813),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [sym_comment] = ACTIONS(19),
  },
  [923] = {
    [anon_sym_COMMA] = ACTIONS(2813),
    [anon_sym_RBRACE] = ACTIONS(2813),
    [sym_comment] = ACTIONS(19),
  },
  [924] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_AMP_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [925] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_AMP_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [926] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_AMP_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_GT] = ACTIONS(1616),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [927] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_CARET] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_SLASH] = ACTIONS(1610),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_LT_LT] = ACTIONS(1604),
    [anon_sym_GT_GT] = ACTIONS(1604),
    [anon_sym_AMP_CARET] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_EQ_EQ] = ACTIONS(1614),
    [anon_sym_BANG_EQ] = ACTIONS(1614),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_LT_EQ] = ACTIONS(1614),
    [anon_sym_GT] = ACTIONS(1616),
    [anon_sym_GT_EQ] = ACTIONS(1614),
    [anon_sym_AMP_AMP] = ACTIONS(1618),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [928] = {
    [ts_builtin_sym_end] = ACTIONS(2815),
    [anon_sym_LF] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym_package] = ACTIONS(2817),
    [anon_sym_import] = ACTIONS(2817),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_var] = ACTIONS(2817),
    [anon_sym_func] = ACTIONS(2817),
    [anon_sym_type] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [sym_default_case] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_GT_GT] = ACTIONS(2817),
    [anon_sym_AMP_CARET] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [sym_comment] = ACTIONS(59),
  },
  [929] = {
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [sym_comment] = ACTIONS(19),
  },
  [930] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [931] = {
    [aux_sym_literal_value_repeat1] = STATE(931),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [sym_comment] = ACTIONS(19),
  },
  [932] = {
    [ts_builtin_sym_end] = ACTIONS(2826),
    [anon_sym_LF] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym_package] = ACTIONS(2828),
    [anon_sym_import] = ACTIONS(2828),
    [anon_sym_DOT] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_COMMA] = ACTIONS(2828),
    [anon_sym_var] = ACTIONS(2828),
    [anon_sym_func] = ACTIONS(2828),
    [anon_sym_type] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [sym_default_case] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2828),
    [anon_sym_GT_GT] = ACTIONS(2828),
    [anon_sym_AMP_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2828),
    [anon_sym_EQ_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_PIPE_PIPE] = ACTIONS(2828),
    [sym_comment] = ACTIONS(59),
  },
  [933] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [934] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [935] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1638),
    [anon_sym_BANG_EQ] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1638),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [936] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1638),
    [anon_sym_BANG_EQ] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1638),
    [anon_sym_AMP_AMP] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(2830),
    [anon_sym_LF] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_package] = ACTIONS(2832),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_COMMA] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2832),
    [anon_sym_func] = ACTIONS(2832),
    [anon_sym_type] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [sym_default_case] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_CARET] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_PERCENT] = ACTIONS(2832),
    [anon_sym_LT_LT] = ACTIONS(2832),
    [anon_sym_GT_GT] = ACTIONS(2832),
    [anon_sym_AMP_CARET] = ACTIONS(2832),
    [anon_sym_PIPE] = ACTIONS(2832),
    [anon_sym_EQ_EQ] = ACTIONS(2832),
    [anon_sym_BANG_EQ] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2832),
    [anon_sym_GT] = ACTIONS(2832),
    [anon_sym_GT_EQ] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2832),
    [sym_comment] = ACTIONS(59),
  },
  [938] = {
    [ts_builtin_sym_end] = ACTIONS(2834),
    [anon_sym_LF] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym_package] = ACTIONS(2836),
    [anon_sym_import] = ACTIONS(2836),
    [anon_sym_DOT] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_var] = ACTIONS(2836),
    [anon_sym_func] = ACTIONS(2836),
    [anon_sym_type] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [sym_default_case] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_SLASH] = ACTIONS(2836),
    [anon_sym_PERCENT] = ACTIONS(2836),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_AMP_CARET] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_EQ_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_PIPE_PIPE] = ACTIONS(2836),
    [sym_comment] = ACTIONS(59),
  },
  [939] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(2838),
    [anon_sym_COMMA] = ACTIONS(2838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(19),
  },
  [940] = {
    [anon_sym_RPAREN] = ACTIONS(2838),
    [anon_sym_COMMA] = ACTIONS(2838),
    [sym_comment] = ACTIONS(19),
  },
  [941] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [942] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [943] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [944] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [945] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2840),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [946] = {
    [aux_sym_argument_list_repeat1] = STATE(946),
    [anon_sym_RPAREN] = ACTIONS(2838),
    [anon_sym_COMMA] = ACTIONS(2842),
    [sym_comment] = ACTIONS(19),
  },
  [947] = {
    [ts_builtin_sym_end] = ACTIONS(2845),
    [anon_sym_LF] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym_package] = ACTIONS(2847),
    [anon_sym_import] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_LPAREN] = ACTIONS(2847),
    [anon_sym_const] = ACTIONS(2847),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_var] = ACTIONS(2847),
    [anon_sym_func] = ACTIONS(2847),
    [anon_sym_type] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [sym_default_case] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_GT_GT] = ACTIONS(2847),
    [anon_sym_AMP_CARET] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [sym_comment] = ACTIONS(59),
  },
  [948] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1129),
    [sym_parenthesized_expression] = STATE(1129),
    [sym_call_expression] = STATE(1129),
    [sym_selector_expression] = STATE(1129),
    [sym_index_expression] = STATE(1129),
    [sym_slice_expression] = STATE(1129),
    [sym_type_assertion_expression] = STATE(1129),
    [sym_type_conversion_expression] = STATE(1129),
    [sym_composite_literal] = STATE(1129),
    [sym_func_literal] = STATE(1129),
    [sym_unary_expression] = STATE(1129),
    [sym_binary_expression] = STATE(1129),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1129),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2849),
    [sym_interpreted_string_literal] = ACTIONS(2849),
    [sym_int_literal] = ACTIONS(2851),
    [sym_float_literal] = ACTIONS(2851),
    [sym_imaginary_literal] = ACTIONS(2849),
    [sym_rune_literal] = ACTIONS(2849),
    [sym_comment] = ACTIONS(19),
  },
  [949] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [950] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [951] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [952] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [953] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [954] = {
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_DOT] = ACTIONS(2087),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_RBRACK] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_LT_DASH] = ACTIONS(2085),
    [anon_sym_COLON_EQ] = ACTIONS(2085),
    [anon_sym_STAR_EQ] = ACTIONS(2085),
    [anon_sym_SLASH_EQ] = ACTIONS(2085),
    [anon_sym_PERCENT_EQ] = ACTIONS(2085),
    [anon_sym_LT_LT_EQ] = ACTIONS(2085),
    [anon_sym_GT_GT_EQ] = ACTIONS(2085),
    [anon_sym_AMP_EQ] = ACTIONS(2085),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2085),
    [anon_sym_PLUS_EQ] = ACTIONS(2085),
    [anon_sym_DASH_EQ] = ACTIONS(2085),
    [anon_sym_PIPE_EQ] = ACTIONS(2085),
    [anon_sym_CARET_EQ] = ACTIONS(2085),
    [anon_sym_COLON] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2087),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_AMP_CARET] = ACTIONS(2087),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_EQ_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [sym_comment] = ACTIONS(19),
  },
  [955] = {
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym_DOT] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [anon_sym_RPAREN] = ACTIONS(2786),
    [anon_sym_COMMA] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_RBRACK] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_RBRACE] = ACTIONS(2786),
    [anon_sym_LT_DASH] = ACTIONS(2786),
    [anon_sym_COLON_EQ] = ACTIONS(2786),
    [anon_sym_STAR_EQ] = ACTIONS(2786),
    [anon_sym_SLASH_EQ] = ACTIONS(2786),
    [anon_sym_PERCENT_EQ] = ACTIONS(2786),
    [anon_sym_LT_LT_EQ] = ACTIONS(2786),
    [anon_sym_GT_GT_EQ] = ACTIONS(2786),
    [anon_sym_AMP_EQ] = ACTIONS(2786),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2786),
    [anon_sym_PLUS_EQ] = ACTIONS(2786),
    [anon_sym_DASH_EQ] = ACTIONS(2786),
    [anon_sym_PIPE_EQ] = ACTIONS(2786),
    [anon_sym_CARET_EQ] = ACTIONS(2786),
    [anon_sym_COLON] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_PERCENT] = ACTIONS(2788),
    [anon_sym_LT_LT] = ACTIONS(2788),
    [anon_sym_GT_GT] = ACTIONS(2788),
    [anon_sym_AMP_CARET] = ACTIONS(2788),
    [anon_sym_PIPE] = ACTIONS(2788),
    [anon_sym_EQ_EQ] = ACTIONS(2786),
    [anon_sym_BANG_EQ] = ACTIONS(2786),
    [anon_sym_LT] = ACTIONS(2788),
    [anon_sym_LT_EQ] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2788),
    [anon_sym_GT_EQ] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_PIPE_PIPE] = ACTIONS(2786),
    [sym_comment] = ACTIONS(19),
  },
  [956] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [957] = {
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_RPAREN] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_RBRACK] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_LT_DASH] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_STAR_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_PERCENT_EQ] = ACTIONS(2815),
    [anon_sym_LT_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_EQ] = ACTIONS(2815),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2815),
    [anon_sym_PLUS_EQ] = ACTIONS(2815),
    [anon_sym_DASH_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_CARET_EQ] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_GT_GT] = ACTIONS(2817),
    [anon_sym_AMP_CARET] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE] = ACTIONS(2815),
    [sym_comment] = ACTIONS(19),
  },
  [958] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [959] = {
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym_DOT] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_RPAREN] = ACTIONS(2826),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_EQ] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_RBRACK] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_LT_DASH] = ACTIONS(2826),
    [anon_sym_COLON_EQ] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_LT_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_GT_EQ] = ACTIONS(2826),
    [anon_sym_AMP_EQ] = ACTIONS(2826),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_PIPE_EQ] = ACTIONS(2826),
    [anon_sym_CARET_EQ] = ACTIONS(2826),
    [anon_sym_COLON] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2828),
    [anon_sym_GT_GT] = ACTIONS(2828),
    [anon_sym_AMP_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2828),
    [anon_sym_EQ_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_PIPE_PIPE] = ACTIONS(2826),
    [sym_comment] = ACTIONS(19),
  },
  [960] = {
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2830),
    [anon_sym_RPAREN] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2830),
    [anon_sym_EQ] = ACTIONS(2832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_RBRACK] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [anon_sym_LT_DASH] = ACTIONS(2830),
    [anon_sym_COLON_EQ] = ACTIONS(2830),
    [anon_sym_STAR_EQ] = ACTIONS(2830),
    [anon_sym_SLASH_EQ] = ACTIONS(2830),
    [anon_sym_PERCENT_EQ] = ACTIONS(2830),
    [anon_sym_LT_LT_EQ] = ACTIONS(2830),
    [anon_sym_GT_GT_EQ] = ACTIONS(2830),
    [anon_sym_AMP_EQ] = ACTIONS(2830),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2830),
    [anon_sym_PLUS_EQ] = ACTIONS(2830),
    [anon_sym_DASH_EQ] = ACTIONS(2830),
    [anon_sym_PIPE_EQ] = ACTIONS(2830),
    [anon_sym_CARET_EQ] = ACTIONS(2830),
    [anon_sym_COLON] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_CARET] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_PERCENT] = ACTIONS(2832),
    [anon_sym_LT_LT] = ACTIONS(2832),
    [anon_sym_GT_GT] = ACTIONS(2832),
    [anon_sym_AMP_CARET] = ACTIONS(2832),
    [anon_sym_PIPE] = ACTIONS(2832),
    [anon_sym_EQ_EQ] = ACTIONS(2830),
    [anon_sym_BANG_EQ] = ACTIONS(2830),
    [anon_sym_LT] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2832),
    [anon_sym_GT_EQ] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_PIPE_PIPE] = ACTIONS(2830),
    [sym_comment] = ACTIONS(19),
  },
  [961] = {
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym_DOT] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2834),
    [anon_sym_RPAREN] = ACTIONS(2834),
    [anon_sym_COMMA] = ACTIONS(2834),
    [anon_sym_EQ] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_RBRACK] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_LT_DASH] = ACTIONS(2834),
    [anon_sym_COLON_EQ] = ACTIONS(2834),
    [anon_sym_STAR_EQ] = ACTIONS(2834),
    [anon_sym_SLASH_EQ] = ACTIONS(2834),
    [anon_sym_PERCENT_EQ] = ACTIONS(2834),
    [anon_sym_LT_LT_EQ] = ACTIONS(2834),
    [anon_sym_GT_GT_EQ] = ACTIONS(2834),
    [anon_sym_AMP_EQ] = ACTIONS(2834),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2834),
    [anon_sym_PLUS_EQ] = ACTIONS(2834),
    [anon_sym_DASH_EQ] = ACTIONS(2834),
    [anon_sym_PIPE_EQ] = ACTIONS(2834),
    [anon_sym_CARET_EQ] = ACTIONS(2834),
    [anon_sym_COLON] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_SLASH] = ACTIONS(2836),
    [anon_sym_PERCENT] = ACTIONS(2836),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_AMP_CARET] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_EQ_EQ] = ACTIONS(2834),
    [anon_sym_BANG_EQ] = ACTIONS(2834),
    [anon_sym_LT] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2834),
    [anon_sym_GT] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_PIPE_PIPE] = ACTIONS(2834),
    [sym_comment] = ACTIONS(19),
  },
  [962] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [963] = {
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_RBRACK] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_COLON_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_COLON] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_GT_GT] = ACTIONS(2847),
    [anon_sym_AMP_CARET] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_EQ_EQ] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [sym_comment] = ACTIONS(19),
  },
  [964] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1135),
    [sym_parenthesized_expression] = STATE(1135),
    [sym_call_expression] = STATE(1135),
    [sym_selector_expression] = STATE(1135),
    [sym_index_expression] = STATE(1135),
    [sym_slice_expression] = STATE(1135),
    [sym_type_assertion_expression] = STATE(1135),
    [sym_type_conversion_expression] = STATE(1135),
    [sym_composite_literal] = STATE(1135),
    [sym_func_literal] = STATE(1135),
    [sym_unary_expression] = STATE(1135),
    [sym_binary_expression] = STATE(1135),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1135),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2863),
    [sym_interpreted_string_literal] = ACTIONS(2863),
    [sym_int_literal] = ACTIONS(2865),
    [sym_float_literal] = ACTIONS(2865),
    [sym_imaginary_literal] = ACTIONS(2863),
    [sym_rune_literal] = ACTIONS(2863),
    [sym_comment] = ACTIONS(19),
  },
  [965] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2867),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [966] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [967] = {
    [anon_sym_RBRACK] = ACTIONS(2871),
    [sym_comment] = ACTIONS(19),
  },
  [968] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1771),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [969] = {
    [anon_sym_LF] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [sym_comment] = ACTIONS(59),
  },
  [970] = {
    [anon_sym_LPAREN] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2877),
    [anon_sym_RBRACK] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_COLON] = ACTIONS(2877),
    [sym_comment] = ACTIONS(19),
  },
  [971] = {
    [sym_field_declaration] = STATE(754),
    [sym_qualified_type] = STATE(310),
    [anon_sym_STAR] = ACTIONS(685),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(19),
  },
  [972] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [973] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [974] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [975] = {
    [sym_parenthesized_type] = STATE(1140),
    [sym__simple_type] = STATE(1140),
    [sym_pointer_type] = STATE(1140),
    [sym_array_type] = STATE(1140),
    [sym_slice_type] = STATE(1140),
    [sym_struct_type] = STATE(1140),
    [sym_interface_type] = STATE(1140),
    [sym_map_type] = STATE(1140),
    [sym_channel_type] = STATE(1140),
    [sym_function_type] = STATE(1140),
    [sym_qualified_type] = STATE(1140),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [976] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(2881),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [977] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [978] = {
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_COMMA] = ACTIONS(2883),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_RBRACK] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_COLON] = ACTIONS(2883),
    [sym_comment] = ACTIONS(19),
  },
  [979] = {
    [sym_method_spec] = STATE(759),
    [sym_qualified_type] = STATE(759),
    [sym_identifier] = ACTIONS(1799),
    [sym_comment] = ACTIONS(19),
  },
  [980] = {
    [anon_sym_LPAREN] = ACTIONS(2885),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2885),
    [anon_sym_RBRACK] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_COLON] = ACTIONS(2885),
    [sym_comment] = ACTIONS(19),
  },
  [981] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [982] = {
    [ts_builtin_sym_end] = ACTIONS(2877),
    [anon_sym_LF] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_package] = ACTIONS(2887),
    [anon_sym_import] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_var] = ACTIONS(2887),
    [anon_sym_func] = ACTIONS(2887),
    [anon_sym_type] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [sym_default_case] = ACTIONS(2887),
    [sym_raw_string_literal] = ACTIONS(2887),
    [sym_interpreted_string_literal] = ACTIONS(2887),
    [sym_comment] = ACTIONS(59),
  },
  [983] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [anon_sym_LF] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_package] = ACTIONS(2889),
    [anon_sym_import] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2889),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_func] = ACTIONS(2889),
    [anon_sym_type] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [sym_default_case] = ACTIONS(2889),
    [sym_raw_string_literal] = ACTIONS(2889),
    [sym_interpreted_string_literal] = ACTIONS(2889),
    [sym_comment] = ACTIONS(59),
  },
  [984] = {
    [ts_builtin_sym_end] = ACTIONS(2885),
    [anon_sym_LF] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym_package] = ACTIONS(2891),
    [anon_sym_import] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_var] = ACTIONS(2891),
    [anon_sym_func] = ACTIONS(2891),
    [anon_sym_type] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [sym_default_case] = ACTIONS(2891),
    [sym_raw_string_literal] = ACTIONS(2891),
    [sym_interpreted_string_literal] = ACTIONS(2891),
    [sym_comment] = ACTIONS(59),
  },
  [985] = {
    [sym_expression_list] = STATE(324),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_interpreted_string_literal] = ACTIONS(2079),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(2079),
    [sym_rune_literal] = ACTIONS(2079),
    [sym_comment] = ACTIONS(19),
  },
  [986] = {
    [anon_sym_EQ] = ACTIONS(2893),
    [sym_comment] = ACTIONS(19),
  },
  [987] = {
    [aux_sym_const_spec_repeat1] = STATE(987),
    [anon_sym_LF] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(541),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(541),
    [anon_sym_struct] = ACTIONS(541),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(541),
    [anon_sym_map] = ACTIONS(541),
    [anon_sym_chan] = ACTIONS(541),
    [anon_sym_LT_DASH] = ACTIONS(541),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(59),
  },
  [988] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(2899),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [989] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [990] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [991] = {
    [sym_parenthesized_type] = STATE(1144),
    [sym__simple_type] = STATE(1144),
    [sym_pointer_type] = STATE(1144),
    [sym_array_type] = STATE(1144),
    [sym_slice_type] = STATE(1144),
    [sym_struct_type] = STATE(1144),
    [sym_interface_type] = STATE(1144),
    [sym_map_type] = STATE(1144),
    [sym_channel_type] = STATE(1144),
    [sym_function_type] = STATE(1144),
    [sym_qualified_type] = STATE(1144),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [992] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(2903),
    [anon_sym_LT_DASH] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [993] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [994] = {
    [sym_expression_list] = STATE(347),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_interpreted_string_literal] = ACTIONS(2079),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(2079),
    [sym_rune_literal] = ACTIONS(2079),
    [sym_comment] = ACTIONS(19),
  },
  [995] = {
    [anon_sym_LF] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_RBRACE] = ACTIONS(751),
    [sym_comment] = ACTIONS(59),
  },
  [996] = {
    [anon_sym_LF] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym_DOT] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_EQ] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_LT_DASH] = ACTIONS(1340),
    [anon_sym_COLON_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_STAR_EQ] = ACTIONS(1340),
    [anon_sym_SLASH_EQ] = ACTIONS(1340),
    [anon_sym_PERCENT_EQ] = ACTIONS(1340),
    [anon_sym_LT_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT_GT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_EQ] = ACTIONS(1340),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1340),
    [anon_sym_PLUS_EQ] = ACTIONS(1340),
    [anon_sym_DASH_EQ] = ACTIONS(1340),
    [anon_sym_PIPE_EQ] = ACTIONS(1340),
    [anon_sym_CARET_EQ] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [sym_default_case] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1340),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1340),
    [anon_sym_GT_GT] = ACTIONS(1340),
    [anon_sym_AMP_CARET] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(1340),
    [anon_sym_BANG_EQ] = ACTIONS(1340),
    [anon_sym_LT] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1340),
    [anon_sym_GT] = ACTIONS(1340),
    [anon_sym_GT_EQ] = ACTIONS(1340),
    [anon_sym_AMP_AMP] = ACTIONS(1340),
    [anon_sym_PIPE_PIPE] = ACTIONS(1340),
    [sym_comment] = ACTIONS(59),
  },
  [997] = {
    [anon_sym_RBRACE] = ACTIONS(2907),
    [sym_comment] = ACTIONS(19),
  },
  [998] = {
    [anon_sym_LF] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_DOT] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_LT_DASH] = ACTIONS(2180),
    [anon_sym_COLON_EQ] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_STAR_EQ] = ACTIONS(2180),
    [anon_sym_SLASH_EQ] = ACTIONS(2180),
    [anon_sym_PERCENT_EQ] = ACTIONS(2180),
    [anon_sym_LT_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_GT_EQ] = ACTIONS(2180),
    [anon_sym_AMP_EQ] = ACTIONS(2180),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2180),
    [anon_sym_PLUS_EQ] = ACTIONS(2180),
    [anon_sym_DASH_EQ] = ACTIONS(2180),
    [anon_sym_PIPE_EQ] = ACTIONS(2180),
    [anon_sym_CARET_EQ] = ACTIONS(2180),
    [anon_sym_case] = ACTIONS(2180),
    [sym_default_case] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_AMP_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2180),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [sym_comment] = ACTIONS(59),
  },
  [999] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_AMP_CARET] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1941),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1945),
    [anon_sym_PIPE_PIPE] = ACTIONS(1947),
    [sym_comment] = ACTIONS(59),
  },
  [1000] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_AMP_CARET] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1001] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_AMP_CARET] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1941),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1002] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_AMP_CARET] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1941),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1003] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_GT_GT] = ACTIONS(1939),
    [anon_sym_AMP_CARET] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1941),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1945),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1004] = {
    [aux_sym_expression_list_repeat1] = STATE(1004),
    [anon_sym_LF] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [sym_comment] = ACTIONS(59),
  },
  [1005] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_AMP_CARET] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1006] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_AMP_CARET] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1007] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_AMP_CARET] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1957),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1008] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1953),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_LT_LT] = ACTIONS(1953),
    [anon_sym_GT_GT] = ACTIONS(1953),
    [anon_sym_AMP_CARET] = ACTIONS(1953),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1957),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1959),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1009] = {
    [anon_sym_SEMI] = ACTIONS(1546),
    [anon_sym_DOT] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [anon_sym_COMMA] = ACTIONS(1546),
    [anon_sym_EQ] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_LT_DASH] = ACTIONS(1546),
    [anon_sym_COLON_EQ] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_STAR_EQ] = ACTIONS(1546),
    [anon_sym_SLASH_EQ] = ACTIONS(1546),
    [anon_sym_PERCENT_EQ] = ACTIONS(1546),
    [anon_sym_LT_LT_EQ] = ACTIONS(1546),
    [anon_sym_GT_GT_EQ] = ACTIONS(1546),
    [anon_sym_AMP_EQ] = ACTIONS(1546),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1546),
    [anon_sym_PLUS_EQ] = ACTIONS(1546),
    [anon_sym_DASH_EQ] = ACTIONS(1546),
    [anon_sym_PIPE_EQ] = ACTIONS(1546),
    [anon_sym_CARET_EQ] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_AMP_CARET] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1546),
    [anon_sym_BANG_EQ] = ACTIONS(1546),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1546),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1546),
    [anon_sym_PIPE_PIPE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(19),
  },
  [1010] = {
    [sym__declaration] = STATE(393),
    [sym_const_declaration] = STATE(393),
    [sym_var_declaration] = STATE(393),
    [sym_type_declaration] = STATE(393),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(393),
    [sym__statement_list] = STATE(1149),
    [sym__statement] = STATE(393),
    [sym_empty_statement] = STATE(393),
    [sym__simple_statement] = STATE(393),
    [sym_send_statement] = STATE(393),
    [sym_inc_statement] = STATE(393),
    [sym_dec_statement] = STATE(393),
    [sym_assignment_statement] = STATE(393),
    [sym_short_var_declaration] = STATE(393),
    [sym_labeled_statement] = STATE(393),
    [sym_empty_labeled_statement] = STATE(394),
    [sym_fallthrough_statement] = STATE(393),
    [sym_break_statement] = STATE(393),
    [sym_continue_statement] = STATE(393),
    [sym_goto_statement] = STATE(393),
    [sym_return_statement] = STATE(393),
    [sym_go_statement] = STATE(393),
    [sym_defer_statement] = STATE(393),
    [sym_if_statement] = STATE(393),
    [sym_for_statement] = STATE(393),
    [sym_expression_switch_statement] = STATE(393),
    [sym_type_switch_statement] = STATE(393),
    [sym_select_statement] = STATE(393),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(2912),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(867),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [1011] = {
    [sym_block] = STATE(1150),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [sym_comment] = ACTIONS(19),
  },
  [1012] = {
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_EQ] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_LT_DASH] = ACTIONS(1570),
    [anon_sym_COLON_EQ] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_STAR_EQ] = ACTIONS(1570),
    [anon_sym_SLASH_EQ] = ACTIONS(1570),
    [anon_sym_PERCENT_EQ] = ACTIONS(1570),
    [anon_sym_LT_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT_GT_EQ] = ACTIONS(1570),
    [anon_sym_AMP_EQ] = ACTIONS(1570),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1570),
    [anon_sym_PLUS_EQ] = ACTIONS(1570),
    [anon_sym_DASH_EQ] = ACTIONS(1570),
    [anon_sym_PIPE_EQ] = ACTIONS(1570),
    [anon_sym_CARET_EQ] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_CARET] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(1572),
    [anon_sym_PERCENT] = ACTIONS(1572),
    [anon_sym_LT_LT] = ACTIONS(1572),
    [anon_sym_GT_GT] = ACTIONS(1572),
    [anon_sym_AMP_CARET] = ACTIONS(1572),
    [anon_sym_PIPE] = ACTIONS(1572),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(1572),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1572),
    [anon_sym_GT_EQ] = ACTIONS(1570),
    [anon_sym_AMP_AMP] = ACTIONS(1570),
    [anon_sym_PIPE_PIPE] = ACTIONS(1570),
    [sym_comment] = ACTIONS(19),
  },
  [1013] = {
    [aux_sym_expression_list_repeat1] = STATE(1153),
    [anon_sym_RPAREN] = ACTIONS(2914),
    [anon_sym_COMMA] = ACTIONS(2916),
    [sym_comment] = ACTIONS(19),
  },
  [1014] = {
    [anon_sym_SEMI] = ACTIONS(1596),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [anon_sym_COMMA] = ACTIONS(1596),
    [anon_sym_EQ] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_LT_DASH] = ACTIONS(1596),
    [anon_sym_COLON_EQ] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_STAR_EQ] = ACTIONS(1596),
    [anon_sym_SLASH_EQ] = ACTIONS(1596),
    [anon_sym_PERCENT_EQ] = ACTIONS(1596),
    [anon_sym_LT_LT_EQ] = ACTIONS(1596),
    [anon_sym_GT_GT_EQ] = ACTIONS(1596),
    [anon_sym_AMP_EQ] = ACTIONS(1596),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1596),
    [anon_sym_PLUS_EQ] = ACTIONS(1596),
    [anon_sym_DASH_EQ] = ACTIONS(1596),
    [anon_sym_PIPE_EQ] = ACTIONS(1596),
    [anon_sym_CARET_EQ] = ACTIONS(1596),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_AMP] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1598),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1598),
    [anon_sym_AMP_CARET] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1598),
    [anon_sym_EQ_EQ] = ACTIONS(1596),
    [anon_sym_BANG_EQ] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_LT_EQ] = ACTIONS(1596),
    [anon_sym_GT] = ACTIONS(1598),
    [anon_sym_GT_EQ] = ACTIONS(1596),
    [anon_sym_AMP_AMP] = ACTIONS(1596),
    [anon_sym_PIPE_PIPE] = ACTIONS(1596),
    [sym_comment] = ACTIONS(19),
  },
  [1015] = {
    [aux_sym_literal_value_repeat1] = STATE(1156),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2920),
    [sym_comment] = ACTIONS(19),
  },
  [1016] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1017] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1018] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1019] = {
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [sym_comment] = ACTIONS(19),
  },
  [1020] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_expression_list_repeat1] = STATE(1163),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_PERCENT] = ACTIONS(2924),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_AMP_CARET] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2930),
    [anon_sym_EQ_EQ] = ACTIONS(2932),
    [anon_sym_BANG_EQ] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_LT_EQ] = ACTIONS(2932),
    [anon_sym_GT] = ACTIONS(2934),
    [anon_sym_GT_EQ] = ACTIONS(2932),
    [anon_sym_AMP_AMP] = ACTIONS(2936),
    [anon_sym_PIPE_PIPE] = ACTIONS(2938),
    [sym_comment] = ACTIONS(19),
  },
  [1021] = {
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [sym_comment] = ACTIONS(19),
  },
  [1022] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(2940),
    [anon_sym_COMMA] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_AMP] = ACTIONS(1634),
    [anon_sym_SLASH] = ACTIONS(1634),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_PIPE] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1638),
    [anon_sym_BANG_EQ] = ACTIONS(1638),
    [anon_sym_LT] = ACTIONS(1640),
    [anon_sym_LT_EQ] = ACTIONS(1638),
    [anon_sym_GT] = ACTIONS(1640),
    [anon_sym_GT_EQ] = ACTIONS(1638),
    [anon_sym_AMP_AMP] = ACTIONS(1642),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [sym_comment] = ACTIONS(19),
  },
  [1023] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1024] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1166),
    [sym_parenthesized_expression] = STATE(1166),
    [sym_call_expression] = STATE(1166),
    [sym_selector_expression] = STATE(1166),
    [sym_index_expression] = STATE(1166),
    [sym_slice_expression] = STATE(1166),
    [sym_type_assertion_expression] = STATE(1166),
    [sym_type_conversion_expression] = STATE(1166),
    [sym_composite_literal] = STATE(1166),
    [sym_func_literal] = STATE(1166),
    [sym_unary_expression] = STATE(1166),
    [sym_binary_expression] = STATE(1166),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1166),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(2944),
    [sym_interpreted_string_literal] = ACTIONS(2944),
    [sym_int_literal] = ACTIONS(2946),
    [sym_float_literal] = ACTIONS(2946),
    [sym_imaginary_literal] = ACTIONS(2944),
    [sym_rune_literal] = ACTIONS(2944),
    [sym_comment] = ACTIONS(19),
  },
  [1025] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1167),
    [sym_parenthesized_expression] = STATE(1167),
    [sym_call_expression] = STATE(1167),
    [sym_selector_expression] = STATE(1167),
    [sym_index_expression] = STATE(1167),
    [sym_slice_expression] = STATE(1167),
    [sym_type_assertion_expression] = STATE(1167),
    [sym_type_conversion_expression] = STATE(1167),
    [sym_composite_literal] = STATE(1167),
    [sym_func_literal] = STATE(1167),
    [sym_unary_expression] = STATE(1167),
    [sym_binary_expression] = STATE(1167),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1167),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(2948),
    [sym_interpreted_string_literal] = ACTIONS(2948),
    [sym_int_literal] = ACTIONS(2950),
    [sym_float_literal] = ACTIONS(2950),
    [sym_imaginary_literal] = ACTIONS(2948),
    [sym_rune_literal] = ACTIONS(2948),
    [sym_comment] = ACTIONS(19),
  },
  [1026] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1168),
    [sym_parenthesized_expression] = STATE(1168),
    [sym_call_expression] = STATE(1168),
    [sym_selector_expression] = STATE(1168),
    [sym_index_expression] = STATE(1168),
    [sym_slice_expression] = STATE(1168),
    [sym_type_assertion_expression] = STATE(1168),
    [sym_type_conversion_expression] = STATE(1168),
    [sym_composite_literal] = STATE(1168),
    [sym_func_literal] = STATE(1168),
    [sym_unary_expression] = STATE(1168),
    [sym_binary_expression] = STATE(1168),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1168),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(2952),
    [sym_interpreted_string_literal] = ACTIONS(2952),
    [sym_int_literal] = ACTIONS(2954),
    [sym_float_literal] = ACTIONS(2954),
    [sym_imaginary_literal] = ACTIONS(2952),
    [sym_rune_literal] = ACTIONS(2952),
    [sym_comment] = ACTIONS(19),
  },
  [1027] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1169),
    [sym_parenthesized_expression] = STATE(1169),
    [sym_call_expression] = STATE(1169),
    [sym_selector_expression] = STATE(1169),
    [sym_index_expression] = STATE(1169),
    [sym_slice_expression] = STATE(1169),
    [sym_type_assertion_expression] = STATE(1169),
    [sym_type_conversion_expression] = STATE(1169),
    [sym_composite_literal] = STATE(1169),
    [sym_func_literal] = STATE(1169),
    [sym_unary_expression] = STATE(1169),
    [sym_binary_expression] = STATE(1169),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1169),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(2956),
    [sym_interpreted_string_literal] = ACTIONS(2956),
    [sym_int_literal] = ACTIONS(2958),
    [sym_float_literal] = ACTIONS(2958),
    [sym_imaginary_literal] = ACTIONS(2956),
    [sym_rune_literal] = ACTIONS(2956),
    [sym_comment] = ACTIONS(19),
  },
  [1028] = {
    [sym_else_clause] = STATE(1170),
    [anon_sym_LF] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(2962),
    [anon_sym_else] = ACTIONS(2601),
    [sym_comment] = ACTIONS(59),
  },
  [1029] = {
    [sym_parenthesized_type] = STATE(1171),
    [sym__simple_type] = STATE(1171),
    [sym_pointer_type] = STATE(1171),
    [sym_array_type] = STATE(1171),
    [sym_slice_type] = STATE(1171),
    [sym_struct_type] = STATE(1171),
    [sym_interface_type] = STATE(1171),
    [sym_map_type] = STATE(1171),
    [sym_channel_type] = STATE(1171),
    [sym_function_type] = STATE(1171),
    [sym_qualified_type] = STATE(1171),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1030] = {
    [anon_sym_SEMI] = ACTIONS(1646),
    [anon_sym_DOT] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1646),
    [anon_sym_COMMA] = ACTIONS(1646),
    [anon_sym_EQ] = ACTIONS(1648),
    [anon_sym_STAR] = ACTIONS(1648),
    [anon_sym_LBRACK] = ACTIONS(1646),
    [anon_sym_LBRACE] = ACTIONS(1646),
    [anon_sym_LT_DASH] = ACTIONS(1646),
    [anon_sym_COLON_EQ] = ACTIONS(1646),
    [anon_sym_PLUS_PLUS] = ACTIONS(1646),
    [anon_sym_DASH_DASH] = ACTIONS(1646),
    [anon_sym_STAR_EQ] = ACTIONS(1646),
    [anon_sym_SLASH_EQ] = ACTIONS(1646),
    [anon_sym_PERCENT_EQ] = ACTIONS(1646),
    [anon_sym_LT_LT_EQ] = ACTIONS(1646),
    [anon_sym_GT_GT_EQ] = ACTIONS(1646),
    [anon_sym_AMP_EQ] = ACTIONS(1646),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1646),
    [anon_sym_PLUS_EQ] = ACTIONS(1646),
    [anon_sym_DASH_EQ] = ACTIONS(1646),
    [anon_sym_PIPE_EQ] = ACTIONS(1646),
    [anon_sym_CARET_EQ] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_CARET] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1648),
    [anon_sym_PERCENT] = ACTIONS(1648),
    [anon_sym_LT_LT] = ACTIONS(1648),
    [anon_sym_GT_GT] = ACTIONS(1648),
    [anon_sym_AMP_CARET] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_EQ_EQ] = ACTIONS(1646),
    [anon_sym_BANG_EQ] = ACTIONS(1646),
    [anon_sym_LT] = ACTIONS(1648),
    [anon_sym_LT_EQ] = ACTIONS(1646),
    [anon_sym_GT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1646),
    [anon_sym_AMP_AMP] = ACTIONS(1646),
    [anon_sym_PIPE_PIPE] = ACTIONS(1646),
    [sym_comment] = ACTIONS(19),
  },
  [1031] = {
    [anon_sym_SEMI] = ACTIONS(1650),
    [anon_sym_DOT] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_EQ] = ACTIONS(1652),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LT_DASH] = ACTIONS(1650),
    [anon_sym_COLON_EQ] = ACTIONS(1650),
    [anon_sym_PLUS_PLUS] = ACTIONS(1650),
    [anon_sym_DASH_DASH] = ACTIONS(1650),
    [anon_sym_STAR_EQ] = ACTIONS(1650),
    [anon_sym_SLASH_EQ] = ACTIONS(1650),
    [anon_sym_PERCENT_EQ] = ACTIONS(1650),
    [anon_sym_LT_LT_EQ] = ACTIONS(1650),
    [anon_sym_GT_GT_EQ] = ACTIONS(1650),
    [anon_sym_AMP_EQ] = ACTIONS(1650),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1650),
    [anon_sym_PLUS_EQ] = ACTIONS(1650),
    [anon_sym_DASH_EQ] = ACTIONS(1650),
    [anon_sym_PIPE_EQ] = ACTIONS(1650),
    [anon_sym_CARET_EQ] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_DASH] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_SLASH] = ACTIONS(1652),
    [anon_sym_PERCENT] = ACTIONS(1652),
    [anon_sym_LT_LT] = ACTIONS(1652),
    [anon_sym_GT_GT] = ACTIONS(1652),
    [anon_sym_AMP_CARET] = ACTIONS(1652),
    [anon_sym_PIPE] = ACTIONS(1652),
    [anon_sym_EQ_EQ] = ACTIONS(1650),
    [anon_sym_BANG_EQ] = ACTIONS(1650),
    [anon_sym_LT] = ACTIONS(1652),
    [anon_sym_LT_EQ] = ACTIONS(1650),
    [anon_sym_GT] = ACTIONS(1652),
    [anon_sym_GT_EQ] = ACTIONS(1650),
    [anon_sym_AMP_AMP] = ACTIONS(1650),
    [anon_sym_PIPE_PIPE] = ACTIONS(1650),
    [sym_comment] = ACTIONS(19),
  },
  [1032] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_argument_list_repeat1] = STATE(1174),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(2964),
    [anon_sym_COMMA] = ACTIONS(2966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1658),
    [anon_sym_STAR] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_CARET] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1664),
    [anon_sym_SLASH] = ACTIONS(1664),
    [anon_sym_PERCENT] = ACTIONS(1660),
    [anon_sym_LT_LT] = ACTIONS(1660),
    [anon_sym_GT_GT] = ACTIONS(1660),
    [anon_sym_AMP_CARET] = ACTIONS(1660),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1668),
    [anon_sym_BANG_EQ] = ACTIONS(1668),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_LT_EQ] = ACTIONS(1668),
    [anon_sym_GT] = ACTIONS(1670),
    [anon_sym_GT_EQ] = ACTIONS(1668),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(19),
  },
  [1033] = {
    [aux_sym_argument_list_repeat1] = STATE(1174),
    [anon_sym_RPAREN] = ACTIONS(2964),
    [anon_sym_COMMA] = ACTIONS(2966),
    [sym_comment] = ACTIONS(19),
  },
  [1034] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1682),
    [anon_sym_SLASH] = ACTIONS(1682),
    [anon_sym_PERCENT] = ACTIONS(1682),
    [anon_sym_LT_LT] = ACTIONS(1682),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_AMP_CARET] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1035] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1176),
    [sym_parenthesized_expression] = STATE(1176),
    [sym_call_expression] = STATE(1176),
    [sym_selector_expression] = STATE(1176),
    [sym_index_expression] = STATE(1176),
    [sym_slice_expression] = STATE(1176),
    [sym_type_assertion_expression] = STATE(1176),
    [sym_type_conversion_expression] = STATE(1176),
    [sym_composite_literal] = STATE(1176),
    [sym_func_literal] = STATE(1176),
    [sym_unary_expression] = STATE(1176),
    [sym_binary_expression] = STATE(1176),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1176),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(2970),
    [sym_interpreted_string_literal] = ACTIONS(2970),
    [sym_int_literal] = ACTIONS(2972),
    [sym_float_literal] = ACTIONS(2972),
    [sym_imaginary_literal] = ACTIONS(2970),
    [sym_rune_literal] = ACTIONS(2970),
    [sym_comment] = ACTIONS(19),
  },
  [1036] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(2974),
    [anon_sym_COLON] = ACTIONS(2976),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [1037] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_CARET] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_AMP_CARET] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2623),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2631),
    [sym_comment] = ACTIONS(19),
  },
  [1038] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_AMP_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1039] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_AMP_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1040] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_AMP_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_LT] = ACTIONS(2019),
    [anon_sym_LT_EQ] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2019),
    [anon_sym_GT_EQ] = ACTIONS(2017),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1041] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_AMP_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_LT] = ACTIONS(2019),
    [anon_sym_LT_EQ] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2019),
    [anon_sym_GT_EQ] = ACTIONS(2017),
    [anon_sym_AMP_AMP] = ACTIONS(2021),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1042] = {
    [sym_block] = STATE(1179),
    [sym_if_statement] = STATE(1179),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(2978),
    [sym_comment] = ACTIONS(19),
  },
  [1043] = {
    [anon_sym_LF] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(2962),
    [anon_sym_case] = ACTIONS(2962),
    [sym_default_case] = ACTIONS(2962),
    [sym_comment] = ACTIONS(59),
  },
  [1044] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_call_expression] = STATE(815),
    [sym_selector_expression] = STATE(815),
    [sym_index_expression] = STATE(815),
    [sym_slice_expression] = STATE(815),
    [sym_type_assertion_expression] = STATE(815),
    [sym_type_conversion_expression] = STATE(815),
    [sym_composite_literal] = STATE(815),
    [sym_func_literal] = STATE(815),
    [sym_unary_expression] = STATE(815),
    [sym_binary_expression] = STATE(815),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1971),
    [sym_interpreted_string_literal] = ACTIONS(1971),
    [sym_int_literal] = ACTIONS(1973),
    [sym_float_literal] = ACTIONS(1973),
    [sym_imaginary_literal] = ACTIONS(1971),
    [sym_rune_literal] = ACTIONS(1971),
    [sym_comment] = ACTIONS(19),
  },
  [1045] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_call_expression] = STATE(815),
    [sym_selector_expression] = STATE(815),
    [sym_index_expression] = STATE(815),
    [sym_slice_expression] = STATE(815),
    [sym_type_assertion_expression] = STATE(815),
    [sym_type_conversion_expression] = STATE(815),
    [sym_composite_literal] = STATE(815),
    [sym_func_literal] = STATE(815),
    [sym_unary_expression] = STATE(815),
    [sym_binary_expression] = STATE(815),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1971),
    [sym_interpreted_string_literal] = ACTIONS(1971),
    [sym_int_literal] = ACTIONS(1973),
    [sym_float_literal] = ACTIONS(1973),
    [sym_imaginary_literal] = ACTIONS(1971),
    [sym_rune_literal] = ACTIONS(1971),
    [sym_comment] = ACTIONS(19),
  },
  [1046] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_call_expression] = STATE(815),
    [sym_selector_expression] = STATE(815),
    [sym_index_expression] = STATE(815),
    [sym_slice_expression] = STATE(815),
    [sym_type_assertion_expression] = STATE(815),
    [sym_type_conversion_expression] = STATE(815),
    [sym_composite_literal] = STATE(815),
    [sym_func_literal] = STATE(815),
    [sym_unary_expression] = STATE(815),
    [sym_binary_expression] = STATE(815),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(1971),
    [sym_interpreted_string_literal] = ACTIONS(1971),
    [sym_int_literal] = ACTIONS(1973),
    [sym_float_literal] = ACTIONS(1973),
    [sym_imaginary_literal] = ACTIONS(1971),
    [sym_rune_literal] = ACTIONS(1971),
    [sym_comment] = ACTIONS(19),
  },
  [1047] = {
    [anon_sym_EQ] = ACTIONS(2980),
    [anon_sym_COLON_EQ] = ACTIONS(2982),
    [anon_sym_STAR_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_PERCENT_EQ] = ACTIONS(2980),
    [anon_sym_LT_LT_EQ] = ACTIONS(2980),
    [anon_sym_GT_GT_EQ] = ACTIONS(2980),
    [anon_sym_AMP_EQ] = ACTIONS(2980),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(2980),
    [anon_sym_DASH_EQ] = ACTIONS(2980),
    [anon_sym_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_CARET_EQ] = ACTIONS(2980),
    [sym_comment] = ACTIONS(19),
  },
  [1048] = {
    [anon_sym_LBRACE] = ACTIONS(2984),
    [sym_comment] = ACTIONS(19),
  },
  [1049] = {
    [sym_argument_list] = STATE(842),
    [aux_sym_expression_list_repeat1] = STATE(635),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_LT_DASH] = ACTIONS(2988),
    [anon_sym_COLON_EQ] = ACTIONS(615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_STAR_EQ] = ACTIONS(615),
    [anon_sym_SLASH_EQ] = ACTIONS(615),
    [anon_sym_PERCENT_EQ] = ACTIONS(615),
    [anon_sym_LT_LT_EQ] = ACTIONS(615),
    [anon_sym_GT_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_EQ] = ACTIONS(615),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(615),
    [anon_sym_DASH_EQ] = ACTIONS(615),
    [anon_sym_PIPE_EQ] = ACTIONS(615),
    [anon_sym_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_AMP_CARET] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_EQ_EQ] = ACTIONS(2992),
    [anon_sym_BANG_EQ] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2992),
    [anon_sym_GT] = ACTIONS(2994),
    [anon_sym_GT_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_PIPE_PIPE] = ACTIONS(2998),
    [sym_comment] = ACTIONS(19),
  },
  [1050] = {
    [sym_expression_list] = STATE(1047),
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__simple_statement] = STATE(1188),
    [sym_send_statement] = STATE(1188),
    [sym_inc_statement] = STATE(1188),
    [sym_dec_statement] = STATE(1188),
    [sym_assignment_statement] = STATE(1188),
    [sym_short_var_declaration] = STATE(1188),
    [sym__expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1049),
    [sym_call_expression] = STATE(1049),
    [sym_selector_expression] = STATE(1049),
    [sym_index_expression] = STATE(1049),
    [sym_slice_expression] = STATE(1049),
    [sym_type_assertion_expression] = STATE(1049),
    [sym_type_conversion_expression] = STATE(1049),
    [sym_composite_literal] = STATE(1049),
    [sym_func_literal] = STATE(1049),
    [sym_unary_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1049),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(2984),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2611),
    [sym_interpreted_string_literal] = ACTIONS(2611),
    [sym_int_literal] = ACTIONS(2613),
    [sym_float_literal] = ACTIONS(2613),
    [sym_imaginary_literal] = ACTIONS(2611),
    [sym_rune_literal] = ACTIONS(2611),
    [sym_comment] = ACTIONS(19),
  },
  [1051] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1052] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1189),
    [sym_parenthesized_expression] = STATE(1189),
    [sym_call_expression] = STATE(1189),
    [sym_selector_expression] = STATE(1189),
    [sym_index_expression] = STATE(1189),
    [sym_slice_expression] = STATE(1189),
    [sym_type_assertion_expression] = STATE(1189),
    [sym_type_conversion_expression] = STATE(1189),
    [sym_composite_literal] = STATE(1189),
    [sym_func_literal] = STATE(1189),
    [sym_unary_expression] = STATE(1189),
    [sym_binary_expression] = STATE(1189),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1189),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3000),
    [sym_interpreted_string_literal] = ACTIONS(3000),
    [sym_int_literal] = ACTIONS(3002),
    [sym_float_literal] = ACTIONS(3002),
    [sym_imaginary_literal] = ACTIONS(3000),
    [sym_rune_literal] = ACTIONS(3000),
    [sym_comment] = ACTIONS(19),
  },
  [1053] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1190),
    [sym_parenthesized_expression] = STATE(1190),
    [sym_call_expression] = STATE(1190),
    [sym_selector_expression] = STATE(1190),
    [sym_index_expression] = STATE(1190),
    [sym_slice_expression] = STATE(1190),
    [sym_type_assertion_expression] = STATE(1190),
    [sym_type_conversion_expression] = STATE(1190),
    [sym_composite_literal] = STATE(1190),
    [sym_func_literal] = STATE(1190),
    [sym_unary_expression] = STATE(1190),
    [sym_binary_expression] = STATE(1190),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1190),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3004),
    [sym_interpreted_string_literal] = ACTIONS(3004),
    [sym_int_literal] = ACTIONS(3006),
    [sym_float_literal] = ACTIONS(3006),
    [sym_imaginary_literal] = ACTIONS(3004),
    [sym_rune_literal] = ACTIONS(3004),
    [sym_comment] = ACTIONS(19),
  },
  [1054] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1191),
    [sym_parenthesized_expression] = STATE(1191),
    [sym_call_expression] = STATE(1191),
    [sym_selector_expression] = STATE(1191),
    [sym_index_expression] = STATE(1191),
    [sym_slice_expression] = STATE(1191),
    [sym_type_assertion_expression] = STATE(1191),
    [sym_type_conversion_expression] = STATE(1191),
    [sym_composite_literal] = STATE(1191),
    [sym_func_literal] = STATE(1191),
    [sym_unary_expression] = STATE(1191),
    [sym_binary_expression] = STATE(1191),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1191),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3008),
    [sym_interpreted_string_literal] = ACTIONS(3008),
    [sym_int_literal] = ACTIONS(3010),
    [sym_float_literal] = ACTIONS(3010),
    [sym_imaginary_literal] = ACTIONS(3008),
    [sym_rune_literal] = ACTIONS(3008),
    [sym_comment] = ACTIONS(19),
  },
  [1055] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_selector_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_slice_expression] = STATE(1192),
    [sym_type_assertion_expression] = STATE(1192),
    [sym_type_conversion_expression] = STATE(1192),
    [sym_composite_literal] = STATE(1192),
    [sym_func_literal] = STATE(1192),
    [sym_unary_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1192),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3012),
    [sym_interpreted_string_literal] = ACTIONS(3012),
    [sym_int_literal] = ACTIONS(3014),
    [sym_float_literal] = ACTIONS(3014),
    [sym_imaginary_literal] = ACTIONS(3012),
    [sym_rune_literal] = ACTIONS(3012),
    [sym_comment] = ACTIONS(19),
  },
  [1056] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1193),
    [sym_parenthesized_expression] = STATE(1193),
    [sym_call_expression] = STATE(1193),
    [sym_selector_expression] = STATE(1193),
    [sym_index_expression] = STATE(1193),
    [sym_slice_expression] = STATE(1193),
    [sym_type_assertion_expression] = STATE(1193),
    [sym_type_conversion_expression] = STATE(1193),
    [sym_composite_literal] = STATE(1193),
    [sym_func_literal] = STATE(1193),
    [sym_unary_expression] = STATE(1193),
    [sym_binary_expression] = STATE(1193),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1193),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3016),
    [sym_interpreted_string_literal] = ACTIONS(3016),
    [sym_int_literal] = ACTIONS(3018),
    [sym_float_literal] = ACTIONS(3018),
    [sym_imaginary_literal] = ACTIONS(3016),
    [sym_rune_literal] = ACTIONS(3016),
    [sym_comment] = ACTIONS(19),
  },
  [1057] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_CARET] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_AMP_CARET] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2623),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2631),
    [sym_comment] = ACTIONS(19),
  },
  [1058] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1059] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1060] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1061] = {
    [anon_sym_COLON] = ACTIONS(3022),
    [sym_comment] = ACTIONS(19),
  },
  [1062] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_expression_list_repeat1] = STATE(1201),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PERCENT] = ACTIONS(3026),
    [anon_sym_LT_LT] = ACTIONS(3026),
    [anon_sym_GT_GT] = ACTIONS(3026),
    [anon_sym_AMP_CARET] = ACTIONS(3026),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE] = ACTIONS(3040),
    [sym_comment] = ACTIONS(19),
  },
  [1063] = {
    [sym__declaration] = STATE(1215),
    [sym_const_declaration] = STATE(1215),
    [sym_var_declaration] = STATE(1215),
    [sym_type_declaration] = STATE(1215),
    [sym_expression_list] = STATE(1213),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(1215),
    [sym__statement_list] = STATE(1214),
    [sym__statement] = STATE(1215),
    [sym_empty_statement] = STATE(1215),
    [sym__simple_statement] = STATE(1215),
    [sym_send_statement] = STATE(1215),
    [sym_inc_statement] = STATE(1215),
    [sym_dec_statement] = STATE(1215),
    [sym_assignment_statement] = STATE(1215),
    [sym_short_var_declaration] = STATE(1215),
    [sym_labeled_statement] = STATE(1215),
    [sym_empty_labeled_statement] = STATE(394),
    [sym_fallthrough_statement] = STATE(1215),
    [sym_break_statement] = STATE(1215),
    [sym_continue_statement] = STATE(1215),
    [sym_goto_statement] = STATE(1215),
    [sym_return_statement] = STATE(1215),
    [sym_go_statement] = STATE(1215),
    [sym_defer_statement] = STATE(1215),
    [sym_if_statement] = STATE(1215),
    [sym_for_statement] = STATE(1215),
    [sym_expression_switch_statement] = STATE(1215),
    [sym_type_switch_statement] = STATE(1215),
    [sym_select_statement] = STATE(1215),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_func_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_binary_expression] = STATE(1216),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1216),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(3042),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(3054),
    [anon_sym_go] = ACTIONS(3056),
    [anon_sym_defer] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_case] = ACTIONS(3062),
    [sym_default_case] = ACTIONS(3062),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3066),
    [sym_raw_string_literal] = ACTIONS(3068),
    [sym_interpreted_string_literal] = ACTIONS(3068),
    [sym_int_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3070),
    [sym_imaginary_literal] = ACTIONS(3068),
    [sym_rune_literal] = ACTIONS(3068),
    [sym_comment] = ACTIONS(19),
  },
  [1064] = {
    [anon_sym_LF] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_case] = ACTIONS(3074),
    [sym_default_case] = ACTIONS(3074),
    [sym_comment] = ACTIONS(59),
  },
  [1065] = {
    [sym_expression_case_clause] = STATE(1065),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1065),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3078),
    [sym_default_case] = ACTIONS(3081),
    [sym_comment] = ACTIONS(19),
  },
  [1066] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_expression_list_repeat1] = STATE(1163),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_PERCENT] = ACTIONS(2924),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_AMP_CARET] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2930),
    [anon_sym_EQ_EQ] = ACTIONS(2932),
    [anon_sym_BANG_EQ] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_LT_EQ] = ACTIONS(2932),
    [anon_sym_GT] = ACTIONS(2934),
    [anon_sym_GT_EQ] = ACTIONS(2932),
    [anon_sym_AMP_AMP] = ACTIONS(2936),
    [anon_sym_PIPE_PIPE] = ACTIONS(2938),
    [sym_comment] = ACTIONS(19),
  },
  [1067] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1068] = {
    [sym_expression_case_clause] = STATE(1219),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1219),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_case] = ACTIONS(2053),
    [sym_default_case] = ACTIONS(2055),
    [sym_comment] = ACTIONS(19),
  },
  [1069] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1070] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1071] = {
    [anon_sym_COLON_EQ] = ACTIONS(3088),
    [sym_comment] = ACTIONS(19),
  },
  [1072] = {
    [anon_sym_LBRACE] = ACTIONS(3090),
    [sym_comment] = ACTIONS(19),
  },
  [1073] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_expression_list_repeat1] = STATE(1230),
    [anon_sym_DOT] = ACTIONS(3092),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_COLON_EQ] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3096),
    [anon_sym_AMP_CARET] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [sym_comment] = ACTIONS(19),
  },
  [1074] = {
    [anon_sym_LF] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [sym_default_case] = ACTIONS(3116),
    [sym_comment] = ACTIONS(59),
  },
  [1075] = {
    [sym_parenthesized_type] = STATE(1237),
    [sym__simple_type] = STATE(1237),
    [sym_pointer_type] = STATE(1237),
    [sym_array_type] = STATE(1237),
    [sym_slice_type] = STATE(1237),
    [sym_struct_type] = STATE(1237),
    [sym_interface_type] = STATE(1237),
    [sym_map_type] = STATE(1237),
    [sym_channel_type] = STATE(1237),
    [sym_function_type] = STATE(1237),
    [sym_qualified_type] = STATE(1237),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1076] = {
    [anon_sym_COLON] = ACTIONS(3130),
    [sym_comment] = ACTIONS(19),
  },
  [1077] = {
    [sym_type_case_clause] = STATE(1240),
    [sym_type_case] = STATE(1076),
    [aux_sym_type_switch_statement_repeat1] = STATE(1240),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(2681),
    [sym_default_case] = ACTIONS(2683),
    [sym_comment] = ACTIONS(19),
  },
  [1078] = {
    [sym_parenthesized_type] = STATE(1171),
    [sym__simple_type] = STATE(1171),
    [sym_pointer_type] = STATE(1171),
    [sym_array_type] = STATE(1171),
    [sym_slice_type] = STATE(1171),
    [sym_struct_type] = STATE(1171),
    [sym_interface_type] = STATE(1171),
    [sym_map_type] = STATE(1171),
    [sym_channel_type] = STATE(1171),
    [sym_function_type] = STATE(1171),
    [sym_qualified_type] = STATE(1171),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1079] = {
    [sym_expression_case_clause] = STATE(1065),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1065),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_case] = ACTIONS(2053),
    [sym_default_case] = ACTIONS(2055),
    [sym_comment] = ACTIONS(19),
  },
  [1080] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1081] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1082] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1083] = {
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_COLON_EQ] = ACTIONS(3136),
    [sym_comment] = ACTIONS(19),
  },
  [1084] = {
    [anon_sym_COLON] = ACTIONS(3138),
    [sym_comment] = ACTIONS(19),
  },
  [1085] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_expression_list_repeat1] = STATE(1250),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(3140),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT_DASH] = ACTIONS(3144),
    [anon_sym_COLON_EQ] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_LT_LT] = ACTIONS(3142),
    [anon_sym_GT_GT] = ACTIONS(3142),
    [anon_sym_AMP_CARET] = ACTIONS(3142),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [sym_comment] = ACTIONS(19),
  },
  [1086] = {
    [sym__declaration] = STATE(1215),
    [sym_const_declaration] = STATE(1215),
    [sym_var_declaration] = STATE(1215),
    [sym_type_declaration] = STATE(1215),
    [sym_expression_list] = STATE(1213),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(1215),
    [sym__statement_list] = STATE(1251),
    [sym__statement] = STATE(1215),
    [sym_empty_statement] = STATE(1215),
    [sym__simple_statement] = STATE(1215),
    [sym_send_statement] = STATE(1215),
    [sym_inc_statement] = STATE(1215),
    [sym_dec_statement] = STATE(1215),
    [sym_assignment_statement] = STATE(1215),
    [sym_short_var_declaration] = STATE(1215),
    [sym_labeled_statement] = STATE(1215),
    [sym_empty_labeled_statement] = STATE(394),
    [sym_fallthrough_statement] = STATE(1215),
    [sym_break_statement] = STATE(1215),
    [sym_continue_statement] = STATE(1215),
    [sym_goto_statement] = STATE(1215),
    [sym_return_statement] = STATE(1215),
    [sym_go_statement] = STATE(1215),
    [sym_defer_statement] = STATE(1215),
    [sym_if_statement] = STATE(1215),
    [sym_for_statement] = STATE(1215),
    [sym_expression_switch_statement] = STATE(1215),
    [sym_type_switch_statement] = STATE(1215),
    [sym_select_statement] = STATE(1215),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_func_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_binary_expression] = STATE(1216),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1216),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(3042),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(3054),
    [anon_sym_go] = ACTIONS(3056),
    [anon_sym_defer] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_case] = ACTIONS(3164),
    [sym_default_case] = ACTIONS(3164),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3066),
    [sym_raw_string_literal] = ACTIONS(3068),
    [sym_interpreted_string_literal] = ACTIONS(3068),
    [sym_int_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3070),
    [sym_imaginary_literal] = ACTIONS(3068),
    [sym_rune_literal] = ACTIONS(3068),
    [sym_comment] = ACTIONS(19),
  },
  [1087] = {
    [anon_sym_LF] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [sym_default_case] = ACTIONS(3168),
    [sym_comment] = ACTIONS(59),
  },
  [1088] = {
    [sym_communication_clause] = STATE(1088),
    [sym_communication_case] = STATE(864),
    [aux_sym_select_statement_repeat1] = STATE(1088),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3172),
    [sym_default_case] = ACTIONS(3175),
    [sym_comment] = ACTIONS(19),
  },
  [1089] = {
    [anon_sym_LF] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_DOT] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [anon_sym_LT_DASH] = ACTIONS(2200),
    [anon_sym_COLON_EQ] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_STAR_EQ] = ACTIONS(2200),
    [anon_sym_SLASH_EQ] = ACTIONS(2200),
    [anon_sym_PERCENT_EQ] = ACTIONS(2200),
    [anon_sym_LT_LT_EQ] = ACTIONS(2200),
    [anon_sym_GT_GT_EQ] = ACTIONS(2200),
    [anon_sym_AMP_EQ] = ACTIONS(2200),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2200),
    [anon_sym_PLUS_EQ] = ACTIONS(2200),
    [anon_sym_DASH_EQ] = ACTIONS(2200),
    [anon_sym_PIPE_EQ] = ACTIONS(2200),
    [anon_sym_CARET_EQ] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2200),
    [sym_default_case] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_AMP_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2200),
    [anon_sym_BANG_EQ] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2200),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2200),
    [anon_sym_AMP_AMP] = ACTIONS(2200),
    [anon_sym_PIPE_PIPE] = ACTIONS(2200),
    [sym_comment] = ACTIONS(59),
  },
  [1090] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [1091] = {
    [aux_sym_expression_list_repeat1] = STATE(916),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3180),
    [sym_comment] = ACTIONS(19),
  },
  [1092] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [1093] = {
    [anon_sym_LF] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_DOT] = ACTIONS(2244),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2244),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [anon_sym_LT_DASH] = ACTIONS(2244),
    [anon_sym_COLON_EQ] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_STAR_EQ] = ACTIONS(2244),
    [anon_sym_SLASH_EQ] = ACTIONS(2244),
    [anon_sym_PERCENT_EQ] = ACTIONS(2244),
    [anon_sym_LT_LT_EQ] = ACTIONS(2244),
    [anon_sym_GT_GT_EQ] = ACTIONS(2244),
    [anon_sym_AMP_EQ] = ACTIONS(2244),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2244),
    [anon_sym_PLUS_EQ] = ACTIONS(2244),
    [anon_sym_DASH_EQ] = ACTIONS(2244),
    [anon_sym_PIPE_EQ] = ACTIONS(2244),
    [anon_sym_CARET_EQ] = ACTIONS(2244),
    [anon_sym_case] = ACTIONS(2244),
    [sym_default_case] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_AMP_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2244),
    [anon_sym_BANG_EQ] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_AMP_AMP] = ACTIONS(2244),
    [anon_sym_PIPE_PIPE] = ACTIONS(2244),
    [sym_comment] = ACTIONS(59),
  },
  [1094] = {
    [aux_sym_literal_value_repeat1] = STATE(931),
    [anon_sym_COMMA] = ACTIONS(3184),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [sym_comment] = ACTIONS(19),
  },
  [1095] = {
    [sym__declaration] = STATE(870),
    [sym_const_declaration] = STATE(870),
    [sym_var_declaration] = STATE(870),
    [sym_type_declaration] = STATE(870),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(870),
    [sym__statement] = STATE(870),
    [sym_empty_statement] = STATE(870),
    [sym__simple_statement] = STATE(870),
    [sym_send_statement] = STATE(870),
    [sym_inc_statement] = STATE(870),
    [sym_dec_statement] = STATE(870),
    [sym_assignment_statement] = STATE(870),
    [sym_short_var_declaration] = STATE(870),
    [sym_labeled_statement] = STATE(870),
    [sym_fallthrough_statement] = STATE(870),
    [sym_break_statement] = STATE(870),
    [sym_continue_statement] = STATE(870),
    [sym_goto_statement] = STATE(870),
    [sym_return_statement] = STATE(870),
    [sym_go_statement] = STATE(870),
    [sym_defer_statement] = STATE(870),
    [sym_if_statement] = STATE(870),
    [sym_for_statement] = STATE(870),
    [sym_expression_switch_statement] = STATE(870),
    [sym_type_switch_statement] = STATE(870),
    [sym_select_statement] = STATE(870),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(2077),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [1096] = {
    [anon_sym_LF] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_DOT] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_COMMA] = ACTIONS(2250),
    [anon_sym_EQ] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_LT_DASH] = ACTIONS(2250),
    [anon_sym_COLON_EQ] = ACTIONS(2250),
    [anon_sym_PLUS_PLUS] = ACTIONS(2250),
    [anon_sym_DASH_DASH] = ACTIONS(2250),
    [anon_sym_STAR_EQ] = ACTIONS(2250),
    [anon_sym_SLASH_EQ] = ACTIONS(2250),
    [anon_sym_PERCENT_EQ] = ACTIONS(2250),
    [anon_sym_LT_LT_EQ] = ACTIONS(2250),
    [anon_sym_GT_GT_EQ] = ACTIONS(2250),
    [anon_sym_AMP_EQ] = ACTIONS(2250),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2250),
    [anon_sym_PLUS_EQ] = ACTIONS(2250),
    [anon_sym_DASH_EQ] = ACTIONS(2250),
    [anon_sym_PIPE_EQ] = ACTIONS(2250),
    [anon_sym_CARET_EQ] = ACTIONS(2250),
    [anon_sym_case] = ACTIONS(2250),
    [sym_default_case] = ACTIONS(2250),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2250),
    [anon_sym_LT_LT] = ACTIONS(2250),
    [anon_sym_GT_GT] = ACTIONS(2250),
    [anon_sym_AMP_CARET] = ACTIONS(2250),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_EQ_EQ] = ACTIONS(2250),
    [anon_sym_BANG_EQ] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_GT_EQ] = ACTIONS(2250),
    [anon_sym_AMP_AMP] = ACTIONS(2250),
    [anon_sym_PIPE_PIPE] = ACTIONS(2250),
    [sym_comment] = ACTIONS(59),
  },
  [1097] = {
    [anon_sym_RPAREN] = ACTIONS(3186),
    [sym_comment] = ACTIONS(19),
  },
  [1098] = {
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [sym_default_case] = ACTIONS(3188),
    [sym_comment] = ACTIONS(19),
  },
  [1099] = {
    [sym__declaration] = STATE(874),
    [sym_const_declaration] = STATE(874),
    [sym_var_declaration] = STATE(874),
    [sym_type_declaration] = STATE(874),
    [sym_expression_list] = STATE(388),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(874),
    [sym__statement] = STATE(874),
    [sym_empty_statement] = STATE(874),
    [sym__simple_statement] = STATE(874),
    [sym_send_statement] = STATE(874),
    [sym_inc_statement] = STATE(874),
    [sym_dec_statement] = STATE(874),
    [sym_assignment_statement] = STATE(874),
    [sym_short_var_declaration] = STATE(874),
    [sym_labeled_statement] = STATE(874),
    [sym_fallthrough_statement] = STATE(874),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(874),
    [sym_goto_statement] = STATE(874),
    [sym_return_statement] = STATE(874),
    [sym_go_statement] = STATE(874),
    [sym_defer_statement] = STATE(874),
    [sym_if_statement] = STATE(874),
    [sym_for_statement] = STATE(874),
    [sym_expression_switch_statement] = STATE(874),
    [sym_type_switch_statement] = STATE(874),
    [sym_select_statement] = STATE(874),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(395),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(827),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(839),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_go] = ACTIONS(851),
    [anon_sym_defer] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(865),
    [sym_identifier] = ACTIONS(2077),
    [sym_raw_string_literal] = ACTIONS(869),
    [sym_interpreted_string_literal] = ACTIONS(869),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_comment] = ACTIONS(19),
  },
  [1100] = {
    [anon_sym_RPAREN] = ACTIONS(3190),
    [sym_comment] = ACTIONS(19),
  },
  [1101] = {
    [anon_sym_LF] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_EQ] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_LT_DASH] = ACTIONS(2274),
    [anon_sym_COLON_EQ] = ACTIONS(2274),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_STAR_EQ] = ACTIONS(2274),
    [anon_sym_SLASH_EQ] = ACTIONS(2274),
    [anon_sym_PERCENT_EQ] = ACTIONS(2274),
    [anon_sym_LT_LT_EQ] = ACTIONS(2274),
    [anon_sym_GT_GT_EQ] = ACTIONS(2274),
    [anon_sym_AMP_EQ] = ACTIONS(2274),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2274),
    [anon_sym_PLUS_EQ] = ACTIONS(2274),
    [anon_sym_DASH_EQ] = ACTIONS(2274),
    [anon_sym_PIPE_EQ] = ACTIONS(2274),
    [anon_sym_CARET_EQ] = ACTIONS(2274),
    [anon_sym_case] = ACTIONS(2274),
    [sym_default_case] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_AMP_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [sym_comment] = ACTIONS(59),
  },
  [1102] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(3192),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [1103] = {
    [aux_sym_argument_list_repeat1] = STATE(946),
    [anon_sym_RPAREN] = ACTIONS(3192),
    [anon_sym_COMMA] = ACTIONS(3194),
    [sym_comment] = ACTIONS(19),
  },
  [1104] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1105] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1260),
    [sym_parenthesized_expression] = STATE(1260),
    [sym_call_expression] = STATE(1260),
    [sym_selector_expression] = STATE(1260),
    [sym_index_expression] = STATE(1260),
    [sym_slice_expression] = STATE(1260),
    [sym_type_assertion_expression] = STATE(1260),
    [sym_type_conversion_expression] = STATE(1260),
    [sym_composite_literal] = STATE(1260),
    [sym_func_literal] = STATE(1260),
    [sym_unary_expression] = STATE(1260),
    [sym_binary_expression] = STATE(1260),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1260),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3196),
    [sym_interpreted_string_literal] = ACTIONS(3196),
    [sym_int_literal] = ACTIONS(3198),
    [sym_float_literal] = ACTIONS(3198),
    [sym_imaginary_literal] = ACTIONS(3196),
    [sym_rune_literal] = ACTIONS(3196),
    [sym_comment] = ACTIONS(19),
  },
  [1106] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(1261),
    [sym_call_expression] = STATE(1261),
    [sym_selector_expression] = STATE(1261),
    [sym_index_expression] = STATE(1261),
    [sym_slice_expression] = STATE(1261),
    [sym_type_assertion_expression] = STATE(1261),
    [sym_type_conversion_expression] = STATE(1261),
    [sym_composite_literal] = STATE(1261),
    [sym_func_literal] = STATE(1261),
    [sym_unary_expression] = STATE(1261),
    [sym_binary_expression] = STATE(1261),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1261),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3200),
    [sym_interpreted_string_literal] = ACTIONS(3200),
    [sym_int_literal] = ACTIONS(3202),
    [sym_float_literal] = ACTIONS(3202),
    [sym_imaginary_literal] = ACTIONS(3200),
    [sym_rune_literal] = ACTIONS(3200),
    [sym_comment] = ACTIONS(19),
  },
  [1107] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1262),
    [sym_parenthesized_expression] = STATE(1262),
    [sym_call_expression] = STATE(1262),
    [sym_selector_expression] = STATE(1262),
    [sym_index_expression] = STATE(1262),
    [sym_slice_expression] = STATE(1262),
    [sym_type_assertion_expression] = STATE(1262),
    [sym_type_conversion_expression] = STATE(1262),
    [sym_composite_literal] = STATE(1262),
    [sym_func_literal] = STATE(1262),
    [sym_unary_expression] = STATE(1262),
    [sym_binary_expression] = STATE(1262),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1262),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3204),
    [sym_interpreted_string_literal] = ACTIONS(3204),
    [sym_int_literal] = ACTIONS(3206),
    [sym_float_literal] = ACTIONS(3206),
    [sym_imaginary_literal] = ACTIONS(3204),
    [sym_rune_literal] = ACTIONS(3204),
    [sym_comment] = ACTIONS(19),
  },
  [1108] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1263),
    [sym_parenthesized_expression] = STATE(1263),
    [sym_call_expression] = STATE(1263),
    [sym_selector_expression] = STATE(1263),
    [sym_index_expression] = STATE(1263),
    [sym_slice_expression] = STATE(1263),
    [sym_type_assertion_expression] = STATE(1263),
    [sym_type_conversion_expression] = STATE(1263),
    [sym_composite_literal] = STATE(1263),
    [sym_func_literal] = STATE(1263),
    [sym_unary_expression] = STATE(1263),
    [sym_binary_expression] = STATE(1263),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1263),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2111),
    [anon_sym_DASH] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_AMP] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3208),
    [sym_interpreted_string_literal] = ACTIONS(3208),
    [sym_int_literal] = ACTIONS(3210),
    [sym_float_literal] = ACTIONS(3210),
    [sym_imaginary_literal] = ACTIONS(3208),
    [sym_rune_literal] = ACTIONS(3208),
    [sym_comment] = ACTIONS(19),
  },
  [1109] = {
    [anon_sym_LF] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2304),
    [anon_sym_DOT] = ACTIONS(2304),
    [anon_sym_LPAREN] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2304),
    [anon_sym_EQ] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_RBRACE] = ACTIONS(2304),
    [anon_sym_LT_DASH] = ACTIONS(2304),
    [anon_sym_COLON_EQ] = ACTIONS(2304),
    [anon_sym_PLUS_PLUS] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2304),
    [anon_sym_STAR_EQ] = ACTIONS(2304),
    [anon_sym_SLASH_EQ] = ACTIONS(2304),
    [anon_sym_PERCENT_EQ] = ACTIONS(2304),
    [anon_sym_LT_LT_EQ] = ACTIONS(2304),
    [anon_sym_GT_GT_EQ] = ACTIONS(2304),
    [anon_sym_AMP_EQ] = ACTIONS(2304),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2304),
    [anon_sym_PLUS_EQ] = ACTIONS(2304),
    [anon_sym_DASH_EQ] = ACTIONS(2304),
    [anon_sym_PIPE_EQ] = ACTIONS(2304),
    [anon_sym_CARET_EQ] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2304),
    [sym_default_case] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2304),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SLASH] = ACTIONS(2304),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_GT_GT] = ACTIONS(2304),
    [anon_sym_AMP_CARET] = ACTIONS(2304),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2304),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_AMP_AMP] = ACTIONS(2304),
    [anon_sym_PIPE_PIPE] = ACTIONS(2304),
    [sym_comment] = ACTIONS(59),
  },
  [1110] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3212),
    [anon_sym_COLON] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [1111] = {
    [anon_sym_LF] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_LPAREN] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2312),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2312),
    [anon_sym_LT_DASH] = ACTIONS(2312),
    [anon_sym_COLON_EQ] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_STAR_EQ] = ACTIONS(2312),
    [anon_sym_SLASH_EQ] = ACTIONS(2312),
    [anon_sym_PERCENT_EQ] = ACTIONS(2312),
    [anon_sym_LT_LT_EQ] = ACTIONS(2312),
    [anon_sym_GT_GT_EQ] = ACTIONS(2312),
    [anon_sym_AMP_EQ] = ACTIONS(2312),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2312),
    [anon_sym_PLUS_EQ] = ACTIONS(2312),
    [anon_sym_DASH_EQ] = ACTIONS(2312),
    [anon_sym_PIPE_EQ] = ACTIONS(2312),
    [anon_sym_CARET_EQ] = ACTIONS(2312),
    [anon_sym_case] = ACTIONS(2312),
    [sym_default_case] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_AMP_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2312),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_AMP_AMP] = ACTIONS(2312),
    [anon_sym_PIPE_PIPE] = ACTIONS(2312),
    [sym_comment] = ACTIONS(59),
  },
  [1112] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1266),
    [sym_parenthesized_expression] = STATE(1266),
    [sym_call_expression] = STATE(1266),
    [sym_selector_expression] = STATE(1266),
    [sym_index_expression] = STATE(1266),
    [sym_slice_expression] = STATE(1266),
    [sym_type_assertion_expression] = STATE(1266),
    [sym_type_conversion_expression] = STATE(1266),
    [sym_composite_literal] = STATE(1266),
    [sym_func_literal] = STATE(1266),
    [sym_unary_expression] = STATE(1266),
    [sym_binary_expression] = STATE(1266),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1266),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3216),
    [sym_interpreted_string_literal] = ACTIONS(3216),
    [sym_int_literal] = ACTIONS(3218),
    [sym_float_literal] = ACTIONS(3218),
    [sym_imaginary_literal] = ACTIONS(3216),
    [sym_rune_literal] = ACTIONS(3216),
    [sym_comment] = ACTIONS(19),
  },
  [1113] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_chan] = ACTIONS(1526),
    [anon_sym_LT_DASH] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1114] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(959),
    [anon_sym_chan] = ACTIONS(551),
    [anon_sym_LT_DASH] = ACTIONS(1532),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1115] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1116] = {
    [anon_sym_RBRACK] = ACTIONS(3220),
    [sym_comment] = ACTIONS(19),
  },
  [1117] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(2190),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1118] = {
    [ts_builtin_sym_end] = ACTIONS(3222),
    [anon_sym_LF] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_package] = ACTIONS(3224),
    [anon_sym_import] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_COMMA] = ACTIONS(3224),
    [anon_sym_var] = ACTIONS(3224),
    [anon_sym_func] = ACTIONS(3224),
    [anon_sym_type] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [sym_default_case] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_GT_GT] = ACTIONS(3224),
    [anon_sym_AMP_CARET] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3224),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [sym_comment] = ACTIONS(59),
  },
  [1119] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [1120] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1121] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_call_expression] = STATE(1268),
    [sym_selector_expression] = STATE(1268),
    [sym_index_expression] = STATE(1268),
    [sym_slice_expression] = STATE(1268),
    [sym_type_assertion_expression] = STATE(1268),
    [sym_type_conversion_expression] = STATE(1268),
    [sym_composite_literal] = STATE(1268),
    [sym_func_literal] = STATE(1268),
    [sym_unary_expression] = STATE(1268),
    [sym_binary_expression] = STATE(1268),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1268),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3226),
    [sym_interpreted_string_literal] = ACTIONS(3226),
    [sym_int_literal] = ACTIONS(3228),
    [sym_float_literal] = ACTIONS(3228),
    [sym_imaginary_literal] = ACTIONS(3226),
    [sym_rune_literal] = ACTIONS(3226),
    [sym_comment] = ACTIONS(19),
  },
  [1122] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1269),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_call_expression] = STATE(1269),
    [sym_selector_expression] = STATE(1269),
    [sym_index_expression] = STATE(1269),
    [sym_slice_expression] = STATE(1269),
    [sym_type_assertion_expression] = STATE(1269),
    [sym_type_conversion_expression] = STATE(1269),
    [sym_composite_literal] = STATE(1269),
    [sym_func_literal] = STATE(1269),
    [sym_unary_expression] = STATE(1269),
    [sym_binary_expression] = STATE(1269),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1269),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3230),
    [sym_interpreted_string_literal] = ACTIONS(3230),
    [sym_int_literal] = ACTIONS(3232),
    [sym_float_literal] = ACTIONS(3232),
    [sym_imaginary_literal] = ACTIONS(3230),
    [sym_rune_literal] = ACTIONS(3230),
    [sym_comment] = ACTIONS(19),
  },
  [1123] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1270),
    [sym_parenthesized_expression] = STATE(1270),
    [sym_call_expression] = STATE(1270),
    [sym_selector_expression] = STATE(1270),
    [sym_index_expression] = STATE(1270),
    [sym_slice_expression] = STATE(1270),
    [sym_type_assertion_expression] = STATE(1270),
    [sym_type_conversion_expression] = STATE(1270),
    [sym_composite_literal] = STATE(1270),
    [sym_func_literal] = STATE(1270),
    [sym_unary_expression] = STATE(1270),
    [sym_binary_expression] = STATE(1270),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1270),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3234),
    [sym_interpreted_string_literal] = ACTIONS(3234),
    [sym_int_literal] = ACTIONS(3236),
    [sym_float_literal] = ACTIONS(3236),
    [sym_imaginary_literal] = ACTIONS(3234),
    [sym_rune_literal] = ACTIONS(3234),
    [sym_comment] = ACTIONS(19),
  },
  [1124] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1271),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_call_expression] = STATE(1271),
    [sym_selector_expression] = STATE(1271),
    [sym_index_expression] = STATE(1271),
    [sym_slice_expression] = STATE(1271),
    [sym_type_assertion_expression] = STATE(1271),
    [sym_type_conversion_expression] = STATE(1271),
    [sym_composite_literal] = STATE(1271),
    [sym_func_literal] = STATE(1271),
    [sym_unary_expression] = STATE(1271),
    [sym_binary_expression] = STATE(1271),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1271),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3238),
    [sym_interpreted_string_literal] = ACTIONS(3238),
    [sym_int_literal] = ACTIONS(3240),
    [sym_float_literal] = ACTIONS(3240),
    [sym_imaginary_literal] = ACTIONS(3238),
    [sym_rune_literal] = ACTIONS(3238),
    [sym_comment] = ACTIONS(19),
  },
  [1125] = {
    [ts_builtin_sym_end] = ACTIONS(3242),
    [anon_sym_LF] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_package] = ACTIONS(3244),
    [anon_sym_import] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_COMMA] = ACTIONS(3244),
    [anon_sym_var] = ACTIONS(3244),
    [anon_sym_func] = ACTIONS(3244),
    [anon_sym_type] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [sym_default_case] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_GT_GT] = ACTIONS(3244),
    [anon_sym_AMP_CARET] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [sym_comment] = ACTIONS(59),
  },
  [1126] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [1127] = {
    [ts_builtin_sym_end] = ACTIONS(3246),
    [anon_sym_LF] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_package] = ACTIONS(3248),
    [anon_sym_import] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3248),
    [anon_sym_var] = ACTIONS(3248),
    [anon_sym_func] = ACTIONS(3248),
    [anon_sym_type] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [sym_default_case] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_AMP_CARET] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [sym_comment] = ACTIONS(59),
  },
  [1128] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [1129] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3250),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1130] = {
    [ts_builtin_sym_end] = ACTIONS(3252),
    [anon_sym_LF] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_package] = ACTIONS(3254),
    [anon_sym_import] = ACTIONS(3254),
    [anon_sym_DOT] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_const] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_var] = ACTIONS(3254),
    [anon_sym_func] = ACTIONS(3254),
    [anon_sym_type] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_case] = ACTIONS(3254),
    [sym_default_case] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_CARET] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3254),
    [anon_sym_LT_LT] = ACTIONS(3254),
    [anon_sym_GT_GT] = ACTIONS(3254),
    [anon_sym_AMP_CARET] = ACTIONS(3254),
    [anon_sym_PIPE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3254),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT] = ACTIONS(3254),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [sym_comment] = ACTIONS(59),
  },
  [1131] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1273),
    [sym_parenthesized_expression] = STATE(1273),
    [sym_call_expression] = STATE(1273),
    [sym_selector_expression] = STATE(1273),
    [sym_index_expression] = STATE(1273),
    [sym_slice_expression] = STATE(1273),
    [sym_type_assertion_expression] = STATE(1273),
    [sym_type_conversion_expression] = STATE(1273),
    [sym_composite_literal] = STATE(1273),
    [sym_func_literal] = STATE(1273),
    [sym_unary_expression] = STATE(1273),
    [sym_binary_expression] = STATE(1273),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1273),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3256),
    [sym_interpreted_string_literal] = ACTIONS(3256),
    [sym_int_literal] = ACTIONS(3258),
    [sym_float_literal] = ACTIONS(3258),
    [sym_imaginary_literal] = ACTIONS(3256),
    [sym_rune_literal] = ACTIONS(3256),
    [sym_comment] = ACTIONS(19),
  },
  [1132] = {
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_LT_DASH] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_GT_GT] = ACTIONS(3224),
    [anon_sym_AMP_CARET] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_EQ_EQ] = ACTIONS(3222),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_PIPE_PIPE] = ACTIONS(3222),
    [sym_comment] = ACTIONS(19),
  },
  [1133] = {
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_RBRACK] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_LT_DASH] = ACTIONS(3242),
    [anon_sym_COLON_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_COLON] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_GT_GT] = ACTIONS(3244),
    [anon_sym_AMP_CARET] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_EQ_EQ] = ACTIONS(3242),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_PIPE_PIPE] = ACTIONS(3242),
    [sym_comment] = ACTIONS(19),
  },
  [1134] = {
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_RBRACK] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_LT_DASH] = ACTIONS(3246),
    [anon_sym_COLON_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_COLON] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_AMP_CARET] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_EQ_EQ] = ACTIONS(3246),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_PIPE_PIPE] = ACTIONS(3246),
    [sym_comment] = ACTIONS(19),
  },
  [1135] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1136] = {
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_RPAREN] = ACTIONS(3252),
    [anon_sym_COMMA] = ACTIONS(3252),
    [anon_sym_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_RBRACK] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_LT_DASH] = ACTIONS(3252),
    [anon_sym_COLON_EQ] = ACTIONS(3252),
    [anon_sym_STAR_EQ] = ACTIONS(3252),
    [anon_sym_SLASH_EQ] = ACTIONS(3252),
    [anon_sym_PERCENT_EQ] = ACTIONS(3252),
    [anon_sym_LT_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_GT_EQ] = ACTIONS(3252),
    [anon_sym_AMP_EQ] = ACTIONS(3252),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3252),
    [anon_sym_PLUS_EQ] = ACTIONS(3252),
    [anon_sym_DASH_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_EQ] = ACTIONS(3252),
    [anon_sym_CARET_EQ] = ACTIONS(3252),
    [anon_sym_COLON] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_CARET] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3254),
    [anon_sym_LT_LT] = ACTIONS(3254),
    [anon_sym_GT_GT] = ACTIONS(3254),
    [anon_sym_AMP_CARET] = ACTIONS(3254),
    [anon_sym_PIPE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3254),
    [anon_sym_GT_EQ] = ACTIONS(3252),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [sym_comment] = ACTIONS(19),
  },
  [1137] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1275),
    [sym_parenthesized_expression] = STATE(1275),
    [sym_call_expression] = STATE(1275),
    [sym_selector_expression] = STATE(1275),
    [sym_index_expression] = STATE(1275),
    [sym_slice_expression] = STATE(1275),
    [sym_type_assertion_expression] = STATE(1275),
    [sym_type_conversion_expression] = STATE(1275),
    [sym_composite_literal] = STATE(1275),
    [sym_func_literal] = STATE(1275),
    [sym_unary_expression] = STATE(1275),
    [sym_binary_expression] = STATE(1275),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1275),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3262),
    [sym_interpreted_string_literal] = ACTIONS(3262),
    [sym_int_literal] = ACTIONS(3264),
    [sym_float_literal] = ACTIONS(3264),
    [sym_imaginary_literal] = ACTIONS(3262),
    [sym_rune_literal] = ACTIONS(3262),
    [sym_comment] = ACTIONS(19),
  },
  [1138] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1186),
    [anon_sym_chan] = ACTIONS(1188),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1139] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1140] = {
    [anon_sym_RBRACK] = ACTIONS(3266),
    [sym_comment] = ACTIONS(19),
  },
  [1141] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(2421),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1142] = {
    [sym_expression_list] = STATE(540),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_interpreted_string_literal] = ACTIONS(2079),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(2079),
    [sym_rune_literal] = ACTIONS(2079),
    [sym_comment] = ACTIONS(19),
  },
  [1143] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1144] = {
    [anon_sym_RBRACK] = ACTIONS(3268),
    [sym_comment] = ACTIONS(19),
  },
  [1145] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1146] = {
    [sym_expression_list] = STATE(556),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(577),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(577),
    [sym_selector_expression] = STATE(577),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(577),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_func_literal] = STATE(577),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(577),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_CARET] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_interpreted_string_literal] = ACTIONS(2079),
    [sym_int_literal] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
    [sym_imaginary_literal] = ACTIONS(2079),
    [sym_rune_literal] = ACTIONS(2079),
    [sym_comment] = ACTIONS(19),
  },
  [1147] = {
    [anon_sym_LF] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2087),
    [anon_sym_DOT] = ACTIONS(2087),
    [anon_sym_LPAREN] = ACTIONS(2087),
    [anon_sym_COMMA] = ACTIONS(2087),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2087),
    [anon_sym_LT_DASH] = ACTIONS(2087),
    [anon_sym_COLON_EQ] = ACTIONS(2087),
    [anon_sym_PLUS_PLUS] = ACTIONS(2087),
    [anon_sym_DASH_DASH] = ACTIONS(2087),
    [anon_sym_STAR_EQ] = ACTIONS(2087),
    [anon_sym_SLASH_EQ] = ACTIONS(2087),
    [anon_sym_PERCENT_EQ] = ACTIONS(2087),
    [anon_sym_LT_LT_EQ] = ACTIONS(2087),
    [anon_sym_GT_GT_EQ] = ACTIONS(2087),
    [anon_sym_AMP_EQ] = ACTIONS(2087),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2087),
    [anon_sym_PLUS_EQ] = ACTIONS(2087),
    [anon_sym_DASH_EQ] = ACTIONS(2087),
    [anon_sym_PIPE_EQ] = ACTIONS(2087),
    [anon_sym_CARET_EQ] = ACTIONS(2087),
    [anon_sym_case] = ACTIONS(2087),
    [sym_default_case] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2087),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_AMP_CARET] = ACTIONS(2087),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_EQ_EQ] = ACTIONS(2087),
    [anon_sym_BANG_EQ] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_LT_EQ] = ACTIONS(2087),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2087),
    [anon_sym_AMP_AMP] = ACTIONS(2087),
    [anon_sym_PIPE_PIPE] = ACTIONS(2087),
    [sym_comment] = ACTIONS(59),
  },
  [1148] = {
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym_DOT] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [anon_sym_COMMA] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_LT_DASH] = ACTIONS(1338),
    [anon_sym_COLON_EQ] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_STAR_EQ] = ACTIONS(1338),
    [anon_sym_SLASH_EQ] = ACTIONS(1338),
    [anon_sym_PERCENT_EQ] = ACTIONS(1338),
    [anon_sym_LT_LT_EQ] = ACTIONS(1338),
    [anon_sym_GT_GT_EQ] = ACTIONS(1338),
    [anon_sym_AMP_EQ] = ACTIONS(1338),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1338),
    [anon_sym_PLUS_EQ] = ACTIONS(1338),
    [anon_sym_DASH_EQ] = ACTIONS(1338),
    [anon_sym_PIPE_EQ] = ACTIONS(1338),
    [anon_sym_CARET_EQ] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SLASH] = ACTIONS(1340),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_LT_LT] = ACTIONS(1340),
    [anon_sym_GT_GT] = ACTIONS(1340),
    [anon_sym_AMP_CARET] = ACTIONS(1340),
    [anon_sym_PIPE] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(1338),
    [anon_sym_BANG_EQ] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1340),
    [anon_sym_LT_EQ] = ACTIONS(1338),
    [anon_sym_GT] = ACTIONS(1340),
    [anon_sym_GT_EQ] = ACTIONS(1338),
    [anon_sym_AMP_AMP] = ACTIONS(1338),
    [anon_sym_PIPE_PIPE] = ACTIONS(1338),
    [sym_comment] = ACTIONS(19),
  },
  [1149] = {
    [anon_sym_RBRACE] = ACTIONS(3270),
    [sym_comment] = ACTIONS(19),
  },
  [1150] = {
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_DOT] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_LT_DASH] = ACTIONS(2178),
    [anon_sym_COLON_EQ] = ACTIONS(2178),
    [anon_sym_PLUS_PLUS] = ACTIONS(2178),
    [anon_sym_DASH_DASH] = ACTIONS(2178),
    [anon_sym_STAR_EQ] = ACTIONS(2178),
    [anon_sym_SLASH_EQ] = ACTIONS(2178),
    [anon_sym_PERCENT_EQ] = ACTIONS(2178),
    [anon_sym_LT_LT_EQ] = ACTIONS(2178),
    [anon_sym_GT_GT_EQ] = ACTIONS(2178),
    [anon_sym_AMP_EQ] = ACTIONS(2178),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2178),
    [anon_sym_PLUS_EQ] = ACTIONS(2178),
    [anon_sym_DASH_EQ] = ACTIONS(2178),
    [anon_sym_PIPE_EQ] = ACTIONS(2178),
    [anon_sym_CARET_EQ] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_SLASH] = ACTIONS(2180),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_LT_LT] = ACTIONS(2180),
    [anon_sym_GT_GT] = ACTIONS(2180),
    [anon_sym_AMP_CARET] = ACTIONS(2180),
    [anon_sym_PIPE] = ACTIONS(2180),
    [anon_sym_EQ_EQ] = ACTIONS(2178),
    [anon_sym_BANG_EQ] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_LT_EQ] = ACTIONS(2178),
    [anon_sym_GT] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2178),
    [anon_sym_AMP_AMP] = ACTIONS(2178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2178),
    [sym_comment] = ACTIONS(19),
  },
  [1151] = {
    [anon_sym_SEMI] = ACTIONS(2198),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN] = ACTIONS(2198),
    [anon_sym_COMMA] = ACTIONS(2198),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_STAR] = ACTIONS(2200),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2198),
    [anon_sym_LT_DASH] = ACTIONS(2198),
    [anon_sym_COLON_EQ] = ACTIONS(2198),
    [anon_sym_PLUS_PLUS] = ACTIONS(2198),
    [anon_sym_DASH_DASH] = ACTIONS(2198),
    [anon_sym_STAR_EQ] = ACTIONS(2198),
    [anon_sym_SLASH_EQ] = ACTIONS(2198),
    [anon_sym_PERCENT_EQ] = ACTIONS(2198),
    [anon_sym_LT_LT_EQ] = ACTIONS(2198),
    [anon_sym_GT_GT_EQ] = ACTIONS(2198),
    [anon_sym_AMP_EQ] = ACTIONS(2198),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2198),
    [anon_sym_PLUS_EQ] = ACTIONS(2198),
    [anon_sym_DASH_EQ] = ACTIONS(2198),
    [anon_sym_PIPE_EQ] = ACTIONS(2198),
    [anon_sym_CARET_EQ] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2200),
    [anon_sym_CARET] = ACTIONS(2200),
    [anon_sym_AMP] = ACTIONS(2200),
    [anon_sym_SLASH] = ACTIONS(2200),
    [anon_sym_PERCENT] = ACTIONS(2200),
    [anon_sym_LT_LT] = ACTIONS(2200),
    [anon_sym_GT_GT] = ACTIONS(2200),
    [anon_sym_AMP_CARET] = ACTIONS(2200),
    [anon_sym_PIPE] = ACTIONS(2200),
    [anon_sym_EQ_EQ] = ACTIONS(2198),
    [anon_sym_BANG_EQ] = ACTIONS(2198),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_LT_EQ] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2200),
    [anon_sym_GT_EQ] = ACTIONS(2198),
    [anon_sym_AMP_AMP] = ACTIONS(2198),
    [anon_sym_PIPE_PIPE] = ACTIONS(2198),
    [sym_comment] = ACTIONS(19),
  },
  [1152] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(3272),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [1153] = {
    [aux_sym_expression_list_repeat1] = STATE(916),
    [anon_sym_RPAREN] = ACTIONS(3272),
    [anon_sym_COMMA] = ACTIONS(3274),
    [sym_comment] = ACTIONS(19),
  },
  [1154] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [1155] = {
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_DOT] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_LT_DASH] = ACTIONS(2242),
    [anon_sym_COLON_EQ] = ACTIONS(2242),
    [anon_sym_PLUS_PLUS] = ACTIONS(2242),
    [anon_sym_DASH_DASH] = ACTIONS(2242),
    [anon_sym_STAR_EQ] = ACTIONS(2242),
    [anon_sym_SLASH_EQ] = ACTIONS(2242),
    [anon_sym_PERCENT_EQ] = ACTIONS(2242),
    [anon_sym_LT_LT_EQ] = ACTIONS(2242),
    [anon_sym_GT_GT_EQ] = ACTIONS(2242),
    [anon_sym_AMP_EQ] = ACTIONS(2242),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2242),
    [anon_sym_PLUS_EQ] = ACTIONS(2242),
    [anon_sym_DASH_EQ] = ACTIONS(2242),
    [anon_sym_PIPE_EQ] = ACTIONS(2242),
    [anon_sym_CARET_EQ] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2244),
    [anon_sym_AMP] = ACTIONS(2244),
    [anon_sym_SLASH] = ACTIONS(2244),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_LT_LT] = ACTIONS(2244),
    [anon_sym_GT_GT] = ACTIONS(2244),
    [anon_sym_AMP_CARET] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_EQ_EQ] = ACTIONS(2242),
    [anon_sym_BANG_EQ] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_LT_EQ] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2242),
    [anon_sym_AMP_AMP] = ACTIONS(2242),
    [anon_sym_PIPE_PIPE] = ACTIONS(2242),
    [sym_comment] = ACTIONS(19),
  },
  [1156] = {
    [aux_sym_literal_value_repeat1] = STATE(931),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [sym_comment] = ACTIONS(19),
  },
  [1157] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1283),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_selector_expression] = STATE(1283),
    [sym_index_expression] = STATE(1283),
    [sym_slice_expression] = STATE(1283),
    [sym_type_assertion_expression] = STATE(1283),
    [sym_type_conversion_expression] = STATE(1283),
    [sym_composite_literal] = STATE(1283),
    [sym_func_literal] = STATE(1283),
    [sym_unary_expression] = STATE(1283),
    [sym_binary_expression] = STATE(1283),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1283),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3280),
    [sym_interpreted_string_literal] = ACTIONS(3280),
    [sym_int_literal] = ACTIONS(3282),
    [sym_float_literal] = ACTIONS(3282),
    [sym_imaginary_literal] = ACTIONS(3280),
    [sym_rune_literal] = ACTIONS(3280),
    [sym_comment] = ACTIONS(19),
  },
  [1158] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1159] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1284),
    [sym_parenthesized_expression] = STATE(1284),
    [sym_call_expression] = STATE(1284),
    [sym_selector_expression] = STATE(1284),
    [sym_index_expression] = STATE(1284),
    [sym_slice_expression] = STATE(1284),
    [sym_type_assertion_expression] = STATE(1284),
    [sym_type_conversion_expression] = STATE(1284),
    [sym_composite_literal] = STATE(1284),
    [sym_func_literal] = STATE(1284),
    [sym_unary_expression] = STATE(1284),
    [sym_binary_expression] = STATE(1284),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1284),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3284),
    [sym_interpreted_string_literal] = ACTIONS(3284),
    [sym_int_literal] = ACTIONS(3286),
    [sym_float_literal] = ACTIONS(3286),
    [sym_imaginary_literal] = ACTIONS(3284),
    [sym_rune_literal] = ACTIONS(3284),
    [sym_comment] = ACTIONS(19),
  },
  [1160] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1285),
    [sym_parenthesized_expression] = STATE(1285),
    [sym_call_expression] = STATE(1285),
    [sym_selector_expression] = STATE(1285),
    [sym_index_expression] = STATE(1285),
    [sym_slice_expression] = STATE(1285),
    [sym_type_assertion_expression] = STATE(1285),
    [sym_type_conversion_expression] = STATE(1285),
    [sym_composite_literal] = STATE(1285),
    [sym_func_literal] = STATE(1285),
    [sym_unary_expression] = STATE(1285),
    [sym_binary_expression] = STATE(1285),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1285),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3288),
    [sym_interpreted_string_literal] = ACTIONS(3288),
    [sym_int_literal] = ACTIONS(3290),
    [sym_float_literal] = ACTIONS(3290),
    [sym_imaginary_literal] = ACTIONS(3288),
    [sym_rune_literal] = ACTIONS(3288),
    [sym_comment] = ACTIONS(19),
  },
  [1161] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1286),
    [sym_parenthesized_expression] = STATE(1286),
    [sym_call_expression] = STATE(1286),
    [sym_selector_expression] = STATE(1286),
    [sym_index_expression] = STATE(1286),
    [sym_slice_expression] = STATE(1286),
    [sym_type_assertion_expression] = STATE(1286),
    [sym_type_conversion_expression] = STATE(1286),
    [sym_composite_literal] = STATE(1286),
    [sym_func_literal] = STATE(1286),
    [sym_unary_expression] = STATE(1286),
    [sym_binary_expression] = STATE(1286),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1286),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3292),
    [sym_interpreted_string_literal] = ACTIONS(3292),
    [sym_int_literal] = ACTIONS(3294),
    [sym_float_literal] = ACTIONS(3294),
    [sym_imaginary_literal] = ACTIONS(3292),
    [sym_rune_literal] = ACTIONS(3292),
    [sym_comment] = ACTIONS(19),
  },
  [1162] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1287),
    [sym_parenthesized_expression] = STATE(1287),
    [sym_call_expression] = STATE(1287),
    [sym_selector_expression] = STATE(1287),
    [sym_index_expression] = STATE(1287),
    [sym_slice_expression] = STATE(1287),
    [sym_type_assertion_expression] = STATE(1287),
    [sym_type_conversion_expression] = STATE(1287),
    [sym_composite_literal] = STATE(1287),
    [sym_func_literal] = STATE(1287),
    [sym_unary_expression] = STATE(1287),
    [sym_binary_expression] = STATE(1287),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1287),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2527),
    [anon_sym_DASH] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_CARET] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3296),
    [sym_interpreted_string_literal] = ACTIONS(3296),
    [sym_int_literal] = ACTIONS(3298),
    [sym_float_literal] = ACTIONS(3298),
    [sym_imaginary_literal] = ACTIONS(3296),
    [sym_rune_literal] = ACTIONS(3296),
    [sym_comment] = ACTIONS(19),
  },
  [1163] = {
    [aux_sym_expression_list_repeat1] = STATE(1288),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(2922),
    [sym_comment] = ACTIONS(19),
  },
  [1164] = {
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_DOT] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [anon_sym_EQ] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_LT_DASH] = ACTIONS(2248),
    [anon_sym_COLON_EQ] = ACTIONS(2248),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [anon_sym_STAR_EQ] = ACTIONS(2248),
    [anon_sym_SLASH_EQ] = ACTIONS(2248),
    [anon_sym_PERCENT_EQ] = ACTIONS(2248),
    [anon_sym_LT_LT_EQ] = ACTIONS(2248),
    [anon_sym_GT_GT_EQ] = ACTIONS(2248),
    [anon_sym_AMP_EQ] = ACTIONS(2248),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2248),
    [anon_sym_PLUS_EQ] = ACTIONS(2248),
    [anon_sym_DASH_EQ] = ACTIONS(2248),
    [anon_sym_PIPE_EQ] = ACTIONS(2248),
    [anon_sym_CARET_EQ] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_CARET] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2250),
    [anon_sym_LT_LT] = ACTIONS(2250),
    [anon_sym_GT_GT] = ACTIONS(2250),
    [anon_sym_AMP_CARET] = ACTIONS(2250),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_EQ_EQ] = ACTIONS(2248),
    [anon_sym_BANG_EQ] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_AMP_AMP] = ACTIONS(2248),
    [anon_sym_PIPE_PIPE] = ACTIONS(2248),
    [sym_comment] = ACTIONS(19),
  },
  [1165] = {
    [anon_sym_RPAREN] = ACTIONS(3300),
    [sym_comment] = ACTIONS(19),
  },
  [1166] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1167] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1168] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1169] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1170] = {
    [anon_sym_LF] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [sym_default_case] = ACTIONS(3304),
    [sym_comment] = ACTIONS(59),
  },
  [1171] = {
    [anon_sym_RPAREN] = ACTIONS(3306),
    [sym_comment] = ACTIONS(19),
  },
  [1172] = {
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_DOT] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_LT_DASH] = ACTIONS(2272),
    [anon_sym_COLON_EQ] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_STAR_EQ] = ACTIONS(2272),
    [anon_sym_SLASH_EQ] = ACTIONS(2272),
    [anon_sym_PERCENT_EQ] = ACTIONS(2272),
    [anon_sym_LT_LT_EQ] = ACTIONS(2272),
    [anon_sym_GT_GT_EQ] = ACTIONS(2272),
    [anon_sym_AMP_EQ] = ACTIONS(2272),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2272),
    [anon_sym_PLUS_EQ] = ACTIONS(2272),
    [anon_sym_DASH_EQ] = ACTIONS(2272),
    [anon_sym_PIPE_EQ] = ACTIONS(2272),
    [anon_sym_CARET_EQ] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2274),
    [anon_sym_AMP_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_EQ_EQ] = ACTIONS(2272),
    [anon_sym_BANG_EQ] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2272),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2272),
    [sym_comment] = ACTIONS(19),
  },
  [1173] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(3308),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [1174] = {
    [aux_sym_argument_list_repeat1] = STATE(946),
    [anon_sym_RPAREN] = ACTIONS(3308),
    [anon_sym_COMMA] = ACTIONS(3310),
    [sym_comment] = ACTIONS(19),
  },
  [1175] = {
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_DOT] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_LT_DASH] = ACTIONS(2302),
    [anon_sym_COLON_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2304),
    [anon_sym_AMP] = ACTIONS(2304),
    [anon_sym_SLASH] = ACTIONS(2304),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_LT_LT] = ACTIONS(2304),
    [anon_sym_GT_GT] = ACTIONS(2304),
    [anon_sym_AMP_CARET] = ACTIONS(2304),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2302),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2304),
    [anon_sym_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2302),
    [anon_sym_PIPE_PIPE] = ACTIONS(2302),
    [sym_comment] = ACTIONS(19),
  },
  [1176] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3312),
    [anon_sym_COLON] = ACTIONS(3314),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [1177] = {
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_LT_DASH] = ACTIONS(2310),
    [anon_sym_COLON_EQ] = ACTIONS(2310),
    [anon_sym_PLUS_PLUS] = ACTIONS(2310),
    [anon_sym_DASH_DASH] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_AMP] = ACTIONS(2312),
    [anon_sym_SLASH] = ACTIONS(2312),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_LT_LT] = ACTIONS(2312),
    [anon_sym_GT_GT] = ACTIONS(2312),
    [anon_sym_AMP_CARET] = ACTIONS(2312),
    [anon_sym_PIPE] = ACTIONS(2312),
    [anon_sym_EQ_EQ] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2310),
    [anon_sym_AMP_AMP] = ACTIONS(2310),
    [anon_sym_PIPE_PIPE] = ACTIONS(2310),
    [sym_comment] = ACTIONS(19),
  },
  [1178] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1295),
    [sym_parenthesized_expression] = STATE(1295),
    [sym_call_expression] = STATE(1295),
    [sym_selector_expression] = STATE(1295),
    [sym_index_expression] = STATE(1295),
    [sym_slice_expression] = STATE(1295),
    [sym_type_assertion_expression] = STATE(1295),
    [sym_type_conversion_expression] = STATE(1295),
    [sym_composite_literal] = STATE(1295),
    [sym_func_literal] = STATE(1295),
    [sym_unary_expression] = STATE(1295),
    [sym_binary_expression] = STATE(1295),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1295),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3316),
    [sym_interpreted_string_literal] = ACTIONS(3316),
    [sym_int_literal] = ACTIONS(3318),
    [sym_float_literal] = ACTIONS(3318),
    [sym_imaginary_literal] = ACTIONS(3316),
    [sym_rune_literal] = ACTIONS(3316),
    [sym_comment] = ACTIONS(19),
  },
  [1179] = {
    [anon_sym_LF] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_case] = ACTIONS(3322),
    [sym_default_case] = ACTIONS(3322),
    [sym_comment] = ACTIONS(59),
  },
  [1180] = {
    [sym_expression_list] = STATE(1019),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1299),
    [sym_parenthesized_expression] = STATE(1299),
    [sym_call_expression] = STATE(1299),
    [sym_selector_expression] = STATE(1299),
    [sym_index_expression] = STATE(1299),
    [sym_slice_expression] = STATE(1299),
    [sym_type_assertion_expression] = STATE(1299),
    [sym_type_conversion_expression] = STATE(1299),
    [sym_composite_literal] = STATE(1299),
    [sym_func_literal] = STATE(1299),
    [sym_unary_expression] = STATE(1299),
    [sym_binary_expression] = STATE(1299),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1299),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3330),
    [sym_interpreted_string_literal] = ACTIONS(3330),
    [sym_int_literal] = ACTIONS(3332),
    [sym_float_literal] = ACTIONS(3332),
    [sym_imaginary_literal] = ACTIONS(3330),
    [sym_rune_literal] = ACTIONS(3330),
    [sym_comment] = ACTIONS(19),
  },
  [1181] = {
    [sym_expression_list] = STATE(1021),
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1299),
    [sym_parenthesized_expression] = STATE(1299),
    [sym_call_expression] = STATE(1299),
    [sym_selector_expression] = STATE(1299),
    [sym_index_expression] = STATE(1299),
    [sym_slice_expression] = STATE(1299),
    [sym_type_assertion_expression] = STATE(1299),
    [sym_type_conversion_expression] = STATE(1299),
    [sym_composite_literal] = STATE(1299),
    [sym_func_literal] = STATE(1299),
    [sym_unary_expression] = STATE(1299),
    [sym_binary_expression] = STATE(1299),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1299),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3330),
    [sym_interpreted_string_literal] = ACTIONS(3330),
    [sym_int_literal] = ACTIONS(3332),
    [sym_float_literal] = ACTIONS(3332),
    [sym_imaginary_literal] = ACTIONS(3330),
    [sym_rune_literal] = ACTIONS(3330),
    [sym_comment] = ACTIONS(19),
  },
  [1182] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1034),
    [sym_parenthesized_expression] = STATE(1034),
    [sym_call_expression] = STATE(1034),
    [sym_selector_expression] = STATE(1034),
    [sym_index_expression] = STATE(1034),
    [sym_slice_expression] = STATE(1034),
    [sym_type_assertion_expression] = STATE(1034),
    [sym_type_conversion_expression] = STATE(1034),
    [sym_composite_literal] = STATE(1034),
    [sym_func_literal] = STATE(1034),
    [sym_unary_expression] = STATE(1034),
    [sym_binary_expression] = STATE(1034),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1034),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2567),
    [sym_interpreted_string_literal] = ACTIONS(2567),
    [sym_int_literal] = ACTIONS(2569),
    [sym_float_literal] = ACTIONS(2569),
    [sym_imaginary_literal] = ACTIONS(2567),
    [sym_rune_literal] = ACTIONS(2567),
    [sym_comment] = ACTIONS(19),
  },
  [1183] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1300),
    [sym_parenthesized_expression] = STATE(1300),
    [sym_call_expression] = STATE(1300),
    [sym_selector_expression] = STATE(1300),
    [sym_index_expression] = STATE(1300),
    [sym_slice_expression] = STATE(1300),
    [sym_type_assertion_expression] = STATE(1300),
    [sym_type_conversion_expression] = STATE(1300),
    [sym_composite_literal] = STATE(1300),
    [sym_func_literal] = STATE(1300),
    [sym_unary_expression] = STATE(1300),
    [sym_binary_expression] = STATE(1300),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1300),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3334),
    [sym_interpreted_string_literal] = ACTIONS(3334),
    [sym_int_literal] = ACTIONS(3336),
    [sym_float_literal] = ACTIONS(3336),
    [sym_imaginary_literal] = ACTIONS(3334),
    [sym_rune_literal] = ACTIONS(3334),
    [sym_comment] = ACTIONS(19),
  },
  [1184] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1301),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_call_expression] = STATE(1301),
    [sym_selector_expression] = STATE(1301),
    [sym_index_expression] = STATE(1301),
    [sym_slice_expression] = STATE(1301),
    [sym_type_assertion_expression] = STATE(1301),
    [sym_type_conversion_expression] = STATE(1301),
    [sym_composite_literal] = STATE(1301),
    [sym_func_literal] = STATE(1301),
    [sym_unary_expression] = STATE(1301),
    [sym_binary_expression] = STATE(1301),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1301),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(3338),
    [sym_interpreted_string_literal] = ACTIONS(3338),
    [sym_int_literal] = ACTIONS(3340),
    [sym_float_literal] = ACTIONS(3340),
    [sym_imaginary_literal] = ACTIONS(3338),
    [sym_rune_literal] = ACTIONS(3338),
    [sym_comment] = ACTIONS(19),
  },
  [1185] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1302),
    [sym_parenthesized_expression] = STATE(1302),
    [sym_call_expression] = STATE(1302),
    [sym_selector_expression] = STATE(1302),
    [sym_index_expression] = STATE(1302),
    [sym_slice_expression] = STATE(1302),
    [sym_type_assertion_expression] = STATE(1302),
    [sym_type_conversion_expression] = STATE(1302),
    [sym_composite_literal] = STATE(1302),
    [sym_func_literal] = STATE(1302),
    [sym_unary_expression] = STATE(1302),
    [sym_binary_expression] = STATE(1302),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1302),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(3342),
    [sym_interpreted_string_literal] = ACTIONS(3342),
    [sym_int_literal] = ACTIONS(3344),
    [sym_float_literal] = ACTIONS(3344),
    [sym_imaginary_literal] = ACTIONS(3342),
    [sym_rune_literal] = ACTIONS(3342),
    [sym_comment] = ACTIONS(19),
  },
  [1186] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1303),
    [sym_parenthesized_expression] = STATE(1303),
    [sym_call_expression] = STATE(1303),
    [sym_selector_expression] = STATE(1303),
    [sym_index_expression] = STATE(1303),
    [sym_slice_expression] = STATE(1303),
    [sym_type_assertion_expression] = STATE(1303),
    [sym_type_conversion_expression] = STATE(1303),
    [sym_composite_literal] = STATE(1303),
    [sym_func_literal] = STATE(1303),
    [sym_unary_expression] = STATE(1303),
    [sym_binary_expression] = STATE(1303),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1303),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(3346),
    [sym_interpreted_string_literal] = ACTIONS(3346),
    [sym_int_literal] = ACTIONS(3348),
    [sym_float_literal] = ACTIONS(3348),
    [sym_imaginary_literal] = ACTIONS(3346),
    [sym_rune_literal] = ACTIONS(3346),
    [sym_comment] = ACTIONS(19),
  },
  [1187] = {
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__expression] = STATE(1304),
    [sym_parenthesized_expression] = STATE(1304),
    [sym_call_expression] = STATE(1304),
    [sym_selector_expression] = STATE(1304),
    [sym_index_expression] = STATE(1304),
    [sym_slice_expression] = STATE(1304),
    [sym_type_assertion_expression] = STATE(1304),
    [sym_type_conversion_expression] = STATE(1304),
    [sym_composite_literal] = STATE(1304),
    [sym_func_literal] = STATE(1304),
    [sym_unary_expression] = STATE(1304),
    [sym_binary_expression] = STATE(1304),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1304),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(3350),
    [sym_interpreted_string_literal] = ACTIONS(3350),
    [sym_int_literal] = ACTIONS(3352),
    [sym_float_literal] = ACTIONS(3352),
    [sym_imaginary_literal] = ACTIONS(3350),
    [sym_rune_literal] = ACTIONS(3350),
    [sym_comment] = ACTIONS(19),
  },
  [1188] = {
    [anon_sym_LBRACE] = ACTIONS(3354),
    [sym_comment] = ACTIONS(19),
  },
  [1189] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_AMP_CARET] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1190] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_CARET] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_AMP_CARET] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2623),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1191] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_CARET] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_AMP_CARET] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2623),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1192] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2619),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_CARET] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_AMP_CARET] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2623),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1193] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_PIPE_PIPE] = ACTIONS(2555),
    [sym_comment] = ACTIONS(19),
  },
  [1194] = {
    [sym_expression_list] = STATE(1047),
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__simple_statement] = STATE(1305),
    [sym_send_statement] = STATE(1305),
    [sym_inc_statement] = STATE(1305),
    [sym_dec_statement] = STATE(1305),
    [sym_assignment_statement] = STATE(1305),
    [sym_short_var_declaration] = STATE(1305),
    [sym__expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1049),
    [sym_call_expression] = STATE(1049),
    [sym_selector_expression] = STATE(1049),
    [sym_index_expression] = STATE(1049),
    [sym_slice_expression] = STATE(1049),
    [sym_type_assertion_expression] = STATE(1049),
    [sym_type_conversion_expression] = STATE(1049),
    [sym_composite_literal] = STATE(1049),
    [sym_func_literal] = STATE(1049),
    [sym_unary_expression] = STATE(1049),
    [sym_binary_expression] = STATE(1049),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1049),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_CARET] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2609),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(2611),
    [sym_interpreted_string_literal] = ACTIONS(2611),
    [sym_int_literal] = ACTIONS(2613),
    [sym_float_literal] = ACTIONS(2613),
    [sym_imaginary_literal] = ACTIONS(2611),
    [sym_rune_literal] = ACTIONS(2611),
    [sym_comment] = ACTIONS(19),
  },
  [1195] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1306),
    [sym_parenthesized_expression] = STATE(1306),
    [sym_call_expression] = STATE(1306),
    [sym_selector_expression] = STATE(1306),
    [sym_index_expression] = STATE(1306),
    [sym_slice_expression] = STATE(1306),
    [sym_type_assertion_expression] = STATE(1306),
    [sym_type_conversion_expression] = STATE(1306),
    [sym_composite_literal] = STATE(1306),
    [sym_func_literal] = STATE(1306),
    [sym_unary_expression] = STATE(1306),
    [sym_binary_expression] = STATE(1306),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1306),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3358),
    [sym_interpreted_string_literal] = ACTIONS(3358),
    [sym_int_literal] = ACTIONS(3360),
    [sym_float_literal] = ACTIONS(3360),
    [sym_imaginary_literal] = ACTIONS(3358),
    [sym_rune_literal] = ACTIONS(3358),
    [sym_comment] = ACTIONS(19),
  },
  [1196] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1197] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1307),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_call_expression] = STATE(1307),
    [sym_selector_expression] = STATE(1307),
    [sym_index_expression] = STATE(1307),
    [sym_slice_expression] = STATE(1307),
    [sym_type_assertion_expression] = STATE(1307),
    [sym_type_conversion_expression] = STATE(1307),
    [sym_composite_literal] = STATE(1307),
    [sym_func_literal] = STATE(1307),
    [sym_unary_expression] = STATE(1307),
    [sym_binary_expression] = STATE(1307),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1307),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3362),
    [sym_interpreted_string_literal] = ACTIONS(3362),
    [sym_int_literal] = ACTIONS(3364),
    [sym_float_literal] = ACTIONS(3364),
    [sym_imaginary_literal] = ACTIONS(3362),
    [sym_rune_literal] = ACTIONS(3362),
    [sym_comment] = ACTIONS(19),
  },
  [1198] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1308),
    [sym_parenthesized_expression] = STATE(1308),
    [sym_call_expression] = STATE(1308),
    [sym_selector_expression] = STATE(1308),
    [sym_index_expression] = STATE(1308),
    [sym_slice_expression] = STATE(1308),
    [sym_type_assertion_expression] = STATE(1308),
    [sym_type_conversion_expression] = STATE(1308),
    [sym_composite_literal] = STATE(1308),
    [sym_func_literal] = STATE(1308),
    [sym_unary_expression] = STATE(1308),
    [sym_binary_expression] = STATE(1308),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1308),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3366),
    [sym_interpreted_string_literal] = ACTIONS(3366),
    [sym_int_literal] = ACTIONS(3368),
    [sym_float_literal] = ACTIONS(3368),
    [sym_imaginary_literal] = ACTIONS(3366),
    [sym_rune_literal] = ACTIONS(3366),
    [sym_comment] = ACTIONS(19),
  },
  [1199] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1309),
    [sym_parenthesized_expression] = STATE(1309),
    [sym_call_expression] = STATE(1309),
    [sym_selector_expression] = STATE(1309),
    [sym_index_expression] = STATE(1309),
    [sym_slice_expression] = STATE(1309),
    [sym_type_assertion_expression] = STATE(1309),
    [sym_type_conversion_expression] = STATE(1309),
    [sym_composite_literal] = STATE(1309),
    [sym_func_literal] = STATE(1309),
    [sym_unary_expression] = STATE(1309),
    [sym_binary_expression] = STATE(1309),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1309),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3370),
    [sym_interpreted_string_literal] = ACTIONS(3370),
    [sym_int_literal] = ACTIONS(3372),
    [sym_float_literal] = ACTIONS(3372),
    [sym_imaginary_literal] = ACTIONS(3370),
    [sym_rune_literal] = ACTIONS(3370),
    [sym_comment] = ACTIONS(19),
  },
  [1200] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1310),
    [sym_parenthesized_expression] = STATE(1310),
    [sym_call_expression] = STATE(1310),
    [sym_selector_expression] = STATE(1310),
    [sym_index_expression] = STATE(1310),
    [sym_slice_expression] = STATE(1310),
    [sym_type_assertion_expression] = STATE(1310),
    [sym_type_conversion_expression] = STATE(1310),
    [sym_composite_literal] = STATE(1310),
    [sym_func_literal] = STATE(1310),
    [sym_unary_expression] = STATE(1310),
    [sym_binary_expression] = STATE(1310),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1310),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3374),
    [sym_interpreted_string_literal] = ACTIONS(3374),
    [sym_int_literal] = ACTIONS(3376),
    [sym_float_literal] = ACTIONS(3376),
    [sym_imaginary_literal] = ACTIONS(3374),
    [sym_rune_literal] = ACTIONS(3374),
    [sym_comment] = ACTIONS(19),
  },
  [1201] = {
    [aux_sym_expression_list_repeat1] = STATE(1311),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_COLON] = ACTIONS(1112),
    [sym_comment] = ACTIONS(19),
  },
  [1202] = {
    [sym_const_spec] = STATE(20),
    [anon_sym_LPAREN] = ACTIONS(33),
    [sym_identifier] = ACTIONS(3378),
    [sym_comment] = ACTIONS(19),
  },
  [1203] = {
    [sym_var_spec] = STATE(23),
    [anon_sym_LPAREN] = ACTIONS(37),
    [sym_identifier] = ACTIONS(3380),
    [sym_comment] = ACTIONS(19),
  },
  [1204] = {
    [sym_type_alias] = STATE(29),
    [sym_type_spec] = STATE(29),
    [anon_sym_LPAREN] = ACTIONS(45),
    [sym_identifier] = ACTIONS(3382),
    [sym_comment] = ACTIONS(19),
  },
  [1205] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_selector_expression] = STATE(569),
    [sym_index_expression] = STATE(569),
    [sym_slice_expression] = STATE(569),
    [sym_type_assertion_expression] = STATE(569),
    [sym_type_conversion_expression] = STATE(569),
    [sym_composite_literal] = STATE(569),
    [sym_func_literal] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(569),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(1334),
    [sym_interpreted_string_literal] = ACTIONS(1334),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1336),
    [sym_imaginary_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [sym_comment] = ACTIONS(19),
  },
  [1206] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_selector_expression] = STATE(569),
    [sym_index_expression] = STATE(569),
    [sym_slice_expression] = STATE(569),
    [sym_type_assertion_expression] = STATE(569),
    [sym_type_conversion_expression] = STATE(569),
    [sym_composite_literal] = STATE(569),
    [sym_func_literal] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(569),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(1334),
    [sym_interpreted_string_literal] = ACTIONS(1334),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1336),
    [sym_imaginary_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [sym_comment] = ACTIONS(19),
  },
  [1207] = {
    [sym_expression_list] = STATE(576),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LF] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3384),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3386),
    [anon_sym_case] = ACTIONS(1362),
    [sym_default_case] = ACTIONS(1362),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_BANG] = ACTIONS(3388),
    [anon_sym_CARET] = ACTIONS(3388),
    [anon_sym_AMP] = ACTIONS(3388),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3390),
    [sym_interpreted_string_literal] = ACTIONS(3390),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3390),
    [sym_rune_literal] = ACTIONS(3390),
    [sym_comment] = ACTIONS(59),
  },
  [1208] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1322),
    [sym_parenthesized_expression] = STATE(1322),
    [sym_call_expression] = STATE(1322),
    [sym_selector_expression] = STATE(1322),
    [sym_index_expression] = STATE(1322),
    [sym_slice_expression] = STATE(1322),
    [sym_type_assertion_expression] = STATE(1322),
    [sym_type_conversion_expression] = STATE(1322),
    [sym_composite_literal] = STATE(1322),
    [sym_func_literal] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1322),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3398),
    [sym_interpreted_string_literal] = ACTIONS(3398),
    [sym_int_literal] = ACTIONS(3400),
    [sym_float_literal] = ACTIONS(3400),
    [sym_imaginary_literal] = ACTIONS(3398),
    [sym_rune_literal] = ACTIONS(3398),
    [sym_comment] = ACTIONS(19),
  },
  [1209] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1323),
    [sym_parenthesized_expression] = STATE(1323),
    [sym_call_expression] = STATE(1323),
    [sym_selector_expression] = STATE(1323),
    [sym_index_expression] = STATE(1323),
    [sym_slice_expression] = STATE(1323),
    [sym_type_assertion_expression] = STATE(1323),
    [sym_type_conversion_expression] = STATE(1323),
    [sym_composite_literal] = STATE(1323),
    [sym_func_literal] = STATE(1323),
    [sym_unary_expression] = STATE(1323),
    [sym_binary_expression] = STATE(1323),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1323),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3402),
    [sym_interpreted_string_literal] = ACTIONS(3402),
    [sym_int_literal] = ACTIONS(3404),
    [sym_float_literal] = ACTIONS(3404),
    [sym_imaginary_literal] = ACTIONS(3402),
    [sym_rune_literal] = ACTIONS(3402),
    [sym_comment] = ACTIONS(19),
  },
  [1210] = {
    [sym_expression_list] = STATE(590),
    [sym_parenthesized_type] = STATE(591),
    [sym__simple_type] = STATE(591),
    [sym_pointer_type] = STATE(591),
    [sym_array_type] = STATE(592),
    [sym_implicit_length_array_type] = STATE(593),
    [sym_slice_type] = STATE(592),
    [sym_struct_type] = STATE(592),
    [sym_interface_type] = STATE(591),
    [sym_map_type] = STATE(592),
    [sym_channel_type] = STATE(591),
    [sym_function_type] = STATE(591),
    [sym__simple_statement] = STATE(594),
    [sym_send_statement] = STATE(594),
    [sym_inc_statement] = STATE(594),
    [sym_dec_statement] = STATE(594),
    [sym_assignment_statement] = STATE(594),
    [sym_short_var_declaration] = STATE(594),
    [sym_if_initializer] = STATE(1324),
    [sym__expression] = STATE(1325),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_call_expression] = STATE(1325),
    [sym_selector_expression] = STATE(1325),
    [sym_index_expression] = STATE(1325),
    [sym_slice_expression] = STATE(1325),
    [sym_type_assertion_expression] = STATE(1325),
    [sym_type_conversion_expression] = STATE(1325),
    [sym_composite_literal] = STATE(1325),
    [sym_func_literal] = STATE(1325),
    [sym_unary_expression] = STATE(1325),
    [sym_binary_expression] = STATE(1325),
    [sym_qualified_type] = STATE(592),
    [sym__string_literal] = STATE(1325),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_func] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1398),
    [anon_sym_make] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1402),
    [sym_raw_string_literal] = ACTIONS(3406),
    [sym_interpreted_string_literal] = ACTIONS(3406),
    [sym_int_literal] = ACTIONS(3408),
    [sym_float_literal] = ACTIONS(3408),
    [sym_imaginary_literal] = ACTIONS(3406),
    [sym_rune_literal] = ACTIONS(3406),
    [sym_comment] = ACTIONS(19),
  },
  [1211] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_call_expression] = STATE(569),
    [sym_selector_expression] = STATE(569),
    [sym_index_expression] = STATE(569),
    [sym_slice_expression] = STATE(569),
    [sym_type_assertion_expression] = STATE(569),
    [sym_type_conversion_expression] = STATE(569),
    [sym_composite_literal] = STATE(569),
    [sym_func_literal] = STATE(569),
    [sym_unary_expression] = STATE(569),
    [sym_binary_expression] = STATE(569),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(569),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(1334),
    [sym_interpreted_string_literal] = ACTIONS(1334),
    [sym_int_literal] = ACTIONS(1336),
    [sym_float_literal] = ACTIONS(1336),
    [sym_imaginary_literal] = ACTIONS(1334),
    [sym_rune_literal] = ACTIONS(1334),
    [sym_comment] = ACTIONS(19),
  },
  [1212] = {
    [sym_literal_value] = STATE(614),
    [anon_sym_LF] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_DOT] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LT_DASH] = ACTIONS(595),
    [anon_sym_COLON_EQ] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_LT_LT_EQ] = ACTIONS(595),
    [anon_sym_GT_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_EQ] = ACTIONS(595),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_DASH_EQ] = ACTIONS(595),
    [anon_sym_PIPE_EQ] = ACTIONS(595),
    [anon_sym_CARET_EQ] = ACTIONS(595),
    [anon_sym_COLON] = ACTIONS(3410),
    [anon_sym_case] = ACTIONS(595),
    [sym_default_case] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [sym_comment] = ACTIONS(59),
  },
  [1213] = {
    [anon_sym_EQ] = ACTIONS(3412),
    [anon_sym_COLON_EQ] = ACTIONS(3414),
    [anon_sym_STAR_EQ] = ACTIONS(3412),
    [anon_sym_SLASH_EQ] = ACTIONS(3412),
    [anon_sym_PERCENT_EQ] = ACTIONS(3412),
    [anon_sym_LT_LT_EQ] = ACTIONS(3412),
    [anon_sym_GT_GT_EQ] = ACTIONS(3412),
    [anon_sym_AMP_EQ] = ACTIONS(3412),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3412),
    [anon_sym_PLUS_EQ] = ACTIONS(3412),
    [anon_sym_DASH_EQ] = ACTIONS(3412),
    [anon_sym_PIPE_EQ] = ACTIONS(3412),
    [anon_sym_CARET_EQ] = ACTIONS(3412),
    [sym_comment] = ACTIONS(19),
  },
  [1214] = {
    [anon_sym_RBRACE] = ACTIONS(3416),
    [anon_sym_case] = ACTIONS(3416),
    [sym_default_case] = ACTIONS(3416),
    [sym_comment] = ACTIONS(19),
  },
  [1215] = {
    [aux_sym__statement_list_repeat1] = STATE(1330),
    [anon_sym_LF] = ACTIONS(3418),
    [anon_sym_SEMI] = ACTIONS(3420),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [sym_default_case] = ACTIONS(1444),
    [sym_comment] = ACTIONS(59),
  },
  [1216] = {
    [sym_argument_list] = STATE(634),
    [aux_sym_expression_list_repeat1] = STATE(635),
    [anon_sym_LF] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_LT_DASH] = ACTIONS(3424),
    [anon_sym_COLON_EQ] = ACTIONS(617),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_LT_LT_EQ] = ACTIONS(617),
    [anon_sym_GT_GT_EQ] = ACTIONS(617),
    [anon_sym_AMP_EQ] = ACTIONS(617),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(617),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_DASH_EQ] = ACTIONS(617),
    [anon_sym_PIPE_EQ] = ACTIONS(617),
    [anon_sym_CARET_EQ] = ACTIONS(617),
    [anon_sym_case] = ACTIONS(1450),
    [sym_default_case] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_CARET] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_SLASH] = ACTIONS(3422),
    [anon_sym_PERCENT] = ACTIONS(3422),
    [anon_sym_LT_LT] = ACTIONS(3422),
    [anon_sym_GT_GT] = ACTIONS(3422),
    [anon_sym_AMP_CARET] = ACTIONS(3422),
    [anon_sym_PIPE] = ACTIONS(3426),
    [anon_sym_EQ_EQ] = ACTIONS(3428),
    [anon_sym_BANG_EQ] = ACTIONS(3428),
    [anon_sym_LT] = ACTIONS(3428),
    [anon_sym_LT_EQ] = ACTIONS(3428),
    [anon_sym_GT] = ACTIONS(3428),
    [anon_sym_GT_EQ] = ACTIONS(3428),
    [anon_sym_AMP_AMP] = ACTIONS(3430),
    [anon_sym_PIPE_PIPE] = ACTIONS(3432),
    [sym_comment] = ACTIONS(59),
  },
  [1217] = {
    [anon_sym_LPAREN] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(1134),
    [sym_comment] = ACTIONS(19),
  },
  [1218] = {
    [anon_sym_LF] = ACTIONS(3436),
    [anon_sym_SEMI] = ACTIONS(3438),
    [anon_sym_RBRACE] = ACTIONS(3438),
    [anon_sym_case] = ACTIONS(3438),
    [sym_default_case] = ACTIONS(3438),
    [sym_comment] = ACTIONS(59),
  },
  [1219] = {
    [sym_expression_case_clause] = STATE(1065),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1065),
    [anon_sym_RBRACE] = ACTIONS(3440),
    [anon_sym_case] = ACTIONS(2053),
    [sym_default_case] = ACTIONS(2055),
    [sym_comment] = ACTIONS(19),
  },
  [1220] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1342),
    [sym_parenthesized_expression] = STATE(1342),
    [sym_call_expression] = STATE(1342),
    [sym_selector_expression] = STATE(1342),
    [sym_index_expression] = STATE(1342),
    [sym_slice_expression] = STATE(1342),
    [sym_type_assertion_expression] = STATE(1342),
    [sym_type_conversion_expression] = STATE(1342),
    [sym_composite_literal] = STATE(1342),
    [sym_func_literal] = STATE(1342),
    [sym_unary_expression] = STATE(1342),
    [sym_binary_expression] = STATE(1342),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1342),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3448),
    [sym_interpreted_string_literal] = ACTIONS(3448),
    [sym_int_literal] = ACTIONS(3450),
    [sym_float_literal] = ACTIONS(3450),
    [sym_imaginary_literal] = ACTIONS(3448),
    [sym_rune_literal] = ACTIONS(3448),
    [sym_comment] = ACTIONS(19),
  },
  [1221] = {
    [sym_type_case_clause] = STATE(1344),
    [sym_type_case] = STATE(1076),
    [aux_sym_type_switch_statement_repeat1] = STATE(1344),
    [anon_sym_RBRACE] = ACTIONS(3452),
    [anon_sym_case] = ACTIONS(2681),
    [sym_default_case] = ACTIONS(2683),
    [sym_comment] = ACTIONS(19),
  },
  [1222] = {
    [anon_sym_LPAREN] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(1134),
    [sym_comment] = ACTIONS(19),
  },
  [1223] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1349),
    [sym_parenthesized_expression] = STATE(1349),
    [sym_call_expression] = STATE(1349),
    [sym_selector_expression] = STATE(1349),
    [sym_index_expression] = STATE(1349),
    [sym_slice_expression] = STATE(1349),
    [sym_type_assertion_expression] = STATE(1349),
    [sym_type_conversion_expression] = STATE(1349),
    [sym_composite_literal] = STATE(1349),
    [sym_func_literal] = STATE(1349),
    [sym_unary_expression] = STATE(1349),
    [sym_binary_expression] = STATE(1349),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1349),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3462),
    [sym_interpreted_string_literal] = ACTIONS(3462),
    [sym_int_literal] = ACTIONS(3464),
    [sym_float_literal] = ACTIONS(3464),
    [sym_imaginary_literal] = ACTIONS(3462),
    [sym_rune_literal] = ACTIONS(3462),
    [sym_comment] = ACTIONS(19),
  },
  [1224] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1225] = {
    [sym_expression_case_clause] = STATE(1350),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1350),
    [anon_sym_RBRACE] = ACTIONS(3440),
    [anon_sym_case] = ACTIONS(2053),
    [sym_default_case] = ACTIONS(2055),
    [sym_comment] = ACTIONS(19),
  },
  [1226] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1351),
    [sym_parenthesized_expression] = STATE(1351),
    [sym_call_expression] = STATE(1351),
    [sym_selector_expression] = STATE(1351),
    [sym_index_expression] = STATE(1351),
    [sym_slice_expression] = STATE(1351),
    [sym_type_assertion_expression] = STATE(1351),
    [sym_type_conversion_expression] = STATE(1351),
    [sym_composite_literal] = STATE(1351),
    [sym_func_literal] = STATE(1351),
    [sym_unary_expression] = STATE(1351),
    [sym_binary_expression] = STATE(1351),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1351),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3466),
    [sym_interpreted_string_literal] = ACTIONS(3466),
    [sym_int_literal] = ACTIONS(3468),
    [sym_float_literal] = ACTIONS(3468),
    [sym_imaginary_literal] = ACTIONS(3466),
    [sym_rune_literal] = ACTIONS(3466),
    [sym_comment] = ACTIONS(19),
  },
  [1227] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1352),
    [sym_parenthesized_expression] = STATE(1352),
    [sym_call_expression] = STATE(1352),
    [sym_selector_expression] = STATE(1352),
    [sym_index_expression] = STATE(1352),
    [sym_slice_expression] = STATE(1352),
    [sym_type_assertion_expression] = STATE(1352),
    [sym_type_conversion_expression] = STATE(1352),
    [sym_composite_literal] = STATE(1352),
    [sym_func_literal] = STATE(1352),
    [sym_unary_expression] = STATE(1352),
    [sym_binary_expression] = STATE(1352),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1352),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3470),
    [sym_interpreted_string_literal] = ACTIONS(3470),
    [sym_int_literal] = ACTIONS(3472),
    [sym_float_literal] = ACTIONS(3472),
    [sym_imaginary_literal] = ACTIONS(3470),
    [sym_rune_literal] = ACTIONS(3470),
    [sym_comment] = ACTIONS(19),
  },
  [1228] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1353),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_call_expression] = STATE(1353),
    [sym_selector_expression] = STATE(1353),
    [sym_index_expression] = STATE(1353),
    [sym_slice_expression] = STATE(1353),
    [sym_type_assertion_expression] = STATE(1353),
    [sym_type_conversion_expression] = STATE(1353),
    [sym_composite_literal] = STATE(1353),
    [sym_func_literal] = STATE(1353),
    [sym_unary_expression] = STATE(1353),
    [sym_binary_expression] = STATE(1353),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1353),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3474),
    [sym_interpreted_string_literal] = ACTIONS(3474),
    [sym_int_literal] = ACTIONS(3476),
    [sym_float_literal] = ACTIONS(3476),
    [sym_imaginary_literal] = ACTIONS(3474),
    [sym_rune_literal] = ACTIONS(3474),
    [sym_comment] = ACTIONS(19),
  },
  [1229] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1354),
    [sym_parenthesized_expression] = STATE(1354),
    [sym_call_expression] = STATE(1354),
    [sym_selector_expression] = STATE(1354),
    [sym_index_expression] = STATE(1354),
    [sym_slice_expression] = STATE(1354),
    [sym_type_assertion_expression] = STATE(1354),
    [sym_type_conversion_expression] = STATE(1354),
    [sym_composite_literal] = STATE(1354),
    [sym_func_literal] = STATE(1354),
    [sym_unary_expression] = STATE(1354),
    [sym_binary_expression] = STATE(1354),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1354),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2671),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3478),
    [sym_interpreted_string_literal] = ACTIONS(3478),
    [sym_int_literal] = ACTIONS(3480),
    [sym_float_literal] = ACTIONS(3480),
    [sym_imaginary_literal] = ACTIONS(3478),
    [sym_rune_literal] = ACTIONS(3478),
    [sym_comment] = ACTIONS(19),
  },
  [1230] = {
    [aux_sym_expression_list_repeat1] = STATE(1355),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_COLON_EQ] = ACTIONS(1112),
    [sym_comment] = ACTIONS(19),
  },
  [1231] = {
    [sym_parameter_list] = STATE(1356),
    [anon_sym_LPAREN] = ACTIONS(41),
    [sym_comment] = ACTIONS(19),
  },
  [1232] = {
    [sym_parenthesized_type] = STATE(133),
    [sym__simple_type] = STATE(133),
    [sym_pointer_type] = STATE(133),
    [sym_array_type] = STATE(133),
    [sym_slice_type] = STATE(133),
    [sym_struct_type] = STATE(133),
    [sym_interface_type] = STATE(133),
    [sym_map_type] = STATE(133),
    [sym_channel_type] = STATE(133),
    [sym_function_type] = STATE(133),
    [sym_qualified_type] = STATE(133),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1233] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_call_expression] = STATE(1358),
    [sym_selector_expression] = STATE(1358),
    [sym_index_expression] = STATE(1358),
    [sym_slice_expression] = STATE(1358),
    [sym_type_assertion_expression] = STATE(1358),
    [sym_type_conversion_expression] = STATE(1358),
    [sym_composite_literal] = STATE(1358),
    [sym_func_literal] = STATE(1358),
    [sym_unary_expression] = STATE(1358),
    [sym_binary_expression] = STATE(1358),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1358),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(3482),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3484),
    [sym_interpreted_string_literal] = ACTIONS(3484),
    [sym_int_literal] = ACTIONS(3486),
    [sym_float_literal] = ACTIONS(3486),
    [sym_imaginary_literal] = ACTIONS(3484),
    [sym_rune_literal] = ACTIONS(3484),
    [sym_comment] = ACTIONS(19),
  },
  [1234] = {
    [anon_sym_LBRACK] = ACTIONS(3488),
    [sym_comment] = ACTIONS(19),
  },
  [1235] = {
    [sym_parenthesized_type] = STATE(152),
    [sym__simple_type] = STATE(152),
    [sym_pointer_type] = STATE(152),
    [sym_array_type] = STATE(152),
    [sym_slice_type] = STATE(152),
    [sym_struct_type] = STATE(152),
    [sym_interface_type] = STATE(152),
    [sym_map_type] = STATE(152),
    [sym_channel_type] = STATE(152),
    [sym_function_type] = STATE(152),
    [sym_qualified_type] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1236] = {
    [anon_sym_chan] = ACTIONS(3492),
    [sym_comment] = ACTIONS(19),
  },
  [1237] = {
    [aux_sym_type_case_repeat1] = STATE(1363),
    [anon_sym_COMMA] = ACTIONS(3494),
    [anon_sym_COLON] = ACTIONS(3496),
    [sym_comment] = ACTIONS(19),
  },
  [1238] = {
    [sym__declaration] = STATE(1215),
    [sym_const_declaration] = STATE(1215),
    [sym_var_declaration] = STATE(1215),
    [sym_type_declaration] = STATE(1215),
    [sym_expression_list] = STATE(1213),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(1215),
    [sym__statement_list] = STATE(1364),
    [sym__statement] = STATE(1215),
    [sym_empty_statement] = STATE(1215),
    [sym__simple_statement] = STATE(1215),
    [sym_send_statement] = STATE(1215),
    [sym_inc_statement] = STATE(1215),
    [sym_dec_statement] = STATE(1215),
    [sym_assignment_statement] = STATE(1215),
    [sym_short_var_declaration] = STATE(1215),
    [sym_labeled_statement] = STATE(1215),
    [sym_empty_labeled_statement] = STATE(394),
    [sym_fallthrough_statement] = STATE(1215),
    [sym_break_statement] = STATE(1215),
    [sym_continue_statement] = STATE(1215),
    [sym_goto_statement] = STATE(1215),
    [sym_return_statement] = STATE(1215),
    [sym_go_statement] = STATE(1215),
    [sym_defer_statement] = STATE(1215),
    [sym_if_statement] = STATE(1215),
    [sym_for_statement] = STATE(1215),
    [sym_expression_switch_statement] = STATE(1215),
    [sym_type_switch_statement] = STATE(1215),
    [sym_select_statement] = STATE(1215),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_func_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_binary_expression] = STATE(1216),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1216),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(3042),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(3498),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(3054),
    [anon_sym_go] = ACTIONS(3056),
    [anon_sym_defer] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_case] = ACTIONS(3500),
    [sym_default_case] = ACTIONS(3500),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3066),
    [sym_raw_string_literal] = ACTIONS(3068),
    [sym_interpreted_string_literal] = ACTIONS(3068),
    [sym_int_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3070),
    [sym_imaginary_literal] = ACTIONS(3068),
    [sym_rune_literal] = ACTIONS(3068),
    [sym_comment] = ACTIONS(19),
  },
  [1239] = {
    [anon_sym_LF] = ACTIONS(3502),
    [anon_sym_SEMI] = ACTIONS(3504),
    [anon_sym_RBRACE] = ACTIONS(3504),
    [anon_sym_case] = ACTIONS(3504),
    [sym_default_case] = ACTIONS(3504),
    [sym_comment] = ACTIONS(59),
  },
  [1240] = {
    [sym_type_case_clause] = STATE(1240),
    [sym_type_case] = STATE(1076),
    [aux_sym_type_switch_statement_repeat1] = STATE(1240),
    [anon_sym_RBRACE] = ACTIONS(3506),
    [anon_sym_case] = ACTIONS(3508),
    [sym_default_case] = ACTIONS(3511),
    [sym_comment] = ACTIONS(19),
  },
  [1241] = {
    [anon_sym_RPAREN] = ACTIONS(3514),
    [sym_comment] = ACTIONS(19),
  },
  [1242] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1369),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_call_expression] = STATE(1369),
    [sym_selector_expression] = STATE(1369),
    [sym_index_expression] = STATE(1369),
    [sym_slice_expression] = STATE(1369),
    [sym_type_assertion_expression] = STATE(1369),
    [sym_type_conversion_expression] = STATE(1369),
    [sym_composite_literal] = STATE(1369),
    [sym_func_literal] = STATE(1369),
    [sym_unary_expression] = STATE(1369),
    [sym_binary_expression] = STATE(1369),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1369),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3522),
    [sym_interpreted_string_literal] = ACTIONS(3522),
    [sym_int_literal] = ACTIONS(3524),
    [sym_float_literal] = ACTIONS(3524),
    [sym_imaginary_literal] = ACTIONS(3522),
    [sym_rune_literal] = ACTIONS(3522),
    [sym_comment] = ACTIONS(19),
  },
  [1243] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1373),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_call_expression] = STATE(1373),
    [sym_selector_expression] = STATE(1373),
    [sym_index_expression] = STATE(1373),
    [sym_slice_expression] = STATE(1373),
    [sym_type_assertion_expression] = STATE(1373),
    [sym_type_conversion_expression] = STATE(1373),
    [sym_composite_literal] = STATE(1373),
    [sym_func_literal] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_binary_expression] = STATE(1373),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1373),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3532),
    [sym_interpreted_string_literal] = ACTIONS(3532),
    [sym_int_literal] = ACTIONS(3534),
    [sym_float_literal] = ACTIONS(3534),
    [sym_imaginary_literal] = ACTIONS(3532),
    [sym_rune_literal] = ACTIONS(3532),
    [sym_comment] = ACTIONS(19),
  },
  [1244] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1245] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1374),
    [sym_parenthesized_expression] = STATE(1374),
    [sym_call_expression] = STATE(1374),
    [sym_selector_expression] = STATE(1374),
    [sym_index_expression] = STATE(1374),
    [sym_slice_expression] = STATE(1374),
    [sym_type_assertion_expression] = STATE(1374),
    [sym_type_conversion_expression] = STATE(1374),
    [sym_composite_literal] = STATE(1374),
    [sym_func_literal] = STATE(1374),
    [sym_unary_expression] = STATE(1374),
    [sym_binary_expression] = STATE(1374),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1374),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3536),
    [sym_interpreted_string_literal] = ACTIONS(3536),
    [sym_int_literal] = ACTIONS(3538),
    [sym_float_literal] = ACTIONS(3538),
    [sym_imaginary_literal] = ACTIONS(3536),
    [sym_rune_literal] = ACTIONS(3536),
    [sym_comment] = ACTIONS(19),
  },
  [1246] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1375),
    [sym_parenthesized_expression] = STATE(1375),
    [sym_call_expression] = STATE(1375),
    [sym_selector_expression] = STATE(1375),
    [sym_index_expression] = STATE(1375),
    [sym_slice_expression] = STATE(1375),
    [sym_type_assertion_expression] = STATE(1375),
    [sym_type_conversion_expression] = STATE(1375),
    [sym_composite_literal] = STATE(1375),
    [sym_func_literal] = STATE(1375),
    [sym_unary_expression] = STATE(1375),
    [sym_binary_expression] = STATE(1375),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1375),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3540),
    [sym_interpreted_string_literal] = ACTIONS(3540),
    [sym_int_literal] = ACTIONS(3542),
    [sym_float_literal] = ACTIONS(3542),
    [sym_imaginary_literal] = ACTIONS(3540),
    [sym_rune_literal] = ACTIONS(3540),
    [sym_comment] = ACTIONS(19),
  },
  [1247] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1376),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_call_expression] = STATE(1376),
    [sym_selector_expression] = STATE(1376),
    [sym_index_expression] = STATE(1376),
    [sym_slice_expression] = STATE(1376),
    [sym_type_assertion_expression] = STATE(1376),
    [sym_type_conversion_expression] = STATE(1376),
    [sym_composite_literal] = STATE(1376),
    [sym_func_literal] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_binary_expression] = STATE(1376),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1376),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3544),
    [sym_interpreted_string_literal] = ACTIONS(3544),
    [sym_int_literal] = ACTIONS(3546),
    [sym_float_literal] = ACTIONS(3546),
    [sym_imaginary_literal] = ACTIONS(3544),
    [sym_rune_literal] = ACTIONS(3544),
    [sym_comment] = ACTIONS(19),
  },
  [1248] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1377),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_call_expression] = STATE(1377),
    [sym_selector_expression] = STATE(1377),
    [sym_index_expression] = STATE(1377),
    [sym_slice_expression] = STATE(1377),
    [sym_type_assertion_expression] = STATE(1377),
    [sym_type_conversion_expression] = STATE(1377),
    [sym_composite_literal] = STATE(1377),
    [sym_func_literal] = STATE(1377),
    [sym_unary_expression] = STATE(1377),
    [sym_binary_expression] = STATE(1377),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1377),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3548),
    [sym_interpreted_string_literal] = ACTIONS(3548),
    [sym_int_literal] = ACTIONS(3550),
    [sym_float_literal] = ACTIONS(3550),
    [sym_imaginary_literal] = ACTIONS(3548),
    [sym_rune_literal] = ACTIONS(3548),
    [sym_comment] = ACTIONS(19),
  },
  [1249] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_call_expression] = STATE(1378),
    [sym_selector_expression] = STATE(1378),
    [sym_index_expression] = STATE(1378),
    [sym_slice_expression] = STATE(1378),
    [sym_type_assertion_expression] = STATE(1378),
    [sym_type_conversion_expression] = STATE(1378),
    [sym_composite_literal] = STATE(1378),
    [sym_func_literal] = STATE(1378),
    [sym_unary_expression] = STATE(1378),
    [sym_binary_expression] = STATE(1378),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1378),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3552),
    [sym_interpreted_string_literal] = ACTIONS(3552),
    [sym_int_literal] = ACTIONS(3554),
    [sym_float_literal] = ACTIONS(3554),
    [sym_imaginary_literal] = ACTIONS(3552),
    [sym_rune_literal] = ACTIONS(3552),
    [sym_comment] = ACTIONS(19),
  },
  [1250] = {
    [aux_sym_expression_list_repeat1] = STATE(1379),
    [anon_sym_COMMA] = ACTIONS(3140),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_COLON_EQ] = ACTIONS(1112),
    [sym_comment] = ACTIONS(19),
  },
  [1251] = {
    [anon_sym_RBRACE] = ACTIONS(3556),
    [anon_sym_case] = ACTIONS(3556),
    [sym_default_case] = ACTIONS(3556),
    [sym_comment] = ACTIONS(19),
  },
  [1252] = {
    [anon_sym_LF] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym_DOT] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2788),
    [anon_sym_COMMA] = ACTIONS(2788),
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_LT_DASH] = ACTIONS(2788),
    [anon_sym_COLON_EQ] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_STAR_EQ] = ACTIONS(2788),
    [anon_sym_SLASH_EQ] = ACTIONS(2788),
    [anon_sym_PERCENT_EQ] = ACTIONS(2788),
    [anon_sym_LT_LT_EQ] = ACTIONS(2788),
    [anon_sym_GT_GT_EQ] = ACTIONS(2788),
    [anon_sym_AMP_EQ] = ACTIONS(2788),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2788),
    [anon_sym_PLUS_EQ] = ACTIONS(2788),
    [anon_sym_DASH_EQ] = ACTIONS(2788),
    [anon_sym_PIPE_EQ] = ACTIONS(2788),
    [anon_sym_CARET_EQ] = ACTIONS(2788),
    [anon_sym_case] = ACTIONS(2788),
    [sym_default_case] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_PERCENT] = ACTIONS(2788),
    [anon_sym_LT_LT] = ACTIONS(2788),
    [anon_sym_GT_GT] = ACTIONS(2788),
    [anon_sym_AMP_CARET] = ACTIONS(2788),
    [anon_sym_PIPE] = ACTIONS(2788),
    [anon_sym_EQ_EQ] = ACTIONS(2788),
    [anon_sym_BANG_EQ] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2788),
    [anon_sym_LT_EQ] = ACTIONS(2788),
    [anon_sym_GT] = ACTIONS(2788),
    [anon_sym_GT_EQ] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2788),
    [sym_comment] = ACTIONS(59),
  },
  [1253] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(3558),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [1254] = {
    [anon_sym_LF] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_LT_DASH] = ACTIONS(2817),
    [anon_sym_COLON_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [sym_default_case] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_GT_GT] = ACTIONS(2817),
    [anon_sym_AMP_CARET] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [sym_comment] = ACTIONS(59),
  },
  [1255] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(3560),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [1256] = {
    [anon_sym_LF] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym_DOT] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_COMMA] = ACTIONS(2828),
    [anon_sym_EQ] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_LT_DASH] = ACTIONS(2828),
    [anon_sym_COLON_EQ] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_STAR_EQ] = ACTIONS(2828),
    [anon_sym_SLASH_EQ] = ACTIONS(2828),
    [anon_sym_PERCENT_EQ] = ACTIONS(2828),
    [anon_sym_LT_LT_EQ] = ACTIONS(2828),
    [anon_sym_GT_GT_EQ] = ACTIONS(2828),
    [anon_sym_AMP_EQ] = ACTIONS(2828),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2828),
    [anon_sym_PLUS_EQ] = ACTIONS(2828),
    [anon_sym_DASH_EQ] = ACTIONS(2828),
    [anon_sym_PIPE_EQ] = ACTIONS(2828),
    [anon_sym_CARET_EQ] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [sym_default_case] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2828),
    [anon_sym_GT_GT] = ACTIONS(2828),
    [anon_sym_AMP_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2828),
    [anon_sym_EQ_EQ] = ACTIONS(2828),
    [anon_sym_BANG_EQ] = ACTIONS(2828),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2828),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_PIPE_PIPE] = ACTIONS(2828),
    [sym_comment] = ACTIONS(59),
  },
  [1257] = {
    [anon_sym_LF] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_DOT] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [anon_sym_COMMA] = ACTIONS(2832),
    [anon_sym_EQ] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_LT_DASH] = ACTIONS(2832),
    [anon_sym_COLON_EQ] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_STAR_EQ] = ACTIONS(2832),
    [anon_sym_SLASH_EQ] = ACTIONS(2832),
    [anon_sym_PERCENT_EQ] = ACTIONS(2832),
    [anon_sym_LT_LT_EQ] = ACTIONS(2832),
    [anon_sym_GT_GT_EQ] = ACTIONS(2832),
    [anon_sym_AMP_EQ] = ACTIONS(2832),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2832),
    [anon_sym_PLUS_EQ] = ACTIONS(2832),
    [anon_sym_DASH_EQ] = ACTIONS(2832),
    [anon_sym_PIPE_EQ] = ACTIONS(2832),
    [anon_sym_CARET_EQ] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [sym_default_case] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_CARET] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_PERCENT] = ACTIONS(2832),
    [anon_sym_LT_LT] = ACTIONS(2832),
    [anon_sym_GT_GT] = ACTIONS(2832),
    [anon_sym_AMP_CARET] = ACTIONS(2832),
    [anon_sym_PIPE] = ACTIONS(2832),
    [anon_sym_EQ_EQ] = ACTIONS(2832),
    [anon_sym_BANG_EQ] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2832),
    [anon_sym_GT] = ACTIONS(2832),
    [anon_sym_GT_EQ] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2832),
    [sym_comment] = ACTIONS(59),
  },
  [1258] = {
    [anon_sym_LF] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym_DOT] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_EQ] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_LT_DASH] = ACTIONS(2836),
    [anon_sym_COLON_EQ] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [anon_sym_STAR_EQ] = ACTIONS(2836),
    [anon_sym_SLASH_EQ] = ACTIONS(2836),
    [anon_sym_PERCENT_EQ] = ACTIONS(2836),
    [anon_sym_LT_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT_GT_EQ] = ACTIONS(2836),
    [anon_sym_AMP_EQ] = ACTIONS(2836),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2836),
    [anon_sym_PLUS_EQ] = ACTIONS(2836),
    [anon_sym_DASH_EQ] = ACTIONS(2836),
    [anon_sym_PIPE_EQ] = ACTIONS(2836),
    [anon_sym_CARET_EQ] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [sym_default_case] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_SLASH] = ACTIONS(2836),
    [anon_sym_PERCENT] = ACTIONS(2836),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_AMP_CARET] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_EQ_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2836),
    [anon_sym_GT] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2836),
    [anon_sym_AMP_AMP] = ACTIONS(2836),
    [anon_sym_PIPE_PIPE] = ACTIONS(2836),
    [sym_comment] = ACTIONS(59),
  },
  [1259] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(3562),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [1260] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_GT_GT] = ACTIONS(2749),
    [anon_sym_AMP_CARET] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1261] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_GT_GT] = ACTIONS(2749),
    [anon_sym_AMP_CARET] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1262] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_GT_GT] = ACTIONS(2749),
    [anon_sym_AMP_CARET] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1263] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_GT_GT] = ACTIONS(2749),
    [anon_sym_AMP_CARET] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1264] = {
    [anon_sym_LF] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_LPAREN] = ACTIONS(2847),
    [anon_sym_COMMA] = ACTIONS(2847),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_LT_DASH] = ACTIONS(2847),
    [anon_sym_COLON_EQ] = ACTIONS(2847),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [anon_sym_STAR_EQ] = ACTIONS(2847),
    [anon_sym_SLASH_EQ] = ACTIONS(2847),
    [anon_sym_PERCENT_EQ] = ACTIONS(2847),
    [anon_sym_LT_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_GT_EQ] = ACTIONS(2847),
    [anon_sym_AMP_EQ] = ACTIONS(2847),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2847),
    [anon_sym_PLUS_EQ] = ACTIONS(2847),
    [anon_sym_DASH_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_EQ] = ACTIONS(2847),
    [anon_sym_CARET_EQ] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [sym_default_case] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_GT_GT] = ACTIONS(2847),
    [anon_sym_AMP_CARET] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2847),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2847),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [sym_comment] = ACTIONS(59),
  },
  [1265] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1383),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_call_expression] = STATE(1383),
    [sym_selector_expression] = STATE(1383),
    [sym_index_expression] = STATE(1383),
    [sym_slice_expression] = STATE(1383),
    [sym_type_assertion_expression] = STATE(1383),
    [sym_type_conversion_expression] = STATE(1383),
    [sym_composite_literal] = STATE(1383),
    [sym_func_literal] = STATE(1383),
    [sym_unary_expression] = STATE(1383),
    [sym_binary_expression] = STATE(1383),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1383),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3564),
    [sym_interpreted_string_literal] = ACTIONS(3564),
    [sym_int_literal] = ACTIONS(3566),
    [sym_float_literal] = ACTIONS(3566),
    [sym_imaginary_literal] = ACTIONS(3564),
    [sym_rune_literal] = ACTIONS(3564),
    [sym_comment] = ACTIONS(19),
  },
  [1266] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3568),
    [anon_sym_COLON] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [1267] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(1574),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(1580),
    [anon_sym_chan] = ACTIONS(1582),
    [anon_sym_LT_DASH] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1268] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1269] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1270] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1271] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2797),
    [anon_sym_LT_LT] = ACTIONS(2797),
    [anon_sym_GT_GT] = ACTIONS(2797),
    [anon_sym_AMP_CARET] = ACTIONS(2797),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2809),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1272] = {
    [ts_builtin_sym_end] = ACTIONS(3572),
    [anon_sym_LF] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym_package] = ACTIONS(3574),
    [anon_sym_import] = ACTIONS(3574),
    [anon_sym_DOT] = ACTIONS(3574),
    [anon_sym_LPAREN] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3574),
    [anon_sym_COMMA] = ACTIONS(3574),
    [anon_sym_var] = ACTIONS(3574),
    [anon_sym_func] = ACTIONS(3574),
    [anon_sym_type] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3574),
    [anon_sym_LBRACK] = ACTIONS(3574),
    [anon_sym_RBRACE] = ACTIONS(3574),
    [anon_sym_case] = ACTIONS(3574),
    [sym_default_case] = ACTIONS(3574),
    [anon_sym_PLUS] = ACTIONS(3574),
    [anon_sym_DASH] = ACTIONS(3574),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_AMP] = ACTIONS(3574),
    [anon_sym_SLASH] = ACTIONS(3574),
    [anon_sym_PERCENT] = ACTIONS(3574),
    [anon_sym_LT_LT] = ACTIONS(3574),
    [anon_sym_GT_GT] = ACTIONS(3574),
    [anon_sym_AMP_CARET] = ACTIONS(3574),
    [anon_sym_PIPE] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(3574),
    [anon_sym_BANG_EQ] = ACTIONS(3574),
    [anon_sym_LT] = ACTIONS(3574),
    [anon_sym_LT_EQ] = ACTIONS(3574),
    [anon_sym_GT] = ACTIONS(3574),
    [anon_sym_GT_EQ] = ACTIONS(3574),
    [anon_sym_AMP_AMP] = ACTIONS(3574),
    [anon_sym_PIPE_PIPE] = ACTIONS(3574),
    [sym_comment] = ACTIONS(59),
  },
  [1273] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1274] = {
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_DOT] = ACTIONS(3574),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_RPAREN] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3572),
    [anon_sym_EQ] = ACTIONS(3574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_STAR] = ACTIONS(3574),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_RBRACK] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_LT_DASH] = ACTIONS(3572),
    [anon_sym_COLON_EQ] = ACTIONS(3572),
    [anon_sym_STAR_EQ] = ACTIONS(3572),
    [anon_sym_SLASH_EQ] = ACTIONS(3572),
    [anon_sym_PERCENT_EQ] = ACTIONS(3572),
    [anon_sym_LT_LT_EQ] = ACTIONS(3572),
    [anon_sym_GT_GT_EQ] = ACTIONS(3572),
    [anon_sym_AMP_EQ] = ACTIONS(3572),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3572),
    [anon_sym_PLUS_EQ] = ACTIONS(3572),
    [anon_sym_DASH_EQ] = ACTIONS(3572),
    [anon_sym_PIPE_EQ] = ACTIONS(3572),
    [anon_sym_CARET_EQ] = ACTIONS(3572),
    [anon_sym_COLON] = ACTIONS(3574),
    [anon_sym_PLUS] = ACTIONS(3574),
    [anon_sym_DASH] = ACTIONS(3574),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_AMP] = ACTIONS(3574),
    [anon_sym_SLASH] = ACTIONS(3574),
    [anon_sym_PERCENT] = ACTIONS(3574),
    [anon_sym_LT_LT] = ACTIONS(3574),
    [anon_sym_GT_GT] = ACTIONS(3574),
    [anon_sym_AMP_CARET] = ACTIONS(3574),
    [anon_sym_PIPE] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(3572),
    [anon_sym_BANG_EQ] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3574),
    [anon_sym_LT_EQ] = ACTIONS(3572),
    [anon_sym_GT] = ACTIONS(3574),
    [anon_sym_GT_EQ] = ACTIONS(3572),
    [anon_sym_AMP_AMP] = ACTIONS(3572),
    [anon_sym_PIPE_PIPE] = ACTIONS(3572),
    [sym_comment] = ACTIONS(19),
  },
  [1275] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3578),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1276] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1807),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1813),
    [anon_sym_chan] = ACTIONS(1815),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1277] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(1899),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1278] = {
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_DOT] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_STAR] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_LT_DASH] = ACTIONS(2085),
    [anon_sym_COLON_EQ] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_STAR_EQ] = ACTIONS(2085),
    [anon_sym_SLASH_EQ] = ACTIONS(2085),
    [anon_sym_PERCENT_EQ] = ACTIONS(2085),
    [anon_sym_LT_LT_EQ] = ACTIONS(2085),
    [anon_sym_GT_GT_EQ] = ACTIONS(2085),
    [anon_sym_AMP_EQ] = ACTIONS(2085),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2085),
    [anon_sym_PLUS_EQ] = ACTIONS(2085),
    [anon_sym_DASH_EQ] = ACTIONS(2085),
    [anon_sym_PIPE_EQ] = ACTIONS(2085),
    [anon_sym_CARET_EQ] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2087),
    [anon_sym_DASH] = ACTIONS(2087),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_AMP] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2087),
    [anon_sym_PERCENT] = ACTIONS(2087),
    [anon_sym_LT_LT] = ACTIONS(2087),
    [anon_sym_GT_GT] = ACTIONS(2087),
    [anon_sym_AMP_CARET] = ACTIONS(2087),
    [anon_sym_PIPE] = ACTIONS(2087),
    [anon_sym_EQ_EQ] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [sym_comment] = ACTIONS(19),
  },
  [1279] = {
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym_DOT] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [anon_sym_COMMA] = ACTIONS(2786),
    [anon_sym_EQ] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_LT_DASH] = ACTIONS(2786),
    [anon_sym_COLON_EQ] = ACTIONS(2786),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_STAR_EQ] = ACTIONS(2786),
    [anon_sym_SLASH_EQ] = ACTIONS(2786),
    [anon_sym_PERCENT_EQ] = ACTIONS(2786),
    [anon_sym_LT_LT_EQ] = ACTIONS(2786),
    [anon_sym_GT_GT_EQ] = ACTIONS(2786),
    [anon_sym_AMP_EQ] = ACTIONS(2786),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2786),
    [anon_sym_PLUS_EQ] = ACTIONS(2786),
    [anon_sym_DASH_EQ] = ACTIONS(2786),
    [anon_sym_PIPE_EQ] = ACTIONS(2786),
    [anon_sym_CARET_EQ] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_PERCENT] = ACTIONS(2788),
    [anon_sym_LT_LT] = ACTIONS(2788),
    [anon_sym_GT_GT] = ACTIONS(2788),
    [anon_sym_AMP_CARET] = ACTIONS(2788),
    [anon_sym_PIPE] = ACTIONS(2788),
    [anon_sym_EQ_EQ] = ACTIONS(2786),
    [anon_sym_BANG_EQ] = ACTIONS(2786),
    [anon_sym_LT] = ACTIONS(2788),
    [anon_sym_LT_EQ] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2788),
    [anon_sym_GT_EQ] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_PIPE_PIPE] = ACTIONS(2786),
    [sym_comment] = ACTIONS(19),
  },
  [1280] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym_call_expression] = STATE(914),
    [sym_selector_expression] = STATE(914),
    [sym_index_expression] = STATE(914),
    [sym_slice_expression] = STATE(914),
    [sym_type_assertion_expression] = STATE(914),
    [sym_type_conversion_expression] = STATE(914),
    [sym_composite_literal] = STATE(914),
    [sym_func_literal] = STATE(914),
    [sym_unary_expression] = STATE(914),
    [sym_binary_expression] = STATE(914),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(3580),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2204),
    [sym_interpreted_string_literal] = ACTIONS(2204),
    [sym_int_literal] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
    [sym_imaginary_literal] = ACTIONS(2204),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_comment] = ACTIONS(19),
  },
  [1281] = {
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_LT_DASH] = ACTIONS(2815),
    [anon_sym_COLON_EQ] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_STAR_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_PERCENT_EQ] = ACTIONS(2815),
    [anon_sym_LT_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_EQ] = ACTIONS(2815),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2815),
    [anon_sym_PLUS_EQ] = ACTIONS(2815),
    [anon_sym_DASH_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_CARET_EQ] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_GT_GT] = ACTIONS(2817),
    [anon_sym_AMP_CARET] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE] = ACTIONS(2815),
    [sym_comment] = ACTIONS(19),
  },
  [1282] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_selector_expression] = STATE(462),
    [sym_index_expression] = STATE(462),
    [sym_slice_expression] = STATE(462),
    [sym_type_assertion_expression] = STATE(462),
    [sym_type_conversion_expression] = STATE(462),
    [sym_composite_literal] = STATE(462),
    [sym_literal_value] = STATE(463),
    [sym_keyed_element] = STATE(929),
    [sym_element] = STATE(929),
    [sym_func_literal] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_AMP] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_raw_string_literal] = ACTIONS(1034),
    [sym_interpreted_string_literal] = ACTIONS(1034),
    [sym_int_literal] = ACTIONS(1036),
    [sym_float_literal] = ACTIONS(1036),
    [sym_imaginary_literal] = ACTIONS(1034),
    [sym_rune_literal] = ACTIONS(1034),
    [sym_comment] = ACTIONS(19),
  },
  [1283] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1676),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_PERCENT] = ACTIONS(2924),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_AMP_CARET] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2930),
    [anon_sym_EQ_EQ] = ACTIONS(2932),
    [anon_sym_BANG_EQ] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_LT_EQ] = ACTIONS(2932),
    [anon_sym_GT] = ACTIONS(2934),
    [anon_sym_GT_EQ] = ACTIONS(2932),
    [anon_sym_AMP_AMP] = ACTIONS(2936),
    [anon_sym_PIPE_PIPE] = ACTIONS(2938),
    [sym_comment] = ACTIONS(19),
  },
  [1284] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_PERCENT] = ACTIONS(2924),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_AMP_CARET] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1285] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_PERCENT] = ACTIONS(2924),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_AMP_CARET] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2930),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1286] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_PERCENT] = ACTIONS(2924),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_AMP_CARET] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2930),
    [anon_sym_EQ_EQ] = ACTIONS(2932),
    [anon_sym_BANG_EQ] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_LT_EQ] = ACTIONS(2932),
    [anon_sym_GT] = ACTIONS(2934),
    [anon_sym_GT_EQ] = ACTIONS(2932),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1287] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_CARET] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_PERCENT] = ACTIONS(2924),
    [anon_sym_LT_LT] = ACTIONS(2924),
    [anon_sym_GT_GT] = ACTIONS(2924),
    [anon_sym_AMP_CARET] = ACTIONS(2924),
    [anon_sym_PIPE] = ACTIONS(2930),
    [anon_sym_EQ_EQ] = ACTIONS(2932),
    [anon_sym_BANG_EQ] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_LT_EQ] = ACTIONS(2932),
    [anon_sym_GT] = ACTIONS(2934),
    [anon_sym_GT_EQ] = ACTIONS(2932),
    [anon_sym_AMP_AMP] = ACTIONS(2936),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1288] = {
    [aux_sym_expression_list_repeat1] = STATE(1288),
    [anon_sym_SEMI] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(3584),
    [sym_comment] = ACTIONS(19),
  },
  [1289] = {
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym_DOT] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_EQ] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_LT_DASH] = ACTIONS(2826),
    [anon_sym_COLON_EQ] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_STAR_EQ] = ACTIONS(2826),
    [anon_sym_SLASH_EQ] = ACTIONS(2826),
    [anon_sym_PERCENT_EQ] = ACTIONS(2826),
    [anon_sym_LT_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT_GT_EQ] = ACTIONS(2826),
    [anon_sym_AMP_EQ] = ACTIONS(2826),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2826),
    [anon_sym_PLUS_EQ] = ACTIONS(2826),
    [anon_sym_DASH_EQ] = ACTIONS(2826),
    [anon_sym_PIPE_EQ] = ACTIONS(2826),
    [anon_sym_CARET_EQ] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_CARET] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_PERCENT] = ACTIONS(2828),
    [anon_sym_LT_LT] = ACTIONS(2828),
    [anon_sym_GT_GT] = ACTIONS(2828),
    [anon_sym_AMP_CARET] = ACTIONS(2828),
    [anon_sym_PIPE] = ACTIONS(2828),
    [anon_sym_EQ_EQ] = ACTIONS(2826),
    [anon_sym_BANG_EQ] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_LT_EQ] = ACTIONS(2826),
    [anon_sym_GT] = ACTIONS(2828),
    [anon_sym_GT_EQ] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_PIPE_PIPE] = ACTIONS(2826),
    [sym_comment] = ACTIONS(19),
  },
  [1290] = {
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2830),
    [anon_sym_EQ] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_LT_DASH] = ACTIONS(2830),
    [anon_sym_COLON_EQ] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_STAR_EQ] = ACTIONS(2830),
    [anon_sym_SLASH_EQ] = ACTIONS(2830),
    [anon_sym_PERCENT_EQ] = ACTIONS(2830),
    [anon_sym_LT_LT_EQ] = ACTIONS(2830),
    [anon_sym_GT_GT_EQ] = ACTIONS(2830),
    [anon_sym_AMP_EQ] = ACTIONS(2830),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2830),
    [anon_sym_PLUS_EQ] = ACTIONS(2830),
    [anon_sym_DASH_EQ] = ACTIONS(2830),
    [anon_sym_PIPE_EQ] = ACTIONS(2830),
    [anon_sym_CARET_EQ] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_CARET] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_PERCENT] = ACTIONS(2832),
    [anon_sym_LT_LT] = ACTIONS(2832),
    [anon_sym_GT_GT] = ACTIONS(2832),
    [anon_sym_AMP_CARET] = ACTIONS(2832),
    [anon_sym_PIPE] = ACTIONS(2832),
    [anon_sym_EQ_EQ] = ACTIONS(2830),
    [anon_sym_BANG_EQ] = ACTIONS(2830),
    [anon_sym_LT] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2832),
    [anon_sym_GT_EQ] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_PIPE_PIPE] = ACTIONS(2830),
    [sym_comment] = ACTIONS(19),
  },
  [1291] = {
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym_DOT] = ACTIONS(2834),
    [anon_sym_LPAREN] = ACTIONS(2834),
    [anon_sym_COMMA] = ACTIONS(2834),
    [anon_sym_EQ] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_LT_DASH] = ACTIONS(2834),
    [anon_sym_COLON_EQ] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_STAR_EQ] = ACTIONS(2834),
    [anon_sym_SLASH_EQ] = ACTIONS(2834),
    [anon_sym_PERCENT_EQ] = ACTIONS(2834),
    [anon_sym_LT_LT_EQ] = ACTIONS(2834),
    [anon_sym_GT_GT_EQ] = ACTIONS(2834),
    [anon_sym_AMP_EQ] = ACTIONS(2834),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2834),
    [anon_sym_PLUS_EQ] = ACTIONS(2834),
    [anon_sym_DASH_EQ] = ACTIONS(2834),
    [anon_sym_PIPE_EQ] = ACTIONS(2834),
    [anon_sym_CARET_EQ] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2836),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_SLASH] = ACTIONS(2836),
    [anon_sym_PERCENT] = ACTIONS(2836),
    [anon_sym_LT_LT] = ACTIONS(2836),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_AMP_CARET] = ACTIONS(2836),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_EQ_EQ] = ACTIONS(2834),
    [anon_sym_BANG_EQ] = ACTIONS(2834),
    [anon_sym_LT] = ACTIONS(2836),
    [anon_sym_LT_EQ] = ACTIONS(2834),
    [anon_sym_GT] = ACTIONS(2836),
    [anon_sym_GT_EQ] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_PIPE_PIPE] = ACTIONS(2834),
    [sym_comment] = ACTIONS(19),
  },
  [1292] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_variadic_argument] = STATE(940),
    [sym_selector_expression] = STATE(939),
    [sym_index_expression] = STATE(939),
    [sym_slice_expression] = STATE(939),
    [sym_type_assertion_expression] = STATE(939),
    [sym_type_conversion_expression] = STATE(939),
    [sym_composite_literal] = STATE(939),
    [sym_func_literal] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_RPAREN] = ACTIONS(3587),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(969),
    [sym_raw_string_literal] = ACTIONS(2278),
    [sym_interpreted_string_literal] = ACTIONS(2278),
    [sym_int_literal] = ACTIONS(2280),
    [sym_float_literal] = ACTIONS(2280),
    [sym_imaginary_literal] = ACTIONS(2278),
    [sym_rune_literal] = ACTIONS(2278),
    [sym_comment] = ACTIONS(19),
  },
  [1293] = {
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_DOT] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_LT_DASH] = ACTIONS(2845),
    [anon_sym_COLON_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_GT_GT] = ACTIONS(2847),
    [anon_sym_AMP_CARET] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_EQ_EQ] = ACTIONS(2845),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2845),
    [anon_sym_PIPE_PIPE] = ACTIONS(2845),
    [sym_comment] = ACTIONS(19),
  },
  [1294] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1391),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_call_expression] = STATE(1391),
    [sym_selector_expression] = STATE(1391),
    [sym_index_expression] = STATE(1391),
    [sym_slice_expression] = STATE(1391),
    [sym_type_assertion_expression] = STATE(1391),
    [sym_type_conversion_expression] = STATE(1391),
    [sym_composite_literal] = STATE(1391),
    [sym_func_literal] = STATE(1391),
    [sym_unary_expression] = STATE(1391),
    [sym_binary_expression] = STATE(1391),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1391),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3589),
    [sym_interpreted_string_literal] = ACTIONS(3589),
    [sym_int_literal] = ACTIONS(3591),
    [sym_float_literal] = ACTIONS(3591),
    [sym_imaginary_literal] = ACTIONS(3589),
    [sym_rune_literal] = ACTIONS(3589),
    [sym_comment] = ACTIONS(19),
  },
  [1295] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3593),
    [anon_sym_COLON] = ACTIONS(3595),
    [anon_sym_PLUS] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1696),
    [anon_sym_CARET] = ACTIONS(1696),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_SLASH] = ACTIONS(1698),
    [anon_sym_PERCENT] = ACTIONS(1690),
    [anon_sym_LT_LT] = ACTIONS(1690),
    [anon_sym_GT_GT] = ACTIONS(1690),
    [anon_sym_AMP_CARET] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [sym_comment] = ACTIONS(19),
  },
  [1296] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1297] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1298] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1299] = {
    [sym_argument_list] = STATE(305),
    [aux_sym_expression_list_repeat1] = STATE(1400),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(3597),
    [anon_sym_STAR] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(3601),
    [anon_sym_DASH] = ACTIONS(3601),
    [anon_sym_CARET] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3603),
    [anon_sym_SLASH] = ACTIONS(3603),
    [anon_sym_PERCENT] = ACTIONS(3599),
    [anon_sym_LT_LT] = ACTIONS(3599),
    [anon_sym_GT_GT] = ACTIONS(3599),
    [anon_sym_AMP_CARET] = ACTIONS(3599),
    [anon_sym_PIPE] = ACTIONS(3605),
    [anon_sym_EQ_EQ] = ACTIONS(3607),
    [anon_sym_BANG_EQ] = ACTIONS(3607),
    [anon_sym_LT] = ACTIONS(3609),
    [anon_sym_LT_EQ] = ACTIONS(3607),
    [anon_sym_GT] = ACTIONS(3609),
    [anon_sym_GT_EQ] = ACTIONS(3607),
    [anon_sym_AMP_AMP] = ACTIONS(3611),
    [anon_sym_PIPE_PIPE] = ACTIONS(3613),
    [sym_comment] = ACTIONS(19),
  },
  [1300] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_PIPE_PIPE] = ACTIONS(2555),
    [sym_comment] = ACTIONS(19),
  },
  [1301] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_AMP_CARET] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1302] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_AMP_CARET] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1303] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_AMP_CARET] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_EQ_EQ] = ACTIONS(2992),
    [anon_sym_BANG_EQ] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2992),
    [anon_sym_GT] = ACTIONS(2994),
    [anon_sym_GT_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1304] = {
    [sym_argument_list] = STATE(842),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_STAR_EQ] = ACTIONS(1680),
    [anon_sym_SLASH_EQ] = ACTIONS(1680),
    [anon_sym_PERCENT_EQ] = ACTIONS(1680),
    [anon_sym_LT_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_EQ] = ACTIONS(1680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS_EQ] = ACTIONS(1680),
    [anon_sym_DASH_EQ] = ACTIONS(1680),
    [anon_sym_PIPE_EQ] = ACTIONS(1680),
    [anon_sym_CARET_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_GT_GT] = ACTIONS(2986),
    [anon_sym_AMP_CARET] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_EQ_EQ] = ACTIONS(2992),
    [anon_sym_BANG_EQ] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2992),
    [anon_sym_GT] = ACTIONS(2994),
    [anon_sym_GT_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2996),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1305] = {
    [anon_sym_LBRACE] = ACTIONS(3615),
    [sym_comment] = ACTIONS(19),
  },
  [1306] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PERCENT] = ACTIONS(3026),
    [anon_sym_LT_LT] = ACTIONS(3026),
    [anon_sym_GT_GT] = ACTIONS(3026),
    [anon_sym_AMP_CARET] = ACTIONS(3026),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE] = ACTIONS(3040),
    [sym_comment] = ACTIONS(19),
  },
  [1307] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PERCENT] = ACTIONS(3026),
    [anon_sym_LT_LT] = ACTIONS(3026),
    [anon_sym_GT_GT] = ACTIONS(3026),
    [anon_sym_AMP_CARET] = ACTIONS(3026),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1308] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PERCENT] = ACTIONS(3026),
    [anon_sym_LT_LT] = ACTIONS(3026),
    [anon_sym_GT_GT] = ACTIONS(3026),
    [anon_sym_AMP_CARET] = ACTIONS(3026),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1309] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PERCENT] = ACTIONS(3026),
    [anon_sym_LT_LT] = ACTIONS(3026),
    [anon_sym_GT_GT] = ACTIONS(3026),
    [anon_sym_AMP_CARET] = ACTIONS(3026),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1310] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SLASH] = ACTIONS(3030),
    [anon_sym_PERCENT] = ACTIONS(3026),
    [anon_sym_LT_LT] = ACTIONS(3026),
    [anon_sym_GT_GT] = ACTIONS(3026),
    [anon_sym_AMP_CARET] = ACTIONS(3026),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1311] = {
    [aux_sym_expression_list_repeat1] = STATE(1311),
    [anon_sym_COMMA] = ACTIONS(3617),
    [anon_sym_COLON] = ACTIONS(1676),
    [sym_comment] = ACTIONS(19),
  },
  [1312] = {
    [sym_parenthesized_type] = STATE(1402),
    [sym__simple_type] = STATE(1402),
    [sym_pointer_type] = STATE(1402),
    [sym_array_type] = STATE(1402),
    [sym_slice_type] = STATE(1402),
    [sym_struct_type] = STATE(1402),
    [sym_interface_type] = STATE(1402),
    [sym_map_type] = STATE(1402),
    [sym_channel_type] = STATE(1402),
    [sym_function_type] = STATE(1402),
    [sym_qualified_type] = STATE(1402),
    [aux_sym_const_spec_repeat1] = STATE(1403),
    [anon_sym_LF] = ACTIONS(87),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(3620),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(89),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [anon_sym_case] = ACTIONS(89),
    [sym_default_case] = ACTIONS(89),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(59),
  },
  [1313] = {
    [sym_parenthesized_type] = STATE(1411),
    [sym__simple_type] = STATE(1411),
    [sym_pointer_type] = STATE(1411),
    [sym_array_type] = STATE(1411),
    [sym_slice_type] = STATE(1411),
    [sym_struct_type] = STATE(1411),
    [sym_interface_type] = STATE(1411),
    [sym_map_type] = STATE(1411),
    [sym_channel_type] = STATE(1411),
    [sym_function_type] = STATE(1411),
    [sym_qualified_type] = STATE(1411),
    [aux_sym_const_spec_repeat1] = STATE(1412),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(3622),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1314] = {
    [sym_parenthesized_type] = STATE(99),
    [sym__simple_type] = STATE(99),
    [sym_pointer_type] = STATE(99),
    [sym_array_type] = STATE(99),
    [sym_slice_type] = STATE(99),
    [sym_struct_type] = STATE(99),
    [sym_interface_type] = STATE(99),
    [sym_map_type] = STATE(99),
    [sym_channel_type] = STATE(99),
    [sym_function_type] = STATE(99),
    [sym_qualified_type] = STATE(99),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_EQ] = ACTIONS(3636),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1315] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [1316] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [1317] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [1318] = {
    [sym_argument_list] = STATE(283),
    [aux_sym_expression_list_repeat1] = STATE(1426),
    [anon_sym_LF] = ACTIONS(615),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(3656),
    [anon_sym_STAR] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(617),
    [anon_sym_case] = ACTIONS(617),
    [sym_default_case] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_CARET] = ACTIONS(3660),
    [anon_sym_AMP] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3658),
    [anon_sym_GT_GT] = ACTIONS(3658),
    [anon_sym_AMP_CARET] = ACTIONS(3658),
    [anon_sym_PIPE] = ACTIONS(3660),
    [anon_sym_EQ_EQ] = ACTIONS(3662),
    [anon_sym_BANG_EQ] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_LT_EQ] = ACTIONS(3662),
    [anon_sym_GT] = ACTIONS(3662),
    [anon_sym_GT_EQ] = ACTIONS(3662),
    [anon_sym_AMP_AMP] = ACTIONS(3664),
    [anon_sym_PIPE_PIPE] = ACTIONS(3666),
    [sym_comment] = ACTIONS(59),
  },
  [1319] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [1320] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [1321] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_call_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_func_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_binary_expression] = STATE(257),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(561),
    [sym_interpreted_string_literal] = ACTIONS(561),
    [sym_int_literal] = ACTIONS(563),
    [sym_float_literal] = ACTIONS(563),
    [sym_imaginary_literal] = ACTIONS(561),
    [sym_rune_literal] = ACTIONS(561),
    [sym_comment] = ACTIONS(19),
  },
  [1322] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1949),
    [anon_sym_SEMI] = ACTIONS(1951),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1951),
    [anon_sym_case] = ACTIONS(1951),
    [sym_default_case] = ACTIONS(1951),
    [anon_sym_PLUS] = ACTIONS(3670),
    [anon_sym_DASH] = ACTIONS(3670),
    [anon_sym_CARET] = ACTIONS(3670),
    [anon_sym_AMP] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_PERCENT] = ACTIONS(3668),
    [anon_sym_LT_LT] = ACTIONS(3668),
    [anon_sym_GT_GT] = ACTIONS(3668),
    [anon_sym_AMP_CARET] = ACTIONS(3668),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_EQ_EQ] = ACTIONS(3672),
    [anon_sym_BANG_EQ] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_LT_EQ] = ACTIONS(3672),
    [anon_sym_GT] = ACTIONS(3672),
    [anon_sym_GT_EQ] = ACTIONS(3672),
    [anon_sym_AMP_AMP] = ACTIONS(3674),
    [anon_sym_PIPE_PIPE] = ACTIONS(3676),
    [sym_comment] = ACTIONS(59),
  },
  [1323] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1965),
    [anon_sym_case] = ACTIONS(1965),
    [sym_default_case] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(3670),
    [anon_sym_DASH] = ACTIONS(3670),
    [anon_sym_CARET] = ACTIONS(3670),
    [anon_sym_AMP] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_PERCENT] = ACTIONS(3668),
    [anon_sym_LT_LT] = ACTIONS(3668),
    [anon_sym_GT_GT] = ACTIONS(3668),
    [anon_sym_AMP_CARET] = ACTIONS(3668),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_EQ_EQ] = ACTIONS(3672),
    [anon_sym_BANG_EQ] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_LT_EQ] = ACTIONS(3672),
    [anon_sym_GT] = ACTIONS(3672),
    [anon_sym_GT_EQ] = ACTIONS(3672),
    [anon_sym_AMP_AMP] = ACTIONS(3674),
    [anon_sym_PIPE_PIPE] = ACTIONS(3676),
    [sym_comment] = ACTIONS(59),
  },
  [1324] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1432),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_call_expression] = STATE(1432),
    [sym_selector_expression] = STATE(1432),
    [sym_index_expression] = STATE(1432),
    [sym_slice_expression] = STATE(1432),
    [sym_type_assertion_expression] = STATE(1432),
    [sym_type_conversion_expression] = STATE(1432),
    [sym_composite_literal] = STATE(1432),
    [sym_func_literal] = STATE(1432),
    [sym_unary_expression] = STATE(1432),
    [sym_binary_expression] = STATE(1432),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1432),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(1987),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_AMP] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3678),
    [sym_interpreted_string_literal] = ACTIONS(3678),
    [sym_int_literal] = ACTIONS(3680),
    [sym_float_literal] = ACTIONS(3680),
    [sym_imaginary_literal] = ACTIONS(3678),
    [sym_rune_literal] = ACTIONS(3678),
    [sym_comment] = ACTIONS(19),
  },
  [1325] = {
    [sym_block] = STATE(1433),
    [sym_argument_list] = STATE(842),
    [aux_sym_expression_list_repeat1] = STATE(635),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_LT_DASH] = ACTIONS(2009),
    [anon_sym_COLON_EQ] = ACTIONS(615),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_STAR_EQ] = ACTIONS(615),
    [anon_sym_SLASH_EQ] = ACTIONS(615),
    [anon_sym_PERCENT_EQ] = ACTIONS(615),
    [anon_sym_LT_LT_EQ] = ACTIONS(615),
    [anon_sym_GT_GT_EQ] = ACTIONS(615),
    [anon_sym_AMP_EQ] = ACTIONS(615),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS_EQ] = ACTIONS(615),
    [anon_sym_DASH_EQ] = ACTIONS(615),
    [anon_sym_PIPE_EQ] = ACTIONS(615),
    [anon_sym_CARET_EQ] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_LT_LT] = ACTIONS(2005),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_AMP_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_LT] = ACTIONS(2019),
    [anon_sym_LT_EQ] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2019),
    [anon_sym_GT_EQ] = ACTIONS(2017),
    [anon_sym_AMP_AMP] = ACTIONS(2021),
    [anon_sym_PIPE_PIPE] = ACTIONS(2023),
    [sym_comment] = ACTIONS(19),
  },
  [1326] = {
    [sym__declaration] = STATE(870),
    [sym_const_declaration] = STATE(870),
    [sym_var_declaration] = STATE(870),
    [sym_type_declaration] = STATE(870),
    [sym_expression_list] = STATE(1213),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(870),
    [sym__statement] = STATE(870),
    [sym_empty_statement] = STATE(870),
    [sym__simple_statement] = STATE(870),
    [sym_send_statement] = STATE(870),
    [sym_inc_statement] = STATE(870),
    [sym_dec_statement] = STATE(870),
    [sym_assignment_statement] = STATE(870),
    [sym_short_var_declaration] = STATE(870),
    [sym_labeled_statement] = STATE(870),
    [sym_fallthrough_statement] = STATE(870),
    [sym_break_statement] = STATE(870),
    [sym_continue_statement] = STATE(870),
    [sym_goto_statement] = STATE(870),
    [sym_return_statement] = STATE(870),
    [sym_go_statement] = STATE(870),
    [sym_defer_statement] = STATE(870),
    [sym_if_statement] = STATE(870),
    [sym_for_statement] = STATE(870),
    [sym_expression_switch_statement] = STATE(870),
    [sym_type_switch_statement] = STATE(870),
    [sym_select_statement] = STATE(870),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_func_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_binary_expression] = STATE(1216),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1216),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(3042),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(2075),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(3054),
    [anon_sym_go] = ACTIONS(3056),
    [anon_sym_defer] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_case] = ACTIONS(3682),
    [sym_default_case] = ACTIONS(3682),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3684),
    [sym_raw_string_literal] = ACTIONS(3068),
    [sym_interpreted_string_literal] = ACTIONS(3068),
    [sym_int_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3070),
    [sym_imaginary_literal] = ACTIONS(3068),
    [sym_rune_literal] = ACTIONS(3068),
    [sym_comment] = ACTIONS(19),
  },
  [1327] = {
    [sym_expression_list] = STATE(871),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3686),
    [sym_interpreted_string_literal] = ACTIONS(3686),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3686),
    [sym_rune_literal] = ACTIONS(3686),
    [sym_comment] = ACTIONS(19),
  },
  [1328] = {
    [sym_expression_list] = STATE(872),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3686),
    [sym_interpreted_string_literal] = ACTIONS(3686),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3686),
    [sym_rune_literal] = ACTIONS(3686),
    [sym_comment] = ACTIONS(19),
  },
  [1329] = {
    [sym__declaration] = STATE(874),
    [sym_const_declaration] = STATE(874),
    [sym_var_declaration] = STATE(874),
    [sym_type_declaration] = STATE(874),
    [sym_expression_list] = STATE(1213),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(874),
    [sym__statement] = STATE(874),
    [sym_empty_statement] = STATE(874),
    [sym__simple_statement] = STATE(874),
    [sym_send_statement] = STATE(874),
    [sym_inc_statement] = STATE(874),
    [sym_dec_statement] = STATE(874),
    [sym_assignment_statement] = STATE(874),
    [sym_short_var_declaration] = STATE(874),
    [sym_labeled_statement] = STATE(874),
    [sym_empty_labeled_statement] = STATE(875),
    [sym_fallthrough_statement] = STATE(874),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(874),
    [sym_goto_statement] = STATE(874),
    [sym_return_statement] = STATE(874),
    [sym_go_statement] = STATE(874),
    [sym_defer_statement] = STATE(874),
    [sym_if_statement] = STATE(874),
    [sym_for_statement] = STATE(874),
    [sym_expression_switch_statement] = STATE(874),
    [sym_type_switch_statement] = STATE(874),
    [sym_select_statement] = STATE(874),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_func_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_binary_expression] = STATE(1216),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1216),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(3042),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(3054),
    [anon_sym_go] = ACTIONS(3056),
    [anon_sym_defer] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_case] = ACTIONS(2095),
    [sym_default_case] = ACTIONS(2095),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3066),
    [sym_raw_string_literal] = ACTIONS(3068),
    [sym_interpreted_string_literal] = ACTIONS(3068),
    [sym_int_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3070),
    [sym_imaginary_literal] = ACTIONS(3068),
    [sym_rune_literal] = ACTIONS(3068),
    [sym_comment] = ACTIONS(19),
  },
  [1330] = {
    [aux_sym__statement_list_repeat1] = STATE(1436),
    [anon_sym_LF] = ACTIONS(3688),
    [anon_sym_SEMI] = ACTIONS(3690),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [anon_sym_case] = ACTIONS(2095),
    [sym_default_case] = ACTIONS(2095),
    [sym_comment] = ACTIONS(59),
  },
  [1331] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(887),
    [sym_parenthesized_expression] = STATE(887),
    [sym_call_expression] = STATE(887),
    [sym_selector_expression] = STATE(887),
    [sym_index_expression] = STATE(887),
    [sym_slice_expression] = STATE(887),
    [sym_type_assertion_expression] = STATE(887),
    [sym_type_conversion_expression] = STATE(887),
    [sym_composite_literal] = STATE(887),
    [sym_func_literal] = STATE(887),
    [sym_unary_expression] = STATE(887),
    [sym_binary_expression] = STATE(887),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(887),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(2117),
    [sym_interpreted_string_literal] = ACTIONS(2117),
    [sym_int_literal] = ACTIONS(2119),
    [sym_float_literal] = ACTIONS(2119),
    [sym_imaginary_literal] = ACTIONS(2117),
    [sym_rune_literal] = ACTIONS(2117),
    [sym_comment] = ACTIONS(19),
  },
  [1332] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1437),
    [sym_parenthesized_expression] = STATE(1437),
    [sym_call_expression] = STATE(1437),
    [sym_selector_expression] = STATE(1437),
    [sym_index_expression] = STATE(1437),
    [sym_slice_expression] = STATE(1437),
    [sym_type_assertion_expression] = STATE(1437),
    [sym_type_conversion_expression] = STATE(1437),
    [sym_composite_literal] = STATE(1437),
    [sym_func_literal] = STATE(1437),
    [sym_unary_expression] = STATE(1437),
    [sym_binary_expression] = STATE(1437),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1437),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3692),
    [sym_interpreted_string_literal] = ACTIONS(3692),
    [sym_int_literal] = ACTIONS(3694),
    [sym_float_literal] = ACTIONS(3694),
    [sym_imaginary_literal] = ACTIONS(3692),
    [sym_rune_literal] = ACTIONS(3692),
    [sym_comment] = ACTIONS(19),
  },
  [1333] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(1438),
    [sym_parenthesized_expression] = STATE(1438),
    [sym_call_expression] = STATE(1438),
    [sym_selector_expression] = STATE(1438),
    [sym_index_expression] = STATE(1438),
    [sym_slice_expression] = STATE(1438),
    [sym_type_assertion_expression] = STATE(1438),
    [sym_type_conversion_expression] = STATE(1438),
    [sym_composite_literal] = STATE(1438),
    [sym_func_literal] = STATE(1438),
    [sym_unary_expression] = STATE(1438),
    [sym_binary_expression] = STATE(1438),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1438),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(3696),
    [sym_interpreted_string_literal] = ACTIONS(3696),
    [sym_int_literal] = ACTIONS(3698),
    [sym_float_literal] = ACTIONS(3698),
    [sym_imaginary_literal] = ACTIONS(3696),
    [sym_rune_literal] = ACTIONS(3696),
    [sym_comment] = ACTIONS(19),
  },
  [1334] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(1439),
    [sym_parenthesized_expression] = STATE(1439),
    [sym_call_expression] = STATE(1439),
    [sym_selector_expression] = STATE(1439),
    [sym_index_expression] = STATE(1439),
    [sym_slice_expression] = STATE(1439),
    [sym_type_assertion_expression] = STATE(1439),
    [sym_type_conversion_expression] = STATE(1439),
    [sym_composite_literal] = STATE(1439),
    [sym_func_literal] = STATE(1439),
    [sym_unary_expression] = STATE(1439),
    [sym_binary_expression] = STATE(1439),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1439),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(3700),
    [sym_interpreted_string_literal] = ACTIONS(3700),
    [sym_int_literal] = ACTIONS(3702),
    [sym_float_literal] = ACTIONS(3702),
    [sym_imaginary_literal] = ACTIONS(3700),
    [sym_rune_literal] = ACTIONS(3700),
    [sym_comment] = ACTIONS(19),
  },
  [1335] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(1440),
    [sym_parenthesized_expression] = STATE(1440),
    [sym_call_expression] = STATE(1440),
    [sym_selector_expression] = STATE(1440),
    [sym_index_expression] = STATE(1440),
    [sym_slice_expression] = STATE(1440),
    [sym_type_assertion_expression] = STATE(1440),
    [sym_type_conversion_expression] = STATE(1440),
    [sym_composite_literal] = STATE(1440),
    [sym_func_literal] = STATE(1440),
    [sym_unary_expression] = STATE(1440),
    [sym_binary_expression] = STATE(1440),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1440),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(3704),
    [sym_interpreted_string_literal] = ACTIONS(3704),
    [sym_int_literal] = ACTIONS(3706),
    [sym_float_literal] = ACTIONS(3706),
    [sym_imaginary_literal] = ACTIONS(3704),
    [sym_rune_literal] = ACTIONS(3704),
    [sym_comment] = ACTIONS(19),
  },
  [1336] = {
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym__expression] = STATE(1441),
    [sym_parenthesized_expression] = STATE(1441),
    [sym_call_expression] = STATE(1441),
    [sym_selector_expression] = STATE(1441),
    [sym_index_expression] = STATE(1441),
    [sym_slice_expression] = STATE(1441),
    [sym_type_assertion_expression] = STATE(1441),
    [sym_type_conversion_expression] = STATE(1441),
    [sym_composite_literal] = STATE(1441),
    [sym_func_literal] = STATE(1441),
    [sym_unary_expression] = STATE(1441),
    [sym_binary_expression] = STATE(1441),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1441),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(1332),
    [sym_raw_string_literal] = ACTIONS(3708),
    [sym_interpreted_string_literal] = ACTIONS(3708),
    [sym_int_literal] = ACTIONS(3710),
    [sym_float_literal] = ACTIONS(3710),
    [sym_imaginary_literal] = ACTIONS(3708),
    [sym_rune_literal] = ACTIONS(3708),
    [sym_comment] = ACTIONS(19),
  },
  [1337] = {
    [sym_parenthesized_type] = STATE(733),
    [sym__simple_type] = STATE(733),
    [sym_pointer_type] = STATE(733),
    [sym_array_type] = STATE(733),
    [sym_slice_type] = STATE(733),
    [sym_struct_type] = STATE(733),
    [sym_interface_type] = STATE(733),
    [sym_map_type] = STATE(733),
    [sym_channel_type] = STATE(733),
    [sym_function_type] = STATE(733),
    [sym_qualified_type] = STATE(733),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_type] = ACTIONS(3712),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1338] = {
    [anon_sym_LF] = ACTIONS(3714),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_RBRACE] = ACTIONS(3716),
    [anon_sym_case] = ACTIONS(3716),
    [sym_default_case] = ACTIONS(3716),
    [sym_comment] = ACTIONS(59),
  },
  [1339] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1340] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1341] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1342] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3718),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(3720),
    [anon_sym_DASH] = ACTIONS(3720),
    [anon_sym_CARET] = ACTIONS(3720),
    [anon_sym_AMP] = ACTIONS(3722),
    [anon_sym_SLASH] = ACTIONS(3722),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_AMP_CARET] = ACTIONS(3718),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_EQ_EQ] = ACTIONS(3726),
    [anon_sym_BANG_EQ] = ACTIONS(3726),
    [anon_sym_LT] = ACTIONS(3728),
    [anon_sym_LT_EQ] = ACTIONS(3726),
    [anon_sym_GT] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3726),
    [anon_sym_AMP_AMP] = ACTIONS(3730),
    [anon_sym_PIPE_PIPE] = ACTIONS(3732),
    [sym_comment] = ACTIONS(19),
  },
  [1343] = {
    [anon_sym_LF] = ACTIONS(3734),
    [anon_sym_SEMI] = ACTIONS(3736),
    [anon_sym_RBRACE] = ACTIONS(3736),
    [anon_sym_case] = ACTIONS(3736),
    [sym_default_case] = ACTIONS(3736),
    [sym_comment] = ACTIONS(59),
  },
  [1344] = {
    [sym_type_case_clause] = STATE(1240),
    [sym_type_case] = STATE(1076),
    [aux_sym_type_switch_statement_repeat1] = STATE(1240),
    [anon_sym_RBRACE] = ACTIONS(3738),
    [anon_sym_case] = ACTIONS(2681),
    [sym_default_case] = ACTIONS(2683),
    [sym_comment] = ACTIONS(19),
  },
  [1345] = {
    [sym_parenthesized_type] = STATE(733),
    [sym__simple_type] = STATE(733),
    [sym_pointer_type] = STATE(733),
    [sym_array_type] = STATE(733),
    [sym_slice_type] = STATE(733),
    [sym_struct_type] = STATE(733),
    [sym_interface_type] = STATE(733),
    [sym_map_type] = STATE(733),
    [sym_channel_type] = STATE(733),
    [sym_function_type] = STATE(733),
    [sym_qualified_type] = STATE(733),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(249),
    [anon_sym_type] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(255),
    [anon_sym_chan] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1346] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1347] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1348] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1349] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_CARET] = ACTIONS(3742),
    [anon_sym_AMP] = ACTIONS(3744),
    [anon_sym_SLASH] = ACTIONS(3744),
    [anon_sym_PERCENT] = ACTIONS(3740),
    [anon_sym_LT_LT] = ACTIONS(3740),
    [anon_sym_GT_GT] = ACTIONS(3740),
    [anon_sym_AMP_CARET] = ACTIONS(3740),
    [anon_sym_PIPE] = ACTIONS(3746),
    [anon_sym_EQ_EQ] = ACTIONS(3748),
    [anon_sym_BANG_EQ] = ACTIONS(3748),
    [anon_sym_LT] = ACTIONS(3750),
    [anon_sym_LT_EQ] = ACTIONS(3748),
    [anon_sym_GT] = ACTIONS(3750),
    [anon_sym_GT_EQ] = ACTIONS(3748),
    [anon_sym_AMP_AMP] = ACTIONS(3752),
    [anon_sym_PIPE_PIPE] = ACTIONS(3754),
    [sym_comment] = ACTIONS(19),
  },
  [1350] = {
    [sym_expression_case_clause] = STATE(1065),
    [sym_expression_case] = STATE(855),
    [aux_sym_expression_switch_statement_repeat1] = STATE(1065),
    [anon_sym_RBRACE] = ACTIONS(3756),
    [anon_sym_case] = ACTIONS(2053),
    [sym_default_case] = ACTIONS(2055),
    [sym_comment] = ACTIONS(19),
  },
  [1351] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3096),
    [anon_sym_AMP_CARET] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1352] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3096),
    [anon_sym_AMP_CARET] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1353] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3096),
    [anon_sym_AMP_CARET] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1354] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_GT_GT] = ACTIONS(3096),
    [anon_sym_AMP_CARET] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1355] = {
    [aux_sym_expression_list_repeat1] = STATE(1355),
    [anon_sym_COMMA] = ACTIONS(3758),
    [anon_sym_COLON_EQ] = ACTIONS(1676),
    [sym_comment] = ACTIONS(19),
  },
  [1356] = {
    [sym_parameter_list] = STATE(285),
    [sym__simple_type] = STATE(285),
    [sym_pointer_type] = STATE(285),
    [sym_array_type] = STATE(285),
    [sym_slice_type] = STATE(285),
    [sym_struct_type] = STATE(285),
    [sym_interface_type] = STATE(285),
    [sym_map_type] = STATE(285),
    [sym_channel_type] = STATE(285),
    [sym_function_type] = STATE(285),
    [sym_qualified_type] = STATE(285),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_COMMA] = ACTIONS(637),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [anon_sym_COLON] = ACTIONS(637),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1357] = {
    [sym_parenthesized_type] = STATE(289),
    [sym__simple_type] = STATE(289),
    [sym_pointer_type] = STATE(289),
    [sym_array_type] = STATE(289),
    [sym_slice_type] = STATE(289),
    [sym_struct_type] = STATE(289),
    [sym_interface_type] = STATE(289),
    [sym_map_type] = STATE(289),
    [sym_channel_type] = STATE(289),
    [sym_function_type] = STATE(289),
    [sym_qualified_type] = STATE(289),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1358] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3761),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1359] = {
    [sym_parenthesized_type] = STATE(1456),
    [sym__simple_type] = STATE(1456),
    [sym_pointer_type] = STATE(1456),
    [sym_array_type] = STATE(1456),
    [sym_slice_type] = STATE(1456),
    [sym_struct_type] = STATE(1456),
    [sym_interface_type] = STATE(1456),
    [sym_map_type] = STATE(1456),
    [sym_channel_type] = STATE(1456),
    [sym_function_type] = STATE(1456),
    [sym_qualified_type] = STATE(1456),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1360] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3763),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1361] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1362] = {
    [sym_parenthesized_type] = STATE(1458),
    [sym__simple_type] = STATE(1458),
    [sym_pointer_type] = STATE(1458),
    [sym_array_type] = STATE(1458),
    [sym_slice_type] = STATE(1458),
    [sym_struct_type] = STATE(1458),
    [sym_interface_type] = STATE(1458),
    [sym_map_type] = STATE(1458),
    [sym_channel_type] = STATE(1458),
    [sym_function_type] = STATE(1458),
    [sym_qualified_type] = STATE(1458),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1363] = {
    [aux_sym_type_case_repeat1] = STATE(1459),
    [anon_sym_COMMA] = ACTIONS(3494),
    [anon_sym_COLON] = ACTIONS(3765),
    [sym_comment] = ACTIONS(19),
  },
  [1364] = {
    [anon_sym_RBRACE] = ACTIONS(3767),
    [anon_sym_case] = ACTIONS(3767),
    [sym_default_case] = ACTIONS(3767),
    [sym_comment] = ACTIONS(19),
  },
  [1365] = {
    [anon_sym_LBRACE] = ACTIONS(3769),
    [sym_comment] = ACTIONS(19),
  },
  [1366] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1367] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1368] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1369] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(3773),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_CARET] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3777),
    [anon_sym_SLASH] = ACTIONS(3777),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT_LT] = ACTIONS(3771),
    [anon_sym_GT_GT] = ACTIONS(3771),
    [anon_sym_AMP_CARET] = ACTIONS(3771),
    [anon_sym_PIPE] = ACTIONS(3779),
    [anon_sym_EQ_EQ] = ACTIONS(3781),
    [anon_sym_BANG_EQ] = ACTIONS(3781),
    [anon_sym_LT] = ACTIONS(3783),
    [anon_sym_LT_EQ] = ACTIONS(3781),
    [anon_sym_GT] = ACTIONS(3783),
    [anon_sym_GT_EQ] = ACTIONS(3781),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE_PIPE] = ACTIONS(3787),
    [sym_comment] = ACTIONS(19),
  },
  [1370] = {
    [sym_parenthesized_type] = STATE(256),
    [sym__simple_type] = STATE(256),
    [sym_pointer_type] = STATE(256),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(256),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(256),
    [sym_function_type] = STATE(256),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1371] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(585),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1372] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(288),
    [sym_parenthesized_expression] = STATE(288),
    [sym_call_expression] = STATE(288),
    [sym_selector_expression] = STATE(288),
    [sym_index_expression] = STATE(288),
    [sym_slice_expression] = STATE(288),
    [sym_type_assertion_expression] = STATE(288),
    [sym_type_conversion_expression] = STATE(288),
    [sym_composite_literal] = STATE(288),
    [sym_func_literal] = STATE(288),
    [sym_unary_expression] = STATE(288),
    [sym_binary_expression] = STATE(288),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(288),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(645),
    [sym_interpreted_string_literal] = ACTIONS(645),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_comment] = ACTIONS(19),
  },
  [1373] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_EQ] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3793),
    [anon_sym_SLASH] = ACTIONS(3793),
    [anon_sym_PERCENT] = ACTIONS(3789),
    [anon_sym_LT_LT] = ACTIONS(3789),
    [anon_sym_GT_GT] = ACTIONS(3789),
    [anon_sym_AMP_CARET] = ACTIONS(3789),
    [anon_sym_PIPE] = ACTIONS(3795),
    [anon_sym_EQ_EQ] = ACTIONS(3797),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_LT] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3797),
    [anon_sym_GT] = ACTIONS(3799),
    [anon_sym_GT_EQ] = ACTIONS(3797),
    [anon_sym_AMP_AMP] = ACTIONS(3801),
    [anon_sym_PIPE_PIPE] = ACTIONS(3803),
    [sym_comment] = ACTIONS(19),
  },
  [1374] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_CARET] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3777),
    [anon_sym_SLASH] = ACTIONS(3777),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT_LT] = ACTIONS(3771),
    [anon_sym_GT_GT] = ACTIONS(3771),
    [anon_sym_AMP_CARET] = ACTIONS(3771),
    [anon_sym_PIPE] = ACTIONS(3779),
    [anon_sym_EQ_EQ] = ACTIONS(3781),
    [anon_sym_BANG_EQ] = ACTIONS(3781),
    [anon_sym_LT] = ACTIONS(3783),
    [anon_sym_LT_EQ] = ACTIONS(3781),
    [anon_sym_GT] = ACTIONS(3783),
    [anon_sym_GT_EQ] = ACTIONS(3781),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE_PIPE] = ACTIONS(3787),
    [sym_comment] = ACTIONS(19),
  },
  [1375] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_LT_LT] = ACTIONS(3142),
    [anon_sym_GT_GT] = ACTIONS(3142),
    [anon_sym_AMP_CARET] = ACTIONS(3142),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1376] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_LT_LT] = ACTIONS(3142),
    [anon_sym_GT_GT] = ACTIONS(3142),
    [anon_sym_AMP_CARET] = ACTIONS(3142),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1377] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_LT_LT] = ACTIONS(3142),
    [anon_sym_GT_GT] = ACTIONS(3142),
    [anon_sym_AMP_CARET] = ACTIONS(3142),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1378] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LT_DASH] = ACTIONS(1680),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_LT_LT] = ACTIONS(3142),
    [anon_sym_GT_GT] = ACTIONS(3142),
    [anon_sym_AMP_CARET] = ACTIONS(3142),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1379] = {
    [aux_sym_expression_list_repeat1] = STATE(1379),
    [anon_sym_COMMA] = ACTIONS(3805),
    [anon_sym_EQ] = ACTIONS(1676),
    [anon_sym_COLON_EQ] = ACTIONS(1676),
    [sym_comment] = ACTIONS(19),
  },
  [1380] = {
    [anon_sym_LF] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_LPAREN] = ACTIONS(3224),
    [anon_sym_COMMA] = ACTIONS(3224),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_RBRACE] = ACTIONS(3224),
    [anon_sym_LT_DASH] = ACTIONS(3224),
    [anon_sym_COLON_EQ] = ACTIONS(3224),
    [anon_sym_PLUS_PLUS] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3224),
    [anon_sym_STAR_EQ] = ACTIONS(3224),
    [anon_sym_SLASH_EQ] = ACTIONS(3224),
    [anon_sym_PERCENT_EQ] = ACTIONS(3224),
    [anon_sym_LT_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_GT_EQ] = ACTIONS(3224),
    [anon_sym_AMP_EQ] = ACTIONS(3224),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3224),
    [anon_sym_PLUS_EQ] = ACTIONS(3224),
    [anon_sym_DASH_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_EQ] = ACTIONS(3224),
    [anon_sym_CARET_EQ] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [sym_default_case] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_GT_GT] = ACTIONS(3224),
    [anon_sym_AMP_CARET] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3224),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3224),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [sym_comment] = ACTIONS(59),
  },
  [1381] = {
    [anon_sym_LF] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_LPAREN] = ACTIONS(3244),
    [anon_sym_COMMA] = ACTIONS(3244),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_RBRACE] = ACTIONS(3244),
    [anon_sym_LT_DASH] = ACTIONS(3244),
    [anon_sym_COLON_EQ] = ACTIONS(3244),
    [anon_sym_PLUS_PLUS] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3244),
    [anon_sym_STAR_EQ] = ACTIONS(3244),
    [anon_sym_SLASH_EQ] = ACTIONS(3244),
    [anon_sym_PERCENT_EQ] = ACTIONS(3244),
    [anon_sym_LT_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_GT_EQ] = ACTIONS(3244),
    [anon_sym_AMP_EQ] = ACTIONS(3244),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3244),
    [anon_sym_PLUS_EQ] = ACTIONS(3244),
    [anon_sym_DASH_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_EQ] = ACTIONS(3244),
    [anon_sym_CARET_EQ] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [sym_default_case] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_GT_GT] = ACTIONS(3244),
    [anon_sym_AMP_CARET] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3244),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3244),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [sym_comment] = ACTIONS(59),
  },
  [1382] = {
    [anon_sym_LF] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_LPAREN] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3248),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_RBRACE] = ACTIONS(3248),
    [anon_sym_LT_DASH] = ACTIONS(3248),
    [anon_sym_COLON_EQ] = ACTIONS(3248),
    [anon_sym_PLUS_PLUS] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3248),
    [anon_sym_STAR_EQ] = ACTIONS(3248),
    [anon_sym_SLASH_EQ] = ACTIONS(3248),
    [anon_sym_PERCENT_EQ] = ACTIONS(3248),
    [anon_sym_LT_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_GT_EQ] = ACTIONS(3248),
    [anon_sym_AMP_EQ] = ACTIONS(3248),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3248),
    [anon_sym_PLUS_EQ] = ACTIONS(3248),
    [anon_sym_DASH_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_EQ] = ACTIONS(3248),
    [anon_sym_CARET_EQ] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [sym_default_case] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_AMP_CARET] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3248),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [sym_comment] = ACTIONS(59),
  },
  [1383] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3808),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1384] = {
    [anon_sym_LF] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_DOT] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_LT_DASH] = ACTIONS(3254),
    [anon_sym_COLON_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_case] = ACTIONS(3254),
    [sym_default_case] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_CARET] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3254),
    [anon_sym_LT_LT] = ACTIONS(3254),
    [anon_sym_GT_GT] = ACTIONS(3254),
    [anon_sym_AMP_CARET] = ACTIONS(3254),
    [anon_sym_PIPE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3254),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT] = ACTIONS(3254),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_PIPE_PIPE] = ACTIONS(3254),
    [sym_comment] = ACTIONS(59),
  },
  [1385] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1471),
    [sym_parenthesized_expression] = STATE(1471),
    [sym_call_expression] = STATE(1471),
    [sym_selector_expression] = STATE(1471),
    [sym_index_expression] = STATE(1471),
    [sym_slice_expression] = STATE(1471),
    [sym_type_assertion_expression] = STATE(1471),
    [sym_type_conversion_expression] = STATE(1471),
    [sym_composite_literal] = STATE(1471),
    [sym_func_literal] = STATE(1471),
    [sym_unary_expression] = STATE(1471),
    [sym_binary_expression] = STATE(1471),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1471),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3810),
    [sym_interpreted_string_literal] = ACTIONS(3810),
    [sym_int_literal] = ACTIONS(3812),
    [sym_float_literal] = ACTIONS(3812),
    [sym_imaginary_literal] = ACTIONS(3810),
    [sym_rune_literal] = ACTIONS(3810),
    [sym_comment] = ACTIONS(19),
  },
  [1386] = {
    [ts_builtin_sym_end] = ACTIONS(3814),
    [anon_sym_LF] = ACTIONS(3814),
    [anon_sym_SEMI] = ACTIONS(3816),
    [anon_sym_package] = ACTIONS(3816),
    [anon_sym_import] = ACTIONS(3816),
    [anon_sym_DOT] = ACTIONS(3816),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_const] = ACTIONS(3816),
    [anon_sym_COMMA] = ACTIONS(3816),
    [anon_sym_var] = ACTIONS(3816),
    [anon_sym_func] = ACTIONS(3816),
    [anon_sym_type] = ACTIONS(3816),
    [anon_sym_STAR] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3816),
    [anon_sym_RBRACE] = ACTIONS(3816),
    [anon_sym_case] = ACTIONS(3816),
    [sym_default_case] = ACTIONS(3816),
    [anon_sym_PLUS] = ACTIONS(3816),
    [anon_sym_DASH] = ACTIONS(3816),
    [anon_sym_CARET] = ACTIONS(3816),
    [anon_sym_AMP] = ACTIONS(3816),
    [anon_sym_SLASH] = ACTIONS(3816),
    [anon_sym_PERCENT] = ACTIONS(3816),
    [anon_sym_LT_LT] = ACTIONS(3816),
    [anon_sym_GT_GT] = ACTIONS(3816),
    [anon_sym_AMP_CARET] = ACTIONS(3816),
    [anon_sym_PIPE] = ACTIONS(3816),
    [anon_sym_EQ_EQ] = ACTIONS(3816),
    [anon_sym_BANG_EQ] = ACTIONS(3816),
    [anon_sym_LT] = ACTIONS(3816),
    [anon_sym_LT_EQ] = ACTIONS(3816),
    [anon_sym_GT] = ACTIONS(3816),
    [anon_sym_GT_EQ] = ACTIONS(3816),
    [anon_sym_AMP_AMP] = ACTIONS(3816),
    [anon_sym_PIPE_PIPE] = ACTIONS(3816),
    [sym_comment] = ACTIONS(59),
  },
  [1387] = {
    [anon_sym_SEMI] = ACTIONS(3814),
    [anon_sym_DOT] = ACTIONS(3816),
    [anon_sym_LPAREN] = ACTIONS(3814),
    [anon_sym_RPAREN] = ACTIONS(3814),
    [anon_sym_COMMA] = ACTIONS(3814),
    [anon_sym_EQ] = ACTIONS(3816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3814),
    [anon_sym_STAR] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3814),
    [anon_sym_RBRACK] = ACTIONS(3814),
    [anon_sym_LBRACE] = ACTIONS(3814),
    [anon_sym_RBRACE] = ACTIONS(3814),
    [anon_sym_LT_DASH] = ACTIONS(3814),
    [anon_sym_COLON_EQ] = ACTIONS(3814),
    [anon_sym_STAR_EQ] = ACTIONS(3814),
    [anon_sym_SLASH_EQ] = ACTIONS(3814),
    [anon_sym_PERCENT_EQ] = ACTIONS(3814),
    [anon_sym_LT_LT_EQ] = ACTIONS(3814),
    [anon_sym_GT_GT_EQ] = ACTIONS(3814),
    [anon_sym_AMP_EQ] = ACTIONS(3814),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3814),
    [anon_sym_PLUS_EQ] = ACTIONS(3814),
    [anon_sym_DASH_EQ] = ACTIONS(3814),
    [anon_sym_PIPE_EQ] = ACTIONS(3814),
    [anon_sym_CARET_EQ] = ACTIONS(3814),
    [anon_sym_COLON] = ACTIONS(3816),
    [anon_sym_PLUS] = ACTIONS(3816),
    [anon_sym_DASH] = ACTIONS(3816),
    [anon_sym_CARET] = ACTIONS(3816),
    [anon_sym_AMP] = ACTIONS(3816),
    [anon_sym_SLASH] = ACTIONS(3816),
    [anon_sym_PERCENT] = ACTIONS(3816),
    [anon_sym_LT_LT] = ACTIONS(3816),
    [anon_sym_GT_GT] = ACTIONS(3816),
    [anon_sym_AMP_CARET] = ACTIONS(3816),
    [anon_sym_PIPE] = ACTIONS(3816),
    [anon_sym_EQ_EQ] = ACTIONS(3814),
    [anon_sym_BANG_EQ] = ACTIONS(3814),
    [anon_sym_LT] = ACTIONS(3816),
    [anon_sym_LT_EQ] = ACTIONS(3814),
    [anon_sym_GT] = ACTIONS(3816),
    [anon_sym_GT_EQ] = ACTIONS(3814),
    [anon_sym_AMP_AMP] = ACTIONS(3814),
    [anon_sym_PIPE_PIPE] = ACTIONS(3814),
    [sym_comment] = ACTIONS(19),
  },
  [1388] = {
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_LT_DASH] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_GT_GT] = ACTIONS(3224),
    [anon_sym_AMP_CARET] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_EQ_EQ] = ACTIONS(3222),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_PIPE_PIPE] = ACTIONS(3222),
    [sym_comment] = ACTIONS(19),
  },
  [1389] = {
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_DOT] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_LT_DASH] = ACTIONS(3242),
    [anon_sym_COLON_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_GT_GT] = ACTIONS(3244),
    [anon_sym_AMP_CARET] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_EQ_EQ] = ACTIONS(3242),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_PIPE_PIPE] = ACTIONS(3242),
    [sym_comment] = ACTIONS(19),
  },
  [1390] = {
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_DOT] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3246),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_LT_DASH] = ACTIONS(3246),
    [anon_sym_COLON_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_AMP_CARET] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_EQ_EQ] = ACTIONS(3246),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_PIPE_PIPE] = ACTIONS(3246),
    [sym_comment] = ACTIONS(19),
  },
  [1391] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(3818),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1392] = {
    [anon_sym_SEMI] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_LPAREN] = ACTIONS(3252),
    [anon_sym_COMMA] = ACTIONS(3252),
    [anon_sym_EQ] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3252),
    [anon_sym_LT_DASH] = ACTIONS(3252),
    [anon_sym_COLON_EQ] = ACTIONS(3252),
    [anon_sym_PLUS_PLUS] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3252),
    [anon_sym_STAR_EQ] = ACTIONS(3252),
    [anon_sym_SLASH_EQ] = ACTIONS(3252),
    [anon_sym_PERCENT_EQ] = ACTIONS(3252),
    [anon_sym_LT_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_GT_EQ] = ACTIONS(3252),
    [anon_sym_AMP_EQ] = ACTIONS(3252),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3252),
    [anon_sym_PLUS_EQ] = ACTIONS(3252),
    [anon_sym_DASH_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_EQ] = ACTIONS(3252),
    [anon_sym_CARET_EQ] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3254),
    [anon_sym_CARET] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3254),
    [anon_sym_SLASH] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3254),
    [anon_sym_LT_LT] = ACTIONS(3254),
    [anon_sym_GT_GT] = ACTIONS(3254),
    [anon_sym_AMP_CARET] = ACTIONS(3254),
    [anon_sym_PIPE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3252),
    [anon_sym_LT] = ACTIONS(3254),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3254),
    [anon_sym_GT_EQ] = ACTIONS(3252),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [sym_comment] = ACTIONS(19),
  },
  [1393] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1473),
    [sym_parenthesized_expression] = STATE(1473),
    [sym_call_expression] = STATE(1473),
    [sym_selector_expression] = STATE(1473),
    [sym_index_expression] = STATE(1473),
    [sym_slice_expression] = STATE(1473),
    [sym_type_assertion_expression] = STATE(1473),
    [sym_type_conversion_expression] = STATE(1473),
    [sym_composite_literal] = STATE(1473),
    [sym_func_literal] = STATE(1473),
    [sym_unary_expression] = STATE(1473),
    [sym_binary_expression] = STATE(1473),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1473),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3820),
    [sym_interpreted_string_literal] = ACTIONS(3820),
    [sym_int_literal] = ACTIONS(3822),
    [sym_float_literal] = ACTIONS(3822),
    [sym_imaginary_literal] = ACTIONS(3820),
    [sym_rune_literal] = ACTIONS(3820),
    [sym_comment] = ACTIONS(19),
  },
  [1394] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1474),
    [sym_parenthesized_expression] = STATE(1474),
    [sym_call_expression] = STATE(1474),
    [sym_selector_expression] = STATE(1474),
    [sym_index_expression] = STATE(1474),
    [sym_slice_expression] = STATE(1474),
    [sym_type_assertion_expression] = STATE(1474),
    [sym_type_conversion_expression] = STATE(1474),
    [sym_composite_literal] = STATE(1474),
    [sym_func_literal] = STATE(1474),
    [sym_unary_expression] = STATE(1474),
    [sym_binary_expression] = STATE(1474),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1474),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3824),
    [sym_interpreted_string_literal] = ACTIONS(3824),
    [sym_int_literal] = ACTIONS(3826),
    [sym_float_literal] = ACTIONS(3826),
    [sym_imaginary_literal] = ACTIONS(3824),
    [sym_rune_literal] = ACTIONS(3824),
    [sym_comment] = ACTIONS(19),
  },
  [1395] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1396] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1475),
    [sym_parenthesized_expression] = STATE(1475),
    [sym_call_expression] = STATE(1475),
    [sym_selector_expression] = STATE(1475),
    [sym_index_expression] = STATE(1475),
    [sym_slice_expression] = STATE(1475),
    [sym_type_assertion_expression] = STATE(1475),
    [sym_type_conversion_expression] = STATE(1475),
    [sym_composite_literal] = STATE(1475),
    [sym_func_literal] = STATE(1475),
    [sym_unary_expression] = STATE(1475),
    [sym_binary_expression] = STATE(1475),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1475),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3828),
    [sym_interpreted_string_literal] = ACTIONS(3828),
    [sym_int_literal] = ACTIONS(3830),
    [sym_float_literal] = ACTIONS(3830),
    [sym_imaginary_literal] = ACTIONS(3828),
    [sym_rune_literal] = ACTIONS(3828),
    [sym_comment] = ACTIONS(19),
  },
  [1397] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1476),
    [sym_parenthesized_expression] = STATE(1476),
    [sym_call_expression] = STATE(1476),
    [sym_selector_expression] = STATE(1476),
    [sym_index_expression] = STATE(1476),
    [sym_slice_expression] = STATE(1476),
    [sym_type_assertion_expression] = STATE(1476),
    [sym_type_conversion_expression] = STATE(1476),
    [sym_composite_literal] = STATE(1476),
    [sym_func_literal] = STATE(1476),
    [sym_unary_expression] = STATE(1476),
    [sym_binary_expression] = STATE(1476),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1476),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3832),
    [sym_interpreted_string_literal] = ACTIONS(3832),
    [sym_int_literal] = ACTIONS(3834),
    [sym_float_literal] = ACTIONS(3834),
    [sym_imaginary_literal] = ACTIONS(3832),
    [sym_rune_literal] = ACTIONS(3832),
    [sym_comment] = ACTIONS(19),
  },
  [1398] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1477),
    [sym_parenthesized_expression] = STATE(1477),
    [sym_call_expression] = STATE(1477),
    [sym_selector_expression] = STATE(1477),
    [sym_index_expression] = STATE(1477),
    [sym_slice_expression] = STATE(1477),
    [sym_type_assertion_expression] = STATE(1477),
    [sym_type_conversion_expression] = STATE(1477),
    [sym_composite_literal] = STATE(1477),
    [sym_func_literal] = STATE(1477),
    [sym_unary_expression] = STATE(1477),
    [sym_binary_expression] = STATE(1477),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1477),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3836),
    [sym_interpreted_string_literal] = ACTIONS(3836),
    [sym_int_literal] = ACTIONS(3838),
    [sym_float_literal] = ACTIONS(3838),
    [sym_imaginary_literal] = ACTIONS(3836),
    [sym_rune_literal] = ACTIONS(3836),
    [sym_comment] = ACTIONS(19),
  },
  [1399] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(1478),
    [sym_call_expression] = STATE(1478),
    [sym_selector_expression] = STATE(1478),
    [sym_index_expression] = STATE(1478),
    [sym_slice_expression] = STATE(1478),
    [sym_type_assertion_expression] = STATE(1478),
    [sym_type_conversion_expression] = STATE(1478),
    [sym_composite_literal] = STATE(1478),
    [sym_func_literal] = STATE(1478),
    [sym_unary_expression] = STATE(1478),
    [sym_binary_expression] = STATE(1478),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1478),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3326),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [sym_identifier] = ACTIONS(1993),
    [sym_raw_string_literal] = ACTIONS(3840),
    [sym_interpreted_string_literal] = ACTIONS(3840),
    [sym_int_literal] = ACTIONS(3842),
    [sym_float_literal] = ACTIONS(3842),
    [sym_imaginary_literal] = ACTIONS(3840),
    [sym_rune_literal] = ACTIONS(3840),
    [sym_comment] = ACTIONS(19),
  },
  [1400] = {
    [aux_sym_expression_list_repeat1] = STATE(1479),
    [anon_sym_COMMA] = ACTIONS(3597),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [sym_comment] = ACTIONS(19),
  },
  [1401] = {
    [sym_expression_list] = STATE(127),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3686),
    [sym_interpreted_string_literal] = ACTIONS(3686),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3686),
    [sym_rune_literal] = ACTIONS(3686),
    [sym_comment] = ACTIONS(19),
  },
  [1402] = {
    [anon_sym_EQ] = ACTIONS(3844),
    [sym_comment] = ACTIONS(19),
  },
  [1403] = {
    [sym_parenthesized_type] = STATE(1481),
    [sym__simple_type] = STATE(1481),
    [sym_pointer_type] = STATE(1481),
    [sym_array_type] = STATE(1481),
    [sym_slice_type] = STATE(1481),
    [sym_struct_type] = STATE(1481),
    [sym_interface_type] = STATE(1481),
    [sym_map_type] = STATE(1481),
    [sym_channel_type] = STATE(1481),
    [sym_function_type] = STATE(1481),
    [sym_qualified_type] = STATE(1481),
    [aux_sym_const_spec_repeat1] = STATE(1482),
    [anon_sym_LF] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(3846),
    [anon_sym_func] = ACTIONS(241),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_chan] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [anon_sym_case] = ACTIONS(331),
    [sym_default_case] = ACTIONS(331),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(59),
  },
  [1404] = {
    [sym_expression_list] = STATE(172),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3686),
    [sym_interpreted_string_literal] = ACTIONS(3686),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3686),
    [sym_rune_literal] = ACTIONS(3686),
    [sym_comment] = ACTIONS(19),
  },
  [1405] = {
    [sym_parameter_list] = STATE(1483),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [1406] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1407] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1485),
    [sym_parenthesized_expression] = STATE(1485),
    [sym_call_expression] = STATE(1485),
    [sym_selector_expression] = STATE(1485),
    [sym_index_expression] = STATE(1485),
    [sym_slice_expression] = STATE(1485),
    [sym_type_assertion_expression] = STATE(1485),
    [sym_type_conversion_expression] = STATE(1485),
    [sym_composite_literal] = STATE(1485),
    [sym_func_literal] = STATE(1485),
    [sym_unary_expression] = STATE(1485),
    [sym_binary_expression] = STATE(1485),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1485),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(3848),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3850),
    [sym_interpreted_string_literal] = ACTIONS(3850),
    [sym_int_literal] = ACTIONS(3852),
    [sym_float_literal] = ACTIONS(3852),
    [sym_imaginary_literal] = ACTIONS(3850),
    [sym_rune_literal] = ACTIONS(3850),
    [sym_comment] = ACTIONS(19),
  },
  [1408] = {
    [anon_sym_LBRACK] = ACTIONS(3854),
    [sym_comment] = ACTIONS(19),
  },
  [1409] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3856),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1410] = {
    [anon_sym_chan] = ACTIONS(3858),
    [sym_comment] = ACTIONS(19),
  },
  [1411] = {
    [anon_sym_LF] = ACTIONS(381),
    [anon_sym_SEMI] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(3860),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_case] = ACTIONS(383),
    [sym_default_case] = ACTIONS(383),
    [sym_comment] = ACTIONS(59),
  },
  [1412] = {
    [sym_parenthesized_type] = STATE(1490),
    [sym__simple_type] = STATE(1490),
    [sym_pointer_type] = STATE(1490),
    [sym_array_type] = STATE(1490),
    [sym_slice_type] = STATE(1490),
    [sym_struct_type] = STATE(1490),
    [sym_interface_type] = STATE(1490),
    [sym_map_type] = STATE(1490),
    [sym_channel_type] = STATE(1490),
    [sym_function_type] = STATE(1490),
    [sym_qualified_type] = STATE(1490),
    [aux_sym_const_spec_repeat1] = STATE(188),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_COMMA] = ACTIONS(123),
    [anon_sym_EQ] = ACTIONS(3862),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1413] = {
    [sym_parenthesized_type] = STATE(225),
    [sym__simple_type] = STATE(225),
    [sym_pointer_type] = STATE(225),
    [sym_array_type] = STATE(225),
    [sym_slice_type] = STATE(225),
    [sym_struct_type] = STATE(225),
    [sym_interface_type] = STATE(225),
    [sym_map_type] = STATE(225),
    [sym_channel_type] = STATE(225),
    [sym_function_type] = STATE(225),
    [sym_qualified_type] = STATE(225),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1414] = {
    [sym_parameter_list] = STATE(1491),
    [anon_sym_LPAREN] = ACTIONS(171),
    [sym_comment] = ACTIONS(19),
  },
  [1415] = {
    [sym_parenthesized_type] = STATE(174),
    [sym__simple_type] = STATE(174),
    [sym_pointer_type] = STATE(174),
    [sym_array_type] = STATE(174),
    [sym_slice_type] = STATE(174),
    [sym_struct_type] = STATE(174),
    [sym_interface_type] = STATE(174),
    [sym_map_type] = STATE(174),
    [sym_channel_type] = STATE(174),
    [sym_function_type] = STATE(174),
    [sym_qualified_type] = STATE(174),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1416] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1493),
    [sym_parenthesized_expression] = STATE(1493),
    [sym_call_expression] = STATE(1493),
    [sym_selector_expression] = STATE(1493),
    [sym_index_expression] = STATE(1493),
    [sym_slice_expression] = STATE(1493),
    [sym_type_assertion_expression] = STATE(1493),
    [sym_type_conversion_expression] = STATE(1493),
    [sym_composite_literal] = STATE(1493),
    [sym_func_literal] = STATE(1493),
    [sym_unary_expression] = STATE(1493),
    [sym_binary_expression] = STATE(1493),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1493),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_RBRACK] = ACTIONS(3864),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(301),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(305),
    [anon_sym_CARET] = ACTIONS(305),
    [anon_sym_AMP] = ACTIONS(305),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3866),
    [sym_interpreted_string_literal] = ACTIONS(3866),
    [sym_int_literal] = ACTIONS(3868),
    [sym_float_literal] = ACTIONS(3868),
    [sym_imaginary_literal] = ACTIONS(3866),
    [sym_rune_literal] = ACTIONS(3866),
    [sym_comment] = ACTIONS(19),
  },
  [1417] = {
    [anon_sym_LBRACK] = ACTIONS(3870),
    [sym_comment] = ACTIONS(19),
  },
  [1418] = {
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_slice_type] = STATE(183),
    [sym_struct_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3872),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1419] = {
    [anon_sym_chan] = ACTIONS(3874),
    [sym_comment] = ACTIONS(19),
  },
  [1420] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1497),
    [sym_parenthesized_expression] = STATE(1497),
    [sym_call_expression] = STATE(1497),
    [sym_selector_expression] = STATE(1497),
    [sym_index_expression] = STATE(1497),
    [sym_slice_expression] = STATE(1497),
    [sym_type_assertion_expression] = STATE(1497),
    [sym_type_conversion_expression] = STATE(1497),
    [sym_composite_literal] = STATE(1497),
    [sym_func_literal] = STATE(1497),
    [sym_unary_expression] = STATE(1497),
    [sym_binary_expression] = STATE(1497),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1497),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3876),
    [sym_interpreted_string_literal] = ACTIONS(3876),
    [sym_int_literal] = ACTIONS(3878),
    [sym_float_literal] = ACTIONS(3878),
    [sym_imaginary_literal] = ACTIONS(3876),
    [sym_rune_literal] = ACTIONS(3876),
    [sym_comment] = ACTIONS(19),
  },
  [1421] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(478),
    [sym_parenthesized_expression] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_selector_expression] = STATE(478),
    [sym_index_expression] = STATE(478),
    [sym_slice_expression] = STATE(478),
    [sym_type_assertion_expression] = STATE(478),
    [sym_type_conversion_expression] = STATE(478),
    [sym_composite_literal] = STATE(478),
    [sym_func_literal] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(478),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1076),
    [sym_interpreted_string_literal] = ACTIONS(1076),
    [sym_int_literal] = ACTIONS(1078),
    [sym_float_literal] = ACTIONS(1078),
    [sym_imaginary_literal] = ACTIONS(1076),
    [sym_rune_literal] = ACTIONS(1076),
    [sym_comment] = ACTIONS(19),
  },
  [1422] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1498),
    [sym_parenthesized_expression] = STATE(1498),
    [sym_call_expression] = STATE(1498),
    [sym_selector_expression] = STATE(1498),
    [sym_index_expression] = STATE(1498),
    [sym_slice_expression] = STATE(1498),
    [sym_type_assertion_expression] = STATE(1498),
    [sym_type_conversion_expression] = STATE(1498),
    [sym_composite_literal] = STATE(1498),
    [sym_func_literal] = STATE(1498),
    [sym_unary_expression] = STATE(1498),
    [sym_binary_expression] = STATE(1498),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1498),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3880),
    [sym_interpreted_string_literal] = ACTIONS(3880),
    [sym_int_literal] = ACTIONS(3882),
    [sym_float_literal] = ACTIONS(3882),
    [sym_imaginary_literal] = ACTIONS(3880),
    [sym_rune_literal] = ACTIONS(3880),
    [sym_comment] = ACTIONS(19),
  },
  [1423] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1499),
    [sym_parenthesized_expression] = STATE(1499),
    [sym_call_expression] = STATE(1499),
    [sym_selector_expression] = STATE(1499),
    [sym_index_expression] = STATE(1499),
    [sym_slice_expression] = STATE(1499),
    [sym_type_assertion_expression] = STATE(1499),
    [sym_type_conversion_expression] = STATE(1499),
    [sym_composite_literal] = STATE(1499),
    [sym_func_literal] = STATE(1499),
    [sym_unary_expression] = STATE(1499),
    [sym_binary_expression] = STATE(1499),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1499),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3884),
    [sym_interpreted_string_literal] = ACTIONS(3884),
    [sym_int_literal] = ACTIONS(3886),
    [sym_float_literal] = ACTIONS(3886),
    [sym_imaginary_literal] = ACTIONS(3884),
    [sym_rune_literal] = ACTIONS(3884),
    [sym_comment] = ACTIONS(19),
  },
  [1424] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1500),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_call_expression] = STATE(1500),
    [sym_selector_expression] = STATE(1500),
    [sym_index_expression] = STATE(1500),
    [sym_slice_expression] = STATE(1500),
    [sym_type_assertion_expression] = STATE(1500),
    [sym_type_conversion_expression] = STATE(1500),
    [sym_composite_literal] = STATE(1500),
    [sym_func_literal] = STATE(1500),
    [sym_unary_expression] = STATE(1500),
    [sym_binary_expression] = STATE(1500),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1500),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3888),
    [sym_interpreted_string_literal] = ACTIONS(3888),
    [sym_int_literal] = ACTIONS(3890),
    [sym_float_literal] = ACTIONS(3890),
    [sym_imaginary_literal] = ACTIONS(3888),
    [sym_rune_literal] = ACTIONS(3888),
    [sym_comment] = ACTIONS(19),
  },
  [1425] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1501),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_call_expression] = STATE(1501),
    [sym_selector_expression] = STATE(1501),
    [sym_index_expression] = STATE(1501),
    [sym_slice_expression] = STATE(1501),
    [sym_type_assertion_expression] = STATE(1501),
    [sym_type_conversion_expression] = STATE(1501),
    [sym_composite_literal] = STATE(1501),
    [sym_func_literal] = STATE(1501),
    [sym_unary_expression] = STATE(1501),
    [sym_binary_expression] = STATE(1501),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1501),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3892),
    [sym_interpreted_string_literal] = ACTIONS(3892),
    [sym_int_literal] = ACTIONS(3894),
    [sym_float_literal] = ACTIONS(3894),
    [sym_imaginary_literal] = ACTIONS(3892),
    [sym_rune_literal] = ACTIONS(3892),
    [sym_comment] = ACTIONS(19),
  },
  [1426] = {
    [aux_sym_expression_list_repeat1] = STATE(1502),
    [anon_sym_LF] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym_COMMA] = ACTIONS(3656),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1114),
    [sym_default_case] = ACTIONS(1114),
    [sym_comment] = ACTIONS(59),
  },
  [1427] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(478),
    [sym_parenthesized_expression] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_selector_expression] = STATE(478),
    [sym_index_expression] = STATE(478),
    [sym_slice_expression] = STATE(478),
    [sym_type_assertion_expression] = STATE(478),
    [sym_type_conversion_expression] = STATE(478),
    [sym_composite_literal] = STATE(478),
    [sym_func_literal] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(478),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(1076),
    [sym_interpreted_string_literal] = ACTIONS(1076),
    [sym_int_literal] = ACTIONS(1078),
    [sym_float_literal] = ACTIONS(1078),
    [sym_imaginary_literal] = ACTIONS(1076),
    [sym_rune_literal] = ACTIONS(1076),
    [sym_comment] = ACTIONS(19),
  },
  [1428] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1503),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_call_expression] = STATE(1503),
    [sym_selector_expression] = STATE(1503),
    [sym_index_expression] = STATE(1503),
    [sym_slice_expression] = STATE(1503),
    [sym_type_assertion_expression] = STATE(1503),
    [sym_type_conversion_expression] = STATE(1503),
    [sym_composite_literal] = STATE(1503),
    [sym_func_literal] = STATE(1503),
    [sym_unary_expression] = STATE(1503),
    [sym_binary_expression] = STATE(1503),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1503),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3896),
    [sym_interpreted_string_literal] = ACTIONS(3896),
    [sym_int_literal] = ACTIONS(3898),
    [sym_float_literal] = ACTIONS(3898),
    [sym_imaginary_literal] = ACTIONS(3896),
    [sym_rune_literal] = ACTIONS(3896),
    [sym_comment] = ACTIONS(19),
  },
  [1429] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1504),
    [sym_parenthesized_expression] = STATE(1504),
    [sym_call_expression] = STATE(1504),
    [sym_selector_expression] = STATE(1504),
    [sym_index_expression] = STATE(1504),
    [sym_slice_expression] = STATE(1504),
    [sym_type_assertion_expression] = STATE(1504),
    [sym_type_conversion_expression] = STATE(1504),
    [sym_composite_literal] = STATE(1504),
    [sym_func_literal] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1504),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3900),
    [sym_interpreted_string_literal] = ACTIONS(3900),
    [sym_int_literal] = ACTIONS(3902),
    [sym_float_literal] = ACTIONS(3902),
    [sym_imaginary_literal] = ACTIONS(3900),
    [sym_rune_literal] = ACTIONS(3900),
    [sym_comment] = ACTIONS(19),
  },
  [1430] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1505),
    [sym_parenthesized_expression] = STATE(1505),
    [sym_call_expression] = STATE(1505),
    [sym_selector_expression] = STATE(1505),
    [sym_index_expression] = STATE(1505),
    [sym_slice_expression] = STATE(1505),
    [sym_type_assertion_expression] = STATE(1505),
    [sym_type_conversion_expression] = STATE(1505),
    [sym_composite_literal] = STATE(1505),
    [sym_func_literal] = STATE(1505),
    [sym_unary_expression] = STATE(1505),
    [sym_binary_expression] = STATE(1505),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1505),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3904),
    [sym_interpreted_string_literal] = ACTIONS(3904),
    [sym_int_literal] = ACTIONS(3906),
    [sym_float_literal] = ACTIONS(3906),
    [sym_imaginary_literal] = ACTIONS(3904),
    [sym_rune_literal] = ACTIONS(3904),
    [sym_comment] = ACTIONS(19),
  },
  [1431] = {
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1506),
    [sym_parenthesized_expression] = STATE(1506),
    [sym_call_expression] = STATE(1506),
    [sym_selector_expression] = STATE(1506),
    [sym_index_expression] = STATE(1506),
    [sym_slice_expression] = STATE(1506),
    [sym_type_assertion_expression] = STATE(1506),
    [sym_type_conversion_expression] = STATE(1506),
    [sym_composite_literal] = STATE(1506),
    [sym_func_literal] = STATE(1506),
    [sym_unary_expression] = STATE(1506),
    [sym_binary_expression] = STATE(1506),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1506),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3396),
    [anon_sym_DASH] = ACTIONS(3396),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_CARET] = ACTIONS(3396),
    [anon_sym_AMP] = ACTIONS(3396),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3908),
    [sym_interpreted_string_literal] = ACTIONS(3908),
    [sym_int_literal] = ACTIONS(3910),
    [sym_float_literal] = ACTIONS(3910),
    [sym_imaginary_literal] = ACTIONS(3908),
    [sym_rune_literal] = ACTIONS(3908),
    [sym_comment] = ACTIONS(19),
  },
  [1432] = {
    [sym_block] = STATE(1507),
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(2543),
    [anon_sym_DASH] = ACTIONS(2543),
    [anon_sym_CARET] = ACTIONS(2543),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2541),
    [anon_sym_LT_LT] = ACTIONS(2541),
    [anon_sym_GT_GT] = ACTIONS(2541),
    [anon_sym_AMP_CARET] = ACTIONS(2541),
    [anon_sym_PIPE] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2549),
    [anon_sym_BANG_EQ] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_GT] = ACTIONS(2551),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_AMP_AMP] = ACTIONS(2553),
    [anon_sym_PIPE_PIPE] = ACTIONS(2555),
    [sym_comment] = ACTIONS(19),
  },
  [1433] = {
    [sym_else_clause] = STATE(1043),
    [anon_sym_LF] = ACTIONS(2597),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_else] = ACTIONS(3912),
    [anon_sym_case] = ACTIONS(2599),
    [sym_default_case] = ACTIONS(2599),
    [sym_comment] = ACTIONS(59),
  },
  [1434] = {
    [sym_literal_value] = STATE(614),
    [anon_sym_LF] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_DOT] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LT_DASH] = ACTIONS(595),
    [anon_sym_COLON_EQ] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_LT_LT_EQ] = ACTIONS(595),
    [anon_sym_GT_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_EQ] = ACTIONS(595),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_DASH_EQ] = ACTIONS(595),
    [anon_sym_PIPE_EQ] = ACTIONS(595),
    [anon_sym_CARET_EQ] = ACTIONS(595),
    [anon_sym_COLON] = ACTIONS(3914),
    [anon_sym_case] = ACTIONS(595),
    [sym_default_case] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(595),
    [anon_sym_DASH] = ACTIONS(595),
    [anon_sym_CARET] = ACTIONS(595),
    [anon_sym_AMP] = ACTIONS(595),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(595),
    [anon_sym_LT_LT] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_AMP_CARET] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_EQ_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_LT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(595),
    [anon_sym_GT_EQ] = ACTIONS(595),
    [anon_sym_AMP_AMP] = ACTIONS(595),
    [anon_sym_PIPE_PIPE] = ACTIONS(595),
    [sym_comment] = ACTIONS(59),
  },
  [1435] = {
    [sym__declaration] = STATE(874),
    [sym_const_declaration] = STATE(874),
    [sym_var_declaration] = STATE(874),
    [sym_type_declaration] = STATE(874),
    [sym_expression_list] = STATE(1213),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(874),
    [sym__statement] = STATE(874),
    [sym_empty_statement] = STATE(874),
    [sym__simple_statement] = STATE(874),
    [sym_send_statement] = STATE(874),
    [sym_inc_statement] = STATE(874),
    [sym_dec_statement] = STATE(874),
    [sym_assignment_statement] = STATE(874),
    [sym_short_var_declaration] = STATE(874),
    [sym_labeled_statement] = STATE(874),
    [sym_empty_labeled_statement] = STATE(1098),
    [sym_fallthrough_statement] = STATE(874),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(874),
    [sym_goto_statement] = STATE(874),
    [sym_return_statement] = STATE(874),
    [sym_go_statement] = STATE(874),
    [sym_defer_statement] = STATE(874),
    [sym_if_statement] = STATE(874),
    [sym_for_statement] = STATE(874),
    [sym_expression_switch_statement] = STATE(874),
    [sym_type_switch_statement] = STATE(874),
    [sym_select_statement] = STATE(874),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_func_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_binary_expression] = STATE(1216),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1216),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(3042),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(3054),
    [anon_sym_go] = ACTIONS(3056),
    [anon_sym_defer] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_case] = ACTIONS(3916),
    [sym_default_case] = ACTIONS(3916),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3066),
    [sym_raw_string_literal] = ACTIONS(3068),
    [sym_interpreted_string_literal] = ACTIONS(3068),
    [sym_int_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3070),
    [sym_imaginary_literal] = ACTIONS(3068),
    [sym_rune_literal] = ACTIONS(3068),
    [sym_comment] = ACTIONS(19),
  },
  [1436] = {
    [aux_sym__statement_list_repeat1] = STATE(1436),
    [anon_sym_LF] = ACTIONS(3918),
    [anon_sym_SEMI] = ACTIONS(3921),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [sym_default_case] = ACTIONS(2733),
    [sym_comment] = ACTIONS(59),
  },
  [1437] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [sym_default_case] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(3670),
    [anon_sym_DASH] = ACTIONS(3670),
    [anon_sym_CARET] = ACTIONS(3670),
    [anon_sym_AMP] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_PERCENT] = ACTIONS(3668),
    [anon_sym_LT_LT] = ACTIONS(3668),
    [anon_sym_GT_GT] = ACTIONS(3668),
    [anon_sym_AMP_CARET] = ACTIONS(3668),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_EQ_EQ] = ACTIONS(3672),
    [anon_sym_BANG_EQ] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_LT_EQ] = ACTIONS(3672),
    [anon_sym_GT] = ACTIONS(3672),
    [anon_sym_GT_EQ] = ACTIONS(3672),
    [anon_sym_AMP_AMP] = ACTIONS(3674),
    [anon_sym_PIPE_PIPE] = ACTIONS(3676),
    [sym_comment] = ACTIONS(59),
  },
  [1438] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_SLASH] = ACTIONS(3422),
    [anon_sym_PERCENT] = ACTIONS(3422),
    [anon_sym_LT_LT] = ACTIONS(3422),
    [anon_sym_GT_GT] = ACTIONS(3422),
    [anon_sym_AMP_CARET] = ACTIONS(3422),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1439] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_CARET] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_SLASH] = ACTIONS(3422),
    [anon_sym_PERCENT] = ACTIONS(3422),
    [anon_sym_LT_LT] = ACTIONS(3422),
    [anon_sym_GT_GT] = ACTIONS(3422),
    [anon_sym_AMP_CARET] = ACTIONS(3422),
    [anon_sym_PIPE] = ACTIONS(3426),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1440] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_CARET] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_SLASH] = ACTIONS(3422),
    [anon_sym_PERCENT] = ACTIONS(3422),
    [anon_sym_LT_LT] = ACTIONS(3422),
    [anon_sym_GT_GT] = ACTIONS(3422),
    [anon_sym_AMP_CARET] = ACTIONS(3422),
    [anon_sym_PIPE] = ACTIONS(3426),
    [anon_sym_EQ_EQ] = ACTIONS(3428),
    [anon_sym_BANG_EQ] = ACTIONS(3428),
    [anon_sym_LT] = ACTIONS(3428),
    [anon_sym_LT_EQ] = ACTIONS(3428),
    [anon_sym_GT] = ACTIONS(3428),
    [anon_sym_GT_EQ] = ACTIONS(3428),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1441] = {
    [sym_argument_list] = STATE(634),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_LT_DASH] = ACTIONS(1682),
    [anon_sym_COLON_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_PLUS] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1682),
    [anon_sym_STAR_EQ] = ACTIONS(1682),
    [anon_sym_SLASH_EQ] = ACTIONS(1682),
    [anon_sym_PERCENT_EQ] = ACTIONS(1682),
    [anon_sym_LT_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_EQ] = ACTIONS(1682),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1682),
    [anon_sym_PLUS_EQ] = ACTIONS(1682),
    [anon_sym_DASH_EQ] = ACTIONS(1682),
    [anon_sym_PIPE_EQ] = ACTIONS(1682),
    [anon_sym_CARET_EQ] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3426),
    [anon_sym_DASH] = ACTIONS(3426),
    [anon_sym_CARET] = ACTIONS(3426),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_SLASH] = ACTIONS(3422),
    [anon_sym_PERCENT] = ACTIONS(3422),
    [anon_sym_LT_LT] = ACTIONS(3422),
    [anon_sym_GT_GT] = ACTIONS(3422),
    [anon_sym_AMP_CARET] = ACTIONS(3422),
    [anon_sym_PIPE] = ACTIONS(3426),
    [anon_sym_EQ_EQ] = ACTIONS(3428),
    [anon_sym_BANG_EQ] = ACTIONS(3428),
    [anon_sym_LT] = ACTIONS(3428),
    [anon_sym_LT_EQ] = ACTIONS(3428),
    [anon_sym_GT] = ACTIONS(3428),
    [anon_sym_GT_EQ] = ACTIONS(3428),
    [anon_sym_AMP_AMP] = ACTIONS(3430),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1442] = {
    [anon_sym_RPAREN] = ACTIONS(3924),
    [sym_comment] = ACTIONS(19),
  },
  [1443] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1444] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1512),
    [sym_parenthesized_expression] = STATE(1512),
    [sym_call_expression] = STATE(1512),
    [sym_selector_expression] = STATE(1512),
    [sym_index_expression] = STATE(1512),
    [sym_slice_expression] = STATE(1512),
    [sym_type_assertion_expression] = STATE(1512),
    [sym_type_conversion_expression] = STATE(1512),
    [sym_composite_literal] = STATE(1512),
    [sym_func_literal] = STATE(1512),
    [sym_unary_expression] = STATE(1512),
    [sym_binary_expression] = STATE(1512),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1512),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3926),
    [sym_interpreted_string_literal] = ACTIONS(3926),
    [sym_int_literal] = ACTIONS(3928),
    [sym_float_literal] = ACTIONS(3928),
    [sym_imaginary_literal] = ACTIONS(3926),
    [sym_rune_literal] = ACTIONS(3926),
    [sym_comment] = ACTIONS(19),
  },
  [1445] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1513),
    [sym_parenthesized_expression] = STATE(1513),
    [sym_call_expression] = STATE(1513),
    [sym_selector_expression] = STATE(1513),
    [sym_index_expression] = STATE(1513),
    [sym_slice_expression] = STATE(1513),
    [sym_type_assertion_expression] = STATE(1513),
    [sym_type_conversion_expression] = STATE(1513),
    [sym_composite_literal] = STATE(1513),
    [sym_func_literal] = STATE(1513),
    [sym_unary_expression] = STATE(1513),
    [sym_binary_expression] = STATE(1513),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1513),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3930),
    [sym_interpreted_string_literal] = ACTIONS(3930),
    [sym_int_literal] = ACTIONS(3932),
    [sym_float_literal] = ACTIONS(3932),
    [sym_imaginary_literal] = ACTIONS(3930),
    [sym_rune_literal] = ACTIONS(3930),
    [sym_comment] = ACTIONS(19),
  },
  [1446] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1514),
    [sym_parenthesized_expression] = STATE(1514),
    [sym_call_expression] = STATE(1514),
    [sym_selector_expression] = STATE(1514),
    [sym_index_expression] = STATE(1514),
    [sym_slice_expression] = STATE(1514),
    [sym_type_assertion_expression] = STATE(1514),
    [sym_type_conversion_expression] = STATE(1514),
    [sym_composite_literal] = STATE(1514),
    [sym_func_literal] = STATE(1514),
    [sym_unary_expression] = STATE(1514),
    [sym_binary_expression] = STATE(1514),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1514),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3934),
    [sym_interpreted_string_literal] = ACTIONS(3934),
    [sym_int_literal] = ACTIONS(3936),
    [sym_float_literal] = ACTIONS(3936),
    [sym_imaginary_literal] = ACTIONS(3934),
    [sym_rune_literal] = ACTIONS(3934),
    [sym_comment] = ACTIONS(19),
  },
  [1447] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1515),
    [sym_parenthesized_expression] = STATE(1515),
    [sym_call_expression] = STATE(1515),
    [sym_selector_expression] = STATE(1515),
    [sym_index_expression] = STATE(1515),
    [sym_slice_expression] = STATE(1515),
    [sym_type_assertion_expression] = STATE(1515),
    [sym_type_conversion_expression] = STATE(1515),
    [sym_composite_literal] = STATE(1515),
    [sym_func_literal] = STATE(1515),
    [sym_unary_expression] = STATE(1515),
    [sym_binary_expression] = STATE(1515),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1515),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3442),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_AMP] = ACTIONS(3446),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3938),
    [sym_interpreted_string_literal] = ACTIONS(3938),
    [sym_int_literal] = ACTIONS(3940),
    [sym_float_literal] = ACTIONS(3940),
    [sym_imaginary_literal] = ACTIONS(3938),
    [sym_rune_literal] = ACTIONS(3938),
    [sym_comment] = ACTIONS(19),
  },
  [1448] = {
    [anon_sym_LF] = ACTIONS(3942),
    [anon_sym_SEMI] = ACTIONS(3944),
    [anon_sym_RBRACE] = ACTIONS(3944),
    [anon_sym_case] = ACTIONS(3944),
    [sym_default_case] = ACTIONS(3944),
    [sym_comment] = ACTIONS(59),
  },
  [1449] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1450] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_call_expression] = STATE(1516),
    [sym_selector_expression] = STATE(1516),
    [sym_index_expression] = STATE(1516),
    [sym_slice_expression] = STATE(1516),
    [sym_type_assertion_expression] = STATE(1516),
    [sym_type_conversion_expression] = STATE(1516),
    [sym_composite_literal] = STATE(1516),
    [sym_func_literal] = STATE(1516),
    [sym_unary_expression] = STATE(1516),
    [sym_binary_expression] = STATE(1516),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1516),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3946),
    [sym_interpreted_string_literal] = ACTIONS(3946),
    [sym_int_literal] = ACTIONS(3948),
    [sym_float_literal] = ACTIONS(3948),
    [sym_imaginary_literal] = ACTIONS(3946),
    [sym_rune_literal] = ACTIONS(3946),
    [sym_comment] = ACTIONS(19),
  },
  [1451] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1517),
    [sym_parenthesized_expression] = STATE(1517),
    [sym_call_expression] = STATE(1517),
    [sym_selector_expression] = STATE(1517),
    [sym_index_expression] = STATE(1517),
    [sym_slice_expression] = STATE(1517),
    [sym_type_assertion_expression] = STATE(1517),
    [sym_type_conversion_expression] = STATE(1517),
    [sym_composite_literal] = STATE(1517),
    [sym_func_literal] = STATE(1517),
    [sym_unary_expression] = STATE(1517),
    [sym_binary_expression] = STATE(1517),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1517),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3950),
    [sym_interpreted_string_literal] = ACTIONS(3950),
    [sym_int_literal] = ACTIONS(3952),
    [sym_float_literal] = ACTIONS(3952),
    [sym_imaginary_literal] = ACTIONS(3950),
    [sym_rune_literal] = ACTIONS(3950),
    [sym_comment] = ACTIONS(19),
  },
  [1452] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1518),
    [sym_parenthesized_expression] = STATE(1518),
    [sym_call_expression] = STATE(1518),
    [sym_selector_expression] = STATE(1518),
    [sym_index_expression] = STATE(1518),
    [sym_slice_expression] = STATE(1518),
    [sym_type_assertion_expression] = STATE(1518),
    [sym_type_conversion_expression] = STATE(1518),
    [sym_composite_literal] = STATE(1518),
    [sym_func_literal] = STATE(1518),
    [sym_unary_expression] = STATE(1518),
    [sym_binary_expression] = STATE(1518),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1518),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3954),
    [sym_interpreted_string_literal] = ACTIONS(3954),
    [sym_int_literal] = ACTIONS(3956),
    [sym_float_literal] = ACTIONS(3956),
    [sym_imaginary_literal] = ACTIONS(3954),
    [sym_rune_literal] = ACTIONS(3954),
    [sym_comment] = ACTIONS(19),
  },
  [1453] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1519),
    [sym_parenthesized_expression] = STATE(1519),
    [sym_call_expression] = STATE(1519),
    [sym_selector_expression] = STATE(1519),
    [sym_index_expression] = STATE(1519),
    [sym_slice_expression] = STATE(1519),
    [sym_type_assertion_expression] = STATE(1519),
    [sym_type_conversion_expression] = STATE(1519),
    [sym_composite_literal] = STATE(1519),
    [sym_func_literal] = STATE(1519),
    [sym_unary_expression] = STATE(1519),
    [sym_binary_expression] = STATE(1519),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1519),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3458),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_CARET] = ACTIONS(3460),
    [anon_sym_AMP] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3958),
    [sym_interpreted_string_literal] = ACTIONS(3958),
    [sym_int_literal] = ACTIONS(3960),
    [sym_float_literal] = ACTIONS(3960),
    [sym_imaginary_literal] = ACTIONS(3958),
    [sym_rune_literal] = ACTIONS(3958),
    [sym_comment] = ACTIONS(19),
  },
  [1454] = {
    [anon_sym_LF] = ACTIONS(3962),
    [anon_sym_SEMI] = ACTIONS(3964),
    [anon_sym_RBRACE] = ACTIONS(3964),
    [anon_sym_case] = ACTIONS(3964),
    [sym_default_case] = ACTIONS(3964),
    [sym_comment] = ACTIONS(59),
  },
  [1455] = {
    [sym_parenthesized_type] = STATE(505),
    [sym__simple_type] = STATE(505),
    [sym_pointer_type] = STATE(505),
    [sym_array_type] = STATE(505),
    [sym_slice_type] = STATE(505),
    [sym_struct_type] = STATE(505),
    [sym_interface_type] = STATE(505),
    [sym_map_type] = STATE(505),
    [sym_channel_type] = STATE(505),
    [sym_function_type] = STATE(505),
    [sym_qualified_type] = STATE(505),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1456] = {
    [anon_sym_RBRACK] = ACTIONS(3966),
    [sym_comment] = ACTIONS(19),
  },
  [1457] = {
    [sym_parenthesized_type] = STATE(322),
    [sym__simple_type] = STATE(322),
    [sym_pointer_type] = STATE(322),
    [sym_array_type] = STATE(322),
    [sym_slice_type] = STATE(322),
    [sym_struct_type] = STATE(322),
    [sym_interface_type] = STATE(322),
    [sym_map_type] = STATE(322),
    [sym_channel_type] = STATE(322),
    [sym_function_type] = STATE(322),
    [sym_qualified_type] = STATE(322),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3490),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1458] = {
    [anon_sym_COMMA] = ACTIONS(3968),
    [anon_sym_COLON] = ACTIONS(3968),
    [sym_comment] = ACTIONS(19),
  },
  [1459] = {
    [aux_sym_type_case_repeat1] = STATE(1459),
    [anon_sym_COMMA] = ACTIONS(3970),
    [anon_sym_COLON] = ACTIONS(3968),
    [sym_comment] = ACTIONS(19),
  },
  [1460] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1461] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1521),
    [sym_parenthesized_expression] = STATE(1521),
    [sym_call_expression] = STATE(1521),
    [sym_selector_expression] = STATE(1521),
    [sym_index_expression] = STATE(1521),
    [sym_slice_expression] = STATE(1521),
    [sym_type_assertion_expression] = STATE(1521),
    [sym_type_conversion_expression] = STATE(1521),
    [sym_composite_literal] = STATE(1521),
    [sym_func_literal] = STATE(1521),
    [sym_unary_expression] = STATE(1521),
    [sym_binary_expression] = STATE(1521),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1521),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3973),
    [sym_interpreted_string_literal] = ACTIONS(3973),
    [sym_int_literal] = ACTIONS(3975),
    [sym_float_literal] = ACTIONS(3975),
    [sym_imaginary_literal] = ACTIONS(3973),
    [sym_rune_literal] = ACTIONS(3973),
    [sym_comment] = ACTIONS(19),
  },
  [1462] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1522),
    [sym_parenthesized_expression] = STATE(1522),
    [sym_call_expression] = STATE(1522),
    [sym_selector_expression] = STATE(1522),
    [sym_index_expression] = STATE(1522),
    [sym_slice_expression] = STATE(1522),
    [sym_type_assertion_expression] = STATE(1522),
    [sym_type_conversion_expression] = STATE(1522),
    [sym_composite_literal] = STATE(1522),
    [sym_func_literal] = STATE(1522),
    [sym_unary_expression] = STATE(1522),
    [sym_binary_expression] = STATE(1522),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1522),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3977),
    [sym_interpreted_string_literal] = ACTIONS(3977),
    [sym_int_literal] = ACTIONS(3979),
    [sym_float_literal] = ACTIONS(3979),
    [sym_imaginary_literal] = ACTIONS(3977),
    [sym_rune_literal] = ACTIONS(3977),
    [sym_comment] = ACTIONS(19),
  },
  [1463] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1523),
    [sym_parenthesized_expression] = STATE(1523),
    [sym_call_expression] = STATE(1523),
    [sym_selector_expression] = STATE(1523),
    [sym_index_expression] = STATE(1523),
    [sym_slice_expression] = STATE(1523),
    [sym_type_assertion_expression] = STATE(1523),
    [sym_type_conversion_expression] = STATE(1523),
    [sym_composite_literal] = STATE(1523),
    [sym_func_literal] = STATE(1523),
    [sym_unary_expression] = STATE(1523),
    [sym_binary_expression] = STATE(1523),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1523),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3981),
    [sym_interpreted_string_literal] = ACTIONS(3981),
    [sym_int_literal] = ACTIONS(3983),
    [sym_float_literal] = ACTIONS(3983),
    [sym_imaginary_literal] = ACTIONS(3981),
    [sym_rune_literal] = ACTIONS(3981),
    [sym_comment] = ACTIONS(19),
  },
  [1464] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1524),
    [sym_parenthesized_expression] = STATE(1524),
    [sym_call_expression] = STATE(1524),
    [sym_selector_expression] = STATE(1524),
    [sym_index_expression] = STATE(1524),
    [sym_slice_expression] = STATE(1524),
    [sym_type_assertion_expression] = STATE(1524),
    [sym_type_conversion_expression] = STATE(1524),
    [sym_composite_literal] = STATE(1524),
    [sym_func_literal] = STATE(1524),
    [sym_unary_expression] = STATE(1524),
    [sym_binary_expression] = STATE(1524),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1524),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_CARET] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(3520),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3985),
    [sym_interpreted_string_literal] = ACTIONS(3985),
    [sym_int_literal] = ACTIONS(3987),
    [sym_float_literal] = ACTIONS(3987),
    [sym_imaginary_literal] = ACTIONS(3985),
    [sym_rune_literal] = ACTIONS(3985),
    [sym_comment] = ACTIONS(19),
  },
  [1465] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(1142),
    [sym_interpreted_string_literal] = ACTIONS(1142),
    [sym_int_literal] = ACTIONS(1144),
    [sym_float_literal] = ACTIONS(1144),
    [sym_imaginary_literal] = ACTIONS(1142),
    [sym_rune_literal] = ACTIONS(1142),
    [sym_comment] = ACTIONS(19),
  },
  [1466] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1525),
    [sym_parenthesized_expression] = STATE(1525),
    [sym_call_expression] = STATE(1525),
    [sym_selector_expression] = STATE(1525),
    [sym_index_expression] = STATE(1525),
    [sym_slice_expression] = STATE(1525),
    [sym_type_assertion_expression] = STATE(1525),
    [sym_type_conversion_expression] = STATE(1525),
    [sym_composite_literal] = STATE(1525),
    [sym_func_literal] = STATE(1525),
    [sym_unary_expression] = STATE(1525),
    [sym_binary_expression] = STATE(1525),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1525),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3989),
    [sym_interpreted_string_literal] = ACTIONS(3989),
    [sym_int_literal] = ACTIONS(3991),
    [sym_float_literal] = ACTIONS(3991),
    [sym_imaginary_literal] = ACTIONS(3989),
    [sym_rune_literal] = ACTIONS(3989),
    [sym_comment] = ACTIONS(19),
  },
  [1467] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1526),
    [sym_parenthesized_expression] = STATE(1526),
    [sym_call_expression] = STATE(1526),
    [sym_selector_expression] = STATE(1526),
    [sym_index_expression] = STATE(1526),
    [sym_slice_expression] = STATE(1526),
    [sym_type_assertion_expression] = STATE(1526),
    [sym_type_conversion_expression] = STATE(1526),
    [sym_composite_literal] = STATE(1526),
    [sym_func_literal] = STATE(1526),
    [sym_unary_expression] = STATE(1526),
    [sym_binary_expression] = STATE(1526),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1526),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3993),
    [sym_interpreted_string_literal] = ACTIONS(3993),
    [sym_int_literal] = ACTIONS(3995),
    [sym_float_literal] = ACTIONS(3995),
    [sym_imaginary_literal] = ACTIONS(3993),
    [sym_rune_literal] = ACTIONS(3993),
    [sym_comment] = ACTIONS(19),
  },
  [1468] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1527),
    [sym_parenthesized_expression] = STATE(1527),
    [sym_call_expression] = STATE(1527),
    [sym_selector_expression] = STATE(1527),
    [sym_index_expression] = STATE(1527),
    [sym_slice_expression] = STATE(1527),
    [sym_type_assertion_expression] = STATE(1527),
    [sym_type_conversion_expression] = STATE(1527),
    [sym_composite_literal] = STATE(1527),
    [sym_func_literal] = STATE(1527),
    [sym_unary_expression] = STATE(1527),
    [sym_binary_expression] = STATE(1527),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1527),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(3997),
    [sym_interpreted_string_literal] = ACTIONS(3997),
    [sym_int_literal] = ACTIONS(3999),
    [sym_float_literal] = ACTIONS(3999),
    [sym_imaginary_literal] = ACTIONS(3997),
    [sym_rune_literal] = ACTIONS(3997),
    [sym_comment] = ACTIONS(19),
  },
  [1469] = {
    [sym_parenthesized_type] = STATE(142),
    [sym__simple_type] = STATE(142),
    [sym_pointer_type] = STATE(142),
    [sym_array_type] = STATE(143),
    [sym_implicit_length_array_type] = STATE(144),
    [sym_slice_type] = STATE(143),
    [sym_struct_type] = STATE(143),
    [sym_interface_type] = STATE(142),
    [sym_map_type] = STATE(143),
    [sym_channel_type] = STATE(142),
    [sym_function_type] = STATE(142),
    [sym__expression] = STATE(1528),
    [sym_parenthesized_expression] = STATE(1528),
    [sym_call_expression] = STATE(1528),
    [sym_selector_expression] = STATE(1528),
    [sym_index_expression] = STATE(1528),
    [sym_slice_expression] = STATE(1528),
    [sym_type_assertion_expression] = STATE(1528),
    [sym_type_conversion_expression] = STATE(1528),
    [sym_composite_literal] = STATE(1528),
    [sym_func_literal] = STATE(1528),
    [sym_unary_expression] = STATE(1528),
    [sym_binary_expression] = STATE(1528),
    [sym_qualified_type] = STATE(143),
    [sym__string_literal] = STATE(1528),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_func] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(303),
    [anon_sym_make] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_CARET] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(307),
    [sym_raw_string_literal] = ACTIONS(4001),
    [sym_interpreted_string_literal] = ACTIONS(4001),
    [sym_int_literal] = ACTIONS(4003),
    [sym_float_literal] = ACTIONS(4003),
    [sym_imaginary_literal] = ACTIONS(4001),
    [sym_rune_literal] = ACTIONS(4001),
    [sym_comment] = ACTIONS(19),
  },
  [1470] = {
    [anon_sym_LF] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym_DOT] = ACTIONS(3574),
    [anon_sym_LPAREN] = ACTIONS(3574),
    [anon_sym_COMMA] = ACTIONS(3574),
    [anon_sym_EQ] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3574),
    [anon_sym_LBRACK] = ACTIONS(3574),
    [anon_sym_RBRACE] = ACTIONS(3574),
    [anon_sym_LT_DASH] = ACTIONS(3574),
    [anon_sym_COLON_EQ] = ACTIONS(3574),
    [anon_sym_PLUS_PLUS] = ACTIONS(3574),
    [anon_sym_DASH_DASH] = ACTIONS(3574),
    [anon_sym_STAR_EQ] = ACTIONS(3574),
    [anon_sym_SLASH_EQ] = ACTIONS(3574),
    [anon_sym_PERCENT_EQ] = ACTIONS(3574),
    [anon_sym_LT_LT_EQ] = ACTIONS(3574),
    [anon_sym_GT_GT_EQ] = ACTIONS(3574),
    [anon_sym_AMP_EQ] = ACTIONS(3574),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3574),
    [anon_sym_PLUS_EQ] = ACTIONS(3574),
    [anon_sym_DASH_EQ] = ACTIONS(3574),
    [anon_sym_PIPE_EQ] = ACTIONS(3574),
    [anon_sym_CARET_EQ] = ACTIONS(3574),
    [anon_sym_case] = ACTIONS(3574),
    [sym_default_case] = ACTIONS(3574),
    [anon_sym_PLUS] = ACTIONS(3574),
    [anon_sym_DASH] = ACTIONS(3574),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_AMP] = ACTIONS(3574),
    [anon_sym_SLASH] = ACTIONS(3574),
    [anon_sym_PERCENT] = ACTIONS(3574),
    [anon_sym_LT_LT] = ACTIONS(3574),
    [anon_sym_GT_GT] = ACTIONS(3574),
    [anon_sym_AMP_CARET] = ACTIONS(3574),
    [anon_sym_PIPE] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(3574),
    [anon_sym_BANG_EQ] = ACTIONS(3574),
    [anon_sym_LT] = ACTIONS(3574),
    [anon_sym_LT_EQ] = ACTIONS(3574),
    [anon_sym_GT] = ACTIONS(3574),
    [anon_sym_GT_EQ] = ACTIONS(3574),
    [anon_sym_AMP_AMP] = ACTIONS(3574),
    [anon_sym_PIPE_PIPE] = ACTIONS(3574),
    [sym_comment] = ACTIONS(59),
  },
  [1471] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1472] = {
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_DOT] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_COMMA] = ACTIONS(3572),
    [anon_sym_EQ] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3574),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_LT_DASH] = ACTIONS(3572),
    [anon_sym_COLON_EQ] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [anon_sym_STAR_EQ] = ACTIONS(3572),
    [anon_sym_SLASH_EQ] = ACTIONS(3572),
    [anon_sym_PERCENT_EQ] = ACTIONS(3572),
    [anon_sym_LT_LT_EQ] = ACTIONS(3572),
    [anon_sym_GT_GT_EQ] = ACTIONS(3572),
    [anon_sym_AMP_EQ] = ACTIONS(3572),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3572),
    [anon_sym_PLUS_EQ] = ACTIONS(3572),
    [anon_sym_DASH_EQ] = ACTIONS(3572),
    [anon_sym_PIPE_EQ] = ACTIONS(3572),
    [anon_sym_CARET_EQ] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3574),
    [anon_sym_DASH] = ACTIONS(3574),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_AMP] = ACTIONS(3574),
    [anon_sym_SLASH] = ACTIONS(3574),
    [anon_sym_PERCENT] = ACTIONS(3574),
    [anon_sym_LT_LT] = ACTIONS(3574),
    [anon_sym_GT_GT] = ACTIONS(3574),
    [anon_sym_AMP_CARET] = ACTIONS(3574),
    [anon_sym_PIPE] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(3572),
    [anon_sym_BANG_EQ] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3574),
    [anon_sym_LT_EQ] = ACTIONS(3572),
    [anon_sym_GT] = ACTIONS(3574),
    [anon_sym_GT_EQ] = ACTIONS(3572),
    [anon_sym_AMP_AMP] = ACTIONS(3572),
    [anon_sym_PIPE_PIPE] = ACTIONS(3572),
    [sym_comment] = ACTIONS(19),
  },
  [1473] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(4007),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1474] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1676),
    [anon_sym_STAR] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_PLUS] = ACTIONS(3601),
    [anon_sym_DASH] = ACTIONS(3601),
    [anon_sym_CARET] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3603),
    [anon_sym_SLASH] = ACTIONS(3603),
    [anon_sym_PERCENT] = ACTIONS(3599),
    [anon_sym_LT_LT] = ACTIONS(3599),
    [anon_sym_GT_GT] = ACTIONS(3599),
    [anon_sym_AMP_CARET] = ACTIONS(3599),
    [anon_sym_PIPE] = ACTIONS(3605),
    [anon_sym_EQ_EQ] = ACTIONS(3607),
    [anon_sym_BANG_EQ] = ACTIONS(3607),
    [anon_sym_LT] = ACTIONS(3609),
    [anon_sym_LT_EQ] = ACTIONS(3607),
    [anon_sym_GT] = ACTIONS(3609),
    [anon_sym_GT_EQ] = ACTIONS(3607),
    [anon_sym_AMP_AMP] = ACTIONS(3611),
    [anon_sym_PIPE_PIPE] = ACTIONS(3613),
    [sym_comment] = ACTIONS(19),
  },
  [1475] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(3603),
    [anon_sym_SLASH] = ACTIONS(3603),
    [anon_sym_PERCENT] = ACTIONS(3599),
    [anon_sym_LT_LT] = ACTIONS(3599),
    [anon_sym_GT_GT] = ACTIONS(3599),
    [anon_sym_AMP_CARET] = ACTIONS(3599),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1476] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3601),
    [anon_sym_DASH] = ACTIONS(3601),
    [anon_sym_CARET] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3603),
    [anon_sym_SLASH] = ACTIONS(3603),
    [anon_sym_PERCENT] = ACTIONS(3599),
    [anon_sym_LT_LT] = ACTIONS(3599),
    [anon_sym_GT_GT] = ACTIONS(3599),
    [anon_sym_AMP_CARET] = ACTIONS(3599),
    [anon_sym_PIPE] = ACTIONS(3605),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1477] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3601),
    [anon_sym_DASH] = ACTIONS(3601),
    [anon_sym_CARET] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3603),
    [anon_sym_SLASH] = ACTIONS(3603),
    [anon_sym_PERCENT] = ACTIONS(3599),
    [anon_sym_LT_LT] = ACTIONS(3599),
    [anon_sym_GT_GT] = ACTIONS(3599),
    [anon_sym_AMP_CARET] = ACTIONS(3599),
    [anon_sym_PIPE] = ACTIONS(3605),
    [anon_sym_EQ_EQ] = ACTIONS(3607),
    [anon_sym_BANG_EQ] = ACTIONS(3607),
    [anon_sym_LT] = ACTIONS(3609),
    [anon_sym_LT_EQ] = ACTIONS(3607),
    [anon_sym_GT] = ACTIONS(3609),
    [anon_sym_GT_EQ] = ACTIONS(3607),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1478] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3601),
    [anon_sym_DASH] = ACTIONS(3601),
    [anon_sym_CARET] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3603),
    [anon_sym_SLASH] = ACTIONS(3603),
    [anon_sym_PERCENT] = ACTIONS(3599),
    [anon_sym_LT_LT] = ACTIONS(3599),
    [anon_sym_GT_GT] = ACTIONS(3599),
    [anon_sym_AMP_CARET] = ACTIONS(3599),
    [anon_sym_PIPE] = ACTIONS(3605),
    [anon_sym_EQ_EQ] = ACTIONS(3607),
    [anon_sym_BANG_EQ] = ACTIONS(3607),
    [anon_sym_LT] = ACTIONS(3609),
    [anon_sym_LT_EQ] = ACTIONS(3607),
    [anon_sym_GT] = ACTIONS(3609),
    [anon_sym_GT_EQ] = ACTIONS(3607),
    [anon_sym_AMP_AMP] = ACTIONS(3611),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1479] = {
    [aux_sym_expression_list_repeat1] = STATE(1479),
    [anon_sym_COMMA] = ACTIONS(4009),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [sym_comment] = ACTIONS(19),
  },
  [1480] = {
    [sym_expression_list] = STATE(324),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3686),
    [sym_interpreted_string_literal] = ACTIONS(3686),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3686),
    [sym_rune_literal] = ACTIONS(3686),
    [sym_comment] = ACTIONS(19),
  },
  [1481] = {
    [anon_sym_EQ] = ACTIONS(4012),
    [sym_comment] = ACTIONS(19),
  },
  [1482] = {
    [aux_sym_const_spec_repeat1] = STATE(1482),
    [anon_sym_LF] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(541),
    [anon_sym_func] = ACTIONS(541),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(541),
    [anon_sym_struct] = ACTIONS(541),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_interface] = ACTIONS(541),
    [anon_sym_map] = ACTIONS(541),
    [anon_sym_chan] = ACTIONS(541),
    [anon_sym_LT_DASH] = ACTIONS(541),
    [anon_sym_case] = ACTIONS(541),
    [sym_default_case] = ACTIONS(541),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(59),
  },
  [1483] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(4014),
    [anon_sym_LBRACK] = ACTIONS(4016),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(4018),
    [anon_sym_case] = ACTIONS(753),
    [sym_default_case] = ACTIONS(753),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [1484] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1485] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(4020),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1486] = {
    [sym_parenthesized_type] = STATE(1533),
    [sym__simple_type] = STATE(1533),
    [sym_pointer_type] = STATE(1533),
    [sym_array_type] = STATE(1533),
    [sym_slice_type] = STATE(1533),
    [sym_struct_type] = STATE(1533),
    [sym_interface_type] = STATE(1533),
    [sym_map_type] = STATE(1533),
    [sym_channel_type] = STATE(1533),
    [sym_function_type] = STATE(1533),
    [sym_qualified_type] = STATE(1533),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1487] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(4022),
    [anon_sym_LT_DASH] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1488] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1489] = {
    [sym_expression_list] = STATE(347),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3686),
    [sym_interpreted_string_literal] = ACTIONS(3686),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3686),
    [sym_rune_literal] = ACTIONS(3686),
    [sym_comment] = ACTIONS(19),
  },
  [1490] = {
    [anon_sym_LF] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_EQ] = ACTIONS(4024),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_case] = ACTIONS(751),
    [sym_default_case] = ACTIONS(751),
    [sym_comment] = ACTIONS(59),
  },
  [1491] = {
    [sym_parameter_list] = STATE(335),
    [sym__simple_type] = STATE(335),
    [sym_pointer_type] = STATE(335),
    [sym_array_type] = STATE(335),
    [sym_slice_type] = STATE(335),
    [sym_struct_type] = STATE(335),
    [sym_interface_type] = STATE(335),
    [sym_map_type] = STATE(335),
    [sym_channel_type] = STATE(335),
    [sym_function_type] = STATE(335),
    [sym_qualified_type] = STATE(335),
    [anon_sym_LF] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(4026),
    [anon_sym_LBRACK] = ACTIONS(4028),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(4030),
    [anon_sym_case] = ACTIONS(753),
    [sym_default_case] = ACTIONS(753),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(59),
  },
  [1492] = {
    [sym_parenthesized_type] = STATE(336),
    [sym__simple_type] = STATE(336),
    [sym_pointer_type] = STATE(336),
    [sym_array_type] = STATE(336),
    [sym_slice_type] = STATE(336),
    [sym_struct_type] = STATE(336),
    [sym_interface_type] = STATE(336),
    [sym_map_type] = STATE(336),
    [sym_channel_type] = STATE(336),
    [sym_function_type] = STATE(336),
    [sym_qualified_type] = STATE(336),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1493] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(4032),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_AMP_CARET] = ACTIONS(665),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_EQ_EQ] = ACTIONS(677),
    [anon_sym_BANG_EQ] = ACTIONS(677),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_LT_EQ] = ACTIONS(677),
    [anon_sym_GT] = ACTIONS(679),
    [anon_sym_GT_EQ] = ACTIONS(677),
    [anon_sym_AMP_AMP] = ACTIONS(681),
    [anon_sym_PIPE_PIPE] = ACTIONS(683),
    [sym_comment] = ACTIONS(19),
  },
  [1494] = {
    [sym_parenthesized_type] = STATE(1537),
    [sym__simple_type] = STATE(1537),
    [sym_pointer_type] = STATE(1537),
    [sym_array_type] = STATE(1537),
    [sym_slice_type] = STATE(1537),
    [sym_struct_type] = STATE(1537),
    [sym_interface_type] = STATE(1537),
    [sym_map_type] = STATE(1537),
    [sym_channel_type] = STATE(1537),
    [sym_function_type] = STATE(1537),
    [sym_qualified_type] = STATE(1537),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(703),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(705),
    [anon_sym_chan] = ACTIONS(707),
    [anon_sym_LT_DASH] = ACTIONS(709),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1495] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(4034),
    [anon_sym_LT_DASH] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1496] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1497] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(1678),
    [sym_default_case] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_CARET] = ACTIONS(3660),
    [anon_sym_AMP] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3658),
    [anon_sym_GT_GT] = ACTIONS(3658),
    [anon_sym_AMP_CARET] = ACTIONS(3658),
    [anon_sym_PIPE] = ACTIONS(3660),
    [anon_sym_EQ_EQ] = ACTIONS(3662),
    [anon_sym_BANG_EQ] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_LT_EQ] = ACTIONS(3662),
    [anon_sym_GT] = ACTIONS(3662),
    [anon_sym_GT_EQ] = ACTIONS(3662),
    [anon_sym_AMP_AMP] = ACTIONS(3664),
    [anon_sym_PIPE_PIPE] = ACTIONS(3666),
    [sym_comment] = ACTIONS(59),
  },
  [1498] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3658),
    [anon_sym_GT_GT] = ACTIONS(3658),
    [anon_sym_AMP_CARET] = ACTIONS(3658),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1499] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_CARET] = ACTIONS(3660),
    [anon_sym_AMP] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3658),
    [anon_sym_GT_GT] = ACTIONS(3658),
    [anon_sym_AMP_CARET] = ACTIONS(3658),
    [anon_sym_PIPE] = ACTIONS(3660),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1500] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_CARET] = ACTIONS(3660),
    [anon_sym_AMP] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3658),
    [anon_sym_GT_GT] = ACTIONS(3658),
    [anon_sym_AMP_CARET] = ACTIONS(3658),
    [anon_sym_PIPE] = ACTIONS(3660),
    [anon_sym_EQ_EQ] = ACTIONS(3662),
    [anon_sym_BANG_EQ] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_LT_EQ] = ACTIONS(3662),
    [anon_sym_GT] = ACTIONS(3662),
    [anon_sym_GT_EQ] = ACTIONS(3662),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1501] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_CARET] = ACTIONS(3660),
    [anon_sym_AMP] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3658),
    [anon_sym_GT_GT] = ACTIONS(3658),
    [anon_sym_AMP_CARET] = ACTIONS(3658),
    [anon_sym_PIPE] = ACTIONS(3660),
    [anon_sym_EQ_EQ] = ACTIONS(3662),
    [anon_sym_BANG_EQ] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_LT_EQ] = ACTIONS(3662),
    [anon_sym_GT] = ACTIONS(3662),
    [anon_sym_GT_EQ] = ACTIONS(3662),
    [anon_sym_AMP_AMP] = ACTIONS(3664),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1502] = {
    [aux_sym_expression_list_repeat1] = STATE(1502),
    [anon_sym_LF] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(1678),
    [sym_default_case] = ACTIONS(1678),
    [sym_comment] = ACTIONS(59),
  },
  [1503] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_CARET] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_PERCENT] = ACTIONS(3668),
    [anon_sym_LT_LT] = ACTIONS(3668),
    [anon_sym_GT_GT] = ACTIONS(3668),
    [anon_sym_AMP_CARET] = ACTIONS(3668),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1504] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3670),
    [anon_sym_DASH] = ACTIONS(3670),
    [anon_sym_CARET] = ACTIONS(3670),
    [anon_sym_AMP] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_PERCENT] = ACTIONS(3668),
    [anon_sym_LT_LT] = ACTIONS(3668),
    [anon_sym_GT_GT] = ACTIONS(3668),
    [anon_sym_AMP_CARET] = ACTIONS(3668),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_EQ_EQ] = ACTIONS(1682),
    [anon_sym_BANG_EQ] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1682),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1682),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1505] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3670),
    [anon_sym_DASH] = ACTIONS(3670),
    [anon_sym_CARET] = ACTIONS(3670),
    [anon_sym_AMP] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_PERCENT] = ACTIONS(3668),
    [anon_sym_LT_LT] = ACTIONS(3668),
    [anon_sym_GT_GT] = ACTIONS(3668),
    [anon_sym_AMP_CARET] = ACTIONS(3668),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_EQ_EQ] = ACTIONS(3672),
    [anon_sym_BANG_EQ] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_LT_EQ] = ACTIONS(3672),
    [anon_sym_GT] = ACTIONS(3672),
    [anon_sym_GT_EQ] = ACTIONS(3672),
    [anon_sym_AMP_AMP] = ACTIONS(1682),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1506] = {
    [sym_argument_list] = STATE(283),
    [anon_sym_LF] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_DOT] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_case] = ACTIONS(1682),
    [sym_default_case] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(3670),
    [anon_sym_DASH] = ACTIONS(3670),
    [anon_sym_CARET] = ACTIONS(3670),
    [anon_sym_AMP] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_PERCENT] = ACTIONS(3668),
    [anon_sym_LT_LT] = ACTIONS(3668),
    [anon_sym_GT_GT] = ACTIONS(3668),
    [anon_sym_AMP_CARET] = ACTIONS(3668),
    [anon_sym_PIPE] = ACTIONS(3670),
    [anon_sym_EQ_EQ] = ACTIONS(3672),
    [anon_sym_BANG_EQ] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_LT_EQ] = ACTIONS(3672),
    [anon_sym_GT] = ACTIONS(3672),
    [anon_sym_GT_EQ] = ACTIONS(3672),
    [anon_sym_AMP_AMP] = ACTIONS(3674),
    [anon_sym_PIPE_PIPE] = ACTIONS(1682),
    [sym_comment] = ACTIONS(59),
  },
  [1507] = {
    [sym_else_clause] = STATE(1170),
    [anon_sym_LF] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(2962),
    [anon_sym_else] = ACTIONS(3912),
    [anon_sym_case] = ACTIONS(2962),
    [sym_default_case] = ACTIONS(2962),
    [sym_comment] = ACTIONS(59),
  },
  [1508] = {
    [sym_block] = STATE(1179),
    [sym_if_statement] = STATE(1179),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(4039),
    [sym_comment] = ACTIONS(19),
  },
  [1509] = {
    [sym__declaration] = STATE(870),
    [sym_const_declaration] = STATE(870),
    [sym_var_declaration] = STATE(870),
    [sym_type_declaration] = STATE(870),
    [sym_expression_list] = STATE(1213),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(870),
    [sym__statement] = STATE(870),
    [sym_empty_statement] = STATE(870),
    [sym__simple_statement] = STATE(870),
    [sym_send_statement] = STATE(870),
    [sym_inc_statement] = STATE(870),
    [sym_dec_statement] = STATE(870),
    [sym_assignment_statement] = STATE(870),
    [sym_short_var_declaration] = STATE(870),
    [sym_labeled_statement] = STATE(870),
    [sym_fallthrough_statement] = STATE(870),
    [sym_break_statement] = STATE(870),
    [sym_continue_statement] = STATE(870),
    [sym_goto_statement] = STATE(870),
    [sym_return_statement] = STATE(870),
    [sym_go_statement] = STATE(870),
    [sym_defer_statement] = STATE(870),
    [sym_if_statement] = STATE(870),
    [sym_for_statement] = STATE(870),
    [sym_expression_switch_statement] = STATE(870),
    [sym_type_switch_statement] = STATE(870),
    [sym_select_statement] = STATE(870),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_func_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_binary_expression] = STATE(1216),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1216),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(3042),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(3054),
    [anon_sym_go] = ACTIONS(3056),
    [anon_sym_defer] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3684),
    [sym_raw_string_literal] = ACTIONS(3068),
    [sym_interpreted_string_literal] = ACTIONS(3068),
    [sym_int_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3070),
    [sym_imaginary_literal] = ACTIONS(3068),
    [sym_rune_literal] = ACTIONS(3068),
    [sym_comment] = ACTIONS(19),
  },
  [1510] = {
    [sym__declaration] = STATE(874),
    [sym_const_declaration] = STATE(874),
    [sym_var_declaration] = STATE(874),
    [sym_type_declaration] = STATE(874),
    [sym_expression_list] = STATE(1213),
    [sym_parenthesized_type] = STATE(389),
    [sym__simple_type] = STATE(389),
    [sym_pointer_type] = STATE(389),
    [sym_array_type] = STATE(390),
    [sym_implicit_length_array_type] = STATE(391),
    [sym_slice_type] = STATE(390),
    [sym_struct_type] = STATE(390),
    [sym_interface_type] = STATE(389),
    [sym_map_type] = STATE(390),
    [sym_channel_type] = STATE(389),
    [sym_function_type] = STATE(389),
    [sym_block] = STATE(874),
    [sym__statement] = STATE(874),
    [sym_empty_statement] = STATE(874),
    [sym__simple_statement] = STATE(874),
    [sym_send_statement] = STATE(874),
    [sym_inc_statement] = STATE(874),
    [sym_dec_statement] = STATE(874),
    [sym_assignment_statement] = STATE(874),
    [sym_short_var_declaration] = STATE(874),
    [sym_labeled_statement] = STATE(874),
    [sym_fallthrough_statement] = STATE(874),
    [sym_break_statement] = STATE(874),
    [sym_continue_statement] = STATE(874),
    [sym_goto_statement] = STATE(874),
    [sym_return_statement] = STATE(874),
    [sym_go_statement] = STATE(874),
    [sym_defer_statement] = STATE(874),
    [sym_if_statement] = STATE(874),
    [sym_for_statement] = STATE(874),
    [sym_expression_switch_statement] = STATE(874),
    [sym_type_switch_statement] = STATE(874),
    [sym_select_statement] = STATE(874),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_func_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_binary_expression] = STATE(1216),
    [sym_qualified_type] = STATE(390),
    [sym__string_literal] = STATE(1216),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_const] = ACTIONS(3042),
    [anon_sym_var] = ACTIONS(3044),
    [anon_sym_func] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3052),
    [anon_sym_fallthrough] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(843),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_goto] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(3054),
    [anon_sym_go] = ACTIONS(3056),
    [anon_sym_defer] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_select] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(863),
    [anon_sym_make] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [sym_identifier] = ACTIONS(3684),
    [sym_raw_string_literal] = ACTIONS(3068),
    [sym_interpreted_string_literal] = ACTIONS(3068),
    [sym_int_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3070),
    [sym_imaginary_literal] = ACTIONS(3068),
    [sym_rune_literal] = ACTIONS(3068),
    [sym_comment] = ACTIONS(19),
  },
  [1511] = {
    [anon_sym_LBRACE] = ACTIONS(4041),
    [sym_comment] = ACTIONS(19),
  },
  [1512] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3718),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(3722),
    [anon_sym_SLASH] = ACTIONS(3722),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_AMP_CARET] = ACTIONS(3718),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1513] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3718),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(3720),
    [anon_sym_DASH] = ACTIONS(3720),
    [anon_sym_CARET] = ACTIONS(3720),
    [anon_sym_AMP] = ACTIONS(3722),
    [anon_sym_SLASH] = ACTIONS(3722),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_AMP_CARET] = ACTIONS(3718),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1514] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3718),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(3720),
    [anon_sym_DASH] = ACTIONS(3720),
    [anon_sym_CARET] = ACTIONS(3720),
    [anon_sym_AMP] = ACTIONS(3722),
    [anon_sym_SLASH] = ACTIONS(3722),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_AMP_CARET] = ACTIONS(3718),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_EQ_EQ] = ACTIONS(3726),
    [anon_sym_BANG_EQ] = ACTIONS(3726),
    [anon_sym_LT] = ACTIONS(3728),
    [anon_sym_LT_EQ] = ACTIONS(3726),
    [anon_sym_GT] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3726),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1515] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3718),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(3720),
    [anon_sym_DASH] = ACTIONS(3720),
    [anon_sym_CARET] = ACTIONS(3720),
    [anon_sym_AMP] = ACTIONS(3722),
    [anon_sym_SLASH] = ACTIONS(3722),
    [anon_sym_PERCENT] = ACTIONS(3718),
    [anon_sym_LT_LT] = ACTIONS(3718),
    [anon_sym_GT_GT] = ACTIONS(3718),
    [anon_sym_AMP_CARET] = ACTIONS(3718),
    [anon_sym_PIPE] = ACTIONS(3724),
    [anon_sym_EQ_EQ] = ACTIONS(3726),
    [anon_sym_BANG_EQ] = ACTIONS(3726),
    [anon_sym_LT] = ACTIONS(3728),
    [anon_sym_LT_EQ] = ACTIONS(3726),
    [anon_sym_GT] = ACTIONS(3728),
    [anon_sym_GT_EQ] = ACTIONS(3726),
    [anon_sym_AMP_AMP] = ACTIONS(3730),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1516] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(3744),
    [anon_sym_SLASH] = ACTIONS(3744),
    [anon_sym_PERCENT] = ACTIONS(3740),
    [anon_sym_LT_LT] = ACTIONS(3740),
    [anon_sym_GT_GT] = ACTIONS(3740),
    [anon_sym_AMP_CARET] = ACTIONS(3740),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1517] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_CARET] = ACTIONS(3742),
    [anon_sym_AMP] = ACTIONS(3744),
    [anon_sym_SLASH] = ACTIONS(3744),
    [anon_sym_PERCENT] = ACTIONS(3740),
    [anon_sym_LT_LT] = ACTIONS(3740),
    [anon_sym_GT_GT] = ACTIONS(3740),
    [anon_sym_AMP_CARET] = ACTIONS(3740),
    [anon_sym_PIPE] = ACTIONS(3746),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1518] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_CARET] = ACTIONS(3742),
    [anon_sym_AMP] = ACTIONS(3744),
    [anon_sym_SLASH] = ACTIONS(3744),
    [anon_sym_PERCENT] = ACTIONS(3740),
    [anon_sym_LT_LT] = ACTIONS(3740),
    [anon_sym_GT_GT] = ACTIONS(3740),
    [anon_sym_AMP_CARET] = ACTIONS(3740),
    [anon_sym_PIPE] = ACTIONS(3746),
    [anon_sym_EQ_EQ] = ACTIONS(3748),
    [anon_sym_BANG_EQ] = ACTIONS(3748),
    [anon_sym_LT] = ACTIONS(3750),
    [anon_sym_LT_EQ] = ACTIONS(3748),
    [anon_sym_GT] = ACTIONS(3750),
    [anon_sym_GT_EQ] = ACTIONS(3748),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1519] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_CARET] = ACTIONS(3742),
    [anon_sym_AMP] = ACTIONS(3744),
    [anon_sym_SLASH] = ACTIONS(3744),
    [anon_sym_PERCENT] = ACTIONS(3740),
    [anon_sym_LT_LT] = ACTIONS(3740),
    [anon_sym_GT_GT] = ACTIONS(3740),
    [anon_sym_AMP_CARET] = ACTIONS(3740),
    [anon_sym_PIPE] = ACTIONS(3746),
    [anon_sym_EQ_EQ] = ACTIONS(3748),
    [anon_sym_BANG_EQ] = ACTIONS(3748),
    [anon_sym_LT] = ACTIONS(3750),
    [anon_sym_LT_EQ] = ACTIONS(3748),
    [anon_sym_GT] = ACTIONS(3750),
    [anon_sym_GT_EQ] = ACTIONS(3748),
    [anon_sym_AMP_AMP] = ACTIONS(3752),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1520] = {
    [sym_parenthesized_type] = STATE(774),
    [sym__simple_type] = STATE(774),
    [sym_pointer_type] = STATE(774),
    [sym_array_type] = STATE(774),
    [sym_slice_type] = STATE(774),
    [sym_struct_type] = STATE(774),
    [sym_interface_type] = STATE(774),
    [sym_map_type] = STATE(774),
    [sym_channel_type] = STATE(774),
    [sym_function_type] = STATE(774),
    [sym_qualified_type] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(3124),
    [anon_sym_chan] = ACTIONS(3126),
    [anon_sym_LT_DASH] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(111),
    [sym_comment] = ACTIONS(19),
  },
  [1521] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(3777),
    [anon_sym_SLASH] = ACTIONS(3777),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT_LT] = ACTIONS(3771),
    [anon_sym_GT_GT] = ACTIONS(3771),
    [anon_sym_AMP_CARET] = ACTIONS(3771),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1522] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_CARET] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3777),
    [anon_sym_SLASH] = ACTIONS(3777),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT_LT] = ACTIONS(3771),
    [anon_sym_GT_GT] = ACTIONS(3771),
    [anon_sym_AMP_CARET] = ACTIONS(3771),
    [anon_sym_PIPE] = ACTIONS(3779),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1523] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_CARET] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3777),
    [anon_sym_SLASH] = ACTIONS(3777),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT_LT] = ACTIONS(3771),
    [anon_sym_GT_GT] = ACTIONS(3771),
    [anon_sym_AMP_CARET] = ACTIONS(3771),
    [anon_sym_PIPE] = ACTIONS(3779),
    [anon_sym_EQ_EQ] = ACTIONS(3781),
    [anon_sym_BANG_EQ] = ACTIONS(3781),
    [anon_sym_LT] = ACTIONS(3783),
    [anon_sym_LT_EQ] = ACTIONS(3781),
    [anon_sym_GT] = ACTIONS(3783),
    [anon_sym_GT_EQ] = ACTIONS(3781),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1524] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3775),
    [anon_sym_DASH] = ACTIONS(3775),
    [anon_sym_CARET] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3777),
    [anon_sym_SLASH] = ACTIONS(3777),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT_LT] = ACTIONS(3771),
    [anon_sym_GT_GT] = ACTIONS(3771),
    [anon_sym_AMP_CARET] = ACTIONS(3771),
    [anon_sym_PIPE] = ACTIONS(3779),
    [anon_sym_EQ_EQ] = ACTIONS(3781),
    [anon_sym_BANG_EQ] = ACTIONS(3781),
    [anon_sym_LT] = ACTIONS(3783),
    [anon_sym_LT_EQ] = ACTIONS(3781),
    [anon_sym_GT] = ACTIONS(3783),
    [anon_sym_GT_EQ] = ACTIONS(3781),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1525] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(3793),
    [anon_sym_SLASH] = ACTIONS(3793),
    [anon_sym_PERCENT] = ACTIONS(3789),
    [anon_sym_LT_LT] = ACTIONS(3789),
    [anon_sym_GT_GT] = ACTIONS(3789),
    [anon_sym_AMP_CARET] = ACTIONS(3789),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1526] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3793),
    [anon_sym_SLASH] = ACTIONS(3793),
    [anon_sym_PERCENT] = ACTIONS(3789),
    [anon_sym_LT_LT] = ACTIONS(3789),
    [anon_sym_GT_GT] = ACTIONS(3789),
    [anon_sym_AMP_CARET] = ACTIONS(3789),
    [anon_sym_PIPE] = ACTIONS(3795),
    [anon_sym_EQ_EQ] = ACTIONS(1680),
    [anon_sym_BANG_EQ] = ACTIONS(1680),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_LT_EQ] = ACTIONS(1680),
    [anon_sym_GT] = ACTIONS(1682),
    [anon_sym_GT_EQ] = ACTIONS(1680),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1527] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3793),
    [anon_sym_SLASH] = ACTIONS(3793),
    [anon_sym_PERCENT] = ACTIONS(3789),
    [anon_sym_LT_LT] = ACTIONS(3789),
    [anon_sym_GT_GT] = ACTIONS(3789),
    [anon_sym_AMP_CARET] = ACTIONS(3789),
    [anon_sym_PIPE] = ACTIONS(3795),
    [anon_sym_EQ_EQ] = ACTIONS(3797),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_LT] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3797),
    [anon_sym_GT] = ACTIONS(3799),
    [anon_sym_GT_EQ] = ACTIONS(3797),
    [anon_sym_AMP_AMP] = ACTIONS(1680),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1528] = {
    [sym_argument_list] = STATE(305),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_COLON_EQ] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3793),
    [anon_sym_SLASH] = ACTIONS(3793),
    [anon_sym_PERCENT] = ACTIONS(3789),
    [anon_sym_LT_LT] = ACTIONS(3789),
    [anon_sym_GT_GT] = ACTIONS(3789),
    [anon_sym_AMP_CARET] = ACTIONS(3789),
    [anon_sym_PIPE] = ACTIONS(3795),
    [anon_sym_EQ_EQ] = ACTIONS(3797),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_LT] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3797),
    [anon_sym_GT] = ACTIONS(3799),
    [anon_sym_GT_EQ] = ACTIONS(3797),
    [anon_sym_AMP_AMP] = ACTIONS(3801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1680),
    [sym_comment] = ACTIONS(19),
  },
  [1529] = {
    [anon_sym_LF] = ACTIONS(3814),
    [anon_sym_SEMI] = ACTIONS(3816),
    [anon_sym_DOT] = ACTIONS(3816),
    [anon_sym_LPAREN] = ACTIONS(3816),
    [anon_sym_COMMA] = ACTIONS(3816),
    [anon_sym_EQ] = ACTIONS(3816),
    [anon_sym_STAR] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3816),
    [anon_sym_RBRACE] = ACTIONS(3816),
    [anon_sym_LT_DASH] = ACTIONS(3816),
    [anon_sym_COLON_EQ] = ACTIONS(3816),
    [anon_sym_PLUS_PLUS] = ACTIONS(3816),
    [anon_sym_DASH_DASH] = ACTIONS(3816),
    [anon_sym_STAR_EQ] = ACTIONS(3816),
    [anon_sym_SLASH_EQ] = ACTIONS(3816),
    [anon_sym_PERCENT_EQ] = ACTIONS(3816),
    [anon_sym_LT_LT_EQ] = ACTIONS(3816),
    [anon_sym_GT_GT_EQ] = ACTIONS(3816),
    [anon_sym_AMP_EQ] = ACTIONS(3816),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3816),
    [anon_sym_PLUS_EQ] = ACTIONS(3816),
    [anon_sym_DASH_EQ] = ACTIONS(3816),
    [anon_sym_PIPE_EQ] = ACTIONS(3816),
    [anon_sym_CARET_EQ] = ACTIONS(3816),
    [anon_sym_case] = ACTIONS(3816),
    [sym_default_case] = ACTIONS(3816),
    [anon_sym_PLUS] = ACTIONS(3816),
    [anon_sym_DASH] = ACTIONS(3816),
    [anon_sym_CARET] = ACTIONS(3816),
    [anon_sym_AMP] = ACTIONS(3816),
    [anon_sym_SLASH] = ACTIONS(3816),
    [anon_sym_PERCENT] = ACTIONS(3816),
    [anon_sym_LT_LT] = ACTIONS(3816),
    [anon_sym_GT_GT] = ACTIONS(3816),
    [anon_sym_AMP_CARET] = ACTIONS(3816),
    [anon_sym_PIPE] = ACTIONS(3816),
    [anon_sym_EQ_EQ] = ACTIONS(3816),
    [anon_sym_BANG_EQ] = ACTIONS(3816),
    [anon_sym_LT] = ACTIONS(3816),
    [anon_sym_LT_EQ] = ACTIONS(3816),
    [anon_sym_GT] = ACTIONS(3816),
    [anon_sym_GT_EQ] = ACTIONS(3816),
    [anon_sym_AMP_AMP] = ACTIONS(3816),
    [anon_sym_PIPE_PIPE] = ACTIONS(3816),
    [sym_comment] = ACTIONS(59),
  },
  [1530] = {
    [anon_sym_SEMI] = ACTIONS(3814),
    [anon_sym_DOT] = ACTIONS(3814),
    [anon_sym_LPAREN] = ACTIONS(3814),
    [anon_sym_COMMA] = ACTIONS(3814),
    [anon_sym_EQ] = ACTIONS(3816),
    [anon_sym_STAR] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3814),
    [anon_sym_LBRACE] = ACTIONS(3814),
    [anon_sym_LT_DASH] = ACTIONS(3814),
    [anon_sym_COLON_EQ] = ACTIONS(3814),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_STAR_EQ] = ACTIONS(3814),
    [anon_sym_SLASH_EQ] = ACTIONS(3814),
    [anon_sym_PERCENT_EQ] = ACTIONS(3814),
    [anon_sym_LT_LT_EQ] = ACTIONS(3814),
    [anon_sym_GT_GT_EQ] = ACTIONS(3814),
    [anon_sym_AMP_EQ] = ACTIONS(3814),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(3814),
    [anon_sym_PLUS_EQ] = ACTIONS(3814),
    [anon_sym_DASH_EQ] = ACTIONS(3814),
    [anon_sym_PIPE_EQ] = ACTIONS(3814),
    [anon_sym_CARET_EQ] = ACTIONS(3814),
    [anon_sym_PLUS] = ACTIONS(3816),
    [anon_sym_DASH] = ACTIONS(3816),
    [anon_sym_CARET] = ACTIONS(3816),
    [anon_sym_AMP] = ACTIONS(3816),
    [anon_sym_SLASH] = ACTIONS(3816),
    [anon_sym_PERCENT] = ACTIONS(3816),
    [anon_sym_LT_LT] = ACTIONS(3816),
    [anon_sym_GT_GT] = ACTIONS(3816),
    [anon_sym_AMP_CARET] = ACTIONS(3816),
    [anon_sym_PIPE] = ACTIONS(3816),
    [anon_sym_EQ_EQ] = ACTIONS(3814),
    [anon_sym_BANG_EQ] = ACTIONS(3814),
    [anon_sym_LT] = ACTIONS(3816),
    [anon_sym_LT_EQ] = ACTIONS(3814),
    [anon_sym_GT] = ACTIONS(3816),
    [anon_sym_GT_EQ] = ACTIONS(3814),
    [anon_sym_AMP_AMP] = ACTIONS(3814),
    [anon_sym_PIPE_PIPE] = ACTIONS(3814),
    [sym_comment] = ACTIONS(19),
  },
  [1531] = {
    [sym_expression_list] = STATE(540),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3686),
    [sym_interpreted_string_literal] = ACTIONS(3686),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3686),
    [sym_rune_literal] = ACTIONS(3686),
    [sym_comment] = ACTIONS(19),
  },
  [1532] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1533] = {
    [anon_sym_RBRACK] = ACTIONS(4043),
    [sym_comment] = ACTIONS(19),
  },
  [1534] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3856),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1535] = {
    [sym_expression_list] = STATE(556),
    [sym_parenthesized_type] = STATE(128),
    [sym__simple_type] = STATE(128),
    [sym_pointer_type] = STATE(128),
    [sym_array_type] = STATE(129),
    [sym_implicit_length_array_type] = STATE(130),
    [sym_slice_type] = STATE(129),
    [sym_struct_type] = STATE(129),
    [sym_interface_type] = STATE(128),
    [sym_map_type] = STATE(129),
    [sym_channel_type] = STATE(128),
    [sym_function_type] = STATE(128),
    [sym__expression] = STATE(1318),
    [sym_parenthesized_expression] = STATE(1318),
    [sym_call_expression] = STATE(1318),
    [sym_selector_expression] = STATE(1318),
    [sym_index_expression] = STATE(1318),
    [sym_slice_expression] = STATE(1318),
    [sym_type_assertion_expression] = STATE(1318),
    [sym_type_conversion_expression] = STATE(1318),
    [sym_composite_literal] = STATE(1318),
    [sym_func_literal] = STATE(1318),
    [sym_unary_expression] = STATE(1318),
    [sym_binary_expression] = STATE(1318),
    [sym_qualified_type] = STATE(129),
    [sym__string_literal] = STATE(1318),
    [anon_sym_LPAREN] = ACTIONS(263),
    [anon_sym_func] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(269),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(103),
    [anon_sym_map] = ACTIONS(271),
    [anon_sym_chan] = ACTIONS(273),
    [anon_sym_LT_DASH] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(277),
    [anon_sym_make] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_CARET] = ACTIONS(3654),
    [anon_sym_AMP] = ACTIONS(3654),
    [sym_identifier] = ACTIONS(281),
    [sym_raw_string_literal] = ACTIONS(3686),
    [sym_interpreted_string_literal] = ACTIONS(3686),
    [sym_int_literal] = ACTIONS(3390),
    [sym_float_literal] = ACTIONS(3390),
    [sym_imaginary_literal] = ACTIONS(3686),
    [sym_rune_literal] = ACTIONS(3686),
    [sym_comment] = ACTIONS(19),
  },
  [1536] = {
    [sym_parenthesized_type] = STATE(545),
    [sym__simple_type] = STATE(545),
    [sym_pointer_type] = STATE(545),
    [sym_array_type] = STATE(545),
    [sym_slice_type] = STATE(545),
    [sym_struct_type] = STATE(545),
    [sym_interface_type] = STATE(545),
    [sym_map_type] = STATE(545),
    [sym_channel_type] = STATE(545),
    [sym_function_type] = STATE(545),
    [sym_qualified_type] = STATE(545),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1537] = {
    [anon_sym_RBRACK] = ACTIONS(4045),
    [sym_comment] = ACTIONS(19),
  },
  [1538] = {
    [sym_parenthesized_type] = STATE(345),
    [sym__simple_type] = STATE(345),
    [sym_pointer_type] = STATE(345),
    [sym_array_type] = STATE(345),
    [sym_slice_type] = STATE(345),
    [sym_struct_type] = STATE(345),
    [sym_interface_type] = STATE(345),
    [sym_map_type] = STATE(345),
    [sym_channel_type] = STATE(345),
    [sym_function_type] = STATE(345),
    [sym_qualified_type] = STATE(345),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3872),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1539] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3630),
    [anon_sym_chan] = ACTIONS(3632),
    [anon_sym_LT_DASH] = ACTIONS(3634),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
  [1540] = {
    [sym_parenthesized_type] = STATE(782),
    [sym__simple_type] = STATE(782),
    [sym_pointer_type] = STATE(782),
    [sym_array_type] = STATE(782),
    [sym_slice_type] = STATE(782),
    [sym_struct_type] = STATE(782),
    [sym_interface_type] = STATE(782),
    [sym_map_type] = STATE(782),
    [sym_channel_type] = STATE(782),
    [sym_function_type] = STATE(782),
    [sym_qualified_type] = STATE(782),
    [anon_sym_LPAREN] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_interface] = ACTIONS(135),
    [anon_sym_map] = ACTIONS(3644),
    [anon_sym_chan] = ACTIONS(3646),
    [anon_sym_LT_DASH] = ACTIONS(3648),
    [sym_identifier] = ACTIONS(143),
    [sym_comment] = ACTIONS(19),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = true}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, RECOVER(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 0),
  [7] = {.count = 1, .reusable = true}, SHIFT(2),
  [9] = {.count = 1, .reusable = true}, SHIFT(3),
  [11] = {.count = 1, .reusable = true}, SHIFT(4),
  [13] = {.count = 1, .reusable = true}, SHIFT(5),
  [15] = {.count = 1, .reusable = true}, SHIFT(6),
  [17] = {.count = 1, .reusable = true}, SHIFT(7),
  [19] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [21] = {.count = 1, .reusable = true}, SHIFT(11),
  [23] = {.count = 1, .reusable = true}, SHIFT(12),
  [25] = {.count = 1, .reusable = false}, SHIFT(13),
  [27] = {.count = 1, .reusable = true}, SHIFT(14),
  [29] = {.count = 1, .reusable = false}, SHIFT(15),
  [31] = {.count = 1, .reusable = true}, SHIFT(17),
  [33] = {.count = 1, .reusable = true}, SHIFT(18),
  [35] = {.count = 1, .reusable = true}, SHIFT(19),
  [37] = {.count = 1, .reusable = true}, SHIFT(21),
  [39] = {.count = 1, .reusable = true}, SHIFT(22),
  [41] = {.count = 1, .reusable = true}, SHIFT(24),
  [43] = {.count = 1, .reusable = true}, SHIFT(25),
  [45] = {.count = 1, .reusable = true}, SHIFT(27),
  [47] = {.count = 1, .reusable = true}, SHIFT(28),
  [49] = {.count = 1, .reusable = true}, ACCEPT_INPUT(),
  [51] = {.count = 1, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 1),
  [53] = {.count = 1, .reusable = true}, SHIFT(30),
  [55] = {.count = 1, .reusable = false}, SHIFT(30),
  [57] = {.count = 1, .reusable = false}, REDUCE(aux_sym_source_file_repeat1, 1),
  [59] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [61] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 1),
  [63] = {.count = 1, .reusable = true}, REDUCE(sym_package_clause, 2, .alias_sequence_id = 1),
  [65] = {.count = 1, .reusable = false}, REDUCE(sym_package_clause, 2, .alias_sequence_id = 1),
  [67] = {.count = 1, .reusable = true}, REDUCE(sym_dot, 1),
  [69] = {.count = 1, .reusable = true}, SHIFT(32),
  [71] = {.count = 1, .reusable = true}, SHIFT(33),
  [73] = {.count = 1, .reusable = true}, SHIFT(36),
  [75] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 2),
  [77] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 2),
  [79] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 1),
  [81] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 1),
  [83] = {.count = 1, .reusable = true}, SHIFT(37),
  [85] = {.count = 1, .reusable = true}, SHIFT(38),
  [87] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 1),
  [89] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 1),
  [91] = {.count = 1, .reusable = false}, SHIFT(41),
  [93] = {.count = 1, .reusable = false}, SHIFT(42),
  [95] = {.count = 1, .reusable = false}, SHIFT(43),
  [97] = {.count = 1, .reusable = false}, SHIFT(45),
  [99] = {.count = 1, .reusable = false}, SHIFT(46),
  [101] = {.count = 1, .reusable = false}, SHIFT(47),
  [103] = {.count = 1, .reusable = false}, SHIFT(48),
  [105] = {.count = 1, .reusable = false}, SHIFT(49),
  [107] = {.count = 1, .reusable = false}, SHIFT(50),
  [109] = {.count = 1, .reusable = false}, SHIFT(51),
  [111] = {.count = 1, .reusable = false}, SHIFT(52),
  [113] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 2),
  [115] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 2),
  [117] = {.count = 1, .reusable = true}, SHIFT(55),
  [119] = {.count = 1, .reusable = true}, SHIFT(56),
  [121] = {.count = 1, .reusable = true}, SHIFT(59),
  [123] = {.count = 1, .reusable = true}, SHIFT(60),
  [125] = {.count = 1, .reusable = true}, SHIFT(61),
  [127] = {.count = 1, .reusable = false}, SHIFT(62),
  [129] = {.count = 1, .reusable = true}, SHIFT(63),
  [131] = {.count = 1, .reusable = true}, SHIFT(64),
  [133] = {.count = 1, .reusable = false}, SHIFT(65),
  [135] = {.count = 1, .reusable = false}, SHIFT(66),
  [137] = {.count = 1, .reusable = false}, SHIFT(67),
  [139] = {.count = 1, .reusable = false}, SHIFT(68),
  [141] = {.count = 1, .reusable = true}, SHIFT(69),
  [143] = {.count = 1, .reusable = false}, SHIFT(70),
  [145] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 2),
  [147] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 2),
  [149] = {.count = 1, .reusable = true}, SHIFT(41),
  [151] = {.count = 1, .reusable = true}, SHIFT(73),
  [153] = {.count = 1, .reusable = true}, SHIFT(74),
  [155] = {.count = 1, .reusable = false}, SHIFT(75),
  [157] = {.count = 1, .reusable = true}, SHIFT(76),
  [159] = {.count = 1, .reusable = true}, SHIFT(77),
  [161] = {.count = 1, .reusable = true}, SHIFT(78),
  [163] = {.count = 1, .reusable = false}, SHIFT(79),
  [165] = {.count = 1, .reusable = false}, SHIFT(80),
  [167] = {.count = 1, .reusable = true}, SHIFT(81),
  [169] = {.count = 1, .reusable = false}, SHIFT(82),
  [171] = {.count = 1, .reusable = true}, SHIFT(85),
  [173] = {.count = 1, .reusable = true}, SHIFT(87),
  [175] = {.count = 1, .reusable = true}, SHIFT(88),
  [177] = {.count = 1, .reusable = true}, SHIFT(89),
  [179] = {.count = 1, .reusable = true}, SHIFT(92),
  [181] = {.count = 1, .reusable = false}, SHIFT(93),
  [183] = {.count = 1, .reusable = true}, SHIFT(94),
  [185] = {.count = 1, .reusable = true}, SHIFT(95),
  [187] = {.count = 1, .reusable = false}, SHIFT(96),
  [189] = {.count = 1, .reusable = false}, SHIFT(97),
  [191] = {.count = 1, .reusable = true}, SHIFT(98),
  [193] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 2),
  [195] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 2),
  [197] = {.count = 1, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2),
  [199] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2),
  [202] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3),
  [205] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4),
  [208] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(5),
  [211] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(6),
  [214] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(7),
  [217] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 2),
  [219] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 2),
  [221] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec_list, 2),
  [223] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec_list, 2),
  [225] = {.count = 1, .reusable = true}, SHIFT(100),
  [227] = {.count = 1, .reusable = false}, SHIFT(100),
  [229] = {.count = 1, .reusable = true}, SHIFT(101),
  [231] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 2, .alias_sequence_id = 2),
  [233] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 2, .alias_sequence_id = 2),
  [235] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 3),
  [237] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 3),
  [239] = {.count = 1, .reusable = false}, SHIFT(103),
  [241] = {.count = 1, .reusable = false}, SHIFT(44),
  [243] = {.count = 1, .reusable = true}, SHIFT(106),
  [245] = {.count = 1, .reusable = false}, SHIFT(106),
  [247] = {.count = 1, .reusable = true}, SHIFT(107),
  [249] = {.count = 1, .reusable = false}, SHIFT(109),
  [251] = {.count = 1, .reusable = true}, SHIFT(110),
  [253] = {.count = 1, .reusable = true}, SHIFT(111),
  [255] = {.count = 1, .reusable = false}, SHIFT(112),
  [257] = {.count = 1, .reusable = false}, SHIFT(113),
  [259] = {.count = 1, .reusable = true}, SHIFT(114),
  [261] = {.count = 1, .reusable = true}, SHIFT(116),
  [263] = {.count = 1, .reusable = true}, SHIFT(117),
  [265] = {.count = 1, .reusable = false}, SHIFT(118),
  [267] = {.count = 1, .reusable = true}, SHIFT(119),
  [269] = {.count = 1, .reusable = true}, SHIFT(120),
  [271] = {.count = 1, .reusable = false}, SHIFT(121),
  [273] = {.count = 1, .reusable = false}, SHIFT(122),
  [275] = {.count = 1, .reusable = true}, SHIFT(123),
  [277] = {.count = 1, .reusable = false}, SHIFT(124),
  [279] = {.count = 1, .reusable = true}, SHIFT(125),
  [281] = {.count = 1, .reusable = false}, SHIFT(126),
  [283] = {.count = 1, .reusable = true}, SHIFT(131),
  [285] = {.count = 1, .reusable = false}, SHIFT(131),
  [287] = {.count = 1, .reusable = true}, SHIFT(45),
  [289] = {.count = 1, .reusable = true}, SHIFT(46),
  [291] = {.count = 1, .reusable = true}, SHIFT(51),
  [293] = {.count = 1, .reusable = true}, SHIFT(134),
  [295] = {.count = 1, .reusable = false}, SHIFT(135),
  [297] = {.count = 1, .reusable = true}, SHIFT(136),
  [299] = {.count = 1, .reusable = true}, SHIFT(137),
  [301] = {.count = 1, .reusable = true}, SHIFT(138),
  [303] = {.count = 1, .reusable = false}, SHIFT(139),
  [305] = {.count = 1, .reusable = true}, SHIFT(140),
  [307] = {.count = 1, .reusable = false}, SHIFT(141),
  [309] = {.count = 1, .reusable = true}, SHIFT(145),
  [311] = {.count = 1, .reusable = false}, SHIFT(145),
  [313] = {.count = 1, .reusable = true}, SHIFT(146),
  [315] = {.count = 1, .reusable = true}, SHIFT(148),
  [317] = {.count = 1, .reusable = true}, SHIFT(150),
  [319] = {.count = 1, .reusable = true}, SHIFT(151),
  [321] = {.count = 1, .reusable = true}, SHIFT(153),
  [323] = {.count = 1, .reusable = true}, SHIFT(154),
  [325] = {.count = 1, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .alias_sequence_id = 3),
  [327] = {.count = 1, .reusable = true}, SHIFT(155),
  [329] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 2),
  [331] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 2),
  [333] = {.count = 1, .reusable = false}, SHIFT(155),
  [335] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 3),
  [337] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 3),
  [339] = {.count = 1, .reusable = true}, SHIFT(158),
  [341] = {.count = 1, .reusable = false}, SHIFT(159),
  [343] = {.count = 1, .reusable = true}, SHIFT(160),
  [345] = {.count = 1, .reusable = true}, SHIFT(161),
  [347] = {.count = 1, .reusable = false}, SHIFT(162),
  [349] = {.count = 1, .reusable = false}, SHIFT(163),
  [351] = {.count = 1, .reusable = true}, SHIFT(164),
  [353] = {.count = 1, .reusable = true}, SHIFT(167),
  [355] = {.count = 1, .reusable = false}, SHIFT(167),
  [357] = {.count = 1, .reusable = true}, SHIFT(168),
  [359] = {.count = 1, .reusable = true}, SHIFT(171),
  [361] = {.count = 1, .reusable = true}, SHIFT(175),
  [363] = {.count = 1, .reusable = true}, SHIFT(176),
  [365] = {.count = 1, .reusable = false}, SHIFT(176),
  [367] = {.count = 1, .reusable = true}, SHIFT(177),
  [369] = {.count = 1, .reusable = true}, SHIFT(179),
  [371] = {.count = 1, .reusable = true}, SHIFT(181),
  [373] = {.count = 1, .reusable = true}, SHIFT(182),
  [375] = {.count = 1, .reusable = true}, SHIFT(184),
  [377] = {.count = 1, .reusable = false}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .alias_sequence_id = 3),
  [379] = {.count = 1, .reusable = false}, SHIFT(185),
  [381] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 2),
  [383] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 2),
  [385] = {.count = 1, .reusable = false}, SHIFT(186),
  [387] = {.count = 1, .reusable = true}, SHIFT(186),
  [389] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 2),
  [391] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 2),
  [393] = {.count = 1, .reusable = true}, SHIFT(189),
  [395] = {.count = 1, .reusable = true}, SHIFT(192),
  [397] = {.count = 1, .reusable = true}, SHIFT(193),
  [399] = {.count = 1, .reusable = false}, SHIFT(193),
  [401] = {.count = 1, .reusable = true}, SHIFT(194),
  [403] = {.count = 1, .reusable = true}, SHIFT(195),
  [405] = {.count = 1, .reusable = true}, SHIFT(196),
  [407] = {.count = 1, .reusable = false}, SHIFT(154),
  [409] = {.count = 2, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .alias_sequence_id = 3), SHIFT(60),
  [412] = {.count = 1, .reusable = true}, SHIFT(197),
  [414] = {.count = 1, .reusable = true}, SHIFT(200),
  [416] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 1),
  [418] = {.count = 1, .reusable = true}, SHIFT(202),
  [420] = {.count = 1, .reusable = true}, SHIFT(203),
  [422] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 3),
  [424] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 3),
  [426] = {.count = 1, .reusable = false}, SHIFT(85),
  [428] = {.count = 1, .reusable = false}, SHIFT(205),
  [430] = {.count = 1, .reusable = false}, SHIFT(206),
  [432] = {.count = 1, .reusable = false}, SHIFT(207),
  [434] = {.count = 1, .reusable = false}, SHIFT(208),
  [436] = {.count = 1, .reusable = false}, SHIFT(209),
  [438] = {.count = 1, .reusable = false}, SHIFT(210),
  [440] = {.count = 1, .reusable = false}, SHIFT(211),
  [442] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 3),
  [444] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 3),
  [446] = {.count = 1, .reusable = true}, SHIFT(215),
  [448] = {.count = 1, .reusable = false}, SHIFT(216),
  [450] = {.count = 1, .reusable = true}, SHIFT(217),
  [452] = {.count = 1, .reusable = true}, SHIFT(218),
  [454] = {.count = 1, .reusable = false}, SHIFT(219),
  [456] = {.count = 1, .reusable = false}, SHIFT(220),
  [458] = {.count = 1, .reusable = true}, SHIFT(221),
  [460] = {.count = 1, .reusable = true}, SHIFT(222),
  [462] = {.count = 1, .reusable = false}, SHIFT(222),
  [464] = {.count = 1, .reusable = true}, SHIFT(223),
  [466] = {.count = 1, .reusable = true}, SHIFT(227),
  [468] = {.count = 1, .reusable = true}, SHIFT(228),
  [470] = {.count = 1, .reusable = false}, SHIFT(228),
  [472] = {.count = 1, .reusable = true}, SHIFT(229),
  [474] = {.count = 1, .reusable = true}, SHIFT(230),
  [476] = {.count = 1, .reusable = true}, SHIFT(231),
  [478] = {.count = 1, .reusable = true}, REDUCE(sym_type_spec, 2, .alias_sequence_id = 3),
  [480] = {.count = 1, .reusable = false}, REDUCE(sym_type_spec, 2, .alias_sequence_id = 3),
  [482] = {.count = 1, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [484] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [486] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec_list, 3),
  [488] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec_list, 3),
  [490] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(12),
  [493] = {.count = 2, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(13),
  [496] = {.count = 2, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(15),
  [499] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(17),
  [502] = {.count = 1, .reusable = true}, SHIFT(232),
  [504] = {.count = 1, .reusable = true}, SHIFT(233),
  [506] = {.count = 1, .reusable = true}, SHIFT(234),
  [508] = {.count = 1, .reusable = true}, SHIFT(235),
  [510] = {.count = 1, .reusable = false}, SHIFT(235),
  [512] = {.count = 1, .reusable = true}, SHIFT(236),
  [514] = {.count = 1, .reusable = false}, SHIFT(236),
  [516] = {.count = 1, .reusable = true}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [518] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 4),
  [520] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 4),
  [522] = {.count = 2, .reusable = true}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(38),
  [525] = {.count = 1, .reusable = true}, SHIFT(240),
  [527] = {.count = 1, .reusable = true}, SHIFT(241),
  [529] = {.count = 1, .reusable = false}, SHIFT(241),
  [531] = {.count = 1, .reusable = true}, SHIFT(242),
  [533] = {.count = 1, .reusable = true}, SHIFT(243),
  [535] = {.count = 1, .reusable = true}, SHIFT(244),
  [537] = {.count = 1, .reusable = true}, SHIFT(245),
  [539] = {.count = 1, .reusable = true}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [541] = {.count = 1, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [543] = {.count = 1, .reusable = false}, SHIFT(246),
  [545] = {.count = 1, .reusable = true}, SHIFT(247),
  [547] = {.count = 1, .reusable = true}, SHIFT(248),
  [549] = {.count = 1, .reusable = false}, SHIFT(249),
  [551] = {.count = 1, .reusable = false}, SHIFT(250),
  [553] = {.count = 1, .reusable = true}, SHIFT(251),
  [555] = {.count = 1, .reusable = true}, SHIFT(252),
  [557] = {.count = 1, .reusable = true}, SHIFT(254),
  [559] = {.count = 1, .reusable = false}, SHIFT(254),
  [561] = {.count = 1, .reusable = true}, SHIFT(257),
  [563] = {.count = 1, .reusable = false}, SHIFT(257),
  [565] = {.count = 1, .reusable = true}, SHIFT(258),
  [567] = {.count = 1, .reusable = true}, SHIFT(259),
  [569] = {.count = 1, .reusable = true}, SHIFT(260),
  [571] = {.count = 1, .reusable = false}, SHIFT(260),
  [573] = {.count = 1, .reusable = true}, SHIFT(261),
  [575] = {.count = 1, .reusable = false}, SHIFT(262),
  [577] = {.count = 1, .reusable = true}, SHIFT(263),
  [579] = {.count = 1, .reusable = true}, SHIFT(264),
  [581] = {.count = 1, .reusable = false}, SHIFT(265),
  [583] = {.count = 1, .reusable = true}, SHIFT(266),
  [585] = {.count = 1, .reusable = false}, SHIFT(267),
  [587] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .alias_sequence_id = 4),
  [589] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .alias_sequence_id = 4),
  [591] = {.count = 1, .reusable = false}, SHIFT(268),
  [593] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [595] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [597] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(154),
  [600] = {.count = 2, .reusable = false}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .alias_sequence_id = 3), REDUCE(sym__expression, 1),
  [603] = {.count = 1, .reusable = false}, SHIFT(270),
  [605] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 3),
  [607] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 3),
  [609] = {.count = 1, .reusable = true}, SHIFT(272),
  [611] = {.count = 1, .reusable = true}, REDUCE(sym__simple_type, 1),
  [613] = {.count = 1, .reusable = true}, SHIFT(270),
  [615] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [617] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 1),
  [619] = {.count = 1, .reusable = false}, SHIFT(274),
  [621] = {.count = 1, .reusable = false}, SHIFT(275),
  [623] = {.count = 1, .reusable = false}, SHIFT(276),
  [625] = {.count = 1, .reusable = false}, SHIFT(277),
  [627] = {.count = 1, .reusable = false}, SHIFT(278),
  [629] = {.count = 1, .reusable = false}, SHIFT(279),
  [631] = {.count = 1, .reusable = false}, SHIFT(280),
  [633] = {.count = 1, .reusable = false}, SHIFT(281),
  [635] = {.count = 1, .reusable = false}, SHIFT(282),
  [637] = {.count = 1, .reusable = true}, REDUCE(sym_function_type, 2),
  [639] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_type, 2),
  [641] = {.count = 1, .reusable = true}, SHIFT(286),
  [643] = {.count = 1, .reusable = false}, SHIFT(286),
  [645] = {.count = 1, .reusable = true}, SHIFT(288),
  [647] = {.count = 1, .reusable = false}, SHIFT(288),
  [649] = {.count = 1, .reusable = true}, SHIFT(290),
  [651] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(154),
  [654] = {.count = 2, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .alias_sequence_id = 3), REDUCE(sym__expression, 1),
  [657] = {.count = 1, .reusable = true}, SHIFT(292),
  [659] = {.count = 1, .reusable = true}, SHIFT(294),
  [661] = {.count = 1, .reusable = true}, SHIFT(296),
  [663] = {.count = 1, .reusable = true}, SHIFT(297),
  [665] = {.count = 1, .reusable = true}, SHIFT(298),
  [667] = {.count = 1, .reusable = true}, SHIFT(299),
  [669] = {.count = 1, .reusable = true}, SHIFT(300),
  [671] = {.count = 1, .reusable = true}, SHIFT(301),
  [673] = {.count = 1, .reusable = false}, SHIFT(298),
  [675] = {.count = 1, .reusable = false}, SHIFT(301),
  [677] = {.count = 1, .reusable = true}, SHIFT(302),
  [679] = {.count = 1, .reusable = false}, SHIFT(302),
  [681] = {.count = 1, .reusable = true}, SHIFT(303),
  [683] = {.count = 1, .reusable = true}, SHIFT(304),
  [685] = {.count = 1, .reusable = true}, SHIFT(306),
  [687] = {.count = 1, .reusable = true}, SHIFT(307),
  [689] = {.count = 1, .reusable = true}, SHIFT(308),
  [691] = {.count = 1, .reusable = true}, REDUCE(sym_struct_type, 2),
  [693] = {.count = 1, .reusable = true}, SHIFT(311),
  [695] = {.count = 1, .reusable = true}, SHIFT(312),
  [697] = {.count = 1, .reusable = true}, REDUCE(sym_interface_type, 2),
  [699] = {.count = 1, .reusable = false}, SHIFT(314),
  [701] = {.count = 1, .reusable = true}, SHIFT(315),
  [703] = {.count = 1, .reusable = true}, SHIFT(316),
  [705] = {.count = 1, .reusable = false}, SHIFT(317),
  [707] = {.count = 1, .reusable = false}, SHIFT(318),
  [709] = {.count = 1, .reusable = true}, SHIFT(319),
  [711] = {.count = 1, .reusable = false}, SHIFT(321),
  [713] = {.count = 1, .reusable = true}, REDUCE(sym_channel_type, 2),
  [715] = {.count = 1, .reusable = true}, SHIFT(323),
  [717] = {.count = 1, .reusable = true}, SHIFT(325),
  [719] = {.count = 2, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(42),
  [722] = {.count = 1, .reusable = true}, SHIFT(327),
  [724] = {.count = 1, .reusable = true}, SHIFT(328),
  [726] = {.count = 1, .reusable = false}, SHIFT(328),
  [728] = {.count = 1, .reusable = true}, SHIFT(329),
  [730] = {.count = 1, .reusable = true}, SHIFT(330),
  [732] = {.count = 1, .reusable = true}, SHIFT(331),
  [734] = {.count = 1, .reusable = false}, SHIFT(332),
  [736] = {.count = 1, .reusable = true}, SHIFT(332),
  [738] = {.count = 1, .reusable = true}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [740] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 4),
  [742] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 4),
  [744] = {.count = 2, .reusable = true}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(56),
  [747] = {.count = 1, .reusable = true}, SHIFT(334),
  [749] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 3),
  [751] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 3),
  [753] = {.count = 1, .reusable = false}, REDUCE(sym_function_type, 2),
  [755] = {.count = 2, .reusable = false}, REDUCE(sym_function_type, 2), SHIFT(62),
  [758] = {.count = 1, .reusable = false}, SHIFT(63),
  [760] = {.count = 1, .reusable = false}, SHIFT(64),
  [762] = {.count = 1, .reusable = false}, SHIFT(69),
  [764] = {.count = 1, .reusable = false}, REDUCE(sym_pointer_type, 2),
  [766] = {.count = 1, .reusable = true}, SHIFT(337),
  [768] = {.count = 1, .reusable = true}, SHIFT(338),
  [770] = {.count = 1, .reusable = false}, REDUCE(sym_struct_type, 2),
  [772] = {.count = 1, .reusable = true}, SHIFT(340),
  [774] = {.count = 1, .reusable = true}, SHIFT(341),
  [776] = {.count = 1, .reusable = false}, REDUCE(sym_interface_type, 2),
  [778] = {.count = 1, .reusable = false}, SHIFT(344),
  [780] = {.count = 1, .reusable = false}, REDUCE(sym_channel_type, 2),
  [782] = {.count = 1, .reusable = true}, SHIFT(346),
  [784] = {.count = 1, .reusable = false}, SHIFT(348),
  [786] = {.count = 2, .reusable = true}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(60),
  [789] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 3),
  [791] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 3),
  [793] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_parameter_declaration, 2),
  [795] = {.count = 1, .reusable = true}, SHIFT(349),
  [797] = {.count = 1, .reusable = false}, SHIFT(351),
  [799] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 2),
  [801] = {.count = 1, .reusable = true}, SHIFT(355),
  [803] = {.count = 1, .reusable = true}, SHIFT(357),
  [805] = {.count = 1, .reusable = true}, SHIFT(359),
  [807] = {.count = 1, .reusable = true}, SHIFT(360),
  [809] = {.count = 1, .reusable = true}, SHIFT(206),
  [811] = {.count = 1, .reusable = true}, SHIFT(207),
  [813] = {.count = 1, .reusable = true}, SHIFT(211),
  [815] = {.count = 1, .reusable = true}, SHIFT(363),
  [817] = {.count = 1, .reusable = true}, SHIFT(364),
  [819] = {.count = 1, .reusable = false}, SHIFT(364),
  [821] = {.count = 1, .reusable = true}, SHIFT(365),
  [823] = {.count = 1, .reusable = true}, SHIFT(366),
  [825] = {.count = 1, .reusable = false}, SHIFT(367),
  [827] = {.count = 1, .reusable = false}, SHIFT(368),
  [829] = {.count = 1, .reusable = false}, SHIFT(369),
  [831] = {.count = 1, .reusable = false}, SHIFT(370),
  [833] = {.count = 1, .reusable = true}, SHIFT(371),
  [835] = {.count = 1, .reusable = true}, SHIFT(208),
  [837] = {.count = 1, .reusable = true}, SHIFT(372),
  [839] = {.count = 1, .reusable = true}, SHIFT(373),
  [841] = {.count = 1, .reusable = false}, SHIFT(374),
  [843] = {.count = 1, .reusable = false}, SHIFT(375),
  [845] = {.count = 1, .reusable = false}, SHIFT(376),
  [847] = {.count = 1, .reusable = false}, SHIFT(377),
  [849] = {.count = 1, .reusable = false}, SHIFT(378),
  [851] = {.count = 1, .reusable = false}, SHIFT(379),
  [853] = {.count = 1, .reusable = false}, SHIFT(380),
  [855] = {.count = 1, .reusable = false}, SHIFT(381),
  [857] = {.count = 1, .reusable = false}, SHIFT(382),
  [859] = {.count = 1, .reusable = false}, SHIFT(383),
  [861] = {.count = 1, .reusable = false}, SHIFT(384),
  [863] = {.count = 1, .reusable = false}, SHIFT(385),
  [865] = {.count = 1, .reusable = true}, SHIFT(386),
  [867] = {.count = 1, .reusable = false}, SHIFT(387),
  [869] = {.count = 1, .reusable = true}, SHIFT(395),
  [871] = {.count = 1, .reusable = false}, SHIFT(395),
  [873] = {.count = 1, .reusable = true}, SHIFT(396),
  [875] = {.count = 1, .reusable = true}, SHIFT(397),
  [877] = {.count = 1, .reusable = true}, SHIFT(398),
  [879] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4),
  [881] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4),
  [883] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 4, .alias_sequence_id = 5),
  [885] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 4, .alias_sequence_id = 5),
  [887] = {.count = 1, .reusable = true}, SHIFT(403),
  [889] = {.count = 1, .reusable = true}, SHIFT(404),
  [891] = {.count = 1, .reusable = false}, SHIFT(404),
  [893] = {.count = 1, .reusable = true}, SHIFT(405),
  [895] = {.count = 1, .reusable = true}, SHIFT(406),
  [897] = {.count = 1, .reusable = true}, SHIFT(407),
  [899] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [901] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 4),
  [903] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 4),
  [905] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(89),
  [908] = {.count = 1, .reusable = true}, REDUCE(sym_type_alias, 3, .alias_sequence_id = 3),
  [910] = {.count = 1, .reusable = false}, REDUCE(sym_type_alias, 3, .alias_sequence_id = 3),
  [912] = {.count = 2, .reusable = false}, REDUCE(sym_function_type, 2), SHIFT(93),
  [915] = {.count = 1, .reusable = false}, SHIFT(94),
  [917] = {.count = 1, .reusable = false}, SHIFT(95),
  [919] = {.count = 1, .reusable = false}, SHIFT(98),
  [921] = {.count = 1, .reusable = true}, SHIFT(408),
  [923] = {.count = 1, .reusable = false}, SHIFT(410),
  [925] = {.count = 1, .reusable = false}, SHIFT(411),
  [927] = {.count = 1, .reusable = false}, SHIFT(412),
  [929] = {.count = 1, .reusable = false}, SHIFT(413),
  [931] = {.count = 1, .reusable = false}, SHIFT(414),
  [933] = {.count = 1, .reusable = false}, SHIFT(415),
  [935] = {.count = 1, .reusable = false}, SHIFT(416),
  [937] = {.count = 1, .reusable = true}, SHIFT(418),
  [939] = {.count = 1, .reusable = true}, SHIFT(419),
  [941] = {.count = 1, .reusable = false}, SHIFT(421),
  [943] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_type, 3),
  [945] = {.count = 1, .reusable = true}, SHIFT(423),
  [947] = {.count = 1, .reusable = true}, SHIFT(424),
  [949] = {.count = 1, .reusable = false}, SHIFT(424),
  [951] = {.count = 1, .reusable = true}, SHIFT(425),
  [953] = {.count = 1, .reusable = false}, SHIFT(426),
  [955] = {.count = 1, .reusable = true}, SHIFT(427),
  [957] = {.count = 1, .reusable = true}, SHIFT(428),
  [959] = {.count = 1, .reusable = false}, SHIFT(429),
  [961] = {.count = 1, .reusable = true}, SHIFT(430),
  [963] = {.count = 1, .reusable = true}, SHIFT(431),
  [965] = {.count = 1, .reusable = false}, SHIFT(432),
  [967] = {.count = 1, .reusable = true}, SHIFT(433),
  [969] = {.count = 1, .reusable = false}, SHIFT(434),
  [971] = {.count = 1, .reusable = true}, SHIFT(435),
  [973] = {.count = 1, .reusable = true}, SHIFT(436),
  [975] = {.count = 1, .reusable = true}, SHIFT(437),
  [977] = {.count = 1, .reusable = false}, SHIFT(436),
  [979] = {.count = 1, .reusable = false}, SHIFT(437),
  [981] = {.count = 1, .reusable = true}, SHIFT(438),
  [983] = {.count = 1, .reusable = false}, SHIFT(438),
  [985] = {.count = 1, .reusable = true}, SHIFT(439),
  [987] = {.count = 1, .reusable = true}, SHIFT(440),
  [989] = {.count = 2, .reusable = true}, REDUCE(sym_function_type, 2), SHIFT(24),
  [992] = {.count = 1, .reusable = false}, SHIFT(441),
  [994] = {.count = 1, .reusable = true}, SHIFT(442),
  [996] = {.count = 1, .reusable = true}, SHIFT(443),
  [998] = {.count = 1, .reusable = false}, SHIFT(444),
  [1000] = {.count = 1, .reusable = true}, SHIFT(445),
  [1002] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2),
  [1004] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2),
  [1006] = {.count = 1, .reusable = true}, SHIFT(448),
  [1008] = {.count = 1, .reusable = true}, SHIFT(449),
  [1010] = {.count = 1, .reusable = true}, SHIFT(452),
  [1012] = {.count = 1, .reusable = true}, SHIFT(453),
  [1014] = {.count = 1, .reusable = true}, SHIFT(454),
  [1016] = {.count = 1, .reusable = false}, SHIFT(454),
  [1018] = {.count = 1, .reusable = true}, SHIFT(455),
  [1020] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2, .alias_sequence_id = 6),
  [1022] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2, .alias_sequence_id = 6),
  [1024] = {.count = 1, .reusable = true}, SHIFT(457),
  [1026] = {.count = 1, .reusable = true}, SHIFT(458),
  [1028] = {.count = 1, .reusable = true}, SHIFT(459),
  [1030] = {.count = 1, .reusable = true}, SHIFT(460),
  [1032] = {.count = 1, .reusable = false}, SHIFT(461),
  [1034] = {.count = 1, .reusable = true}, SHIFT(462),
  [1036] = {.count = 1, .reusable = false}, SHIFT(462),
  [1038] = {.count = 1, .reusable = true}, REDUCE(sym_composite_literal, 2, .alias_sequence_id = 3),
  [1040] = {.count = 1, .reusable = false}, REDUCE(sym_composite_literal, 2, .alias_sequence_id = 3),
  [1042] = {.count = 1, .reusable = true}, SHIFT(465),
  [1044] = {.count = 1, .reusable = true}, SHIFT(466),
  [1046] = {.count = 1, .reusable = true}, SHIFT(467),
  [1048] = {.count = 1, .reusable = true}, SHIFT(468),
  [1050] = {.count = 1, .reusable = false}, SHIFT(468),
  [1052] = {.count = 1, .reusable = true}, REDUCE(sym_composite_literal, 2),
  [1054] = {.count = 1, .reusable = false}, REDUCE(sym_composite_literal, 2),
  [1056] = {.count = 1, .reusable = true}, SHIFT(469),
  [1058] = {.count = 1, .reusable = true}, SHIFT(470),
  [1060] = {.count = 1, .reusable = true}, SHIFT(471),
  [1062] = {.count = 1, .reusable = true}, SHIFT(472),
  [1064] = {.count = 1, .reusable = true}, SHIFT(473),
  [1066] = {.count = 1, .reusable = true}, SHIFT(474),
  [1068] = {.count = 1, .reusable = true}, SHIFT(475),
  [1070] = {.count = 1, .reusable = false}, SHIFT(475),
  [1072] = {.count = 1, .reusable = true}, SHIFT(477),
  [1074] = {.count = 1, .reusable = false}, SHIFT(477),
  [1076] = {.count = 1, .reusable = true}, SHIFT(478),
  [1078] = {.count = 1, .reusable = false}, SHIFT(478),
  [1080] = {.count = 1, .reusable = true}, SHIFT(479),
  [1082] = {.count = 1, .reusable = true}, SHIFT(480),
  [1084] = {.count = 1, .reusable = true}, SHIFT(481),
  [1086] = {.count = 1, .reusable = true}, SHIFT(482),
  [1088] = {.count = 1, .reusable = true}, SHIFT(483),
  [1090] = {.count = 1, .reusable = false}, SHIFT(483),
  [1092] = {.count = 1, .reusable = true}, SHIFT(484),
  [1094] = {.count = 1, .reusable = false}, SHIFT(484),
  [1096] = {.count = 1, .reusable = true}, SHIFT(485),
  [1098] = {.count = 1, .reusable = false}, SHIFT(485),
  [1100] = {.count = 1, .reusable = true}, SHIFT(486),
  [1102] = {.count = 1, .reusable = false}, SHIFT(486),
  [1104] = {.count = 1, .reusable = true}, SHIFT(487),
  [1106] = {.count = 1, .reusable = false}, SHIFT(487),
  [1108] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2),
  [1110] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2),
  [1112] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [1114] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [1116] = {.count = 1, .reusable = true}, REDUCE(sym_function_type, 3),
  [1118] = {.count = 1, .reusable = true}, SHIFT(489),
  [1120] = {.count = 1, .reusable = true}, SHIFT(490),
  [1122] = {.count = 1, .reusable = false}, SHIFT(296),
  [1124] = {.count = 1, .reusable = true}, REDUCE(sym_slice_type, 3),
  [1126] = {.count = 1, .reusable = true}, SHIFT(494),
  [1128] = {.count = 1, .reusable = true}, SHIFT(496),
  [1130] = {.count = 1, .reusable = false}, SHIFT(496),
  [1132] = {.count = 1, .reusable = true}, SHIFT(497),
  [1134] = {.count = 1, .reusable = true}, SHIFT(498),
  [1136] = {.count = 1, .reusable = true}, SHIFT(499),
  [1138] = {.count = 1, .reusable = true}, SHIFT(500),
  [1140] = {.count = 1, .reusable = false}, SHIFT(500),
  [1142] = {.count = 1, .reusable = true}, SHIFT(502),
  [1144] = {.count = 1, .reusable = false}, SHIFT(502),
  [1146] = {.count = 1, .reusable = true}, SHIFT(503),
  [1148] = {.count = 1, .reusable = true}, SHIFT(504),
  [1150] = {.count = 1, .reusable = false}, SHIFT(504),
  [1152] = {.count = 1, .reusable = true}, SHIFT(506),
  [1154] = {.count = 1, .reusable = false}, SHIFT(506),
  [1156] = {.count = 1, .reusable = true}, SHIFT(507),
  [1158] = {.count = 1, .reusable = false}, SHIFT(507),
  [1160] = {.count = 1, .reusable = true}, SHIFT(508),
  [1162] = {.count = 1, .reusable = false}, SHIFT(508),
  [1164] = {.count = 1, .reusable = true}, SHIFT(509),
  [1166] = {.count = 1, .reusable = false}, SHIFT(509),
  [1168] = {.count = 1, .reusable = true}, SHIFT(510),
  [1170] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 2),
  [1172] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 1, .alias_sequence_id = 3),
  [1174] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 1, .alias_sequence_id = 3),
  [1176] = {.count = 1, .reusable = false}, SHIFT(59),
  [1178] = {.count = 1, .reusable = false}, SHIFT(512),
  [1180] = {.count = 1, .reusable = false}, SHIFT(513),
  [1182] = {.count = 1, .reusable = false}, SHIFT(514),
  [1184] = {.count = 1, .reusable = false}, SHIFT(515),
  [1186] = {.count = 1, .reusable = false}, SHIFT(516),
  [1188] = {.count = 1, .reusable = false}, SHIFT(517),
  [1190] = {.count = 1, .reusable = false}, SHIFT(518),
  [1192] = {.count = 1, .reusable = false}, SHIFT(520),
  [1194] = {.count = 1, .reusable = true}, SHIFT(522),
  [1196] = {.count = 1, .reusable = false}, SHIFT(522),
  [1198] = {.count = 1, .reusable = false}, SHIFT(523),
  [1200] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 1),
  [1202] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 1),
  [1204] = {.count = 1, .reusable = false}, SHIFT(525),
  [1206] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 2),
  [1208] = {.count = 1, .reusable = true}, SHIFT(526),
  [1210] = {.count = 1, .reusable = false}, SHIFT(526),
  [1212] = {.count = 1, .reusable = false}, SHIFT(527),
  [1214] = {.count = 1, .reusable = true}, SHIFT(530),
  [1216] = {.count = 1, .reusable = false}, SHIFT(530),
  [1218] = {.count = 1, .reusable = false}, SHIFT(531),
  [1220] = {.count = 1, .reusable = true}, SHIFT(534),
  [1222] = {.count = 1, .reusable = true}, SHIFT(535),
  [1224] = {.count = 1, .reusable = false}, SHIFT(535),
  [1226] = {.count = 1, .reusable = true}, SHIFT(536),
  [1228] = {.count = 1, .reusable = true}, SHIFT(537),
  [1230] = {.count = 1, .reusable = true}, SHIFT(538),
  [1232] = {.count = 1, .reusable = true}, SHIFT(539),
  [1234] = {.count = 1, .reusable = true}, REDUCE(sym_channel_type, 3),
  [1236] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_type, 3, .alias_sequence_id = 7),
  [1238] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 4),
  [1240] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 4),
  [1242] = {.count = 1, .reusable = false}, SHIFT(160),
  [1244] = {.count = 1, .reusable = false}, SHIFT(161),
  [1246] = {.count = 1, .reusable = false}, SHIFT(164),
  [1248] = {.count = 1, .reusable = true}, SHIFT(541),
  [1250] = {.count = 1, .reusable = false}, SHIFT(543),
  [1252] = {.count = 1, .reusable = false}, SHIFT(544),
  [1254] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_type, 3),
  [1256] = {.count = 1, .reusable = false}, REDUCE(sym_function_type, 3),
  [1258] = {.count = 1, .reusable = false}, REDUCE(sym_slice_type, 3),
  [1260] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 2),
  [1262] = {.count = 1, .reusable = true}, SHIFT(546),
  [1264] = {.count = 1, .reusable = false}, SHIFT(546),
  [1266] = {.count = 1, .reusable = false}, SHIFT(547),
  [1268] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 2),
  [1270] = {.count = 1, .reusable = true}, SHIFT(549),
  [1272] = {.count = 1, .reusable = false}, SHIFT(549),
  [1274] = {.count = 1, .reusable = false}, SHIFT(550),
  [1276] = {.count = 1, .reusable = true}, SHIFT(552),
  [1278] = {.count = 1, .reusable = false}, SHIFT(552),
  [1280] = {.count = 1, .reusable = false}, SHIFT(553),
  [1282] = {.count = 1, .reusable = true}, SHIFT(555),
  [1284] = {.count = 1, .reusable = false}, REDUCE(sym_channel_type, 3),
  [1286] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_type, 3, .alias_sequence_id = 7),
  [1288] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 4),
  [1290] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 4),
  [1292] = {.count = 1, .reusable = true}, SHIFT(557),
  [1294] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_parameter_declaration, 3),
  [1296] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 3),
  [1298] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 4),
  [1300] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 4),
  [1302] = {.count = 1, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [1304] = {.count = 1, .reusable = true}, SHIFT(558),
  [1306] = {.count = 2, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(559),
  [1309] = {.count = 1, .reusable = true}, SHIFT(560),
  [1311] = {.count = 1, .reusable = true}, SHIFT(561),
  [1313] = {.count = 2, .reusable = false}, REDUCE(sym_function_type, 2), SHIFT(205),
  [1316] = {.count = 1, .reusable = true}, SHIFT(562),
  [1318] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [1320] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [1322] = {.count = 1, .reusable = true}, SHIFT(563),
  [1324] = {.count = 1, .reusable = false}, SHIFT(563),
  [1326] = {.count = 1, .reusable = true}, SHIFT(564),
  [1328] = {.count = 1, .reusable = true}, SHIFT(565),
  [1330] = {.count = 1, .reusable = true}, SHIFT(567),
  [1332] = {.count = 1, .reusable = false}, SHIFT(568),
  [1334] = {.count = 1, .reusable = true}, SHIFT(569),
  [1336] = {.count = 1, .reusable = false}, SHIFT(569),
  [1338] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [1340] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [1342] = {.count = 1, .reusable = true}, REDUCE(sym_fallthrough_statement, 1),
  [1344] = {.count = 1, .reusable = false}, REDUCE(sym_fallthrough_statement, 1),
  [1346] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 1),
  [1348] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 1),
  [1350] = {.count = 1, .reusable = false}, SHIFT(570),
  [1352] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 1),
  [1354] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 1),
  [1356] = {.count = 1, .reusable = false}, SHIFT(571),
  [1358] = {.count = 1, .reusable = true}, SHIFT(572),
  [1360] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [1362] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 1),
  [1364] = {.count = 1, .reusable = false}, SHIFT(117),
  [1366] = {.count = 1, .reusable = false}, SHIFT(573),
  [1368] = {.count = 1, .reusable = false}, SHIFT(120),
  [1370] = {.count = 1, .reusable = false}, SHIFT(574),
  [1372] = {.count = 1, .reusable = false}, SHIFT(575),
  [1374] = {.count = 1, .reusable = false}, SHIFT(577),
  [1376] = {.count = 1, .reusable = true}, SHIFT(578),
  [1378] = {.count = 1, .reusable = true}, SHIFT(579),
  [1380] = {.count = 1, .reusable = true}, SHIFT(580),
  [1382] = {.count = 1, .reusable = true}, SHIFT(581),
  [1384] = {.count = 1, .reusable = false}, SHIFT(581),
  [1386] = {.count = 1, .reusable = true}, SHIFT(582),
  [1388] = {.count = 1, .reusable = false}, SHIFT(582),
  [1390] = {.count = 1, .reusable = true}, SHIFT(583),
  [1392] = {.count = 1, .reusable = false}, SHIFT(584),
  [1394] = {.count = 1, .reusable = true}, SHIFT(585),
  [1396] = {.count = 1, .reusable = true}, SHIFT(586),
  [1398] = {.count = 1, .reusable = false}, SHIFT(587),
  [1400] = {.count = 1, .reusable = true}, SHIFT(588),
  [1402] = {.count = 1, .reusable = false}, SHIFT(589),
  [1404] = {.count = 1, .reusable = true}, SHIFT(596),
  [1406] = {.count = 1, .reusable = false}, SHIFT(596),
  [1408] = {.count = 1, .reusable = true}, SHIFT(597),
  [1410] = {.count = 1, .reusable = false}, SHIFT(598),
  [1412] = {.count = 1, .reusable = true}, SHIFT(603),
  [1414] = {.count = 1, .reusable = false}, SHIFT(603),
  [1416] = {.count = 1, .reusable = true}, SHIFT(604),
  [1418] = {.count = 1, .reusable = true}, SHIFT(608),
  [1420] = {.count = 1, .reusable = false}, SHIFT(608),
  [1422] = {.count = 1, .reusable = true}, SHIFT(609),
  [1424] = {.count = 1, .reusable = false}, SHIFT(610),
  [1426] = {.count = 1, .reusable = false}, SHIFT(612),
  [1428] = {.count = 1, .reusable = false}, SHIFT(613),
  [1430] = {.count = 1, .reusable = true}, SHIFT(615),
  [1432] = {.count = 1, .reusable = true}, SHIFT(616),
  [1434] = {.count = 1, .reusable = true}, SHIFT(617),
  [1436] = {.count = 1, .reusable = true}, SHIFT(612),
  [1438] = {.count = 1, .reusable = true}, SHIFT(619),
  [1440] = {.count = 1, .reusable = true}, SHIFT(620),
  [1442] = {.count = 1, .reusable = false}, SHIFT(620),
  [1444] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 1),
  [1446] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 1, .alias_sequence_id = 8),
  [1448] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statement, 1),
  [1450] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statement, 1),
  [1452] = {.count = 1, .reusable = false}, SHIFT(622),
  [1454] = {.count = 1, .reusable = false}, SHIFT(623),
  [1456] = {.count = 1, .reusable = false}, SHIFT(624),
  [1458] = {.count = 1, .reusable = false}, SHIFT(625),
  [1460] = {.count = 1, .reusable = false}, SHIFT(626),
  [1462] = {.count = 1, .reusable = false}, SHIFT(627),
  [1464] = {.count = 1, .reusable = false}, SHIFT(628),
  [1466] = {.count = 1, .reusable = false}, SHIFT(629),
  [1468] = {.count = 1, .reusable = false}, SHIFT(630),
  [1470] = {.count = 1, .reusable = false}, SHIFT(631),
  [1472] = {.count = 1, .reusable = false}, SHIFT(632),
  [1474] = {.count = 1, .reusable = false}, SHIFT(633),
  [1476] = {.count = 1, .reusable = false}, SHIFT(637),
  [1478] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5),
  [1480] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5),
  [1482] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 5, .alias_sequence_id = 5),
  [1484] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 5, .alias_sequence_id = 5),
  [1486] = {.count = 1, .reusable = false}, SHIFT(217),
  [1488] = {.count = 1, .reusable = false}, SHIFT(218),
  [1490] = {.count = 1, .reusable = false}, SHIFT(221),
  [1492] = {.count = 1, .reusable = true}, SHIFT(639),
  [1494] = {.count = 1, .reusable = false}, SHIFT(641),
  [1496] = {.count = 1, .reusable = true}, SHIFT(642),
  [1498] = {.count = 1, .reusable = true}, SHIFT(643),
  [1500] = {.count = 1, .reusable = false}, SHIFT(643),
  [1502] = {.count = 1, .reusable = true}, SHIFT(644),
  [1504] = {.count = 1, .reusable = false}, SHIFT(644),
  [1506] = {.count = 1, .reusable = true}, SHIFT(645),
  [1508] = {.count = 1, .reusable = false}, SHIFT(645),
  [1510] = {.count = 1, .reusable = true}, SHIFT(646),
  [1512] = {.count = 1, .reusable = false}, SHIFT(646),
  [1514] = {.count = 1, .reusable = true}, SHIFT(647),
  [1516] = {.count = 1, .reusable = false}, SHIFT(647),
  [1518] = {.count = 1, .reusable = true}, SHIFT(649),
  [1520] = {.count = 1, .reusable = false}, SHIFT(650),
  [1522] = {.count = 1, .reusable = true}, SHIFT(651),
  [1524] = {.count = 1, .reusable = true}, SHIFT(652),
  [1526] = {.count = 1, .reusable = false}, SHIFT(653),
  [1528] = {.count = 1, .reusable = true}, SHIFT(654),
  [1530] = {.count = 1, .reusable = true}, SHIFT(655),
  [1532] = {.count = 1, .reusable = true}, SHIFT(658),
  [1534] = {.count = 1, .reusable = true}, SHIFT(659),
  [1536] = {.count = 1, .reusable = true}, SHIFT(660),
  [1538] = {.count = 1, .reusable = false}, SHIFT(660),
  [1540] = {.count = 1, .reusable = true}, SHIFT(661),
  [1542] = {.count = 1, .reusable = false}, SHIFT(662),
  [1544] = {.count = 1, .reusable = true}, SHIFT(663),
  [1546] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1548] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1550] = {.count = 1, .reusable = true}, SHIFT(664),
  [1552] = {.count = 1, .reusable = false}, SHIFT(664),
  [1554] = {.count = 1, .reusable = true}, SHIFT(665),
  [1556] = {.count = 1, .reusable = false}, SHIFT(665),
  [1558] = {.count = 1, .reusable = true}, SHIFT(666),
  [1560] = {.count = 1, .reusable = false}, SHIFT(666),
  [1562] = {.count = 1, .reusable = true}, SHIFT(667),
  [1564] = {.count = 1, .reusable = false}, SHIFT(667),
  [1566] = {.count = 1, .reusable = true}, SHIFT(669),
  [1568] = {.count = 1, .reusable = true}, SHIFT(670),
  [1570] = {.count = 1, .reusable = true}, REDUCE(sym_func_literal, 3),
  [1572] = {.count = 1, .reusable = false}, REDUCE(sym_func_literal, 3),
  [1574] = {.count = 1, .reusable = false}, SHIFT(672),
  [1576] = {.count = 1, .reusable = true}, SHIFT(673),
  [1578] = {.count = 1, .reusable = true}, SHIFT(674),
  [1580] = {.count = 1, .reusable = false}, SHIFT(675),
  [1582] = {.count = 1, .reusable = false}, SHIFT(676),
  [1584] = {.count = 1, .reusable = true}, SHIFT(677),
  [1586] = {.count = 1, .reusable = true}, SHIFT(679),
  [1588] = {.count = 1, .reusable = true}, SHIFT(680),
  [1590] = {.count = 1, .reusable = true}, SHIFT(681),
  [1592] = {.count = 1, .reusable = true}, SHIFT(683),
  [1594] = {.count = 1, .reusable = true}, SHIFT(684),
  [1596] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 2),
  [1598] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 2),
  [1600] = {.count = 1, .reusable = true}, SHIFT(686),
  [1602] = {.count = 1, .reusable = true}, REDUCE(sym_element, 1),
  [1604] = {.count = 1, .reusable = true}, SHIFT(687),
  [1606] = {.count = 1, .reusable = true}, SHIFT(688),
  [1608] = {.count = 1, .reusable = true}, SHIFT(689),
  [1610] = {.count = 1, .reusable = false}, SHIFT(687),
  [1612] = {.count = 1, .reusable = false}, SHIFT(689),
  [1614] = {.count = 1, .reusable = true}, SHIFT(690),
  [1616] = {.count = 1, .reusable = false}, SHIFT(690),
  [1618] = {.count = 1, .reusable = true}, SHIFT(691),
  [1620] = {.count = 1, .reusable = true}, SHIFT(692),
  [1622] = {.count = 1, .reusable = true}, SHIFT(693),
  [1624] = {.count = 1, .reusable = true}, SHIFT(694),
  [1626] = {.count = 1, .reusable = true}, SHIFT(696),
  [1628] = {.count = 1, .reusable = true}, SHIFT(697),
  [1630] = {.count = 1, .reusable = true}, SHIFT(698),
  [1632] = {.count = 1, .reusable = true}, SHIFT(699),
  [1634] = {.count = 1, .reusable = false}, SHIFT(698),
  [1636] = {.count = 1, .reusable = false}, SHIFT(699),
  [1638] = {.count = 1, .reusable = true}, SHIFT(700),
  [1640] = {.count = 1, .reusable = false}, SHIFT(700),
  [1642] = {.count = 1, .reusable = true}, SHIFT(701),
  [1644] = {.count = 1, .reusable = true}, SHIFT(702),
  [1646] = {.count = 1, .reusable = true}, REDUCE(sym_selector_expression, 3, .alias_sequence_id = 5),
  [1648] = {.count = 1, .reusable = false}, REDUCE(sym_selector_expression, 3, .alias_sequence_id = 5),
  [1650] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [1652] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [1654] = {.count = 1, .reusable = true}, SHIFT(704),
  [1656] = {.count = 1, .reusable = true}, SHIFT(705),
  [1658] = {.count = 1, .reusable = true}, SHIFT(706),
  [1660] = {.count = 1, .reusable = true}, SHIFT(707),
  [1662] = {.count = 1, .reusable = true}, SHIFT(708),
  [1664] = {.count = 1, .reusable = false}, SHIFT(707),
  [1666] = {.count = 1, .reusable = false}, SHIFT(708),
  [1668] = {.count = 1, .reusable = true}, SHIFT(709),
  [1670] = {.count = 1, .reusable = false}, SHIFT(709),
  [1672] = {.count = 1, .reusable = true}, SHIFT(710),
  [1674] = {.count = 1, .reusable = true}, SHIFT(711),
  [1676] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1678] = {.count = 1, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1680] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3),
  [1682] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3),
  [1684] = {.count = 1, .reusable = true}, SHIFT(713),
  [1686] = {.count = 1, .reusable = true}, SHIFT(714),
  [1688] = {.count = 1, .reusable = false}, SHIFT(714),
  [1690] = {.count = 1, .reusable = true}, SHIFT(715),
  [1692] = {.count = 1, .reusable = true}, SHIFT(716),
  [1694] = {.count = 1, .reusable = true}, SHIFT(717),
  [1696] = {.count = 1, .reusable = true}, SHIFT(718),
  [1698] = {.count = 1, .reusable = false}, SHIFT(715),
  [1700] = {.count = 1, .reusable = false}, SHIFT(718),
  [1702] = {.count = 1, .reusable = true}, SHIFT(719),
  [1704] = {.count = 1, .reusable = false}, SHIFT(719),
  [1706] = {.count = 1, .reusable = true}, SHIFT(720),
  [1708] = {.count = 1, .reusable = true}, SHIFT(721),
  [1710] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(276),
  [1713] = {.count = 1, .reusable = true}, SHIFT(722),
  [1715] = {.count = 1, .reusable = true}, SHIFT(725),
  [1717] = {.count = 1, .reusable = true}, SHIFT(726),
  [1719] = {.count = 1, .reusable = true}, SHIFT(728),
  [1721] = {.count = 1, .reusable = true}, SHIFT(729),
  [1723] = {.count = 1, .reusable = true}, SHIFT(731),
  [1725] = {.count = 1, .reusable = true}, SHIFT(732),
  [1727] = {.count = 1, .reusable = true}, SHIFT(734),
  [1729] = {.count = 1, .reusable = true}, SHIFT(735),
  [1731] = {.count = 1, .reusable = true}, SHIFT(737),
  [1733] = {.count = 1, .reusable = true}, SHIFT(738),
  [1735] = {.count = 1, .reusable = false}, SHIFT(738),
  [1737] = {.count = 1, .reusable = true}, SHIFT(739),
  [1739] = {.count = 1, .reusable = true}, SHIFT(740),
  [1741] = {.count = 1, .reusable = true}, REDUCE(sym_array_type, 4),
  [1743] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 9),
  [1745] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 9),
  [1747] = {.count = 1, .reusable = false}, SHIFT(741),
  [1749] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2),
  [1751] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2),
  [1753] = {.count = 1, .reusable = false}, SHIFT(742),
  [1755] = {.count = 1, .reusable = true}, SHIFT(743),
  [1757] = {.count = 1, .reusable = true}, SHIFT(514),
  [1759] = {.count = 1, .reusable = true}, SHIFT(515),
  [1761] = {.count = 1, .reusable = true}, SHIFT(518),
  [1763] = {.count = 1, .reusable = true}, SHIFT(745),
  [1765] = {.count = 1, .reusable = true}, SHIFT(746),
  [1767] = {.count = 1, .reusable = false}, SHIFT(746),
  [1769] = {.count = 1, .reusable = true}, SHIFT(747),
  [1771] = {.count = 1, .reusable = true}, SHIFT(748),
  [1773] = {.count = 1, .reusable = true}, SHIFT(749),
  [1775] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 10),
  [1777] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 10),
  [1779] = {.count = 1, .reusable = false}, SHIFT(750),
  [1781] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 3),
  [1783] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .alias_sequence_id = 3),
  [1785] = {.count = 1, .reusable = true}, SHIFT(512),
  [1787] = {.count = 1, .reusable = true}, SHIFT(753),
  [1789] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 3),
  [1791] = {.count = 1, .reusable = true}, SHIFT(755),
  [1793] = {.count = 1, .reusable = false}, SHIFT(755),
  [1795] = {.count = 1, .reusable = false}, SHIFT(753),
  [1797] = {.count = 1, .reusable = true}, SHIFT(757),
  [1799] = {.count = 1, .reusable = true}, SHIFT(758),
  [1801] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 3, .alias_sequence_id = 9),
  [1803] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec, 2, .alias_sequence_id = 10),
  [1805] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec, 2, .alias_sequence_id = 10),
  [1807] = {.count = 1, .reusable = false}, SHIFT(760),
  [1809] = {.count = 1, .reusable = false}, SHIFT(761),
  [1811] = {.count = 1, .reusable = false}, SHIFT(762),
  [1813] = {.count = 1, .reusable = false}, SHIFT(763),
  [1815] = {.count = 1, .reusable = false}, SHIFT(764),
  [1817] = {.count = 1, .reusable = false}, SHIFT(765),
  [1819] = {.count = 1, .reusable = true}, SHIFT(767),
  [1821] = {.count = 1, .reusable = false}, SHIFT(767),
  [1823] = {.count = 1, .reusable = false}, SHIFT(757),
  [1825] = {.count = 1, .reusable = true}, SHIFT(769),
  [1827] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 3),
  [1829] = {.count = 1, .reusable = true}, SHIFT(770),
  [1831] = {.count = 1, .reusable = false}, SHIFT(770),
  [1833] = {.count = 1, .reusable = false}, SHIFT(769),
  [1835] = {.count = 1, .reusable = true}, SHIFT(771),
  [1837] = {.count = 1, .reusable = false}, SHIFT(773),
  [1839] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 5),
  [1841] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 5),
  [1843] = {.count = 1, .reusable = true}, SHIFT(775),
  [1845] = {.count = 1, .reusable = false}, REDUCE(sym_array_type, 4),
  [1847] = {.count = 1, .reusable = true}, SHIFT(776),
  [1849] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 3),
  [1851] = {.count = 1, .reusable = true}, SHIFT(777),
  [1853] = {.count = 1, .reusable = false}, SHIFT(777),
  [1855] = {.count = 1, .reusable = false}, SHIFT(776),
  [1857] = {.count = 1, .reusable = true}, SHIFT(778),
  [1859] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 3, .alias_sequence_id = 9),
  [1861] = {.count = 1, .reusable = true}, SHIFT(779),
  [1863] = {.count = 1, .reusable = false}, SHIFT(779),
  [1865] = {.count = 1, .reusable = false}, SHIFT(778),
  [1867] = {.count = 1, .reusable = true}, SHIFT(780),
  [1869] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 3),
  [1871] = {.count = 1, .reusable = true}, SHIFT(781),
  [1873] = {.count = 1, .reusable = false}, SHIFT(781),
  [1875] = {.count = 1, .reusable = false}, SHIFT(780),
  [1877] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 5),
  [1879] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 5),
  [1881] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 5),
  [1883] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 5),
  [1885] = {.count = 1, .reusable = true}, SHIFT(783),
  [1887] = {.count = 1, .reusable = true}, SHIFT(784),
  [1889] = {.count = 1, .reusable = false}, SHIFT(785),
  [1891] = {.count = 1, .reusable = true}, SHIFT(788),
  [1893] = {.count = 1, .reusable = false}, SHIFT(789),
  [1895] = {.count = 1, .reusable = true}, SHIFT(790),
  [1897] = {.count = 1, .reusable = true}, SHIFT(791),
  [1899] = {.count = 1, .reusable = false}, SHIFT(792),
  [1901] = {.count = 1, .reusable = false}, SHIFT(793),
  [1903] = {.count = 1, .reusable = true}, SHIFT(794),
  [1905] = {.count = 1, .reusable = true}, SHIFT(797),
  [1907] = {.count = 1, .reusable = true}, SHIFT(800),
  [1909] = {.count = 1, .reusable = true}, SHIFT(761),
  [1911] = {.count = 1, .reusable = true}, SHIFT(762),
  [1913] = {.count = 1, .reusable = true}, SHIFT(765),
  [1915] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2, .alias_sequence_id = 11),
  [1917] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2, .alias_sequence_id = 11),
  [1919] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2, .alias_sequence_id = 11),
  [1921] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2, .alias_sequence_id = 11),
  [1923] = {.count = 1, .reusable = true}, REDUCE(sym_goto_statement, 2, .alias_sequence_id = 11),
  [1925] = {.count = 1, .reusable = false}, REDUCE(sym_goto_statement, 2, .alias_sequence_id = 11),
  [1927] = {.count = 1, .reusable = true}, SHIFT(573),
  [1929] = {.count = 1, .reusable = true}, SHIFT(574),
  [1931] = {.count = 1, .reusable = true}, SHIFT(575),
  [1933] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [1935] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [1937] = {.count = 1, .reusable = false}, SHIFT(801),
  [1939] = {.count = 1, .reusable = false}, SHIFT(802),
  [1941] = {.count = 1, .reusable = false}, SHIFT(803),
  [1943] = {.count = 1, .reusable = false}, SHIFT(804),
  [1945] = {.count = 1, .reusable = false}, SHIFT(805),
  [1947] = {.count = 1, .reusable = false}, SHIFT(806),
  [1949] = {.count = 1, .reusable = true}, REDUCE(sym_go_statement, 2),
  [1951] = {.count = 1, .reusable = false}, REDUCE(sym_go_statement, 2),
  [1953] = {.count = 1, .reusable = false}, SHIFT(808),
  [1955] = {.count = 1, .reusable = false}, SHIFT(809),
  [1957] = {.count = 1, .reusable = false}, SHIFT(810),
  [1959] = {.count = 1, .reusable = false}, SHIFT(811),
  [1961] = {.count = 1, .reusable = false}, SHIFT(812),
  [1963] = {.count = 1, .reusable = true}, REDUCE(sym_defer_statement, 2),
  [1965] = {.count = 1, .reusable = false}, REDUCE(sym_defer_statement, 2),
  [1967] = {.count = 1, .reusable = true}, SHIFT(813),
  [1969] = {.count = 1, .reusable = false}, SHIFT(813),
  [1971] = {.count = 1, .reusable = true}, SHIFT(815),
  [1973] = {.count = 1, .reusable = false}, SHIFT(815),
  [1975] = {.count = 1, .reusable = true}, SHIFT(816),
  [1977] = {.count = 1, .reusable = true}, SHIFT(820),
  [1979] = {.count = 1, .reusable = true}, SHIFT(821),
  [1981] = {.count = 1, .reusable = true}, SHIFT(822),
  [1983] = {.count = 1, .reusable = true}, SHIFT(818),
  [1985] = {.count = 1, .reusable = true}, SHIFT(824),
  [1987] = {.count = 1, .reusable = true}, SHIFT(825),
  [1989] = {.count = 1, .reusable = true}, SHIFT(826),
  [1991] = {.count = 1, .reusable = true}, SHIFT(827),
  [1993] = {.count = 1, .reusable = false}, SHIFT(828),
  [1995] = {.count = 1, .reusable = true}, SHIFT(829),
  [1997] = {.count = 1, .reusable = false}, SHIFT(829),
  [1999] = {.count = 1, .reusable = true}, SHIFT(830),
  [2001] = {.count = 1, .reusable = true}, SHIFT(831),
  [2003] = {.count = 1, .reusable = true}, SHIFT(624),
  [2005] = {.count = 1, .reusable = false}, SHIFT(832),
  [2007] = {.count = 1, .reusable = true}, SHIFT(833),
  [2009] = {.count = 1, .reusable = true}, SHIFT(834),
  [2011] = {.count = 1, .reusable = true}, SHIFT(835),
  [2013] = {.count = 1, .reusable = true}, SHIFT(836),
  [2015] = {.count = 1, .reusable = false}, SHIFT(837),
  [2017] = {.count = 1, .reusable = true}, SHIFT(838),
  [2019] = {.count = 1, .reusable = false}, SHIFT(838),
  [2021] = {.count = 1, .reusable = true}, SHIFT(839),
  [2023] = {.count = 1, .reusable = true}, SHIFT(840),
  [2025] = {.count = 1, .reusable = true}, SHIFT(843),
  [2027] = {.count = 1, .reusable = true}, SHIFT(844),
  [2029] = {.count = 1, .reusable = true}, SHIFT(845),
  [2031] = {.count = 1, .reusable = true}, SHIFT(846),
  [2033] = {.count = 1, .reusable = true}, SHIFT(847),
  [2035] = {.count = 1, .reusable = false}, SHIFT(847),
  [2037] = {.count = 1, .reusable = true}, SHIFT(848),
  [2039] = {.count = 1, .reusable = false}, SHIFT(848),
  [2041] = {.count = 1, .reusable = true}, SHIFT(849),
  [2043] = {.count = 1, .reusable = true}, SHIFT(850),
  [2045] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 2),
  [2047] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 2),
  [2049] = {.count = 1, .reusable = true}, SHIFT(851),
  [2051] = {.count = 1, .reusable = true}, SHIFT(853),
  [2053] = {.count = 1, .reusable = true}, SHIFT(854),
  [2055] = {.count = 1, .reusable = true}, SHIFT(855),
  [2057] = {.count = 1, .reusable = true}, SHIFT(857),
  [2059] = {.count = 1, .reusable = true}, SHIFT(858),
  [2061] = {.count = 1, .reusable = true}, SHIFT(859),
  [2063] = {.count = 1, .reusable = true}, SHIFT(860),
  [2065] = {.count = 1, .reusable = true}, SHIFT(861),
  [2067] = {.count = 1, .reusable = true}, SHIFT(862),
  [2069] = {.count = 1, .reusable = true}, SHIFT(863),
  [2071] = {.count = 1, .reusable = true}, SHIFT(864),
  [2073] = {.count = 1, .reusable = true}, SHIFT(867),
  [2075] = {.count = 1, .reusable = true}, REDUCE(sym_empty_labeled_statement, 2, .alias_sequence_id = 12),
  [2077] = {.count = 1, .reusable = false}, SHIFT(869),
  [2079] = {.count = 1, .reusable = true}, SHIFT(577),
  [2081] = {.count = 1, .reusable = true}, SHIFT(873),
  [2083] = {.count = 1, .reusable = false}, SHIFT(873),
  [2085] = {.count = 1, .reusable = true}, REDUCE(sym_block, 3),
  [2087] = {.count = 1, .reusable = false}, REDUCE(sym_block, 3),
  [2089] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 2),
  [2091] = {.count = 1, .reusable = true}, SHIFT(876),
  [2093] = {.count = 1, .reusable = false}, SHIFT(876),
  [2095] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 2),
  [2097] = {.count = 1, .reusable = true}, SHIFT(878),
  [2099] = {.count = 1, .reusable = true}, SHIFT(879),
  [2101] = {.count = 1, .reusable = true}, SHIFT(880),
  [2103] = {.count = 1, .reusable = true}, SHIFT(881),
  [2105] = {.count = 1, .reusable = false}, SHIFT(881),
  [2107] = {.count = 1, .reusable = true}, SHIFT(883),
  [2109] = {.count = 1, .reusable = true}, SHIFT(884),
  [2111] = {.count = 1, .reusable = true}, SHIFT(885),
  [2113] = {.count = 1, .reusable = true}, SHIFT(886),
  [2115] = {.count = 1, .reusable = false}, SHIFT(886),
  [2117] = {.count = 1, .reusable = true}, SHIFT(887),
  [2119] = {.count = 1, .reusable = false}, SHIFT(887),
  [2121] = {.count = 1, .reusable = true}, SHIFT(888),
  [2123] = {.count = 1, .reusable = true}, SHIFT(889),
  [2125] = {.count = 1, .reusable = false}, SHIFT(889),
  [2127] = {.count = 1, .reusable = true}, SHIFT(890),
  [2129] = {.count = 1, .reusable = false}, SHIFT(890),
  [2131] = {.count = 1, .reusable = true}, REDUCE(sym_inc_statement, 2),
  [2133] = {.count = 1, .reusable = false}, REDUCE(sym_inc_statement, 2),
  [2135] = {.count = 1, .reusable = true}, REDUCE(sym_dec_statement, 2),
  [2137] = {.count = 1, .reusable = false}, REDUCE(sym_dec_statement, 2),
  [2139] = {.count = 1, .reusable = true}, SHIFT(891),
  [2141] = {.count = 1, .reusable = false}, SHIFT(891),
  [2143] = {.count = 1, .reusable = true}, SHIFT(892),
  [2145] = {.count = 1, .reusable = false}, SHIFT(892),
  [2147] = {.count = 1, .reusable = true}, SHIFT(893),
  [2149] = {.count = 1, .reusable = false}, SHIFT(893),
  [2151] = {.count = 1, .reusable = true}, SHIFT(894),
  [2153] = {.count = 1, .reusable = false}, SHIFT(894),
  [2155] = {.count = 1, .reusable = true}, SHIFT(896),
  [2157] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 6, .alias_sequence_id = 5),
  [2159] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 6, .alias_sequence_id = 5),
  [2161] = {.count = 1, .reusable = true}, SHIFT(897),
  [2163] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(411),
  [2166] = {.count = 1, .reusable = true}, SHIFT(899),
  [2168] = {.count = 1, .reusable = true}, SHIFT(900),
  [2170] = {.count = 1, .reusable = true}, SHIFT(901),
  [2172] = {.count = 1, .reusable = true}, SHIFT(902),
  [2174] = {.count = 1, .reusable = true}, SHIFT(903),
  [2176] = {.count = 1, .reusable = false}, SHIFT(905),
  [2178] = {.count = 1, .reusable = true}, REDUCE(sym_func_literal, 4),
  [2180] = {.count = 1, .reusable = false}, REDUCE(sym_func_literal, 4),
  [2182] = {.count = 1, .reusable = true}, SHIFT(907),
  [2184] = {.count = 1, .reusable = true}, SHIFT(908),
  [2186] = {.count = 1, .reusable = false}, SHIFT(908),
  [2188] = {.count = 1, .reusable = true}, SHIFT(909),
  [2190] = {.count = 1, .reusable = true}, SHIFT(910),
  [2192] = {.count = 1, .reusable = true}, SHIFT(911),
  [2194] = {.count = 1, .reusable = true}, REDUCE(sym_implicit_length_array_type, 4),
  [2196] = {.count = 1, .reusable = true}, SHIFT(912),
  [2198] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 3),
  [2200] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 3),
  [2202] = {.count = 1, .reusable = true}, SHIFT(913),
  [2204] = {.count = 1, .reusable = true}, SHIFT(914),
  [2206] = {.count = 1, .reusable = false}, SHIFT(914),
  [2208] = {.count = 1, .reusable = true}, SHIFT(915),
  [2210] = {.count = 1, .reusable = true}, SHIFT(917),
  [2212] = {.count = 1, .reusable = true}, SHIFT(918),
  [2214] = {.count = 1, .reusable = true}, SHIFT(919),
  [2216] = {.count = 1, .reusable = true}, SHIFT(920),
  [2218] = {.count = 1, .reusable = false}, SHIFT(920),
  [2220] = {.count = 1, .reusable = true}, SHIFT(922),
  [2222] = {.count = 1, .reusable = false}, SHIFT(922),
  [2224] = {.count = 1, .reusable = true}, SHIFT(924),
  [2226] = {.count = 1, .reusable = false}, SHIFT(924),
  [2228] = {.count = 1, .reusable = true}, SHIFT(925),
  [2230] = {.count = 1, .reusable = false}, SHIFT(925),
  [2232] = {.count = 1, .reusable = true}, SHIFT(926),
  [2234] = {.count = 1, .reusable = false}, SHIFT(926),
  [2236] = {.count = 1, .reusable = true}, SHIFT(927),
  [2238] = {.count = 1, .reusable = false}, SHIFT(927),
  [2240] = {.count = 1, .reusable = true}, SHIFT(928),
  [2242] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 3),
  [2244] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 3),
  [2246] = {.count = 1, .reusable = true}, SHIFT(930),
  [2248] = {.count = 1, .reusable = true}, REDUCE(sym_type_conversion_expression, 4),
  [2250] = {.count = 1, .reusable = false}, REDUCE(sym_type_conversion_expression, 4),
  [2252] = {.count = 1, .reusable = true}, SHIFT(932),
  [2254] = {.count = 1, .reusable = true}, SHIFT(933),
  [2256] = {.count = 1, .reusable = false}, SHIFT(933),
  [2258] = {.count = 1, .reusable = true}, SHIFT(934),
  [2260] = {.count = 1, .reusable = false}, SHIFT(934),
  [2262] = {.count = 1, .reusable = true}, SHIFT(935),
  [2264] = {.count = 1, .reusable = false}, SHIFT(935),
  [2266] = {.count = 1, .reusable = true}, SHIFT(936),
  [2268] = {.count = 1, .reusable = false}, SHIFT(936),
  [2270] = {.count = 1, .reusable = true}, SHIFT(937),
  [2272] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [2274] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [2276] = {.count = 1, .reusable = true}, SHIFT(938),
  [2278] = {.count = 1, .reusable = true}, SHIFT(939),
  [2280] = {.count = 1, .reusable = false}, SHIFT(939),
  [2282] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_argument, 2),
  [2284] = {.count = 1, .reusable = true}, SHIFT(941),
  [2286] = {.count = 1, .reusable = false}, SHIFT(941),
  [2288] = {.count = 1, .reusable = true}, SHIFT(942),
  [2290] = {.count = 1, .reusable = false}, SHIFT(942),
  [2292] = {.count = 1, .reusable = true}, SHIFT(943),
  [2294] = {.count = 1, .reusable = false}, SHIFT(943),
  [2296] = {.count = 1, .reusable = true}, SHIFT(944),
  [2298] = {.count = 1, .reusable = false}, SHIFT(944),
  [2300] = {.count = 1, .reusable = true}, SHIFT(945),
  [2302] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 4),
  [2304] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 4),
  [2306] = {.count = 1, .reusable = true}, SHIFT(947),
  [2308] = {.count = 1, .reusable = true}, SHIFT(948),
  [2310] = {.count = 1, .reusable = true}, REDUCE(sym_index_expression, 4),
  [2312] = {.count = 1, .reusable = false}, REDUCE(sym_index_expression, 4),
  [2314] = {.count = 1, .reusable = true}, SHIFT(949),
  [2316] = {.count = 1, .reusable = false}, SHIFT(949),
  [2318] = {.count = 1, .reusable = true}, SHIFT(950),
  [2320] = {.count = 1, .reusable = false}, SHIFT(950),
  [2322] = {.count = 1, .reusable = true}, SHIFT(951),
  [2324] = {.count = 1, .reusable = false}, SHIFT(951),
  [2326] = {.count = 1, .reusable = true}, SHIFT(952),
  [2328] = {.count = 1, .reusable = false}, SHIFT(952),
  [2330] = {.count = 1, .reusable = true}, SHIFT(953),
  [2332] = {.count = 1, .reusable = false}, SHIFT(953),
  [2334] = {.count = 1, .reusable = true}, SHIFT(954),
  [2336] = {.count = 1, .reusable = true}, SHIFT(955),
  [2338] = {.count = 1, .reusable = true}, SHIFT(956),
  [2340] = {.count = 1, .reusable = true}, SHIFT(957),
  [2342] = {.count = 1, .reusable = true}, SHIFT(958),
  [2344] = {.count = 1, .reusable = true}, SHIFT(959),
  [2346] = {.count = 1, .reusable = true}, SHIFT(960),
  [2348] = {.count = 1, .reusable = true}, SHIFT(961),
  [2350] = {.count = 1, .reusable = true}, SHIFT(962),
  [2352] = {.count = 1, .reusable = true}, SHIFT(963),
  [2354] = {.count = 1, .reusable = true}, SHIFT(964),
  [2356] = {.count = 1, .reusable = true}, SHIFT(965),
  [2358] = {.count = 1, .reusable = false}, SHIFT(965),
  [2360] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .alias_sequence_id = 9),
  [2362] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .alias_sequence_id = 9),
  [2364] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3),
  [2366] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3),
  [2368] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2, .alias_sequence_id = 13),
  [2370] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_name_list_repeat1, 2, .alias_sequence_id = 13),
  [2372] = {.count = 1, .reusable = true}, SHIFT(966),
  [2374] = {.count = 1, .reusable = false}, SHIFT(968),
  [2376] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .alias_sequence_id = 10),
  [2378] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .alias_sequence_id = 10),
  [2380] = {.count = 1, .reusable = false}, SHIFT(969),
  [2382] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [2384] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2), SHIFT_REPEAT(512),
  [2387] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [2389] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 4),
  [2391] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2393] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2395] = {.count = 1, .reusable = true}, SHIFT(970),
  [2397] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(971),
  [2400] = {.count = 2, .reusable = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(971),
  [2403] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 4, .alias_sequence_id = 9),
  [2405] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .alias_sequence_id = 9),
  [2407] = {.count = 1, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .alias_sequence_id = 9),
  [2409] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [2411] = {.count = 1, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [2413] = {.count = 1, .reusable = true}, SHIFT(973),
  [2415] = {.count = 1, .reusable = true}, SHIFT(974),
  [2417] = {.count = 1, .reusable = false}, SHIFT(974),
  [2419] = {.count = 1, .reusable = true}, SHIFT(975),
  [2421] = {.count = 1, .reusable = true}, SHIFT(976),
  [2423] = {.count = 1, .reusable = true}, SHIFT(977),
  [2425] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec, 3, .alias_sequence_id = 10),
  [2427] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec, 3, .alias_sequence_id = 10),
  [2429] = {.count = 1, .reusable = true}, SHIFT(978),
  [2431] = {.count = 2, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(979),
  [2434] = {.count = 2, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(979),
  [2437] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 4),
  [2439] = {.count = 1, .reusable = true}, SHIFT(980),
  [2441] = {.count = 1, .reusable = true}, SHIFT(981),
  [2443] = {.count = 1, .reusable = true}, REDUCE(sym_map_type, 5),
  [2445] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 4),
  [2447] = {.count = 1, .reusable = true}, SHIFT(982),
  [2449] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 4, .alias_sequence_id = 9),
  [2451] = {.count = 1, .reusable = true}, SHIFT(983),
  [2453] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 4),
  [2455] = {.count = 1, .reusable = true}, SHIFT(984),
  [2457] = {.count = 1, .reusable = false}, REDUCE(sym_map_type, 5),
  [2459] = {.count = 1, .reusable = true}, SHIFT(985),
  [2461] = {.count = 1, .reusable = false}, SHIFT(985),
  [2463] = {.count = 1, .reusable = true}, SHIFT(989),
  [2465] = {.count = 1, .reusable = true}, SHIFT(990),
  [2467] = {.count = 1, .reusable = false}, SHIFT(990),
  [2469] = {.count = 1, .reusable = true}, SHIFT(991),
  [2471] = {.count = 1, .reusable = true}, SHIFT(992),
  [2473] = {.count = 1, .reusable = true}, SHIFT(993),
  [2475] = {.count = 1, .reusable = false}, SHIFT(994),
  [2477] = {.count = 1, .reusable = true}, SHIFT(994),
  [2479] = {.count = 1, .reusable = true}, SHIFT(996),
  [2481] = {.count = 1, .reusable = true}, SHIFT(999),
  [2483] = {.count = 1, .reusable = false}, SHIFT(999),
  [2485] = {.count = 1, .reusable = true}, SHIFT(1000),
  [2487] = {.count = 1, .reusable = false}, SHIFT(1000),
  [2489] = {.count = 1, .reusable = true}, SHIFT(1001),
  [2491] = {.count = 1, .reusable = false}, SHIFT(1001),
  [2493] = {.count = 1, .reusable = true}, SHIFT(1002),
  [2495] = {.count = 1, .reusable = false}, SHIFT(1002),
  [2497] = {.count = 1, .reusable = true}, SHIFT(1003),
  [2499] = {.count = 1, .reusable = false}, SHIFT(1003),
  [2501] = {.count = 1, .reusable = true}, SHIFT(1005),
  [2503] = {.count = 1, .reusable = false}, SHIFT(1005),
  [2505] = {.count = 1, .reusable = true}, SHIFT(1006),
  [2507] = {.count = 1, .reusable = false}, SHIFT(1006),
  [2509] = {.count = 1, .reusable = true}, SHIFT(1007),
  [2511] = {.count = 1, .reusable = false}, SHIFT(1007),
  [2513] = {.count = 1, .reusable = true}, SHIFT(1008),
  [2515] = {.count = 1, .reusable = false}, SHIFT(1008),
  [2517] = {.count = 1, .reusable = true}, SHIFT(1009),
  [2519] = {.count = 1, .reusable = true}, SHIFT(1010),
  [2521] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2523] = {.count = 1, .reusable = true}, SHIFT(1016),
  [2525] = {.count = 1, .reusable = true}, SHIFT(1017),
  [2527] = {.count = 1, .reusable = true}, SHIFT(1018),
  [2529] = {.count = 1, .reusable = true}, SHIFT(1020),
  [2531] = {.count = 1, .reusable = false}, SHIFT(1020),
  [2533] = {.count = 1, .reusable = true}, SHIFT(1022),
  [2535] = {.count = 1, .reusable = false}, SHIFT(1022),
  [2537] = {.count = 1, .reusable = true}, REDUCE(sym_if_initializer, 2),
  [2539] = {.count = 1, .reusable = false}, REDUCE(sym_if_initializer, 2),
  [2541] = {.count = 1, .reusable = true}, SHIFT(1023),
  [2543] = {.count = 1, .reusable = true}, SHIFT(1024),
  [2545] = {.count = 1, .reusable = false}, SHIFT(1023),
  [2547] = {.count = 1, .reusable = false}, SHIFT(1024),
  [2549] = {.count = 1, .reusable = true}, SHIFT(1025),
  [2551] = {.count = 1, .reusable = false}, SHIFT(1025),
  [2553] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2555] = {.count = 1, .reusable = true}, SHIFT(1027),
  [2557] = {.count = 1, .reusable = true}, SHIFT(1029),
  [2559] = {.count = 1, .reusable = true}, SHIFT(1030),
  [2561] = {.count = 1, .reusable = true}, SHIFT(1031),
  [2563] = {.count = 1, .reusable = true}, SHIFT(1032),
  [2565] = {.count = 1, .reusable = false}, SHIFT(1032),
  [2567] = {.count = 1, .reusable = true}, SHIFT(1034),
  [2569] = {.count = 1, .reusable = false}, SHIFT(1034),
  [2571] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2573] = {.count = 1, .reusable = true}, SHIFT(1036),
  [2575] = {.count = 1, .reusable = false}, SHIFT(1036),
  [2577] = {.count = 1, .reusable = true}, SHIFT(1037),
  [2579] = {.count = 1, .reusable = false}, SHIFT(1037),
  [2581] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2583] = {.count = 1, .reusable = false}, SHIFT(1038),
  [2585] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2587] = {.count = 1, .reusable = false}, SHIFT(1039),
  [2589] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2591] = {.count = 1, .reusable = false}, SHIFT(1040),
  [2593] = {.count = 1, .reusable = true}, SHIFT(1041),
  [2595] = {.count = 1, .reusable = false}, SHIFT(1041),
  [2597] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3),
  [2599] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3),
  [2601] = {.count = 1, .reusable = false}, SHIFT(1042),
  [2603] = {.count = 1, .reusable = true}, SHIFT(1044),
  [2605] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 2),
  [2607] = {.count = 1, .reusable = true}, SHIFT(1045),
  [2609] = {.count = 1, .reusable = true}, SHIFT(1046),
  [2611] = {.count = 1, .reusable = true}, SHIFT(1049),
  [2613] = {.count = 1, .reusable = false}, SHIFT(1049),
  [2615] = {.count = 1, .reusable = true}, SHIFT(1050),
  [2617] = {.count = 1, .reusable = true}, SHIFT(1051),
  [2619] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2621] = {.count = 1, .reusable = false}, SHIFT(1051),
  [2623] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2625] = {.count = 1, .reusable = true}, SHIFT(1053),
  [2627] = {.count = 1, .reusable = false}, SHIFT(1053),
  [2629] = {.count = 1, .reusable = true}, SHIFT(1054),
  [2631] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2633] = {.count = 1, .reusable = true}, REDUCE(sym_range_clause, 2),
  [2635] = {.count = 1, .reusable = false}, SHIFT(1056),
  [2637] = {.count = 1, .reusable = true}, SHIFT(1057),
  [2639] = {.count = 1, .reusable = false}, SHIFT(1057),
  [2641] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 3),
  [2643] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 3),
  [2645] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 3),
  [2647] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 3),
  [2649] = {.count = 1, .reusable = true}, SHIFT(1058),
  [2651] = {.count = 1, .reusable = true}, SHIFT(1059),
  [2653] = {.count = 1, .reusable = true}, SHIFT(1060),
  [2655] = {.count = 1, .reusable = true}, SHIFT(1062),
  [2657] = {.count = 1, .reusable = false}, SHIFT(1062),
  [2659] = {.count = 1, .reusable = true}, SHIFT(1063),
  [2661] = {.count = 1, .reusable = true}, SHIFT(1064),
  [2663] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2665] = {.count = 1, .reusable = false}, SHIFT(1066),
  [2667] = {.count = 1, .reusable = true}, SHIFT(1067),
  [2669] = {.count = 1, .reusable = true}, SHIFT(1068),
  [2671] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2673] = {.count = 1, .reusable = true}, SHIFT(1070),
  [2675] = {.count = 1, .reusable = true}, SHIFT(1073),
  [2677] = {.count = 1, .reusable = false}, SHIFT(1073),
  [2679] = {.count = 1, .reusable = true}, SHIFT(1074),
  [2681] = {.count = 1, .reusable = true}, SHIFT(1075),
  [2683] = {.count = 1, .reusable = true}, SHIFT(1076),
  [2685] = {.count = 1, .reusable = true}, SHIFT(1078),
  [2687] = {.count = 1, .reusable = true}, REDUCE(sym_select_statement, 3),
  [2689] = {.count = 1, .reusable = false}, REDUCE(sym_select_statement, 3),
  [2691] = {.count = 1, .reusable = true}, SHIFT(1080),
  [2693] = {.count = 1, .reusable = true}, SHIFT(1081),
  [2695] = {.count = 1, .reusable = true}, SHIFT(1082),
  [2697] = {.count = 1, .reusable = true}, SHIFT(1085),
  [2699] = {.count = 1, .reusable = false}, SHIFT(1085),
  [2701] = {.count = 1, .reusable = true}, SHIFT(1086),
  [2703] = {.count = 1, .reusable = true}, SHIFT(1087),
  [2705] = {.count = 1, .reusable = true}, SHIFT(1089),
  [2707] = {.count = 1, .reusable = true}, SHIFT(1090),
  [2709] = {.count = 1, .reusable = true}, SHIFT(1092),
  [2711] = {.count = 1, .reusable = true}, SHIFT(1093),
  [2713] = {.count = 1, .reusable = false}, SHIFT(1095),
  [2715] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 12),
  [2717] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 12),
  [2719] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_statement, 3),
  [2721] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_statement, 3),
  [2723] = {.count = 1, .reusable = true}, REDUCE(sym_short_var_declaration, 3),
  [2725] = {.count = 1, .reusable = false}, REDUCE(sym_short_var_declaration, 3),
  [2727] = {.count = 1, .reusable = true}, SHIFT(1096),
  [2729] = {.count = 1, .reusable = true}, SHIFT(1097),
  [2731] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2733] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2735] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 3, .alias_sequence_id = 14),
  [2737] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 3),
  [2739] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(1099),
  [2742] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(1099),
  [2745] = {.count = 1, .reusable = true}, SHIFT(1101),
  [2747] = {.count = 1, .reusable = true}, SHIFT(1102),
  [2749] = {.count = 1, .reusable = false}, SHIFT(1104),
  [2751] = {.count = 1, .reusable = false}, SHIFT(1105),
  [2753] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2755] = {.count = 1, .reusable = false}, SHIFT(1106),
  [2757] = {.count = 1, .reusable = true}, SHIFT(1107),
  [2759] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2761] = {.count = 1, .reusable = true}, SHIFT(1109),
  [2763] = {.count = 1, .reusable = true}, SHIFT(1110),
  [2765] = {.count = 1, .reusable = false}, SHIFT(1110),
  [2767] = {.count = 1, .reusable = true}, SHIFT(1111),
  [2769] = {.count = 1, .reusable = true}, SHIFT(1112),
  [2771] = {.count = 1, .reusable = true}, REDUCE(sym_send_statement, 3),
  [2773] = {.count = 1, .reusable = false}, REDUCE(sym_send_statement, 3),
  [2775] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(624),
  [2778] = {.count = 1, .reusable = false}, SHIFT(1113),
  [2780] = {.count = 1, .reusable = true}, SHIFT(1114),
  [2782] = {.count = 1, .reusable = true}, SHIFT(1115),
  [2784] = {.count = 1, .reusable = false}, SHIFT(1117),
  [2786] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 4),
  [2788] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 4),
  [2790] = {.count = 1, .reusable = true}, SHIFT(1118),
  [2792] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1119),
  [2795] = {.count = 1, .reusable = true}, REDUCE(sym_keyed_element, 3, .alias_sequence_id = 10),
  [2797] = {.count = 1, .reusable = true}, SHIFT(1120),
  [2799] = {.count = 1, .reusable = true}, SHIFT(1121),
  [2801] = {.count = 1, .reusable = false}, SHIFT(1120),
  [2803] = {.count = 1, .reusable = false}, SHIFT(1121),
  [2805] = {.count = 1, .reusable = true}, SHIFT(1122),
  [2807] = {.count = 1, .reusable = false}, SHIFT(1122),
  [2809] = {.count = 1, .reusable = true}, SHIFT(1123),
  [2811] = {.count = 1, .reusable = true}, SHIFT(1124),
  [2813] = {.count = 1, .reusable = true}, REDUCE(sym_keyed_element, 3),
  [2815] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 4),
  [2817] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 4),
  [2819] = {.count = 1, .reusable = true}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2821] = {.count = 1, .reusable = true}, SHIFT(1125),
  [2823] = {.count = 2, .reusable = true}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(1126),
  [2826] = {.count = 1, .reusable = true}, REDUCE(sym_type_conversion_expression, 5),
  [2828] = {.count = 1, .reusable = false}, REDUCE(sym_type_conversion_expression, 5),
  [2830] = {.count = 1, .reusable = true}, REDUCE(sym_type_assertion_expression, 5),
  [2832] = {.count = 1, .reusable = false}, REDUCE(sym_type_assertion_expression, 5),
  [2834] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [2836] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [2838] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2840] = {.count = 1, .reusable = true}, SHIFT(1127),
  [2842] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1128),
  [2845] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 5),
  [2847] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 5),
  [2849] = {.count = 1, .reusable = true}, SHIFT(1129),
  [2851] = {.count = 1, .reusable = false}, SHIFT(1129),
  [2853] = {.count = 1, .reusable = true}, SHIFT(1130),
  [2855] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2857] = {.count = 1, .reusable = true}, SHIFT(1132),
  [2859] = {.count = 1, .reusable = true}, SHIFT(1133),
  [2861] = {.count = 1, .reusable = true}, SHIFT(1134),
  [2863] = {.count = 1, .reusable = true}, SHIFT(1135),
  [2865] = {.count = 1, .reusable = false}, SHIFT(1135),
  [2867] = {.count = 1, .reusable = true}, SHIFT(1136),
  [2869] = {.count = 1, .reusable = true}, SHIFT(1137),
  [2871] = {.count = 1, .reusable = true}, SHIFT(1138),
  [2873] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 4, .alias_sequence_id = 10),
  [2875] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 4, .alias_sequence_id = 10),
  [2877] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 5),
  [2879] = {.count = 1, .reusable = true}, SHIFT(1139),
  [2881] = {.count = 1, .reusable = false}, SHIFT(1141),
  [2883] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 5, .alias_sequence_id = 9),
  [2885] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 5),
  [2887] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 5),
  [2889] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 5, .alias_sequence_id = 9),
  [2891] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 5),
  [2893] = {.count = 1, .reusable = true}, SHIFT(1142),
  [2895] = {.count = 1, .reusable = false}, SHIFT(790),
  [2897] = {.count = 1, .reusable = false}, SHIFT(791),
  [2899] = {.count = 1, .reusable = false}, SHIFT(794),
  [2901] = {.count = 1, .reusable = true}, SHIFT(1143),
  [2903] = {.count = 1, .reusable = false}, SHIFT(1145),
  [2905] = {.count = 1, .reusable = false}, SHIFT(1146),
  [2907] = {.count = 1, .reusable = true}, SHIFT(1147),
  [2909] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(801),
  [2912] = {.count = 1, .reusable = true}, SHIFT(1148),
  [2914] = {.count = 1, .reusable = true}, SHIFT(1151),
  [2916] = {.count = 1, .reusable = true}, SHIFT(1152),
  [2918] = {.count = 1, .reusable = true}, SHIFT(1154),
  [2920] = {.count = 1, .reusable = true}, SHIFT(1155),
  [2922] = {.count = 1, .reusable = true}, SHIFT(1157),
  [2924] = {.count = 1, .reusable = true}, SHIFT(1158),
  [2926] = {.count = 1, .reusable = true}, SHIFT(1159),
  [2928] = {.count = 1, .reusable = false}, SHIFT(1158),
  [2930] = {.count = 1, .reusable = false}, SHIFT(1159),
  [2932] = {.count = 1, .reusable = true}, SHIFT(1160),
  [2934] = {.count = 1, .reusable = false}, SHIFT(1160),
  [2936] = {.count = 1, .reusable = true}, SHIFT(1161),
  [2938] = {.count = 1, .reusable = true}, SHIFT(1162),
  [2940] = {.count = 1, .reusable = true}, SHIFT(1164),
  [2942] = {.count = 1, .reusable = true}, SHIFT(1165),
  [2944] = {.count = 1, .reusable = true}, SHIFT(1166),
  [2946] = {.count = 1, .reusable = false}, SHIFT(1166),
  [2948] = {.count = 1, .reusable = true}, SHIFT(1167),
  [2950] = {.count = 1, .reusable = false}, SHIFT(1167),
  [2952] = {.count = 1, .reusable = true}, SHIFT(1168),
  [2954] = {.count = 1, .reusable = false}, SHIFT(1168),
  [2956] = {.count = 1, .reusable = true}, SHIFT(1169),
  [2958] = {.count = 1, .reusable = false}, SHIFT(1169),
  [2960] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4),
  [2962] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4),
  [2964] = {.count = 1, .reusable = true}, SHIFT(1172),
  [2966] = {.count = 1, .reusable = true}, SHIFT(1173),
  [2968] = {.count = 1, .reusable = true}, SHIFT(1175),
  [2970] = {.count = 1, .reusable = true}, SHIFT(1176),
  [2972] = {.count = 1, .reusable = false}, SHIFT(1176),
  [2974] = {.count = 1, .reusable = true}, SHIFT(1177),
  [2976] = {.count = 1, .reusable = true}, SHIFT(1178),
  [2978] = {.count = 1, .reusable = true}, SHIFT(381),
  [2980] = {.count = 1, .reusable = true}, SHIFT(1180),
  [2982] = {.count = 1, .reusable = true}, SHIFT(1181),
  [2984] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 3),
  [2986] = {.count = 1, .reusable = false}, SHIFT(1182),
  [2988] = {.count = 1, .reusable = true}, SHIFT(1183),
  [2990] = {.count = 1, .reusable = false}, SHIFT(1184),
  [2992] = {.count = 1, .reusable = true}, SHIFT(1185),
  [2994] = {.count = 1, .reusable = false}, SHIFT(1185),
  [2996] = {.count = 1, .reusable = true}, SHIFT(1186),
  [2998] = {.count = 1, .reusable = true}, SHIFT(1187),
  [3000] = {.count = 1, .reusable = true}, SHIFT(1189),
  [3002] = {.count = 1, .reusable = false}, SHIFT(1189),
  [3004] = {.count = 1, .reusable = true}, SHIFT(1190),
  [3006] = {.count = 1, .reusable = false}, SHIFT(1190),
  [3008] = {.count = 1, .reusable = true}, SHIFT(1191),
  [3010] = {.count = 1, .reusable = false}, SHIFT(1191),
  [3012] = {.count = 1, .reusable = true}, SHIFT(1192),
  [3014] = {.count = 1, .reusable = false}, SHIFT(1192),
  [3016] = {.count = 1, .reusable = true}, SHIFT(1193),
  [3018] = {.count = 1, .reusable = false}, SHIFT(1193),
  [3020] = {.count = 1, .reusable = true}, SHIFT(1194),
  [3022] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case, 2),
  [3024] = {.count = 1, .reusable = true}, SHIFT(1195),
  [3026] = {.count = 1, .reusable = true}, SHIFT(1196),
  [3028] = {.count = 1, .reusable = true}, SHIFT(1197),
  [3030] = {.count = 1, .reusable = false}, SHIFT(1196),
  [3032] = {.count = 1, .reusable = false}, SHIFT(1197),
  [3034] = {.count = 1, .reusable = true}, SHIFT(1198),
  [3036] = {.count = 1, .reusable = false}, SHIFT(1198),
  [3038] = {.count = 1, .reusable = true}, SHIFT(1199),
  [3040] = {.count = 1, .reusable = true}, SHIFT(1200),
  [3042] = {.count = 1, .reusable = false}, SHIFT(1202),
  [3044] = {.count = 1, .reusable = false}, SHIFT(1203),
  [3046] = {.count = 1, .reusable = false}, SHIFT(1204),
  [3048] = {.count = 1, .reusable = true}, SHIFT(1205),
  [3050] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case_clause, 2),
  [3052] = {.count = 1, .reusable = true}, SHIFT(1206),
  [3054] = {.count = 1, .reusable = false}, SHIFT(1207),
  [3056] = {.count = 1, .reusable = false}, SHIFT(1208),
  [3058] = {.count = 1, .reusable = false}, SHIFT(1209),
  [3060] = {.count = 1, .reusable = false}, SHIFT(1210),
  [3062] = {.count = 1, .reusable = false}, REDUCE(sym_expression_case_clause, 2),
  [3064] = {.count = 1, .reusable = true}, SHIFT(1211),
  [3066] = {.count = 1, .reusable = false}, SHIFT(1212),
  [3068] = {.count = 1, .reusable = true}, SHIFT(1216),
  [3070] = {.count = 1, .reusable = false}, SHIFT(1216),
  [3072] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 4),
  [3074] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 4),
  [3076] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [3078] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(854),
  [3081] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(855),
  [3084] = {.count = 1, .reusable = true}, SHIFT(1217),
  [3086] = {.count = 1, .reusable = true}, SHIFT(1218),
  [3088] = {.count = 1, .reusable = true}, SHIFT(1220),
  [3090] = {.count = 1, .reusable = true}, SHIFT(1221),
  [3092] = {.count = 1, .reusable = true}, SHIFT(1222),
  [3094] = {.count = 1, .reusable = true}, SHIFT(1223),
  [3096] = {.count = 1, .reusable = true}, SHIFT(1224),
  [3098] = {.count = 1, .reusable = true}, SHIFT(1225),
  [3100] = {.count = 1, .reusable = true}, SHIFT(1226),
  [3102] = {.count = 1, .reusable = false}, SHIFT(1224),
  [3104] = {.count = 1, .reusable = false}, SHIFT(1226),
  [3106] = {.count = 1, .reusable = true}, SHIFT(1227),
  [3108] = {.count = 1, .reusable = false}, SHIFT(1227),
  [3110] = {.count = 1, .reusable = true}, SHIFT(1228),
  [3112] = {.count = 1, .reusable = true}, SHIFT(1229),
  [3114] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 4),
  [3116] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 4),
  [3118] = {.count = 1, .reusable = false}, SHIFT(1231),
  [3120] = {.count = 1, .reusable = true}, SHIFT(1232),
  [3122] = {.count = 1, .reusable = true}, SHIFT(1233),
  [3124] = {.count = 1, .reusable = false}, SHIFT(1234),
  [3126] = {.count = 1, .reusable = false}, SHIFT(1235),
  [3128] = {.count = 1, .reusable = true}, SHIFT(1236),
  [3130] = {.count = 1, .reusable = true}, SHIFT(1238),
  [3132] = {.count = 1, .reusable = true}, SHIFT(1239),
  [3134] = {.count = 1, .reusable = false}, SHIFT(1241),
  [3136] = {.count = 1, .reusable = true}, SHIFT(1242),
  [3138] = {.count = 1, .reusable = true}, REDUCE(sym_communication_case, 2),
  [3140] = {.count = 1, .reusable = true}, SHIFT(1243),
  [3142] = {.count = 1, .reusable = true}, SHIFT(1244),
  [3144] = {.count = 1, .reusable = true}, SHIFT(1245),
  [3146] = {.count = 1, .reusable = false}, REDUCE(sym_receive_statement, 1),
  [3148] = {.count = 1, .reusable = true}, SHIFT(1246),
  [3150] = {.count = 1, .reusable = false}, SHIFT(1244),
  [3152] = {.count = 1, .reusable = false}, SHIFT(1246),
  [3154] = {.count = 1, .reusable = true}, SHIFT(1247),
  [3156] = {.count = 1, .reusable = false}, SHIFT(1247),
  [3158] = {.count = 1, .reusable = true}, SHIFT(1248),
  [3160] = {.count = 1, .reusable = true}, SHIFT(1249),
  [3162] = {.count = 1, .reusable = true}, REDUCE(sym_communication_clause, 2),
  [3164] = {.count = 1, .reusable = false}, REDUCE(sym_communication_clause, 2),
  [3166] = {.count = 1, .reusable = true}, REDUCE(sym_select_statement, 4),
  [3168] = {.count = 1, .reusable = false}, REDUCE(sym_select_statement, 4),
  [3170] = {.count = 1, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [3172] = {.count = 2, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(863),
  [3175] = {.count = 2, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(864),
  [3178] = {.count = 1, .reusable = true}, SHIFT(1252),
  [3180] = {.count = 1, .reusable = true}, SHIFT(1253),
  [3182] = {.count = 1, .reusable = true}, SHIFT(1254),
  [3184] = {.count = 1, .reusable = true}, SHIFT(1255),
  [3186] = {.count = 1, .reusable = true}, SHIFT(1256),
  [3188] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 4, .alias_sequence_id = 15),
  [3190] = {.count = 1, .reusable = true}, SHIFT(1257),
  [3192] = {.count = 1, .reusable = true}, SHIFT(1258),
  [3194] = {.count = 1, .reusable = true}, SHIFT(1259),
  [3196] = {.count = 1, .reusable = true}, SHIFT(1260),
  [3198] = {.count = 1, .reusable = false}, SHIFT(1260),
  [3200] = {.count = 1, .reusable = true}, SHIFT(1261),
  [3202] = {.count = 1, .reusable = false}, SHIFT(1261),
  [3204] = {.count = 1, .reusable = true}, SHIFT(1262),
  [3206] = {.count = 1, .reusable = false}, SHIFT(1262),
  [3208] = {.count = 1, .reusable = true}, SHIFT(1263),
  [3210] = {.count = 1, .reusable = false}, SHIFT(1263),
  [3212] = {.count = 1, .reusable = true}, SHIFT(1264),
  [3214] = {.count = 1, .reusable = true}, SHIFT(1265),
  [3216] = {.count = 1, .reusable = true}, SHIFT(1266),
  [3218] = {.count = 1, .reusable = false}, SHIFT(1266),
  [3220] = {.count = 1, .reusable = true}, SHIFT(1267),
  [3222] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 5),
  [3224] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 5),
  [3226] = {.count = 1, .reusable = true}, SHIFT(1268),
  [3228] = {.count = 1, .reusable = false}, SHIFT(1268),
  [3230] = {.count = 1, .reusable = true}, SHIFT(1269),
  [3232] = {.count = 1, .reusable = false}, SHIFT(1269),
  [3234] = {.count = 1, .reusable = true}, SHIFT(1270),
  [3236] = {.count = 1, .reusable = false}, SHIFT(1270),
  [3238] = {.count = 1, .reusable = true}, SHIFT(1271),
  [3240] = {.count = 1, .reusable = false}, SHIFT(1271),
  [3242] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 5),
  [3244] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 5),
  [3246] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [3248] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [3250] = {.count = 1, .reusable = true}, SHIFT(1272),
  [3252] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 6),
  [3254] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 6),
  [3256] = {.count = 1, .reusable = true}, SHIFT(1273),
  [3258] = {.count = 1, .reusable = false}, SHIFT(1273),
  [3260] = {.count = 1, .reusable = true}, SHIFT(1274),
  [3262] = {.count = 1, .reusable = true}, SHIFT(1275),
  [3264] = {.count = 1, .reusable = false}, SHIFT(1275),
  [3266] = {.count = 1, .reusable = true}, SHIFT(1276),
  [3268] = {.count = 1, .reusable = true}, SHIFT(1277),
  [3270] = {.count = 1, .reusable = true}, SHIFT(1278),
  [3272] = {.count = 1, .reusable = true}, SHIFT(1279),
  [3274] = {.count = 1, .reusable = true}, SHIFT(1280),
  [3276] = {.count = 1, .reusable = true}, SHIFT(1281),
  [3278] = {.count = 1, .reusable = true}, SHIFT(1282),
  [3280] = {.count = 1, .reusable = true}, SHIFT(1283),
  [3282] = {.count = 1, .reusable = false}, SHIFT(1283),
  [3284] = {.count = 1, .reusable = true}, SHIFT(1284),
  [3286] = {.count = 1, .reusable = false}, SHIFT(1284),
  [3288] = {.count = 1, .reusable = true}, SHIFT(1285),
  [3290] = {.count = 1, .reusable = false}, SHIFT(1285),
  [3292] = {.count = 1, .reusable = true}, SHIFT(1286),
  [3294] = {.count = 1, .reusable = false}, SHIFT(1286),
  [3296] = {.count = 1, .reusable = true}, SHIFT(1287),
  [3298] = {.count = 1, .reusable = false}, SHIFT(1287),
  [3300] = {.count = 1, .reusable = true}, SHIFT(1289),
  [3302] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5),
  [3304] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5),
  [3306] = {.count = 1, .reusable = true}, SHIFT(1290),
  [3308] = {.count = 1, .reusable = true}, SHIFT(1291),
  [3310] = {.count = 1, .reusable = true}, SHIFT(1292),
  [3312] = {.count = 1, .reusable = true}, SHIFT(1293),
  [3314] = {.count = 1, .reusable = true}, SHIFT(1294),
  [3316] = {.count = 1, .reusable = true}, SHIFT(1295),
  [3318] = {.count = 1, .reusable = false}, SHIFT(1295),
  [3320] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 2),
  [3322] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 2),
  [3324] = {.count = 1, .reusable = true}, SHIFT(1296),
  [3326] = {.count = 1, .reusable = true}, SHIFT(1297),
  [3328] = {.count = 1, .reusable = true}, SHIFT(1298),
  [3330] = {.count = 1, .reusable = true}, SHIFT(1299),
  [3332] = {.count = 1, .reusable = false}, SHIFT(1299),
  [3334] = {.count = 1, .reusable = true}, SHIFT(1300),
  [3336] = {.count = 1, .reusable = false}, SHIFT(1300),
  [3338] = {.count = 1, .reusable = true}, SHIFT(1301),
  [3340] = {.count = 1, .reusable = false}, SHIFT(1301),
  [3342] = {.count = 1, .reusable = true}, SHIFT(1302),
  [3344] = {.count = 1, .reusable = false}, SHIFT(1302),
  [3346] = {.count = 1, .reusable = true}, SHIFT(1303),
  [3348] = {.count = 1, .reusable = false}, SHIFT(1303),
  [3350] = {.count = 1, .reusable = true}, SHIFT(1304),
  [3352] = {.count = 1, .reusable = false}, SHIFT(1304),
  [3354] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 4),
  [3356] = {.count = 1, .reusable = true}, REDUCE(sym_range_clause, 4),
  [3358] = {.count = 1, .reusable = true}, SHIFT(1306),
  [3360] = {.count = 1, .reusable = false}, SHIFT(1306),
  [3362] = {.count = 1, .reusable = true}, SHIFT(1307),
  [3364] = {.count = 1, .reusable = false}, SHIFT(1307),
  [3366] = {.count = 1, .reusable = true}, SHIFT(1308),
  [3368] = {.count = 1, .reusable = false}, SHIFT(1308),
  [3370] = {.count = 1, .reusable = true}, SHIFT(1309),
  [3372] = {.count = 1, .reusable = false}, SHIFT(1309),
  [3374] = {.count = 1, .reusable = true}, SHIFT(1310),
  [3376] = {.count = 1, .reusable = false}, SHIFT(1310),
  [3378] = {.count = 1, .reusable = true}, SHIFT(1312),
  [3380] = {.count = 1, .reusable = true}, SHIFT(1313),
  [3382] = {.count = 1, .reusable = true}, SHIFT(1314),
  [3384] = {.count = 1, .reusable = false}, SHIFT(1315),
  [3386] = {.count = 1, .reusable = false}, SHIFT(1316),
  [3388] = {.count = 1, .reusable = false}, SHIFT(1317),
  [3390] = {.count = 1, .reusable = false}, SHIFT(1318),
  [3392] = {.count = 1, .reusable = true}, SHIFT(1319),
  [3394] = {.count = 1, .reusable = true}, SHIFT(1320),
  [3396] = {.count = 1, .reusable = true}, SHIFT(1321),
  [3398] = {.count = 1, .reusable = true}, SHIFT(1322),
  [3400] = {.count = 1, .reusable = false}, SHIFT(1322),
  [3402] = {.count = 1, .reusable = true}, SHIFT(1323),
  [3404] = {.count = 1, .reusable = false}, SHIFT(1323),
  [3406] = {.count = 1, .reusable = true}, SHIFT(1325),
  [3408] = {.count = 1, .reusable = false}, SHIFT(1325),
  [3410] = {.count = 1, .reusable = false}, SHIFT(1326),
  [3412] = {.count = 1, .reusable = true}, SHIFT(1327),
  [3414] = {.count = 1, .reusable = true}, SHIFT(1328),
  [3416] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case_clause, 3),
  [3418] = {.count = 1, .reusable = true}, SHIFT(1329),
  [3420] = {.count = 1, .reusable = false}, SHIFT(1329),
  [3422] = {.count = 1, .reusable = false}, SHIFT(1331),
  [3424] = {.count = 1, .reusable = false}, SHIFT(1332),
  [3426] = {.count = 1, .reusable = false}, SHIFT(1333),
  [3428] = {.count = 1, .reusable = false}, SHIFT(1334),
  [3430] = {.count = 1, .reusable = false}, SHIFT(1335),
  [3432] = {.count = 1, .reusable = false}, SHIFT(1336),
  [3434] = {.count = 1, .reusable = true}, SHIFT(1337),
  [3436] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 5),
  [3438] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 5),
  [3440] = {.count = 1, .reusable = true}, SHIFT(1338),
  [3442] = {.count = 1, .reusable = true}, SHIFT(1339),
  [3444] = {.count = 1, .reusable = true}, SHIFT(1340),
  [3446] = {.count = 1, .reusable = true}, SHIFT(1341),
  [3448] = {.count = 1, .reusable = true}, SHIFT(1342),
  [3450] = {.count = 1, .reusable = false}, SHIFT(1342),
  [3452] = {.count = 1, .reusable = true}, SHIFT(1343),
  [3454] = {.count = 1, .reusable = true}, SHIFT(1345),
  [3456] = {.count = 1, .reusable = true}, SHIFT(1346),
  [3458] = {.count = 1, .reusable = true}, SHIFT(1347),
  [3460] = {.count = 1, .reusable = true}, SHIFT(1348),
  [3462] = {.count = 1, .reusable = true}, SHIFT(1349),
  [3464] = {.count = 1, .reusable = false}, SHIFT(1349),
  [3466] = {.count = 1, .reusable = true}, SHIFT(1351),
  [3468] = {.count = 1, .reusable = false}, SHIFT(1351),
  [3470] = {.count = 1, .reusable = true}, SHIFT(1352),
  [3472] = {.count = 1, .reusable = false}, SHIFT(1352),
  [3474] = {.count = 1, .reusable = true}, SHIFT(1353),
  [3476] = {.count = 1, .reusable = false}, SHIFT(1353),
  [3478] = {.count = 1, .reusable = true}, SHIFT(1354),
  [3480] = {.count = 1, .reusable = false}, SHIFT(1354),
  [3482] = {.count = 1, .reusable = true}, SHIFT(1357),
  [3484] = {.count = 1, .reusable = true}, SHIFT(1358),
  [3486] = {.count = 1, .reusable = false}, SHIFT(1358),
  [3488] = {.count = 1, .reusable = true}, SHIFT(1359),
  [3490] = {.count = 1, .reusable = true}, SHIFT(1360),
  [3492] = {.count = 1, .reusable = true}, SHIFT(1361),
  [3494] = {.count = 1, .reusable = true}, SHIFT(1362),
  [3496] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 2),
  [3498] = {.count = 1, .reusable = true}, REDUCE(sym_type_case_clause, 2),
  [3500] = {.count = 1, .reusable = false}, REDUCE(sym_type_case_clause, 2),
  [3502] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 5),
  [3504] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 5),
  [3506] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [3508] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1075),
  [3511] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1076),
  [3514] = {.count = 1, .reusable = true}, SHIFT(1365),
  [3516] = {.count = 1, .reusable = true}, SHIFT(1366),
  [3518] = {.count = 1, .reusable = true}, SHIFT(1367),
  [3520] = {.count = 1, .reusable = true}, SHIFT(1368),
  [3522] = {.count = 1, .reusable = true}, SHIFT(1369),
  [3524] = {.count = 1, .reusable = false}, SHIFT(1369),
  [3526] = {.count = 1, .reusable = true}, SHIFT(1370),
  [3528] = {.count = 1, .reusable = true}, SHIFT(1371),
  [3530] = {.count = 1, .reusable = true}, SHIFT(1372),
  [3532] = {.count = 1, .reusable = true}, SHIFT(1373),
  [3534] = {.count = 1, .reusable = false}, SHIFT(1373),
  [3536] = {.count = 1, .reusable = true}, SHIFT(1374),
  [3538] = {.count = 1, .reusable = false}, SHIFT(1374),
  [3540] = {.count = 1, .reusable = true}, SHIFT(1375),
  [3542] = {.count = 1, .reusable = false}, SHIFT(1375),
  [3544] = {.count = 1, .reusable = true}, SHIFT(1376),
  [3546] = {.count = 1, .reusable = false}, SHIFT(1376),
  [3548] = {.count = 1, .reusable = true}, SHIFT(1377),
  [3550] = {.count = 1, .reusable = false}, SHIFT(1377),
  [3552] = {.count = 1, .reusable = true}, SHIFT(1378),
  [3554] = {.count = 1, .reusable = false}, SHIFT(1378),
  [3556] = {.count = 1, .reusable = true}, REDUCE(sym_communication_clause, 3),
  [3558] = {.count = 1, .reusable = true}, SHIFT(1380),
  [3560] = {.count = 1, .reusable = true}, SHIFT(1381),
  [3562] = {.count = 1, .reusable = true}, SHIFT(1382),
  [3564] = {.count = 1, .reusable = true}, SHIFT(1383),
  [3566] = {.count = 1, .reusable = false}, SHIFT(1383),
  [3568] = {.count = 1, .reusable = true}, SHIFT(1384),
  [3570] = {.count = 1, .reusable = true}, SHIFT(1385),
  [3572] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 7),
  [3574] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 7),
  [3576] = {.count = 1, .reusable = true}, SHIFT(1386),
  [3578] = {.count = 1, .reusable = true}, SHIFT(1387),
  [3580] = {.count = 1, .reusable = true}, SHIFT(1388),
  [3582] = {.count = 1, .reusable = true}, SHIFT(1389),
  [3584] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1157),
  [3587] = {.count = 1, .reusable = true}, SHIFT(1390),
  [3589] = {.count = 1, .reusable = true}, SHIFT(1391),
  [3591] = {.count = 1, .reusable = false}, SHIFT(1391),
  [3593] = {.count = 1, .reusable = true}, SHIFT(1392),
  [3595] = {.count = 1, .reusable = true}, SHIFT(1393),
  [3597] = {.count = 1, .reusable = true}, SHIFT(1394),
  [3599] = {.count = 1, .reusable = true}, SHIFT(1395),
  [3601] = {.count = 1, .reusable = true}, SHIFT(1396),
  [3603] = {.count = 1, .reusable = false}, SHIFT(1395),
  [3605] = {.count = 1, .reusable = false}, SHIFT(1396),
  [3607] = {.count = 1, .reusable = true}, SHIFT(1397),
  [3609] = {.count = 1, .reusable = false}, SHIFT(1397),
  [3611] = {.count = 1, .reusable = true}, SHIFT(1398),
  [3613] = {.count = 1, .reusable = true}, SHIFT(1399),
  [3615] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 5),
  [3617] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1195),
  [3620] = {.count = 1, .reusable = false}, SHIFT(1401),
  [3622] = {.count = 1, .reusable = true}, SHIFT(1404),
  [3624] = {.count = 1, .reusable = false}, SHIFT(1405),
  [3626] = {.count = 1, .reusable = true}, SHIFT(1406),
  [3628] = {.count = 1, .reusable = true}, SHIFT(1407),
  [3630] = {.count = 1, .reusable = false}, SHIFT(1408),
  [3632] = {.count = 1, .reusable = false}, SHIFT(1409),
  [3634] = {.count = 1, .reusable = true}, SHIFT(1410),
  [3636] = {.count = 1, .reusable = true}, SHIFT(1413),
  [3638] = {.count = 1, .reusable = false}, SHIFT(1414),
  [3640] = {.count = 1, .reusable = true}, SHIFT(1415),
  [3642] = {.count = 1, .reusable = true}, SHIFT(1416),
  [3644] = {.count = 1, .reusable = false}, SHIFT(1417),
  [3646] = {.count = 1, .reusable = false}, SHIFT(1418),
  [3648] = {.count = 1, .reusable = true}, SHIFT(1419),
  [3650] = {.count = 1, .reusable = true}, SHIFT(1315),
  [3652] = {.count = 1, .reusable = true}, SHIFT(1316),
  [3654] = {.count = 1, .reusable = true}, SHIFT(1317),
  [3656] = {.count = 1, .reusable = false}, SHIFT(1420),
  [3658] = {.count = 1, .reusable = false}, SHIFT(1421),
  [3660] = {.count = 1, .reusable = false}, SHIFT(1422),
  [3662] = {.count = 1, .reusable = false}, SHIFT(1423),
  [3664] = {.count = 1, .reusable = false}, SHIFT(1424),
  [3666] = {.count = 1, .reusable = false}, SHIFT(1425),
  [3668] = {.count = 1, .reusable = false}, SHIFT(1427),
  [3670] = {.count = 1, .reusable = false}, SHIFT(1428),
  [3672] = {.count = 1, .reusable = false}, SHIFT(1429),
  [3674] = {.count = 1, .reusable = false}, SHIFT(1430),
  [3676] = {.count = 1, .reusable = false}, SHIFT(1431),
  [3678] = {.count = 1, .reusable = true}, SHIFT(1432),
  [3680] = {.count = 1, .reusable = false}, SHIFT(1432),
  [3682] = {.count = 1, .reusable = false}, REDUCE(sym_empty_labeled_statement, 2, .alias_sequence_id = 12),
  [3684] = {.count = 1, .reusable = false}, SHIFT(1434),
  [3686] = {.count = 1, .reusable = true}, SHIFT(1318),
  [3688] = {.count = 1, .reusable = true}, SHIFT(1435),
  [3690] = {.count = 1, .reusable = false}, SHIFT(1435),
  [3692] = {.count = 1, .reusable = true}, SHIFT(1437),
  [3694] = {.count = 1, .reusable = false}, SHIFT(1437),
  [3696] = {.count = 1, .reusable = true}, SHIFT(1438),
  [3698] = {.count = 1, .reusable = false}, SHIFT(1438),
  [3700] = {.count = 1, .reusable = true}, SHIFT(1439),
  [3702] = {.count = 1, .reusable = false}, SHIFT(1439),
  [3704] = {.count = 1, .reusable = true}, SHIFT(1440),
  [3706] = {.count = 1, .reusable = false}, SHIFT(1440),
  [3708] = {.count = 1, .reusable = true}, SHIFT(1441),
  [3710] = {.count = 1, .reusable = false}, SHIFT(1441),
  [3712] = {.count = 1, .reusable = false}, SHIFT(1442),
  [3714] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 6),
  [3716] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 6),
  [3718] = {.count = 1, .reusable = true}, SHIFT(1443),
  [3720] = {.count = 1, .reusable = true}, SHIFT(1444),
  [3722] = {.count = 1, .reusable = false}, SHIFT(1443),
  [3724] = {.count = 1, .reusable = false}, SHIFT(1444),
  [3726] = {.count = 1, .reusable = true}, SHIFT(1445),
  [3728] = {.count = 1, .reusable = false}, SHIFT(1445),
  [3730] = {.count = 1, .reusable = true}, SHIFT(1446),
  [3732] = {.count = 1, .reusable = true}, SHIFT(1447),
  [3734] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 6),
  [3736] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 6),
  [3738] = {.count = 1, .reusable = true}, SHIFT(1448),
  [3740] = {.count = 1, .reusable = true}, SHIFT(1449),
  [3742] = {.count = 1, .reusable = true}, SHIFT(1450),
  [3744] = {.count = 1, .reusable = false}, SHIFT(1449),
  [3746] = {.count = 1, .reusable = false}, SHIFT(1450),
  [3748] = {.count = 1, .reusable = true}, SHIFT(1451),
  [3750] = {.count = 1, .reusable = false}, SHIFT(1451),
  [3752] = {.count = 1, .reusable = true}, SHIFT(1452),
  [3754] = {.count = 1, .reusable = true}, SHIFT(1453),
  [3756] = {.count = 1, .reusable = true}, SHIFT(1454),
  [3758] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1223),
  [3761] = {.count = 1, .reusable = true}, SHIFT(1455),
  [3763] = {.count = 1, .reusable = false}, SHIFT(1457),
  [3765] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 3),
  [3767] = {.count = 1, .reusable = true}, REDUCE(sym_type_case_clause, 3),
  [3769] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_guard, 5),
  [3771] = {.count = 1, .reusable = true}, SHIFT(1460),
  [3773] = {.count = 1, .reusable = true}, REDUCE(sym_receive_statement, 3),
  [3775] = {.count = 1, .reusable = true}, SHIFT(1461),
  [3777] = {.count = 1, .reusable = false}, SHIFT(1460),
  [3779] = {.count = 1, .reusable = false}, SHIFT(1461),
  [3781] = {.count = 1, .reusable = true}, SHIFT(1462),
  [3783] = {.count = 1, .reusable = false}, SHIFT(1462),
  [3785] = {.count = 1, .reusable = true}, SHIFT(1463),
  [3787] = {.count = 1, .reusable = true}, SHIFT(1464),
  [3789] = {.count = 1, .reusable = true}, SHIFT(1465),
  [3791] = {.count = 1, .reusable = true}, SHIFT(1466),
  [3793] = {.count = 1, .reusable = false}, SHIFT(1465),
  [3795] = {.count = 1, .reusable = false}, SHIFT(1466),
  [3797] = {.count = 1, .reusable = true}, SHIFT(1467),
  [3799] = {.count = 1, .reusable = false}, SHIFT(1467),
  [3801] = {.count = 1, .reusable = true}, SHIFT(1468),
  [3803] = {.count = 1, .reusable = true}, SHIFT(1469),
  [3805] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1243),
  [3808] = {.count = 1, .reusable = true}, SHIFT(1470),
  [3810] = {.count = 1, .reusable = true}, SHIFT(1471),
  [3812] = {.count = 1, .reusable = false}, SHIFT(1471),
  [3814] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 8),
  [3816] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 8),
  [3818] = {.count = 1, .reusable = true}, SHIFT(1472),
  [3820] = {.count = 1, .reusable = true}, SHIFT(1473),
  [3822] = {.count = 1, .reusable = false}, SHIFT(1473),
  [3824] = {.count = 1, .reusable = true}, SHIFT(1474),
  [3826] = {.count = 1, .reusable = false}, SHIFT(1474),
  [3828] = {.count = 1, .reusable = true}, SHIFT(1475),
  [3830] = {.count = 1, .reusable = false}, SHIFT(1475),
  [3832] = {.count = 1, .reusable = true}, SHIFT(1476),
  [3834] = {.count = 1, .reusable = false}, SHIFT(1476),
  [3836] = {.count = 1, .reusable = true}, SHIFT(1477),
  [3838] = {.count = 1, .reusable = false}, SHIFT(1477),
  [3840] = {.count = 1, .reusable = true}, SHIFT(1478),
  [3842] = {.count = 1, .reusable = false}, SHIFT(1478),
  [3844] = {.count = 1, .reusable = true}, SHIFT(1480),
  [3846] = {.count = 1, .reusable = false}, SHIFT(1480),
  [3848] = {.count = 1, .reusable = true}, SHIFT(1484),
  [3850] = {.count = 1, .reusable = true}, SHIFT(1485),
  [3852] = {.count = 1, .reusable = false}, SHIFT(1485),
  [3854] = {.count = 1, .reusable = true}, SHIFT(1486),
  [3856] = {.count = 1, .reusable = true}, SHIFT(1487),
  [3858] = {.count = 1, .reusable = true}, SHIFT(1488),
  [3860] = {.count = 1, .reusable = false}, SHIFT(1489),
  [3862] = {.count = 1, .reusable = true}, SHIFT(1489),
  [3864] = {.count = 1, .reusable = true}, SHIFT(1492),
  [3866] = {.count = 1, .reusable = true}, SHIFT(1493),
  [3868] = {.count = 1, .reusable = false}, SHIFT(1493),
  [3870] = {.count = 1, .reusable = true}, SHIFT(1494),
  [3872] = {.count = 1, .reusable = true}, SHIFT(1495),
  [3874] = {.count = 1, .reusable = true}, SHIFT(1496),
  [3876] = {.count = 1, .reusable = true}, SHIFT(1497),
  [3878] = {.count = 1, .reusable = false}, SHIFT(1497),
  [3880] = {.count = 1, .reusable = true}, SHIFT(1498),
  [3882] = {.count = 1, .reusable = false}, SHIFT(1498),
  [3884] = {.count = 1, .reusable = true}, SHIFT(1499),
  [3886] = {.count = 1, .reusable = false}, SHIFT(1499),
  [3888] = {.count = 1, .reusable = true}, SHIFT(1500),
  [3890] = {.count = 1, .reusable = false}, SHIFT(1500),
  [3892] = {.count = 1, .reusable = true}, SHIFT(1501),
  [3894] = {.count = 1, .reusable = false}, SHIFT(1501),
  [3896] = {.count = 1, .reusable = true}, SHIFT(1503),
  [3898] = {.count = 1, .reusable = false}, SHIFT(1503),
  [3900] = {.count = 1, .reusable = true}, SHIFT(1504),
  [3902] = {.count = 1, .reusable = false}, SHIFT(1504),
  [3904] = {.count = 1, .reusable = true}, SHIFT(1505),
  [3906] = {.count = 1, .reusable = false}, SHIFT(1505),
  [3908] = {.count = 1, .reusable = true}, SHIFT(1506),
  [3910] = {.count = 1, .reusable = false}, SHIFT(1506),
  [3912] = {.count = 1, .reusable = false}, SHIFT(1508),
  [3914] = {.count = 1, .reusable = false}, SHIFT(1509),
  [3916] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 3),
  [3918] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(1510),
  [3921] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(1510),
  [3924] = {.count = 1, .reusable = true}, SHIFT(1511),
  [3926] = {.count = 1, .reusable = true}, SHIFT(1512),
  [3928] = {.count = 1, .reusable = false}, SHIFT(1512),
  [3930] = {.count = 1, .reusable = true}, SHIFT(1513),
  [3932] = {.count = 1, .reusable = false}, SHIFT(1513),
  [3934] = {.count = 1, .reusable = true}, SHIFT(1514),
  [3936] = {.count = 1, .reusable = false}, SHIFT(1514),
  [3938] = {.count = 1, .reusable = true}, SHIFT(1515),
  [3940] = {.count = 1, .reusable = false}, SHIFT(1515),
  [3942] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 7),
  [3944] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 7),
  [3946] = {.count = 1, .reusable = true}, SHIFT(1516),
  [3948] = {.count = 1, .reusable = false}, SHIFT(1516),
  [3950] = {.count = 1, .reusable = true}, SHIFT(1517),
  [3952] = {.count = 1, .reusable = false}, SHIFT(1517),
  [3954] = {.count = 1, .reusable = true}, SHIFT(1518),
  [3956] = {.count = 1, .reusable = false}, SHIFT(1518),
  [3958] = {.count = 1, .reusable = true}, SHIFT(1519),
  [3960] = {.count = 1, .reusable = false}, SHIFT(1519),
  [3962] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 7),
  [3964] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 7),
  [3966] = {.count = 1, .reusable = true}, SHIFT(1520),
  [3968] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_case_repeat1, 2),
  [3970] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_case_repeat1, 2), SHIFT_REPEAT(1362),
  [3973] = {.count = 1, .reusable = true}, SHIFT(1521),
  [3975] = {.count = 1, .reusable = false}, SHIFT(1521),
  [3977] = {.count = 1, .reusable = true}, SHIFT(1522),
  [3979] = {.count = 1, .reusable = false}, SHIFT(1522),
  [3981] = {.count = 1, .reusable = true}, SHIFT(1523),
  [3983] = {.count = 1, .reusable = false}, SHIFT(1523),
  [3985] = {.count = 1, .reusable = true}, SHIFT(1524),
  [3987] = {.count = 1, .reusable = false}, SHIFT(1524),
  [3989] = {.count = 1, .reusable = true}, SHIFT(1525),
  [3991] = {.count = 1, .reusable = false}, SHIFT(1525),
  [3993] = {.count = 1, .reusable = true}, SHIFT(1526),
  [3995] = {.count = 1, .reusable = false}, SHIFT(1526),
  [3997] = {.count = 1, .reusable = true}, SHIFT(1527),
  [3999] = {.count = 1, .reusable = false}, SHIFT(1527),
  [4001] = {.count = 1, .reusable = true}, SHIFT(1528),
  [4003] = {.count = 1, .reusable = false}, SHIFT(1528),
  [4005] = {.count = 1, .reusable = true}, SHIFT(1529),
  [4007] = {.count = 1, .reusable = true}, SHIFT(1530),
  [4009] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1394),
  [4012] = {.count = 1, .reusable = true}, SHIFT(1531),
  [4014] = {.count = 1, .reusable = false}, SHIFT(1406),
  [4016] = {.count = 1, .reusable = false}, SHIFT(1407),
  [4018] = {.count = 1, .reusable = false}, SHIFT(1410),
  [4020] = {.count = 1, .reusable = true}, SHIFT(1532),
  [4022] = {.count = 1, .reusable = false}, SHIFT(1534),
  [4024] = {.count = 1, .reusable = false}, SHIFT(1535),
  [4026] = {.count = 1, .reusable = false}, SHIFT(1415),
  [4028] = {.count = 1, .reusable = false}, SHIFT(1416),
  [4030] = {.count = 1, .reusable = false}, SHIFT(1419),
  [4032] = {.count = 1, .reusable = true}, SHIFT(1536),
  [4034] = {.count = 1, .reusable = false}, SHIFT(1538),
  [4036] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(1420),
  [4039] = {.count = 1, .reusable = true}, SHIFT(1210),
  [4041] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_guard, 7),
  [4043] = {.count = 1, .reusable = true}, SHIFT(1539),
  [4045] = {.count = 1, .reusable = true}, SHIFT(1540),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_go() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
