#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 8
#define STATE_COUNT 1861
#define SYMBOL_COUNT 210
#define ALIAS_COUNT 10
#define TOKEN_COUNT 110
#define EXTERNAL_TOKEN_COUNT 2
#define MAX_ALIAS_SEQUENCE_LENGTH 8

enum {
  sym__automatic_semicolon = 1,
  sym__template_chars = 2,
  sym_hash_bang_line = 3,
  anon_sym_export = 4,
  anon_sym_STAR = 5,
  anon_sym_default = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_as = 10,
  anon_sym_import = 11,
  anon_sym_from = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_if = 16,
  anon_sym_else = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_in = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_LBRACK = 39,
  anon_sym_RBRACK = 40,
  anon_sym_LT = 41,
  anon_sym_GT = 42,
  anon_sym_SLASH = 43,
  sym_jsx_text = 44,
  sym_jsx_identifier = 45,
  anon_sym_DOT = 46,
  anon_sym_EQ = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_new = 53,
  anon_sym_await = 54,
  anon_sym_PLUS_EQ = 55,
  anon_sym_DASH_EQ = 56,
  anon_sym_STAR_EQ = 57,
  anon_sym_SLASH_EQ = 58,
  anon_sym_PERCENT_EQ = 59,
  anon_sym_CARET_EQ = 60,
  anon_sym_AMP_EQ = 61,
  anon_sym_PIPE_EQ = 62,
  anon_sym_GT_GT_EQ = 63,
  anon_sym_GT_GT_GT_EQ = 64,
  anon_sym_LT_LT_EQ = 65,
  anon_sym_DOT_DOT_DOT = 66,
  anon_sym_QMARK = 67,
  anon_sym_AMP_AMP = 68,
  anon_sym_PIPE_PIPE = 69,
  anon_sym_GT_GT = 70,
  anon_sym_GT_GT_GT = 71,
  anon_sym_LT_LT = 72,
  anon_sym_AMP = 73,
  anon_sym_CARET = 74,
  anon_sym_PIPE = 75,
  anon_sym_PLUS = 76,
  anon_sym_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_LT_EQ = 79,
  anon_sym_EQ_EQ = 80,
  anon_sym_EQ_EQ_EQ = 81,
  anon_sym_BANG_EQ = 82,
  anon_sym_BANG_EQ_EQ = 83,
  anon_sym_GT_EQ = 84,
  anon_sym_instanceof = 85,
  anon_sym_BANG = 86,
  anon_sym_TILDE = 87,
  anon_sym_typeof = 88,
  anon_sym_void = 89,
  anon_sym_delete = 90,
  anon_sym_PLUS_PLUS = 91,
  anon_sym_DASH_DASH = 92,
  sym_comment = 93,
  sym_string = 94,
  anon_sym_BQUOTE = 95,
  anon_sym_DOLLAR_LBRACE = 96,
  sym_regex = 97,
  sym_number = 98,
  sym_identifier = 99,
  sym_this = 100,
  sym_super = 101,
  sym_true = 102,
  sym_false = 103,
  sym_null = 104,
  sym_undefined = 105,
  anon_sym_AT = 106,
  anon_sym_static = 107,
  anon_sym_get = 108,
  anon_sym_set = 109,
  sym_program = 110,
  sym_export_statement = 111,
  sym_export_clause = 112,
  sym__import_export_specifier = 113,
  sym__declaration = 114,
  sym_import_statement = 115,
  sym_import_clause = 116,
  sym__from_clause = 117,
  sym_namespace_import = 118,
  sym_named_imports = 119,
  sym_expression_statement = 120,
  sym_variable_declaration = 121,
  sym_lexical_declaration = 122,
  sym_variable_declarator = 123,
  sym_statement_block = 124,
  sym_if_statement = 125,
  sym_switch_statement = 126,
  sym_for_statement = 127,
  sym_for_in_statement = 128,
  sym_for_of_statement = 129,
  sym_while_statement = 130,
  sym_do_statement = 131,
  sym_try_statement = 132,
  sym_with_statement = 133,
  sym_break_statement = 134,
  sym_continue_statement = 135,
  sym_debugger_statement = 136,
  sym_return_statement = 137,
  sym_throw_statement = 138,
  sym_empty_statement = 139,
  sym_labeled_statement = 140,
  sym_switch_body = 141,
  sym_switch_case = 142,
  sym_switch_default = 143,
  sym_catch_clause = 144,
  sym_finally_clause = 145,
  sym_parenthesized_expression = 146,
  sym__expressions = 147,
  sym__expression = 148,
  sym_yield_expression = 149,
  sym_object = 150,
  sym_assignment_pattern = 151,
  sym_array = 152,
  sym_jsx_element = 153,
  sym_jsx_fragment = 154,
  sym_jsx_expression = 155,
  sym_jsx_opening_element = 156,
  sym_nested_identifier = 157,
  sym_jsx_namespace_name = 158,
  sym_jsx_closing_element = 159,
  sym_jsx_self_closing_element = 160,
  sym_jsx_attribute = 161,
  sym_anonymous_class = 162,
  sym_class = 163,
  sym_class_heritage = 164,
  sym_function = 165,
  sym_arrow_function = 166,
  sym_generator_function = 167,
  sym_call_expression = 168,
  sym_new_expression = 169,
  sym_await_expression = 170,
  sym_member_expression = 171,
  sym_subscript_expression = 172,
  sym_assignment_expression = 173,
  sym_augmented_assignment_expression = 174,
  sym__initializer = 175,
  sym_spread_element = 176,
  sym_ternary_expression = 177,
  sym_binary_expression = 178,
  sym_unary_expression = 179,
  sym_update_expression = 180,
  sym_sequence_expression = 181,
  sym_template_string = 182,
  sym_template_substitution = 183,
  sym_arguments = 184,
  sym_decorator = 185,
  sym__identifier_reference = 186,
  sym_decorator_member_expression = 187,
  sym_decorator_call_expression = 188,
  sym_class_body = 189,
  sym_public_field_definition = 190,
  sym_formal_parameters = 191,
  sym_rest_parameter = 192,
  sym_method_definition = 193,
  sym_pair = 194,
  sym__property_name = 195,
  sym_computed_property_name = 196,
  aux_sym_program_repeat1 = 197,
  aux_sym_export_statement_repeat1 = 198,
  aux_sym_export_clause_repeat1 = 199,
  aux_sym_named_imports_repeat1 = 200,
  aux_sym_variable_declaration_repeat1 = 201,
  aux_sym_switch_body_repeat1 = 202,
  aux_sym_object_repeat1 = 203,
  aux_sym_array_repeat1 = 204,
  aux_sym_jsx_element_repeat1 = 205,
  aux_sym_jsx_opening_element_repeat1 = 206,
  aux_sym_template_string_repeat1 = 207,
  aux_sym_class_body_repeat1 = 208,
  aux_sym_formal_parameters_repeat1 = 209,
  alias_sym_array_pattern = 210,
  alias_sym_call_expression = 211,
  alias_sym_export_specifier = 212,
  alias_sym_identifier = 213,
  alias_sym_import_specifier = 214,
  alias_sym_member_expression = 215,
  alias_sym_object_pattern = 216,
  alias_sym_property_identifier = 217,
  alias_sym_shorthand_property_identifier = 218,
  alias_sym_statement_identifier = 219,
};

static const char *ts_symbol_names[] = {
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [ts_builtin_sym_end] = "END",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "jsx_identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_new] = "new",
  [anon_sym_await] = "await",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_comment] = "comment",
  [sym_string] = "string",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [sym_regex] = "regex",
  [sym_number] = "number",
  [sym_identifier] = "identifier",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "_import_export_specifier",
  [sym__declaration] = "_declaration",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym_for_of_statement] = "for_of_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__expressions] = "_expressions",
  [sym__expression] = "_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_array] = "array",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_anonymous_class] = "anonymous_class",
  [sym_class] = "class",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_arrow_function] = "arrow_function",
  [sym_generator_function] = "generator_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym__identifier_reference] = "_identifier_reference",
  [sym_decorator_member_expression] = "decorator_member_expression",
  [sym_decorator_call_expression] = "decorator_call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_rest_parameter] = "rest_parameter",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_array_pattern] = "array_pattern",
  [alias_sym_call_expression] = "call_expression",
  [alias_sym_export_specifier] = "export_specifier",
  [alias_sym_identifier] = "identifier",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_member_expression] = "member_expression",
  [alias_sym_object_pattern] = "object_pattern",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_of_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[26][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = alias_sym_identifier,
  },
  [2] = {
    [0] = alias_sym_property_identifier,
  },
  [3] = {
    [0] = alias_sym_object_pattern,
  },
  [4] = {
    [0] = alias_sym_array_pattern,
  },
  [5] = {
    [1] = alias_sym_member_expression,
  },
  [6] = {
    [1] = alias_sym_call_expression,
  },
  [7] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [8] = {
    [0] = alias_sym_shorthand_property_identifier,
  },
  [9] = {
    [1] = alias_sym_identifier,
  },
  [10] = {
    [1] = alias_sym_object_pattern,
  },
  [11] = {
    [1] = alias_sym_array_pattern,
  },
  [12] = {
    [1] = alias_sym_statement_identifier,
  },
  [13] = {
    [0] = alias_sym_identifier,
    [2] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [2] = alias_sym_property_identifier,
  },
  [16] = {
    [0] = alias_sym_member_expression,
  },
  [17] = {
    [1] = alias_sym_export_specifier,
  },
  [18] = {
    [1] = alias_sym_import_specifier,
  },
  [19] = {
    [0] = alias_sym_identifier,
    [2] = alias_sym_identifier,
  },
  [20] = {
    [2] = alias_sym_identifier,
  },
  [21] = {
    [0] = alias_sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [22] = {
    [2] = alias_sym_object_pattern,
  },
  [23] = {
    [2] = alias_sym_array_pattern,
  },
  [24] = {
    [3] = alias_sym_object_pattern,
  },
  [25] = {
    [3] = alias_sym_array_pattern,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '#')
        ADVANCE(8);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(28);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == ']')
        ADVANCE(68);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if ((lookahead < '[' || lookahead > '^'))
        ADVANCE(78);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=')
        ADVANCE(4);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 5:
      if (lookahead == '\"')
        ADVANCE(6);
      if (lookahead == '\\')
        ADVANCE(7);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(5);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 7:
      if (lookahead == '\n')
        ADVANCE(5);
      if (lookahead != 0)
        ADVANCE(5);
      END_STATE();
    case 8:
      if (lookahead == '!')
        ADVANCE(9);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(9);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(11);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(13);
      if (lookahead == '=')
        ADVANCE(14);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 15:
      if (lookahead == '\'')
        ADVANCE(6);
      if (lookahead == '\\')
        ADVANCE(16);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(15);
      END_STATE();
    case 16:
      if (lookahead == '\n')
        ADVANCE(15);
      if (lookahead != 0)
        ADVANCE(15);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=')
        ADVANCE(20);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(22);
      if (lookahead == '=')
        ADVANCE(23);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(26);
      if (lookahead == '=')
        ADVANCE(27);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 29:
      if (lookahead == '.')
        ADVANCE(30);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E')
        ADVANCE(32);
      if (lookahead == 'e')
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '+')
        ADVANCE(33);
      if (lookahead == '-')
        ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(34);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(34);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(34);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(39);
      if (lookahead == '=')
        ADVANCE(40);
      END_STATE();
    case 36:
      if (lookahead == '*')
        ADVANCE(37);
      if (lookahead != 0)
        ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '*')
        ADVANCE(37);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead != 0)
        ADVANCE(36);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(39);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.')
        ADVANCE(31);
      if (lookahead == 'B')
        ADVANCE(42);
      if (lookahead == 'E')
        ADVANCE(32);
      if (lookahead == 'O')
        ADVANCE(44);
      if (lookahead == 'X')
        ADVANCE(46);
      if (lookahead == 'b')
        ADVANCE(42);
      if (lookahead == 'e')
        ADVANCE(32);
      if (lookahead == 'o')
        ADVANCE(44);
      if (lookahead == 'x')
        ADVANCE(46);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      END_STATE();
    case 42:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(43);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(43);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(45);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(45);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(47);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(47);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.')
        ADVANCE(31);
      if (lookahead == 'E')
        ADVANCE(32);
      if (lookahead == 'e')
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(52);
      if (lookahead == '=')
        ADVANCE(54);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(53);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(56);
      if (lookahead == '>')
        ADVANCE(58);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=')
        ADVANCE(57);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(60);
      if (lookahead == '>')
        ADVANCE(61);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(62);
      if (lookahead == '>')
        ADVANCE(63);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=')
        ADVANCE(64);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(70);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(74);
      if (lookahead == '|')
        ADVANCE(75);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '/') &&
          (lookahead < ':' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~') &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279)
        ADVANCE(78);
      END_STATE();
    case 79:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(80);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '#')
        ADVANCE(8);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(83);
      if (lookahead == '/')
        ADVANCE(84);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '=')
        ADVANCE(108);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(79);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if ((lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(22);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(26);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 84:
      if (lookahead == '*')
        ADVANCE(85);
      if (lookahead == '/')
        ADVANCE(97);
      if (lookahead == '[')
        ADVANCE(98);
      if (lookahead == '\\')
        ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(102);
      END_STATE();
    case 85:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(86);
      if (lookahead == '/')
        ADVANCE(95);
      if (lookahead == '[')
        ADVANCE(87);
      if (lookahead == '\\')
        ADVANCE(96);
      if (lookahead != 0)
        ADVANCE(85);
      END_STATE();
    case 86:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(86);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '[')
        ADVANCE(87);
      if (lookahead == '\\')
        ADVANCE(96);
      if (lookahead != 0)
        ADVANCE(85);
      END_STATE();
    case 87:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '\\')
        ADVANCE(89);
      if (lookahead == ']')
        ADVANCE(85);
      if (lookahead != 0)
        ADVANCE(87);
      END_STATE();
    case 88:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '\\')
        ADVANCE(89);
      if (lookahead == ']')
        ADVANCE(85);
      if (lookahead != 0)
        ADVANCE(87);
      END_STATE();
    case 89:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '\\')
        ADVANCE(89);
      if (lookahead == ']')
        ADVANCE(90);
      if (lookahead != 0)
        ADVANCE(87);
      END_STATE();
    case 90:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(91);
      if (lookahead == '/')
        ADVANCE(94);
      if (lookahead == '[')
        ADVANCE(87);
      if (lookahead == '\\')
        ADVANCE(92);
      if (lookahead == ']')
        ADVANCE(85);
      if (lookahead != 0)
        ADVANCE(90);
      END_STATE();
    case 91:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(91);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '[')
        ADVANCE(87);
      if (lookahead == '\\')
        ADVANCE(92);
      if (lookahead == ']')
        ADVANCE(85);
      if (lookahead != 0)
        ADVANCE(90);
      END_STATE();
    case 92:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(91);
      if (lookahead == '\\')
        ADVANCE(93);
      if (lookahead == ']')
        ADVANCE(90);
      if (lookahead != 0)
        ADVANCE(90);
      END_STATE();
    case 93:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(91);
      if (lookahead == '/')
        ADVANCE(94);
      if (lookahead == '[')
        ADVANCE(87);
      if (lookahead == '\\')
        ADVANCE(92);
      if (lookahead == ']')
        ADVANCE(90);
      if (lookahead != 0)
        ADVANCE(90);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_regex);
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(88);
      if (lookahead == '\\')
        ADVANCE(89);
      if (lookahead == ']')
        ADVANCE(85);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(94);
      if (lookahead != 0)
        ADVANCE(87);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_regex);
      if (lookahead == '*')
        ADVANCE(37);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(95);
      if (lookahead != 0)
        ADVANCE(36);
      END_STATE();
    case 96:
      if (lookahead == '\n')
        ADVANCE(36);
      if (lookahead == '*')
        ADVANCE(86);
      if (lookahead != 0)
        ADVANCE(85);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_comment);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(97);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(39);
      END_STATE();
    case 98:
      if (lookahead == '\\')
        ADVANCE(99);
      if (lookahead == ']')
        ADVANCE(102);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(98);
      END_STATE();
    case 99:
      if (lookahead == '\\')
        ADVANCE(99);
      if (lookahead == ']')
        ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(98);
      END_STATE();
    case 100:
      if (lookahead == '/')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(98);
      if (lookahead == '\\')
        ADVANCE(105);
      if (lookahead == ']')
        ADVANCE(102);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_regex);
      if (lookahead == '\\')
        ADVANCE(99);
      if (lookahead == ']')
        ADVANCE(102);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(101);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(98);
      END_STATE();
    case 102:
      if (lookahead == '/')
        ADVANCE(103);
      if (lookahead == '[')
        ADVANCE(98);
      if (lookahead == '\\')
        ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_regex);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(103);
      END_STATE();
    case 104:
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(102);
      END_STATE();
    case 105:
      if (lookahead == '\\')
        ADVANCE(106);
      if (lookahead == ']')
        ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(100);
      END_STATE();
    case 106:
      if (lookahead == '/')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(98);
      if (lookahead == '\\')
        ADVANCE(105);
      if (lookahead == ']')
        ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(100);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 108:
      if (lookahead == '>')
        ADVANCE(58);
      END_STATE();
    case 109:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(80);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(83);
      if (lookahead == '/')
        ADVANCE(84);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '=')
        ADVANCE(108);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(109);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if ((lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 110:
      if (lookahead == '!')
        ADVANCE(80);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(112);
      if (lookahead == '/')
        ADVANCE(84);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '=')
        ADVANCE(108);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(110);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 112:
      if (lookahead == '.')
        ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 113:
      if (lookahead == '!')
        ADVANCE(80);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(112);
      if (lookahead == '/')
        ADVANCE(84);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '=')
        ADVANCE(108);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(113);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 114:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(80);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(83);
      if (lookahead == '/')
        ADVANCE(84);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '=')
        ADVANCE(108);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(114);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if ((lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 115:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(119);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(122);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(115);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(13);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(85);
      if (lookahead == '/')
        ADVANCE(97);
      if (lookahead == '[')
        ADVANCE(98);
      if (lookahead == '\\')
        ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(102);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(121);
      if (lookahead == '=')
        ADVANCE(54);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 122:
      if (lookahead == '=')
        ADVANCE(56);
      if (lookahead == '>')
        ADVANCE(58);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(60);
      if (lookahead == '>')
        ADVANCE(124);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>')
        ADVANCE(125);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|')
        ADVANCE(75);
      END_STATE();
    case 128:
      if (lookahead == '!')
        ADVANCE(80);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(112);
      if (lookahead == '/')
        ADVANCE(84);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '=')
        ADVANCE(108);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == ']')
        ADVANCE(68);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(128);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 129:
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == '=')
        ADVANCE(132);
      if (lookahead == '>')
        ADVANCE(133);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(129);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(134);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(39);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-')
        ADVANCE(135);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(134);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || lookahead > '~') &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279)
        ADVANCE(78);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(135);
      END_STATE();
    case 136:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(136);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 137:
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 138:
      if (lookahead == '$')
        ADVANCE(139);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(138);
      END_STATE();
    case 139:
      if (lookahead == '{')
        ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 141:
      if (lookahead == '*')
        ADVANCE(36);
      if (lookahead == '/')
        ADVANCE(39);
      END_STATE();
    case 142:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(142);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 143:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(143);
      END_STATE();
    case 144:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(145);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(144);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 145:
      if (lookahead == '=')
        ADVANCE(56);
      END_STATE();
    case 146:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(146);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(56);
      END_STATE();
    case 148:
      if (lookahead == '/')
        ADVANCE(149);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(154);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}')
        ADVANCE(153);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(150);
      if (lookahead == '/')
        ADVANCE(152);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(153);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(151);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(36);
      if (lookahead != 0)
        ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*')
        ADVANCE(151);
      if (lookahead == '/')
        ADVANCE(38);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(36);
      if (lookahead != 0)
        ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}')
        ADVANCE(39);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/')
        ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(154);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(153);
      END_STATE();
    case 155:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(119);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(122);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(155);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if ((lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^'))
        ADVANCE(78);
      END_STATE();
    case 156:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(80);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(83);
      if (lookahead == '/')
        ADVANCE(84);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '=')
        ADVANCE(108);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(156);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if ((lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 157:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(119);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(157);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if ((lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^'))
        ADVANCE(78);
      END_STATE();
    case 158:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(158);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 159:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(145);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(159);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 160:
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(132);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(160);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 161:
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(161);
      END_STATE();
    case 162:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(119);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(122);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(162);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 163:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(163);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 164:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(164);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 165:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == ']')
        ADVANCE(68);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(165);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 166:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(145);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(166);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 167:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(119);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(122);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == ']')
        ADVANCE(68);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(167);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 168:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(168);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 169:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == ']')
        ADVANCE(68);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(169);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 170:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == ']')
        ADVANCE(68);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(170);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 171:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(119);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(122);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(171);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 172:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(172);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 173:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(145);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(173);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 174:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(174);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 175:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '.')
        ADVANCE(83);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == '=')
        ADVANCE(132);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(175);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 176:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(176);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 177:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(145);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(177);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 178:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(80);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(83);
      if (lookahead == '/')
        ADVANCE(84);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(107);
      if (lookahead == '=')
        ADVANCE(108);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(178);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if ((lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 179:
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == ']')
        ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(179);
      END_STATE();
    case 180:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '.')
        ADVANCE(83);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(132);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(180);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 181:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '.')
        ADVANCE(83);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '=')
        ADVANCE(132);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(181);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          lookahead != '`' &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 182:
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '/')
        ADVANCE(141);
      if (lookahead == '=')
        ADVANCE(132);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(182);
      END_STATE();
    case 183:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(183);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 184:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(15);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(118);
      if (lookahead == '/')
        ADVANCE(119);
      if (lookahead == '0')
        ADVANCE(41);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(122);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '@')
        ADVANCE(66);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '~')
        ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(184);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(48);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 185:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(185);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 186:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(55);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(186);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 187:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(187);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 188:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(10);
      if (lookahead == '&')
        ADVANCE(12);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(19);
      if (lookahead == '+')
        ADVANCE(21);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(25);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(35);
      if (lookahead == ':')
        ADVANCE(49);
      if (lookahead == '<')
        ADVANCE(51);
      if (lookahead == '=')
        ADVANCE(147);
      if (lookahead == '>')
        ADVANCE(59);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == ']')
        ADVANCE(68);
      if (lookahead == '^')
        ADVANCE(69);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '{')
        ADVANCE(72);
      if (lookahead == '|')
        ADVANCE(73);
      if (lookahead == '}')
        ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(188);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    case 189:
      if (lookahead == '!')
        ADVANCE(137);
      if (lookahead == '%')
        ADVANCE(116);
      if (lookahead == '&')
        ADVANCE(117);
      if (lookahead == '(')
        ADVANCE(17);
      if (lookahead == ')')
        ADVANCE(18);
      if (lookahead == '*')
        ADVANCE(111);
      if (lookahead == '+')
        ADVANCE(81);
      if (lookahead == ',')
        ADVANCE(24);
      if (lookahead == '-')
        ADVANCE(82);
      if (lookahead == '.')
        ADVANCE(130);
      if (lookahead == '/')
        ADVANCE(131);
      if (lookahead == ';')
        ADVANCE(50);
      if (lookahead == '<')
        ADVANCE(120);
      if (lookahead == '=')
        ADVANCE(145);
      if (lookahead == '>')
        ADVANCE(123);
      if (lookahead == '?')
        ADVANCE(65);
      if (lookahead == '[')
        ADVANCE(67);
      if (lookahead == '^')
        ADVANCE(126);
      if (lookahead == '`')
        ADVANCE(71);
      if (lookahead == '|')
        ADVANCE(127);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(189);
      if (lookahead != 0 &&
          (lookahead < ' ' || lookahead > '#') &&
          (lookahead < '%' || lookahead > '@') &&
          (lookahead < '[' || lookahead > '^') &&
          (lookahead < '{' || lookahead > '~'))
        ADVANCE(78);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'a')
        ADVANCE(1);
      if (lookahead == 'b')
        ADVANCE(10);
      if (lookahead == 'c')
        ADVANCE(15);
      if (lookahead == 'd')
        ADVANCE(35);
      if (lookahead == 'e')
        ADVANCE(53);
      if (lookahead == 'f')
        ADVANCE(67);
      if (lookahead == 'g')
        ADVANCE(90);
      if (lookahead == 'i')
        ADVANCE(93);
      if (lookahead == 'l')
        ADVANCE(109);
      if (lookahead == 'n')
        ADVANCE(112);
      if (lookahead == 'o')
        ADVANCE(118);
      if (lookahead == 'r')
        ADVANCE(120);
      if (lookahead == 's')
        ADVANCE(126);
      if (lookahead == 't')
        ADVANCE(143);
      if (lookahead == 'u')
        ADVANCE(159);
      if (lookahead == 'v')
        ADVANCE(168);
      if (lookahead == 'w')
        ADVANCE(174);
      if (lookahead == 'y')
        ADVANCE(182);
      END_STATE();
    case 1:
      if (lookahead == 's')
        ADVANCE(2);
      if (lookahead == 'w')
        ADVANCE(6);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y')
        ADVANCE(3);
      END_STATE();
    case 3:
      if (lookahead == 'n')
        ADVANCE(4);
      END_STATE();
    case 4:
      if (lookahead == 'c')
        ADVANCE(5);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 6:
      if (lookahead == 'a')
        ADVANCE(7);
      END_STATE();
    case 7:
      if (lookahead == 'i')
        ADVANCE(8);
      END_STATE();
    case 8:
      if (lookahead == 't')
        ADVANCE(9);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 10:
      if (lookahead == 'r')
        ADVANCE(11);
      END_STATE();
    case 11:
      if (lookahead == 'e')
        ADVANCE(12);
      END_STATE();
    case 12:
      if (lookahead == 'a')
        ADVANCE(13);
      END_STATE();
    case 13:
      if (lookahead == 'k')
        ADVANCE(14);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 15:
      if (lookahead == 'a')
        ADVANCE(16);
      if (lookahead == 'l')
        ADVANCE(22);
      if (lookahead == 'o')
        ADVANCE(26);
      END_STATE();
    case 16:
      if (lookahead == 's')
        ADVANCE(17);
      if (lookahead == 't')
        ADVANCE(19);
      END_STATE();
    case 17:
      if (lookahead == 'e')
        ADVANCE(18);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 19:
      if (lookahead == 'c')
        ADVANCE(20);
      END_STATE();
    case 20:
      if (lookahead == 'h')
        ADVANCE(21);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 22:
      if (lookahead == 'a')
        ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == 's')
        ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == 's')
        ADVANCE(25);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 26:
      if (lookahead == 'n')
        ADVANCE(27);
      END_STATE();
    case 27:
      if (lookahead == 's')
        ADVANCE(28);
      if (lookahead == 't')
        ADVANCE(30);
      END_STATE();
    case 28:
      if (lookahead == 't')
        ADVANCE(29);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 30:
      if (lookahead == 'i')
        ADVANCE(31);
      END_STATE();
    case 31:
      if (lookahead == 'n')
        ADVANCE(32);
      END_STATE();
    case 32:
      if (lookahead == 'u')
        ADVANCE(33);
      END_STATE();
    case 33:
      if (lookahead == 'e')
        ADVANCE(34);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 35:
      if (lookahead == 'e')
        ADVANCE(36);
      if (lookahead == 'o')
        ADVANCE(52);
      END_STATE();
    case 36:
      if (lookahead == 'b')
        ADVANCE(37);
      if (lookahead == 'f')
        ADVANCE(43);
      if (lookahead == 'l')
        ADVANCE(48);
      END_STATE();
    case 37:
      if (lookahead == 'u')
        ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == 'g')
        ADVANCE(39);
      END_STATE();
    case 39:
      if (lookahead == 'g')
        ADVANCE(40);
      END_STATE();
    case 40:
      if (lookahead == 'e')
        ADVANCE(41);
      END_STATE();
    case 41:
      if (lookahead == 'r')
        ADVANCE(42);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 43:
      if (lookahead == 'a')
        ADVANCE(44);
      END_STATE();
    case 44:
      if (lookahead == 'u')
        ADVANCE(45);
      END_STATE();
    case 45:
      if (lookahead == 'l')
        ADVANCE(46);
      END_STATE();
    case 46:
      if (lookahead == 't')
        ADVANCE(47);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 48:
      if (lookahead == 'e')
        ADVANCE(49);
      END_STATE();
    case 49:
      if (lookahead == 't')
        ADVANCE(50);
      END_STATE();
    case 50:
      if (lookahead == 'e')
        ADVANCE(51);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 53:
      if (lookahead == 'l')
        ADVANCE(54);
      if (lookahead == 'x')
        ADVANCE(57);
      END_STATE();
    case 54:
      if (lookahead == 's')
        ADVANCE(55);
      END_STATE();
    case 55:
      if (lookahead == 'e')
        ADVANCE(56);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 57:
      if (lookahead == 'p')
        ADVANCE(58);
      if (lookahead == 't')
        ADVANCE(62);
      END_STATE();
    case 58:
      if (lookahead == 'o')
        ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'r')
        ADVANCE(60);
      END_STATE();
    case 60:
      if (lookahead == 't')
        ADVANCE(61);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 62:
      if (lookahead == 'e')
        ADVANCE(63);
      END_STATE();
    case 63:
      if (lookahead == 'n')
        ADVANCE(64);
      END_STATE();
    case 64:
      if (lookahead == 'd')
        ADVANCE(65);
      END_STATE();
    case 65:
      if (lookahead == 's')
        ADVANCE(66);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 67:
      if (lookahead == 'a')
        ADVANCE(68);
      if (lookahead == 'i')
        ADVANCE(72);
      if (lookahead == 'o')
        ADVANCE(78);
      if (lookahead == 'r')
        ADVANCE(80);
      if (lookahead == 'u')
        ADVANCE(83);
      END_STATE();
    case 68:
      if (lookahead == 'l')
        ADVANCE(69);
      END_STATE();
    case 69:
      if (lookahead == 's')
        ADVANCE(70);
      END_STATE();
    case 70:
      if (lookahead == 'e')
        ADVANCE(71);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 72:
      if (lookahead == 'n')
        ADVANCE(73);
      END_STATE();
    case 73:
      if (lookahead == 'a')
        ADVANCE(74);
      END_STATE();
    case 74:
      if (lookahead == 'l')
        ADVANCE(75);
      END_STATE();
    case 75:
      if (lookahead == 'l')
        ADVANCE(76);
      END_STATE();
    case 76:
      if (lookahead == 'y')
        ADVANCE(77);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 78:
      if (lookahead == 'r')
        ADVANCE(79);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 80:
      if (lookahead == 'o')
        ADVANCE(81);
      END_STATE();
    case 81:
      if (lookahead == 'm')
        ADVANCE(82);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 83:
      if (lookahead == 'n')
        ADVANCE(84);
      END_STATE();
    case 84:
      if (lookahead == 'c')
        ADVANCE(85);
      END_STATE();
    case 85:
      if (lookahead == 't')
        ADVANCE(86);
      END_STATE();
    case 86:
      if (lookahead == 'i')
        ADVANCE(87);
      END_STATE();
    case 87:
      if (lookahead == 'o')
        ADVANCE(88);
      END_STATE();
    case 88:
      if (lookahead == 'n')
        ADVANCE(89);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 90:
      if (lookahead == 'e')
        ADVANCE(91);
      END_STATE();
    case 91:
      if (lookahead == 't')
        ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 93:
      if (lookahead == 'f')
        ADVANCE(94);
      if (lookahead == 'm')
        ADVANCE(95);
      if (lookahead == 'n')
        ADVANCE(100);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 95:
      if (lookahead == 'p')
        ADVANCE(96);
      END_STATE();
    case 96:
      if (lookahead == 'o')
        ADVANCE(97);
      END_STATE();
    case 97:
      if (lookahead == 'r')
        ADVANCE(98);
      END_STATE();
    case 98:
      if (lookahead == 't')
        ADVANCE(99);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's')
        ADVANCE(101);
      END_STATE();
    case 101:
      if (lookahead == 't')
        ADVANCE(102);
      END_STATE();
    case 102:
      if (lookahead == 'a')
        ADVANCE(103);
      END_STATE();
    case 103:
      if (lookahead == 'n')
        ADVANCE(104);
      END_STATE();
    case 104:
      if (lookahead == 'c')
        ADVANCE(105);
      END_STATE();
    case 105:
      if (lookahead == 'e')
        ADVANCE(106);
      END_STATE();
    case 106:
      if (lookahead == 'o')
        ADVANCE(107);
      END_STATE();
    case 107:
      if (lookahead == 'f')
        ADVANCE(108);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 109:
      if (lookahead == 'e')
        ADVANCE(110);
      END_STATE();
    case 110:
      if (lookahead == 't')
        ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 112:
      if (lookahead == 'e')
        ADVANCE(113);
      if (lookahead == 'u')
        ADVANCE(115);
      END_STATE();
    case 113:
      if (lookahead == 'w')
        ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 115:
      if (lookahead == 'l')
        ADVANCE(116);
      END_STATE();
    case 116:
      if (lookahead == 'l')
        ADVANCE(117);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 118:
      if (lookahead == 'f')
        ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 120:
      if (lookahead == 'e')
        ADVANCE(121);
      END_STATE();
    case 121:
      if (lookahead == 't')
        ADVANCE(122);
      END_STATE();
    case 122:
      if (lookahead == 'u')
        ADVANCE(123);
      END_STATE();
    case 123:
      if (lookahead == 'r')
        ADVANCE(124);
      END_STATE();
    case 124:
      if (lookahead == 'n')
        ADVANCE(125);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 126:
      if (lookahead == 'e')
        ADVANCE(127);
      if (lookahead == 't')
        ADVANCE(129);
      if (lookahead == 'u')
        ADVANCE(134);
      if (lookahead == 'w')
        ADVANCE(138);
      END_STATE();
    case 127:
      if (lookahead == 't')
        ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 129:
      if (lookahead == 'a')
        ADVANCE(130);
      END_STATE();
    case 130:
      if (lookahead == 't')
        ADVANCE(131);
      END_STATE();
    case 131:
      if (lookahead == 'i')
        ADVANCE(132);
      END_STATE();
    case 132:
      if (lookahead == 'c')
        ADVANCE(133);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 134:
      if (lookahead == 'p')
        ADVANCE(135);
      END_STATE();
    case 135:
      if (lookahead == 'e')
        ADVANCE(136);
      END_STATE();
    case 136:
      if (lookahead == 'r')
        ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 138:
      if (lookahead == 'i')
        ADVANCE(139);
      END_STATE();
    case 139:
      if (lookahead == 't')
        ADVANCE(140);
      END_STATE();
    case 140:
      if (lookahead == 'c')
        ADVANCE(141);
      END_STATE();
    case 141:
      if (lookahead == 'h')
        ADVANCE(142);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 143:
      if (lookahead == 'h')
        ADVANCE(144);
      if (lookahead == 'r')
        ADVANCE(150);
      if (lookahead == 'y')
        ADVANCE(154);
      END_STATE();
    case 144:
      if (lookahead == 'i')
        ADVANCE(145);
      if (lookahead == 'r')
        ADVANCE(147);
      END_STATE();
    case 145:
      if (lookahead == 's')
        ADVANCE(146);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 147:
      if (lookahead == 'o')
        ADVANCE(148);
      END_STATE();
    case 148:
      if (lookahead == 'w')
        ADVANCE(149);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 150:
      if (lookahead == 'u')
        ADVANCE(151);
      if (lookahead == 'y')
        ADVANCE(153);
      END_STATE();
    case 151:
      if (lookahead == 'e')
        ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 154:
      if (lookahead == 'p')
        ADVANCE(155);
      END_STATE();
    case 155:
      if (lookahead == 'e')
        ADVANCE(156);
      END_STATE();
    case 156:
      if (lookahead == 'o')
        ADVANCE(157);
      END_STATE();
    case 157:
      if (lookahead == 'f')
        ADVANCE(158);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 159:
      if (lookahead == 'n')
        ADVANCE(160);
      END_STATE();
    case 160:
      if (lookahead == 'd')
        ADVANCE(161);
      END_STATE();
    case 161:
      if (lookahead == 'e')
        ADVANCE(162);
      END_STATE();
    case 162:
      if (lookahead == 'f')
        ADVANCE(163);
      END_STATE();
    case 163:
      if (lookahead == 'i')
        ADVANCE(164);
      END_STATE();
    case 164:
      if (lookahead == 'n')
        ADVANCE(165);
      END_STATE();
    case 165:
      if (lookahead == 'e')
        ADVANCE(166);
      END_STATE();
    case 166:
      if (lookahead == 'd')
        ADVANCE(167);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 168:
      if (lookahead == 'a')
        ADVANCE(169);
      if (lookahead == 'o')
        ADVANCE(171);
      END_STATE();
    case 169:
      if (lookahead == 'r')
        ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 171:
      if (lookahead == 'i')
        ADVANCE(172);
      END_STATE();
    case 172:
      if (lookahead == 'd')
        ADVANCE(173);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 174:
      if (lookahead == 'h')
        ADVANCE(175);
      if (lookahead == 'i')
        ADVANCE(179);
      END_STATE();
    case 175:
      if (lookahead == 'i')
        ADVANCE(176);
      END_STATE();
    case 176:
      if (lookahead == 'l')
        ADVANCE(177);
      END_STATE();
    case 177:
      if (lookahead == 'e')
        ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 179:
      if (lookahead == 't')
        ADVANCE(180);
      END_STATE();
    case 180:
      if (lookahead == 'h')
        ADVANCE(181);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 182:
      if (lookahead == 'i')
        ADVANCE(183);
      END_STATE();
    case 183:
      if (lookahead == 'e')
        ADVANCE(184);
      END_STATE();
    case 184:
      if (lookahead == 'l')
        ADVANCE(185);
      END_STATE();
    case 185:
      if (lookahead == 'd')
        ADVANCE(186);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 79},
  [2] = {.lex_state = 109},
  [3] = {.lex_state = 110},
  [4] = {.lex_state = 110},
  [5] = {.lex_state = 110},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 113},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 79},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 109, .external_lex_state = 2},
  [17] = {.lex_state = 109, .external_lex_state = 2},
  [18] = {.lex_state = 109, .external_lex_state = 2},
  [19] = {.lex_state = 109, .external_lex_state = 2},
  [20] = {.lex_state = 79},
  [21] = {.lex_state = 114},
  [22] = {.lex_state = 115, .external_lex_state = 2},
  [23] = {.lex_state = 128},
  [24] = {.lex_state = 129},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 136, .external_lex_state = 2},
  [27] = {.lex_state = 110},
  [28] = {.lex_state = 79},
  [29] = {.lex_state = 79},
  [30] = {.lex_state = 79},
  [31] = {.lex_state = 79},
  [32] = {.lex_state = 79},
  [33] = {.lex_state = 138, .external_lex_state = 3},
  [34] = {.lex_state = 142, .external_lex_state = 2},
  [35] = {.lex_state = 115},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 136, .external_lex_state = 2},
  [38] = {.lex_state = 143},
  [39] = {.lex_state = 109, .external_lex_state = 2},
  [40] = {.lex_state = 144, .external_lex_state = 2},
  [41] = {.lex_state = 146, .external_lex_state = 2},
  [42] = {.lex_state = 146, .external_lex_state = 2},
  [43] = {.lex_state = 148},
  [44] = {.lex_state = 155, .external_lex_state = 2},
  [45] = {.lex_state = 155, .external_lex_state = 2},
  [46] = {.lex_state = 136, .external_lex_state = 2},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 109},
  [49] = {.lex_state = 79},
  [50] = {.lex_state = 109},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 79},
  [53] = {.lex_state = 110},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 0},
  [56] = {.lex_state = 110},
  [57] = {.lex_state = 109, .external_lex_state = 2},
  [58] = {.lex_state = 156},
  [59] = {.lex_state = 156, .external_lex_state = 2},
  [60] = {.lex_state = 79},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 110},
  [63] = {.lex_state = 157, .external_lex_state = 2},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 128},
  [69] = {.lex_state = 158, .external_lex_state = 2},
  [70] = {.lex_state = 79},
  [71] = {.lex_state = 159, .external_lex_state = 2},
  [72] = {.lex_state = 158, .external_lex_state = 2},
  [73] = {.lex_state = 158, .external_lex_state = 2},
  [74] = {.lex_state = 146, .external_lex_state = 2},
  [75] = {.lex_state = 110},
  [76] = {.lex_state = 146, .external_lex_state = 2},
  [77] = {.lex_state = 142},
  [78] = {.lex_state = 110},
  [79] = {.lex_state = 110},
  [80] = {.lex_state = 110},
  [81] = {.lex_state = 0},
  [82] = {.lex_state = 110},
  [83] = {.lex_state = 109, .external_lex_state = 2},
  [84] = {.lex_state = 110},
  [85] = {.lex_state = 0},
  [86] = {.lex_state = 0},
  [87] = {.lex_state = 110},
  [88] = {.lex_state = 128},
  [89] = {.lex_state = 160, .external_lex_state = 2},
  [90] = {.lex_state = 161, .external_lex_state = 2},
  [91] = {.lex_state = 160, .external_lex_state = 2},
  [92] = {.lex_state = 160, .external_lex_state = 2},
  [93] = {.lex_state = 161, .external_lex_state = 2},
  [94] = {.lex_state = 79},
  [95] = {.lex_state = 79},
  [96] = {.lex_state = 0},
  [97] = {.lex_state = 79},
  [98] = {.lex_state = 110},
  [99] = {.lex_state = 113},
  [100] = {.lex_state = 0},
  [101] = {.lex_state = 162},
  [102] = {.lex_state = 128},
  [103] = {.lex_state = 129},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 163},
  [106] = {.lex_state = 110},
  [107] = {.lex_state = 79},
  [108] = {.lex_state = 79},
  [109] = {.lex_state = 79},
  [110] = {.lex_state = 0},
  [111] = {.lex_state = 79},
  [112] = {.lex_state = 79},
  [113] = {.lex_state = 138, .external_lex_state = 3},
  [114] = {.lex_state = 163},
  [115] = {.lex_state = 115},
  [116] = {.lex_state = 163},
  [117] = {.lex_state = 113},
  [118] = {.lex_state = 164},
  [119] = {.lex_state = 164},
  [120] = {.lex_state = 113},
  [121] = {.lex_state = 164},
  [122] = {.lex_state = 148},
  [123] = {.lex_state = 165},
  [124] = {.lex_state = 163},
  [125] = {.lex_state = 0},
  [126] = {.lex_state = 79},
  [127] = {.lex_state = 79},
  [128] = {.lex_state = 110},
  [129] = {.lex_state = 110},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 0},
  [132] = {.lex_state = 0},
  [133] = {.lex_state = 0},
  [134] = {.lex_state = 0},
  [135] = {.lex_state = 136, .external_lex_state = 2},
  [136] = {.lex_state = 110},
  [137] = {.lex_state = 142, .external_lex_state = 2},
  [138] = {.lex_state = 0},
  [139] = {.lex_state = 144, .external_lex_state = 2},
  [140] = {.lex_state = 144, .external_lex_state = 2},
  [141] = {.lex_state = 79},
  [142] = {.lex_state = 110},
  [143] = {.lex_state = 156},
  [144] = {.lex_state = 79},
  [145] = {.lex_state = 156},
  [146] = {.lex_state = 109, .external_lex_state = 2},
  [147] = {.lex_state = 156},
  [148] = {.lex_state = 109, .external_lex_state = 2},
  [149] = {.lex_state = 156},
  [150] = {.lex_state = 156},
  [151] = {.lex_state = 110},
  [152] = {.lex_state = 136, .external_lex_state = 2},
  [153] = {.lex_state = 109, .external_lex_state = 2},
  [154] = {.lex_state = 166, .external_lex_state = 2},
  [155] = {.lex_state = 79},
  [156] = {.lex_state = 109, .external_lex_state = 2},
  [157] = {.lex_state = 144, .external_lex_state = 2},
  [158] = {.lex_state = 128},
  [159] = {.lex_state = 167},
  [160] = {.lex_state = 168, .external_lex_state = 2},
  [161] = {.lex_state = 169},
  [162] = {.lex_state = 79},
  [163] = {.lex_state = 79},
  [164] = {.lex_state = 79},
  [165] = {.lex_state = 79},
  [166] = {.lex_state = 79},
  [167] = {.lex_state = 79},
  [168] = {.lex_state = 169},
  [169] = {.lex_state = 169},
  [170] = {.lex_state = 170},
  [171] = {.lex_state = 170},
  [172] = {.lex_state = 170},
  [173] = {.lex_state = 169},
  [174] = {.lex_state = 128},
  [175] = {.lex_state = 0},
  [176] = {.lex_state = 128},
  [177] = {.lex_state = 148},
  [178] = {.lex_state = 129},
  [179] = {.lex_state = 129},
  [180] = {.lex_state = 129},
  [181] = {.lex_state = 129},
  [182] = {.lex_state = 110},
  [183] = {.lex_state = 79},
  [184] = {.lex_state = 0},
  [185] = {.lex_state = 0},
  [186] = {.lex_state = 166, .external_lex_state = 2},
  [187] = {.lex_state = 113},
  [188] = {.lex_state = 0},
  [189] = {.lex_state = 79},
  [190] = {.lex_state = 0},
  [191] = {.lex_state = 79},
  [192] = {.lex_state = 79},
  [193] = {.lex_state = 0},
  [194] = {.lex_state = 166, .external_lex_state = 2},
  [195] = {.lex_state = 0},
  [196] = {.lex_state = 0},
  [197] = {.lex_state = 0},
  [198] = {.lex_state = 110},
  [199] = {.lex_state = 166, .external_lex_state = 2},
  [200] = {.lex_state = 144, .external_lex_state = 2},
  [201] = {.lex_state = 166, .external_lex_state = 2},
  [202] = {.lex_state = 144, .external_lex_state = 2},
  [203] = {.lex_state = 166, .external_lex_state = 2},
  [204] = {.lex_state = 166, .external_lex_state = 2},
  [205] = {.lex_state = 166, .external_lex_state = 2},
  [206] = {.lex_state = 79},
  [207] = {.lex_state = 138, .external_lex_state = 3},
  [208] = {.lex_state = 79},
  [209] = {.lex_state = 79},
  [210] = {.lex_state = 0},
  [211] = {.lex_state = 79},
  [212] = {.lex_state = 166, .external_lex_state = 2},
  [213] = {.lex_state = 113},
  [214] = {.lex_state = 79},
  [215] = {.lex_state = 166, .external_lex_state = 2},
  [216] = {.lex_state = 115},
  [217] = {.lex_state = 115},
  [218] = {.lex_state = 115},
  [219] = {.lex_state = 110},
  [220] = {.lex_state = 114},
  [221] = {.lex_state = 79},
  [222] = {.lex_state = 79},
  [223] = {.lex_state = 79},
  [224] = {.lex_state = 79},
  [225] = {.lex_state = 79},
  [226] = {.lex_state = 79},
  [227] = {.lex_state = 166, .external_lex_state = 2},
  [228] = {.lex_state = 166, .external_lex_state = 2},
  [229] = {.lex_state = 166, .external_lex_state = 2},
  [230] = {.lex_state = 110},
  [231] = {.lex_state = 129},
  [232] = {.lex_state = 148},
  [233] = {.lex_state = 166, .external_lex_state = 2},
  [234] = {.lex_state = 148},
  [235] = {.lex_state = 156},
  [236] = {.lex_state = 109},
  [237] = {.lex_state = 79},
  [238] = {.lex_state = 0},
  [239] = {.lex_state = 79},
  [240] = {.lex_state = 0},
  [241] = {.lex_state = 109, .external_lex_state = 2},
  [242] = {.lex_state = 171, .external_lex_state = 2},
  [243] = {.lex_state = 172, .external_lex_state = 2},
  [244] = {.lex_state = 79},
  [245] = {.lex_state = 79},
  [246] = {.lex_state = 79},
  [247] = {.lex_state = 79},
  [248] = {.lex_state = 79},
  [249] = {.lex_state = 172, .external_lex_state = 2},
  [250] = {.lex_state = 172, .external_lex_state = 2},
  [251] = {.lex_state = 173, .external_lex_state = 2},
  [252] = {.lex_state = 174, .external_lex_state = 2},
  [253] = {.lex_state = 174, .external_lex_state = 2},
  [254] = {.lex_state = 172, .external_lex_state = 2},
  [255] = {.lex_state = 0},
  [256] = {.lex_state = 110},
  [257] = {.lex_state = 109, .external_lex_state = 2},
  [258] = {.lex_state = 110},
  [259] = {.lex_state = 110},
  [260] = {.lex_state = 0},
  [261] = {.lex_state = 0},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 0},
  [264] = {.lex_state = 0},
  [265] = {.lex_state = 156},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 79},
  [268] = {.lex_state = 79},
  [269] = {.lex_state = 0},
  [270] = {.lex_state = 0},
  [271] = {.lex_state = 110},
  [272] = {.lex_state = 128},
  [273] = {.lex_state = 175},
  [274] = {.lex_state = 175},
  [275] = {.lex_state = 158},
  [276] = {.lex_state = 129},
  [277] = {.lex_state = 110},
  [278] = {.lex_state = 129},
  [279] = {.lex_state = 110},
  [280] = {.lex_state = 79},
  [281] = {.lex_state = 79},
  [282] = {.lex_state = 79},
  [283] = {.lex_state = 79},
  [284] = {.lex_state = 170},
  [285] = {.lex_state = 0},
  [286] = {.lex_state = 168, .external_lex_state = 2},
  [287] = {.lex_state = 0},
  [288] = {.lex_state = 0},
  [289] = {.lex_state = 110},
  [290] = {.lex_state = 155},
  [291] = {.lex_state = 158},
  [292] = {.lex_state = 79},
  [293] = {.lex_state = 79},
  [294] = {.lex_state = 79},
  [295] = {.lex_state = 79},
  [296] = {.lex_state = 79},
  [297] = {.lex_state = 158},
  [298] = {.lex_state = 158},
  [299] = {.lex_state = 176},
  [300] = {.lex_state = 176},
  [301] = {.lex_state = 176},
  [302] = {.lex_state = 158},
  [303] = {.lex_state = 0},
  [304] = {.lex_state = 79},
  [305] = {.lex_state = 79},
  [306] = {.lex_state = 177, .external_lex_state = 2},
  [307] = {.lex_state = 177, .external_lex_state = 2},
  [308] = {.lex_state = 168, .external_lex_state = 2},
  [309] = {.lex_state = 110},
  [310] = {.lex_state = 177, .external_lex_state = 2},
  [311] = {.lex_state = 79},
  [312] = {.lex_state = 0},
  [313] = {.lex_state = 178},
  [314] = {.lex_state = 142, .external_lex_state = 2},
  [315] = {.lex_state = 110},
  [316] = {.lex_state = 110},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 110},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 110},
  [321] = {.lex_state = 110},
  [322] = {.lex_state = 0},
  [323] = {.lex_state = 110},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 110},
  [326] = {.lex_state = 156},
  [327] = {.lex_state = 110},
  [328] = {.lex_state = 109, .external_lex_state = 2},
  [329] = {.lex_state = 160, .external_lex_state = 2},
  [330] = {.lex_state = 175},
  [331] = {.lex_state = 175},
  [332] = {.lex_state = 158},
  [333] = {.lex_state = 110},
  [334] = {.lex_state = 110},
  [335] = {.lex_state = 110},
  [336] = {.lex_state = 160, .external_lex_state = 2},
  [337] = {.lex_state = 170},
  [338] = {.lex_state = 128},
  [339] = {.lex_state = 128},
  [340] = {.lex_state = 161, .external_lex_state = 2},
  [341] = {.lex_state = 156},
  [342] = {.lex_state = 0},
  [343] = {.lex_state = 161, .external_lex_state = 2},
  [344] = {.lex_state = 161, .external_lex_state = 2},
  [345] = {.lex_state = 161, .external_lex_state = 2},
  [346] = {.lex_state = 156},
  [347] = {.lex_state = 161, .external_lex_state = 2},
  [348] = {.lex_state = 163},
  [349] = {.lex_state = 163},
  [350] = {.lex_state = 163},
  [351] = {.lex_state = 113},
  [352] = {.lex_state = 164},
  [353] = {.lex_state = 164},
  [354] = {.lex_state = 0},
  [355] = {.lex_state = 0},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 142, .external_lex_state = 2},
  [359] = {.lex_state = 109},
  [360] = {.lex_state = 110},
  [361] = {.lex_state = 156},
  [362] = {.lex_state = 0},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 136, .external_lex_state = 2},
  [365] = {.lex_state = 79},
  [366] = {.lex_state = 146, .external_lex_state = 2},
  [367] = {.lex_state = 146, .external_lex_state = 2},
  [368] = {.lex_state = 165},
  [369] = {.lex_state = 175},
  [370] = {.lex_state = 175},
  [371] = {.lex_state = 158},
  [372] = {.lex_state = 110},
  [373] = {.lex_state = 110},
  [374] = {.lex_state = 110},
  [375] = {.lex_state = 113},
  [376] = {.lex_state = 164},
  [377] = {.lex_state = 165},
  [378] = {.lex_state = 170},
  [379] = {.lex_state = 128},
  [380] = {.lex_state = 128},
  [381] = {.lex_state = 148},
  [382] = {.lex_state = 129},
  [383] = {.lex_state = 129},
  [384] = {.lex_state = 129},
  [385] = {.lex_state = 129},
  [386] = {.lex_state = 110},
  [387] = {.lex_state = 0},
  [388] = {.lex_state = 0},
  [389] = {.lex_state = 165},
  [390] = {.lex_state = 110},
  [391] = {.lex_state = 0},
  [392] = {.lex_state = 0},
  [393] = {.lex_state = 79},
  [394] = {.lex_state = 0},
  [395] = {.lex_state = 79},
  [396] = {.lex_state = 79},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 165},
  [399] = {.lex_state = 113},
  [400] = {.lex_state = 0},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 0},
  [403] = {.lex_state = 110},
  [404] = {.lex_state = 165},
  [405] = {.lex_state = 164},
  [406] = {.lex_state = 165},
  [407] = {.lex_state = 164},
  [408] = {.lex_state = 113},
  [409] = {.lex_state = 165},
  [410] = {.lex_state = 165},
  [411] = {.lex_state = 165},
  [412] = {.lex_state = 138, .external_lex_state = 3},
  [413] = {.lex_state = 0},
  [414] = {.lex_state = 79},
  [415] = {.lex_state = 0},
  [416] = {.lex_state = 79},
  [417] = {.lex_state = 164},
  [418] = {.lex_state = 113},
  [419] = {.lex_state = 113},
  [420] = {.lex_state = 79},
  [421] = {.lex_state = 165},
  [422] = {.lex_state = 166, .external_lex_state = 2},
  [423] = {.lex_state = 79},
  [424] = {.lex_state = 79},
  [425] = {.lex_state = 79},
  [426] = {.lex_state = 79},
  [427] = {.lex_state = 79},
  [428] = {.lex_state = 79},
  [429] = {.lex_state = 165},
  [430] = {.lex_state = 0},
  [431] = {.lex_state = 164},
  [432] = {.lex_state = 113},
  [433] = {.lex_state = 0},
  [434] = {.lex_state = 164},
  [435] = {.lex_state = 113},
  [436] = {.lex_state = 129},
  [437] = {.lex_state = 165},
  [438] = {.lex_state = 148},
  [439] = {.lex_state = 165},
  [440] = {.lex_state = 0},
  [441] = {.lex_state = 156},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 110},
  [445] = {.lex_state = 79},
  [446] = {.lex_state = 146, .external_lex_state = 2},
  [447] = {.lex_state = 79},
  [448] = {.lex_state = 79},
  [449] = {.lex_state = 79},
  [450] = {.lex_state = 79},
  [451] = {.lex_state = 0},
  [452] = {.lex_state = 0},
  [453] = {.lex_state = 0},
  [454] = {.lex_state = 0},
  [455] = {.lex_state = 0},
  [456] = {.lex_state = 79},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 79},
  [459] = {.lex_state = 0},
  [460] = {.lex_state = 178},
  [461] = {.lex_state = 0},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 156},
  [464] = {.lex_state = 156},
  [465] = {.lex_state = 156},
  [466] = {.lex_state = 156},
  [467] = {.lex_state = 156},
  [468] = {.lex_state = 168, .external_lex_state = 2},
  [469] = {.lex_state = 175},
  [470] = {.lex_state = 175},
  [471] = {.lex_state = 158},
  [472] = {.lex_state = 110},
  [473] = {.lex_state = 156},
  [474] = {.lex_state = 156},
  [475] = {.lex_state = 170},
  [476] = {.lex_state = 179},
  [477] = {.lex_state = 170},
  [478] = {.lex_state = 79},
  [479] = {.lex_state = 79},
  [480] = {.lex_state = 79},
  [481] = {.lex_state = 0},
  [482] = {.lex_state = 170},
  [483] = {.lex_state = 170},
  [484] = {.lex_state = 170},
  [485] = {.lex_state = 79},
  [486] = {.lex_state = 79},
  [487] = {.lex_state = 79},
  [488] = {.lex_state = 168, .external_lex_state = 2},
  [489] = {.lex_state = 79},
  [490] = {.lex_state = 79},
  [491] = {.lex_state = 79},
  [492] = {.lex_state = 79},
  [493] = {.lex_state = 128},
  [494] = {.lex_state = 165},
  [495] = {.lex_state = 165},
  [496] = {.lex_state = 128},
  [497] = {.lex_state = 129},
  [498] = {.lex_state = 148},
  [499] = {.lex_state = 110},
  [500] = {.lex_state = 129},
  [501] = {.lex_state = 148},
  [502] = {.lex_state = 129},
  [503] = {.lex_state = 129},
  [504] = {.lex_state = 129},
  [505] = {.lex_state = 129},
  [506] = {.lex_state = 129},
  [507] = {.lex_state = 129},
  [508] = {.lex_state = 148},
  [509] = {.lex_state = 129},
  [510] = {.lex_state = 0},
  [511] = {.lex_state = 129},
  [512] = {.lex_state = 166, .external_lex_state = 2},
  [513] = {.lex_state = 79},
  [514] = {.lex_state = 180, .external_lex_state = 2},
  [515] = {.lex_state = 181, .external_lex_state = 2},
  [516] = {.lex_state = 110},
  [517] = {.lex_state = 181, .external_lex_state = 2},
  [518] = {.lex_state = 109, .external_lex_state = 2},
  [519] = {.lex_state = 110},
  [520] = {.lex_state = 181, .external_lex_state = 2},
  [521] = {.lex_state = 110},
  [522] = {.lex_state = 110},
  [523] = {.lex_state = 115},
  [524] = {.lex_state = 136},
  [525] = {.lex_state = 79},
  [526] = {.lex_state = 79},
  [527] = {.lex_state = 79},
  [528] = {.lex_state = 79},
  [529] = {.lex_state = 79},
  [530] = {.lex_state = 136},
  [531] = {.lex_state = 136},
  [532] = {.lex_state = 144},
  [533] = {.lex_state = 146},
  [534] = {.lex_state = 146},
  [535] = {.lex_state = 136},
  [536] = {.lex_state = 0},
  [537] = {.lex_state = 110},
  [538] = {.lex_state = 0},
  [539] = {.lex_state = 155, .external_lex_state = 2},
  [540] = {.lex_state = 166, .external_lex_state = 2},
  [541] = {.lex_state = 128},
  [542] = {.lex_state = 113},
  [543] = {.lex_state = 182},
  [544] = {.lex_state = 182},
  [545] = {.lex_state = 182},
  [546] = {.lex_state = 183, .external_lex_state = 2},
  [547] = {.lex_state = 144, .external_lex_state = 2},
  [548] = {.lex_state = 0},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 166, .external_lex_state = 2},
  [551] = {.lex_state = 144, .external_lex_state = 2},
  [552] = {.lex_state = 144, .external_lex_state = 2},
  [553] = {.lex_state = 79},
  [554] = {.lex_state = 0},
  [555] = {.lex_state = 0},
  [556] = {.lex_state = 110},
  [557] = {.lex_state = 155, .external_lex_state = 2},
  [558] = {.lex_state = 110},
  [559] = {.lex_state = 110},
  [560] = {.lex_state = 176},
  [561] = {.lex_state = 166, .external_lex_state = 2},
  [562] = {.lex_state = 138, .external_lex_state = 3},
  [563] = {.lex_state = 144, .external_lex_state = 2},
  [564] = {.lex_state = 156},
  [565] = {.lex_state = 183, .external_lex_state = 2},
  [566] = {.lex_state = 144, .external_lex_state = 2},
  [567] = {.lex_state = 113},
  [568] = {.lex_state = 166, .external_lex_state = 2},
  [569] = {.lex_state = 79},
  [570] = {.lex_state = 164},
  [571] = {.lex_state = 113},
  [572] = {.lex_state = 113},
  [573] = {.lex_state = 128},
  [574] = {.lex_state = 170},
  [575] = {.lex_state = 0},
  [576] = {.lex_state = 110},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 110},
  [579] = {.lex_state = 166, .external_lex_state = 2},
  [580] = {.lex_state = 144, .external_lex_state = 2},
  [581] = {.lex_state = 109, .external_lex_state = 2},
  [582] = {.lex_state = 184},
  [583] = {.lex_state = 142},
  [584] = {.lex_state = 79},
  [585] = {.lex_state = 79},
  [586] = {.lex_state = 79},
  [587] = {.lex_state = 79},
  [588] = {.lex_state = 79},
  [589] = {.lex_state = 142},
  [590] = {.lex_state = 142},
  [591] = {.lex_state = 159},
  [592] = {.lex_state = 176},
  [593] = {.lex_state = 176},
  [594] = {.lex_state = 142},
  [595] = {.lex_state = 0},
  [596] = {.lex_state = 144, .external_lex_state = 2},
  [597] = {.lex_state = 144, .external_lex_state = 2},
  [598] = {.lex_state = 144, .external_lex_state = 2},
  [599] = {.lex_state = 148},
  [600] = {.lex_state = 79},
  [601] = {.lex_state = 176},
  [602] = {.lex_state = 110},
  [603] = {.lex_state = 129},
  [604] = {.lex_state = 129},
  [605] = {.lex_state = 129},
  [606] = {.lex_state = 129},
  [607] = {.lex_state = 129},
  [608] = {.lex_state = 129},
  [609] = {.lex_state = 148},
  [610] = {.lex_state = 148},
  [611] = {.lex_state = 166, .external_lex_state = 2},
  [612] = {.lex_state = 148},
  [613] = {.lex_state = 79},
  [614] = {.lex_state = 0},
  [615] = {.lex_state = 0},
  [616] = {.lex_state = 109, .external_lex_state = 2},
  [617] = {.lex_state = 156},
  [618] = {.lex_state = 173, .external_lex_state = 2},
  [619] = {.lex_state = 79},
  [620] = {.lex_state = 79},
  [621] = {.lex_state = 79},
  [622] = {.lex_state = 0},
  [623] = {.lex_state = 173, .external_lex_state = 2},
  [624] = {.lex_state = 173, .external_lex_state = 2},
  [625] = {.lex_state = 79},
  [626] = {.lex_state = 79},
  [627] = {.lex_state = 79},
  [628] = {.lex_state = 79},
  [629] = {.lex_state = 79},
  [630] = {.lex_state = 79},
  [631] = {.lex_state = 79},
  [632] = {.lex_state = 109, .external_lex_state = 2},
  [633] = {.lex_state = 0},
  [634] = {.lex_state = 110},
  [635] = {.lex_state = 109, .external_lex_state = 2},
  [636] = {.lex_state = 110},
  [637] = {.lex_state = 110},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 156, .external_lex_state = 2},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 0},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 110},
  [645] = {.lex_state = 156, .external_lex_state = 2},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 167},
  [648] = {.lex_state = 169},
  [649] = {.lex_state = 79},
  [650] = {.lex_state = 79},
  [651] = {.lex_state = 79},
  [652] = {.lex_state = 79},
  [653] = {.lex_state = 79},
  [654] = {.lex_state = 169},
  [655] = {.lex_state = 169},
  [656] = {.lex_state = 170},
  [657] = {.lex_state = 170},
  [658] = {.lex_state = 170},
  [659] = {.lex_state = 169},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 182},
  [663] = {.lex_state = 175},
  [664] = {.lex_state = 175},
  [665] = {.lex_state = 158},
  [666] = {.lex_state = 110},
  [667] = {.lex_state = 110},
  [668] = {.lex_state = 110},
  [669] = {.lex_state = 182},
  [670] = {.lex_state = 170},
  [671] = {.lex_state = 128},
  [672] = {.lex_state = 128},
  [673] = {.lex_state = 79},
  [674] = {.lex_state = 166},
  [675] = {.lex_state = 166},
  [676] = {.lex_state = 166},
  [677] = {.lex_state = 110},
  [678] = {.lex_state = 110},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 142, .external_lex_state = 2},
  [684] = {.lex_state = 110},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 136, .external_lex_state = 2},
  [688] = {.lex_state = 79},
  [689] = {.lex_state = 146, .external_lex_state = 2},
  [690] = {.lex_state = 146, .external_lex_state = 2},
  [691] = {.lex_state = 185, .external_lex_state = 2},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 168, .external_lex_state = 2},
  [694] = {.lex_state = 176},
  [695] = {.lex_state = 79},
  [696] = {.lex_state = 79},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 176},
  [699] = {.lex_state = 176},
  [700] = {.lex_state = 79},
  [701] = {.lex_state = 79},
  [702] = {.lex_state = 79},
  [703] = {.lex_state = 79},
  [704] = {.lex_state = 79},
  [705] = {.lex_state = 79},
  [706] = {.lex_state = 79},
  [707] = {.lex_state = 155, .external_lex_state = 2},
  [708] = {.lex_state = 186, .external_lex_state = 2},
  [709] = {.lex_state = 79},
  [710] = {.lex_state = 79},
  [711] = {.lex_state = 79},
  [712] = {.lex_state = 79},
  [713] = {.lex_state = 79},
  [714] = {.lex_state = 186, .external_lex_state = 2},
  [715] = {.lex_state = 186, .external_lex_state = 2},
  [716] = {.lex_state = 177, .external_lex_state = 2},
  [717] = {.lex_state = 187, .external_lex_state = 2},
  [718] = {.lex_state = 187, .external_lex_state = 2},
  [719] = {.lex_state = 186, .external_lex_state = 2},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 168, .external_lex_state = 2},
  [722] = {.lex_state = 176},
  [723] = {.lex_state = 110},
  [724] = {.lex_state = 110},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 110},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 110},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 156},
  [732] = {.lex_state = 160, .external_lex_state = 2},
  [733] = {.lex_state = 110},
  [734] = {.lex_state = 160, .external_lex_state = 2},
  [735] = {.lex_state = 110},
  [736] = {.lex_state = 110},
  [737] = {.lex_state = 160, .external_lex_state = 2},
  [738] = {.lex_state = 128},
  [739] = {.lex_state = 161, .external_lex_state = 2},
  [740] = {.lex_state = 156},
  [741] = {.lex_state = 161, .external_lex_state = 2},
  [742] = {.lex_state = 156},
  [743] = {.lex_state = 79},
  [744] = {.lex_state = 79},
  [745] = {.lex_state = 79},
  [746] = {.lex_state = 79},
  [747] = {.lex_state = 79},
  [748] = {.lex_state = 79},
  [749] = {.lex_state = 79},
  [750] = {.lex_state = 129},
  [751] = {.lex_state = 156},
  [752] = {.lex_state = 79},
  [753] = {.lex_state = 110},
  [754] = {.lex_state = 160, .external_lex_state = 2},
  [755] = {.lex_state = 160, .external_lex_state = 2},
  [756] = {.lex_state = 160, .external_lex_state = 2},
  [757] = {.lex_state = 79},
  [758] = {.lex_state = 79},
  [759] = {.lex_state = 113},
  [760] = {.lex_state = 79},
  [761] = {.lex_state = 79},
  [762] = {.lex_state = 79},
  [763] = {.lex_state = 79},
  [764] = {.lex_state = 165},
  [765] = {.lex_state = 110},
  [766] = {.lex_state = 165},
  [767] = {.lex_state = 110},
  [768] = {.lex_state = 110},
  [769] = {.lex_state = 165},
  [770] = {.lex_state = 165},
  [771] = {.lex_state = 128},
  [772] = {.lex_state = 129},
  [773] = {.lex_state = 148},
  [774] = {.lex_state = 129},
  [775] = {.lex_state = 129},
  [776] = {.lex_state = 129},
  [777] = {.lex_state = 129},
  [778] = {.lex_state = 165},
  [779] = {.lex_state = 110},
  [780] = {.lex_state = 0},
  [781] = {.lex_state = 165},
  [782] = {.lex_state = 165},
  [783] = {.lex_state = 113},
  [784] = {.lex_state = 182},
  [785] = {.lex_state = 182},
  [786] = {.lex_state = 113},
  [787] = {.lex_state = 182},
  [788] = {.lex_state = 188},
  [789] = {.lex_state = 164},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 165},
  [793] = {.lex_state = 164},
  [794] = {.lex_state = 164},
  [795] = {.lex_state = 79},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 113},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 110},
  [801] = {.lex_state = 165},
  [802] = {.lex_state = 158, .external_lex_state = 2},
  [803] = {.lex_state = 158, .external_lex_state = 2},
  [804] = {.lex_state = 158, .external_lex_state = 2},
  [805] = {.lex_state = 110},
  [806] = {.lex_state = 110},
  [807] = {.lex_state = 165},
  [808] = {.lex_state = 164},
  [809] = {.lex_state = 188},
  [810] = {.lex_state = 164},
  [811] = {.lex_state = 0},
  [812] = {.lex_state = 165},
  [813] = {.lex_state = 164},
  [814] = {.lex_state = 113},
  [815] = {.lex_state = 113},
  [816] = {.lex_state = 128},
  [817] = {.lex_state = 165},
  [818] = {.lex_state = 164},
  [819] = {.lex_state = 165},
  [820] = {.lex_state = 159},
  [821] = {.lex_state = 164},
  [822] = {.lex_state = 164},
  [823] = {.lex_state = 164},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 129},
  [827] = {.lex_state = 165},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 142, .external_lex_state = 2},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 136, .external_lex_state = 2},
  [845] = {.lex_state = 79},
  [846] = {.lex_state = 146, .external_lex_state = 2},
  [847] = {.lex_state = 146, .external_lex_state = 2},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 166, .external_lex_state = 2},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 110},
  [855] = {.lex_state = 166, .external_lex_state = 2},
  [856] = {.lex_state = 79},
  [857] = {.lex_state = 109, .external_lex_state = 2},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 156},
  [861] = {.lex_state = 156},
  [862] = {.lex_state = 156},
  [863] = {.lex_state = 170},
  [864] = {.lex_state = 170},
  [865] = {.lex_state = 170},
  [866] = {.lex_state = 79},
  [867] = {.lex_state = 170},
  [868] = {.lex_state = 170},
  [869] = {.lex_state = 159},
  [870] = {.lex_state = 170},
  [871] = {.lex_state = 170},
  [872] = {.lex_state = 170},
  [873] = {.lex_state = 168, .external_lex_state = 2},
  [874] = {.lex_state = 129},
  [875] = {.lex_state = 129},
  [876] = {.lex_state = 129},
  [877] = {.lex_state = 176},
  [878] = {.lex_state = 110},
  [879] = {.lex_state = 129},
  [880] = {.lex_state = 129},
  [881] = {.lex_state = 166, .external_lex_state = 2},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 148},
  [885] = {.lex_state = 129},
  [886] = {.lex_state = 129},
  [887] = {.lex_state = 129},
  [888] = {.lex_state = 129},
  [889] = {.lex_state = 166, .external_lex_state = 2},
  [890] = {.lex_state = 129},
  [891] = {.lex_state = 148},
  [892] = {.lex_state = 129},
  [893] = {.lex_state = 170},
  [894] = {.lex_state = 109, .external_lex_state = 2},
  [895] = {.lex_state = 110},
  [896] = {.lex_state = 110},
  [897] = {.lex_state = 109, .external_lex_state = 2},
  [898] = {.lex_state = 110},
  [899] = {.lex_state = 110},
  [900] = {.lex_state = 166, .external_lex_state = 2},
  [901] = {.lex_state = 110},
  [902] = {.lex_state = 144},
  [903] = {.lex_state = 79},
  [904] = {.lex_state = 79},
  [905] = {.lex_state = 79},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 144},
  [908] = {.lex_state = 144},
  [909] = {.lex_state = 79},
  [910] = {.lex_state = 79},
  [911] = {.lex_state = 79},
  [912] = {.lex_state = 79},
  [913] = {.lex_state = 79},
  [914] = {.lex_state = 79},
  [915] = {.lex_state = 79},
  [916] = {.lex_state = 155, .external_lex_state = 2},
  [917] = {.lex_state = 110},
  [918] = {.lex_state = 155, .external_lex_state = 2},
  [919] = {.lex_state = 170},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 155, .external_lex_state = 2},
  [922] = {.lex_state = 166, .external_lex_state = 2},
  [923] = {.lex_state = 144, .external_lex_state = 2},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 155, .external_lex_state = 2},
  [926] = {.lex_state = 155, .external_lex_state = 2},
  [927] = {.lex_state = 110},
  [928] = {.lex_state = 166, .external_lex_state = 2},
  [929] = {.lex_state = 138, .external_lex_state = 3},
  [930] = {.lex_state = 79},
  [931] = {.lex_state = 164},
  [932] = {.lex_state = 164},
  [933] = {.lex_state = 166, .external_lex_state = 2},
  [934] = {.lex_state = 113},
  [935] = {.lex_state = 113},
  [936] = {.lex_state = 183, .external_lex_state = 2},
  [937] = {.lex_state = 79},
  [938] = {.lex_state = 115},
  [939] = {.lex_state = 115},
  [940] = {.lex_state = 159},
  [941] = {.lex_state = 79},
  [942] = {.lex_state = 79},
  [943] = {.lex_state = 79},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 159},
  [946] = {.lex_state = 159},
  [947] = {.lex_state = 79},
  [948] = {.lex_state = 79},
  [949] = {.lex_state = 79},
  [950] = {.lex_state = 79},
  [951] = {.lex_state = 79},
  [952] = {.lex_state = 79},
  [953] = {.lex_state = 79},
  [954] = {.lex_state = 79},
  [955] = {.lex_state = 155},
  [956] = {.lex_state = 158},
  [957] = {.lex_state = 79},
  [958] = {.lex_state = 79},
  [959] = {.lex_state = 79},
  [960] = {.lex_state = 79},
  [961] = {.lex_state = 79},
  [962] = {.lex_state = 158},
  [963] = {.lex_state = 158},
  [964] = {.lex_state = 176},
  [965] = {.lex_state = 176},
  [966] = {.lex_state = 176},
  [967] = {.lex_state = 158},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 148},
  [970] = {.lex_state = 129},
  [971] = {.lex_state = 129},
  [972] = {.lex_state = 129},
  [973] = {.lex_state = 129},
  [974] = {.lex_state = 129},
  [975] = {.lex_state = 129},
  [976] = {.lex_state = 129},
  [977] = {.lex_state = 129},
  [978] = {.lex_state = 129},
  [979] = {.lex_state = 148},
  [980] = {.lex_state = 129},
  [981] = {.lex_state = 173, .external_lex_state = 2},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 166, .external_lex_state = 2},
  [984] = {.lex_state = 173, .external_lex_state = 2},
  [985] = {.lex_state = 173, .external_lex_state = 2},
  [986] = {.lex_state = 173, .external_lex_state = 2},
  [987] = {.lex_state = 79},
  [988] = {.lex_state = 173, .external_lex_state = 2},
  [989] = {.lex_state = 173, .external_lex_state = 2},
  [990] = {.lex_state = 159},
  [991] = {.lex_state = 173, .external_lex_state = 2},
  [992] = {.lex_state = 173, .external_lex_state = 2},
  [993] = {.lex_state = 173, .external_lex_state = 2},
  [994] = {.lex_state = 110},
  [995] = {.lex_state = 109, .external_lex_state = 2},
  [996] = {.lex_state = 110},
  [997] = {.lex_state = 110},
  [998] = {.lex_state = 110},
  [999] = {.lex_state = 156, .external_lex_state = 2},
  [1000] = {.lex_state = 110},
  [1001] = {.lex_state = 156, .external_lex_state = 2},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 156, .external_lex_state = 2},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 156, .external_lex_state = 2},
  [1006] = {.lex_state = 156, .external_lex_state = 2},
  [1007] = {.lex_state = 110},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 170},
  [1010] = {.lex_state = 79},
  [1011] = {.lex_state = 79},
  [1012] = {.lex_state = 79},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 170},
  [1015] = {.lex_state = 170},
  [1016] = {.lex_state = 79},
  [1017] = {.lex_state = 79},
  [1018] = {.lex_state = 79},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 79},
  [1021] = {.lex_state = 79},
  [1022] = {.lex_state = 79},
  [1023] = {.lex_state = 79},
  [1024] = {.lex_state = 110},
  [1025] = {.lex_state = 182},
  [1026] = {.lex_state = 110},
  [1027] = {.lex_state = 182},
  [1028] = {.lex_state = 110},
  [1029] = {.lex_state = 110},
  [1030] = {.lex_state = 175},
  [1031] = {.lex_state = 128},
  [1032] = {.lex_state = 182},
  [1033] = {.lex_state = 176},
  [1034] = {.lex_state = 79},
  [1035] = {.lex_state = 79},
  [1036] = {.lex_state = 79},
  [1037] = {.lex_state = 79},
  [1038] = {.lex_state = 79},
  [1039] = {.lex_state = 79},
  [1040] = {.lex_state = 160, .external_lex_state = 2},
  [1041] = {.lex_state = 160, .external_lex_state = 2},
  [1042] = {.lex_state = 160, .external_lex_state = 2},
  [1043] = {.lex_state = 79},
  [1044] = {.lex_state = 79},
  [1045] = {.lex_state = 113},
  [1046] = {.lex_state = 79},
  [1047] = {.lex_state = 79},
  [1048] = {.lex_state = 79},
  [1049] = {.lex_state = 79},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 176},
  [1052] = {.lex_state = 176},
  [1053] = {.lex_state = 79},
  [1054] = {.lex_state = 176},
  [1055] = {.lex_state = 176},
  [1056] = {.lex_state = 159},
  [1057] = {.lex_state = 176},
  [1058] = {.lex_state = 176},
  [1059] = {.lex_state = 176},
  [1060] = {.lex_state = 177, .external_lex_state = 2},
  [1061] = {.lex_state = 79},
  [1062] = {.lex_state = 79},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 177, .external_lex_state = 2},
  [1065] = {.lex_state = 177, .external_lex_state = 2},
  [1066] = {.lex_state = 79},
  [1067] = {.lex_state = 79},
  [1068] = {.lex_state = 79},
  [1069] = {.lex_state = 79},
  [1070] = {.lex_state = 79},
  [1071] = {.lex_state = 79},
  [1072] = {.lex_state = 79},
  [1073] = {.lex_state = 168, .external_lex_state = 2},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 110},
  [1076] = {.lex_state = 110},
  [1077] = {.lex_state = 110},
  [1078] = {.lex_state = 160, .external_lex_state = 2},
  [1079] = {.lex_state = 160, .external_lex_state = 2},
  [1080] = {.lex_state = 110},
  [1081] = {.lex_state = 160, .external_lex_state = 2},
  [1082] = {.lex_state = 109},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 136, .external_lex_state = 2},
  [1086] = {.lex_state = 79},
  [1087] = {.lex_state = 146, .external_lex_state = 2},
  [1088] = {.lex_state = 146, .external_lex_state = 2},
  [1089] = {.lex_state = 156},
  [1090] = {.lex_state = 110},
  [1091] = {.lex_state = 184},
  [1092] = {.lex_state = 142},
  [1093] = {.lex_state = 79},
  [1094] = {.lex_state = 79},
  [1095] = {.lex_state = 79},
  [1096] = {.lex_state = 79},
  [1097] = {.lex_state = 79},
  [1098] = {.lex_state = 142},
  [1099] = {.lex_state = 142},
  [1100] = {.lex_state = 129},
  [1101] = {.lex_state = 159},
  [1102] = {.lex_state = 176},
  [1103] = {.lex_state = 176},
  [1104] = {.lex_state = 142},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 156},
  [1107] = {.lex_state = 110},
  [1108] = {.lex_state = 79},
  [1109] = {.lex_state = 79},
  [1110] = {.lex_state = 79},
  [1111] = {.lex_state = 79},
  [1112] = {.lex_state = 79},
  [1113] = {.lex_state = 79},
  [1114] = {.lex_state = 162, .external_lex_state = 2},
  [1115] = {.lex_state = 163, .external_lex_state = 2},
  [1116] = {.lex_state = 79},
  [1117] = {.lex_state = 79},
  [1118] = {.lex_state = 79},
  [1119] = {.lex_state = 79},
  [1120] = {.lex_state = 79},
  [1121] = {.lex_state = 163, .external_lex_state = 2},
  [1122] = {.lex_state = 163, .external_lex_state = 2},
  [1123] = {.lex_state = 113},
  [1124] = {.lex_state = 189, .external_lex_state = 2},
  [1125] = {.lex_state = 164, .external_lex_state = 2},
  [1126] = {.lex_state = 164, .external_lex_state = 2},
  [1127] = {.lex_state = 163, .external_lex_state = 2},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 162},
  [1130] = {.lex_state = 163},
  [1131] = {.lex_state = 79},
  [1132] = {.lex_state = 79},
  [1133] = {.lex_state = 79},
  [1134] = {.lex_state = 79},
  [1135] = {.lex_state = 79},
  [1136] = {.lex_state = 163},
  [1137] = {.lex_state = 163},
  [1138] = {.lex_state = 164},
  [1139] = {.lex_state = 164},
  [1140] = {.lex_state = 164},
  [1141] = {.lex_state = 163},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 79},
  [1144] = {.lex_state = 113},
  [1145] = {.lex_state = 113},
  [1146] = {.lex_state = 164},
  [1147] = {.lex_state = 113},
  [1148] = {.lex_state = 164},
  [1149] = {.lex_state = 165},
  [1150] = {.lex_state = 165},
  [1151] = {.lex_state = 110},
  [1152] = {.lex_state = 165},
  [1153] = {.lex_state = 129},
  [1154] = {.lex_state = 129},
  [1155] = {.lex_state = 165},
  [1156] = {.lex_state = 129},
  [1157] = {.lex_state = 165},
  [1158] = {.lex_state = 129},
  [1159] = {.lex_state = 165},
  [1160] = {.lex_state = 165},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 165},
  [1163] = {.lex_state = 165},
  [1164] = {.lex_state = 164},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 165},
  [1167] = {.lex_state = 165},
  [1168] = {.lex_state = 165},
  [1169] = {.lex_state = 165},
  [1170] = {.lex_state = 113},
  [1171] = {.lex_state = 188},
  [1172] = {.lex_state = 79},
  [1173] = {.lex_state = 129},
  [1174] = {.lex_state = 129},
  [1175] = {.lex_state = 129},
  [1176] = {.lex_state = 129},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 165},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 110},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 79},
  [1187] = {.lex_state = 79},
  [1188] = {.lex_state = 79},
  [1189] = {.lex_state = 79},
  [1190] = {.lex_state = 79},
  [1191] = {.lex_state = 79},
  [1192] = {.lex_state = 160, .external_lex_state = 2},
  [1193] = {.lex_state = 160, .external_lex_state = 2},
  [1194] = {.lex_state = 160, .external_lex_state = 2},
  [1195] = {.lex_state = 79},
  [1196] = {.lex_state = 79},
  [1197] = {.lex_state = 113},
  [1198] = {.lex_state = 79},
  [1199] = {.lex_state = 79},
  [1200] = {.lex_state = 79},
  [1201] = {.lex_state = 79},
  [1202] = {.lex_state = 166, .external_lex_state = 2},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 166, .external_lex_state = 2},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 166, .external_lex_state = 2},
  [1207] = {.lex_state = 166, .external_lex_state = 2},
  [1208] = {.lex_state = 156},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 113},
  [1211] = {.lex_state = 170},
  [1212] = {.lex_state = 79},
  [1213] = {.lex_state = 166, .external_lex_state = 2},
  [1214] = {.lex_state = 129},
  [1215] = {.lex_state = 129},
  [1216] = {.lex_state = 129},
  [1217] = {.lex_state = 129},
  [1218] = {.lex_state = 148},
  [1219] = {.lex_state = 129},
  [1220] = {.lex_state = 166, .external_lex_state = 2},
  [1221] = {.lex_state = 166, .external_lex_state = 2},
  [1222] = {.lex_state = 181, .external_lex_state = 2},
  [1223] = {.lex_state = 110},
  [1224] = {.lex_state = 109, .external_lex_state = 2},
  [1225] = {.lex_state = 110},
  [1226] = {.lex_state = 144},
  [1227] = {.lex_state = 144},
  [1228] = {.lex_state = 144},
  [1229] = {.lex_state = 79},
  [1230] = {.lex_state = 144},
  [1231] = {.lex_state = 144},
  [1232] = {.lex_state = 159},
  [1233] = {.lex_state = 144},
  [1234] = {.lex_state = 144},
  [1235] = {.lex_state = 144},
  [1236] = {.lex_state = 155, .external_lex_state = 2},
  [1237] = {.lex_state = 155, .external_lex_state = 2},
  [1238] = {.lex_state = 155, .external_lex_state = 2},
  [1239] = {.lex_state = 155, .external_lex_state = 2},
  [1240] = {.lex_state = 176},
  [1241] = {.lex_state = 166, .external_lex_state = 2},
  [1242] = {.lex_state = 170},
  [1243] = {.lex_state = 159},
  [1244] = {.lex_state = 159},
  [1245] = {.lex_state = 159},
  [1246] = {.lex_state = 79},
  [1247] = {.lex_state = 159},
  [1248] = {.lex_state = 159},
  [1249] = {.lex_state = 144, .external_lex_state = 2},
  [1250] = {.lex_state = 159},
  [1251] = {.lex_state = 159},
  [1252] = {.lex_state = 159},
  [1253] = {.lex_state = 159},
  [1254] = {.lex_state = 176},
  [1255] = {.lex_state = 79},
  [1256] = {.lex_state = 79},
  [1257] = {.lex_state = 79},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 176},
  [1260] = {.lex_state = 176},
  [1261] = {.lex_state = 79},
  [1262] = {.lex_state = 79},
  [1263] = {.lex_state = 79},
  [1264] = {.lex_state = 79},
  [1265] = {.lex_state = 79},
  [1266] = {.lex_state = 79},
  [1267] = {.lex_state = 79},
  [1268] = {.lex_state = 166, .external_lex_state = 2},
  [1269] = {.lex_state = 166, .external_lex_state = 2},
  [1270] = {.lex_state = 148},
  [1271] = {.lex_state = 129},
  [1272] = {.lex_state = 148},
  [1273] = {.lex_state = 129},
  [1274] = {.lex_state = 129},
  [1275] = {.lex_state = 129},
  [1276] = {.lex_state = 129},
  [1277] = {.lex_state = 129},
  [1278] = {.lex_state = 156},
  [1279] = {.lex_state = 155, .external_lex_state = 2},
  [1280] = {.lex_state = 173, .external_lex_state = 2},
  [1281] = {.lex_state = 79},
  [1282] = {.lex_state = 109, .external_lex_state = 2},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 156, .external_lex_state = 2},
  [1285] = {.lex_state = 156, .external_lex_state = 2},
  [1286] = {.lex_state = 156, .external_lex_state = 2},
  [1287] = {.lex_state = 156, .external_lex_state = 2},
  [1288] = {.lex_state = 156, .external_lex_state = 2},
  [1289] = {.lex_state = 170},
  [1290] = {.lex_state = 170},
  [1291] = {.lex_state = 170},
  [1292] = {.lex_state = 79},
  [1293] = {.lex_state = 170},
  [1294] = {.lex_state = 170},
  [1295] = {.lex_state = 159},
  [1296] = {.lex_state = 170},
  [1297] = {.lex_state = 170},
  [1298] = {.lex_state = 170},
  [1299] = {.lex_state = 182},
  [1300] = {.lex_state = 182},
  [1301] = {.lex_state = 110},
  [1302] = {.lex_state = 182},
  [1303] = {.lex_state = 110},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 136, .external_lex_state = 2},
  [1307] = {.lex_state = 79},
  [1308] = {.lex_state = 146, .external_lex_state = 2},
  [1309] = {.lex_state = 146, .external_lex_state = 2},
  [1310] = {.lex_state = 79},
  [1311] = {.lex_state = 79},
  [1312] = {.lex_state = 79},
  [1313] = {.lex_state = 79},
  [1314] = {.lex_state = 79},
  [1315] = {.lex_state = 79},
  [1316] = {.lex_state = 113},
  [1317] = {.lex_state = 164},
  [1318] = {.lex_state = 79},
  [1319] = {.lex_state = 113},
  [1320] = {.lex_state = 113},
  [1321] = {.lex_state = 164},
  [1322] = {.lex_state = 113},
  [1323] = {.lex_state = 164},
  [1324] = {.lex_state = 110},
  [1325] = {.lex_state = 176},
  [1326] = {.lex_state = 79},
  [1327] = {.lex_state = 177, .external_lex_state = 2},
  [1328] = {.lex_state = 177, .external_lex_state = 2},
  [1329] = {.lex_state = 79},
  [1330] = {.lex_state = 177, .external_lex_state = 2},
  [1331] = {.lex_state = 177, .external_lex_state = 2},
  [1332] = {.lex_state = 159},
  [1333] = {.lex_state = 177, .external_lex_state = 2},
  [1334] = {.lex_state = 177, .external_lex_state = 2},
  [1335] = {.lex_state = 177, .external_lex_state = 2},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 160, .external_lex_state = 2},
  [1339] = {.lex_state = 79},
  [1340] = {.lex_state = 160, .external_lex_state = 2},
  [1341] = {.lex_state = 160, .external_lex_state = 2},
  [1342] = {.lex_state = 160, .external_lex_state = 2},
  [1343] = {.lex_state = 79},
  [1344] = {.lex_state = 79},
  [1345] = {.lex_state = 113},
  [1346] = {.lex_state = 79},
  [1347] = {.lex_state = 79},
  [1348] = {.lex_state = 79},
  [1349] = {.lex_state = 79},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 142, .external_lex_state = 2},
  [1355] = {.lex_state = 110},
  [1356] = {.lex_state = 159},
  [1357] = {.lex_state = 79},
  [1358] = {.lex_state = 79},
  [1359] = {.lex_state = 79},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 159},
  [1362] = {.lex_state = 159},
  [1363] = {.lex_state = 79},
  [1364] = {.lex_state = 79},
  [1365] = {.lex_state = 110},
  [1366] = {.lex_state = 79},
  [1367] = {.lex_state = 79},
  [1368] = {.lex_state = 79},
  [1369] = {.lex_state = 79},
  [1370] = {.lex_state = 79},
  [1371] = {.lex_state = 79},
  [1372] = {.lex_state = 113},
  [1373] = {.lex_state = 164},
  [1374] = {.lex_state = 113},
  [1375] = {.lex_state = 164},
  [1376] = {.lex_state = 113},
  [1377] = {.lex_state = 164},
  [1378] = {.lex_state = 189, .external_lex_state = 2},
  [1379] = {.lex_state = 79},
  [1380] = {.lex_state = 79},
  [1381] = {.lex_state = 79},
  [1382] = {.lex_state = 0},
  [1383] = {.lex_state = 189, .external_lex_state = 2},
  [1384] = {.lex_state = 189, .external_lex_state = 2},
  [1385] = {.lex_state = 79},
  [1386] = {.lex_state = 79},
  [1387] = {.lex_state = 79},
  [1388] = {.lex_state = 79},
  [1389] = {.lex_state = 79},
  [1390] = {.lex_state = 79},
  [1391] = {.lex_state = 79},
  [1392] = {.lex_state = 79},
  [1393] = {.lex_state = 164},
  [1394] = {.lex_state = 79},
  [1395] = {.lex_state = 79},
  [1396] = {.lex_state = 79},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 164},
  [1399] = {.lex_state = 164},
  [1400] = {.lex_state = 79},
  [1401] = {.lex_state = 79},
  [1402] = {.lex_state = 79},
  [1403] = {.lex_state = 79},
  [1404] = {.lex_state = 79},
  [1405] = {.lex_state = 79},
  [1406] = {.lex_state = 79},
  [1407] = {.lex_state = 79},
  [1408] = {.lex_state = 156},
  [1409] = {.lex_state = 79},
  [1410] = {.lex_state = 79},
  [1411] = {.lex_state = 79},
  [1412] = {.lex_state = 79},
  [1413] = {.lex_state = 79},
  [1414] = {.lex_state = 165},
  [1415] = {.lex_state = 165},
  [1416] = {.lex_state = 129},
  [1417] = {.lex_state = 165},
  [1418] = {.lex_state = 165},
  [1419] = {.lex_state = 165},
  [1420] = {.lex_state = 165},
  [1421] = {.lex_state = 165},
  [1422] = {.lex_state = 164},
  [1423] = {.lex_state = 165},
  [1424] = {.lex_state = 165},
  [1425] = {.lex_state = 165},
  [1426] = {.lex_state = 0},
  [1427] = {.lex_state = 0},
  [1428] = {.lex_state = 0},
  [1429] = {.lex_state = 0},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 0},
  [1432] = {.lex_state = 136, .external_lex_state = 2},
  [1433] = {.lex_state = 79},
  [1434] = {.lex_state = 146, .external_lex_state = 2},
  [1435] = {.lex_state = 146, .external_lex_state = 2},
  [1436] = {.lex_state = 79},
  [1437] = {.lex_state = 79},
  [1438] = {.lex_state = 79},
  [1439] = {.lex_state = 79},
  [1440] = {.lex_state = 79},
  [1441] = {.lex_state = 79},
  [1442] = {.lex_state = 113},
  [1443] = {.lex_state = 164},
  [1444] = {.lex_state = 79},
  [1445] = {.lex_state = 113},
  [1446] = {.lex_state = 113},
  [1447] = {.lex_state = 164},
  [1448] = {.lex_state = 113},
  [1449] = {.lex_state = 164},
  [1450] = {.lex_state = 166, .external_lex_state = 2},
  [1451] = {.lex_state = 166, .external_lex_state = 2},
  [1452] = {.lex_state = 166, .external_lex_state = 2},
  [1453] = {.lex_state = 0},
  [1454] = {.lex_state = 170},
  [1455] = {.lex_state = 166, .external_lex_state = 2},
  [1456] = {.lex_state = 148},
  [1457] = {.lex_state = 129},
  [1458] = {.lex_state = 129},
  [1459] = {.lex_state = 129},
  [1460] = {.lex_state = 129},
  [1461] = {.lex_state = 129},
  [1462] = {.lex_state = 129},
  [1463] = {.lex_state = 148},
  [1464] = {.lex_state = 110},
  [1465] = {.lex_state = 144},
  [1466] = {.lex_state = 79},
  [1467] = {.lex_state = 159},
  [1468] = {.lex_state = 79},
  [1469] = {.lex_state = 176},
  [1470] = {.lex_state = 176},
  [1471] = {.lex_state = 176},
  [1472] = {.lex_state = 79},
  [1473] = {.lex_state = 176},
  [1474] = {.lex_state = 176},
  [1475] = {.lex_state = 159},
  [1476] = {.lex_state = 176},
  [1477] = {.lex_state = 176},
  [1478] = {.lex_state = 176},
  [1479] = {.lex_state = 148},
  [1480] = {.lex_state = 148},
  [1481] = {.lex_state = 148},
  [1482] = {.lex_state = 148},
  [1483] = {.lex_state = 173, .external_lex_state = 2},
  [1484] = {.lex_state = 170},
  [1485] = {.lex_state = 79},
  [1486] = {.lex_state = 182},
  [1487] = {.lex_state = 79},
  [1488] = {.lex_state = 160, .external_lex_state = 2},
  [1489] = {.lex_state = 160, .external_lex_state = 2},
  [1490] = {.lex_state = 160, .external_lex_state = 2},
  [1491] = {.lex_state = 79},
  [1492] = {.lex_state = 79},
  [1493] = {.lex_state = 113},
  [1494] = {.lex_state = 79},
  [1495] = {.lex_state = 79},
  [1496] = {.lex_state = 79},
  [1497] = {.lex_state = 79},
  [1498] = {.lex_state = 113},
  [1499] = {.lex_state = 164},
  [1500] = {.lex_state = 113},
  [1501] = {.lex_state = 164},
  [1502] = {.lex_state = 113},
  [1503] = {.lex_state = 164},
  [1504] = {.lex_state = 79},
  [1505] = {.lex_state = 79},
  [1506] = {.lex_state = 79},
  [1507] = {.lex_state = 79},
  [1508] = {.lex_state = 79},
  [1509] = {.lex_state = 79},
  [1510] = {.lex_state = 79},
  [1511] = {.lex_state = 176},
  [1512] = {.lex_state = 177, .external_lex_state = 2},
  [1513] = {.lex_state = 79},
  [1514] = {.lex_state = 79},
  [1515] = {.lex_state = 79},
  [1516] = {.lex_state = 79},
  [1517] = {.lex_state = 79},
  [1518] = {.lex_state = 79},
  [1519] = {.lex_state = 79},
  [1520] = {.lex_state = 113},
  [1521] = {.lex_state = 164},
  [1522] = {.lex_state = 79},
  [1523] = {.lex_state = 113},
  [1524] = {.lex_state = 113},
  [1525] = {.lex_state = 164},
  [1526] = {.lex_state = 113},
  [1527] = {.lex_state = 164},
  [1528] = {.lex_state = 79},
  [1529] = {.lex_state = 79},
  [1530] = {.lex_state = 79},
  [1531] = {.lex_state = 79},
  [1532] = {.lex_state = 79},
  [1533] = {.lex_state = 110},
  [1534] = {.lex_state = 159},
  [1535] = {.lex_state = 159},
  [1536] = {.lex_state = 159},
  [1537] = {.lex_state = 79},
  [1538] = {.lex_state = 159},
  [1539] = {.lex_state = 159},
  [1540] = {.lex_state = 110},
  [1541] = {.lex_state = 159},
  [1542] = {.lex_state = 159},
  [1543] = {.lex_state = 159},
  [1544] = {.lex_state = 159},
  [1545] = {.lex_state = 159},
  [1546] = {.lex_state = 79},
  [1547] = {.lex_state = 79},
  [1548] = {.lex_state = 79},
  [1549] = {.lex_state = 79},
  [1550] = {.lex_state = 79},
  [1551] = {.lex_state = 79},
  [1552] = {.lex_state = 189, .external_lex_state = 2},
  [1553] = {.lex_state = 189, .external_lex_state = 2},
  [1554] = {.lex_state = 189, .external_lex_state = 2},
  [1555] = {.lex_state = 79},
  [1556] = {.lex_state = 189, .external_lex_state = 2},
  [1557] = {.lex_state = 189, .external_lex_state = 2},
  [1558] = {.lex_state = 156},
  [1559] = {.lex_state = 159},
  [1560] = {.lex_state = 189, .external_lex_state = 2},
  [1561] = {.lex_state = 189, .external_lex_state = 2},
  [1562] = {.lex_state = 189, .external_lex_state = 2},
  [1563] = {.lex_state = 164},
  [1564] = {.lex_state = 164},
  [1565] = {.lex_state = 164},
  [1566] = {.lex_state = 79},
  [1567] = {.lex_state = 164},
  [1568] = {.lex_state = 164},
  [1569] = {.lex_state = 156},
  [1570] = {.lex_state = 159},
  [1571] = {.lex_state = 164},
  [1572] = {.lex_state = 164},
  [1573] = {.lex_state = 164},
  [1574] = {.lex_state = 156},
  [1575] = {.lex_state = 156},
  [1576] = {.lex_state = 156},
  [1577] = {.lex_state = 156},
  [1578] = {.lex_state = 156},
  [1579] = {.lex_state = 165},
  [1580] = {.lex_state = 79},
  [1581] = {.lex_state = 160, .external_lex_state = 2},
  [1582] = {.lex_state = 160, .external_lex_state = 2},
  [1583] = {.lex_state = 160, .external_lex_state = 2},
  [1584] = {.lex_state = 79},
  [1585] = {.lex_state = 79},
  [1586] = {.lex_state = 113},
  [1587] = {.lex_state = 79},
  [1588] = {.lex_state = 79},
  [1589] = {.lex_state = 79},
  [1590] = {.lex_state = 79},
  [1591] = {.lex_state = 113},
  [1592] = {.lex_state = 164},
  [1593] = {.lex_state = 113},
  [1594] = {.lex_state = 164},
  [1595] = {.lex_state = 113},
  [1596] = {.lex_state = 164},
  [1597] = {.lex_state = 79},
  [1598] = {.lex_state = 79},
  [1599] = {.lex_state = 79},
  [1600] = {.lex_state = 79},
  [1601] = {.lex_state = 79},
  [1602] = {.lex_state = 79},
  [1603] = {.lex_state = 79},
  [1604] = {.lex_state = 156},
  [1605] = {.lex_state = 129},
  [1606] = {.lex_state = 148},
  [1607] = {.lex_state = 129},
  [1608] = {.lex_state = 129},
  [1609] = {.lex_state = 129},
  [1610] = {.lex_state = 129},
  [1611] = {.lex_state = 129},
  [1612] = {.lex_state = 129},
  [1613] = {.lex_state = 144},
  [1614] = {.lex_state = 159},
  [1615] = {.lex_state = 176},
  [1616] = {.lex_state = 79},
  [1617] = {.lex_state = 170},
  [1618] = {.lex_state = 79},
  [1619] = {.lex_state = 79},
  [1620] = {.lex_state = 79},
  [1621] = {.lex_state = 79},
  [1622] = {.lex_state = 79},
  [1623] = {.lex_state = 79},
  [1624] = {.lex_state = 113},
  [1625] = {.lex_state = 164},
  [1626] = {.lex_state = 79},
  [1627] = {.lex_state = 113},
  [1628] = {.lex_state = 113},
  [1629] = {.lex_state = 164},
  [1630] = {.lex_state = 113},
  [1631] = {.lex_state = 164},
  [1632] = {.lex_state = 79},
  [1633] = {.lex_state = 79},
  [1634] = {.lex_state = 79},
  [1635] = {.lex_state = 79},
  [1636] = {.lex_state = 79},
  [1637] = {.lex_state = 79},
  [1638] = {.lex_state = 177, .external_lex_state = 2},
  [1639] = {.lex_state = 113},
  [1640] = {.lex_state = 164},
  [1641] = {.lex_state = 113},
  [1642] = {.lex_state = 164},
  [1643] = {.lex_state = 113},
  [1644] = {.lex_state = 164},
  [1645] = {.lex_state = 79},
  [1646] = {.lex_state = 79},
  [1647] = {.lex_state = 79},
  [1648] = {.lex_state = 79},
  [1649] = {.lex_state = 79},
  [1650] = {.lex_state = 79},
  [1651] = {.lex_state = 79},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 0},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 142, .external_lex_state = 2},
  [1657] = {.lex_state = 110},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 0},
  [1660] = {.lex_state = 136, .external_lex_state = 2},
  [1661] = {.lex_state = 79},
  [1662] = {.lex_state = 146, .external_lex_state = 2},
  [1663] = {.lex_state = 146, .external_lex_state = 2},
  [1664] = {.lex_state = 159},
  [1665] = {.lex_state = 79},
  [1666] = {.lex_state = 156},
  [1667] = {.lex_state = 156},
  [1668] = {.lex_state = 156},
  [1669] = {.lex_state = 156},
  [1670] = {.lex_state = 156},
  [1671] = {.lex_state = 156},
  [1672] = {.lex_state = 189, .external_lex_state = 2},
  [1673] = {.lex_state = 79},
  [1674] = {.lex_state = 164},
  [1675] = {.lex_state = 79},
  [1676] = {.lex_state = 79},
  [1677] = {.lex_state = 79},
  [1678] = {.lex_state = 79},
  [1679] = {.lex_state = 79},
  [1680] = {.lex_state = 79},
  [1681] = {.lex_state = 79},
  [1682] = {.lex_state = 113},
  [1683] = {.lex_state = 164},
  [1684] = {.lex_state = 79},
  [1685] = {.lex_state = 113},
  [1686] = {.lex_state = 113},
  [1687] = {.lex_state = 164},
  [1688] = {.lex_state = 113},
  [1689] = {.lex_state = 164},
  [1690] = {.lex_state = 79},
  [1691] = {.lex_state = 79},
  [1692] = {.lex_state = 79},
  [1693] = {.lex_state = 79},
  [1694] = {.lex_state = 79},
  [1695] = {.lex_state = 79},
  [1696] = {.lex_state = 129},
  [1697] = {.lex_state = 129},
  [1698] = {.lex_state = 129},
  [1699] = {.lex_state = 129},
  [1700] = {.lex_state = 129},
  [1701] = {.lex_state = 129},
  [1702] = {.lex_state = 129},
  [1703] = {.lex_state = 129},
  [1704] = {.lex_state = 129},
  [1705] = {.lex_state = 129},
  [1706] = {.lex_state = 176},
  [1707] = {.lex_state = 113},
  [1708] = {.lex_state = 164},
  [1709] = {.lex_state = 113},
  [1710] = {.lex_state = 164},
  [1711] = {.lex_state = 113},
  [1712] = {.lex_state = 164},
  [1713] = {.lex_state = 79},
  [1714] = {.lex_state = 79},
  [1715] = {.lex_state = 79},
  [1716] = {.lex_state = 79},
  [1717] = {.lex_state = 79},
  [1718] = {.lex_state = 79},
  [1719] = {.lex_state = 79},
  [1720] = {.lex_state = 79},
  [1721] = {.lex_state = 79},
  [1722] = {.lex_state = 79},
  [1723] = {.lex_state = 79},
  [1724] = {.lex_state = 79},
  [1725] = {.lex_state = 79},
  [1726] = {.lex_state = 79},
  [1727] = {.lex_state = 79},
  [1728] = {.lex_state = 79},
  [1729] = {.lex_state = 79},
  [1730] = {.lex_state = 79},
  [1731] = {.lex_state = 79},
  [1732] = {.lex_state = 160, .external_lex_state = 2},
  [1733] = {.lex_state = 160, .external_lex_state = 2},
  [1734] = {.lex_state = 160, .external_lex_state = 2},
  [1735] = {.lex_state = 79},
  [1736] = {.lex_state = 79},
  [1737] = {.lex_state = 113},
  [1738] = {.lex_state = 79},
  [1739] = {.lex_state = 79},
  [1740] = {.lex_state = 79},
  [1741] = {.lex_state = 79},
  [1742] = {.lex_state = 159},
  [1743] = {.lex_state = 189, .external_lex_state = 2},
  [1744] = {.lex_state = 164},
  [1745] = {.lex_state = 113},
  [1746] = {.lex_state = 164},
  [1747] = {.lex_state = 113},
  [1748] = {.lex_state = 164},
  [1749] = {.lex_state = 113},
  [1750] = {.lex_state = 164},
  [1751] = {.lex_state = 79},
  [1752] = {.lex_state = 79},
  [1753] = {.lex_state = 79},
  [1754] = {.lex_state = 79},
  [1755] = {.lex_state = 79},
  [1756] = {.lex_state = 79},
  [1757] = {.lex_state = 79},
  [1758] = {.lex_state = 129},
  [1759] = {.lex_state = 129},
  [1760] = {.lex_state = 129},
  [1761] = {.lex_state = 129},
  [1762] = {.lex_state = 129},
  [1763] = {.lex_state = 129},
  [1764] = {.lex_state = 79},
  [1765] = {.lex_state = 79},
  [1766] = {.lex_state = 79},
  [1767] = {.lex_state = 79},
  [1768] = {.lex_state = 79},
  [1769] = {.lex_state = 79},
  [1770] = {.lex_state = 110},
  [1771] = {.lex_state = 0},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 136, .external_lex_state = 2},
  [1774] = {.lex_state = 79},
  [1775] = {.lex_state = 146, .external_lex_state = 2},
  [1776] = {.lex_state = 146, .external_lex_state = 2},
  [1777] = {.lex_state = 79},
  [1778] = {.lex_state = 79},
  [1779] = {.lex_state = 79},
  [1780] = {.lex_state = 79},
  [1781] = {.lex_state = 79},
  [1782] = {.lex_state = 79},
  [1783] = {.lex_state = 113},
  [1784] = {.lex_state = 164},
  [1785] = {.lex_state = 79},
  [1786] = {.lex_state = 113},
  [1787] = {.lex_state = 113},
  [1788] = {.lex_state = 164},
  [1789] = {.lex_state = 113},
  [1790] = {.lex_state = 164},
  [1791] = {.lex_state = 79},
  [1792] = {.lex_state = 79},
  [1793] = {.lex_state = 79},
  [1794] = {.lex_state = 79},
  [1795] = {.lex_state = 79},
  [1796] = {.lex_state = 79},
  [1797] = {.lex_state = 129},
  [1798] = {.lex_state = 79},
  [1799] = {.lex_state = 160, .external_lex_state = 2},
  [1800] = {.lex_state = 160, .external_lex_state = 2},
  [1801] = {.lex_state = 160, .external_lex_state = 2},
  [1802] = {.lex_state = 79},
  [1803] = {.lex_state = 79},
  [1804] = {.lex_state = 113},
  [1805] = {.lex_state = 79},
  [1806] = {.lex_state = 79},
  [1807] = {.lex_state = 79},
  [1808] = {.lex_state = 79},
  [1809] = {.lex_state = 113},
  [1810] = {.lex_state = 164},
  [1811] = {.lex_state = 113},
  [1812] = {.lex_state = 164},
  [1813] = {.lex_state = 113},
  [1814] = {.lex_state = 164},
  [1815] = {.lex_state = 79},
  [1816] = {.lex_state = 79},
  [1817] = {.lex_state = 79},
  [1818] = {.lex_state = 79},
  [1819] = {.lex_state = 79},
  [1820] = {.lex_state = 79},
  [1821] = {.lex_state = 79},
  [1822] = {.lex_state = 79},
  [1823] = {.lex_state = 79},
  [1824] = {.lex_state = 79},
  [1825] = {.lex_state = 79},
  [1826] = {.lex_state = 79},
  [1827] = {.lex_state = 79},
  [1828] = {.lex_state = 113},
  [1829] = {.lex_state = 164},
  [1830] = {.lex_state = 79},
  [1831] = {.lex_state = 113},
  [1832] = {.lex_state = 113},
  [1833] = {.lex_state = 164},
  [1834] = {.lex_state = 113},
  [1835] = {.lex_state = 164},
  [1836] = {.lex_state = 79},
  [1837] = {.lex_state = 79},
  [1838] = {.lex_state = 79},
  [1839] = {.lex_state = 79},
  [1840] = {.lex_state = 79},
  [1841] = {.lex_state = 79},
  [1842] = {.lex_state = 113},
  [1843] = {.lex_state = 164},
  [1844] = {.lex_state = 113},
  [1845] = {.lex_state = 164},
  [1846] = {.lex_state = 113},
  [1847] = {.lex_state = 164},
  [1848] = {.lex_state = 79},
  [1849] = {.lex_state = 79},
  [1850] = {.lex_state = 79},
  [1851] = {.lex_state = 79},
  [1852] = {.lex_state = 79},
  [1853] = {.lex_state = 79},
  [1854] = {.lex_state = 79},
  [1855] = {.lex_state = 79},
  [1856] = {.lex_state = 79},
  [1857] = {.lex_state = 79},
  [1858] = {.lex_state = 79},
  [1859] = {.lex_state = 79},
  [1860] = {.lex_state = 79},
};

enum {
  ts_external_token__automatic_semicolon,
  ts_external_token__template_chars,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token__template_chars] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(3),
    [anon_sym_var] = ACTIONS(3),
    [anon_sym_let] = ACTIONS(3),
    [anon_sym_const] = ACTIONS(3),
    [anon_sym_if] = ACTIONS(3),
    [anon_sym_else] = ACTIONS(3),
    [anon_sym_switch] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(3),
    [anon_sym_of] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(3),
    [anon_sym_do] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(3),
    [anon_sym_with] = ACTIONS(3),
    [anon_sym_break] = ACTIONS(3),
    [anon_sym_continue] = ACTIONS(3),
    [anon_sym_debugger] = ACTIONS(3),
    [anon_sym_return] = ACTIONS(3),
    [anon_sym_throw] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(3),
    [anon_sym_catch] = ACTIONS(3),
    [anon_sym_finally] = ACTIONS(3),
    [anon_sym_yield] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(3),
    [anon_sym_SLASH] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3),
    [anon_sym_function] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(3),
    [anon_sym_await] = ACTIONS(3),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(3),
    [anon_sym_GT_GT_GT] = ACTIONS(3),
    [anon_sym_LT_LT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(3),
    [anon_sym_PLUS] = ACTIONS(3),
    [anon_sym_DASH] = ACTIONS(3),
    [anon_sym_PERCENT] = ACTIONS(3),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(3),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(3),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(3),
    [anon_sym_BANG] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(3),
    [anon_sym_void] = ACTIONS(3),
    [anon_sym_delete] = ACTIONS(3),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_comment] = ACTIONS(1),
    [sym_string] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_identifier] = ACTIONS(3),
    [sym_this] = ACTIONS(3),
    [sym_super] = ACTIONS(3),
    [sym_true] = ACTIONS(3),
    [sym_false] = ACTIONS(3),
    [sym_null] = ACTIONS(3),
    [sym_undefined] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(3),
    [anon_sym_set] = ACTIONS(3),
  },
  [1] = {
    [sym_program] = STATE(38),
    [sym_export_statement] = STATE(48),
    [sym__declaration] = STATE(48),
    [sym_import_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_variable_declaration] = STATE(48),
    [sym_lexical_declaration] = STATE(48),
    [sym_statement_block] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_for_in_statement] = STATE(48),
    [sym_for_of_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_try_statement] = STATE(48),
    [sym_with_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_debugger_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_throw_statement] = STATE(48),
    [sym_empty_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_hash_bang_line] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [2] = {
    [sym_export_statement] = STATE(50),
    [sym__declaration] = STATE(50),
    [sym_import_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_variable_declaration] = STATE(50),
    [sym_lexical_declaration] = STATE(50),
    [sym_statement_block] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_for_in_statement] = STATE(50),
    [sym_for_of_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_try_statement] = STATE(50),
    [sym_with_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_debugger_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_throw_statement] = STATE(50),
    [sym_empty_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [ts_builtin_sym_end] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [3] = {
    [sym_export_clause] = STATE(57),
    [sym__declaration] = STATE(58),
    [sym_variable_declaration] = STATE(58),
    [sym_lexical_declaration] = STATE(58),
    [sym_class] = STATE(59),
    [sym_function] = STATE(59),
    [sym_generator_function] = STATE(59),
    [sym_decorator] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_default] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(93),
    [anon_sym_var] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [anon_sym_const] = ACTIONS(97),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [4] = {
    [sym_export_statement] = STATE(78),
    [sym__declaration] = STATE(78),
    [sym_import_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_variable_declaration] = STATE(78),
    [sym_lexical_declaration] = STATE(78),
    [sym_statement_block] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_for_in_statement] = STATE(78),
    [sym_for_of_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_try_statement] = STATE(78),
    [sym_with_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_debugger_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_throw_statement] = STATE(78),
    [sym_empty_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(74),
    [sym_assignment_pattern] = STATE(75),
    [sym_array] = STATE(76),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_spread_element] = STATE(75),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(79),
    [sym_formal_parameters] = STATE(47),
    [sym_method_definition] = STATE(75),
    [sym_pair] = STATE(75),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_export_statement_repeat1] = STATE(79),
    [aux_sym_object_repeat1] = STATE(80),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(121),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(125),
    [sym_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
  },
  [5] = {
    [sym_import_clause] = STATE(85),
    [sym_namespace_import] = STATE(86),
    [sym_named_imports] = STATE(86),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(135),
    [sym_identifier] = ACTIONS(137),
  },
  [6] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(91),
    [sym_array] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(143),
  },
  [7] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(91),
    [sym_array] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(143),
  },
  [8] = {
    [sym_parenthesized_expression] = STATE(95),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [9] = {
    [sym_parenthesized_expression] = STATE(96),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [10] = {
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_comment] = ACTIONS(71),
  },
  [11] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(117),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(119),
    [sym_assignment_pattern] = STATE(120),
    [sym_array] = STATE(121),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(117),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [sym_rest_parameter] = STATE(120),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(153),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(187),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(191),
    [anon_sym_set] = ACTIONS(191),
  },
  [12] = {
    [sym_parenthesized_expression] = STATE(127),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [13] = {
    [sym_export_statement] = STATE(138),
    [sym__declaration] = STATE(138),
    [sym_import_statement] = STATE(138),
    [sym_expression_statement] = STATE(138),
    [sym_variable_declaration] = STATE(138),
    [sym_lexical_declaration] = STATE(138),
    [sym_statement_block] = STATE(138),
    [sym_if_statement] = STATE(138),
    [sym_switch_statement] = STATE(138),
    [sym_for_statement] = STATE(138),
    [sym_for_in_statement] = STATE(138),
    [sym_for_of_statement] = STATE(138),
    [sym_while_statement] = STATE(138),
    [sym_do_statement] = STATE(138),
    [sym_try_statement] = STATE(138),
    [sym_with_statement] = STATE(138),
    [sym_break_statement] = STATE(138),
    [sym_continue_statement] = STATE(138),
    [sym_debugger_statement] = STATE(138),
    [sym_return_statement] = STATE(138),
    [sym_throw_statement] = STATE(138),
    [sym_empty_statement] = STATE(138),
    [sym_labeled_statement] = STATE(138),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [14] = {
    [sym_statement_block] = STATE(143),
    [anon_sym_LBRACE] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
  },
  [15] = {
    [sym_parenthesized_expression] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [16] = {
    [sym__automatic_semicolon] = ACTIONS(215),
    [anon_sym_SEMI] = ACTIONS(215),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(217),
  },
  [17] = {
    [sym__automatic_semicolon] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(219),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(221),
  },
  [18] = {
    [sym__automatic_semicolon] = ACTIONS(223),
    [anon_sym_SEMI] = ACTIONS(223),
    [sym_comment] = ACTIONS(71),
  },
  [19] = {
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(153),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(153),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [sym__automatic_semicolon] = ACTIONS(225),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(225),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [20] = {
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(156),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(156),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [21] = {
    [ts_builtin_sym_end] = ACTIONS(231),
    [anon_sym_export] = ACTIONS(233),
    [anon_sym_default] = ACTIONS(233),
    [anon_sym_LBRACE] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_import] = ACTIONS(233),
    [anon_sym_var] = ACTIONS(233),
    [anon_sym_let] = ACTIONS(233),
    [anon_sym_const] = ACTIONS(233),
    [anon_sym_if] = ACTIONS(233),
    [anon_sym_else] = ACTIONS(233),
    [anon_sym_switch] = ACTIONS(233),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(233),
    [anon_sym_try] = ACTIONS(233),
    [anon_sym_with] = ACTIONS(233),
    [anon_sym_break] = ACTIONS(233),
    [anon_sym_continue] = ACTIONS(233),
    [anon_sym_debugger] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(233),
    [anon_sym_throw] = ACTIONS(233),
    [anon_sym_SEMI] = ACTIONS(231),
    [anon_sym_case] = ACTIONS(233),
    [anon_sym_yield] = ACTIONS(233),
    [anon_sym_LBRACK] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(231),
    [anon_sym_class] = ACTIONS(233),
    [anon_sym_async] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(233),
    [anon_sym_EQ_GT] = ACTIONS(231),
    [anon_sym_new] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [anon_sym_typeof] = ACTIONS(233),
    [anon_sym_void] = ACTIONS(233),
    [anon_sym_delete] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(231),
    [anon_sym_DASH_DASH] = ACTIONS(231),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(231),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [sym_regex] = ACTIONS(233),
    [sym_number] = ACTIONS(231),
    [sym_identifier] = ACTIONS(233),
    [sym_this] = ACTIONS(233),
    [sym_super] = ACTIONS(233),
    [sym_true] = ACTIONS(233),
    [sym_false] = ACTIONS(233),
    [sym_null] = ACTIONS(233),
    [sym_undefined] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(231),
    [anon_sym_get] = ACTIONS(233),
    [anon_sym_set] = ACTIONS(233),
  },
  [22] = {
    [sym_parenthesized_expression] = STATE(157),
    [sym__expression] = STATE(157),
    [sym_yield_expression] = STATE(157),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(157),
    [sym_jsx_fragment] = STATE(157),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(157),
    [sym_anonymous_class] = STATE(157),
    [sym_class] = STATE(157),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(157),
    [sym_generator_function] = STATE(157),
    [sym_call_expression] = STATE(157),
    [sym_new_expression] = STATE(157),
    [sym_await_expression] = STATE(157),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(157),
    [sym_augmented_assignment_expression] = STATE(157),
    [sym_ternary_expression] = STATE(157),
    [sym_binary_expression] = STATE(157),
    [sym_unary_expression] = STATE(157),
    [sym_update_expression] = STATE(157),
    [sym_template_string] = STATE(157),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [sym__automatic_semicolon] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_SEMI] = ACTIONS(235),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(239),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(241),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(243),
    [sym_number] = ACTIONS(241),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(243),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(243),
    [sym_false] = ACTIONS(243),
    [sym_null] = ACTIONS(243),
    [sym_undefined] = ACTIONS(243),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [23] = {
    [sym_parenthesized_expression] = STATE(170),
    [sym__expression] = STATE(170),
    [sym_yield_expression] = STATE(170),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(170),
    [sym_jsx_fragment] = STATE(170),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(170),
    [sym_anonymous_class] = STATE(170),
    [sym_class] = STATE(170),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(170),
    [sym_generator_function] = STATE(170),
    [sym_call_expression] = STATE(170),
    [sym_new_expression] = STATE(170),
    [sym_await_expression] = STATE(170),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(170),
    [sym_augmented_assignment_expression] = STATE(170),
    [sym_spread_element] = STATE(174),
    [sym_ternary_expression] = STATE(170),
    [sym_binary_expression] = STATE(170),
    [sym_unary_expression] = STATE(170),
    [sym_update_expression] = STATE(170),
    [sym_template_string] = STATE(170),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [aux_sym_array_repeat1] = STATE(176),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(267),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(269),
    [sym_number] = ACTIONS(267),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(269),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_null] = ACTIONS(269),
    [sym_undefined] = ACTIONS(269),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [24] = {
    [sym_nested_identifier] = STATE(180),
    [sym_jsx_namespace_name] = STATE(181),
    [anon_sym_GT] = ACTIONS(275),
    [sym_jsx_identifier] = ACTIONS(277),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(279),
  },
  [25] = {
    [sym_class_heritage] = STATE(185),
    [sym_class_body] = STATE(186),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_extends] = ACTIONS(283),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(285),
  },
  [26] = {
    [sym__initializer] = STATE(194),
    [sym_formal_parameters] = STATE(193),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_function] = ACTIONS(298),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(304),
  },
  [27] = {
    [sym_formal_parameters] = STATE(197),
    [anon_sym_STAR] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(310),
  },
  [28] = {
    [sym_statement_block] = STATE(199),
    [sym_parenthesized_expression] = STATE(200),
    [sym__expression] = STATE(200),
    [sym_yield_expression] = STATE(200),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(200),
    [sym_jsx_fragment] = STATE(200),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(200),
    [sym_anonymous_class] = STATE(200),
    [sym_class] = STATE(200),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(200),
    [sym_generator_function] = STATE(200),
    [sym_call_expression] = STATE(200),
    [sym_new_expression] = STATE(200),
    [sym_await_expression] = STATE(200),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(200),
    [sym_augmented_assignment_expression] = STATE(200),
    [sym_ternary_expression] = STATE(200),
    [sym_binary_expression] = STATE(200),
    [sym_unary_expression] = STATE(200),
    [sym_update_expression] = STATE(200),
    [sym_template_string] = STATE(200),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(314),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(316),
    [sym_number] = ACTIONS(314),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(316),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(316),
    [sym_false] = ACTIONS(316),
    [sym_null] = ACTIONS(316),
    [sym_undefined] = ACTIONS(316),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [29] = {
    [sym_parenthesized_expression] = STATE(201),
    [sym__expression] = STATE(201),
    [sym_yield_expression] = STATE(201),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(201),
    [sym_jsx_fragment] = STATE(201),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(201),
    [sym_anonymous_class] = STATE(201),
    [sym_class] = STATE(201),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(201),
    [sym_generator_function] = STATE(201),
    [sym_call_expression] = STATE(201),
    [sym_new_expression] = STATE(201),
    [sym_await_expression] = STATE(201),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(201),
    [sym_augmented_assignment_expression] = STATE(201),
    [sym_ternary_expression] = STATE(201),
    [sym_binary_expression] = STATE(201),
    [sym_unary_expression] = STATE(201),
    [sym_update_expression] = STATE(201),
    [sym_template_string] = STATE(201),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(318),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(320),
    [sym_number] = ACTIONS(318),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(320),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_null] = ACTIONS(320),
    [sym_undefined] = ACTIONS(320),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [30] = {
    [sym_parenthesized_expression] = STATE(202),
    [sym__expression] = STATE(202),
    [sym_yield_expression] = STATE(202),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(202),
    [sym_jsx_fragment] = STATE(202),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(202),
    [sym_anonymous_class] = STATE(202),
    [sym_class] = STATE(202),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(202),
    [sym_generator_function] = STATE(202),
    [sym_call_expression] = STATE(202),
    [sym_new_expression] = STATE(202),
    [sym_await_expression] = STATE(202),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(202),
    [sym_augmented_assignment_expression] = STATE(202),
    [sym_ternary_expression] = STATE(202),
    [sym_binary_expression] = STATE(202),
    [sym_unary_expression] = STATE(202),
    [sym_update_expression] = STATE(202),
    [sym_template_string] = STATE(202),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(322),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(324),
    [sym_number] = ACTIONS(322),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(324),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_null] = ACTIONS(324),
    [sym_undefined] = ACTIONS(324),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [31] = {
    [sym_parenthesized_expression] = STATE(203),
    [sym__expression] = STATE(203),
    [sym_yield_expression] = STATE(203),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(203),
    [sym_jsx_fragment] = STATE(203),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(203),
    [sym_anonymous_class] = STATE(203),
    [sym_class] = STATE(203),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(203),
    [sym_generator_function] = STATE(203),
    [sym_call_expression] = STATE(203),
    [sym_new_expression] = STATE(203),
    [sym_await_expression] = STATE(203),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(203),
    [sym_augmented_assignment_expression] = STATE(203),
    [sym_ternary_expression] = STATE(203),
    [sym_binary_expression] = STATE(203),
    [sym_unary_expression] = STATE(203),
    [sym_update_expression] = STATE(203),
    [sym_template_string] = STATE(203),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(328),
    [sym_number] = ACTIONS(326),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(328),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_null] = ACTIONS(328),
    [sym_undefined] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [32] = {
    [sym_parenthesized_expression] = STATE(204),
    [sym__expression] = STATE(204),
    [sym_yield_expression] = STATE(204),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(204),
    [sym_jsx_fragment] = STATE(204),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(204),
    [sym_anonymous_class] = STATE(204),
    [sym_class] = STATE(204),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(204),
    [sym_generator_function] = STATE(204),
    [sym_call_expression] = STATE(204),
    [sym_new_expression] = STATE(204),
    [sym_await_expression] = STATE(204),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(204),
    [sym_augmented_assignment_expression] = STATE(204),
    [sym_ternary_expression] = STATE(204),
    [sym_binary_expression] = STATE(204),
    [sym_unary_expression] = STATE(204),
    [sym_update_expression] = STATE(204),
    [sym_template_string] = STATE(204),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(330),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(332),
    [sym_number] = ACTIONS(330),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(332),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(332),
    [sym_false] = ACTIONS(332),
    [sym_null] = ACTIONS(332),
    [sym_undefined] = ACTIONS(332),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [33] = {
    [sym_template_substitution] = STATE(207),
    [aux_sym_template_string_repeat1] = STATE(207),
    [sym__template_chars] = ACTIONS(334),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(336),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(338),
  },
  [34] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [35] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_DOT] = ACTIONS(348),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [36] = {
    [sym__identifier_reference] = STATE(217),
    [sym_decorator_member_expression] = STATE(218),
    [sym_decorator_call_expression] = STATE(219),
    [anon_sym_async] = ACTIONS(356),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(356),
    [anon_sym_set] = ACTIONS(356),
  },
  [37] = {
    [sym__initializer] = STATE(194),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [38] = {
    [ts_builtin_sym_end] = ACTIONS(360),
    [sym_comment] = ACTIONS(71),
  },
  [39] = {
    [sym__automatic_semicolon] = ACTIONS(362),
    [anon_sym_SEMI] = ACTIONS(362),
    [sym_comment] = ACTIONS(71),
  },
  [40] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(364),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(368),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [41] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [42] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [43] = {
    [sym_jsx_element] = STATE(234),
    [sym_jsx_expression] = STATE(234),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_closing_element] = STATE(233),
    [sym_jsx_self_closing_element] = STATE(234),
    [aux_sym_jsx_element_repeat1] = STATE(234),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(390),
    [sym_jsx_text] = ACTIONS(392),
    [sym_comment] = ACTIONS(71),
  },
  [44] = {
    [sym__automatic_semicolon] = ACTIONS(394),
    [ts_builtin_sym_end] = ACTIONS(396),
    [anon_sym_export] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_default] = ACTIONS(398),
    [anon_sym_LBRACE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(396),
    [anon_sym_import] = ACTIONS(398),
    [anon_sym_var] = ACTIONS(398),
    [anon_sym_let] = ACTIONS(398),
    [anon_sym_const] = ACTIONS(398),
    [anon_sym_if] = ACTIONS(398),
    [anon_sym_else] = ACTIONS(398),
    [anon_sym_switch] = ACTIONS(398),
    [anon_sym_for] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(396),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_while] = ACTIONS(398),
    [anon_sym_do] = ACTIONS(398),
    [anon_sym_try] = ACTIONS(398),
    [anon_sym_with] = ACTIONS(398),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_debugger] = ACTIONS(398),
    [anon_sym_return] = ACTIONS(398),
    [anon_sym_throw] = ACTIONS(398),
    [anon_sym_SEMI] = ACTIONS(396),
    [anon_sym_case] = ACTIONS(398),
    [anon_sym_yield] = ACTIONS(398),
    [anon_sym_LBRACK] = ACTIONS(396),
    [anon_sym_LT] = ACTIONS(398),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(342),
    [anon_sym_class] = ACTIONS(398),
    [anon_sym_async] = ACTIONS(398),
    [anon_sym_function] = ACTIONS(398),
    [anon_sym_EQ_GT] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_await] = ACTIONS(398),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(398),
    [anon_sym_DASH] = ACTIONS(398),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(342),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(398),
    [anon_sym_void] = ACTIONS(398),
    [anon_sym_delete] = ACTIONS(398),
    [anon_sym_PLUS_PLUS] = ACTIONS(396),
    [anon_sym_DASH_DASH] = ACTIONS(396),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(396),
    [anon_sym_BQUOTE] = ACTIONS(396),
    [sym_regex] = ACTIONS(398),
    [sym_number] = ACTIONS(396),
    [sym_identifier] = ACTIONS(398),
    [sym_this] = ACTIONS(398),
    [sym_super] = ACTIONS(398),
    [sym_true] = ACTIONS(398),
    [sym_false] = ACTIONS(398),
    [sym_null] = ACTIONS(398),
    [sym_undefined] = ACTIONS(398),
    [anon_sym_AT] = ACTIONS(396),
    [anon_sym_get] = ACTIONS(398),
    [anon_sym_set] = ACTIONS(398),
  },
  [45] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(394),
    [ts_builtin_sym_end] = ACTIONS(396),
    [anon_sym_export] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_default] = ACTIONS(398),
    [anon_sym_LBRACE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(396),
    [anon_sym_import] = ACTIONS(398),
    [anon_sym_var] = ACTIONS(398),
    [anon_sym_let] = ACTIONS(398),
    [anon_sym_const] = ACTIONS(398),
    [anon_sym_if] = ACTIONS(398),
    [anon_sym_else] = ACTIONS(398),
    [anon_sym_switch] = ACTIONS(398),
    [anon_sym_for] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_while] = ACTIONS(398),
    [anon_sym_do] = ACTIONS(398),
    [anon_sym_try] = ACTIONS(398),
    [anon_sym_with] = ACTIONS(398),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_debugger] = ACTIONS(398),
    [anon_sym_return] = ACTIONS(398),
    [anon_sym_throw] = ACTIONS(398),
    [anon_sym_SEMI] = ACTIONS(396),
    [anon_sym_case] = ACTIONS(398),
    [anon_sym_yield] = ACTIONS(398),
    [anon_sym_LBRACK] = ACTIONS(396),
    [anon_sym_LT] = ACTIONS(398),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(342),
    [anon_sym_class] = ACTIONS(398),
    [anon_sym_async] = ACTIONS(398),
    [anon_sym_function] = ACTIONS(398),
    [anon_sym_EQ_GT] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_await] = ACTIONS(398),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(398),
    [anon_sym_DASH] = ACTIONS(398),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(342),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(398),
    [anon_sym_void] = ACTIONS(398),
    [anon_sym_delete] = ACTIONS(398),
    [anon_sym_PLUS_PLUS] = ACTIONS(396),
    [anon_sym_DASH_DASH] = ACTIONS(396),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(396),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(398),
    [sym_number] = ACTIONS(396),
    [sym_identifier] = ACTIONS(398),
    [sym_this] = ACTIONS(398),
    [sym_super] = ACTIONS(398),
    [sym_true] = ACTIONS(398),
    [sym_false] = ACTIONS(398),
    [sym_null] = ACTIONS(398),
    [sym_undefined] = ACTIONS(398),
    [anon_sym_AT] = ACTIONS(396),
    [anon_sym_get] = ACTIONS(398),
    [anon_sym_set] = ACTIONS(398),
  },
  [46] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [47] = {
    [anon_sym_EQ_GT] = ACTIONS(300),
    [sym_comment] = ACTIONS(71),
  },
  [48] = {
    [sym_export_statement] = STATE(236),
    [sym__declaration] = STATE(236),
    [sym_import_statement] = STATE(236),
    [sym_expression_statement] = STATE(236),
    [sym_variable_declaration] = STATE(236),
    [sym_lexical_declaration] = STATE(236),
    [sym_statement_block] = STATE(236),
    [sym_if_statement] = STATE(236),
    [sym_switch_statement] = STATE(236),
    [sym_for_statement] = STATE(236),
    [sym_for_in_statement] = STATE(236),
    [sym_for_of_statement] = STATE(236),
    [sym_while_statement] = STATE(236),
    [sym_do_statement] = STATE(236),
    [sym_try_statement] = STATE(236),
    [sym_with_statement] = STATE(236),
    [sym_break_statement] = STATE(236),
    [sym_continue_statement] = STATE(236),
    [sym_debugger_statement] = STATE(236),
    [sym_return_statement] = STATE(236),
    [sym_throw_statement] = STATE(236),
    [sym_empty_statement] = STATE(236),
    [sym_labeled_statement] = STATE(236),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(236),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [ts_builtin_sym_end] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [49] = {
    [sym_decorator] = STATE(239),
    [aux_sym_export_statement_repeat1] = STATE(239),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_class] = ACTIONS(402),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [50] = {
    [sym_export_statement] = STATE(236),
    [sym__declaration] = STATE(236),
    [sym_import_statement] = STATE(236),
    [sym_expression_statement] = STATE(236),
    [sym_variable_declaration] = STATE(236),
    [sym_lexical_declaration] = STATE(236),
    [sym_statement_block] = STATE(236),
    [sym_if_statement] = STATE(236),
    [sym_switch_statement] = STATE(236),
    [sym_for_statement] = STATE(236),
    [sym_for_in_statement] = STATE(236),
    [sym_for_of_statement] = STATE(236),
    [sym_while_statement] = STATE(236),
    [sym_do_statement] = STATE(236),
    [sym_try_statement] = STATE(236),
    [sym_with_statement] = STATE(236),
    [sym_break_statement] = STATE(236),
    [sym_continue_statement] = STATE(236),
    [sym_debugger_statement] = STATE(236),
    [sym_return_statement] = STATE(236),
    [sym_throw_statement] = STATE(236),
    [sym_empty_statement] = STATE(236),
    [sym_labeled_statement] = STATE(236),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(236),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [ts_builtin_sym_end] = ACTIONS(404),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [51] = {
    [sym__from_clause] = STATE(241),
    [anon_sym_from] = ACTIONS(406),
    [sym_comment] = ACTIONS(71),
  },
  [52] = {
    [sym_parenthesized_expression] = STATE(251),
    [sym__expression] = STATE(251),
    [sym_yield_expression] = STATE(251),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(251),
    [sym_jsx_fragment] = STATE(251),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(251),
    [sym_anonymous_class] = STATE(251),
    [sym_class] = STATE(251),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(251),
    [sym_generator_function] = STATE(251),
    [sym_call_expression] = STATE(251),
    [sym_new_expression] = STATE(251),
    [sym_await_expression] = STATE(251),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(251),
    [sym_augmented_assignment_expression] = STATE(251),
    [sym_ternary_expression] = STATE(251),
    [sym_binary_expression] = STATE(251),
    [sym_unary_expression] = STATE(251),
    [sym_update_expression] = STATE(251),
    [sym_template_string] = STATE(251),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(424),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(426),
    [sym_number] = ACTIONS(424),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(426),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(426),
    [sym_false] = ACTIONS(426),
    [sym_null] = ACTIONS(426),
    [sym_undefined] = ACTIONS(426),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [53] = {
    [sym__import_export_specifier] = STATE(259),
    [anon_sym_COMMA] = ACTIONS(432),
    [anon_sym_RBRACE] = ACTIONS(434),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(436),
  },
  [54] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(438),
  },
  [55] = {
    [anon_sym_function] = ACTIONS(440),
    [sym_comment] = ACTIONS(71),
  },
  [56] = {
    [sym_formal_parameters] = STATE(264),
    [anon_sym_STAR] = ACTIONS(442),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(444),
  },
  [57] = {
    [sym__from_clause] = STATE(241),
    [sym__automatic_semicolon] = ACTIONS(446),
    [anon_sym_from] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(446),
    [sym_comment] = ACTIONS(71),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(448),
    [anon_sym_export] = ACTIONS(450),
    [anon_sym_default] = ACTIONS(450),
    [anon_sym_LBRACE] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(448),
    [anon_sym_import] = ACTIONS(450),
    [anon_sym_var] = ACTIONS(450),
    [anon_sym_let] = ACTIONS(450),
    [anon_sym_const] = ACTIONS(450),
    [anon_sym_if] = ACTIONS(450),
    [anon_sym_else] = ACTIONS(450),
    [anon_sym_switch] = ACTIONS(450),
    [anon_sym_for] = ACTIONS(450),
    [anon_sym_LPAREN] = ACTIONS(448),
    [anon_sym_while] = ACTIONS(450),
    [anon_sym_do] = ACTIONS(450),
    [anon_sym_try] = ACTIONS(450),
    [anon_sym_with] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(450),
    [anon_sym_debugger] = ACTIONS(450),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_throw] = ACTIONS(450),
    [anon_sym_SEMI] = ACTIONS(448),
    [anon_sym_case] = ACTIONS(450),
    [anon_sym_yield] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_class] = ACTIONS(450),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(450),
    [anon_sym_EQ_GT] = ACTIONS(448),
    [anon_sym_new] = ACTIONS(450),
    [anon_sym_await] = ACTIONS(450),
    [anon_sym_PLUS] = ACTIONS(450),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_BANG] = ACTIONS(448),
    [anon_sym_TILDE] = ACTIONS(448),
    [anon_sym_typeof] = ACTIONS(450),
    [anon_sym_void] = ACTIONS(450),
    [anon_sym_delete] = ACTIONS(450),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(448),
    [anon_sym_BQUOTE] = ACTIONS(448),
    [sym_regex] = ACTIONS(450),
    [sym_number] = ACTIONS(448),
    [sym_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(450),
    [sym_super] = ACTIONS(450),
    [sym_true] = ACTIONS(450),
    [sym_false] = ACTIONS(450),
    [sym_null] = ACTIONS(450),
    [sym_undefined] = ACTIONS(450),
    [anon_sym_AT] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(450),
    [anon_sym_set] = ACTIONS(450),
  },
  [59] = {
    [sym__automatic_semicolon] = ACTIONS(394),
    [ts_builtin_sym_end] = ACTIONS(396),
    [anon_sym_export] = ACTIONS(398),
    [anon_sym_default] = ACTIONS(398),
    [anon_sym_LBRACE] = ACTIONS(396),
    [anon_sym_RBRACE] = ACTIONS(396),
    [anon_sym_import] = ACTIONS(398),
    [anon_sym_var] = ACTIONS(398),
    [anon_sym_let] = ACTIONS(398),
    [anon_sym_const] = ACTIONS(398),
    [anon_sym_if] = ACTIONS(398),
    [anon_sym_else] = ACTIONS(398),
    [anon_sym_switch] = ACTIONS(398),
    [anon_sym_for] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(396),
    [anon_sym_while] = ACTIONS(398),
    [anon_sym_do] = ACTIONS(398),
    [anon_sym_try] = ACTIONS(398),
    [anon_sym_with] = ACTIONS(398),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_debugger] = ACTIONS(398),
    [anon_sym_return] = ACTIONS(398),
    [anon_sym_throw] = ACTIONS(398),
    [anon_sym_SEMI] = ACTIONS(396),
    [anon_sym_case] = ACTIONS(398),
    [anon_sym_yield] = ACTIONS(398),
    [anon_sym_LBRACK] = ACTIONS(396),
    [anon_sym_LT] = ACTIONS(396),
    [anon_sym_class] = ACTIONS(398),
    [anon_sym_async] = ACTIONS(398),
    [anon_sym_function] = ACTIONS(398),
    [anon_sym_EQ_GT] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_await] = ACTIONS(398),
    [anon_sym_PLUS] = ACTIONS(398),
    [anon_sym_DASH] = ACTIONS(398),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(398),
    [anon_sym_void] = ACTIONS(398),
    [anon_sym_delete] = ACTIONS(398),
    [anon_sym_PLUS_PLUS] = ACTIONS(396),
    [anon_sym_DASH_DASH] = ACTIONS(396),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(396),
    [anon_sym_BQUOTE] = ACTIONS(396),
    [sym_regex] = ACTIONS(398),
    [sym_number] = ACTIONS(396),
    [sym_identifier] = ACTIONS(398),
    [sym_this] = ACTIONS(398),
    [sym_super] = ACTIONS(398),
    [sym_true] = ACTIONS(398),
    [sym_false] = ACTIONS(398),
    [sym_null] = ACTIONS(398),
    [sym_undefined] = ACTIONS(398),
    [anon_sym_AT] = ACTIONS(396),
    [anon_sym_get] = ACTIONS(398),
    [anon_sym_set] = ACTIONS(398),
  },
  [60] = {
    [sym_decorator] = STATE(267),
    [aux_sym_export_statement_repeat1] = STATE(267),
    [anon_sym_class] = ACTIONS(452),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [61] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [62] = {
    [sym_object] = STATE(276),
    [sym_assignment_pattern] = STATE(277),
    [sym_array] = STATE(278),
    [sym_spread_element] = STATE(277),
    [sym_decorator] = STATE(279),
    [sym_method_definition] = STATE(277),
    [sym_pair] = STATE(277),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_export_statement_repeat1] = STATE(279),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(462),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(472),
    [anon_sym_set] = ACTIONS(472),
  },
  [63] = {
    [sym__automatic_semicolon] = ACTIONS(474),
    [ts_builtin_sym_end] = ACTIONS(476),
    [anon_sym_export] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(478),
    [anon_sym_let] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(480),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_debugger] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_GT] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_DOT] = ACTIONS(480),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_async] = ACTIONS(478),
    [anon_sym_function] = ACTIONS(478),
    [anon_sym_EQ_GT] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_await] = ACTIONS(478),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(474),
    [anon_sym_PIPE_PIPE] = ACTIONS(474),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_GT_GT_GT] = ACTIONS(474),
    [anon_sym_LT_LT] = ACTIONS(474),
    [anon_sym_AMP] = ACTIONS(480),
    [anon_sym_CARET] = ACTIONS(474),
    [anon_sym_PIPE] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(474),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(474),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_instanceof] = ACTIONS(480),
    [anon_sym_BANG] = ACTIONS(478),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(478),
    [anon_sym_void] = ACTIONS(478),
    [anon_sym_delete] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(474),
    [sym_regex] = ACTIONS(478),
    [sym_number] = ACTIONS(476),
    [sym_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_null] = ACTIONS(478),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
  },
  [64] = {
    [sym_parenthesized_expression] = STATE(280),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [65] = {
    [anon_sym_LPAREN] = ACTIONS(482),
    [sym_comment] = ACTIONS(71),
  },
  [66] = {
    [sym_parenthesized_expression] = STATE(282),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [67] = {
    [sym_parenthesized_expression] = STATE(283),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [68] = {
    [sym_parenthesized_expression] = STATE(284),
    [sym__expression] = STATE(284),
    [sym_yield_expression] = STATE(284),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(284),
    [sym_jsx_fragment] = STATE(284),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(284),
    [sym_anonymous_class] = STATE(284),
    [sym_class] = STATE(284),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(284),
    [sym_generator_function] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_new_expression] = STATE(284),
    [sym_await_expression] = STATE(284),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(284),
    [sym_augmented_assignment_expression] = STATE(284),
    [sym_spread_element] = STATE(174),
    [sym_ternary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_unary_expression] = STATE(284),
    [sym_update_expression] = STATE(284),
    [sym_template_string] = STATE(284),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [aux_sym_array_repeat1] = STATE(176),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(484),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(486),
    [sym_number] = ACTIONS(484),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(486),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(486),
    [sym_false] = ACTIONS(486),
    [sym_null] = ACTIONS(486),
    [sym_undefined] = ACTIONS(486),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [69] = {
    [sym__initializer] = STATE(194),
    [sym_formal_parameters] = STATE(193),
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(289),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_async] = ACTIONS(456),
    [anon_sym_function] = ACTIONS(298),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [70] = {
    [sym_parenthesized_expression] = STATE(299),
    [sym__expression] = STATE(299),
    [sym_yield_expression] = STATE(299),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(299),
    [sym_jsx_fragment] = STATE(299),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(299),
    [sym_anonymous_class] = STATE(299),
    [sym_class] = STATE(299),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(299),
    [sym_generator_function] = STATE(299),
    [sym_call_expression] = STATE(299),
    [sym_new_expression] = STATE(299),
    [sym_await_expression] = STATE(299),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(299),
    [sym_augmented_assignment_expression] = STATE(299),
    [sym_ternary_expression] = STATE(299),
    [sym_binary_expression] = STATE(299),
    [sym_unary_expression] = STATE(299),
    [sym_update_expression] = STATE(299),
    [sym_template_string] = STATE(299),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(524),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(526),
    [sym_number] = ACTIONS(524),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(526),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(526),
    [sym_false] = ACTIONS(526),
    [sym_null] = ACTIONS(526),
    [sym_undefined] = ACTIONS(526),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [71] = {
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(535),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [72] = {
    [sym__initializer] = STATE(306),
    [aux_sym_object_repeat1] = STATE(289),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(537),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [73] = {
    [sym__initializer] = STATE(194),
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(289),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_async] = ACTIONS(456),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [74] = {
    [sym__initializer] = STATE(307),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [75] = {
    [aux_sym_object_repeat1] = STATE(309),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(548),
    [sym_comment] = ACTIONS(71),
  },
  [76] = {
    [sym__initializer] = STATE(310),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [77] = {
    [sym_formal_parameters] = STATE(312),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COLON] = ACTIONS(550),
    [sym_comment] = ACTIONS(71),
  },
  [78] = {
    [sym_export_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_import_statement] = STATE(315),
    [sym_expression_statement] = STATE(315),
    [sym_variable_declaration] = STATE(315),
    [sym_lexical_declaration] = STATE(315),
    [sym_statement_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_for_in_statement] = STATE(315),
    [sym_for_of_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_statement] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_with_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_debugger_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_empty_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(315),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [79] = {
    [sym_decorator] = STATE(320),
    [sym_method_definition] = STATE(318),
    [sym__property_name] = STATE(319),
    [sym_computed_property_name] = STATE(319),
    [aux_sym_export_statement_repeat1] = STATE(320),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
  },
  [80] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(548),
    [sym_comment] = ACTIONS(71),
  },
  [81] = {
    [anon_sym_as] = ACTIONS(566),
    [sym_comment] = ACTIONS(71),
  },
  [82] = {
    [sym__import_export_specifier] = STATE(325),
    [anon_sym_COMMA] = ACTIONS(568),
    [anon_sym_RBRACE] = ACTIONS(570),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(436),
  },
  [83] = {
    [sym__automatic_semicolon] = ACTIONS(572),
    [anon_sym_SEMI] = ACTIONS(572),
    [sym_comment] = ACTIONS(71),
  },
  [84] = {
    [anon_sym_COMMA] = ACTIONS(574),
    [anon_sym_from] = ACTIONS(576),
    [sym_comment] = ACTIONS(71),
  },
  [85] = {
    [sym__from_clause] = STATE(328),
    [anon_sym_from] = ACTIONS(406),
    [sym_comment] = ACTIONS(71),
  },
  [86] = {
    [anon_sym_from] = ACTIONS(576),
    [sym_comment] = ACTIONS(71),
  },
  [87] = {
    [sym_object] = STATE(276),
    [sym_assignment_pattern] = STATE(333),
    [sym_array] = STATE(278),
    [sym_spread_element] = STATE(333),
    [sym_decorator] = STATE(334),
    [sym_method_definition] = STATE(333),
    [sym_pair] = STATE(333),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_export_statement_repeat1] = STATE(334),
    [aux_sym_object_repeat1] = STATE(335),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_identifier] = ACTIONS(582),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(584),
    [anon_sym_set] = ACTIONS(584),
  },
  [88] = {
    [sym_parenthesized_expression] = STATE(337),
    [sym__expression] = STATE(337),
    [sym_yield_expression] = STATE(337),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(337),
    [sym_jsx_fragment] = STATE(337),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(337),
    [sym_anonymous_class] = STATE(337),
    [sym_class] = STATE(337),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(337),
    [sym_generator_function] = STATE(337),
    [sym_call_expression] = STATE(337),
    [sym_new_expression] = STATE(337),
    [sym_await_expression] = STATE(337),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(337),
    [sym_augmented_assignment_expression] = STATE(337),
    [sym_spread_element] = STATE(338),
    [sym_ternary_expression] = STATE(337),
    [sym_binary_expression] = STATE(337),
    [sym_unary_expression] = STATE(337),
    [sym_update_expression] = STATE(337),
    [sym_template_string] = STATE(337),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [aux_sym_array_repeat1] = STATE(339),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(588),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(590),
    [sym_number] = ACTIONS(588),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(590),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(590),
    [sym_false] = ACTIONS(590),
    [sym_null] = ACTIONS(590),
    [sym_undefined] = ACTIONS(590),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [89] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [90] = {
    [aux_sym_variable_declaration_repeat1] = STATE(343),
    [sym__automatic_semicolon] = ACTIONS(596),
    [anon_sym_COMMA] = ACTIONS(598),
    [anon_sym_SEMI] = ACTIONS(596),
    [sym_comment] = ACTIONS(71),
  },
  [91] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [92] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [93] = {
    [aux_sym_variable_declaration_repeat1] = STATE(347),
    [sym__automatic_semicolon] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(598),
    [anon_sym_SEMI] = ACTIONS(604),
    [sym_comment] = ACTIONS(71),
  },
  [94] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(351),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(351),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [95] = {
    [sym_export_statement] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym_import_statement] = STATE(359),
    [sym_expression_statement] = STATE(359),
    [sym_variable_declaration] = STATE(359),
    [sym_lexical_declaration] = STATE(359),
    [sym_statement_block] = STATE(359),
    [sym_if_statement] = STATE(359),
    [sym_switch_statement] = STATE(359),
    [sym_for_statement] = STATE(359),
    [sym_for_in_statement] = STATE(359),
    [sym_for_of_statement] = STATE(359),
    [sym_while_statement] = STATE(359),
    [sym_do_statement] = STATE(359),
    [sym_try_statement] = STATE(359),
    [sym_with_statement] = STATE(359),
    [sym_break_statement] = STATE(359),
    [sym_continue_statement] = STATE(359),
    [sym_debugger_statement] = STATE(359),
    [sym_return_statement] = STATE(359),
    [sym_throw_statement] = STATE(359),
    [sym_empty_statement] = STATE(359),
    [sym_labeled_statement] = STATE(359),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [96] = {
    [sym_switch_body] = STATE(361),
    [anon_sym_LBRACE] = ACTIONS(622),
    [sym_comment] = ACTIONS(71),
  },
  [97] = {
    [sym_expression_statement] = STATE(365),
    [sym_variable_declaration] = STATE(365),
    [sym_lexical_declaration] = STATE(365),
    [sym_empty_statement] = STATE(365),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(366),
    [sym_array] = STATE(367),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(628),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [98] = {
    [sym_object] = STATE(276),
    [sym_assignment_pattern] = STATE(372),
    [sym_array] = STATE(278),
    [sym_spread_element] = STATE(372),
    [sym_decorator] = STATE(373),
    [sym_method_definition] = STATE(372),
    [sym_pair] = STATE(372),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_export_statement_repeat1] = STATE(373),
    [aux_sym_object_repeat1] = STATE(374),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_identifier] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
  },
  [99] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(375),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(119),
    [sym_assignment_pattern] = STATE(120),
    [sym_array] = STATE(121),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(375),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [sym_rest_parameter] = STATE(120),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(153),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(187),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(191),
    [anon_sym_set] = ACTIONS(191),
  },
  [100] = {
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_EQ_GT] = ACTIONS(638),
    [sym_comment] = ACTIONS(71),
  },
  [101] = {
    [sym_parenthesized_expression] = STATE(376),
    [sym__expression] = STATE(376),
    [sym_yield_expression] = STATE(376),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(376),
    [sym_jsx_fragment] = STATE(376),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(376),
    [sym_anonymous_class] = STATE(376),
    [sym_class] = STATE(376),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(376),
    [sym_generator_function] = STATE(376),
    [sym_call_expression] = STATE(376),
    [sym_new_expression] = STATE(376),
    [sym_await_expression] = STATE(376),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(376),
    [sym_augmented_assignment_expression] = STATE(376),
    [sym_ternary_expression] = STATE(376),
    [sym_binary_expression] = STATE(376),
    [sym_unary_expression] = STATE(376),
    [sym_update_expression] = STATE(376),
    [sym_template_string] = STATE(376),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(235),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(642),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(644),
    [sym_number] = ACTIONS(642),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(644),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [102] = {
    [sym_parenthesized_expression] = STATE(378),
    [sym__expression] = STATE(378),
    [sym_yield_expression] = STATE(378),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(378),
    [sym_jsx_fragment] = STATE(378),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(378),
    [sym_anonymous_class] = STATE(378),
    [sym_class] = STATE(378),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(378),
    [sym_generator_function] = STATE(378),
    [sym_call_expression] = STATE(378),
    [sym_new_expression] = STATE(378),
    [sym_await_expression] = STATE(378),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(378),
    [sym_augmented_assignment_expression] = STATE(378),
    [sym_spread_element] = STATE(379),
    [sym_ternary_expression] = STATE(378),
    [sym_binary_expression] = STATE(378),
    [sym_unary_expression] = STATE(378),
    [sym_update_expression] = STATE(378),
    [sym_template_string] = STATE(378),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [aux_sym_array_repeat1] = STATE(380),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(648),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(650),
    [sym_number] = ACTIONS(648),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(650),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(650),
    [sym_false] = ACTIONS(650),
    [sym_null] = ACTIONS(650),
    [sym_undefined] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [103] = {
    [sym_nested_identifier] = STATE(384),
    [sym_jsx_namespace_name] = STATE(385),
    [anon_sym_GT] = ACTIONS(652),
    [sym_jsx_identifier] = ACTIONS(654),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(656),
  },
  [104] = {
    [sym_class_heritage] = STATE(388),
    [sym_class_body] = STATE(389),
    [anon_sym_LBRACE] = ACTIONS(658),
    [anon_sym_extends] = ACTIONS(283),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(660),
  },
  [105] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(397),
    [aux_sym_formal_parameters_repeat1] = STATE(399),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(662),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(665),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(676),
    [anon_sym_DASH_EQ] = ACTIONS(676),
    [anon_sym_STAR_EQ] = ACTIONS(676),
    [anon_sym_SLASH_EQ] = ACTIONS(676),
    [anon_sym_PERCENT_EQ] = ACTIONS(676),
    [anon_sym_CARET_EQ] = ACTIONS(676),
    [anon_sym_AMP_EQ] = ACTIONS(676),
    [anon_sym_PIPE_EQ] = ACTIONS(676),
    [anon_sym_GT_GT_EQ] = ACTIONS(676),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(676),
    [anon_sym_LT_LT_EQ] = ACTIONS(676),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(678),
  },
  [106] = {
    [sym_formal_parameters] = STATE(402),
    [anon_sym_STAR] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(682),
  },
  [107] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(405),
    [sym__expression] = STATE(405),
    [sym_yield_expression] = STATE(405),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(405),
    [sym_jsx_fragment] = STATE(405),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(405),
    [sym_anonymous_class] = STATE(405),
    [sym_class] = STATE(405),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(405),
    [sym_generator_function] = STATE(405),
    [sym_call_expression] = STATE(405),
    [sym_new_expression] = STATE(405),
    [sym_await_expression] = STATE(405),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(405),
    [sym_augmented_assignment_expression] = STATE(405),
    [sym_ternary_expression] = STATE(405),
    [sym_binary_expression] = STATE(405),
    [sym_unary_expression] = STATE(405),
    [sym_update_expression] = STATE(405),
    [sym_template_string] = STATE(405),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(688),
    [sym_number] = ACTIONS(686),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(688),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [sym_null] = ACTIONS(688),
    [sym_undefined] = ACTIONS(688),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [108] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [109] = {
    [sym_parenthesized_expression] = STATE(407),
    [sym__expression] = STATE(407),
    [sym_yield_expression] = STATE(407),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(407),
    [sym_jsx_fragment] = STATE(407),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(407),
    [sym_anonymous_class] = STATE(407),
    [sym_class] = STATE(407),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(407),
    [sym_generator_function] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_new_expression] = STATE(407),
    [sym_await_expression] = STATE(407),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(407),
    [sym_augmented_assignment_expression] = STATE(407),
    [sym_ternary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_update_expression] = STATE(407),
    [sym_template_string] = STATE(407),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(696),
    [sym_number] = ACTIONS(694),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(696),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(696),
    [sym_false] = ACTIONS(696),
    [sym_null] = ACTIONS(696),
    [sym_undefined] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [110] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(698),
  },
  [111] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [112] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [113] = {
    [sym_template_substitution] = STATE(412),
    [aux_sym_template_string_repeat1] = STATE(412),
    [sym__template_chars] = ACTIONS(708),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(710),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(338),
  },
  [114] = {
    [sym__initializer] = STATE(417),
    [aux_sym_formal_parameters_repeat1] = STATE(418),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(712),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_EQ_GT] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(722),
    [anon_sym_DASH_EQ] = ACTIONS(722),
    [anon_sym_STAR_EQ] = ACTIONS(722),
    [anon_sym_SLASH_EQ] = ACTIONS(722),
    [anon_sym_PERCENT_EQ] = ACTIONS(722),
    [anon_sym_CARET_EQ] = ACTIONS(722),
    [anon_sym_AMP_EQ] = ACTIONS(722),
    [anon_sym_PIPE_EQ] = ACTIONS(722),
    [anon_sym_GT_GT_EQ] = ACTIONS(722),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(722),
    [anon_sym_LT_LT_EQ] = ACTIONS(722),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [115] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_DOT] = ACTIONS(720),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [116] = {
    [sym__initializer] = STATE(398),
    [aux_sym_formal_parameters_repeat1] = STATE(399),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(662),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(665),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_PLUS_EQ] = ACTIONS(676),
    [anon_sym_DASH_EQ] = ACTIONS(676),
    [anon_sym_STAR_EQ] = ACTIONS(676),
    [anon_sym_SLASH_EQ] = ACTIONS(676),
    [anon_sym_PERCENT_EQ] = ACTIONS(676),
    [anon_sym_CARET_EQ] = ACTIONS(676),
    [anon_sym_AMP_EQ] = ACTIONS(676),
    [anon_sym_PIPE_EQ] = ACTIONS(676),
    [anon_sym_GT_GT_EQ] = ACTIONS(676),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(676),
    [anon_sym_LT_LT_EQ] = ACTIONS(676),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [117] = {
    [anon_sym_RPAREN] = ACTIONS(728),
    [sym_comment] = ACTIONS(71),
  },
  [118] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(364),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [119] = {
    [sym__initializer] = STATE(431),
    [aux_sym_formal_parameters_repeat1] = STATE(432),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(712),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(752),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [120] = {
    [aux_sym_formal_parameters_repeat1] = STATE(418),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(757),
    [sym_comment] = ACTIONS(71),
  },
  [121] = {
    [sym__initializer] = STATE(434),
    [aux_sym_formal_parameters_repeat1] = STATE(435),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(712),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [122] = {
    [sym_jsx_element] = STATE(438),
    [sym_jsx_expression] = STATE(438),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_closing_element] = STATE(437),
    [sym_jsx_self_closing_element] = STATE(438),
    [aux_sym_jsx_element_repeat1] = STATE(438),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(762),
    [sym_jsx_text] = ACTIONS(764),
    [sym_comment] = ACTIONS(71),
  },
  [123] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LBRACE] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [124] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_PLUS_EQ] = ACTIONS(722),
    [anon_sym_DASH_EQ] = ACTIONS(722),
    [anon_sym_STAR_EQ] = ACTIONS(722),
    [anon_sym_SLASH_EQ] = ACTIONS(722),
    [anon_sym_PERCENT_EQ] = ACTIONS(722),
    [anon_sym_CARET_EQ] = ACTIONS(722),
    [anon_sym_AMP_EQ] = ACTIONS(722),
    [anon_sym_PIPE_EQ] = ACTIONS(722),
    [anon_sym_GT_GT_EQ] = ACTIONS(722),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(722),
    [anon_sym_LT_LT_EQ] = ACTIONS(722),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [125] = {
    [anon_sym_EQ_GT] = ACTIONS(674),
    [sym_comment] = ACTIONS(71),
  },
  [126] = {
    [sym_decorator] = STATE(267),
    [aux_sym_export_statement_repeat1] = STATE(267),
    [anon_sym_class] = ACTIONS(766),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [127] = {
    [sym_export_statement] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym_import_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_variable_declaration] = STATE(441),
    [sym_lexical_declaration] = STATE(441),
    [sym_statement_block] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_for_in_statement] = STATE(441),
    [sym_for_of_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_with_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_debugger_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_empty_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [128] = {
    [sym_export_clause] = STATE(57),
    [sym__declaration] = STATE(58),
    [sym_variable_declaration] = STATE(58),
    [sym_lexical_declaration] = STATE(58),
    [sym_class] = STATE(59),
    [sym_function] = STATE(59),
    [sym_generator_function] = STATE(59),
    [sym_decorator] = STATE(445),
    [aux_sym_export_statement_repeat1] = STATE(445),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_default] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(93),
    [anon_sym_var] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [anon_sym_const] = ACTIONS(97),
    [anon_sym_class] = ACTIONS(768),
    [anon_sym_async] = ACTIONS(770),
    [anon_sym_function] = ACTIONS(772),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [129] = {
    [sym_export_statement] = STATE(78),
    [sym__declaration] = STATE(78),
    [sym_import_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_variable_declaration] = STATE(78),
    [sym_lexical_declaration] = STATE(78),
    [sym_statement_block] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_for_in_statement] = STATE(78),
    [sym_for_of_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_try_statement] = STATE(78),
    [sym_with_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_debugger_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_throw_statement] = STATE(78),
    [sym_empty_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(74),
    [sym_assignment_pattern] = STATE(75),
    [sym_array] = STATE(76),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_spread_element] = STATE(75),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(79),
    [sym_formal_parameters] = STATE(47),
    [sym_method_definition] = STATE(75),
    [sym_pair] = STATE(75),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_export_statement_repeat1] = STATE(79),
    [aux_sym_object_repeat1] = STATE(80),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(774),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(121),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(125),
    [sym_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
  },
  [130] = {
    [sym_parenthesized_expression] = STATE(447),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [131] = {
    [anon_sym_LPAREN] = ACTIONS(776),
    [sym_comment] = ACTIONS(71),
  },
  [132] = {
    [sym_parenthesized_expression] = STATE(449),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [133] = {
    [sym_parenthesized_expression] = STATE(450),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [134] = {
    [sym_class_heritage] = STATE(185),
    [sym_class_body] = STATE(186),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_extends] = ACTIONS(283),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(778),
  },
  [135] = {
    [sym__initializer] = STATE(194),
    [sym_formal_parameters] = STATE(193),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(304),
  },
  [136] = {
    [sym_formal_parameters] = STATE(455),
    [anon_sym_STAR] = ACTIONS(782),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(784),
  },
  [137] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [138] = {
    [anon_sym_while] = ACTIONS(788),
    [sym_comment] = ACTIONS(71),
  },
  [139] = {
    [sym__automatic_semicolon] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_else] = ACTIONS(396),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_while] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [140] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_else] = ACTIONS(396),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_while] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [141] = {
    [sym_decorator] = STATE(239),
    [aux_sym_export_statement_repeat1] = STATE(239),
    [anon_sym_export] = ACTIONS(790),
    [anon_sym_class] = ACTIONS(792),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [142] = {
    [sym_export_statement] = STATE(78),
    [sym__declaration] = STATE(78),
    [sym_import_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_variable_declaration] = STATE(78),
    [sym_lexical_declaration] = STATE(78),
    [sym_statement_block] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_for_in_statement] = STATE(78),
    [sym_for_of_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_try_statement] = STATE(78),
    [sym_with_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_debugger_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_throw_statement] = STATE(78),
    [sym_empty_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(794),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [143] = {
    [sym_catch_clause] = STATE(463),
    [sym_finally_clause] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(796),
    [anon_sym_export] = ACTIONS(798),
    [anon_sym_default] = ACTIONS(798),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_import] = ACTIONS(798),
    [anon_sym_var] = ACTIONS(798),
    [anon_sym_let] = ACTIONS(798),
    [anon_sym_const] = ACTIONS(798),
    [anon_sym_if] = ACTIONS(798),
    [anon_sym_else] = ACTIONS(798),
    [anon_sym_switch] = ACTIONS(798),
    [anon_sym_for] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_while] = ACTIONS(798),
    [anon_sym_do] = ACTIONS(798),
    [anon_sym_try] = ACTIONS(798),
    [anon_sym_with] = ACTIONS(798),
    [anon_sym_break] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_debugger] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(798),
    [anon_sym_throw] = ACTIONS(798),
    [anon_sym_SEMI] = ACTIONS(796),
    [anon_sym_case] = ACTIONS(798),
    [anon_sym_catch] = ACTIONS(800),
    [anon_sym_finally] = ACTIONS(802),
    [anon_sym_yield] = ACTIONS(798),
    [anon_sym_LBRACK] = ACTIONS(796),
    [anon_sym_LT] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(798),
    [anon_sym_async] = ACTIONS(798),
    [anon_sym_function] = ACTIONS(798),
    [anon_sym_EQ_GT] = ACTIONS(796),
    [anon_sym_new] = ACTIONS(798),
    [anon_sym_await] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(796),
    [anon_sym_TILDE] = ACTIONS(796),
    [anon_sym_typeof] = ACTIONS(798),
    [anon_sym_void] = ACTIONS(798),
    [anon_sym_delete] = ACTIONS(798),
    [anon_sym_PLUS_PLUS] = ACTIONS(796),
    [anon_sym_DASH_DASH] = ACTIONS(796),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(796),
    [anon_sym_BQUOTE] = ACTIONS(796),
    [sym_regex] = ACTIONS(798),
    [sym_number] = ACTIONS(796),
    [sym_identifier] = ACTIONS(798),
    [sym_this] = ACTIONS(798),
    [sym_super] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [sym_undefined] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(796),
    [anon_sym_get] = ACTIONS(798),
    [anon_sym_set] = ACTIONS(798),
  },
  [144] = {
    [sym_export_statement] = STATE(465),
    [sym__declaration] = STATE(465),
    [sym_import_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_variable_declaration] = STATE(465),
    [sym_lexical_declaration] = STATE(465),
    [sym_statement_block] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_for_in_statement] = STATE(465),
    [sym_for_of_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_with_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_debugger_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_labeled_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [145] = {
    [ts_builtin_sym_end] = ACTIONS(804),
    [anon_sym_export] = ACTIONS(806),
    [anon_sym_default] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(806),
    [anon_sym_var] = ACTIONS(806),
    [anon_sym_let] = ACTIONS(806),
    [anon_sym_const] = ACTIONS(806),
    [anon_sym_if] = ACTIONS(806),
    [anon_sym_else] = ACTIONS(806),
    [anon_sym_switch] = ACTIONS(806),
    [anon_sym_for] = ACTIONS(806),
    [anon_sym_LPAREN] = ACTIONS(804),
    [anon_sym_while] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(806),
    [anon_sym_try] = ACTIONS(806),
    [anon_sym_with] = ACTIONS(806),
    [anon_sym_break] = ACTIONS(806),
    [anon_sym_continue] = ACTIONS(806),
    [anon_sym_debugger] = ACTIONS(806),
    [anon_sym_return] = ACTIONS(806),
    [anon_sym_throw] = ACTIONS(806),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym_case] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(806),
    [anon_sym_LBRACK] = ACTIONS(804),
    [anon_sym_LT] = ACTIONS(804),
    [anon_sym_class] = ACTIONS(806),
    [anon_sym_async] = ACTIONS(806),
    [anon_sym_function] = ACTIONS(806),
    [anon_sym_EQ_GT] = ACTIONS(804),
    [anon_sym_new] = ACTIONS(806),
    [anon_sym_await] = ACTIONS(806),
    [anon_sym_PLUS] = ACTIONS(806),
    [anon_sym_DASH] = ACTIONS(806),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_typeof] = ACTIONS(806),
    [anon_sym_void] = ACTIONS(806),
    [anon_sym_delete] = ACTIONS(806),
    [anon_sym_PLUS_PLUS] = ACTIONS(804),
    [anon_sym_DASH_DASH] = ACTIONS(804),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(804),
    [anon_sym_BQUOTE] = ACTIONS(804),
    [sym_regex] = ACTIONS(806),
    [sym_number] = ACTIONS(804),
    [sym_identifier] = ACTIONS(806),
    [sym_this] = ACTIONS(806),
    [sym_super] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [sym_null] = ACTIONS(806),
    [sym_undefined] = ACTIONS(806),
    [anon_sym_AT] = ACTIONS(804),
    [anon_sym_get] = ACTIONS(806),
    [anon_sym_set] = ACTIONS(806),
  },
  [146] = {
    [sym__automatic_semicolon] = ACTIONS(808),
    [anon_sym_SEMI] = ACTIONS(808),
    [sym_comment] = ACTIONS(71),
  },
  [147] = {
    [ts_builtin_sym_end] = ACTIONS(810),
    [anon_sym_export] = ACTIONS(812),
    [anon_sym_default] = ACTIONS(812),
    [anon_sym_LBRACE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(812),
    [anon_sym_var] = ACTIONS(812),
    [anon_sym_let] = ACTIONS(812),
    [anon_sym_const] = ACTIONS(812),
    [anon_sym_if] = ACTIONS(812),
    [anon_sym_else] = ACTIONS(812),
    [anon_sym_switch] = ACTIONS(812),
    [anon_sym_for] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(810),
    [anon_sym_while] = ACTIONS(812),
    [anon_sym_do] = ACTIONS(812),
    [anon_sym_try] = ACTIONS(812),
    [anon_sym_with] = ACTIONS(812),
    [anon_sym_break] = ACTIONS(812),
    [anon_sym_continue] = ACTIONS(812),
    [anon_sym_debugger] = ACTIONS(812),
    [anon_sym_return] = ACTIONS(812),
    [anon_sym_throw] = ACTIONS(812),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_case] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(812),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_LT] = ACTIONS(810),
    [anon_sym_class] = ACTIONS(812),
    [anon_sym_async] = ACTIONS(812),
    [anon_sym_function] = ACTIONS(812),
    [anon_sym_EQ_GT] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_PLUS] = ACTIONS(812),
    [anon_sym_DASH] = ACTIONS(812),
    [anon_sym_BANG] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_typeof] = ACTIONS(812),
    [anon_sym_void] = ACTIONS(812),
    [anon_sym_delete] = ACTIONS(812),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(810),
    [anon_sym_BQUOTE] = ACTIONS(810),
    [sym_regex] = ACTIONS(812),
    [sym_number] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [sym_this] = ACTIONS(812),
    [sym_super] = ACTIONS(812),
    [sym_true] = ACTIONS(812),
    [sym_false] = ACTIONS(812),
    [sym_null] = ACTIONS(812),
    [sym_undefined] = ACTIONS(812),
    [anon_sym_AT] = ACTIONS(810),
    [anon_sym_get] = ACTIONS(812),
    [anon_sym_set] = ACTIONS(812),
  },
  [148] = {
    [sym__automatic_semicolon] = ACTIONS(814),
    [anon_sym_SEMI] = ACTIONS(814),
    [sym_comment] = ACTIONS(71),
  },
  [149] = {
    [ts_builtin_sym_end] = ACTIONS(816),
    [anon_sym_export] = ACTIONS(818),
    [anon_sym_default] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(816),
    [anon_sym_RBRACE] = ACTIONS(816),
    [anon_sym_import] = ACTIONS(818),
    [anon_sym_var] = ACTIONS(818),
    [anon_sym_let] = ACTIONS(818),
    [anon_sym_const] = ACTIONS(818),
    [anon_sym_if] = ACTIONS(818),
    [anon_sym_else] = ACTIONS(818),
    [anon_sym_switch] = ACTIONS(818),
    [anon_sym_for] = ACTIONS(818),
    [anon_sym_LPAREN] = ACTIONS(816),
    [anon_sym_while] = ACTIONS(818),
    [anon_sym_do] = ACTIONS(818),
    [anon_sym_try] = ACTIONS(818),
    [anon_sym_with] = ACTIONS(818),
    [anon_sym_break] = ACTIONS(818),
    [anon_sym_continue] = ACTIONS(818),
    [anon_sym_debugger] = ACTIONS(818),
    [anon_sym_return] = ACTIONS(818),
    [anon_sym_throw] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(816),
    [anon_sym_case] = ACTIONS(818),
    [anon_sym_yield] = ACTIONS(818),
    [anon_sym_LBRACK] = ACTIONS(816),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(818),
    [anon_sym_async] = ACTIONS(818),
    [anon_sym_function] = ACTIONS(818),
    [anon_sym_EQ_GT] = ACTIONS(816),
    [anon_sym_new] = ACTIONS(818),
    [anon_sym_await] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_BANG] = ACTIONS(816),
    [anon_sym_TILDE] = ACTIONS(816),
    [anon_sym_typeof] = ACTIONS(818),
    [anon_sym_void] = ACTIONS(818),
    [anon_sym_delete] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(816),
    [anon_sym_DASH_DASH] = ACTIONS(816),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(816),
    [anon_sym_BQUOTE] = ACTIONS(816),
    [sym_regex] = ACTIONS(818),
    [sym_number] = ACTIONS(816),
    [sym_identifier] = ACTIONS(818),
    [sym_this] = ACTIONS(818),
    [sym_super] = ACTIONS(818),
    [sym_true] = ACTIONS(818),
    [sym_false] = ACTIONS(818),
    [sym_null] = ACTIONS(818),
    [sym_undefined] = ACTIONS(818),
    [anon_sym_AT] = ACTIONS(816),
    [anon_sym_get] = ACTIONS(818),
    [anon_sym_set] = ACTIONS(818),
  },
  [150] = {
    [ts_builtin_sym_end] = ACTIONS(820),
    [anon_sym_export] = ACTIONS(822),
    [anon_sym_default] = ACTIONS(822),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_import] = ACTIONS(822),
    [anon_sym_var] = ACTIONS(822),
    [anon_sym_let] = ACTIONS(822),
    [anon_sym_const] = ACTIONS(822),
    [anon_sym_if] = ACTIONS(822),
    [anon_sym_else] = ACTIONS(822),
    [anon_sym_switch] = ACTIONS(822),
    [anon_sym_for] = ACTIONS(822),
    [anon_sym_LPAREN] = ACTIONS(820),
    [anon_sym_while] = ACTIONS(822),
    [anon_sym_do] = ACTIONS(822),
    [anon_sym_try] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_break] = ACTIONS(822),
    [anon_sym_continue] = ACTIONS(822),
    [anon_sym_debugger] = ACTIONS(822),
    [anon_sym_return] = ACTIONS(822),
    [anon_sym_throw] = ACTIONS(822),
    [anon_sym_SEMI] = ACTIONS(820),
    [anon_sym_case] = ACTIONS(822),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_LBRACK] = ACTIONS(820),
    [anon_sym_LT] = ACTIONS(820),
    [anon_sym_class] = ACTIONS(822),
    [anon_sym_async] = ACTIONS(822),
    [anon_sym_function] = ACTIONS(822),
    [anon_sym_EQ_GT] = ACTIONS(820),
    [anon_sym_new] = ACTIONS(822),
    [anon_sym_await] = ACTIONS(822),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_BANG] = ACTIONS(820),
    [anon_sym_TILDE] = ACTIONS(820),
    [anon_sym_typeof] = ACTIONS(822),
    [anon_sym_void] = ACTIONS(822),
    [anon_sym_delete] = ACTIONS(822),
    [anon_sym_PLUS_PLUS] = ACTIONS(820),
    [anon_sym_DASH_DASH] = ACTIONS(820),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(820),
    [anon_sym_BQUOTE] = ACTIONS(820),
    [sym_regex] = ACTIONS(822),
    [sym_number] = ACTIONS(820),
    [sym_identifier] = ACTIONS(822),
    [sym_this] = ACTIONS(822),
    [sym_super] = ACTIONS(822),
    [sym_true] = ACTIONS(822),
    [sym_false] = ACTIONS(822),
    [sym_null] = ACTIONS(822),
    [sym_undefined] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(820),
    [anon_sym_get] = ACTIONS(822),
    [anon_sym_set] = ACTIONS(822),
  },
  [151] = {
    [sym_object] = STATE(276),
    [sym_assignment_pattern] = STATE(75),
    [sym_array] = STATE(278),
    [sym_spread_element] = STATE(75),
    [sym_decorator] = STATE(472),
    [sym_method_definition] = STATE(75),
    [sym_pair] = STATE(75),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_export_statement_repeat1] = STATE(472),
    [aux_sym_object_repeat1] = STATE(80),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_async] = ACTIONS(826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_identifier] = ACTIONS(828),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(830),
    [anon_sym_set] = ACTIONS(830),
  },
  [152] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [153] = {
    [sym__automatic_semicolon] = ACTIONS(832),
    [anon_sym_SEMI] = ACTIONS(832),
    [sym_comment] = ACTIONS(71),
  },
  [154] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [155] = {
    [sym_decorator] = STATE(267),
    [aux_sym_export_statement_repeat1] = STATE(267),
    [anon_sym_class] = ACTIONS(792),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [156] = {
    [sym__automatic_semicolon] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(834),
    [sym_comment] = ACTIONS(71),
  },
  [157] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [158] = {
    [sym_parenthesized_expression] = STATE(475),
    [sym__expression] = STATE(475),
    [sym_yield_expression] = STATE(475),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(475),
    [sym_jsx_fragment] = STATE(475),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(475),
    [sym_anonymous_class] = STATE(475),
    [sym_class] = STATE(475),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(475),
    [sym_generator_function] = STATE(475),
    [sym_call_expression] = STATE(475),
    [sym_new_expression] = STATE(475),
    [sym_await_expression] = STATE(475),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(475),
    [sym_augmented_assignment_expression] = STATE(475),
    [sym_spread_element] = STATE(476),
    [sym_ternary_expression] = STATE(475),
    [sym_binary_expression] = STATE(475),
    [sym_unary_expression] = STATE(475),
    [sym_update_expression] = STATE(475),
    [sym_template_string] = STATE(475),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(840),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(842),
    [sym_number] = ACTIONS(840),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(842),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(842),
    [sym_false] = ACTIONS(842),
    [sym_null] = ACTIONS(842),
    [sym_undefined] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [159] = {
    [sym_parenthesized_expression] = STATE(477),
    [sym__expression] = STATE(477),
    [sym_yield_expression] = STATE(477),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(477),
    [sym_jsx_fragment] = STATE(477),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(477),
    [sym_anonymous_class] = STATE(477),
    [sym_class] = STATE(477),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(477),
    [sym_generator_function] = STATE(477),
    [sym_call_expression] = STATE(477),
    [sym_new_expression] = STATE(477),
    [sym_await_expression] = STATE(477),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(477),
    [sym_augmented_assignment_expression] = STATE(477),
    [sym_ternary_expression] = STATE(477),
    [sym_binary_expression] = STATE(477),
    [sym_unary_expression] = STATE(477),
    [sym_update_expression] = STATE(477),
    [sym_template_string] = STATE(477),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(844),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(846),
    [sym_number] = ACTIONS(844),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(846),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(846),
    [sym_false] = ACTIONS(846),
    [sym_null] = ACTIONS(846),
    [sym_undefined] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [160] = {
    [sym__automatic_semicolon] = ACTIONS(848),
    [anon_sym_STAR] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(848),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_RPAREN] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(850),
    [anon_sym_of] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(848),
    [anon_sym_EQ] = ACTIONS(850),
    [anon_sym_QMARK] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(848),
    [anon_sym_PIPE_PIPE] = ACTIONS(848),
    [anon_sym_GT_GT] = ACTIONS(850),
    [anon_sym_GT_GT_GT] = ACTIONS(848),
    [anon_sym_LT_LT] = ACTIONS(848),
    [anon_sym_AMP] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(848),
    [anon_sym_PIPE] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(848),
    [anon_sym_LT_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(848),
    [anon_sym_GT_EQ] = ACTIONS(848),
    [anon_sym_instanceof] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(848),
  },
  [161] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(481),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(854),
    [anon_sym_PLUS_EQ] = ACTIONS(856),
    [anon_sym_DASH_EQ] = ACTIONS(856),
    [anon_sym_STAR_EQ] = ACTIONS(856),
    [anon_sym_SLASH_EQ] = ACTIONS(856),
    [anon_sym_PERCENT_EQ] = ACTIONS(856),
    [anon_sym_CARET_EQ] = ACTIONS(856),
    [anon_sym_AMP_EQ] = ACTIONS(856),
    [anon_sym_PIPE_EQ] = ACTIONS(856),
    [anon_sym_GT_GT_EQ] = ACTIONS(856),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(856),
    [anon_sym_LT_LT_EQ] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(858),
  },
  [162] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(482),
    [sym__expression] = STATE(482),
    [sym_yield_expression] = STATE(482),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(482),
    [sym_jsx_fragment] = STATE(482),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(482),
    [sym_anonymous_class] = STATE(482),
    [sym_class] = STATE(482),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(482),
    [sym_generator_function] = STATE(482),
    [sym_call_expression] = STATE(482),
    [sym_new_expression] = STATE(482),
    [sym_await_expression] = STATE(482),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(482),
    [sym_augmented_assignment_expression] = STATE(482),
    [sym_ternary_expression] = STATE(482),
    [sym_binary_expression] = STATE(482),
    [sym_unary_expression] = STATE(482),
    [sym_update_expression] = STATE(482),
    [sym_template_string] = STATE(482),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(860),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(862),
    [sym_number] = ACTIONS(860),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(862),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(862),
    [sym_false] = ACTIONS(862),
    [sym_null] = ACTIONS(862),
    [sym_undefined] = ACTIONS(862),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [163] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [164] = {
    [sym_parenthesized_expression] = STATE(483),
    [sym__expression] = STATE(483),
    [sym_yield_expression] = STATE(483),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(483),
    [sym_jsx_fragment] = STATE(483),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(483),
    [sym_anonymous_class] = STATE(483),
    [sym_class] = STATE(483),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(483),
    [sym_generator_function] = STATE(483),
    [sym_call_expression] = STATE(483),
    [sym_new_expression] = STATE(483),
    [sym_await_expression] = STATE(483),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(483),
    [sym_augmented_assignment_expression] = STATE(483),
    [sym_ternary_expression] = STATE(483),
    [sym_binary_expression] = STATE(483),
    [sym_unary_expression] = STATE(483),
    [sym_update_expression] = STATE(483),
    [sym_template_string] = STATE(483),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(864),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(866),
    [sym_number] = ACTIONS(864),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(866),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(866),
    [sym_false] = ACTIONS(866),
    [sym_null] = ACTIONS(866),
    [sym_undefined] = ACTIONS(866),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [165] = {
    [sym_parenthesized_expression] = STATE(484),
    [sym__expression] = STATE(484),
    [sym_yield_expression] = STATE(484),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(484),
    [sym_jsx_fragment] = STATE(484),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(484),
    [sym_anonymous_class] = STATE(484),
    [sym_class] = STATE(484),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(484),
    [sym_generator_function] = STATE(484),
    [sym_call_expression] = STATE(484),
    [sym_new_expression] = STATE(484),
    [sym_await_expression] = STATE(484),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(484),
    [sym_augmented_assignment_expression] = STATE(484),
    [sym_ternary_expression] = STATE(484),
    [sym_binary_expression] = STATE(484),
    [sym_unary_expression] = STATE(484),
    [sym_update_expression] = STATE(484),
    [sym_template_string] = STATE(484),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(868),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(870),
    [sym_number] = ACTIONS(868),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(870),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(870),
    [sym_false] = ACTIONS(870),
    [sym_null] = ACTIONS(870),
    [sym_undefined] = ACTIONS(870),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [166] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [167] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [168] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_EQ_GT] = ACTIONS(854),
    [anon_sym_PLUS_EQ] = ACTIONS(874),
    [anon_sym_DASH_EQ] = ACTIONS(874),
    [anon_sym_STAR_EQ] = ACTIONS(874),
    [anon_sym_SLASH_EQ] = ACTIONS(874),
    [anon_sym_PERCENT_EQ] = ACTIONS(874),
    [anon_sym_CARET_EQ] = ACTIONS(874),
    [anon_sym_AMP_EQ] = ACTIONS(874),
    [anon_sym_PIPE_EQ] = ACTIONS(874),
    [anon_sym_GT_GT_EQ] = ACTIONS(874),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(874),
    [anon_sym_LT_LT_EQ] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [169] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_PLUS_EQ] = ACTIONS(856),
    [anon_sym_DASH_EQ] = ACTIONS(856),
    [anon_sym_STAR_EQ] = ACTIONS(856),
    [anon_sym_SLASH_EQ] = ACTIONS(856),
    [anon_sym_PERCENT_EQ] = ACTIONS(856),
    [anon_sym_CARET_EQ] = ACTIONS(856),
    [anon_sym_AMP_EQ] = ACTIONS(856),
    [anon_sym_PIPE_EQ] = ACTIONS(856),
    [anon_sym_GT_GT_EQ] = ACTIONS(856),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(856),
    [anon_sym_LT_LT_EQ] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [170] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [aux_sym_array_repeat1] = STATE(493),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [171] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [172] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [173] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_PLUS_EQ] = ACTIONS(874),
    [anon_sym_DASH_EQ] = ACTIONS(874),
    [anon_sym_STAR_EQ] = ACTIONS(874),
    [anon_sym_SLASH_EQ] = ACTIONS(874),
    [anon_sym_PERCENT_EQ] = ACTIONS(874),
    [anon_sym_CARET_EQ] = ACTIONS(874),
    [anon_sym_AMP_EQ] = ACTIONS(874),
    [anon_sym_PIPE_EQ] = ACTIONS(874),
    [anon_sym_GT_GT_EQ] = ACTIONS(874),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(874),
    [anon_sym_LT_LT_EQ] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [174] = {
    [aux_sym_array_repeat1] = STATE(493),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(878),
    [sym_comment] = ACTIONS(71),
  },
  [175] = {
    [anon_sym_EQ_GT] = ACTIONS(854),
    [sym_comment] = ACTIONS(71),
  },
  [176] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(878),
    [sym_comment] = ACTIONS(71),
  },
  [177] = {
    [sym_jsx_element] = STATE(498),
    [sym_jsx_expression] = STATE(498),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_self_closing_element] = STATE(498),
    [aux_sym_jsx_element_repeat1] = STATE(498),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(896),
    [sym_jsx_text] = ACTIONS(898),
    [sym_comment] = ACTIONS(71),
  },
  [178] = {
    [sym_jsx_expression] = STATE(506),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(506),
    [aux_sym_jsx_opening_element_repeat1] = STATE(506),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(906),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [179] = {
    [sym_jsx_expression] = STATE(511),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(511),
    [aux_sym_jsx_opening_element_repeat1] = STATE(511),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(916),
    [sym_jsx_identifier] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [180] = {
    [sym_jsx_expression] = STATE(511),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(511),
    [aux_sym_jsx_opening_element_repeat1] = STATE(511),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(916),
    [sym_jsx_identifier] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [181] = {
    [sym_jsx_expression] = STATE(511),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(511),
    [aux_sym_jsx_opening_element_repeat1] = STATE(511),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(916),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [182] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(522),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [183] = {
    [sym_parenthesized_expression] = STATE(532),
    [sym__expression] = STATE(532),
    [sym_yield_expression] = STATE(532),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(532),
    [sym_jsx_fragment] = STATE(532),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(532),
    [sym_anonymous_class] = STATE(532),
    [sym_class] = STATE(532),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(532),
    [sym_generator_function] = STATE(532),
    [sym_call_expression] = STATE(532),
    [sym_new_expression] = STATE(532),
    [sym_await_expression] = STATE(532),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(532),
    [sym_augmented_assignment_expression] = STATE(532),
    [sym_ternary_expression] = STATE(532),
    [sym_binary_expression] = STATE(532),
    [sym_unary_expression] = STATE(532),
    [sym_update_expression] = STATE(532),
    [sym_template_string] = STATE(532),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(950),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(952),
    [sym_number] = ACTIONS(950),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(952),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [sym_null] = ACTIONS(952),
    [sym_undefined] = ACTIONS(952),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [184] = {
    [sym_class_heritage] = STATE(538),
    [sym_class_body] = STATE(539),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [185] = {
    [sym_class_body] = STATE(540),
    [anon_sym_LBRACE] = ACTIONS(281),
    [sym_comment] = ACTIONS(71),
  },
  [186] = {
    [sym__automatic_semicolon] = ACTIONS(962),
    [anon_sym_STAR] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_RPAREN] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(964),
    [anon_sym_SEMI] = ACTIONS(962),
    [anon_sym_LBRACK] = ACTIONS(962),
    [anon_sym_LT] = ACTIONS(964),
    [anon_sym_GT] = ACTIONS(964),
    [anon_sym_SLASH] = ACTIONS(964),
    [anon_sym_DOT] = ACTIONS(962),
    [anon_sym_QMARK] = ACTIONS(962),
    [anon_sym_AMP_AMP] = ACTIONS(962),
    [anon_sym_PIPE_PIPE] = ACTIONS(962),
    [anon_sym_GT_GT] = ACTIONS(964),
    [anon_sym_GT_GT_GT] = ACTIONS(962),
    [anon_sym_LT_LT] = ACTIONS(962),
    [anon_sym_AMP] = ACTIONS(964),
    [anon_sym_CARET] = ACTIONS(962),
    [anon_sym_PIPE] = ACTIONS(964),
    [anon_sym_PLUS] = ACTIONS(964),
    [anon_sym_DASH] = ACTIONS(964),
    [anon_sym_PERCENT] = ACTIONS(962),
    [anon_sym_LT_EQ] = ACTIONS(962),
    [anon_sym_EQ_EQ] = ACTIONS(964),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(962),
    [anon_sym_BANG_EQ] = ACTIONS(964),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(962),
    [anon_sym_GT_EQ] = ACTIONS(962),
    [anon_sym_instanceof] = ACTIONS(962),
    [anon_sym_PLUS_PLUS] = ACTIONS(962),
    [anon_sym_DASH_DASH] = ACTIONS(962),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(962),
  },
  [187] = {
    [sym_object] = STATE(544),
    [sym_assignment_pattern] = STATE(120),
    [sym_array] = STATE(545),
    [sym_rest_parameter] = STATE(120),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_RPAREN] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(173),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(970),
    [anon_sym_get] = ACTIONS(968),
    [anon_sym_set] = ACTIONS(968),
  },
  [188] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(972),
  },
  [189] = {
    [sym_parenthesized_expression] = STATE(547),
    [sym__expression] = STATE(547),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_anonymous_class] = STATE(547),
    [sym_class] = STATE(547),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(547),
    [sym_generator_function] = STATE(547),
    [sym_call_expression] = STATE(547),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(547),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_template_string] = STATE(547),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(974),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(976),
    [sym_number] = ACTIONS(974),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(976),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(976),
    [sym_false] = ACTIONS(976),
    [sym_null] = ACTIONS(976),
    [sym_undefined] = ACTIONS(976),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [190] = {
    [sym_formal_parameters] = STATE(549),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(978),
  },
  [191] = {
    [sym_statement_block] = STATE(550),
    [sym_parenthesized_expression] = STATE(551),
    [sym__expression] = STATE(551),
    [sym_yield_expression] = STATE(551),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(551),
    [sym_jsx_fragment] = STATE(551),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(551),
    [sym_anonymous_class] = STATE(551),
    [sym_class] = STATE(551),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(551),
    [sym_generator_function] = STATE(551),
    [sym_call_expression] = STATE(551),
    [sym_new_expression] = STATE(551),
    [sym_await_expression] = STATE(551),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(551),
    [sym_augmented_assignment_expression] = STATE(551),
    [sym_ternary_expression] = STATE(551),
    [sym_binary_expression] = STATE(551),
    [sym_unary_expression] = STATE(551),
    [sym_update_expression] = STATE(551),
    [sym_template_string] = STATE(551),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(980),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(982),
    [sym_number] = ACTIONS(980),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(982),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_null] = ACTIONS(982),
    [sym_undefined] = ACTIONS(982),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [192] = {
    [sym_parenthesized_expression] = STATE(552),
    [sym__expression] = STATE(552),
    [sym_yield_expression] = STATE(552),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(552),
    [sym_jsx_fragment] = STATE(552),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(552),
    [sym_anonymous_class] = STATE(552),
    [sym_class] = STATE(552),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(552),
    [sym_generator_function] = STATE(552),
    [sym_call_expression] = STATE(552),
    [sym_new_expression] = STATE(552),
    [sym_await_expression] = STATE(552),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(552),
    [sym_augmented_assignment_expression] = STATE(552),
    [sym_ternary_expression] = STATE(552),
    [sym_binary_expression] = STATE(552),
    [sym_unary_expression] = STATE(552),
    [sym_update_expression] = STATE(552),
    [sym_template_string] = STATE(552),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(984),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(986),
    [sym_number] = ACTIONS(984),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(986),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(986),
    [sym_false] = ACTIONS(986),
    [sym_null] = ACTIONS(986),
    [sym_undefined] = ACTIONS(986),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [193] = {
    [anon_sym_EQ_GT] = ACTIONS(988),
    [sym_comment] = ACTIONS(71),
  },
  [194] = {
    [sym__automatic_semicolon] = ACTIONS(990),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_COMMA] = ACTIONS(990),
    [anon_sym_RBRACE] = ACTIONS(990),
    [anon_sym_LPAREN] = ACTIONS(990),
    [anon_sym_RPAREN] = ACTIONS(990),
    [anon_sym_in] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(992),
    [anon_sym_GT] = ACTIONS(992),
    [anon_sym_SLASH] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(990),
    [anon_sym_QMARK] = ACTIONS(990),
    [anon_sym_AMP_AMP] = ACTIONS(990),
    [anon_sym_PIPE_PIPE] = ACTIONS(990),
    [anon_sym_GT_GT] = ACTIONS(992),
    [anon_sym_GT_GT_GT] = ACTIONS(990),
    [anon_sym_LT_LT] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(990),
    [anon_sym_PIPE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_PERCENT] = ACTIONS(990),
    [anon_sym_LT_EQ] = ACTIONS(990),
    [anon_sym_EQ_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(990),
    [anon_sym_BANG_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(990),
    [anon_sym_GT_EQ] = ACTIONS(990),
    [anon_sym_instanceof] = ACTIONS(990),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(990),
  },
  [195] = {
    [sym_formal_parameters] = STATE(555),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(994),
  },
  [196] = {
    [sym_formal_parameters] = STATE(549),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [197] = {
    [sym_statement_block] = STATE(557),
    [anon_sym_LBRACE] = ACTIONS(996),
    [sym_comment] = ACTIONS(71),
  },
  [198] = {
    [sym_export_statement] = STATE(558),
    [sym__declaration] = STATE(558),
    [sym_import_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_variable_declaration] = STATE(558),
    [sym_lexical_declaration] = STATE(558),
    [sym_statement_block] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_switch_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_for_in_statement] = STATE(558),
    [sym_for_of_statement] = STATE(558),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_try_statement] = STATE(558),
    [sym_with_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_debugger_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_statement] = STATE(558),
    [sym_empty_statement] = STATE(558),
    [sym_labeled_statement] = STATE(558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(74),
    [sym_assignment_pattern] = STATE(75),
    [sym_array] = STATE(76),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_spread_element] = STATE(75),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(79),
    [sym_formal_parameters] = STATE(47),
    [sym_method_definition] = STATE(75),
    [sym_pair] = STATE(75),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_program_repeat1] = STATE(558),
    [aux_sym_export_statement_repeat1] = STATE(79),
    [aux_sym_object_repeat1] = STATE(80),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(121),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(125),
    [sym_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(129),
    [anon_sym_set] = ACTIONS(129),
  },
  [199] = {
    [sym__automatic_semicolon] = ACTIONS(998),
    [anon_sym_STAR] = ACTIONS(998),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_RBRACE] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(998),
    [anon_sym_RPAREN] = ACTIONS(998),
    [anon_sym_in] = ACTIONS(1000),
    [anon_sym_SEMI] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(998),
    [anon_sym_LT] = ACTIONS(1000),
    [anon_sym_GT] = ACTIONS(1000),
    [anon_sym_SLASH] = ACTIONS(1000),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_QMARK] = ACTIONS(998),
    [anon_sym_AMP_AMP] = ACTIONS(998),
    [anon_sym_PIPE_PIPE] = ACTIONS(998),
    [anon_sym_GT_GT] = ACTIONS(1000),
    [anon_sym_GT_GT_GT] = ACTIONS(998),
    [anon_sym_LT_LT] = ACTIONS(998),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_CARET] = ACTIONS(998),
    [anon_sym_PIPE] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1000),
    [anon_sym_PERCENT] = ACTIONS(998),
    [anon_sym_LT_EQ] = ACTIONS(998),
    [anon_sym_EQ_EQ] = ACTIONS(1000),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(998),
    [anon_sym_BANG_EQ] = ACTIONS(1000),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(998),
    [anon_sym_GT_EQ] = ACTIONS(998),
    [anon_sym_instanceof] = ACTIONS(998),
    [anon_sym_PLUS_PLUS] = ACTIONS(998),
    [anon_sym_DASH_DASH] = ACTIONS(998),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(998),
  },
  [200] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(998),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [201] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(1002),
    [anon_sym_STAR] = ACTIONS(1002),
    [anon_sym_COMMA] = ACTIONS(1002),
    [anon_sym_RBRACE] = ACTIONS(1002),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(1002),
    [anon_sym_in] = ACTIONS(1004),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1004),
    [anon_sym_GT] = ACTIONS(1004),
    [anon_sym_SLASH] = ACTIONS(1004),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1002),
    [anon_sym_AMP_AMP] = ACTIONS(1002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1002),
    [anon_sym_GT_GT] = ACTIONS(1004),
    [anon_sym_GT_GT_GT] = ACTIONS(1002),
    [anon_sym_LT_LT] = ACTIONS(1002),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_CARET] = ACTIONS(1002),
    [anon_sym_PIPE] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_PERCENT] = ACTIONS(1002),
    [anon_sym_LT_EQ] = ACTIONS(1002),
    [anon_sym_EQ_EQ] = ACTIONS(1004),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1002),
    [anon_sym_BANG_EQ] = ACTIONS(1004),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1002),
    [anon_sym_GT_EQ] = ACTIONS(1002),
    [anon_sym_instanceof] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [202] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [203] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(1008),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(1008),
    [anon_sym_in] = ACTIONS(1010),
    [anon_sym_SEMI] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1010),
    [anon_sym_GT] = ACTIONS(1010),
    [anon_sym_SLASH] = ACTIONS(1010),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1008),
    [anon_sym_AMP_AMP] = ACTIONS(1008),
    [anon_sym_PIPE_PIPE] = ACTIONS(1008),
    [anon_sym_GT_GT] = ACTIONS(1010),
    [anon_sym_GT_GT_GT] = ACTIONS(1008),
    [anon_sym_LT_LT] = ACTIONS(1008),
    [anon_sym_AMP] = ACTIONS(1010),
    [anon_sym_CARET] = ACTIONS(1008),
    [anon_sym_PIPE] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1010),
    [anon_sym_DASH] = ACTIONS(1010),
    [anon_sym_PERCENT] = ACTIONS(1008),
    [anon_sym_LT_EQ] = ACTIONS(1008),
    [anon_sym_EQ_EQ] = ACTIONS(1010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1008),
    [anon_sym_BANG_EQ] = ACTIONS(1010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1008),
    [anon_sym_GT_EQ] = ACTIONS(1008),
    [anon_sym_instanceof] = ACTIONS(1008),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [204] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_in] = ACTIONS(1014),
    [anon_sym_SEMI] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_GT] = ACTIONS(1014),
    [anon_sym_SLASH] = ACTIONS(1014),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1012),
    [anon_sym_PIPE_PIPE] = ACTIONS(1012),
    [anon_sym_GT_GT] = ACTIONS(1014),
    [anon_sym_GT_GT_GT] = ACTIONS(1012),
    [anon_sym_LT_LT] = ACTIONS(1012),
    [anon_sym_AMP] = ACTIONS(1014),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_PIPE] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_PERCENT] = ACTIONS(1012),
    [anon_sym_LT_EQ] = ACTIONS(1012),
    [anon_sym_EQ_EQ] = ACTIONS(1014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1012),
    [anon_sym_BANG_EQ] = ACTIONS(1014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1012),
    [anon_sym_GT_EQ] = ACTIONS(1012),
    [anon_sym_instanceof] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [205] = {
    [sym__automatic_semicolon] = ACTIONS(1016),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_COMMA] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_RPAREN] = ACTIONS(1016),
    [anon_sym_in] = ACTIONS(1018),
    [anon_sym_SEMI] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(1016),
    [anon_sym_LT] = ACTIONS(1018),
    [anon_sym_GT] = ACTIONS(1018),
    [anon_sym_SLASH] = ACTIONS(1018),
    [anon_sym_DOT] = ACTIONS(1016),
    [anon_sym_QMARK] = ACTIONS(1016),
    [anon_sym_AMP_AMP] = ACTIONS(1016),
    [anon_sym_PIPE_PIPE] = ACTIONS(1016),
    [anon_sym_GT_GT] = ACTIONS(1018),
    [anon_sym_GT_GT_GT] = ACTIONS(1016),
    [anon_sym_LT_LT] = ACTIONS(1016),
    [anon_sym_AMP] = ACTIONS(1018),
    [anon_sym_CARET] = ACTIONS(1016),
    [anon_sym_PIPE] = ACTIONS(1018),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_PERCENT] = ACTIONS(1016),
    [anon_sym_LT_EQ] = ACTIONS(1016),
    [anon_sym_EQ_EQ] = ACTIONS(1018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1016),
    [anon_sym_BANG_EQ] = ACTIONS(1018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1016),
    [anon_sym_GT_EQ] = ACTIONS(1016),
    [anon_sym_instanceof] = ACTIONS(1016),
    [anon_sym_PLUS_PLUS] = ACTIONS(1016),
    [anon_sym_DASH_DASH] = ACTIONS(1016),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1016),
  },
  [206] = {
    [sym_parenthesized_expression] = STATE(560),
    [sym__expressions] = STATE(559),
    [sym__expression] = STATE(560),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_fragment] = STATE(560),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_anonymous_class] = STATE(560),
    [sym_class] = STATE(560),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(560),
    [sym_generator_function] = STATE(560),
    [sym_call_expression] = STATE(560),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(560),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_sequence_expression] = STATE(559),
    [sym_template_string] = STATE(560),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1020),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1022),
    [sym_number] = ACTIONS(1020),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(1022),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1022),
    [sym_false] = ACTIONS(1022),
    [sym_null] = ACTIONS(1022),
    [sym_undefined] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [207] = {
    [sym_template_substitution] = STATE(562),
    [aux_sym_template_string_repeat1] = STATE(562),
    [sym__template_chars] = ACTIONS(1024),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1026),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(338),
  },
  [208] = {
    [sym_parenthesized_expression] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_yield_expression] = STATE(563),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(563),
    [sym_jsx_fragment] = STATE(563),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(563),
    [sym_anonymous_class] = STATE(563),
    [sym_class] = STATE(563),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(563),
    [sym_generator_function] = STATE(563),
    [sym_call_expression] = STATE(563),
    [sym_new_expression] = STATE(563),
    [sym_await_expression] = STATE(563),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(563),
    [sym_augmented_assignment_expression] = STATE(563),
    [sym_ternary_expression] = STATE(563),
    [sym_binary_expression] = STATE(563),
    [sym_unary_expression] = STATE(563),
    [sym_update_expression] = STATE(563),
    [sym_template_string] = STATE(563),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1028),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1030),
    [sym_number] = ACTIONS(1028),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(1030),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1030),
    [sym_false] = ACTIONS(1030),
    [sym_null] = ACTIONS(1030),
    [sym_undefined] = ACTIONS(1030),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [209] = {
    [sym_export_statement] = STATE(564),
    [sym__declaration] = STATE(564),
    [sym_import_statement] = STATE(564),
    [sym_expression_statement] = STATE(564),
    [sym_variable_declaration] = STATE(564),
    [sym_lexical_declaration] = STATE(564),
    [sym_statement_block] = STATE(564),
    [sym_if_statement] = STATE(564),
    [sym_switch_statement] = STATE(564),
    [sym_for_statement] = STATE(564),
    [sym_for_in_statement] = STATE(564),
    [sym_for_of_statement] = STATE(564),
    [sym_while_statement] = STATE(564),
    [sym_do_statement] = STATE(564),
    [sym_try_statement] = STATE(564),
    [sym_with_statement] = STATE(564),
    [sym_break_statement] = STATE(564),
    [sym_continue_statement] = STATE(564),
    [sym_debugger_statement] = STATE(564),
    [sym_return_statement] = STATE(564),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(564),
    [sym_labeled_statement] = STATE(564),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [210] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1032),
  },
  [211] = {
    [sym_parenthesized_expression] = STATE(566),
    [sym__expression] = STATE(566),
    [sym_yield_expression] = STATE(566),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(566),
    [sym_jsx_fragment] = STATE(566),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(566),
    [sym_anonymous_class] = STATE(566),
    [sym_class] = STATE(566),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(566),
    [sym_generator_function] = STATE(566),
    [sym_call_expression] = STATE(566),
    [sym_new_expression] = STATE(566),
    [sym_await_expression] = STATE(566),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(566),
    [sym_augmented_assignment_expression] = STATE(566),
    [sym_ternary_expression] = STATE(566),
    [sym_binary_expression] = STATE(566),
    [sym_unary_expression] = STATE(566),
    [sym_update_expression] = STATE(566),
    [sym_template_string] = STATE(566),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1034),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1036),
    [sym_number] = ACTIONS(1034),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(1036),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1036),
    [sym_false] = ACTIONS(1036),
    [sym_null] = ACTIONS(1036),
    [sym_undefined] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [212] = {
    [sym__automatic_semicolon] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_RPAREN] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_SEMI] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1038),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1038),
    [anon_sym_LT_LT] = ACTIONS(1038),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1038),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_EQ_EQ] = ACTIONS(1040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1038),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_instanceof] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1038),
  },
  [213] = {
    [sym_parenthesized_expression] = STATE(570),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_anonymous_class] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(570),
    [sym_generator_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_spread_element] = STATE(571),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [aux_sym_array_repeat1] = STATE(572),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(1044),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1050),
    [sym_number] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1050),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1050),
    [sym_false] = ACTIONS(1050),
    [sym_null] = ACTIONS(1050),
    [sym_undefined] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [214] = {
    [sym_parenthesized_expression] = STATE(574),
    [sym__expressions] = STATE(573),
    [sym__expression] = STATE(574),
    [sym_yield_expression] = STATE(574),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(574),
    [sym_jsx_fragment] = STATE(574),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(574),
    [sym_anonymous_class] = STATE(574),
    [sym_class] = STATE(574),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(574),
    [sym_await_expression] = STATE(574),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(574),
    [sym_augmented_assignment_expression] = STATE(574),
    [sym_ternary_expression] = STATE(574),
    [sym_binary_expression] = STATE(574),
    [sym_unary_expression] = STATE(574),
    [sym_update_expression] = STATE(574),
    [sym_sequence_expression] = STATE(573),
    [sym_template_string] = STATE(574),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1052),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1054),
    [sym_number] = ACTIONS(1052),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1054),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [sym_null] = ACTIONS(1054),
    [sym_undefined] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [215] = {
    [sym__automatic_semicolon] = ACTIONS(1056),
    [anon_sym_STAR] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(1056),
    [anon_sym_in] = ACTIONS(1058),
    [anon_sym_SEMI] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_GT_GT_GT] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1056),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_EQ_EQ] = ACTIONS(1058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1058),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_instanceof] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1056),
  },
  [216] = {
    [anon_sym_export] = ACTIONS(1060),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_DOT] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(1060),
    [anon_sym_async] = ACTIONS(1060),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1062),
    [sym_number] = ACTIONS(1062),
    [sym_identifier] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1062),
    [anon_sym_static] = ACTIONS(1060),
    [anon_sym_get] = ACTIONS(1060),
    [anon_sym_set] = ACTIONS(1060),
  },
  [217] = {
    [sym_arguments] = STATE(576),
    [anon_sym_export] = ACTIONS(1064),
    [anon_sym_STAR] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_DOT] = ACTIONS(1068),
    [anon_sym_class] = ACTIONS(1064),
    [anon_sym_async] = ACTIONS(1064),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1066),
    [sym_number] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1066),
    [anon_sym_static] = ACTIONS(1064),
    [anon_sym_get] = ACTIONS(1064),
    [anon_sym_set] = ACTIONS(1064),
  },
  [218] = {
    [sym_arguments] = STATE(578),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_STAR] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1074),
    [anon_sym_class] = ACTIONS(1070),
    [anon_sym_async] = ACTIONS(1070),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1072),
    [sym_number] = ACTIONS(1072),
    [sym_identifier] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(1072),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_get] = ACTIONS(1070),
    [anon_sym_set] = ACTIONS(1070),
  },
  [219] = {
    [anon_sym_export] = ACTIONS(1076),
    [anon_sym_STAR] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1076),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1078),
    [sym_number] = ACTIONS(1078),
    [sym_identifier] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1078),
    [anon_sym_static] = ACTIONS(1076),
    [anon_sym_get] = ACTIONS(1076),
    [anon_sym_set] = ACTIONS(1076),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1080),
    [anon_sym_export] = ACTIONS(1082),
    [anon_sym_default] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_import] = ACTIONS(1082),
    [anon_sym_var] = ACTIONS(1082),
    [anon_sym_let] = ACTIONS(1082),
    [anon_sym_const] = ACTIONS(1082),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_else] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1082),
    [anon_sym_for] = ACTIONS(1082),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_RPAREN] = ACTIONS(1080),
    [anon_sym_while] = ACTIONS(1082),
    [anon_sym_do] = ACTIONS(1082),
    [anon_sym_try] = ACTIONS(1082),
    [anon_sym_with] = ACTIONS(1082),
    [anon_sym_break] = ACTIONS(1082),
    [anon_sym_continue] = ACTIONS(1082),
    [anon_sym_debugger] = ACTIONS(1082),
    [anon_sym_return] = ACTIONS(1082),
    [anon_sym_throw] = ACTIONS(1082),
    [anon_sym_SEMI] = ACTIONS(1080),
    [anon_sym_case] = ACTIONS(1082),
    [anon_sym_yield] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1080),
    [anon_sym_class] = ACTIONS(1082),
    [anon_sym_async] = ACTIONS(1082),
    [anon_sym_function] = ACTIONS(1082),
    [anon_sym_EQ_GT] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_await] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_typeof] = ACTIONS(1082),
    [anon_sym_void] = ACTIONS(1082),
    [anon_sym_delete] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1080),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [sym_regex] = ACTIONS(1082),
    [sym_number] = ACTIONS(1080),
    [sym_identifier] = ACTIONS(1082),
    [sym_this] = ACTIONS(1082),
    [sym_super] = ACTIONS(1082),
    [sym_true] = ACTIONS(1082),
    [sym_false] = ACTIONS(1082),
    [sym_null] = ACTIONS(1082),
    [sym_undefined] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1080),
    [anon_sym_get] = ACTIONS(1082),
    [anon_sym_set] = ACTIONS(1082),
  },
  [221] = {
    [sym_parenthesized_expression] = STATE(579),
    [sym__expression] = STATE(579),
    [sym_yield_expression] = STATE(579),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(579),
    [sym_jsx_fragment] = STATE(579),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(579),
    [sym_anonymous_class] = STATE(579),
    [sym_class] = STATE(579),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(579),
    [sym_generator_function] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_new_expression] = STATE(579),
    [sym_await_expression] = STATE(579),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(579),
    [sym_augmented_assignment_expression] = STATE(579),
    [sym_ternary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_update_expression] = STATE(579),
    [sym_template_string] = STATE(579),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1086),
    [sym_number] = ACTIONS(1084),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(1086),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1086),
    [sym_false] = ACTIONS(1086),
    [sym_null] = ACTIONS(1086),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [222] = {
    [sym_parenthesized_expression] = STATE(580),
    [sym__expression] = STATE(580),
    [sym_yield_expression] = STATE(580),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(580),
    [sym_jsx_fragment] = STATE(580),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(580),
    [sym_anonymous_class] = STATE(580),
    [sym_class] = STATE(580),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(580),
    [sym_generator_function] = STATE(580),
    [sym_call_expression] = STATE(580),
    [sym_new_expression] = STATE(580),
    [sym_await_expression] = STATE(580),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(580),
    [sym_augmented_assignment_expression] = STATE(580),
    [sym_ternary_expression] = STATE(580),
    [sym_binary_expression] = STATE(580),
    [sym_unary_expression] = STATE(580),
    [sym_update_expression] = STATE(580),
    [sym_sequence_expression] = STATE(581),
    [sym_template_string] = STATE(580),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1090),
    [sym_number] = ACTIONS(1088),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(1090),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1090),
    [sym_false] = ACTIONS(1090),
    [sym_null] = ACTIONS(1090),
    [sym_undefined] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [223] = {
    [sym_parenthesized_expression] = STATE(591),
    [sym__expression] = STATE(591),
    [sym_yield_expression] = STATE(591),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(591),
    [sym_jsx_fragment] = STATE(591),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(591),
    [sym_anonymous_class] = STATE(591),
    [sym_class] = STATE(591),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(591),
    [sym_generator_function] = STATE(591),
    [sym_call_expression] = STATE(591),
    [sym_new_expression] = STATE(591),
    [sym_await_expression] = STATE(591),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(591),
    [sym_augmented_assignment_expression] = STATE(591),
    [sym_ternary_expression] = STATE(591),
    [sym_binary_expression] = STATE(591),
    [sym_unary_expression] = STATE(591),
    [sym_update_expression] = STATE(591),
    [sym_template_string] = STATE(591),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1108),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1110),
    [sym_number] = ACTIONS(1108),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(1110),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1110),
    [sym_false] = ACTIONS(1110),
    [sym_null] = ACTIONS(1110),
    [sym_undefined] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [224] = {
    [sym_parenthesized_expression] = STATE(596),
    [sym__expression] = STATE(596),
    [sym_yield_expression] = STATE(596),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(596),
    [sym_jsx_fragment] = STATE(596),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(596),
    [sym_anonymous_class] = STATE(596),
    [sym_class] = STATE(596),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(596),
    [sym_generator_function] = STATE(596),
    [sym_call_expression] = STATE(596),
    [sym_new_expression] = STATE(596),
    [sym_await_expression] = STATE(596),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(596),
    [sym_augmented_assignment_expression] = STATE(596),
    [sym_ternary_expression] = STATE(596),
    [sym_binary_expression] = STATE(596),
    [sym_unary_expression] = STATE(596),
    [sym_update_expression] = STATE(596),
    [sym_template_string] = STATE(596),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1118),
    [sym_number] = ACTIONS(1116),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(1118),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1118),
    [sym_false] = ACTIONS(1118),
    [sym_null] = ACTIONS(1118),
    [sym_undefined] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [225] = {
    [sym_parenthesized_expression] = STATE(597),
    [sym__expression] = STATE(597),
    [sym_yield_expression] = STATE(597),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(597),
    [sym_jsx_fragment] = STATE(597),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(597),
    [sym_anonymous_class] = STATE(597),
    [sym_class] = STATE(597),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(597),
    [sym_generator_function] = STATE(597),
    [sym_call_expression] = STATE(597),
    [sym_new_expression] = STATE(597),
    [sym_await_expression] = STATE(597),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(597),
    [sym_augmented_assignment_expression] = STATE(597),
    [sym_ternary_expression] = STATE(597),
    [sym_binary_expression] = STATE(597),
    [sym_unary_expression] = STATE(597),
    [sym_update_expression] = STATE(597),
    [sym_template_string] = STATE(597),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1120),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1122),
    [sym_number] = ACTIONS(1120),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(1122),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1122),
    [sym_false] = ACTIONS(1122),
    [sym_null] = ACTIONS(1122),
    [sym_undefined] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [226] = {
    [sym_parenthesized_expression] = STATE(598),
    [sym__expression] = STATE(598),
    [sym_yield_expression] = STATE(598),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(598),
    [sym_jsx_fragment] = STATE(598),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(598),
    [sym_anonymous_class] = STATE(598),
    [sym_class] = STATE(598),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(598),
    [sym_generator_function] = STATE(598),
    [sym_call_expression] = STATE(598),
    [sym_new_expression] = STATE(598),
    [sym_await_expression] = STATE(598),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(598),
    [sym_augmented_assignment_expression] = STATE(598),
    [sym_ternary_expression] = STATE(598),
    [sym_binary_expression] = STATE(598),
    [sym_unary_expression] = STATE(598),
    [sym_update_expression] = STATE(598),
    [sym_template_string] = STATE(598),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1126),
    [sym_number] = ACTIONS(1124),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(1126),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [sym_null] = ACTIONS(1126),
    [sym_undefined] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [227] = {
    [sym__automatic_semicolon] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_in] = ACTIONS(1014),
    [anon_sym_SEMI] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_GT] = ACTIONS(1014),
    [anon_sym_SLASH] = ACTIONS(1014),
    [anon_sym_DOT] = ACTIONS(1012),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1012),
    [anon_sym_PIPE_PIPE] = ACTIONS(1012),
    [anon_sym_GT_GT] = ACTIONS(1014),
    [anon_sym_GT_GT_GT] = ACTIONS(1012),
    [anon_sym_LT_LT] = ACTIONS(1012),
    [anon_sym_AMP] = ACTIONS(1014),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_PIPE] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_PERCENT] = ACTIONS(1012),
    [anon_sym_LT_EQ] = ACTIONS(1012),
    [anon_sym_EQ_EQ] = ACTIONS(1014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1012),
    [anon_sym_BANG_EQ] = ACTIONS(1014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1012),
    [anon_sym_GT_EQ] = ACTIONS(1012),
    [anon_sym_instanceof] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1012),
  },
  [228] = {
    [sym__automatic_semicolon] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_RPAREN] = ACTIONS(1128),
    [anon_sym_in] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_LT] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_QMARK] = ACTIONS(1128),
    [anon_sym_AMP_AMP] = ACTIONS(1128),
    [anon_sym_PIPE_PIPE] = ACTIONS(1128),
    [anon_sym_GT_GT] = ACTIONS(1130),
    [anon_sym_GT_GT_GT] = ACTIONS(1128),
    [anon_sym_LT_LT] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1128),
    [anon_sym_PIPE] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1128),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1128),
    [anon_sym_instanceof] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1128),
  },
  [229] = {
    [sym__automatic_semicolon] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_RPAREN] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_instanceof] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1132),
  },
  [230] = {
    [sym_parenthesized_expression] = STATE(601),
    [sym__expression] = STATE(601),
    [sym_yield_expression] = STATE(601),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(601),
    [sym_jsx_fragment] = STATE(601),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(601),
    [sym_anonymous_class] = STATE(601),
    [sym_class] = STATE(601),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(601),
    [sym_generator_function] = STATE(601),
    [sym_call_expression] = STATE(601),
    [sym_new_expression] = STATE(601),
    [sym_await_expression] = STATE(601),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(601),
    [sym_augmented_assignment_expression] = STATE(601),
    [sym_spread_element] = STATE(602),
    [sym_ternary_expression] = STATE(601),
    [sym_binary_expression] = STATE(601),
    [sym_unary_expression] = STATE(601),
    [sym_update_expression] = STATE(601),
    [sym_sequence_expression] = STATE(602),
    [sym_template_string] = STATE(601),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1142),
    [sym_number] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(1142),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [sym_null] = ACTIONS(1142),
    [sym_undefined] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [231] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(1144),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [232] = {
    [sym_jsx_element] = STATE(610),
    [sym_jsx_expression] = STATE(610),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_closing_element] = STATE(609),
    [sym_jsx_self_closing_element] = STATE(610),
    [aux_sym_jsx_element_repeat1] = STATE(610),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(1150),
    [sym_jsx_text] = ACTIONS(1152),
    [sym_comment] = ACTIONS(71),
  },
  [233] = {
    [sym__automatic_semicolon] = ACTIONS(1154),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_COMMA] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [anon_sym_RPAREN] = ACTIONS(1154),
    [anon_sym_in] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_LT] = ACTIONS(1156),
    [anon_sym_GT] = ACTIONS(1156),
    [anon_sym_SLASH] = ACTIONS(1156),
    [anon_sym_DOT] = ACTIONS(1154),
    [anon_sym_QMARK] = ACTIONS(1154),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE_PIPE] = ACTIONS(1154),
    [anon_sym_GT_GT] = ACTIONS(1156),
    [anon_sym_GT_GT_GT] = ACTIONS(1154),
    [anon_sym_LT_LT] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_PERCENT] = ACTIONS(1154),
    [anon_sym_LT_EQ] = ACTIONS(1154),
    [anon_sym_EQ_EQ] = ACTIONS(1156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1154),
    [anon_sym_BANG_EQ] = ACTIONS(1156),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1154),
    [anon_sym_instanceof] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1154),
  },
  [234] = {
    [sym_jsx_element] = STATE(612),
    [sym_jsx_expression] = STATE(612),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_closing_element] = STATE(611),
    [sym_jsx_self_closing_element] = STATE(612),
    [aux_sym_jsx_element_repeat1] = STATE(612),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(390),
    [sym_jsx_text] = ACTIONS(1158),
    [sym_comment] = ACTIONS(71),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1160),
    [anon_sym_export] = ACTIONS(1162),
    [anon_sym_default] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_import] = ACTIONS(1162),
    [anon_sym_var] = ACTIONS(1162),
    [anon_sym_let] = ACTIONS(1162),
    [anon_sym_const] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(1162),
    [anon_sym_else] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [anon_sym_while] = ACTIONS(1162),
    [anon_sym_do] = ACTIONS(1162),
    [anon_sym_try] = ACTIONS(1162),
    [anon_sym_with] = ACTIONS(1162),
    [anon_sym_break] = ACTIONS(1162),
    [anon_sym_continue] = ACTIONS(1162),
    [anon_sym_debugger] = ACTIONS(1162),
    [anon_sym_return] = ACTIONS(1162),
    [anon_sym_throw] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1160),
    [anon_sym_case] = ACTIONS(1162),
    [anon_sym_yield] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1160),
    [anon_sym_class] = ACTIONS(1162),
    [anon_sym_async] = ACTIONS(1162),
    [anon_sym_function] = ACTIONS(1162),
    [anon_sym_EQ_GT] = ACTIONS(1160),
    [anon_sym_new] = ACTIONS(1162),
    [anon_sym_await] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_typeof] = ACTIONS(1162),
    [anon_sym_void] = ACTIONS(1162),
    [anon_sym_delete] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [sym_regex] = ACTIONS(1162),
    [sym_number] = ACTIONS(1160),
    [sym_identifier] = ACTIONS(1162),
    [sym_this] = ACTIONS(1162),
    [sym_super] = ACTIONS(1162),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [sym_null] = ACTIONS(1162),
    [sym_undefined] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1162),
    [anon_sym_set] = ACTIONS(1162),
  },
  [236] = {
    [sym_export_statement] = STATE(236),
    [sym__declaration] = STATE(236),
    [sym_import_statement] = STATE(236),
    [sym_expression_statement] = STATE(236),
    [sym_variable_declaration] = STATE(236),
    [sym_lexical_declaration] = STATE(236),
    [sym_statement_block] = STATE(236),
    [sym_if_statement] = STATE(236),
    [sym_switch_statement] = STATE(236),
    [sym_for_statement] = STATE(236),
    [sym_for_in_statement] = STATE(236),
    [sym_for_of_statement] = STATE(236),
    [sym_while_statement] = STATE(236),
    [sym_do_statement] = STATE(236),
    [sym_try_statement] = STATE(236),
    [sym_with_statement] = STATE(236),
    [sym_break_statement] = STATE(236),
    [sym_continue_statement] = STATE(236),
    [sym_debugger_statement] = STATE(236),
    [sym_return_statement] = STATE(236),
    [sym_throw_statement] = STATE(236),
    [sym_empty_statement] = STATE(236),
    [sym_labeled_statement] = STATE(236),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(236),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [anon_sym_export] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_import] = ACTIONS(1172),
    [anon_sym_var] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1193),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_with] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_debugger] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym_yield] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1238),
    [anon_sym_EQ_GT] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(1244),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_typeof] = ACTIONS(1250),
    [anon_sym_void] = ACTIONS(1250),
    [anon_sym_delete] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1259),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [sym_regex] = ACTIONS(1265),
    [sym_number] = ACTIONS(1259),
    [sym_identifier] = ACTIONS(1268),
    [sym_this] = ACTIONS(1265),
    [sym_super] = ACTIONS(1271),
    [sym_true] = ACTIONS(1265),
    [sym_false] = ACTIONS(1265),
    [sym_null] = ACTIONS(1265),
    [sym_undefined] = ACTIONS(1265),
    [anon_sym_AT] = ACTIONS(1274),
    [anon_sym_get] = ACTIONS(1277),
    [anon_sym_set] = ACTIONS(1277),
  },
  [237] = {
    [sym__declaration] = STATE(265),
    [sym_variable_declaration] = STATE(265),
    [sym_lexical_declaration] = STATE(265),
    [sym_class] = STATE(59),
    [sym_function] = STATE(59),
    [sym_generator_function] = STATE(59),
    [sym_decorator] = STATE(60),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_var] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [anon_sym_const] = ACTIONS(97),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(103),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [238] = {
    [sym_class_heritage] = STATE(615),
    [sym_class_body] = STATE(540),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_extends] = ACTIONS(283),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1282),
  },
  [239] = {
    [sym_decorator] = STATE(239),
    [aux_sym_export_statement_repeat1] = STATE(239),
    [anon_sym_export] = ACTIONS(1284),
    [anon_sym_class] = ACTIONS(1284),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(1286),
  },
  [240] = {
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1289),
  },
  [241] = {
    [sym__automatic_semicolon] = ACTIONS(1291),
    [anon_sym_SEMI] = ACTIONS(1291),
    [sym_comment] = ACTIONS(71),
  },
  [242] = {
    [sym_parenthesized_expression] = STATE(618),
    [sym__expression] = STATE(618),
    [sym_yield_expression] = STATE(618),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(618),
    [sym_jsx_fragment] = STATE(618),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(618),
    [sym_anonymous_class] = STATE(618),
    [sym_class] = STATE(618),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(618),
    [sym_generator_function] = STATE(618),
    [sym_call_expression] = STATE(618),
    [sym_new_expression] = STATE(618),
    [sym_await_expression] = STATE(618),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(618),
    [sym_augmented_assignment_expression] = STATE(618),
    [sym_ternary_expression] = STATE(618),
    [sym_binary_expression] = STATE(618),
    [sym_unary_expression] = STATE(618),
    [sym_update_expression] = STATE(618),
    [sym_template_string] = STATE(618),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [sym__automatic_semicolon] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_SEMI] = ACTIONS(235),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(239),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(418),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1293),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1295),
    [sym_number] = ACTIONS(1293),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [sym_null] = ACTIONS(1295),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [243] = {
    [sym__initializer] = STATE(194),
    [sym_formal_parameters] = STATE(622),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_EQ_GT] = ACTIONS(1299),
    [anon_sym_PLUS_EQ] = ACTIONS(1301),
    [anon_sym_DASH_EQ] = ACTIONS(1301),
    [anon_sym_STAR_EQ] = ACTIONS(1301),
    [anon_sym_SLASH_EQ] = ACTIONS(1301),
    [anon_sym_PERCENT_EQ] = ACTIONS(1301),
    [anon_sym_CARET_EQ] = ACTIONS(1301),
    [anon_sym_AMP_EQ] = ACTIONS(1301),
    [anon_sym_PIPE_EQ] = ACTIONS(1301),
    [anon_sym_GT_GT_EQ] = ACTIONS(1301),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1301),
    [anon_sym_LT_LT_EQ] = ACTIONS(1301),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(1303),
  },
  [244] = {
    [sym_statement_block] = STATE(199),
    [sym_parenthesized_expression] = STATE(623),
    [sym__expression] = STATE(623),
    [sym_yield_expression] = STATE(623),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(623),
    [sym_jsx_fragment] = STATE(623),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(623),
    [sym_anonymous_class] = STATE(623),
    [sym_class] = STATE(623),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(623),
    [sym_generator_function] = STATE(623),
    [sym_call_expression] = STATE(623),
    [sym_new_expression] = STATE(623),
    [sym_await_expression] = STATE(623),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(623),
    [sym_augmented_assignment_expression] = STATE(623),
    [sym_ternary_expression] = STATE(623),
    [sym_binary_expression] = STATE(623),
    [sym_unary_expression] = STATE(623),
    [sym_update_expression] = STATE(623),
    [sym_template_string] = STATE(623),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1305),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1307),
    [sym_number] = ACTIONS(1305),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(1307),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [sym_null] = ACTIONS(1307),
    [sym_undefined] = ACTIONS(1307),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [245] = {
    [sym_parenthesized_expression] = STATE(201),
    [sym__expression] = STATE(201),
    [sym_yield_expression] = STATE(201),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(201),
    [sym_jsx_fragment] = STATE(201),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(201),
    [sym_anonymous_class] = STATE(201),
    [sym_class] = STATE(201),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(201),
    [sym_generator_function] = STATE(201),
    [sym_call_expression] = STATE(201),
    [sym_new_expression] = STATE(201),
    [sym_await_expression] = STATE(201),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(201),
    [sym_augmented_assignment_expression] = STATE(201),
    [sym_ternary_expression] = STATE(201),
    [sym_binary_expression] = STATE(201),
    [sym_unary_expression] = STATE(201),
    [sym_update_expression] = STATE(201),
    [sym_template_string] = STATE(201),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(318),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(320),
    [sym_number] = ACTIONS(318),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(320),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_null] = ACTIONS(320),
    [sym_undefined] = ACTIONS(320),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [246] = {
    [sym_parenthesized_expression] = STATE(624),
    [sym__expression] = STATE(624),
    [sym_yield_expression] = STATE(624),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(624),
    [sym_jsx_fragment] = STATE(624),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(624),
    [sym_anonymous_class] = STATE(624),
    [sym_class] = STATE(624),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(624),
    [sym_generator_function] = STATE(624),
    [sym_call_expression] = STATE(624),
    [sym_new_expression] = STATE(624),
    [sym_await_expression] = STATE(624),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(624),
    [sym_augmented_assignment_expression] = STATE(624),
    [sym_ternary_expression] = STATE(624),
    [sym_binary_expression] = STATE(624),
    [sym_unary_expression] = STATE(624),
    [sym_update_expression] = STATE(624),
    [sym_template_string] = STATE(624),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1309),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1311),
    [sym_number] = ACTIONS(1309),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(1311),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [sym_null] = ACTIONS(1311),
    [sym_undefined] = ACTIONS(1311),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [247] = {
    [sym_parenthesized_expression] = STATE(203),
    [sym__expression] = STATE(203),
    [sym_yield_expression] = STATE(203),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(203),
    [sym_jsx_fragment] = STATE(203),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(203),
    [sym_anonymous_class] = STATE(203),
    [sym_class] = STATE(203),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(203),
    [sym_generator_function] = STATE(203),
    [sym_call_expression] = STATE(203),
    [sym_new_expression] = STATE(203),
    [sym_await_expression] = STATE(203),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(203),
    [sym_augmented_assignment_expression] = STATE(203),
    [sym_ternary_expression] = STATE(203),
    [sym_binary_expression] = STATE(203),
    [sym_unary_expression] = STATE(203),
    [sym_update_expression] = STATE(203),
    [sym_template_string] = STATE(203),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(328),
    [sym_number] = ACTIONS(326),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(328),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_null] = ACTIONS(328),
    [sym_undefined] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [248] = {
    [sym_parenthesized_expression] = STATE(204),
    [sym__expression] = STATE(204),
    [sym_yield_expression] = STATE(204),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(204),
    [sym_jsx_fragment] = STATE(204),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(204),
    [sym_anonymous_class] = STATE(204),
    [sym_class] = STATE(204),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(204),
    [sym_generator_function] = STATE(204),
    [sym_call_expression] = STATE(204),
    [sym_new_expression] = STATE(204),
    [sym_await_expression] = STATE(204),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(204),
    [sym_augmented_assignment_expression] = STATE(204),
    [sym_ternary_expression] = STATE(204),
    [sym_binary_expression] = STATE(204),
    [sym_unary_expression] = STATE(204),
    [sym_update_expression] = STATE(204),
    [sym_template_string] = STATE(204),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(330),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(332),
    [sym_number] = ACTIONS(330),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(332),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(332),
    [sym_false] = ACTIONS(332),
    [sym_null] = ACTIONS(332),
    [sym_undefined] = ACTIONS(332),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [249] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_EQ_GT] = ACTIONS(1299),
    [anon_sym_PLUS_EQ] = ACTIONS(1315),
    [anon_sym_DASH_EQ] = ACTIONS(1315),
    [anon_sym_STAR_EQ] = ACTIONS(1315),
    [anon_sym_SLASH_EQ] = ACTIONS(1315),
    [anon_sym_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_CARET_EQ] = ACTIONS(1315),
    [anon_sym_AMP_EQ] = ACTIONS(1315),
    [anon_sym_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_GT_GT_EQ] = ACTIONS(1315),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_EQ] = ACTIONS(1315),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [250] = {
    [sym__initializer] = STATE(194),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_PLUS_EQ] = ACTIONS(1301),
    [anon_sym_DASH_EQ] = ACTIONS(1301),
    [anon_sym_STAR_EQ] = ACTIONS(1301),
    [anon_sym_SLASH_EQ] = ACTIONS(1301),
    [anon_sym_PERCENT_EQ] = ACTIONS(1301),
    [anon_sym_CARET_EQ] = ACTIONS(1301),
    [anon_sym_AMP_EQ] = ACTIONS(1301),
    [anon_sym_PIPE_EQ] = ACTIONS(1301),
    [anon_sym_GT_GT_EQ] = ACTIONS(1301),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1301),
    [anon_sym_LT_LT_EQ] = ACTIONS(1301),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [251] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1291),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [252] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [253] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [254] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_PLUS_EQ] = ACTIONS(1315),
    [anon_sym_DASH_EQ] = ACTIONS(1315),
    [anon_sym_STAR_EQ] = ACTIONS(1315),
    [anon_sym_SLASH_EQ] = ACTIONS(1315),
    [anon_sym_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_CARET_EQ] = ACTIONS(1315),
    [anon_sym_AMP_EQ] = ACTIONS(1315),
    [anon_sym_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_GT_GT_EQ] = ACTIONS(1315),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_EQ] = ACTIONS(1315),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [255] = {
    [anon_sym_EQ_GT] = ACTIONS(1299),
    [sym_comment] = ACTIONS(71),
  },
  [256] = {
    [anon_sym_RBRACE] = ACTIONS(1335),
    [sym_comment] = ACTIONS(71),
  },
  [257] = {
    [sym__automatic_semicolon] = ACTIONS(1337),
    [anon_sym_from] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [sym_comment] = ACTIONS(71),
  },
  [258] = {
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_as] = ACTIONS(1341),
    [sym_comment] = ACTIONS(71),
  },
  [259] = {
    [aux_sym_export_clause_repeat1] = STATE(636),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [sym_comment] = ACTIONS(71),
  },
  [260] = {
    [sym_class_heritage] = STATE(638),
    [sym_class_body] = STATE(639),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [261] = {
    [sym_formal_parameters] = STATE(641),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1349),
  },
  [262] = {
    [sym_formal_parameters] = STATE(643),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1351),
  },
  [263] = {
    [sym_formal_parameters] = STATE(641),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [264] = {
    [sym_statement_block] = STATE(645),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [sym_comment] = ACTIONS(71),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(1355),
    [anon_sym_export] = ACTIONS(1357),
    [anon_sym_default] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_RBRACE] = ACTIONS(1355),
    [anon_sym_import] = ACTIONS(1357),
    [anon_sym_var] = ACTIONS(1357),
    [anon_sym_let] = ACTIONS(1357),
    [anon_sym_const] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_else] = ACTIONS(1357),
    [anon_sym_switch] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(1357),
    [anon_sym_try] = ACTIONS(1357),
    [anon_sym_with] = ACTIONS(1357),
    [anon_sym_break] = ACTIONS(1357),
    [anon_sym_continue] = ACTIONS(1357),
    [anon_sym_debugger] = ACTIONS(1357),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_throw] = ACTIONS(1357),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym_case] = ACTIONS(1357),
    [anon_sym_yield] = ACTIONS(1357),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1355),
    [anon_sym_class] = ACTIONS(1357),
    [anon_sym_async] = ACTIONS(1357),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1355),
    [anon_sym_new] = ACTIONS(1357),
    [anon_sym_await] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_BANG] = ACTIONS(1355),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_typeof] = ACTIONS(1357),
    [anon_sym_void] = ACTIONS(1357),
    [anon_sym_delete] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1355),
    [anon_sym_BQUOTE] = ACTIONS(1355),
    [sym_regex] = ACTIONS(1357),
    [sym_number] = ACTIONS(1355),
    [sym_identifier] = ACTIONS(1357),
    [sym_this] = ACTIONS(1357),
    [sym_super] = ACTIONS(1357),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_undefined] = ACTIONS(1357),
    [anon_sym_AT] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1357),
    [anon_sym_set] = ACTIONS(1357),
  },
  [266] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1359),
  },
  [267] = {
    [sym_decorator] = STATE(267),
    [aux_sym_export_statement_repeat1] = STATE(267),
    [anon_sym_class] = ACTIONS(1284),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(1286),
  },
  [268] = {
    [sym_parenthesized_expression] = STATE(656),
    [sym__expression] = STATE(656),
    [sym_yield_expression] = STATE(656),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(656),
    [sym_jsx_fragment] = STATE(656),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(656),
    [sym_anonymous_class] = STATE(656),
    [sym_class] = STATE(656),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(656),
    [sym_generator_function] = STATE(656),
    [sym_call_expression] = STATE(656),
    [sym_new_expression] = STATE(656),
    [sym_await_expression] = STATE(656),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(656),
    [sym_augmented_assignment_expression] = STATE(656),
    [sym_ternary_expression] = STATE(656),
    [sym_binary_expression] = STATE(656),
    [sym_unary_expression] = STATE(656),
    [sym_update_expression] = STATE(656),
    [sym_template_string] = STATE(656),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1377),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1379),
    [sym_number] = ACTIONS(1377),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(1379),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_null] = ACTIONS(1379),
    [sym_undefined] = ACTIONS(1379),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [269] = {
    [anon_sym_LPAREN] = ACTIONS(497),
    [sym_comment] = ACTIONS(71),
  },
  [270] = {
    [sym_formal_parameters] = STATE(661),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [271] = {
    [sym_object] = STATE(276),
    [sym_assignment_pattern] = STATE(666),
    [sym_array] = STATE(278),
    [sym_spread_element] = STATE(666),
    [sym_decorator] = STATE(667),
    [sym_method_definition] = STATE(666),
    [sym_pair] = STATE(666),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_export_statement_repeat1] = STATE(667),
    [aux_sym_object_repeat1] = STATE(668),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_async] = ACTIONS(1387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_identifier] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
  },
  [272] = {
    [sym_parenthesized_expression] = STATE(670),
    [sym__expression] = STATE(670),
    [sym_yield_expression] = STATE(670),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(670),
    [sym_jsx_fragment] = STATE(670),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(670),
    [sym_anonymous_class] = STATE(670),
    [sym_class] = STATE(670),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(670),
    [sym_generator_function] = STATE(670),
    [sym_call_expression] = STATE(670),
    [sym_new_expression] = STATE(670),
    [sym_await_expression] = STATE(670),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(670),
    [sym_augmented_assignment_expression] = STATE(670),
    [sym_spread_element] = STATE(671),
    [sym_ternary_expression] = STATE(670),
    [sym_binary_expression] = STATE(670),
    [sym_unary_expression] = STATE(670),
    [sym_update_expression] = STATE(670),
    [sym_template_string] = STATE(670),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [aux_sym_array_repeat1] = STATE(672),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1395),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1397),
    [sym_number] = ACTIONS(1395),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1397),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1397),
    [sym_false] = ACTIONS(1397),
    [sym_null] = ACTIONS(1397),
    [sym_undefined] = ACTIONS(1397),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [273] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [274] = {
    [sym__initializer] = STATE(674),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_EQ] = ACTIONS(1403),
    [sym_comment] = ACTIONS(71),
  },
  [275] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [276] = {
    [sym__initializer] = STATE(675),
    [anon_sym_EQ] = ACTIONS(1403),
    [sym_comment] = ACTIONS(71),
  },
  [277] = {
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [sym_comment] = ACTIONS(71),
  },
  [278] = {
    [sym__initializer] = STATE(676),
    [anon_sym_EQ] = ACTIONS(1403),
    [sym_comment] = ACTIONS(71),
  },
  [279] = {
    [sym_decorator] = STATE(678),
    [sym_method_definition] = STATE(677),
    [sym__property_name] = STATE(319),
    [sym_computed_property_name] = STATE(319),
    [aux_sym_export_statement_repeat1] = STATE(678),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(560),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
  },
  [280] = {
    [sym_export_statement] = STATE(684),
    [sym__declaration] = STATE(684),
    [sym_import_statement] = STATE(684),
    [sym_expression_statement] = STATE(684),
    [sym_variable_declaration] = STATE(684),
    [sym_lexical_declaration] = STATE(684),
    [sym_statement_block] = STATE(684),
    [sym_if_statement] = STATE(684),
    [sym_switch_statement] = STATE(684),
    [sym_for_statement] = STATE(684),
    [sym_for_in_statement] = STATE(684),
    [sym_for_of_statement] = STATE(684),
    [sym_while_statement] = STATE(684),
    [sym_do_statement] = STATE(684),
    [sym_try_statement] = STATE(684),
    [sym_with_statement] = STATE(684),
    [sym_break_statement] = STATE(684),
    [sym_continue_statement] = STATE(684),
    [sym_debugger_statement] = STATE(684),
    [sym_return_statement] = STATE(684),
    [sym_throw_statement] = STATE(684),
    [sym_empty_statement] = STATE(684),
    [sym_labeled_statement] = STATE(684),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [281] = {
    [sym_expression_statement] = STATE(688),
    [sym_variable_declaration] = STATE(688),
    [sym_lexical_declaration] = STATE(688),
    [sym_empty_statement] = STATE(688),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(689),
    [sym_array] = STATE(690),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_var] = ACTIONS(1417),
    [anon_sym_let] = ACTIONS(1419),
    [anon_sym_const] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1421),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [282] = {
    [sym_export_statement] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym_import_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_variable_declaration] = STATE(441),
    [sym_lexical_declaration] = STATE(441),
    [sym_statement_block] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_for_in_statement] = STATE(441),
    [sym_for_of_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_with_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_debugger_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_empty_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [283] = {
    [sym_export_statement] = STATE(465),
    [sym__declaration] = STATE(465),
    [sym_import_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_variable_declaration] = STATE(465),
    [sym_lexical_declaration] = STATE(465),
    [sym_statement_block] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_for_in_statement] = STATE(465),
    [sym_for_of_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_with_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_debugger_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_labeled_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [284] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [aux_sym_array_repeat1] = STATE(493),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [285] = {
    [sym__property_name] = STATE(692),
    [sym_computed_property_name] = STATE(692),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1425),
    [sym_number] = ACTIONS(1425),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [286] = {
    [sym__automatic_semicolon] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1427),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_of] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1429),
    [anon_sym_DOT] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1427),
    [anon_sym_AMP_AMP] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1427),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1427),
    [anon_sym_LT_LT] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1427),
    [anon_sym_PIPE] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1427),
    [anon_sym_LT_EQ] = ACTIONS(1427),
    [anon_sym_EQ_EQ] = ACTIONS(1429),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1427),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1427),
    [anon_sym_GT_EQ] = ACTIONS(1427),
    [anon_sym_instanceof] = ACTIONS(1427),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1427),
  },
  [287] = {
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_EQ_GT] = ACTIONS(988),
    [sym_comment] = ACTIONS(71),
  },
  [288] = {
    [sym__property_name] = STATE(692),
    [sym_computed_property_name] = STATE(692),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1425),
    [sym_number] = ACTIONS(1425),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [289] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [sym_comment] = ACTIONS(71),
  },
  [290] = {
    [sym_parenthesized_expression] = STATE(694),
    [sym__expression] = STATE(694),
    [sym_yield_expression] = STATE(694),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(694),
    [sym_jsx_fragment] = STATE(694),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(694),
    [sym_anonymous_class] = STATE(694),
    [sym_class] = STATE(694),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(694),
    [sym_generator_function] = STATE(694),
    [sym_call_expression] = STATE(694),
    [sym_new_expression] = STATE(694),
    [sym_await_expression] = STATE(694),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(694),
    [sym_augmented_assignment_expression] = STATE(694),
    [sym_ternary_expression] = STATE(694),
    [sym_binary_expression] = STATE(694),
    [sym_unary_expression] = STATE(694),
    [sym_update_expression] = STATE(694),
    [sym_template_string] = STATE(694),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1433),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1435),
    [sym_number] = ACTIONS(1433),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(1435),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1435),
    [sym_false] = ACTIONS(1435),
    [sym_null] = ACTIONS(1435),
    [sym_undefined] = ACTIONS(1435),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [291] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(697),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(1439),
    [anon_sym_PLUS_EQ] = ACTIONS(1441),
    [anon_sym_DASH_EQ] = ACTIONS(1441),
    [anon_sym_STAR_EQ] = ACTIONS(1441),
    [anon_sym_SLASH_EQ] = ACTIONS(1441),
    [anon_sym_PERCENT_EQ] = ACTIONS(1441),
    [anon_sym_CARET_EQ] = ACTIONS(1441),
    [anon_sym_AMP_EQ] = ACTIONS(1441),
    [anon_sym_PIPE_EQ] = ACTIONS(1441),
    [anon_sym_GT_GT_EQ] = ACTIONS(1441),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT_EQ] = ACTIONS(1441),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(1443),
  },
  [292] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(698),
    [sym__expression] = STATE(698),
    [sym_yield_expression] = STATE(698),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(698),
    [sym_jsx_fragment] = STATE(698),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(698),
    [sym_anonymous_class] = STATE(698),
    [sym_class] = STATE(698),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(698),
    [sym_generator_function] = STATE(698),
    [sym_call_expression] = STATE(698),
    [sym_new_expression] = STATE(698),
    [sym_await_expression] = STATE(698),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(698),
    [sym_augmented_assignment_expression] = STATE(698),
    [sym_ternary_expression] = STATE(698),
    [sym_binary_expression] = STATE(698),
    [sym_unary_expression] = STATE(698),
    [sym_update_expression] = STATE(698),
    [sym_template_string] = STATE(698),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1445),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1447),
    [sym_number] = ACTIONS(1445),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(1447),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1447),
    [sym_false] = ACTIONS(1447),
    [sym_null] = ACTIONS(1447),
    [sym_undefined] = ACTIONS(1447),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [293] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [294] = {
    [sym_parenthesized_expression] = STATE(699),
    [sym__expression] = STATE(699),
    [sym_yield_expression] = STATE(699),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(699),
    [sym_jsx_fragment] = STATE(699),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(699),
    [sym_anonymous_class] = STATE(699),
    [sym_class] = STATE(699),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(699),
    [sym_generator_function] = STATE(699),
    [sym_call_expression] = STATE(699),
    [sym_new_expression] = STATE(699),
    [sym_await_expression] = STATE(699),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(699),
    [sym_augmented_assignment_expression] = STATE(699),
    [sym_ternary_expression] = STATE(699),
    [sym_binary_expression] = STATE(699),
    [sym_unary_expression] = STATE(699),
    [sym_update_expression] = STATE(699),
    [sym_template_string] = STATE(699),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1449),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1451),
    [sym_number] = ACTIONS(1449),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(1451),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1451),
    [sym_false] = ACTIONS(1451),
    [sym_null] = ACTIONS(1451),
    [sym_undefined] = ACTIONS(1451),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [295] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [296] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [297] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_EQ_GT] = ACTIONS(1439),
    [anon_sym_PLUS_EQ] = ACTIONS(1455),
    [anon_sym_DASH_EQ] = ACTIONS(1455),
    [anon_sym_STAR_EQ] = ACTIONS(1455),
    [anon_sym_SLASH_EQ] = ACTIONS(1455),
    [anon_sym_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_CARET_EQ] = ACTIONS(1455),
    [anon_sym_AMP_EQ] = ACTIONS(1455),
    [anon_sym_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_GT_GT_EQ] = ACTIONS(1455),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1455),
    [anon_sym_LT_LT_EQ] = ACTIONS(1455),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [298] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_PLUS_EQ] = ACTIONS(1441),
    [anon_sym_DASH_EQ] = ACTIONS(1441),
    [anon_sym_STAR_EQ] = ACTIONS(1441),
    [anon_sym_SLASH_EQ] = ACTIONS(1441),
    [anon_sym_PERCENT_EQ] = ACTIONS(1441),
    [anon_sym_CARET_EQ] = ACTIONS(1441),
    [anon_sym_AMP_EQ] = ACTIONS(1441),
    [anon_sym_PIPE_EQ] = ACTIONS(1441),
    [anon_sym_GT_GT_EQ] = ACTIONS(1441),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1441),
    [anon_sym_LT_LT_EQ] = ACTIONS(1441),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [299] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1459),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [300] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [301] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [302] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_PLUS_EQ] = ACTIONS(1455),
    [anon_sym_DASH_EQ] = ACTIONS(1455),
    [anon_sym_STAR_EQ] = ACTIONS(1455),
    [anon_sym_SLASH_EQ] = ACTIONS(1455),
    [anon_sym_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_CARET_EQ] = ACTIONS(1455),
    [anon_sym_AMP_EQ] = ACTIONS(1455),
    [anon_sym_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_GT_GT_EQ] = ACTIONS(1455),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1455),
    [anon_sym_LT_LT_EQ] = ACTIONS(1455),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [303] = {
    [anon_sym_EQ_GT] = ACTIONS(1439),
    [sym_comment] = ACTIONS(71),
  },
  [304] = {
    [sym_export_statement] = STATE(564),
    [sym__declaration] = STATE(564),
    [sym_import_statement] = STATE(564),
    [sym_expression_statement] = STATE(564),
    [sym_variable_declaration] = STATE(564),
    [sym_lexical_declaration] = STATE(564),
    [sym_statement_block] = STATE(564),
    [sym_if_statement] = STATE(564),
    [sym_switch_statement] = STATE(564),
    [sym_for_statement] = STATE(564),
    [sym_for_in_statement] = STATE(564),
    [sym_for_of_statement] = STATE(564),
    [sym_while_statement] = STATE(564),
    [sym_do_statement] = STATE(564),
    [sym_try_statement] = STATE(564),
    [sym_with_statement] = STATE(564),
    [sym_break_statement] = STATE(564),
    [sym_continue_statement] = STATE(564),
    [sym_debugger_statement] = STATE(564),
    [sym_return_statement] = STATE(564),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(564),
    [sym_labeled_statement] = STATE(564),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [305] = {
    [sym_parenthesized_expression] = STATE(716),
    [sym__expression] = STATE(716),
    [sym_yield_expression] = STATE(716),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(716),
    [sym_jsx_fragment] = STATE(716),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(716),
    [sym_anonymous_class] = STATE(716),
    [sym_class] = STATE(716),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(716),
    [sym_generator_function] = STATE(716),
    [sym_call_expression] = STATE(716),
    [sym_new_expression] = STATE(716),
    [sym_await_expression] = STATE(716),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(716),
    [sym_ternary_expression] = STATE(716),
    [sym_binary_expression] = STATE(716),
    [sym_unary_expression] = STATE(716),
    [sym_update_expression] = STATE(716),
    [sym_template_string] = STATE(716),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1493),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1495),
    [sym_number] = ACTIONS(1493),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(1495),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_null] = ACTIONS(1495),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [306] = {
    [sym__automatic_semicolon] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_COMMA] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_SEMI] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1038),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1038),
    [anon_sym_LT_LT] = ACTIONS(1038),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1038),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_EQ_EQ] = ACTIONS(1040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1038),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_instanceof] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1038),
  },
  [307] = {
    [sym__automatic_semicolon] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_in] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_LT] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_QMARK] = ACTIONS(1128),
    [anon_sym_AMP_AMP] = ACTIONS(1128),
    [anon_sym_PIPE_PIPE] = ACTIONS(1128),
    [anon_sym_GT_GT] = ACTIONS(1130),
    [anon_sym_GT_GT_GT] = ACTIONS(1128),
    [anon_sym_LT_LT] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1128),
    [anon_sym_PIPE] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1128),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1128),
    [anon_sym_instanceof] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1128),
  },
  [308] = {
    [sym__automatic_semicolon] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_RBRACE] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_of] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_DOT] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_QMARK] = ACTIONS(1511),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_GT_GT_GT] = ACTIONS(1511),
    [anon_sym_LT_LT] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_instanceof] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1511),
  },
  [309] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [sym_comment] = ACTIONS(71),
  },
  [310] = {
    [sym__automatic_semicolon] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1517),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_instanceof] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1132),
  },
  [311] = {
    [sym_parenthesized_expression] = STATE(722),
    [sym__expression] = STATE(722),
    [sym_yield_expression] = STATE(722),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(722),
    [sym_jsx_fragment] = STATE(722),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(722),
    [sym_anonymous_class] = STATE(722),
    [sym_class] = STATE(722),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(722),
    [sym_generator_function] = STATE(722),
    [sym_call_expression] = STATE(722),
    [sym_new_expression] = STATE(722),
    [sym_await_expression] = STATE(722),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(722),
    [sym_augmented_assignment_expression] = STATE(722),
    [sym_ternary_expression] = STATE(722),
    [sym_binary_expression] = STATE(722),
    [sym_unary_expression] = STATE(722),
    [sym_update_expression] = STATE(722),
    [sym_template_string] = STATE(722),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1524),
    [sym_number] = ACTIONS(1522),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(1524),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1524),
    [sym_false] = ACTIONS(1524),
    [sym_null] = ACTIONS(1524),
    [sym_undefined] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [312] = {
    [sym_statement_block] = STATE(723),
    [anon_sym_LBRACE] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [anon_sym_export] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(1528),
    [anon_sym_var] = ACTIONS(1528),
    [anon_sym_let] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_else] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
    [anon_sym_try] = ACTIONS(1528),
    [anon_sym_with] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_debugger] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_throw] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_catch] = ACTIONS(1528),
    [anon_sym_finally] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_class] = ACTIONS(1528),
    [anon_sym_async] = ACTIONS(1528),
    [anon_sym_function] = ACTIONS(1528),
    [anon_sym_EQ_GT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1528),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1528),
    [anon_sym_delete] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [sym_regex] = ACTIONS(1528),
    [sym_number] = ACTIONS(1526),
    [sym_identifier] = ACTIONS(1528),
    [sym_this] = ACTIONS(1528),
    [sym_super] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [sym_null] = ACTIONS(1528),
    [sym_undefined] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1526),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_get] = ACTIONS(1528),
    [anon_sym_set] = ACTIONS(1528),
  },
  [314] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [315] = {
    [sym_export_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_import_statement] = STATE(315),
    [sym_expression_statement] = STATE(315),
    [sym_variable_declaration] = STATE(315),
    [sym_lexical_declaration] = STATE(315),
    [sym_statement_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_for_in_statement] = STATE(315),
    [sym_for_of_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_statement] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_with_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_debugger_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_empty_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(315),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_import] = ACTIONS(1172),
    [anon_sym_var] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_if] = ACTIONS(1532),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1538),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_with] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_debugger] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym_yield] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1238),
    [anon_sym_EQ_GT] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(1244),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_typeof] = ACTIONS(1250),
    [anon_sym_void] = ACTIONS(1250),
    [anon_sym_delete] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1259),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [sym_regex] = ACTIONS(1265),
    [sym_number] = ACTIONS(1259),
    [sym_identifier] = ACTIONS(1544),
    [sym_this] = ACTIONS(1265),
    [sym_super] = ACTIONS(1271),
    [sym_true] = ACTIONS(1265),
    [sym_false] = ACTIONS(1265),
    [sym_null] = ACTIONS(1265),
    [sym_undefined] = ACTIONS(1265),
    [anon_sym_AT] = ACTIONS(1274),
    [anon_sym_get] = ACTIONS(1277),
    [anon_sym_set] = ACTIONS(1277),
  },
  [316] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [317] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [318] = {
    [aux_sym_object_repeat1] = STATE(724),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [sym_comment] = ACTIONS(71),
  },
  [319] = {
    [sym_formal_parameters] = STATE(312),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [320] = {
    [sym_decorator] = STATE(320),
    [aux_sym_export_statement_repeat1] = STATE(320),
    [anon_sym_export] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_class] = ACTIONS(1547),
    [anon_sym_async] = ACTIONS(1547),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1284),
    [sym_number] = ACTIONS(1284),
    [sym_identifier] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1286),
    [anon_sym_get] = ACTIONS(1547),
    [anon_sym_set] = ACTIONS(1547),
  },
  [321] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [sym_comment] = ACTIONS(71),
  },
  [322] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1552),
  },
  [323] = {
    [anon_sym_RBRACE] = ACTIONS(1554),
    [sym_comment] = ACTIONS(71),
  },
  [324] = {
    [anon_sym_from] = ACTIONS(1556),
    [sym_comment] = ACTIONS(71),
  },
  [325] = {
    [aux_sym_named_imports_repeat1] = STATE(729),
    [anon_sym_COMMA] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [sym_comment] = ACTIONS(71),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(1562),
    [anon_sym_export] = ACTIONS(1564),
    [anon_sym_default] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [anon_sym_import] = ACTIONS(1564),
    [anon_sym_var] = ACTIONS(1564),
    [anon_sym_let] = ACTIONS(1564),
    [anon_sym_const] = ACTIONS(1564),
    [anon_sym_if] = ACTIONS(1564),
    [anon_sym_else] = ACTIONS(1564),
    [anon_sym_switch] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1564),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1564),
    [anon_sym_try] = ACTIONS(1564),
    [anon_sym_with] = ACTIONS(1564),
    [anon_sym_break] = ACTIONS(1564),
    [anon_sym_continue] = ACTIONS(1564),
    [anon_sym_debugger] = ACTIONS(1564),
    [anon_sym_return] = ACTIONS(1564),
    [anon_sym_throw] = ACTIONS(1564),
    [anon_sym_SEMI] = ACTIONS(1562),
    [anon_sym_case] = ACTIONS(1564),
    [anon_sym_yield] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LT] = ACTIONS(1562),
    [anon_sym_class] = ACTIONS(1564),
    [anon_sym_async] = ACTIONS(1564),
    [anon_sym_function] = ACTIONS(1564),
    [anon_sym_EQ_GT] = ACTIONS(1562),
    [anon_sym_new] = ACTIONS(1564),
    [anon_sym_await] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_typeof] = ACTIONS(1564),
    [anon_sym_void] = ACTIONS(1564),
    [anon_sym_delete] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1562),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_regex] = ACTIONS(1564),
    [sym_number] = ACTIONS(1562),
    [sym_identifier] = ACTIONS(1564),
    [sym_this] = ACTIONS(1564),
    [sym_super] = ACTIONS(1564),
    [sym_true] = ACTIONS(1564),
    [sym_false] = ACTIONS(1564),
    [sym_null] = ACTIONS(1564),
    [sym_undefined] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1562),
    [anon_sym_get] = ACTIONS(1564),
    [anon_sym_set] = ACTIONS(1564),
  },
  [327] = {
    [sym_namespace_import] = STATE(730),
    [sym_named_imports] = STATE(730),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(133),
    [sym_comment] = ACTIONS(71),
  },
  [328] = {
    [sym__automatic_semicolon] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1566),
    [sym_comment] = ACTIONS(71),
  },
  [329] = {
    [sym__automatic_semicolon] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(474),
    [anon_sym_of] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_EQ] = ACTIONS(474),
    [sym_comment] = ACTIONS(71),
  },
  [330] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(733),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [331] = {
    [sym__initializer] = STATE(674),
    [aux_sym_object_repeat1] = STATE(733),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_EQ] = ACTIONS(1403),
    [sym_comment] = ACTIONS(71),
  },
  [332] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(733),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [333] = {
    [aux_sym_object_repeat1] = STATE(735),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [sym_comment] = ACTIONS(71),
  },
  [334] = {
    [sym_decorator] = STATE(678),
    [sym_method_definition] = STATE(736),
    [sym__property_name] = STATE(319),
    [sym_computed_property_name] = STATE(319),
    [aux_sym_export_statement_repeat1] = STATE(678),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(560),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
  },
  [335] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [sym_comment] = ACTIONS(71),
  },
  [336] = {
    [sym__automatic_semicolon] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(848),
    [anon_sym_of] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_EQ] = ACTIONS(848),
    [sym_comment] = ACTIONS(71),
  },
  [337] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [aux_sym_array_repeat1] = STATE(738),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [338] = {
    [aux_sym_array_repeat1] = STATE(738),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [sym_comment] = ACTIONS(71),
  },
  [339] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(1572),
    [sym_comment] = ACTIONS(71),
  },
  [340] = {
    [sym__automatic_semicolon] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1574),
    [sym_comment] = ACTIONS(71),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1578),
    [anon_sym_default] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [anon_sym_import] = ACTIONS(1578),
    [anon_sym_var] = ACTIONS(1578),
    [anon_sym_let] = ACTIONS(1578),
    [anon_sym_const] = ACTIONS(1578),
    [anon_sym_if] = ACTIONS(1578),
    [anon_sym_else] = ACTIONS(1578),
    [anon_sym_switch] = ACTIONS(1578),
    [anon_sym_for] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1578),
    [anon_sym_try] = ACTIONS(1578),
    [anon_sym_with] = ACTIONS(1578),
    [anon_sym_break] = ACTIONS(1578),
    [anon_sym_continue] = ACTIONS(1578),
    [anon_sym_debugger] = ACTIONS(1578),
    [anon_sym_return] = ACTIONS(1578),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1576),
    [anon_sym_case] = ACTIONS(1578),
    [anon_sym_yield] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_class] = ACTIONS(1578),
    [anon_sym_async] = ACTIONS(1578),
    [anon_sym_function] = ACTIONS(1578),
    [anon_sym_EQ_GT] = ACTIONS(1576),
    [anon_sym_new] = ACTIONS(1578),
    [anon_sym_await] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_void] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1576),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [sym_regex] = ACTIONS(1578),
    [sym_number] = ACTIONS(1576),
    [sym_identifier] = ACTIONS(1578),
    [sym_this] = ACTIONS(1578),
    [sym_super] = ACTIONS(1578),
    [sym_true] = ACTIONS(1578),
    [sym_false] = ACTIONS(1578),
    [sym_null] = ACTIONS(1578),
    [sym_undefined] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1576),
    [anon_sym_get] = ACTIONS(1578),
    [anon_sym_set] = ACTIONS(1578),
  },
  [342] = {
    [sym_variable_declarator] = STATE(739),
    [sym_object] = STATE(91),
    [sym_array] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(143),
  },
  [343] = {
    [aux_sym_variable_declaration_repeat1] = STATE(741),
    [sym__automatic_semicolon] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(598),
    [anon_sym_SEMI] = ACTIONS(1580),
    [sym_comment] = ACTIONS(71),
  },
  [344] = {
    [sym__automatic_semicolon] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [sym_comment] = ACTIONS(71),
  },
  [345] = {
    [sym__automatic_semicolon] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1584),
    [sym_comment] = ACTIONS(71),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1586),
    [anon_sym_export] = ACTIONS(1588),
    [anon_sym_default] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1586),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_import] = ACTIONS(1588),
    [anon_sym_var] = ACTIONS(1588),
    [anon_sym_let] = ACTIONS(1588),
    [anon_sym_const] = ACTIONS(1588),
    [anon_sym_if] = ACTIONS(1588),
    [anon_sym_else] = ACTIONS(1588),
    [anon_sym_switch] = ACTIONS(1588),
    [anon_sym_for] = ACTIONS(1588),
    [anon_sym_LPAREN] = ACTIONS(1586),
    [anon_sym_while] = ACTIONS(1588),
    [anon_sym_do] = ACTIONS(1588),
    [anon_sym_try] = ACTIONS(1588),
    [anon_sym_with] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1588),
    [anon_sym_debugger] = ACTIONS(1588),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_throw] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1586),
    [anon_sym_case] = ACTIONS(1588),
    [anon_sym_yield] = ACTIONS(1588),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1586),
    [anon_sym_class] = ACTIONS(1588),
    [anon_sym_async] = ACTIONS(1588),
    [anon_sym_function] = ACTIONS(1588),
    [anon_sym_EQ_GT] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_await] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1586),
    [anon_sym_TILDE] = ACTIONS(1586),
    [anon_sym_typeof] = ACTIONS(1588),
    [anon_sym_void] = ACTIONS(1588),
    [anon_sym_delete] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1586),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1586),
    [anon_sym_BQUOTE] = ACTIONS(1586),
    [sym_regex] = ACTIONS(1588),
    [sym_number] = ACTIONS(1586),
    [sym_identifier] = ACTIONS(1588),
    [sym_this] = ACTIONS(1588),
    [sym_super] = ACTIONS(1588),
    [sym_true] = ACTIONS(1588),
    [sym_false] = ACTIONS(1588),
    [sym_null] = ACTIONS(1588),
    [sym_undefined] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1586),
    [anon_sym_get] = ACTIONS(1588),
    [anon_sym_set] = ACTIONS(1588),
  },
  [347] = {
    [aux_sym_variable_declaration_repeat1] = STATE(741),
    [sym__automatic_semicolon] = ACTIONS(1590),
    [anon_sym_COMMA] = ACTIONS(598),
    [anon_sym_SEMI] = ACTIONS(1590),
    [sym_comment] = ACTIONS(71),
  },
  [348] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(397),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(676),
    [anon_sym_DASH_EQ] = ACTIONS(676),
    [anon_sym_STAR_EQ] = ACTIONS(676),
    [anon_sym_SLASH_EQ] = ACTIONS(676),
    [anon_sym_PERCENT_EQ] = ACTIONS(676),
    [anon_sym_CARET_EQ] = ACTIONS(676),
    [anon_sym_AMP_EQ] = ACTIONS(676),
    [anon_sym_PIPE_EQ] = ACTIONS(676),
    [anon_sym_GT_GT_EQ] = ACTIONS(676),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(676),
    [anon_sym_LT_LT_EQ] = ACTIONS(676),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(678),
  },
  [349] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_EQ_GT] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(722),
    [anon_sym_DASH_EQ] = ACTIONS(722),
    [anon_sym_STAR_EQ] = ACTIONS(722),
    [anon_sym_SLASH_EQ] = ACTIONS(722),
    [anon_sym_PERCENT_EQ] = ACTIONS(722),
    [anon_sym_CARET_EQ] = ACTIONS(722),
    [anon_sym_AMP_EQ] = ACTIONS(722),
    [anon_sym_PIPE_EQ] = ACTIONS(722),
    [anon_sym_GT_GT_EQ] = ACTIONS(722),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(722),
    [anon_sym_LT_LT_EQ] = ACTIONS(722),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [350] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_PLUS_EQ] = ACTIONS(676),
    [anon_sym_DASH_EQ] = ACTIONS(676),
    [anon_sym_STAR_EQ] = ACTIONS(676),
    [anon_sym_SLASH_EQ] = ACTIONS(676),
    [anon_sym_PERCENT_EQ] = ACTIONS(676),
    [anon_sym_CARET_EQ] = ACTIONS(676),
    [anon_sym_AMP_EQ] = ACTIONS(676),
    [anon_sym_PIPE_EQ] = ACTIONS(676),
    [anon_sym_GT_GT_EQ] = ACTIONS(676),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(676),
    [anon_sym_LT_LT_EQ] = ACTIONS(676),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [351] = {
    [anon_sym_RPAREN] = ACTIONS(1592),
    [sym_comment] = ACTIONS(71),
  },
  [352] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [353] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [354] = {
    [sym_parenthesized_expression] = STATE(744),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [355] = {
    [anon_sym_LPAREN] = ACTIONS(1594),
    [sym_comment] = ACTIONS(71),
  },
  [356] = {
    [sym_parenthesized_expression] = STATE(746),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [357] = {
    [sym_parenthesized_expression] = STATE(747),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [358] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [anon_sym_export] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(1600),
    [anon_sym_let] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(1602),
    [anon_sym_switch] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_while] = ACTIONS(1600),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_try] = ACTIONS(1600),
    [anon_sym_with] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_debugger] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_yield] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_class] = ACTIONS(1600),
    [anon_sym_async] = ACTIONS(1600),
    [anon_sym_function] = ACTIONS(1600),
    [anon_sym_EQ_GT] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1600),
    [anon_sym_await] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_void] = ACTIONS(1600),
    [anon_sym_delete] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [sym_regex] = ACTIONS(1600),
    [sym_number] = ACTIONS(1598),
    [sym_identifier] = ACTIONS(1600),
    [sym_this] = ACTIONS(1600),
    [sym_super] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [sym_null] = ACTIONS(1600),
    [sym_undefined] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1600),
    [anon_sym_set] = ACTIONS(1600),
  },
  [360] = {
    [sym_switch_case] = STATE(753),
    [sym_switch_default] = STATE(753),
    [aux_sym_switch_body_repeat1] = STATE(753),
    [anon_sym_default] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [anon_sym_case] = ACTIONS(1608),
    [sym_comment] = ACTIONS(71),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1610),
    [anon_sym_export] = ACTIONS(1612),
    [anon_sym_default] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1610),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_import] = ACTIONS(1612),
    [anon_sym_var] = ACTIONS(1612),
    [anon_sym_let] = ACTIONS(1612),
    [anon_sym_const] = ACTIONS(1612),
    [anon_sym_if] = ACTIONS(1612),
    [anon_sym_else] = ACTIONS(1612),
    [anon_sym_switch] = ACTIONS(1612),
    [anon_sym_for] = ACTIONS(1612),
    [anon_sym_LPAREN] = ACTIONS(1610),
    [anon_sym_while] = ACTIONS(1612),
    [anon_sym_do] = ACTIONS(1612),
    [anon_sym_try] = ACTIONS(1612),
    [anon_sym_with] = ACTIONS(1612),
    [anon_sym_break] = ACTIONS(1612),
    [anon_sym_continue] = ACTIONS(1612),
    [anon_sym_debugger] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1612),
    [anon_sym_throw] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1610),
    [anon_sym_case] = ACTIONS(1612),
    [anon_sym_yield] = ACTIONS(1612),
    [anon_sym_LBRACK] = ACTIONS(1610),
    [anon_sym_LT] = ACTIONS(1610),
    [anon_sym_class] = ACTIONS(1612),
    [anon_sym_async] = ACTIONS(1612),
    [anon_sym_function] = ACTIONS(1612),
    [anon_sym_EQ_GT] = ACTIONS(1610),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_await] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1610),
    [anon_sym_TILDE] = ACTIONS(1610),
    [anon_sym_typeof] = ACTIONS(1612),
    [anon_sym_void] = ACTIONS(1612),
    [anon_sym_delete] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1610),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1610),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [sym_regex] = ACTIONS(1612),
    [sym_number] = ACTIONS(1610),
    [sym_identifier] = ACTIONS(1612),
    [sym_this] = ACTIONS(1612),
    [sym_super] = ACTIONS(1612),
    [sym_true] = ACTIONS(1612),
    [sym_false] = ACTIONS(1612),
    [sym_null] = ACTIONS(1612),
    [sym_undefined] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1610),
    [anon_sym_get] = ACTIONS(1612),
    [anon_sym_set] = ACTIONS(1612),
  },
  [362] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(755),
    [sym_array] = STATE(756),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1614),
  },
  [363] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(755),
    [sym_array] = STATE(756),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1614),
  },
  [364] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1616),
    [anon_sym_of] = ACTIONS(1618),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [365] = {
    [sym_expression_statement] = STATE(759),
    [sym_empty_statement] = STATE(759),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [366] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1620),
    [anon_sym_of] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [367] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1624),
    [anon_sym_of] = ACTIONS(1626),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [368] = {
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(480),
    [anon_sym_COLON] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(474),
    [anon_sym_RBRACK] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_GT] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_DOT] = ACTIONS(474),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(474),
    [anon_sym_PIPE_PIPE] = ACTIONS(474),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_GT_GT_GT] = ACTIONS(474),
    [anon_sym_LT_LT] = ACTIONS(474),
    [anon_sym_AMP] = ACTIONS(480),
    [anon_sym_CARET] = ACTIONS(474),
    [anon_sym_PIPE] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(474),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(474),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(474),
  },
  [369] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(765),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [370] = {
    [sym__initializer] = STATE(674),
    [aux_sym_object_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_EQ] = ACTIONS(1403),
    [sym_comment] = ACTIONS(71),
  },
  [371] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(765),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [372] = {
    [aux_sym_object_repeat1] = STATE(767),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1630),
    [sym_comment] = ACTIONS(71),
  },
  [373] = {
    [sym_decorator] = STATE(678),
    [sym_method_definition] = STATE(768),
    [sym__property_name] = STATE(319),
    [sym_computed_property_name] = STATE(319),
    [aux_sym_export_statement_repeat1] = STATE(678),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(560),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
  },
  [374] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1630),
    [sym_comment] = ACTIONS(71),
  },
  [375] = {
    [anon_sym_RPAREN] = ACTIONS(1632),
    [sym_comment] = ACTIONS(71),
  },
  [376] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [377] = {
    [anon_sym_STAR] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(848),
    [anon_sym_COMMA] = ACTIONS(848),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_RPAREN] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(850),
    [anon_sym_COLON] = ACTIONS(848),
    [anon_sym_LBRACK] = ACTIONS(848),
    [anon_sym_RBRACK] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(848),
    [anon_sym_EQ] = ACTIONS(850),
    [anon_sym_QMARK] = ACTIONS(848),
    [anon_sym_AMP_AMP] = ACTIONS(848),
    [anon_sym_PIPE_PIPE] = ACTIONS(848),
    [anon_sym_GT_GT] = ACTIONS(850),
    [anon_sym_GT_GT_GT] = ACTIONS(848),
    [anon_sym_LT_LT] = ACTIONS(848),
    [anon_sym_AMP] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(848),
    [anon_sym_PIPE] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(848),
    [anon_sym_LT_EQ] = ACTIONS(848),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(848),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(848),
    [anon_sym_GT_EQ] = ACTIONS(848),
    [anon_sym_instanceof] = ACTIONS(848),
    [anon_sym_PLUS_PLUS] = ACTIONS(848),
    [anon_sym_DASH_DASH] = ACTIONS(848),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(848),
  },
  [378] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [aux_sym_array_repeat1] = STATE(771),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1634),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [379] = {
    [aux_sym_array_repeat1] = STATE(771),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(1634),
    [sym_comment] = ACTIONS(71),
  },
  [380] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(1634),
    [sym_comment] = ACTIONS(71),
  },
  [381] = {
    [sym_jsx_element] = STATE(773),
    [sym_jsx_expression] = STATE(773),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_self_closing_element] = STATE(773),
    [aux_sym_jsx_element_repeat1] = STATE(773),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(1636),
    [sym_jsx_text] = ACTIONS(1638),
    [sym_comment] = ACTIONS(71),
  },
  [382] = {
    [sym_jsx_expression] = STATE(775),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(775),
    [aux_sym_jsx_opening_element_repeat1] = STATE(775),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(1640),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [383] = {
    [sym_jsx_expression] = STATE(777),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(777),
    [aux_sym_jsx_opening_element_repeat1] = STATE(777),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(1642),
    [sym_jsx_identifier] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [384] = {
    [sym_jsx_expression] = STATE(777),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(777),
    [aux_sym_jsx_opening_element_repeat1] = STATE(777),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(1642),
    [sym_jsx_identifier] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [385] = {
    [sym_jsx_expression] = STATE(777),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(777),
    [aux_sym_jsx_opening_element_repeat1] = STATE(777),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(1642),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [386] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(779),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(1644),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [387] = {
    [sym_class_heritage] = STATE(780),
    [sym_class_body] = STATE(781),
    [anon_sym_LBRACE] = ACTIONS(658),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [388] = {
    [sym_class_body] = STATE(782),
    [anon_sym_LBRACE] = ACTIONS(658),
    [sym_comment] = ACTIONS(71),
  },
  [389] = {
    [anon_sym_STAR] = ACTIONS(962),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_RPAREN] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(964),
    [anon_sym_COLON] = ACTIONS(962),
    [anon_sym_LBRACK] = ACTIONS(962),
    [anon_sym_RBRACK] = ACTIONS(962),
    [anon_sym_LT] = ACTIONS(964),
    [anon_sym_GT] = ACTIONS(964),
    [anon_sym_SLASH] = ACTIONS(964),
    [anon_sym_DOT] = ACTIONS(962),
    [anon_sym_QMARK] = ACTIONS(962),
    [anon_sym_AMP_AMP] = ACTIONS(962),
    [anon_sym_PIPE_PIPE] = ACTIONS(962),
    [anon_sym_GT_GT] = ACTIONS(964),
    [anon_sym_GT_GT_GT] = ACTIONS(962),
    [anon_sym_LT_LT] = ACTIONS(962),
    [anon_sym_AMP] = ACTIONS(964),
    [anon_sym_CARET] = ACTIONS(962),
    [anon_sym_PIPE] = ACTIONS(964),
    [anon_sym_PLUS] = ACTIONS(964),
    [anon_sym_DASH] = ACTIONS(964),
    [anon_sym_PERCENT] = ACTIONS(962),
    [anon_sym_LT_EQ] = ACTIONS(962),
    [anon_sym_EQ_EQ] = ACTIONS(964),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(962),
    [anon_sym_BANG_EQ] = ACTIONS(964),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(962),
    [anon_sym_GT_EQ] = ACTIONS(962),
    [anon_sym_instanceof] = ACTIONS(962),
    [anon_sym_PLUS_PLUS] = ACTIONS(962),
    [anon_sym_DASH_DASH] = ACTIONS(962),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(962),
  },
  [390] = {
    [sym_object] = STATE(785),
    [sym_assignment_pattern] = STATE(786),
    [sym_array] = STATE(787),
    [sym_rest_parameter] = STATE(786),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(1646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(173),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1648),
    [anon_sym_get] = ACTIONS(1646),
    [anon_sym_set] = ACTIONS(1646),
  },
  [391] = {
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_EQ_GT] = ACTIONS(1650),
    [sym_comment] = ACTIONS(71),
  },
  [392] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1652),
  },
  [393] = {
    [sym_parenthesized_expression] = STATE(789),
    [sym__expression] = STATE(789),
    [sym_yield_expression] = STATE(789),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(789),
    [sym_jsx_fragment] = STATE(789),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(789),
    [sym_anonymous_class] = STATE(789),
    [sym_class] = STATE(789),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(789),
    [sym_generator_function] = STATE(789),
    [sym_call_expression] = STATE(789),
    [sym_new_expression] = STATE(789),
    [sym_await_expression] = STATE(789),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(789),
    [sym_augmented_assignment_expression] = STATE(789),
    [sym_ternary_expression] = STATE(789),
    [sym_binary_expression] = STATE(789),
    [sym_unary_expression] = STATE(789),
    [sym_update_expression] = STATE(789),
    [sym_template_string] = STATE(789),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1654),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1656),
    [sym_number] = ACTIONS(1654),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1656),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1656),
    [sym_false] = ACTIONS(1656),
    [sym_null] = ACTIONS(1656),
    [sym_undefined] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [394] = {
    [sym_formal_parameters] = STATE(791),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1658),
  },
  [395] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(793),
    [sym__expression] = STATE(793),
    [sym_yield_expression] = STATE(793),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(793),
    [sym_jsx_fragment] = STATE(793),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(793),
    [sym_anonymous_class] = STATE(793),
    [sym_class] = STATE(793),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(793),
    [sym_generator_function] = STATE(793),
    [sym_call_expression] = STATE(793),
    [sym_new_expression] = STATE(793),
    [sym_await_expression] = STATE(793),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(793),
    [sym_augmented_assignment_expression] = STATE(793),
    [sym_ternary_expression] = STATE(793),
    [sym_binary_expression] = STATE(793),
    [sym_unary_expression] = STATE(793),
    [sym_update_expression] = STATE(793),
    [sym_template_string] = STATE(793),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1660),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1662),
    [sym_number] = ACTIONS(1660),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1662),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1662),
    [sym_false] = ACTIONS(1662),
    [sym_null] = ACTIONS(1662),
    [sym_undefined] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [396] = {
    [sym_parenthesized_expression] = STATE(794),
    [sym__expression] = STATE(794),
    [sym_yield_expression] = STATE(794),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(794),
    [sym_jsx_fragment] = STATE(794),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(794),
    [sym_anonymous_class] = STATE(794),
    [sym_class] = STATE(794),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(794),
    [sym_generator_function] = STATE(794),
    [sym_call_expression] = STATE(794),
    [sym_new_expression] = STATE(794),
    [sym_await_expression] = STATE(794),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(794),
    [sym_augmented_assignment_expression] = STATE(794),
    [sym_ternary_expression] = STATE(794),
    [sym_binary_expression] = STATE(794),
    [sym_unary_expression] = STATE(794),
    [sym_update_expression] = STATE(794),
    [sym_template_string] = STATE(794),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1664),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1666),
    [sym_number] = ACTIONS(1664),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1666),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1666),
    [sym_false] = ACTIONS(1666),
    [sym_null] = ACTIONS(1666),
    [sym_undefined] = ACTIONS(1666),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [397] = {
    [anon_sym_EQ_GT] = ACTIONS(1668),
    [sym_comment] = ACTIONS(71),
  },
  [398] = {
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(990),
    [anon_sym_COMMA] = ACTIONS(990),
    [anon_sym_RBRACE] = ACTIONS(990),
    [anon_sym_LPAREN] = ACTIONS(990),
    [anon_sym_RPAREN] = ACTIONS(990),
    [anon_sym_in] = ACTIONS(992),
    [anon_sym_COLON] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_RBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(992),
    [anon_sym_GT] = ACTIONS(992),
    [anon_sym_SLASH] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(990),
    [anon_sym_QMARK] = ACTIONS(990),
    [anon_sym_AMP_AMP] = ACTIONS(990),
    [anon_sym_PIPE_PIPE] = ACTIONS(990),
    [anon_sym_GT_GT] = ACTIONS(992),
    [anon_sym_GT_GT_GT] = ACTIONS(990),
    [anon_sym_LT_LT] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(990),
    [anon_sym_PIPE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_PERCENT] = ACTIONS(990),
    [anon_sym_LT_EQ] = ACTIONS(990),
    [anon_sym_EQ_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(990),
    [anon_sym_BANG_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(990),
    [anon_sym_GT_EQ] = ACTIONS(990),
    [anon_sym_instanceof] = ACTIONS(990),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(990),
  },
  [399] = {
    [aux_sym_formal_parameters_repeat1] = STATE(797),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(1670),
    [sym_comment] = ACTIONS(71),
  },
  [400] = {
    [sym_formal_parameters] = STATE(799),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1672),
  },
  [401] = {
    [sym_formal_parameters] = STATE(791),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [402] = {
    [sym_statement_block] = STATE(801),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(71),
  },
  [403] = {
    [sym_export_statement] = STATE(805),
    [sym__declaration] = STATE(805),
    [sym_import_statement] = STATE(805),
    [sym_expression_statement] = STATE(805),
    [sym_variable_declaration] = STATE(805),
    [sym_lexical_declaration] = STATE(805),
    [sym_statement_block] = STATE(805),
    [sym_if_statement] = STATE(805),
    [sym_switch_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_for_in_statement] = STATE(805),
    [sym_for_of_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_do_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_break_statement] = STATE(805),
    [sym_continue_statement] = STATE(805),
    [sym_debugger_statement] = STATE(805),
    [sym_return_statement] = STATE(805),
    [sym_throw_statement] = STATE(805),
    [sym_empty_statement] = STATE(805),
    [sym_labeled_statement] = STATE(805),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(74),
    [sym_assignment_pattern] = STATE(372),
    [sym_array] = STATE(76),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_spread_element] = STATE(372),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(806),
    [sym_formal_parameters] = STATE(47),
    [sym_method_definition] = STATE(372),
    [sym_pair] = STATE(372),
    [sym__property_name] = STATE(77),
    [sym_computed_property_name] = STATE(77),
    [aux_sym_program_repeat1] = STATE(805),
    [aux_sym_export_statement_repeat1] = STATE(806),
    [aux_sym_object_repeat1] = STATE(374),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(1676),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1678),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1680),
    [anon_sym_set] = ACTIONS(1680),
  },
  [404] = {
    [anon_sym_STAR] = ACTIONS(998),
    [anon_sym_LBRACE] = ACTIONS(998),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_RBRACE] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(998),
    [anon_sym_RPAREN] = ACTIONS(998),
    [anon_sym_in] = ACTIONS(1000),
    [anon_sym_COLON] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(998),
    [anon_sym_RBRACK] = ACTIONS(998),
    [anon_sym_LT] = ACTIONS(1000),
    [anon_sym_GT] = ACTIONS(1000),
    [anon_sym_SLASH] = ACTIONS(1000),
    [anon_sym_DOT] = ACTIONS(998),
    [anon_sym_QMARK] = ACTIONS(998),
    [anon_sym_AMP_AMP] = ACTIONS(998),
    [anon_sym_PIPE_PIPE] = ACTIONS(998),
    [anon_sym_GT_GT] = ACTIONS(1000),
    [anon_sym_GT_GT_GT] = ACTIONS(998),
    [anon_sym_LT_LT] = ACTIONS(998),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_CARET] = ACTIONS(998),
    [anon_sym_PIPE] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1000),
    [anon_sym_PERCENT] = ACTIONS(998),
    [anon_sym_LT_EQ] = ACTIONS(998),
    [anon_sym_EQ_EQ] = ACTIONS(1000),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(998),
    [anon_sym_BANG_EQ] = ACTIONS(1000),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(998),
    [anon_sym_GT_EQ] = ACTIONS(998),
    [anon_sym_instanceof] = ACTIONS(998),
    [anon_sym_PLUS_PLUS] = ACTIONS(998),
    [anon_sym_DASH_DASH] = ACTIONS(998),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(998),
  },
  [405] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(998),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [406] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_COMMA] = ACTIONS(1002),
    [anon_sym_RBRACE] = ACTIONS(1002),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(1002),
    [anon_sym_in] = ACTIONS(1004),
    [anon_sym_COLON] = ACTIONS(1002),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1002),
    [anon_sym_LT] = ACTIONS(1004),
    [anon_sym_GT] = ACTIONS(1004),
    [anon_sym_SLASH] = ACTIONS(1004),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1002),
    [anon_sym_AMP_AMP] = ACTIONS(1002),
    [anon_sym_PIPE_PIPE] = ACTIONS(1002),
    [anon_sym_GT_GT] = ACTIONS(1004),
    [anon_sym_GT_GT_GT] = ACTIONS(1002),
    [anon_sym_LT_LT] = ACTIONS(1002),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_CARET] = ACTIONS(1002),
    [anon_sym_PIPE] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_PERCENT] = ACTIONS(1002),
    [anon_sym_LT_EQ] = ACTIONS(1002),
    [anon_sym_EQ_EQ] = ACTIONS(1004),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1002),
    [anon_sym_BANG_EQ] = ACTIONS(1004),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1002),
    [anon_sym_GT_EQ] = ACTIONS(1002),
    [anon_sym_instanceof] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [407] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(1006),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [408] = {
    [anon_sym_COMMA] = ACTIONS(1682),
    [anon_sym_RPAREN] = ACTIONS(1682),
    [sym_comment] = ACTIONS(71),
  },
  [409] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(1008),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(1008),
    [anon_sym_in] = ACTIONS(1010),
    [anon_sym_COLON] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1008),
    [anon_sym_LT] = ACTIONS(1010),
    [anon_sym_GT] = ACTIONS(1010),
    [anon_sym_SLASH] = ACTIONS(1010),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1008),
    [anon_sym_AMP_AMP] = ACTIONS(1008),
    [anon_sym_PIPE_PIPE] = ACTIONS(1008),
    [anon_sym_GT_GT] = ACTIONS(1010),
    [anon_sym_GT_GT_GT] = ACTIONS(1008),
    [anon_sym_LT_LT] = ACTIONS(1008),
    [anon_sym_AMP] = ACTIONS(1010),
    [anon_sym_CARET] = ACTIONS(1008),
    [anon_sym_PIPE] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1010),
    [anon_sym_DASH] = ACTIONS(1010),
    [anon_sym_PERCENT] = ACTIONS(1008),
    [anon_sym_LT_EQ] = ACTIONS(1008),
    [anon_sym_EQ_EQ] = ACTIONS(1010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1008),
    [anon_sym_BANG_EQ] = ACTIONS(1010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1008),
    [anon_sym_GT_EQ] = ACTIONS(1008),
    [anon_sym_instanceof] = ACTIONS(1008),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [410] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_in] = ACTIONS(1014),
    [anon_sym_COLON] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1012),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_GT] = ACTIONS(1014),
    [anon_sym_SLASH] = ACTIONS(1014),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1012),
    [anon_sym_PIPE_PIPE] = ACTIONS(1012),
    [anon_sym_GT_GT] = ACTIONS(1014),
    [anon_sym_GT_GT_GT] = ACTIONS(1012),
    [anon_sym_LT_LT] = ACTIONS(1012),
    [anon_sym_AMP] = ACTIONS(1014),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_PIPE] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_PERCENT] = ACTIONS(1012),
    [anon_sym_LT_EQ] = ACTIONS(1012),
    [anon_sym_EQ_EQ] = ACTIONS(1014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1012),
    [anon_sym_BANG_EQ] = ACTIONS(1014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1012),
    [anon_sym_GT_EQ] = ACTIONS(1012),
    [anon_sym_instanceof] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [411] = {
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_LBRACE] = ACTIONS(1016),
    [anon_sym_COMMA] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_RPAREN] = ACTIONS(1016),
    [anon_sym_in] = ACTIONS(1018),
    [anon_sym_COLON] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(1016),
    [anon_sym_RBRACK] = ACTIONS(1016),
    [anon_sym_LT] = ACTIONS(1018),
    [anon_sym_GT] = ACTIONS(1018),
    [anon_sym_SLASH] = ACTIONS(1018),
    [anon_sym_DOT] = ACTIONS(1016),
    [anon_sym_QMARK] = ACTIONS(1016),
    [anon_sym_AMP_AMP] = ACTIONS(1016),
    [anon_sym_PIPE_PIPE] = ACTIONS(1016),
    [anon_sym_GT_GT] = ACTIONS(1018),
    [anon_sym_GT_GT_GT] = ACTIONS(1016),
    [anon_sym_LT_LT] = ACTIONS(1016),
    [anon_sym_AMP] = ACTIONS(1018),
    [anon_sym_CARET] = ACTIONS(1016),
    [anon_sym_PIPE] = ACTIONS(1018),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_PERCENT] = ACTIONS(1016),
    [anon_sym_LT_EQ] = ACTIONS(1016),
    [anon_sym_EQ_EQ] = ACTIONS(1018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1016),
    [anon_sym_BANG_EQ] = ACTIONS(1018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1016),
    [anon_sym_GT_EQ] = ACTIONS(1016),
    [anon_sym_instanceof] = ACTIONS(1016),
    [anon_sym_PLUS_PLUS] = ACTIONS(1016),
    [anon_sym_DASH_DASH] = ACTIONS(1016),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1016),
  },
  [412] = {
    [sym_template_substitution] = STATE(562),
    [aux_sym_template_string_repeat1] = STATE(562),
    [sym__template_chars] = ACTIONS(1024),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1684),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(338),
  },
  [413] = {
    [anon_sym_LBRACE] = ACTIONS(1686),
    [anon_sym_EQ_GT] = ACTIONS(1686),
    [sym_comment] = ACTIONS(71),
  },
  [414] = {
    [sym_parenthesized_expression] = STATE(808),
    [sym__expression] = STATE(808),
    [sym_yield_expression] = STATE(808),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(808),
    [sym_jsx_fragment] = STATE(808),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(808),
    [sym_anonymous_class] = STATE(808),
    [sym_class] = STATE(808),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(808),
    [sym_generator_function] = STATE(808),
    [sym_call_expression] = STATE(808),
    [sym_new_expression] = STATE(808),
    [sym_await_expression] = STATE(808),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(808),
    [sym_augmented_assignment_expression] = STATE(808),
    [sym_ternary_expression] = STATE(808),
    [sym_binary_expression] = STATE(808),
    [sym_unary_expression] = STATE(808),
    [sym_update_expression] = STATE(808),
    [sym_template_string] = STATE(808),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1688),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1690),
    [sym_number] = ACTIONS(1688),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1690),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1690),
    [sym_false] = ACTIONS(1690),
    [sym_null] = ACTIONS(1690),
    [sym_undefined] = ACTIONS(1690),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [415] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1692),
  },
  [416] = {
    [sym_parenthesized_expression] = STATE(810),
    [sym__expression] = STATE(810),
    [sym_yield_expression] = STATE(810),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(810),
    [sym_jsx_fragment] = STATE(810),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(810),
    [sym_anonymous_class] = STATE(810),
    [sym_class] = STATE(810),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(810),
    [sym_generator_function] = STATE(810),
    [sym_call_expression] = STATE(810),
    [sym_new_expression] = STATE(810),
    [sym_await_expression] = STATE(810),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(810),
    [sym_augmented_assignment_expression] = STATE(810),
    [sym_ternary_expression] = STATE(810),
    [sym_binary_expression] = STATE(810),
    [sym_unary_expression] = STATE(810),
    [sym_update_expression] = STATE(810),
    [sym_template_string] = STATE(810),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1694),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1696),
    [sym_number] = ACTIONS(1694),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1696),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1696),
    [sym_false] = ACTIONS(1696),
    [sym_null] = ACTIONS(1696),
    [sym_undefined] = ACTIONS(1696),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [417] = {
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_COMMA] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_RPAREN] = ACTIONS(1501),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1038),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1038),
    [anon_sym_LT_LT] = ACTIONS(1038),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1038),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_EQ_EQ] = ACTIONS(1040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1038),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_instanceof] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1038),
  },
  [418] = {
    [aux_sym_formal_parameters_repeat1] = STATE(797),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(1698),
    [sym_comment] = ACTIONS(71),
  },
  [419] = {
    [sym_parenthesized_expression] = STATE(813),
    [sym__expression] = STATE(813),
    [sym_yield_expression] = STATE(813),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(813),
    [sym_jsx_fragment] = STATE(813),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(813),
    [sym_anonymous_class] = STATE(813),
    [sym_class] = STATE(813),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(813),
    [sym_generator_function] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_new_expression] = STATE(813),
    [sym_await_expression] = STATE(813),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(813),
    [sym_augmented_assignment_expression] = STATE(813),
    [sym_spread_element] = STATE(814),
    [sym_ternary_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_update_expression] = STATE(813),
    [sym_template_string] = STATE(813),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [aux_sym_array_repeat1] = STATE(815),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(1700),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1702),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1704),
    [sym_number] = ACTIONS(1702),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1704),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [420] = {
    [sym_parenthesized_expression] = STATE(574),
    [sym__expressions] = STATE(816),
    [sym__expression] = STATE(574),
    [sym_yield_expression] = STATE(574),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(574),
    [sym_jsx_fragment] = STATE(574),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(574),
    [sym_anonymous_class] = STATE(574),
    [sym_class] = STATE(574),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(574),
    [sym_await_expression] = STATE(574),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(574),
    [sym_augmented_assignment_expression] = STATE(574),
    [sym_ternary_expression] = STATE(574),
    [sym_binary_expression] = STATE(574),
    [sym_unary_expression] = STATE(574),
    [sym_update_expression] = STATE(574),
    [sym_sequence_expression] = STATE(816),
    [sym_template_string] = STATE(574),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1052),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1054),
    [sym_number] = ACTIONS(1052),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1054),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1054),
    [sym_false] = ACTIONS(1054),
    [sym_null] = ACTIONS(1054),
    [sym_undefined] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [421] = {
    [anon_sym_STAR] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_COMMA] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(1056),
    [anon_sym_in] = ACTIONS(1058),
    [anon_sym_COLON] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_RBRACK] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_GT] = ACTIONS(1058),
    [anon_sym_SLASH] = ACTIONS(1058),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_AMP_AMP] = ACTIONS(1056),
    [anon_sym_PIPE_PIPE] = ACTIONS(1056),
    [anon_sym_GT_GT] = ACTIONS(1058),
    [anon_sym_GT_GT_GT] = ACTIONS(1056),
    [anon_sym_LT_LT] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1058),
    [anon_sym_CARET] = ACTIONS(1056),
    [anon_sym_PIPE] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_PERCENT] = ACTIONS(1056),
    [anon_sym_LT_EQ] = ACTIONS(1056),
    [anon_sym_EQ_EQ] = ACTIONS(1058),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1056),
    [anon_sym_BANG_EQ] = ACTIONS(1058),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1056),
    [anon_sym_GT_EQ] = ACTIONS(1056),
    [anon_sym_instanceof] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1056),
  },
  [422] = {
    [sym__automatic_semicolon] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_RPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1708),
    [anon_sym_GT] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1708),
    [anon_sym_DOT] = ACTIONS(1706),
    [anon_sym_QMARK] = ACTIONS(1706),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1706),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_GT_GT_GT] = ACTIONS(1706),
    [anon_sym_LT_LT] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PERCENT] = ACTIONS(1706),
    [anon_sym_LT_EQ] = ACTIONS(1706),
    [anon_sym_EQ_EQ] = ACTIONS(1708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1706),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1706),
    [anon_sym_GT_EQ] = ACTIONS(1706),
    [anon_sym_instanceof] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1706),
  },
  [423] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [424] = {
    [sym_parenthesized_expression] = STATE(818),
    [sym__expression] = STATE(818),
    [sym_yield_expression] = STATE(818),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(818),
    [sym_jsx_fragment] = STATE(818),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(818),
    [sym_anonymous_class] = STATE(818),
    [sym_class] = STATE(818),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(818),
    [sym_generator_function] = STATE(818),
    [sym_call_expression] = STATE(818),
    [sym_new_expression] = STATE(818),
    [sym_await_expression] = STATE(818),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(818),
    [sym_augmented_assignment_expression] = STATE(818),
    [sym_ternary_expression] = STATE(818),
    [sym_binary_expression] = STATE(818),
    [sym_unary_expression] = STATE(818),
    [sym_update_expression] = STATE(818),
    [sym_sequence_expression] = STATE(819),
    [sym_template_string] = STATE(818),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1714),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1716),
    [sym_number] = ACTIONS(1714),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1716),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1716),
    [sym_false] = ACTIONS(1716),
    [sym_null] = ACTIONS(1716),
    [sym_undefined] = ACTIONS(1716),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [425] = {
    [sym_parenthesized_expression] = STATE(820),
    [sym__expression] = STATE(820),
    [sym_yield_expression] = STATE(820),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(820),
    [sym_jsx_fragment] = STATE(820),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(820),
    [sym_anonymous_class] = STATE(820),
    [sym_class] = STATE(820),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(820),
    [sym_generator_function] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_new_expression] = STATE(820),
    [sym_await_expression] = STATE(820),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(820),
    [sym_augmented_assignment_expression] = STATE(820),
    [sym_ternary_expression] = STATE(820),
    [sym_binary_expression] = STATE(820),
    [sym_unary_expression] = STATE(820),
    [sym_update_expression] = STATE(820),
    [sym_template_string] = STATE(820),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1718),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1720),
    [sym_number] = ACTIONS(1718),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(1720),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1720),
    [sym_false] = ACTIONS(1720),
    [sym_null] = ACTIONS(1720),
    [sym_undefined] = ACTIONS(1720),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [426] = {
    [sym_parenthesized_expression] = STATE(821),
    [sym__expression] = STATE(821),
    [sym_yield_expression] = STATE(821),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(821),
    [sym_jsx_fragment] = STATE(821),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(821),
    [sym_anonymous_class] = STATE(821),
    [sym_class] = STATE(821),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(821),
    [sym_generator_function] = STATE(821),
    [sym_call_expression] = STATE(821),
    [sym_new_expression] = STATE(821),
    [sym_await_expression] = STATE(821),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(821),
    [sym_augmented_assignment_expression] = STATE(821),
    [sym_ternary_expression] = STATE(821),
    [sym_binary_expression] = STATE(821),
    [sym_unary_expression] = STATE(821),
    [sym_update_expression] = STATE(821),
    [sym_template_string] = STATE(821),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1722),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1724),
    [sym_number] = ACTIONS(1722),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1724),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1724),
    [sym_false] = ACTIONS(1724),
    [sym_null] = ACTIONS(1724),
    [sym_undefined] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [427] = {
    [sym_parenthesized_expression] = STATE(822),
    [sym__expression] = STATE(822),
    [sym_yield_expression] = STATE(822),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(822),
    [sym_jsx_fragment] = STATE(822),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(822),
    [sym_anonymous_class] = STATE(822),
    [sym_class] = STATE(822),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(822),
    [sym_generator_function] = STATE(822),
    [sym_call_expression] = STATE(822),
    [sym_new_expression] = STATE(822),
    [sym_await_expression] = STATE(822),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(822),
    [sym_augmented_assignment_expression] = STATE(822),
    [sym_ternary_expression] = STATE(822),
    [sym_binary_expression] = STATE(822),
    [sym_unary_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_template_string] = STATE(822),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1726),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1728),
    [sym_number] = ACTIONS(1726),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1728),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1728),
    [sym_false] = ACTIONS(1728),
    [sym_null] = ACTIONS(1728),
    [sym_undefined] = ACTIONS(1728),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [428] = {
    [sym_parenthesized_expression] = STATE(823),
    [sym__expression] = STATE(823),
    [sym_yield_expression] = STATE(823),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(823),
    [sym_jsx_fragment] = STATE(823),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(823),
    [sym_anonymous_class] = STATE(823),
    [sym_class] = STATE(823),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(823),
    [sym_generator_function] = STATE(823),
    [sym_call_expression] = STATE(823),
    [sym_new_expression] = STATE(823),
    [sym_await_expression] = STATE(823),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(823),
    [sym_augmented_assignment_expression] = STATE(823),
    [sym_ternary_expression] = STATE(823),
    [sym_binary_expression] = STATE(823),
    [sym_unary_expression] = STATE(823),
    [sym_update_expression] = STATE(823),
    [sym_template_string] = STATE(823),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1730),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1732),
    [sym_number] = ACTIONS(1730),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(1732),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1732),
    [sym_false] = ACTIONS(1732),
    [sym_null] = ACTIONS(1732),
    [sym_undefined] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [429] = {
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_COMMA] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_in] = ACTIONS(1014),
    [anon_sym_COLON] = ACTIONS(1012),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_RBRACK] = ACTIONS(1012),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_GT] = ACTIONS(1014),
    [anon_sym_SLASH] = ACTIONS(1014),
    [anon_sym_DOT] = ACTIONS(1012),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1012),
    [anon_sym_PIPE_PIPE] = ACTIONS(1012),
    [anon_sym_GT_GT] = ACTIONS(1014),
    [anon_sym_GT_GT_GT] = ACTIONS(1012),
    [anon_sym_LT_LT] = ACTIONS(1012),
    [anon_sym_AMP] = ACTIONS(1014),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_PIPE] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_PERCENT] = ACTIONS(1012),
    [anon_sym_LT_EQ] = ACTIONS(1012),
    [anon_sym_EQ_EQ] = ACTIONS(1014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1012),
    [anon_sym_BANG_EQ] = ACTIONS(1014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1012),
    [anon_sym_GT_EQ] = ACTIONS(1012),
    [anon_sym_instanceof] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1012),
  },
  [430] = {
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_EQ_GT] = ACTIONS(1734),
    [sym_comment] = ACTIONS(71),
  },
  [431] = {
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_RPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_LT] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_QMARK] = ACTIONS(1128),
    [anon_sym_AMP_AMP] = ACTIONS(1128),
    [anon_sym_PIPE_PIPE] = ACTIONS(1128),
    [anon_sym_GT_GT] = ACTIONS(1130),
    [anon_sym_GT_GT_GT] = ACTIONS(1128),
    [anon_sym_LT_LT] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1128),
    [anon_sym_PIPE] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1128),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1128),
    [anon_sym_instanceof] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1128),
  },
  [432] = {
    [aux_sym_formal_parameters_repeat1] = STATE(797),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(1736),
    [sym_comment] = ACTIONS(71),
  },
  [433] = {
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_EQ_GT] = ACTIONS(1738),
    [sym_comment] = ACTIONS(71),
  },
  [434] = {
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_RPAREN] = ACTIONS(1517),
    [anon_sym_in] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_instanceof] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1132),
  },
  [435] = {
    [aux_sym_formal_parameters_repeat1] = STATE(797),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(1740),
    [sym_comment] = ACTIONS(71),
  },
  [436] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(1742),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [437] = {
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_COMMA] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [anon_sym_RPAREN] = ACTIONS(1154),
    [anon_sym_in] = ACTIONS(1156),
    [anon_sym_COLON] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_RBRACK] = ACTIONS(1154),
    [anon_sym_LT] = ACTIONS(1156),
    [anon_sym_GT] = ACTIONS(1156),
    [anon_sym_SLASH] = ACTIONS(1156),
    [anon_sym_DOT] = ACTIONS(1154),
    [anon_sym_QMARK] = ACTIONS(1154),
    [anon_sym_AMP_AMP] = ACTIONS(1154),
    [anon_sym_PIPE_PIPE] = ACTIONS(1154),
    [anon_sym_GT_GT] = ACTIONS(1156),
    [anon_sym_GT_GT_GT] = ACTIONS(1154),
    [anon_sym_LT_LT] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1156),
    [anon_sym_CARET] = ACTIONS(1154),
    [anon_sym_PIPE] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_PERCENT] = ACTIONS(1154),
    [anon_sym_LT_EQ] = ACTIONS(1154),
    [anon_sym_EQ_EQ] = ACTIONS(1156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1154),
    [anon_sym_BANG_EQ] = ACTIONS(1156),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1154),
    [anon_sym_instanceof] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1154),
  },
  [438] = {
    [sym_jsx_element] = STATE(612),
    [sym_jsx_expression] = STATE(612),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_closing_element] = STATE(827),
    [sym_jsx_self_closing_element] = STATE(612),
    [aux_sym_jsx_element_repeat1] = STATE(612),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(762),
    [sym_jsx_text] = ACTIONS(1158),
    [sym_comment] = ACTIONS(71),
  },
  [439] = {
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_COMMA] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_RPAREN] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1040),
    [anon_sym_COLON] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_RBRACK] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1040),
    [anon_sym_GT] = ACTIONS(1040),
    [anon_sym_SLASH] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1038),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_GT_GT] = ACTIONS(1040),
    [anon_sym_GT_GT_GT] = ACTIONS(1038),
    [anon_sym_LT_LT] = ACTIONS(1038),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_CARET] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1038),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_EQ_EQ] = ACTIONS(1040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1038),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_instanceof] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1038),
  },
  [440] = {
    [sym_class_heritage] = STATE(829),
    [sym_class_body] = STATE(782),
    [anon_sym_LBRACE] = ACTIONS(658),
    [anon_sym_extends] = ACTIONS(283),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1744),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1746),
    [anon_sym_export] = ACTIONS(1748),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [anon_sym_import] = ACTIONS(1748),
    [anon_sym_var] = ACTIONS(1748),
    [anon_sym_let] = ACTIONS(1748),
    [anon_sym_const] = ACTIONS(1748),
    [anon_sym_if] = ACTIONS(1748),
    [anon_sym_else] = ACTIONS(1748),
    [anon_sym_switch] = ACTIONS(1748),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_while] = ACTIONS(1748),
    [anon_sym_do] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1748),
    [anon_sym_with] = ACTIONS(1748),
    [anon_sym_break] = ACTIONS(1748),
    [anon_sym_continue] = ACTIONS(1748),
    [anon_sym_debugger] = ACTIONS(1748),
    [anon_sym_return] = ACTIONS(1748),
    [anon_sym_throw] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym_case] = ACTIONS(1748),
    [anon_sym_yield] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_class] = ACTIONS(1748),
    [anon_sym_async] = ACTIONS(1748),
    [anon_sym_function] = ACTIONS(1748),
    [anon_sym_EQ_GT] = ACTIONS(1746),
    [anon_sym_new] = ACTIONS(1748),
    [anon_sym_await] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1748),
    [anon_sym_BANG] = ACTIONS(1746),
    [anon_sym_TILDE] = ACTIONS(1746),
    [anon_sym_typeof] = ACTIONS(1748),
    [anon_sym_void] = ACTIONS(1748),
    [anon_sym_delete] = ACTIONS(1748),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1746),
    [anon_sym_BQUOTE] = ACTIONS(1746),
    [sym_regex] = ACTIONS(1748),
    [sym_number] = ACTIONS(1746),
    [sym_identifier] = ACTIONS(1748),
    [sym_this] = ACTIONS(1748),
    [sym_super] = ACTIONS(1748),
    [sym_true] = ACTIONS(1748),
    [sym_false] = ACTIONS(1748),
    [sym_null] = ACTIONS(1748),
    [sym_undefined] = ACTIONS(1748),
    [anon_sym_AT] = ACTIONS(1746),
    [anon_sym_get] = ACTIONS(1748),
    [anon_sym_set] = ACTIONS(1748),
  },
  [442] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1750),
  },
  [443] = {
    [anon_sym_function] = ACTIONS(1752),
    [sym_comment] = ACTIONS(71),
  },
  [444] = {
    [sym_formal_parameters] = STATE(834),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1756),
  },
  [445] = {
    [sym_decorator] = STATE(267),
    [aux_sym_export_statement_repeat1] = STATE(267),
    [anon_sym_class] = ACTIONS(1758),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [446] = {
    [sym__automatic_semicolon] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_else] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(480),
    [anon_sym_while] = ACTIONS(476),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_GT] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_DOT] = ACTIONS(474),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(474),
    [anon_sym_PIPE_PIPE] = ACTIONS(474),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_GT_GT_GT] = ACTIONS(474),
    [anon_sym_LT_LT] = ACTIONS(474),
    [anon_sym_AMP] = ACTIONS(480),
    [anon_sym_CARET] = ACTIONS(474),
    [anon_sym_PIPE] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(474),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(474),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(474),
  },
  [447] = {
    [sym_export_statement] = STATE(841),
    [sym__declaration] = STATE(841),
    [sym_import_statement] = STATE(841),
    [sym_expression_statement] = STATE(841),
    [sym_variable_declaration] = STATE(841),
    [sym_lexical_declaration] = STATE(841),
    [sym_statement_block] = STATE(841),
    [sym_if_statement] = STATE(841),
    [sym_switch_statement] = STATE(841),
    [sym_for_statement] = STATE(841),
    [sym_for_in_statement] = STATE(841),
    [sym_for_of_statement] = STATE(841),
    [sym_while_statement] = STATE(841),
    [sym_do_statement] = STATE(841),
    [sym_try_statement] = STATE(841),
    [sym_with_statement] = STATE(841),
    [sym_break_statement] = STATE(841),
    [sym_continue_statement] = STATE(841),
    [sym_debugger_statement] = STATE(841),
    [sym_return_statement] = STATE(841),
    [sym_throw_statement] = STATE(841),
    [sym_empty_statement] = STATE(841),
    [sym_labeled_statement] = STATE(841),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [448] = {
    [sym_expression_statement] = STATE(845),
    [sym_variable_declaration] = STATE(845),
    [sym_lexical_declaration] = STATE(845),
    [sym_empty_statement] = STATE(845),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(846),
    [sym_array] = STATE(847),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_var] = ACTIONS(1770),
    [anon_sym_let] = ACTIONS(1772),
    [anon_sym_const] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1774),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [449] = {
    [sym_export_statement] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym_import_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_variable_declaration] = STATE(441),
    [sym_lexical_declaration] = STATE(441),
    [sym_statement_block] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_for_in_statement] = STATE(441),
    [sym_for_of_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_with_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_debugger_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_empty_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [450] = {
    [sym_export_statement] = STATE(465),
    [sym__declaration] = STATE(465),
    [sym_import_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_variable_declaration] = STATE(465),
    [sym_lexical_declaration] = STATE(465),
    [sym_statement_block] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_for_in_statement] = STATE(465),
    [sym_for_of_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_with_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_debugger_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_labeled_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [451] = {
    [sym_class_heritage] = STATE(848),
    [sym_class_body] = STATE(849),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [452] = {
    [sym_formal_parameters] = STATE(851),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1776),
  },
  [453] = {
    [sym_formal_parameters] = STATE(853),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1778),
  },
  [454] = {
    [sym_formal_parameters] = STATE(851),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [455] = {
    [sym_statement_block] = STATE(855),
    [anon_sym_LBRACE] = ACTIONS(1780),
    [sym_comment] = ACTIONS(71),
  },
  [456] = {
    [sym_export_statement] = STATE(564),
    [sym__declaration] = STATE(564),
    [sym_import_statement] = STATE(564),
    [sym_expression_statement] = STATE(564),
    [sym_variable_declaration] = STATE(564),
    [sym_lexical_declaration] = STATE(564),
    [sym_statement_block] = STATE(564),
    [sym_if_statement] = STATE(564),
    [sym_switch_statement] = STATE(564),
    [sym_for_statement] = STATE(564),
    [sym_for_in_statement] = STATE(564),
    [sym_for_of_statement] = STATE(564),
    [sym_while_statement] = STATE(564),
    [sym_do_statement] = STATE(564),
    [sym_try_statement] = STATE(564),
    [sym_with_statement] = STATE(564),
    [sym_break_statement] = STATE(564),
    [sym_continue_statement] = STATE(564),
    [sym_debugger_statement] = STATE(564),
    [sym_return_statement] = STATE(564),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(564),
    [sym_labeled_statement] = STATE(564),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [457] = {
    [sym_parenthesized_expression] = STATE(857),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [sym_comment] = ACTIONS(71),
  },
  [458] = {
    [sym__declaration] = STATE(265),
    [sym_variable_declaration] = STATE(265),
    [sym_lexical_declaration] = STATE(265),
    [sym_class] = STATE(59),
    [sym_function] = STATE(59),
    [sym_generator_function] = STATE(59),
    [sym_decorator] = STATE(445),
    [aux_sym_export_statement_repeat1] = STATE(445),
    [anon_sym_default] = ACTIONS(1280),
    [anon_sym_var] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [anon_sym_const] = ACTIONS(97),
    [anon_sym_class] = ACTIONS(768),
    [anon_sym_async] = ACTIONS(770),
    [anon_sym_function] = ACTIONS(772),
    [sym_comment] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(83),
  },
  [459] = {
    [sym_class_heritage] = STATE(615),
    [sym_class_body] = STATE(540),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_extends] = ACTIONS(283),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1784),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(476),
    [anon_sym_export] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(478),
    [anon_sym_let] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_debugger] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_catch] = ACTIONS(478),
    [anon_sym_finally] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_async] = ACTIONS(478),
    [anon_sym_function] = ACTIONS(478),
    [anon_sym_EQ_GT] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_await] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(478),
    [anon_sym_void] = ACTIONS(478),
    [anon_sym_delete] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(476),
    [sym_regex] = ACTIONS(478),
    [sym_number] = ACTIONS(476),
    [sym_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_null] = ACTIONS(478),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
  },
  [461] = {
    [sym_statement_block] = STATE(860),
    [anon_sym_LBRACE] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(1786),
    [sym_comment] = ACTIONS(71),
  },
  [462] = {
    [sym_statement_block] = STATE(861),
    [anon_sym_LBRACE] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
  },
  [463] = {
    [sym_finally_clause] = STATE(862),
    [ts_builtin_sym_end] = ACTIONS(1788),
    [anon_sym_export] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_RBRACE] = ACTIONS(1788),
    [anon_sym_import] = ACTIONS(1790),
    [anon_sym_var] = ACTIONS(1790),
    [anon_sym_let] = ACTIONS(1790),
    [anon_sym_const] = ACTIONS(1790),
    [anon_sym_if] = ACTIONS(1790),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(1790),
    [anon_sym_for] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [anon_sym_while] = ACTIONS(1790),
    [anon_sym_do] = ACTIONS(1790),
    [anon_sym_try] = ACTIONS(1790),
    [anon_sym_with] = ACTIONS(1790),
    [anon_sym_break] = ACTIONS(1790),
    [anon_sym_continue] = ACTIONS(1790),
    [anon_sym_debugger] = ACTIONS(1790),
    [anon_sym_return] = ACTIONS(1790),
    [anon_sym_throw] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_finally] = ACTIONS(802),
    [anon_sym_yield] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1788),
    [anon_sym_class] = ACTIONS(1790),
    [anon_sym_async] = ACTIONS(1790),
    [anon_sym_function] = ACTIONS(1790),
    [anon_sym_EQ_GT] = ACTIONS(1788),
    [anon_sym_new] = ACTIONS(1790),
    [anon_sym_await] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1790),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_typeof] = ACTIONS(1790),
    [anon_sym_void] = ACTIONS(1790),
    [anon_sym_delete] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1788),
    [anon_sym_DASH_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1788),
    [anon_sym_BQUOTE] = ACTIONS(1788),
    [sym_regex] = ACTIONS(1790),
    [sym_number] = ACTIONS(1788),
    [sym_identifier] = ACTIONS(1790),
    [sym_this] = ACTIONS(1790),
    [sym_super] = ACTIONS(1790),
    [sym_true] = ACTIONS(1790),
    [sym_false] = ACTIONS(1790),
    [sym_null] = ACTIONS(1790),
    [sym_undefined] = ACTIONS(1790),
    [anon_sym_AT] = ACTIONS(1788),
    [anon_sym_get] = ACTIONS(1790),
    [anon_sym_set] = ACTIONS(1790),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [anon_sym_export] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_RBRACE] = ACTIONS(1788),
    [anon_sym_import] = ACTIONS(1790),
    [anon_sym_var] = ACTIONS(1790),
    [anon_sym_let] = ACTIONS(1790),
    [anon_sym_const] = ACTIONS(1790),
    [anon_sym_if] = ACTIONS(1790),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(1790),
    [anon_sym_for] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [anon_sym_while] = ACTIONS(1790),
    [anon_sym_do] = ACTIONS(1790),
    [anon_sym_try] = ACTIONS(1790),
    [anon_sym_with] = ACTIONS(1790),
    [anon_sym_break] = ACTIONS(1790),
    [anon_sym_continue] = ACTIONS(1790),
    [anon_sym_debugger] = ACTIONS(1790),
    [anon_sym_return] = ACTIONS(1790),
    [anon_sym_throw] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_yield] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1788),
    [anon_sym_class] = ACTIONS(1790),
    [anon_sym_async] = ACTIONS(1790),
    [anon_sym_function] = ACTIONS(1790),
    [anon_sym_EQ_GT] = ACTIONS(1788),
    [anon_sym_new] = ACTIONS(1790),
    [anon_sym_await] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1790),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_typeof] = ACTIONS(1790),
    [anon_sym_void] = ACTIONS(1790),
    [anon_sym_delete] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1788),
    [anon_sym_DASH_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1788),
    [anon_sym_BQUOTE] = ACTIONS(1788),
    [sym_regex] = ACTIONS(1790),
    [sym_number] = ACTIONS(1788),
    [sym_identifier] = ACTIONS(1790),
    [sym_this] = ACTIONS(1790),
    [sym_super] = ACTIONS(1790),
    [sym_true] = ACTIONS(1790),
    [sym_false] = ACTIONS(1790),
    [sym_null] = ACTIONS(1790),
    [sym_undefined] = ACTIONS(1790),
    [anon_sym_AT] = ACTIONS(1788),
    [anon_sym_get] = ACTIONS(1790),
    [anon_sym_set] = ACTIONS(1790),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1792),
    [anon_sym_export] = ACTIONS(1794),
    [anon_sym_default] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1792),
    [anon_sym_RBRACE] = ACTIONS(1792),
    [anon_sym_import] = ACTIONS(1794),
    [anon_sym_var] = ACTIONS(1794),
    [anon_sym_let] = ACTIONS(1794),
    [anon_sym_const] = ACTIONS(1794),
    [anon_sym_if] = ACTIONS(1794),
    [anon_sym_else] = ACTIONS(1794),
    [anon_sym_switch] = ACTIONS(1794),
    [anon_sym_for] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1792),
    [anon_sym_while] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1794),
    [anon_sym_try] = ACTIONS(1794),
    [anon_sym_with] = ACTIONS(1794),
    [anon_sym_break] = ACTIONS(1794),
    [anon_sym_continue] = ACTIONS(1794),
    [anon_sym_debugger] = ACTIONS(1794),
    [anon_sym_return] = ACTIONS(1794),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_SEMI] = ACTIONS(1792),
    [anon_sym_case] = ACTIONS(1794),
    [anon_sym_yield] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1792),
    [anon_sym_LT] = ACTIONS(1792),
    [anon_sym_class] = ACTIONS(1794),
    [anon_sym_async] = ACTIONS(1794),
    [anon_sym_function] = ACTIONS(1794),
    [anon_sym_EQ_GT] = ACTIONS(1792),
    [anon_sym_new] = ACTIONS(1794),
    [anon_sym_await] = ACTIONS(1794),
    [anon_sym_PLUS] = ACTIONS(1794),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1792),
    [anon_sym_TILDE] = ACTIONS(1792),
    [anon_sym_typeof] = ACTIONS(1794),
    [anon_sym_void] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1794),
    [anon_sym_PLUS_PLUS] = ACTIONS(1792),
    [anon_sym_DASH_DASH] = ACTIONS(1792),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1792),
    [anon_sym_BQUOTE] = ACTIONS(1792),
    [sym_regex] = ACTIONS(1794),
    [sym_number] = ACTIONS(1792),
    [sym_identifier] = ACTIONS(1794),
    [sym_this] = ACTIONS(1794),
    [sym_super] = ACTIONS(1794),
    [sym_true] = ACTIONS(1794),
    [sym_false] = ACTIONS(1794),
    [sym_null] = ACTIONS(1794),
    [sym_undefined] = ACTIONS(1794),
    [anon_sym_AT] = ACTIONS(1792),
    [anon_sym_get] = ACTIONS(1794),
    [anon_sym_set] = ACTIONS(1794),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1796),
    [anon_sym_export] = ACTIONS(1798),
    [anon_sym_default] = ACTIONS(1798),
    [anon_sym_LBRACE] = ACTIONS(1796),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_import] = ACTIONS(1798),
    [anon_sym_var] = ACTIONS(1798),
    [anon_sym_let] = ACTIONS(1798),
    [anon_sym_const] = ACTIONS(1798),
    [anon_sym_if] = ACTIONS(1798),
    [anon_sym_else] = ACTIONS(1798),
    [anon_sym_switch] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1798),
    [anon_sym_LPAREN] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_do] = ACTIONS(1798),
    [anon_sym_try] = ACTIONS(1798),
    [anon_sym_with] = ACTIONS(1798),
    [anon_sym_break] = ACTIONS(1798),
    [anon_sym_continue] = ACTIONS(1798),
    [anon_sym_debugger] = ACTIONS(1798),
    [anon_sym_return] = ACTIONS(1798),
    [anon_sym_throw] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_case] = ACTIONS(1798),
    [anon_sym_yield] = ACTIONS(1798),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_LT] = ACTIONS(1796),
    [anon_sym_class] = ACTIONS(1798),
    [anon_sym_async] = ACTIONS(1798),
    [anon_sym_function] = ACTIONS(1798),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [anon_sym_new] = ACTIONS(1798),
    [anon_sym_await] = ACTIONS(1798),
    [anon_sym_PLUS] = ACTIONS(1798),
    [anon_sym_DASH] = ACTIONS(1798),
    [anon_sym_BANG] = ACTIONS(1796),
    [anon_sym_TILDE] = ACTIONS(1796),
    [anon_sym_typeof] = ACTIONS(1798),
    [anon_sym_void] = ACTIONS(1798),
    [anon_sym_delete] = ACTIONS(1798),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1796),
    [anon_sym_BQUOTE] = ACTIONS(1796),
    [sym_regex] = ACTIONS(1798),
    [sym_number] = ACTIONS(1796),
    [sym_identifier] = ACTIONS(1798),
    [sym_this] = ACTIONS(1798),
    [sym_super] = ACTIONS(1798),
    [sym_true] = ACTIONS(1798),
    [sym_false] = ACTIONS(1798),
    [sym_null] = ACTIONS(1798),
    [sym_undefined] = ACTIONS(1798),
    [anon_sym_AT] = ACTIONS(1796),
    [anon_sym_get] = ACTIONS(1798),
    [anon_sym_set] = ACTIONS(1798),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1800),
    [anon_sym_export] = ACTIONS(1802),
    [anon_sym_default] = ACTIONS(1802),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_RBRACE] = ACTIONS(1800),
    [anon_sym_import] = ACTIONS(1802),
    [anon_sym_var] = ACTIONS(1802),
    [anon_sym_let] = ACTIONS(1802),
    [anon_sym_const] = ACTIONS(1802),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_else] = ACTIONS(1802),
    [anon_sym_switch] = ACTIONS(1802),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_LPAREN] = ACTIONS(1800),
    [anon_sym_while] = ACTIONS(1802),
    [anon_sym_do] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_with] = ACTIONS(1802),
    [anon_sym_break] = ACTIONS(1802),
    [anon_sym_continue] = ACTIONS(1802),
    [anon_sym_debugger] = ACTIONS(1802),
    [anon_sym_return] = ACTIONS(1802),
    [anon_sym_throw] = ACTIONS(1802),
    [anon_sym_SEMI] = ACTIONS(1800),
    [anon_sym_case] = ACTIONS(1802),
    [anon_sym_yield] = ACTIONS(1802),
    [anon_sym_LBRACK] = ACTIONS(1800),
    [anon_sym_LT] = ACTIONS(1800),
    [anon_sym_class] = ACTIONS(1802),
    [anon_sym_async] = ACTIONS(1802),
    [anon_sym_function] = ACTIONS(1802),
    [anon_sym_EQ_GT] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_await] = ACTIONS(1802),
    [anon_sym_PLUS] = ACTIONS(1802),
    [anon_sym_DASH] = ACTIONS(1802),
    [anon_sym_BANG] = ACTIONS(1800),
    [anon_sym_TILDE] = ACTIONS(1800),
    [anon_sym_typeof] = ACTIONS(1802),
    [anon_sym_void] = ACTIONS(1802),
    [anon_sym_delete] = ACTIONS(1802),
    [anon_sym_PLUS_PLUS] = ACTIONS(1800),
    [anon_sym_DASH_DASH] = ACTIONS(1800),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1800),
    [anon_sym_BQUOTE] = ACTIONS(1800),
    [sym_regex] = ACTIONS(1802),
    [sym_number] = ACTIONS(1800),
    [sym_identifier] = ACTIONS(1802),
    [sym_this] = ACTIONS(1802),
    [sym_super] = ACTIONS(1802),
    [sym_true] = ACTIONS(1802),
    [sym_false] = ACTIONS(1802),
    [sym_null] = ACTIONS(1802),
    [sym_undefined] = ACTIONS(1802),
    [anon_sym_AT] = ACTIONS(1800),
    [anon_sym_get] = ACTIONS(1802),
    [anon_sym_set] = ACTIONS(1802),
  },
  [468] = {
    [sym__automatic_semicolon] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(480),
    [anon_sym_of] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_GT] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_DOT] = ACTIONS(474),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_AMP_AMP] = ACTIONS(474),
    [anon_sym_PIPE_PIPE] = ACTIONS(474),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_GT_GT_GT] = ACTIONS(474),
    [anon_sym_LT_LT] = ACTIONS(474),
    [anon_sym_AMP] = ACTIONS(480),
    [anon_sym_CARET] = ACTIONS(474),
    [anon_sym_PIPE] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(474),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(474),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(474),
  },
  [469] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(289),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [470] = {
    [sym__initializer] = STATE(674),
    [aux_sym_object_repeat1] = STATE(289),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_EQ] = ACTIONS(1403),
    [sym_comment] = ACTIONS(71),
  },
  [471] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(289),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [472] = {
    [sym_decorator] = STATE(678),
    [sym_method_definition] = STATE(318),
    [sym__property_name] = STATE(319),
    [sym_computed_property_name] = STATE(319),
    [aux_sym_export_statement_repeat1] = STATE(678),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(560),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1804),
    [anon_sym_export] = ACTIONS(1806),
    [anon_sym_default] = ACTIONS(1806),
    [anon_sym_LBRACE] = ACTIONS(1804),
    [anon_sym_RBRACE] = ACTIONS(1804),
    [anon_sym_import] = ACTIONS(1806),
    [anon_sym_var] = ACTIONS(1806),
    [anon_sym_let] = ACTIONS(1806),
    [anon_sym_const] = ACTIONS(1806),
    [anon_sym_if] = ACTIONS(1806),
    [anon_sym_else] = ACTIONS(1806),
    [anon_sym_switch] = ACTIONS(1806),
    [anon_sym_for] = ACTIONS(1806),
    [anon_sym_LPAREN] = ACTIONS(1804),
    [anon_sym_while] = ACTIONS(1806),
    [anon_sym_do] = ACTIONS(1806),
    [anon_sym_try] = ACTIONS(1806),
    [anon_sym_with] = ACTIONS(1806),
    [anon_sym_break] = ACTIONS(1806),
    [anon_sym_continue] = ACTIONS(1806),
    [anon_sym_debugger] = ACTIONS(1806),
    [anon_sym_return] = ACTIONS(1806),
    [anon_sym_throw] = ACTIONS(1806),
    [anon_sym_SEMI] = ACTIONS(1804),
    [anon_sym_case] = ACTIONS(1806),
    [anon_sym_yield] = ACTIONS(1806),
    [anon_sym_LBRACK] = ACTIONS(1804),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_class] = ACTIONS(1806),
    [anon_sym_async] = ACTIONS(1806),
    [anon_sym_function] = ACTIONS(1806),
    [anon_sym_EQ_GT] = ACTIONS(1804),
    [anon_sym_new] = ACTIONS(1806),
    [anon_sym_await] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1804),
    [anon_sym_TILDE] = ACTIONS(1804),
    [anon_sym_typeof] = ACTIONS(1806),
    [anon_sym_void] = ACTIONS(1806),
    [anon_sym_delete] = ACTIONS(1806),
    [anon_sym_PLUS_PLUS] = ACTIONS(1804),
    [anon_sym_DASH_DASH] = ACTIONS(1804),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1804),
    [anon_sym_BQUOTE] = ACTIONS(1804),
    [sym_regex] = ACTIONS(1806),
    [sym_number] = ACTIONS(1804),
    [sym_identifier] = ACTIONS(1806),
    [sym_this] = ACTIONS(1806),
    [sym_super] = ACTIONS(1806),
    [sym_true] = ACTIONS(1806),
    [sym_false] = ACTIONS(1806),
    [sym_null] = ACTIONS(1806),
    [sym_undefined] = ACTIONS(1806),
    [anon_sym_AT] = ACTIONS(1804),
    [anon_sym_get] = ACTIONS(1806),
    [anon_sym_set] = ACTIONS(1806),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1810),
    [anon_sym_default] = ACTIONS(1810),
    [anon_sym_LBRACE] = ACTIONS(1808),
    [anon_sym_RBRACE] = ACTIONS(1808),
    [anon_sym_import] = ACTIONS(1810),
    [anon_sym_var] = ACTIONS(1810),
    [anon_sym_let] = ACTIONS(1810),
    [anon_sym_const] = ACTIONS(1810),
    [anon_sym_if] = ACTIONS(1810),
    [anon_sym_else] = ACTIONS(1810),
    [anon_sym_switch] = ACTIONS(1810),
    [anon_sym_for] = ACTIONS(1810),
    [anon_sym_LPAREN] = ACTIONS(1808),
    [anon_sym_while] = ACTIONS(1810),
    [anon_sym_do] = ACTIONS(1810),
    [anon_sym_try] = ACTIONS(1810),
    [anon_sym_with] = ACTIONS(1810),
    [anon_sym_break] = ACTIONS(1810),
    [anon_sym_continue] = ACTIONS(1810),
    [anon_sym_debugger] = ACTIONS(1810),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1810),
    [anon_sym_SEMI] = ACTIONS(1808),
    [anon_sym_case] = ACTIONS(1810),
    [anon_sym_yield] = ACTIONS(1810),
    [anon_sym_LBRACK] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_class] = ACTIONS(1810),
    [anon_sym_async] = ACTIONS(1810),
    [anon_sym_function] = ACTIONS(1810),
    [anon_sym_EQ_GT] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1810),
    [anon_sym_await] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_typeof] = ACTIONS(1810),
    [anon_sym_void] = ACTIONS(1810),
    [anon_sym_delete] = ACTIONS(1810),
    [anon_sym_PLUS_PLUS] = ACTIONS(1808),
    [anon_sym_DASH_DASH] = ACTIONS(1808),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1808),
    [anon_sym_BQUOTE] = ACTIONS(1808),
    [sym_regex] = ACTIONS(1810),
    [sym_number] = ACTIONS(1808),
    [sym_identifier] = ACTIONS(1810),
    [sym_this] = ACTIONS(1810),
    [sym_super] = ACTIONS(1810),
    [sym_true] = ACTIONS(1810),
    [sym_false] = ACTIONS(1810),
    [sym_null] = ACTIONS(1810),
    [sym_undefined] = ACTIONS(1810),
    [anon_sym_AT] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1810),
    [anon_sym_set] = ACTIONS(1810),
  },
  [475] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(1812),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1812),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [476] = {
    [anon_sym_COMMA] = ACTIONS(1812),
    [anon_sym_RPAREN] = ACTIONS(1812),
    [anon_sym_RBRACK] = ACTIONS(1812),
    [sym_comment] = ACTIONS(71),
  },
  [477] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [478] = {
    [sym_parenthesized_expression] = STATE(863),
    [sym__expression] = STATE(863),
    [sym_yield_expression] = STATE(863),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(863),
    [sym_jsx_fragment] = STATE(863),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(863),
    [sym_anonymous_class] = STATE(863),
    [sym_class] = STATE(863),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(863),
    [sym_generator_function] = STATE(863),
    [sym_call_expression] = STATE(863),
    [sym_new_expression] = STATE(863),
    [sym_await_expression] = STATE(863),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(863),
    [sym_augmented_assignment_expression] = STATE(863),
    [sym_ternary_expression] = STATE(863),
    [sym_binary_expression] = STATE(863),
    [sym_unary_expression] = STATE(863),
    [sym_update_expression] = STATE(863),
    [sym_template_string] = STATE(863),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1814),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1816),
    [sym_number] = ACTIONS(1814),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1816),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1816),
    [sym_false] = ACTIONS(1816),
    [sym_null] = ACTIONS(1816),
    [sym_undefined] = ACTIONS(1816),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [479] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(864),
    [sym__expression] = STATE(864),
    [sym_yield_expression] = STATE(864),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(864),
    [sym_jsx_fragment] = STATE(864),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(864),
    [sym_anonymous_class] = STATE(864),
    [sym_class] = STATE(864),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(864),
    [sym_generator_function] = STATE(864),
    [sym_call_expression] = STATE(864),
    [sym_new_expression] = STATE(864),
    [sym_await_expression] = STATE(864),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(864),
    [sym_augmented_assignment_expression] = STATE(864),
    [sym_ternary_expression] = STATE(864),
    [sym_binary_expression] = STATE(864),
    [sym_unary_expression] = STATE(864),
    [sym_update_expression] = STATE(864),
    [sym_template_string] = STATE(864),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1818),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1820),
    [sym_number] = ACTIONS(1818),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1820),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1820),
    [sym_false] = ACTIONS(1820),
    [sym_null] = ACTIONS(1820),
    [sym_undefined] = ACTIONS(1820),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [480] = {
    [sym_parenthesized_expression] = STATE(865),
    [sym__expression] = STATE(865),
    [sym_yield_expression] = STATE(865),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(865),
    [sym_jsx_fragment] = STATE(865),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(865),
    [sym_anonymous_class] = STATE(865),
    [sym_class] = STATE(865),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(865),
    [sym_generator_function] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_new_expression] = STATE(865),
    [sym_await_expression] = STATE(865),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(865),
    [sym_augmented_assignment_expression] = STATE(865),
    [sym_ternary_expression] = STATE(865),
    [sym_binary_expression] = STATE(865),
    [sym_unary_expression] = STATE(865),
    [sym_update_expression] = STATE(865),
    [sym_template_string] = STATE(865),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1822),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1824),
    [sym_number] = ACTIONS(1822),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1824),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1824),
    [sym_false] = ACTIONS(1824),
    [sym_null] = ACTIONS(1824),
    [sym_undefined] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [481] = {
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(71),
  },
  [482] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(998),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [483] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1006),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [484] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [485] = {
    [sym_parenthesized_expression] = STATE(867),
    [sym__expression] = STATE(867),
    [sym_yield_expression] = STATE(867),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(867),
    [sym_jsx_fragment] = STATE(867),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(867),
    [sym_anonymous_class] = STATE(867),
    [sym_class] = STATE(867),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(867),
    [sym_generator_function] = STATE(867),
    [sym_call_expression] = STATE(867),
    [sym_new_expression] = STATE(867),
    [sym_await_expression] = STATE(867),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(867),
    [sym_augmented_assignment_expression] = STATE(867),
    [sym_ternary_expression] = STATE(867),
    [sym_binary_expression] = STATE(867),
    [sym_unary_expression] = STATE(867),
    [sym_update_expression] = STATE(867),
    [sym_template_string] = STATE(867),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1828),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1830),
    [sym_number] = ACTIONS(1828),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1830),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1830),
    [sym_false] = ACTIONS(1830),
    [sym_null] = ACTIONS(1830),
    [sym_undefined] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [486] = {
    [sym_parenthesized_expression] = STATE(868),
    [sym__expression] = STATE(868),
    [sym_yield_expression] = STATE(868),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(868),
    [sym_jsx_fragment] = STATE(868),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(868),
    [sym_anonymous_class] = STATE(868),
    [sym_class] = STATE(868),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(868),
    [sym_generator_function] = STATE(868),
    [sym_call_expression] = STATE(868),
    [sym_new_expression] = STATE(868),
    [sym_await_expression] = STATE(868),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(868),
    [sym_augmented_assignment_expression] = STATE(868),
    [sym_ternary_expression] = STATE(868),
    [sym_binary_expression] = STATE(868),
    [sym_unary_expression] = STATE(868),
    [sym_update_expression] = STATE(868),
    [sym_template_string] = STATE(868),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1832),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1834),
    [sym_number] = ACTIONS(1832),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1834),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1834),
    [sym_false] = ACTIONS(1834),
    [sym_null] = ACTIONS(1834),
    [sym_undefined] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [487] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [488] = {
    [sym__automatic_semicolon] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_in] = ACTIONS(1838),
    [anon_sym_of] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1838),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_GT_GT_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_instanceof] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1836),
  },
  [489] = {
    [sym_parenthesized_expression] = STATE(869),
    [sym__expression] = STATE(869),
    [sym_yield_expression] = STATE(869),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(869),
    [sym_jsx_fragment] = STATE(869),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(869),
    [sym_anonymous_class] = STATE(869),
    [sym_class] = STATE(869),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(869),
    [sym_generator_function] = STATE(869),
    [sym_call_expression] = STATE(869),
    [sym_new_expression] = STATE(869),
    [sym_await_expression] = STATE(869),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(869),
    [sym_augmented_assignment_expression] = STATE(869),
    [sym_ternary_expression] = STATE(869),
    [sym_binary_expression] = STATE(869),
    [sym_unary_expression] = STATE(869),
    [sym_update_expression] = STATE(869),
    [sym_template_string] = STATE(869),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1840),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1842),
    [sym_number] = ACTIONS(1840),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(1842),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1842),
    [sym_false] = ACTIONS(1842),
    [sym_null] = ACTIONS(1842),
    [sym_undefined] = ACTIONS(1842),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [490] = {
    [sym_parenthesized_expression] = STATE(870),
    [sym__expression] = STATE(870),
    [sym_yield_expression] = STATE(870),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(870),
    [sym_jsx_fragment] = STATE(870),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(870),
    [sym_anonymous_class] = STATE(870),
    [sym_class] = STATE(870),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(870),
    [sym_generator_function] = STATE(870),
    [sym_call_expression] = STATE(870),
    [sym_new_expression] = STATE(870),
    [sym_await_expression] = STATE(870),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(870),
    [sym_augmented_assignment_expression] = STATE(870),
    [sym_ternary_expression] = STATE(870),
    [sym_binary_expression] = STATE(870),
    [sym_unary_expression] = STATE(870),
    [sym_update_expression] = STATE(870),
    [sym_template_string] = STATE(870),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1844),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1846),
    [sym_number] = ACTIONS(1844),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1846),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1846),
    [sym_false] = ACTIONS(1846),
    [sym_null] = ACTIONS(1846),
    [sym_undefined] = ACTIONS(1846),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [491] = {
    [sym_parenthesized_expression] = STATE(871),
    [sym__expression] = STATE(871),
    [sym_yield_expression] = STATE(871),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(871),
    [sym_jsx_fragment] = STATE(871),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(871),
    [sym_anonymous_class] = STATE(871),
    [sym_class] = STATE(871),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(871),
    [sym_generator_function] = STATE(871),
    [sym_call_expression] = STATE(871),
    [sym_new_expression] = STATE(871),
    [sym_await_expression] = STATE(871),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(871),
    [sym_augmented_assignment_expression] = STATE(871),
    [sym_ternary_expression] = STATE(871),
    [sym_binary_expression] = STATE(871),
    [sym_unary_expression] = STATE(871),
    [sym_update_expression] = STATE(871),
    [sym_template_string] = STATE(871),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1848),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1850),
    [sym_number] = ACTIONS(1848),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1850),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1850),
    [sym_false] = ACTIONS(1850),
    [sym_null] = ACTIONS(1850),
    [sym_undefined] = ACTIONS(1850),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [492] = {
    [sym_parenthesized_expression] = STATE(872),
    [sym__expression] = STATE(872),
    [sym_yield_expression] = STATE(872),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(872),
    [sym_jsx_fragment] = STATE(872),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(872),
    [sym_anonymous_class] = STATE(872),
    [sym_class] = STATE(872),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(872),
    [sym_generator_function] = STATE(872),
    [sym_call_expression] = STATE(872),
    [sym_new_expression] = STATE(872),
    [sym_await_expression] = STATE(872),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(872),
    [sym_augmented_assignment_expression] = STATE(872),
    [sym_ternary_expression] = STATE(872),
    [sym_binary_expression] = STATE(872),
    [sym_unary_expression] = STATE(872),
    [sym_update_expression] = STATE(872),
    [sym_template_string] = STATE(872),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1852),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1854),
    [sym_number] = ACTIONS(1852),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1854),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1854),
    [sym_false] = ACTIONS(1854),
    [sym_null] = ACTIONS(1854),
    [sym_undefined] = ACTIONS(1854),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [493] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(1856),
    [sym_comment] = ACTIONS(71),
  },
  [494] = {
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_RPAREN] = ACTIONS(1128),
    [anon_sym_in] = ACTIONS(1130),
    [anon_sym_COLON] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_RBRACK] = ACTIONS(1128),
    [anon_sym_LT] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_QMARK] = ACTIONS(1128),
    [anon_sym_AMP_AMP] = ACTIONS(1128),
    [anon_sym_PIPE_PIPE] = ACTIONS(1128),
    [anon_sym_GT_GT] = ACTIONS(1130),
    [anon_sym_GT_GT_GT] = ACTIONS(1128),
    [anon_sym_LT_LT] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1128),
    [anon_sym_PIPE] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1128),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1128),
    [anon_sym_GT_EQ] = ACTIONS(1128),
    [anon_sym_instanceof] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1128),
  },
  [495] = {
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_RPAREN] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1134),
    [anon_sym_COLON] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_RBRACK] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_instanceof] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1132),
  },
  [496] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(1858),
    [anon_sym_RBRACK] = ACTIONS(1812),
    [sym_comment] = ACTIONS(71),
  },
  [497] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(1861),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [498] = {
    [sym_jsx_element] = STATE(612),
    [sym_jsx_expression] = STATE(612),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_self_closing_element] = STATE(612),
    [aux_sym_jsx_element_repeat1] = STATE(612),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(1863),
    [sym_jsx_text] = ACTIONS(1158),
    [sym_comment] = ACTIONS(71),
  },
  [499] = {
    [sym_parenthesized_expression] = STATE(877),
    [sym__expression] = STATE(877),
    [sym_yield_expression] = STATE(877),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(877),
    [sym_jsx_fragment] = STATE(877),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(877),
    [sym_anonymous_class] = STATE(877),
    [sym_class] = STATE(877),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(877),
    [sym_generator_function] = STATE(877),
    [sym_call_expression] = STATE(877),
    [sym_new_expression] = STATE(877),
    [sym_await_expression] = STATE(877),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(877),
    [sym_augmented_assignment_expression] = STATE(877),
    [sym_spread_element] = STATE(878),
    [sym_ternary_expression] = STATE(877),
    [sym_binary_expression] = STATE(877),
    [sym_unary_expression] = STATE(877),
    [sym_update_expression] = STATE(877),
    [sym_sequence_expression] = STATE(878),
    [sym_template_string] = STATE(877),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1867),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1869),
    [sym_number] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(1869),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1869),
    [sym_false] = ACTIONS(1869),
    [sym_null] = ACTIONS(1869),
    [sym_undefined] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [500] = {
    [sym_jsx_identifier] = ACTIONS(1871),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1873),
  },
  [501] = {
    [anon_sym_LBRACE] = ACTIONS(1875),
    [anon_sym_LT] = ACTIONS(1875),
    [sym_jsx_text] = ACTIONS(1875),
    [sym_comment] = ACTIONS(71),
  },
  [502] = {
    [anon_sym_GT] = ACTIONS(1877),
    [sym_comment] = ACTIONS(71),
  },
  [503] = {
    [anon_sym_LBRACE] = ACTIONS(1879),
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(1879),
    [anon_sym_SLASH] = ACTIONS(1881),
    [sym_jsx_identifier] = ACTIONS(1879),
    [anon_sym_EQ] = ACTIONS(1883),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1881),
  },
  [504] = {
    [anon_sym_LBRACE] = ACTIONS(1879),
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(1879),
    [anon_sym_SLASH] = ACTIONS(1881),
    [sym_jsx_identifier] = ACTIONS(1879),
    [anon_sym_EQ] = ACTIONS(1883),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1881),
  },
  [505] = {
    [anon_sym_LBRACE] = ACTIONS(1885),
    [anon_sym_GT] = ACTIONS(1885),
    [anon_sym_SLASH] = ACTIONS(1887),
    [sym_jsx_identifier] = ACTIONS(1885),
    [anon_sym_EQ] = ACTIONS(1889),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1887),
  },
  [506] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(1893),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [507] = {
    [sym_jsx_identifier] = ACTIONS(1895),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1897),
  },
  [508] = {
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [sym_jsx_text] = ACTIONS(1899),
    [sym_comment] = ACTIONS(71),
  },
  [509] = {
    [anon_sym_GT] = ACTIONS(1901),
    [sym_comment] = ACTIONS(71),
  },
  [510] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1903),
  },
  [511] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(1905),
    [anon_sym_SLASH] = ACTIONS(1907),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [512] = {
    [sym__automatic_semicolon] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_RBRACE] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_RPAREN] = ACTIONS(1909),
    [anon_sym_in] = ACTIONS(1911),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_LT] = ACTIONS(1911),
    [anon_sym_GT] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1911),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_QMARK] = ACTIONS(1909),
    [anon_sym_AMP_AMP] = ACTIONS(1909),
    [anon_sym_PIPE_PIPE] = ACTIONS(1909),
    [anon_sym_GT_GT] = ACTIONS(1911),
    [anon_sym_GT_GT_GT] = ACTIONS(1909),
    [anon_sym_LT_LT] = ACTIONS(1909),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym_CARET] = ACTIONS(1909),
    [anon_sym_PIPE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_PERCENT] = ACTIONS(1909),
    [anon_sym_LT_EQ] = ACTIONS(1909),
    [anon_sym_EQ_EQ] = ACTIONS(1911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1909),
    [anon_sym_BANG_EQ] = ACTIONS(1911),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1909),
    [anon_sym_GT_EQ] = ACTIONS(1909),
    [anon_sym_instanceof] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1909),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1909),
  },
  [513] = {
    [sym_parenthesized_expression] = STATE(893),
    [sym__expression] = STATE(893),
    [sym_yield_expression] = STATE(893),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(893),
    [sym_jsx_fragment] = STATE(893),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(893),
    [sym_anonymous_class] = STATE(893),
    [sym_class] = STATE(893),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(893),
    [sym_generator_function] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_new_expression] = STATE(893),
    [sym_await_expression] = STATE(893),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(893),
    [sym_augmented_assignment_expression] = STATE(893),
    [sym_ternary_expression] = STATE(893),
    [sym_binary_expression] = STATE(893),
    [sym_unary_expression] = STATE(893),
    [sym_update_expression] = STATE(893),
    [sym_template_string] = STATE(893),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1913),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1915),
    [sym_number] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(1915),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1915),
    [sym_false] = ACTIONS(1915),
    [sym_null] = ACTIONS(1915),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [514] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [sym__automatic_semicolon] = ACTIONS(497),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_SEMI] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_EQ] = ACTIONS(497),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [515] = {
    [sym__automatic_semicolon] = ACTIONS(497),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_SEMI] = ACTIONS(497),
    [anon_sym_EQ] = ACTIONS(497),
    [sym_comment] = ACTIONS(71),
  },
  [516] = {
    [sym_public_field_definition] = STATE(894),
    [sym_method_definition] = STATE(895),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [517] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [sym__automatic_semicolon] = ACTIONS(497),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_SEMI] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_EQ] = ACTIONS(497),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [518] = {
    [sym__automatic_semicolon] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1917),
    [sym_comment] = ACTIONS(71),
  },
  [519] = {
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_SEMI] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [anon_sym_async] = ACTIONS(1921),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1919),
    [sym_number] = ACTIONS(1919),
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_AT] = ACTIONS(1919),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_get] = ACTIONS(1921),
    [anon_sym_set] = ACTIONS(1921),
  },
  [520] = {
    [sym__initializer] = STATE(897),
    [sym_formal_parameters] = STATE(312),
    [sym__automatic_semicolon] = ACTIONS(1923),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym_EQ] = ACTIONS(1925),
    [sym_comment] = ACTIONS(71),
  },
  [521] = {
    [sym_decorator] = STATE(899),
    [sym_public_field_definition] = STATE(894),
    [sym_method_definition] = STATE(895),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(899),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(1927),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [522] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(901),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [523] = {
    [sym_parenthesized_expression] = STATE(902),
    [sym__expression] = STATE(902),
    [sym_yield_expression] = STATE(902),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(902),
    [sym_jsx_fragment] = STATE(902),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(902),
    [sym_anonymous_class] = STATE(902),
    [sym_class] = STATE(902),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(902),
    [sym_generator_function] = STATE(902),
    [sym_call_expression] = STATE(902),
    [sym_new_expression] = STATE(902),
    [sym_await_expression] = STATE(902),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(902),
    [sym_augmented_assignment_expression] = STATE(902),
    [sym_ternary_expression] = STATE(902),
    [sym_binary_expression] = STATE(902),
    [sym_unary_expression] = STATE(902),
    [sym_update_expression] = STATE(902),
    [sym_template_string] = STATE(902),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(944),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1931),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1933),
    [sym_number] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(1933),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1933),
    [sym_false] = ACTIONS(1933),
    [sym_null] = ACTIONS(1933),
    [sym_undefined] = ACTIONS(1933),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [524] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(906),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(1935),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(1937),
    [anon_sym_PLUS_EQ] = ACTIONS(1939),
    [anon_sym_DASH_EQ] = ACTIONS(1939),
    [anon_sym_STAR_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_PERCENT_EQ] = ACTIONS(1939),
    [anon_sym_CARET_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_LT_LT_EQ] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(1941),
  },
  [525] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(907),
    [sym__expression] = STATE(907),
    [sym_yield_expression] = STATE(907),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(907),
    [sym_jsx_fragment] = STATE(907),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(907),
    [sym_anonymous_class] = STATE(907),
    [sym_class] = STATE(907),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(907),
    [sym_generator_function] = STATE(907),
    [sym_call_expression] = STATE(907),
    [sym_new_expression] = STATE(907),
    [sym_await_expression] = STATE(907),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(907),
    [sym_augmented_assignment_expression] = STATE(907),
    [sym_ternary_expression] = STATE(907),
    [sym_binary_expression] = STATE(907),
    [sym_unary_expression] = STATE(907),
    [sym_update_expression] = STATE(907),
    [sym_template_string] = STATE(907),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1943),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1945),
    [sym_number] = ACTIONS(1943),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(1945),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [sym_null] = ACTIONS(1945),
    [sym_undefined] = ACTIONS(1945),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [526] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [527] = {
    [sym_parenthesized_expression] = STATE(908),
    [sym__expression] = STATE(908),
    [sym_yield_expression] = STATE(908),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(908),
    [sym_jsx_fragment] = STATE(908),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(908),
    [sym_anonymous_class] = STATE(908),
    [sym_class] = STATE(908),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(908),
    [sym_generator_function] = STATE(908),
    [sym_call_expression] = STATE(908),
    [sym_new_expression] = STATE(908),
    [sym_await_expression] = STATE(908),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(908),
    [sym_augmented_assignment_expression] = STATE(908),
    [sym_ternary_expression] = STATE(908),
    [sym_binary_expression] = STATE(908),
    [sym_unary_expression] = STATE(908),
    [sym_update_expression] = STATE(908),
    [sym_template_string] = STATE(908),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1947),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1949),
    [sym_number] = ACTIONS(1947),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(1949),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1949),
    [sym_false] = ACTIONS(1949),
    [sym_null] = ACTIONS(1949),
    [sym_undefined] = ACTIONS(1949),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [528] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [529] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [530] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(1935),
    [anon_sym_EQ_GT] = ACTIONS(1937),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_CARET_EQ] = ACTIONS(1953),
    [anon_sym_AMP_EQ] = ACTIONS(1953),
    [anon_sym_PIPE_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_LT_EQ] = ACTIONS(1953),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [531] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(1935),
    [anon_sym_PLUS_EQ] = ACTIONS(1939),
    [anon_sym_DASH_EQ] = ACTIONS(1939),
    [anon_sym_STAR_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_PERCENT_EQ] = ACTIONS(1939),
    [anon_sym_CARET_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_LT_LT_EQ] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [532] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [533] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1935),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [534] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1935),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [535] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(1935),
    [anon_sym_PLUS_EQ] = ACTIONS(1953),
    [anon_sym_DASH_EQ] = ACTIONS(1953),
    [anon_sym_STAR_EQ] = ACTIONS(1953),
    [anon_sym_SLASH_EQ] = ACTIONS(1953),
    [anon_sym_PERCENT_EQ] = ACTIONS(1953),
    [anon_sym_CARET_EQ] = ACTIONS(1953),
    [anon_sym_AMP_EQ] = ACTIONS(1953),
    [anon_sym_PIPE_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1953),
    [anon_sym_LT_LT_EQ] = ACTIONS(1953),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [536] = {
    [anon_sym_EQ_GT] = ACTIONS(1937),
    [sym_comment] = ACTIONS(71),
  },
  [537] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(917),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [538] = {
    [sym_class_body] = STATE(918),
    [anon_sym_LBRACE] = ACTIONS(958),
    [sym_comment] = ACTIONS(71),
  },
  [539] = {
    [sym__automatic_semicolon] = ACTIONS(1977),
    [ts_builtin_sym_end] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1979),
    [anon_sym_STAR] = ACTIONS(1977),
    [anon_sym_default] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [anon_sym_import] = ACTIONS(1979),
    [anon_sym_var] = ACTIONS(1979),
    [anon_sym_let] = ACTIONS(1979),
    [anon_sym_const] = ACTIONS(1979),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_else] = ACTIONS(1979),
    [anon_sym_switch] = ACTIONS(1979),
    [anon_sym_for] = ACTIONS(1979),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1979),
    [anon_sym_while] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1979),
    [anon_sym_try] = ACTIONS(1979),
    [anon_sym_with] = ACTIONS(1979),
    [anon_sym_break] = ACTIONS(1979),
    [anon_sym_continue] = ACTIONS(1979),
    [anon_sym_debugger] = ACTIONS(1979),
    [anon_sym_return] = ACTIONS(1979),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_case] = ACTIONS(1979),
    [anon_sym_yield] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_DOT] = ACTIONS(1979),
    [anon_sym_class] = ACTIONS(1979),
    [anon_sym_async] = ACTIONS(1979),
    [anon_sym_function] = ACTIONS(1979),
    [anon_sym_EQ_GT] = ACTIONS(1977),
    [anon_sym_new] = ACTIONS(1979),
    [anon_sym_await] = ACTIONS(1979),
    [anon_sym_QMARK] = ACTIONS(1977),
    [anon_sym_AMP_AMP] = ACTIONS(1977),
    [anon_sym_PIPE_PIPE] = ACTIONS(1977),
    [anon_sym_GT_GT] = ACTIONS(1979),
    [anon_sym_GT_GT_GT] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_PLUS] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1979),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_instanceof] = ACTIONS(1979),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_typeof] = ACTIONS(1979),
    [anon_sym_void] = ACTIONS(1979),
    [anon_sym_delete] = ACTIONS(1979),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1977),
    [anon_sym_BQUOTE] = ACTIONS(1977),
    [sym_regex] = ACTIONS(1979),
    [sym_number] = ACTIONS(1977),
    [sym_identifier] = ACTIONS(1979),
    [sym_this] = ACTIONS(1979),
    [sym_super] = ACTIONS(1979),
    [sym_true] = ACTIONS(1979),
    [sym_false] = ACTIONS(1979),
    [sym_null] = ACTIONS(1979),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(1979),
    [anon_sym_set] = ACTIONS(1979),
  },
  [540] = {
    [sym__automatic_semicolon] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1983),
    [anon_sym_SEMI] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_SLASH] = ACTIONS(1983),
    [anon_sym_DOT] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1981),
    [anon_sym_AMP_AMP] = ACTIONS(1981),
    [anon_sym_PIPE_PIPE] = ACTIONS(1981),
    [anon_sym_GT_GT] = ACTIONS(1983),
    [anon_sym_GT_GT_GT] = ACTIONS(1981),
    [anon_sym_LT_LT] = ACTIONS(1981),
    [anon_sym_AMP] = ACTIONS(1983),
    [anon_sym_CARET] = ACTIONS(1981),
    [anon_sym_PIPE] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PERCENT] = ACTIONS(1981),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1983),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_instanceof] = ACTIONS(1981),
    [anon_sym_PLUS_PLUS] = ACTIONS(1981),
    [anon_sym_DASH_DASH] = ACTIONS(1981),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1981),
  },
  [541] = {
    [sym_parenthesized_expression] = STATE(919),
    [sym__expression] = STATE(919),
    [sym_yield_expression] = STATE(919),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(919),
    [sym_jsx_fragment] = STATE(919),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(919),
    [sym_anonymous_class] = STATE(919),
    [sym_class] = STATE(919),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(919),
    [sym_generator_function] = STATE(919),
    [sym_call_expression] = STATE(919),
    [sym_new_expression] = STATE(919),
    [sym_await_expression] = STATE(919),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(919),
    [sym_augmented_assignment_expression] = STATE(919),
    [sym_spread_element] = STATE(671),
    [sym_ternary_expression] = STATE(919),
    [sym_binary_expression] = STATE(919),
    [sym_unary_expression] = STATE(919),
    [sym_update_expression] = STATE(919),
    [sym_template_string] = STATE(919),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [aux_sym_array_repeat1] = STATE(672),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1985),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1987),
    [sym_number] = ACTIONS(1985),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(1987),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [sym_null] = ACTIONS(1987),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [542] = {
    [aux_sym_formal_parameters_repeat1] = STATE(399),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [sym_comment] = ACTIONS(71),
  },
  [543] = {
    [sym__initializer] = STATE(674),
    [aux_sym_formal_parameters_repeat1] = STATE(418),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_EQ] = ACTIONS(1991),
    [sym_comment] = ACTIONS(71),
  },
  [544] = {
    [sym__initializer] = STATE(675),
    [aux_sym_formal_parameters_repeat1] = STATE(432),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1991),
    [sym_comment] = ACTIONS(71),
  },
  [545] = {
    [sym__initializer] = STATE(676),
    [aux_sym_formal_parameters_repeat1] = STATE(435),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(1995),
    [anon_sym_EQ] = ACTIONS(1991),
    [sym_comment] = ACTIONS(71),
  },
  [546] = {
    [sym__automatic_semicolon] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_COMMA] = ACTIONS(1997),
    [anon_sym_RBRACE] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1997),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1999),
    [anon_sym_SEMI] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(1999),
    [anon_sym_SLASH] = ACTIONS(1999),
    [anon_sym_DOT] = ACTIONS(1997),
    [anon_sym_EQ] = ACTIONS(1999),
    [anon_sym_PLUS_EQ] = ACTIONS(1997),
    [anon_sym_DASH_EQ] = ACTIONS(1997),
    [anon_sym_STAR_EQ] = ACTIONS(1997),
    [anon_sym_SLASH_EQ] = ACTIONS(1997),
    [anon_sym_PERCENT_EQ] = ACTIONS(1997),
    [anon_sym_CARET_EQ] = ACTIONS(1997),
    [anon_sym_AMP_EQ] = ACTIONS(1997),
    [anon_sym_PIPE_EQ] = ACTIONS(1997),
    [anon_sym_GT_GT_EQ] = ACTIONS(1997),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_LT_EQ] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(1997),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1999),
    [anon_sym_GT_GT_GT] = ACTIONS(1999),
    [anon_sym_LT_LT] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1999),
    [anon_sym_CARET] = ACTIONS(1999),
    [anon_sym_PIPE] = ACTIONS(1999),
    [anon_sym_PLUS] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1999),
    [anon_sym_PERCENT] = ACTIONS(1999),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1999),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_instanceof] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1997),
  },
  [547] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2001),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [548] = {
    [sym_formal_parameters] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [549] = {
    [sym_statement_block] = STATE(921),
    [anon_sym_LBRACE] = ACTIONS(996),
    [sym_comment] = ACTIONS(71),
  },
  [550] = {
    [sym__automatic_semicolon] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2003),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_RBRACE] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(2003),
    [anon_sym_RPAREN] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2005),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_LT] = ACTIONS(2005),
    [anon_sym_GT] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_DOT] = ACTIONS(2003),
    [anon_sym_QMARK] = ACTIONS(2003),
    [anon_sym_AMP_AMP] = ACTIONS(2003),
    [anon_sym_PIPE_PIPE] = ACTIONS(2003),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_GT_GT_GT] = ACTIONS(2003),
    [anon_sym_LT_LT] = ACTIONS(2003),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_CARET] = ACTIONS(2003),
    [anon_sym_PIPE] = ACTIONS(2005),
    [anon_sym_PLUS] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2003),
    [anon_sym_LT_EQ] = ACTIONS(2003),
    [anon_sym_EQ_EQ] = ACTIONS(2005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2003),
    [anon_sym_BANG_EQ] = ACTIONS(2005),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2003),
    [anon_sym_GT_EQ] = ACTIONS(2003),
    [anon_sym_instanceof] = ACTIONS(2003),
    [anon_sym_PLUS_PLUS] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2003),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2003),
  },
  [551] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [552] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [553] = {
    [sym_statement_block] = STATE(922),
    [sym_parenthesized_expression] = STATE(923),
    [sym__expression] = STATE(923),
    [sym_yield_expression] = STATE(923),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(923),
    [sym_jsx_fragment] = STATE(923),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(923),
    [sym_anonymous_class] = STATE(923),
    [sym_class] = STATE(923),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(923),
    [sym_generator_function] = STATE(923),
    [sym_call_expression] = STATE(923),
    [sym_new_expression] = STATE(923),
    [sym_await_expression] = STATE(923),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_ternary_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_unary_expression] = STATE(923),
    [sym_update_expression] = STATE(923),
    [sym_template_string] = STATE(923),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2009),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2011),
    [sym_number] = ACTIONS(2009),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(2011),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2011),
    [sym_false] = ACTIONS(2011),
    [sym_null] = ACTIONS(2011),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [554] = {
    [sym_formal_parameters] = STATE(924),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [555] = {
    [sym_statement_block] = STATE(925),
    [anon_sym_LBRACE] = ACTIONS(996),
    [sym_comment] = ACTIONS(71),
  },
  [556] = {
    [sym_export_statement] = STATE(927),
    [sym__declaration] = STATE(927),
    [sym_import_statement] = STATE(927),
    [sym_expression_statement] = STATE(927),
    [sym_variable_declaration] = STATE(927),
    [sym_lexical_declaration] = STATE(927),
    [sym_statement_block] = STATE(927),
    [sym_if_statement] = STATE(927),
    [sym_switch_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_for_in_statement] = STATE(927),
    [sym_for_of_statement] = STATE(927),
    [sym_while_statement] = STATE(927),
    [sym_do_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_with_statement] = STATE(927),
    [sym_break_statement] = STATE(927),
    [sym_continue_statement] = STATE(927),
    [sym_debugger_statement] = STATE(927),
    [sym_return_statement] = STATE(927),
    [sym_throw_statement] = STATE(927),
    [sym_empty_statement] = STATE(927),
    [sym_labeled_statement] = STATE(927),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(927),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2013),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [557] = {
    [sym__automatic_semicolon] = ACTIONS(2015),
    [ts_builtin_sym_end] = ACTIONS(2015),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_default] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_import] = ACTIONS(2017),
    [anon_sym_var] = ACTIONS(2017),
    [anon_sym_let] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_else] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_with] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_debugger] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_throw] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym_case] = ACTIONS(2017),
    [anon_sym_yield] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2017),
    [anon_sym_SLASH] = ACTIONS(2017),
    [anon_sym_DOT] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(2017),
    [anon_sym_EQ_GT] = ACTIONS(2015),
    [anon_sym_new] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_GT_GT] = ACTIONS(2017),
    [anon_sym_GT_GT_GT] = ACTIONS(2015),
    [anon_sym_LT_LT] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_PIPE] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_LT_EQ] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2015),
    [anon_sym_GT_EQ] = ACTIONS(2015),
    [anon_sym_instanceof] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_typeof] = ACTIONS(2017),
    [anon_sym_void] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2015),
    [anon_sym_BQUOTE] = ACTIONS(2015),
    [sym_regex] = ACTIONS(2017),
    [sym_number] = ACTIONS(2015),
    [sym_identifier] = ACTIONS(2017),
    [sym_this] = ACTIONS(2017),
    [sym_super] = ACTIONS(2017),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [sym_null] = ACTIONS(2017),
    [sym_undefined] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
  },
  [558] = {
    [sym_export_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_import_statement] = STATE(315),
    [sym_expression_statement] = STATE(315),
    [sym_variable_declaration] = STATE(315),
    [sym_lexical_declaration] = STATE(315),
    [sym_statement_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_for_in_statement] = STATE(315),
    [sym_for_of_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_statement] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_with_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_debugger_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_empty_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(315),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2019),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [559] = {
    [anon_sym_RBRACE] = ACTIONS(2021),
    [sym_comment] = ACTIONS(71),
  },
  [560] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2023),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [561] = {
    [sym__automatic_semicolon] = ACTIONS(2025),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_COMMA] = ACTIONS(2025),
    [anon_sym_RBRACE] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_in] = ACTIONS(2027),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_LT] = ACTIONS(2027),
    [anon_sym_GT] = ACTIONS(2027),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_DOT] = ACTIONS(2025),
    [anon_sym_QMARK] = ACTIONS(2025),
    [anon_sym_AMP_AMP] = ACTIONS(2025),
    [anon_sym_PIPE_PIPE] = ACTIONS(2025),
    [anon_sym_GT_GT] = ACTIONS(2027),
    [anon_sym_GT_GT_GT] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_PIPE] = ACTIONS(2027),
    [anon_sym_PLUS] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2025),
    [anon_sym_LT_EQ] = ACTIONS(2025),
    [anon_sym_EQ_EQ] = ACTIONS(2027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2025),
    [anon_sym_BANG_EQ] = ACTIONS(2027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2025),
    [anon_sym_GT_EQ] = ACTIONS(2025),
    [anon_sym_instanceof] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2025),
  },
  [562] = {
    [sym_template_substitution] = STATE(562),
    [aux_sym_template_string_repeat1] = STATE(562),
    [sym__template_chars] = ACTIONS(2029),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2032),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2034),
  },
  [563] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(2041),
    [anon_sym_export] = ACTIONS(2043),
    [anon_sym_default] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2041),
    [anon_sym_RBRACE] = ACTIONS(2041),
    [anon_sym_import] = ACTIONS(2043),
    [anon_sym_var] = ACTIONS(2043),
    [anon_sym_let] = ACTIONS(2043),
    [anon_sym_const] = ACTIONS(2043),
    [anon_sym_if] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2043),
    [anon_sym_switch] = ACTIONS(2043),
    [anon_sym_for] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [anon_sym_while] = ACTIONS(2043),
    [anon_sym_do] = ACTIONS(2043),
    [anon_sym_try] = ACTIONS(2043),
    [anon_sym_with] = ACTIONS(2043),
    [anon_sym_break] = ACTIONS(2043),
    [anon_sym_continue] = ACTIONS(2043),
    [anon_sym_debugger] = ACTIONS(2043),
    [anon_sym_return] = ACTIONS(2043),
    [anon_sym_throw] = ACTIONS(2043),
    [anon_sym_SEMI] = ACTIONS(2041),
    [anon_sym_case] = ACTIONS(2043),
    [anon_sym_yield] = ACTIONS(2043),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_LT] = ACTIONS(2041),
    [anon_sym_class] = ACTIONS(2043),
    [anon_sym_async] = ACTIONS(2043),
    [anon_sym_function] = ACTIONS(2043),
    [anon_sym_EQ_GT] = ACTIONS(2041),
    [anon_sym_new] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2043),
    [anon_sym_PLUS] = ACTIONS(2043),
    [anon_sym_DASH] = ACTIONS(2043),
    [anon_sym_BANG] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2041),
    [anon_sym_typeof] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2043),
    [anon_sym_delete] = ACTIONS(2043),
    [anon_sym_PLUS_PLUS] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(2041),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2041),
    [anon_sym_BQUOTE] = ACTIONS(2041),
    [sym_regex] = ACTIONS(2043),
    [sym_number] = ACTIONS(2041),
    [sym_identifier] = ACTIONS(2043),
    [sym_this] = ACTIONS(2043),
    [sym_super] = ACTIONS(2043),
    [sym_true] = ACTIONS(2043),
    [sym_false] = ACTIONS(2043),
    [sym_null] = ACTIONS(2043),
    [sym_undefined] = ACTIONS(2043),
    [anon_sym_AT] = ACTIONS(2041),
    [anon_sym_get] = ACTIONS(2043),
    [anon_sym_set] = ACTIONS(2043),
  },
  [565] = {
    [sym__automatic_semicolon] = ACTIONS(2045),
    [anon_sym_STAR] = ACTIONS(2047),
    [anon_sym_COMMA] = ACTIONS(2045),
    [anon_sym_RBRACE] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_in] = ACTIONS(2047),
    [anon_sym_SEMI] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(2047),
    [anon_sym_GT] = ACTIONS(2047),
    [anon_sym_SLASH] = ACTIONS(2047),
    [anon_sym_DOT] = ACTIONS(2045),
    [anon_sym_EQ] = ACTIONS(2047),
    [anon_sym_PLUS_EQ] = ACTIONS(2045),
    [anon_sym_DASH_EQ] = ACTIONS(2045),
    [anon_sym_STAR_EQ] = ACTIONS(2045),
    [anon_sym_SLASH_EQ] = ACTIONS(2045),
    [anon_sym_PERCENT_EQ] = ACTIONS(2045),
    [anon_sym_CARET_EQ] = ACTIONS(2045),
    [anon_sym_AMP_EQ] = ACTIONS(2045),
    [anon_sym_PIPE_EQ] = ACTIONS(2045),
    [anon_sym_GT_GT_EQ] = ACTIONS(2045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2045),
    [anon_sym_LT_LT_EQ] = ACTIONS(2045),
    [anon_sym_QMARK] = ACTIONS(2045),
    [anon_sym_AMP_AMP] = ACTIONS(2045),
    [anon_sym_PIPE_PIPE] = ACTIONS(2045),
    [anon_sym_GT_GT] = ACTIONS(2047),
    [anon_sym_GT_GT_GT] = ACTIONS(2047),
    [anon_sym_LT_LT] = ACTIONS(2047),
    [anon_sym_AMP] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2047),
    [anon_sym_PIPE] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2047),
    [anon_sym_DASH] = ACTIONS(2047),
    [anon_sym_PERCENT] = ACTIONS(2047),
    [anon_sym_LT_EQ] = ACTIONS(2045),
    [anon_sym_EQ_EQ] = ACTIONS(2047),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2047),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2045),
    [anon_sym_GT_EQ] = ACTIONS(2045),
    [anon_sym_instanceof] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2045),
    [anon_sym_DASH_DASH] = ACTIONS(2045),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2045),
  },
  [566] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [567] = {
    [sym_parenthesized_expression] = STATE(931),
    [sym__expression] = STATE(931),
    [sym_yield_expression] = STATE(931),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(931),
    [sym_jsx_fragment] = STATE(931),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(931),
    [sym_anonymous_class] = STATE(931),
    [sym_class] = STATE(931),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(931),
    [sym_generator_function] = STATE(931),
    [sym_call_expression] = STATE(931),
    [sym_new_expression] = STATE(931),
    [sym_await_expression] = STATE(931),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(931),
    [sym_augmented_assignment_expression] = STATE(931),
    [sym_spread_element] = STATE(476),
    [sym_ternary_expression] = STATE(931),
    [sym_binary_expression] = STATE(931),
    [sym_unary_expression] = STATE(931),
    [sym_update_expression] = STATE(931),
    [sym_template_string] = STATE(931),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(838),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2051),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2053),
    [sym_number] = ACTIONS(2051),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(2053),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2053),
    [sym_false] = ACTIONS(2053),
    [sym_null] = ACTIONS(2053),
    [sym_undefined] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [568] = {
    [sym__automatic_semicolon] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2057),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_QMARK] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2057),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2057),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2055),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2055),
  },
  [569] = {
    [sym_parenthesized_expression] = STATE(932),
    [sym__expression] = STATE(932),
    [sym_yield_expression] = STATE(932),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(932),
    [sym_jsx_fragment] = STATE(932),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(932),
    [sym_anonymous_class] = STATE(932),
    [sym_class] = STATE(932),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(932),
    [sym_generator_function] = STATE(932),
    [sym_call_expression] = STATE(932),
    [sym_new_expression] = STATE(932),
    [sym_await_expression] = STATE(932),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(932),
    [sym_augmented_assignment_expression] = STATE(932),
    [sym_ternary_expression] = STATE(932),
    [sym_binary_expression] = STATE(932),
    [sym_unary_expression] = STATE(932),
    [sym_update_expression] = STATE(932),
    [sym_template_string] = STATE(932),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2059),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2061),
    [sym_number] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(2061),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [sym_null] = ACTIONS(2061),
    [sym_undefined] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [570] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [aux_sym_array_repeat1] = STATE(934),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2063),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [571] = {
    [aux_sym_array_repeat1] = STATE(934),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_RPAREN] = ACTIONS(2063),
    [sym_comment] = ACTIONS(71),
  },
  [572] = {
    [aux_sym_array_repeat1] = STATE(935),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_RPAREN] = ACTIONS(2063),
    [sym_comment] = ACTIONS(71),
  },
  [573] = {
    [anon_sym_RBRACK] = ACTIONS(2065),
    [sym_comment] = ACTIONS(71),
  },
  [574] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(364),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [575] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2069),
  },
  [576] = {
    [anon_sym_export] = ACTIONS(2071),
    [anon_sym_STAR] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_class] = ACTIONS(2071),
    [anon_sym_async] = ACTIONS(2071),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2073),
    [sym_number] = ACTIONS(2073),
    [sym_identifier] = ACTIONS(2071),
    [anon_sym_AT] = ACTIONS(2073),
    [anon_sym_static] = ACTIONS(2071),
    [anon_sym_get] = ACTIONS(2071),
    [anon_sym_set] = ACTIONS(2071),
  },
  [577] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2075),
  },
  [578] = {
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_LBRACK] = ACTIONS(2079),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2079),
    [sym_number] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2079),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
  },
  [579] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(2037),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(2039),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2039),
    [anon_sym_GT_GT_GT] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2037),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2037),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [580] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2081),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(368),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [581] = {
    [sym__automatic_semicolon] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [sym_comment] = ACTIONS(71),
  },
  [582] = {
    [sym_parenthesized_expression] = STATE(940),
    [sym__expression] = STATE(940),
    [sym_yield_expression] = STATE(940),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(940),
    [sym_jsx_fragment] = STATE(940),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(940),
    [sym_anonymous_class] = STATE(940),
    [sym_class] = STATE(940),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(940),
    [sym_generator_function] = STATE(940),
    [sym_call_expression] = STATE(940),
    [sym_new_expression] = STATE(940),
    [sym_await_expression] = STATE(940),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(940),
    [sym_augmented_assignment_expression] = STATE(940),
    [sym_ternary_expression] = STATE(940),
    [sym_binary_expression] = STATE(940),
    [sym_unary_expression] = STATE(940),
    [sym_update_expression] = STATE(940),
    [sym_template_string] = STATE(940),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(235),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2083),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2085),
    [sym_number] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [583] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(944),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(2089),
    [anon_sym_PLUS_EQ] = ACTIONS(2091),
    [anon_sym_DASH_EQ] = ACTIONS(2091),
    [anon_sym_STAR_EQ] = ACTIONS(2091),
    [anon_sym_SLASH_EQ] = ACTIONS(2091),
    [anon_sym_PERCENT_EQ] = ACTIONS(2091),
    [anon_sym_CARET_EQ] = ACTIONS(2091),
    [anon_sym_AMP_EQ] = ACTIONS(2091),
    [anon_sym_PIPE_EQ] = ACTIONS(2091),
    [anon_sym_GT_GT_EQ] = ACTIONS(2091),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2091),
    [anon_sym_LT_LT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(2093),
  },
  [584] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(945),
    [sym__expression] = STATE(945),
    [sym_yield_expression] = STATE(945),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(945),
    [sym_jsx_fragment] = STATE(945),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(945),
    [sym_anonymous_class] = STATE(945),
    [sym_class] = STATE(945),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(945),
    [sym_generator_function] = STATE(945),
    [sym_call_expression] = STATE(945),
    [sym_new_expression] = STATE(945),
    [sym_await_expression] = STATE(945),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(945),
    [sym_augmented_assignment_expression] = STATE(945),
    [sym_ternary_expression] = STATE(945),
    [sym_binary_expression] = STATE(945),
    [sym_unary_expression] = STATE(945),
    [sym_update_expression] = STATE(945),
    [sym_template_string] = STATE(945),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2095),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2097),
    [sym_number] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [585] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [586] = {
    [sym_parenthesized_expression] = STATE(946),
    [sym__expression] = STATE(946),
    [sym_yield_expression] = STATE(946),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(946),
    [sym_jsx_fragment] = STATE(946),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(946),
    [sym_anonymous_class] = STATE(946),
    [sym_class] = STATE(946),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(946),
    [sym_generator_function] = STATE(946),
    [sym_call_expression] = STATE(946),
    [sym_new_expression] = STATE(946),
    [sym_await_expression] = STATE(946),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(946),
    [sym_augmented_assignment_expression] = STATE(946),
    [sym_ternary_expression] = STATE(946),
    [sym_binary_expression] = STATE(946),
    [sym_unary_expression] = STATE(946),
    [sym_update_expression] = STATE(946),
    [sym_template_string] = STATE(946),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2099),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2101),
    [sym_number] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [587] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [588] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [589] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_EQ_GT] = ACTIONS(2089),
    [anon_sym_PLUS_EQ] = ACTIONS(2105),
    [anon_sym_DASH_EQ] = ACTIONS(2105),
    [anon_sym_STAR_EQ] = ACTIONS(2105),
    [anon_sym_SLASH_EQ] = ACTIONS(2105),
    [anon_sym_PERCENT_EQ] = ACTIONS(2105),
    [anon_sym_CARET_EQ] = ACTIONS(2105),
    [anon_sym_AMP_EQ] = ACTIONS(2105),
    [anon_sym_PIPE_EQ] = ACTIONS(2105),
    [anon_sym_GT_GT_EQ] = ACTIONS(2105),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2105),
    [anon_sym_LT_LT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [590] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_PLUS_EQ] = ACTIONS(2091),
    [anon_sym_DASH_EQ] = ACTIONS(2091),
    [anon_sym_STAR_EQ] = ACTIONS(2091),
    [anon_sym_SLASH_EQ] = ACTIONS(2091),
    [anon_sym_PERCENT_EQ] = ACTIONS(2091),
    [anon_sym_CARET_EQ] = ACTIONS(2091),
    [anon_sym_AMP_EQ] = ACTIONS(2091),
    [anon_sym_PIPE_EQ] = ACTIONS(2091),
    [anon_sym_GT_GT_EQ] = ACTIONS(2091),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2091),
    [anon_sym_LT_LT_EQ] = ACTIONS(2091),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [591] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [592] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [593] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [594] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2087),
    [anon_sym_PLUS_EQ] = ACTIONS(2105),
    [anon_sym_DASH_EQ] = ACTIONS(2105),
    [anon_sym_STAR_EQ] = ACTIONS(2105),
    [anon_sym_SLASH_EQ] = ACTIONS(2105),
    [anon_sym_PERCENT_EQ] = ACTIONS(2105),
    [anon_sym_CARET_EQ] = ACTIONS(2105),
    [anon_sym_AMP_EQ] = ACTIONS(2105),
    [anon_sym_PIPE_EQ] = ACTIONS(2105),
    [anon_sym_GT_GT_EQ] = ACTIONS(2105),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2105),
    [anon_sym_LT_LT_EQ] = ACTIONS(2105),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [595] = {
    [anon_sym_EQ_GT] = ACTIONS(2089),
    [sym_comment] = ACTIONS(71),
  },
  [596] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [597] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [598] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [599] = {
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [sym_jsx_text] = ACTIONS(2127),
    [sym_comment] = ACTIONS(71),
  },
  [600] = {
    [sym_parenthesized_expression] = STATE(964),
    [sym__expression] = STATE(964),
    [sym_yield_expression] = STATE(964),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(964),
    [sym_jsx_fragment] = STATE(964),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(964),
    [sym_anonymous_class] = STATE(964),
    [sym_class] = STATE(964),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(964),
    [sym_generator_function] = STATE(964),
    [sym_call_expression] = STATE(964),
    [sym_new_expression] = STATE(964),
    [sym_await_expression] = STATE(964),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(964),
    [sym_augmented_assignment_expression] = STATE(964),
    [sym_ternary_expression] = STATE(964),
    [sym_binary_expression] = STATE(964),
    [sym_unary_expression] = STATE(964),
    [sym_update_expression] = STATE(964),
    [sym_template_string] = STATE(964),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2145),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2147),
    [sym_number] = ACTIONS(2145),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2147),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2147),
    [sym_false] = ACTIONS(2147),
    [sym_null] = ACTIONS(2147),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [601] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2023),
    [anon_sym_RBRACE] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [602] = {
    [anon_sym_RBRACE] = ACTIONS(2153),
    [sym_comment] = ACTIONS(71),
  },
  [603] = {
    [sym_nested_identifier] = STATE(972),
    [sym_jsx_namespace_name] = STATE(973),
    [sym_jsx_identifier] = ACTIONS(2155),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2157),
  },
  [604] = {
    [sym_jsx_expression] = STATE(975),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(975),
    [aux_sym_jsx_opening_element_repeat1] = STATE(975),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(2159),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [605] = {
    [sym_jsx_expression] = STATE(977),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(977),
    [aux_sym_jsx_opening_element_repeat1] = STATE(977),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(2161),
    [sym_jsx_identifier] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [606] = {
    [sym_jsx_expression] = STATE(977),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(977),
    [aux_sym_jsx_opening_element_repeat1] = STATE(977),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(2161),
    [sym_jsx_identifier] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [607] = {
    [sym_jsx_expression] = STATE(977),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(977),
    [aux_sym_jsx_opening_element_repeat1] = STATE(977),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(2161),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [608] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(2163),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [609] = {
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_LT] = ACTIONS(1156),
    [sym_jsx_text] = ACTIONS(1156),
    [sym_comment] = ACTIONS(71),
  },
  [610] = {
    [sym_jsx_element] = STATE(612),
    [sym_jsx_expression] = STATE(612),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_closing_element] = STATE(979),
    [sym_jsx_self_closing_element] = STATE(612),
    [aux_sym_jsx_element_repeat1] = STATE(612),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(1150),
    [sym_jsx_text] = ACTIONS(1158),
    [sym_comment] = ACTIONS(71),
  },
  [611] = {
    [sym__automatic_semicolon] = ACTIONS(2165),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_RPAREN] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_QMARK] = ACTIONS(2165),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2167),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2167),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2167),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2167),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2165),
  },
  [612] = {
    [sym_jsx_element] = STATE(612),
    [sym_jsx_expression] = STATE(612),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_self_closing_element] = STATE(612),
    [aux_sym_jsx_element_repeat1] = STATE(612),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_LT] = ACTIONS(2172),
    [sym_jsx_text] = ACTIONS(2175),
    [sym_comment] = ACTIONS(71),
  },
  [613] = {
    [sym_parenthesized_expression] = STATE(981),
    [sym__expression] = STATE(981),
    [sym_yield_expression] = STATE(981),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(981),
    [sym_jsx_fragment] = STATE(981),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(981),
    [sym_anonymous_class] = STATE(981),
    [sym_class] = STATE(981),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(981),
    [sym_generator_function] = STATE(981),
    [sym_call_expression] = STATE(981),
    [sym_new_expression] = STATE(981),
    [sym_await_expression] = STATE(981),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(981),
    [sym_augmented_assignment_expression] = STATE(981),
    [sym_ternary_expression] = STATE(981),
    [sym_binary_expression] = STATE(981),
    [sym_unary_expression] = STATE(981),
    [sym_update_expression] = STATE(981),
    [sym_template_string] = STATE(981),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2178),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2180),
    [sym_number] = ACTIONS(2178),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2180),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2180),
    [sym_false] = ACTIONS(2180),
    [sym_null] = ACTIONS(2180),
    [sym_undefined] = ACTIONS(2180),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [614] = {
    [sym_class_heritage] = STATE(982),
    [sym_class_body] = STATE(918),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [615] = {
    [sym_class_body] = STATE(983),
    [anon_sym_LBRACE] = ACTIONS(281),
    [sym_comment] = ACTIONS(71),
  },
  [616] = {
    [sym__automatic_semicolon] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [sym_comment] = ACTIONS(71),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(2184),
    [anon_sym_export] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_var] = ACTIONS(2186),
    [anon_sym_let] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_debugger] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_async] = ACTIONS(2186),
    [anon_sym_function] = ACTIONS(2186),
    [anon_sym_EQ_GT] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_await] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_typeof] = ACTIONS(2186),
    [anon_sym_void] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2184),
    [anon_sym_BQUOTE] = ACTIONS(2184),
    [sym_regex] = ACTIONS(2186),
    [sym_number] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_null] = ACTIONS(2186),
    [sym_undefined] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2184),
    [anon_sym_get] = ACTIONS(2186),
    [anon_sym_set] = ACTIONS(2186),
  },
  [618] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [619] = {
    [sym_parenthesized_expression] = STATE(984),
    [sym__expression] = STATE(984),
    [sym_yield_expression] = STATE(984),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(984),
    [sym_jsx_fragment] = STATE(984),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(984),
    [sym_anonymous_class] = STATE(984),
    [sym_class] = STATE(984),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(984),
    [sym_generator_function] = STATE(984),
    [sym_call_expression] = STATE(984),
    [sym_new_expression] = STATE(984),
    [sym_await_expression] = STATE(984),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(984),
    [sym_augmented_assignment_expression] = STATE(984),
    [sym_ternary_expression] = STATE(984),
    [sym_binary_expression] = STATE(984),
    [sym_unary_expression] = STATE(984),
    [sym_update_expression] = STATE(984),
    [sym_template_string] = STATE(984),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2188),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2190),
    [sym_number] = ACTIONS(2188),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_null] = ACTIONS(2190),
    [sym_undefined] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [620] = {
    [sym_statement_block] = STATE(550),
    [sym_parenthesized_expression] = STATE(985),
    [sym__expression] = STATE(985),
    [sym_yield_expression] = STATE(985),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(985),
    [sym_jsx_fragment] = STATE(985),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(985),
    [sym_anonymous_class] = STATE(985),
    [sym_class] = STATE(985),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(985),
    [sym_generator_function] = STATE(985),
    [sym_call_expression] = STATE(985),
    [sym_new_expression] = STATE(985),
    [sym_await_expression] = STATE(985),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(985),
    [sym_augmented_assignment_expression] = STATE(985),
    [sym_ternary_expression] = STATE(985),
    [sym_binary_expression] = STATE(985),
    [sym_unary_expression] = STATE(985),
    [sym_update_expression] = STATE(985),
    [sym_template_string] = STATE(985),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2192),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2194),
    [sym_number] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_null] = ACTIONS(2194),
    [sym_undefined] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [621] = {
    [sym_parenthesized_expression] = STATE(986),
    [sym__expression] = STATE(986),
    [sym_yield_expression] = STATE(986),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(986),
    [sym_jsx_fragment] = STATE(986),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(986),
    [sym_anonymous_class] = STATE(986),
    [sym_class] = STATE(986),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(986),
    [sym_generator_function] = STATE(986),
    [sym_call_expression] = STATE(986),
    [sym_new_expression] = STATE(986),
    [sym_await_expression] = STATE(986),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_ternary_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_unary_expression] = STATE(986),
    [sym_update_expression] = STATE(986),
    [sym_template_string] = STATE(986),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2196),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2198),
    [sym_number] = ACTIONS(2196),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2198),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2198),
    [sym_false] = ACTIONS(2198),
    [sym_null] = ACTIONS(2198),
    [sym_undefined] = ACTIONS(2198),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [622] = {
    [anon_sym_EQ_GT] = ACTIONS(2200),
    [sym_comment] = ACTIONS(71),
  },
  [623] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(998),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [624] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [625] = {
    [sym_parenthesized_expression] = STATE(988),
    [sym__expression] = STATE(988),
    [sym_yield_expression] = STATE(988),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(988),
    [sym_jsx_fragment] = STATE(988),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(988),
    [sym_anonymous_class] = STATE(988),
    [sym_class] = STATE(988),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(988),
    [sym_generator_function] = STATE(988),
    [sym_call_expression] = STATE(988),
    [sym_new_expression] = STATE(988),
    [sym_await_expression] = STATE(988),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym_ternary_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_unary_expression] = STATE(988),
    [sym_update_expression] = STATE(988),
    [sym_template_string] = STATE(988),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2202),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2204),
    [sym_number] = ACTIONS(2202),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2204),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2204),
    [sym_false] = ACTIONS(2204),
    [sym_null] = ACTIONS(2204),
    [sym_undefined] = ACTIONS(2204),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [626] = {
    [sym_parenthesized_expression] = STATE(989),
    [sym__expression] = STATE(989),
    [sym_yield_expression] = STATE(989),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(989),
    [sym_jsx_fragment] = STATE(989),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(989),
    [sym_anonymous_class] = STATE(989),
    [sym_class] = STATE(989),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(989),
    [sym_generator_function] = STATE(989),
    [sym_call_expression] = STATE(989),
    [sym_new_expression] = STATE(989),
    [sym_await_expression] = STATE(989),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(989),
    [sym_ternary_expression] = STATE(989),
    [sym_binary_expression] = STATE(989),
    [sym_unary_expression] = STATE(989),
    [sym_update_expression] = STATE(989),
    [sym_template_string] = STATE(989),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2206),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2208),
    [sym_number] = ACTIONS(2206),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2208),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [sym_null] = ACTIONS(2208),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [627] = {
    [sym_parenthesized_expression] = STATE(579),
    [sym__expression] = STATE(579),
    [sym_yield_expression] = STATE(579),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(579),
    [sym_jsx_fragment] = STATE(579),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(579),
    [sym_anonymous_class] = STATE(579),
    [sym_class] = STATE(579),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(579),
    [sym_generator_function] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_new_expression] = STATE(579),
    [sym_await_expression] = STATE(579),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(579),
    [sym_augmented_assignment_expression] = STATE(579),
    [sym_ternary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_update_expression] = STATE(579),
    [sym_template_string] = STATE(579),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1086),
    [sym_number] = ACTIONS(1084),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(1086),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1086),
    [sym_false] = ACTIONS(1086),
    [sym_null] = ACTIONS(1086),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [628] = {
    [sym_parenthesized_expression] = STATE(990),
    [sym__expression] = STATE(990),
    [sym_yield_expression] = STATE(990),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(990),
    [sym_jsx_fragment] = STATE(990),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(990),
    [sym_anonymous_class] = STATE(990),
    [sym_class] = STATE(990),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(990),
    [sym_generator_function] = STATE(990),
    [sym_call_expression] = STATE(990),
    [sym_new_expression] = STATE(990),
    [sym_await_expression] = STATE(990),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(990),
    [sym_augmented_assignment_expression] = STATE(990),
    [sym_ternary_expression] = STATE(990),
    [sym_binary_expression] = STATE(990),
    [sym_unary_expression] = STATE(990),
    [sym_update_expression] = STATE(990),
    [sym_template_string] = STATE(990),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2210),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2212),
    [sym_number] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2212),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [sym_null] = ACTIONS(2212),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [629] = {
    [sym_parenthesized_expression] = STATE(991),
    [sym__expression] = STATE(991),
    [sym_yield_expression] = STATE(991),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(991),
    [sym_jsx_fragment] = STATE(991),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(991),
    [sym_anonymous_class] = STATE(991),
    [sym_class] = STATE(991),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(991),
    [sym_generator_function] = STATE(991),
    [sym_call_expression] = STATE(991),
    [sym_new_expression] = STATE(991),
    [sym_await_expression] = STATE(991),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(991),
    [sym_ternary_expression] = STATE(991),
    [sym_binary_expression] = STATE(991),
    [sym_unary_expression] = STATE(991),
    [sym_update_expression] = STATE(991),
    [sym_template_string] = STATE(991),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2214),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2216),
    [sym_number] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2216),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2216),
    [sym_false] = ACTIONS(2216),
    [sym_null] = ACTIONS(2216),
    [sym_undefined] = ACTIONS(2216),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [630] = {
    [sym_parenthesized_expression] = STATE(992),
    [sym__expression] = STATE(992),
    [sym_yield_expression] = STATE(992),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(992),
    [sym_jsx_fragment] = STATE(992),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(992),
    [sym_anonymous_class] = STATE(992),
    [sym_class] = STATE(992),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(992),
    [sym_generator_function] = STATE(992),
    [sym_call_expression] = STATE(992),
    [sym_new_expression] = STATE(992),
    [sym_await_expression] = STATE(992),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(992),
    [sym_ternary_expression] = STATE(992),
    [sym_binary_expression] = STATE(992),
    [sym_unary_expression] = STATE(992),
    [sym_update_expression] = STATE(992),
    [sym_template_string] = STATE(992),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2218),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2220),
    [sym_number] = ACTIONS(2218),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2220),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2220),
    [sym_false] = ACTIONS(2220),
    [sym_null] = ACTIONS(2220),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [631] = {
    [sym_parenthesized_expression] = STATE(993),
    [sym__expression] = STATE(993),
    [sym_yield_expression] = STATE(993),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(993),
    [sym_jsx_fragment] = STATE(993),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(993),
    [sym_anonymous_class] = STATE(993),
    [sym_class] = STATE(993),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(993),
    [sym_generator_function] = STATE(993),
    [sym_call_expression] = STATE(993),
    [sym_new_expression] = STATE(993),
    [sym_await_expression] = STATE(993),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(993),
    [sym_ternary_expression] = STATE(993),
    [sym_binary_expression] = STATE(993),
    [sym_unary_expression] = STATE(993),
    [sym_update_expression] = STATE(993),
    [sym_template_string] = STATE(993),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2222),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2224),
    [sym_number] = ACTIONS(2222),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2224),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2224),
    [sym_false] = ACTIONS(2224),
    [sym_null] = ACTIONS(2224),
    [sym_undefined] = ACTIONS(2224),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [632] = {
    [sym__automatic_semicolon] = ACTIONS(2226),
    [anon_sym_from] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2226),
    [sym_comment] = ACTIONS(71),
  },
  [633] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2228),
  },
  [634] = {
    [sym__import_export_specifier] = STATE(996),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(436),
  },
  [635] = {
    [sym__automatic_semicolon] = ACTIONS(2232),
    [anon_sym_from] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2232),
    [sym_comment] = ACTIONS(71),
  },
  [636] = {
    [aux_sym_export_clause_repeat1] = STATE(998),
    [anon_sym_COMMA] = ACTIONS(2234),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [sym_comment] = ACTIONS(71),
  },
  [637] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(1000),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [638] = {
    [sym_class_body] = STATE(1001),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(71),
  },
  [639] = {
    [sym__automatic_semicolon] = ACTIONS(1977),
    [ts_builtin_sym_end] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1979),
    [anon_sym_default] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [anon_sym_import] = ACTIONS(1979),
    [anon_sym_var] = ACTIONS(1979),
    [anon_sym_let] = ACTIONS(1979),
    [anon_sym_const] = ACTIONS(1979),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_else] = ACTIONS(1979),
    [anon_sym_switch] = ACTIONS(1979),
    [anon_sym_for] = ACTIONS(1979),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1979),
    [anon_sym_do] = ACTIONS(1979),
    [anon_sym_try] = ACTIONS(1979),
    [anon_sym_with] = ACTIONS(1979),
    [anon_sym_break] = ACTIONS(1979),
    [anon_sym_continue] = ACTIONS(1979),
    [anon_sym_debugger] = ACTIONS(1979),
    [anon_sym_return] = ACTIONS(1979),
    [anon_sym_throw] = ACTIONS(1979),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_case] = ACTIONS(1979),
    [anon_sym_yield] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1979),
    [anon_sym_async] = ACTIONS(1979),
    [anon_sym_function] = ACTIONS(1979),
    [anon_sym_EQ_GT] = ACTIONS(1977),
    [anon_sym_new] = ACTIONS(1979),
    [anon_sym_await] = ACTIONS(1979),
    [anon_sym_PLUS] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_typeof] = ACTIONS(1979),
    [anon_sym_void] = ACTIONS(1979),
    [anon_sym_delete] = ACTIONS(1979),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1977),
    [anon_sym_BQUOTE] = ACTIONS(1977),
    [sym_regex] = ACTIONS(1979),
    [sym_number] = ACTIONS(1977),
    [sym_identifier] = ACTIONS(1979),
    [sym_this] = ACTIONS(1979),
    [sym_super] = ACTIONS(1979),
    [sym_true] = ACTIONS(1979),
    [sym_false] = ACTIONS(1979),
    [sym_null] = ACTIONS(1979),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(1979),
    [anon_sym_set] = ACTIONS(1979),
  },
  [640] = {
    [sym_formal_parameters] = STATE(1002),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [641] = {
    [sym_statement_block] = STATE(1003),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [sym_comment] = ACTIONS(71),
  },
  [642] = {
    [sym_formal_parameters] = STATE(1004),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [643] = {
    [sym_statement_block] = STATE(1005),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [sym_comment] = ACTIONS(71),
  },
  [644] = {
    [sym_export_statement] = STATE(1007),
    [sym__declaration] = STATE(1007),
    [sym_import_statement] = STATE(1007),
    [sym_expression_statement] = STATE(1007),
    [sym_variable_declaration] = STATE(1007),
    [sym_lexical_declaration] = STATE(1007),
    [sym_statement_block] = STATE(1007),
    [sym_if_statement] = STATE(1007),
    [sym_switch_statement] = STATE(1007),
    [sym_for_statement] = STATE(1007),
    [sym_for_in_statement] = STATE(1007),
    [sym_for_of_statement] = STATE(1007),
    [sym_while_statement] = STATE(1007),
    [sym_do_statement] = STATE(1007),
    [sym_try_statement] = STATE(1007),
    [sym_with_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_debugger_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_throw_statement] = STATE(1007),
    [sym_empty_statement] = STATE(1007),
    [sym_labeled_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(1007),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [645] = {
    [sym__automatic_semicolon] = ACTIONS(2015),
    [ts_builtin_sym_end] = ACTIONS(2015),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_default] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_import] = ACTIONS(2017),
    [anon_sym_var] = ACTIONS(2017),
    [anon_sym_let] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_else] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_with] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_debugger] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_throw] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym_case] = ACTIONS(2017),
    [anon_sym_yield] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2015),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(2017),
    [anon_sym_EQ_GT] = ACTIONS(2015),
    [anon_sym_new] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2015),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_typeof] = ACTIONS(2017),
    [anon_sym_void] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2015),
    [anon_sym_BQUOTE] = ACTIONS(2015),
    [sym_regex] = ACTIONS(2017),
    [sym_number] = ACTIONS(2015),
    [sym_identifier] = ACTIONS(2017),
    [sym_this] = ACTIONS(2017),
    [sym_super] = ACTIONS(2017),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [sym_null] = ACTIONS(2017),
    [sym_undefined] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
  },
  [646] = {
    [sym_class_heritage] = STATE(1008),
    [sym_class_body] = STATE(1001),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [647] = {
    [sym_parenthesized_expression] = STATE(1009),
    [sym__expression] = STATE(1009),
    [sym_yield_expression] = STATE(1009),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1009),
    [sym_jsx_fragment] = STATE(1009),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1009),
    [sym_anonymous_class] = STATE(1009),
    [sym_class] = STATE(1009),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1009),
    [sym_generator_function] = STATE(1009),
    [sym_call_expression] = STATE(1009),
    [sym_new_expression] = STATE(1009),
    [sym_await_expression] = STATE(1009),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1009),
    [sym_augmented_assignment_expression] = STATE(1009),
    [sym_ternary_expression] = STATE(1009),
    [sym_binary_expression] = STATE(1009),
    [sym_unary_expression] = STATE(1009),
    [sym_update_expression] = STATE(1009),
    [sym_template_string] = STATE(1009),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2240),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2242),
    [sym_number] = ACTIONS(2240),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_null] = ACTIONS(2242),
    [sym_undefined] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [648] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(1013),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(2246),
    [anon_sym_PLUS_EQ] = ACTIONS(2248),
    [anon_sym_DASH_EQ] = ACTIONS(2248),
    [anon_sym_STAR_EQ] = ACTIONS(2248),
    [anon_sym_SLASH_EQ] = ACTIONS(2248),
    [anon_sym_PERCENT_EQ] = ACTIONS(2248),
    [anon_sym_CARET_EQ] = ACTIONS(2248),
    [anon_sym_AMP_EQ] = ACTIONS(2248),
    [anon_sym_PIPE_EQ] = ACTIONS(2248),
    [anon_sym_GT_GT_EQ] = ACTIONS(2248),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2248),
    [anon_sym_LT_LT_EQ] = ACTIONS(2248),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(2250),
  },
  [649] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(1014),
    [sym__expression] = STATE(1014),
    [sym_yield_expression] = STATE(1014),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1014),
    [sym_jsx_fragment] = STATE(1014),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1014),
    [sym_anonymous_class] = STATE(1014),
    [sym_class] = STATE(1014),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1014),
    [sym_generator_function] = STATE(1014),
    [sym_call_expression] = STATE(1014),
    [sym_new_expression] = STATE(1014),
    [sym_await_expression] = STATE(1014),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1014),
    [sym_augmented_assignment_expression] = STATE(1014),
    [sym_ternary_expression] = STATE(1014),
    [sym_binary_expression] = STATE(1014),
    [sym_unary_expression] = STATE(1014),
    [sym_update_expression] = STATE(1014),
    [sym_template_string] = STATE(1014),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2252),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2254),
    [sym_number] = ACTIONS(2252),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_null] = ACTIONS(2254),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [650] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [651] = {
    [sym_parenthesized_expression] = STATE(1015),
    [sym__expression] = STATE(1015),
    [sym_yield_expression] = STATE(1015),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1015),
    [sym_jsx_fragment] = STATE(1015),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1015),
    [sym_anonymous_class] = STATE(1015),
    [sym_class] = STATE(1015),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1015),
    [sym_generator_function] = STATE(1015),
    [sym_call_expression] = STATE(1015),
    [sym_new_expression] = STATE(1015),
    [sym_await_expression] = STATE(1015),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1015),
    [sym_augmented_assignment_expression] = STATE(1015),
    [sym_ternary_expression] = STATE(1015),
    [sym_binary_expression] = STATE(1015),
    [sym_unary_expression] = STATE(1015),
    [sym_update_expression] = STATE(1015),
    [sym_template_string] = STATE(1015),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2256),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2258),
    [sym_number] = ACTIONS(2256),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_null] = ACTIONS(2258),
    [sym_undefined] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [652] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [653] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [654] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_EQ_GT] = ACTIONS(2246),
    [anon_sym_PLUS_EQ] = ACTIONS(2262),
    [anon_sym_DASH_EQ] = ACTIONS(2262),
    [anon_sym_STAR_EQ] = ACTIONS(2262),
    [anon_sym_SLASH_EQ] = ACTIONS(2262),
    [anon_sym_PERCENT_EQ] = ACTIONS(2262),
    [anon_sym_CARET_EQ] = ACTIONS(2262),
    [anon_sym_AMP_EQ] = ACTIONS(2262),
    [anon_sym_PIPE_EQ] = ACTIONS(2262),
    [anon_sym_GT_GT_EQ] = ACTIONS(2262),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2262),
    [anon_sym_LT_LT_EQ] = ACTIONS(2262),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [655] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_PLUS_EQ] = ACTIONS(2248),
    [anon_sym_DASH_EQ] = ACTIONS(2248),
    [anon_sym_STAR_EQ] = ACTIONS(2248),
    [anon_sym_SLASH_EQ] = ACTIONS(2248),
    [anon_sym_PERCENT_EQ] = ACTIONS(2248),
    [anon_sym_CARET_EQ] = ACTIONS(2248),
    [anon_sym_AMP_EQ] = ACTIONS(2248),
    [anon_sym_PIPE_EQ] = ACTIONS(2248),
    [anon_sym_GT_GT_EQ] = ACTIONS(2248),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2248),
    [anon_sym_LT_LT_EQ] = ACTIONS(2248),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [656] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [657] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [658] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [659] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_RBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_PLUS_EQ] = ACTIONS(2262),
    [anon_sym_DASH_EQ] = ACTIONS(2262),
    [anon_sym_STAR_EQ] = ACTIONS(2262),
    [anon_sym_SLASH_EQ] = ACTIONS(2262),
    [anon_sym_PERCENT_EQ] = ACTIONS(2262),
    [anon_sym_CARET_EQ] = ACTIONS(2262),
    [anon_sym_AMP_EQ] = ACTIONS(2262),
    [anon_sym_PIPE_EQ] = ACTIONS(2262),
    [anon_sym_GT_GT_EQ] = ACTIONS(2262),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2262),
    [anon_sym_LT_LT_EQ] = ACTIONS(2262),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [660] = {
    [anon_sym_EQ_GT] = ACTIONS(2246),
    [sym_comment] = ACTIONS(71),
  },
  [661] = {
    [sym_statement_block] = STATE(1024),
    [anon_sym_LBRACE] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
  },
  [662] = {
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
    [anon_sym_EQ] = ACTIONS(474),
    [sym_comment] = ACTIONS(71),
  },
  [663] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(1026),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2284),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [664] = {
    [sym__initializer] = STATE(674),
    [aux_sym_object_repeat1] = STATE(1026),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2284),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_EQ] = ACTIONS(1403),
    [sym_comment] = ACTIONS(71),
  },
  [665] = {
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(1026),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2284),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [666] = {
    [aux_sym_object_repeat1] = STATE(1028),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [sym_comment] = ACTIONS(71),
  },
  [667] = {
    [sym_decorator] = STATE(678),
    [sym_method_definition] = STATE(1029),
    [sym__property_name] = STATE(319),
    [sym_computed_property_name] = STATE(319),
    [aux_sym_export_statement_repeat1] = STATE(678),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_async] = ACTIONS(560),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
  },
  [668] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [sym_comment] = ACTIONS(71),
  },
  [669] = {
    [anon_sym_COMMA] = ACTIONS(848),
    [anon_sym_RPAREN] = ACTIONS(848),
    [anon_sym_EQ] = ACTIONS(848),
    [sym_comment] = ACTIONS(71),
  },
  [670] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [aux_sym_array_repeat1] = STATE(1031),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [671] = {
    [aux_sym_array_repeat1] = STATE(1031),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(2290),
    [sym_comment] = ACTIONS(71),
  },
  [672] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(2290),
    [sym_comment] = ACTIONS(71),
  },
  [673] = {
    [sym_parenthesized_expression] = STATE(1033),
    [sym__expression] = STATE(1033),
    [sym_yield_expression] = STATE(1033),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1033),
    [sym_jsx_fragment] = STATE(1033),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1033),
    [sym_anonymous_class] = STATE(1033),
    [sym_class] = STATE(1033),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1033),
    [sym_generator_function] = STATE(1033),
    [sym_call_expression] = STATE(1033),
    [sym_new_expression] = STATE(1033),
    [sym_await_expression] = STATE(1033),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(1033),
    [sym_ternary_expression] = STATE(1033),
    [sym_binary_expression] = STATE(1033),
    [sym_unary_expression] = STATE(1033),
    [sym_update_expression] = STATE(1033),
    [sym_template_string] = STATE(1033),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2292),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2294),
    [sym_number] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2294),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2294),
    [sym_false] = ACTIONS(2294),
    [sym_null] = ACTIONS(2294),
    [sym_undefined] = ACTIONS(2294),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [674] = {
    [anon_sym_COMMA] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [anon_sym_RPAREN] = ACTIONS(1504),
    [sym_comment] = ACTIONS(71),
  },
  [675] = {
    [anon_sym_COMMA] = ACTIONS(1509),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_RPAREN] = ACTIONS(1509),
    [sym_comment] = ACTIONS(71),
  },
  [676] = {
    [anon_sym_COMMA] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [anon_sym_RPAREN] = ACTIONS(1520),
    [sym_comment] = ACTIONS(71),
  },
  [677] = {
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [sym_comment] = ACTIONS(71),
  },
  [678] = {
    [sym_decorator] = STATE(678),
    [aux_sym_export_statement_repeat1] = STATE(678),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_async] = ACTIONS(1547),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1284),
    [sym_number] = ACTIONS(1284),
    [sym_identifier] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1286),
    [anon_sym_get] = ACTIONS(1547),
    [anon_sym_set] = ACTIONS(1547),
  },
  [679] = {
    [sym_parenthesized_expression] = STATE(1034),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [680] = {
    [anon_sym_LPAREN] = ACTIONS(2298),
    [sym_comment] = ACTIONS(71),
  },
  [681] = {
    [sym_parenthesized_expression] = STATE(1036),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [682] = {
    [sym_parenthesized_expression] = STATE(1037),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [683] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [684] = {
    [anon_sym_export] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(1600),
    [anon_sym_let] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_while] = ACTIONS(1600),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_try] = ACTIONS(1600),
    [anon_sym_with] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_debugger] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_yield] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_class] = ACTIONS(1600),
    [anon_sym_async] = ACTIONS(1600),
    [anon_sym_function] = ACTIONS(1600),
    [anon_sym_EQ_GT] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1600),
    [anon_sym_await] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_void] = ACTIONS(1600),
    [anon_sym_delete] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [sym_regex] = ACTIONS(1600),
    [sym_number] = ACTIONS(1598),
    [sym_identifier] = ACTIONS(1600),
    [sym_this] = ACTIONS(1600),
    [sym_super] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [sym_null] = ACTIONS(1600),
    [sym_undefined] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1600),
    [anon_sym_set] = ACTIONS(1600),
  },
  [685] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(1041),
    [sym_array] = STATE(1042),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2304),
  },
  [686] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(1041),
    [sym_array] = STATE(1042),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2304),
  },
  [687] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_of] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [688] = {
    [sym_expression_statement] = STATE(1045),
    [sym_empty_statement] = STATE(1045),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [689] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2310),
    [anon_sym_of] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [690] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2314),
    [anon_sym_of] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [691] = {
    [sym__automatic_semicolon] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1838),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_GT_GT_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_instanceof] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1836),
  },
  [692] = {
    [sym_formal_parameters] = STATE(1050),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [693] = {
    [sym__automatic_semicolon] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_RPAREN] = ACTIONS(2323),
    [anon_sym_in] = ACTIONS(2325),
    [anon_sym_of] = ACTIONS(2323),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LT] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(2325),
    [anon_sym_SLASH] = ACTIONS(2325),
    [anon_sym_DOT] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2325),
    [anon_sym_QMARK] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2323),
    [anon_sym_PIPE_PIPE] = ACTIONS(2323),
    [anon_sym_GT_GT] = ACTIONS(2325),
    [anon_sym_GT_GT_GT] = ACTIONS(2323),
    [anon_sym_LT_LT] = ACTIONS(2323),
    [anon_sym_AMP] = ACTIONS(2325),
    [anon_sym_CARET] = ACTIONS(2323),
    [anon_sym_PIPE] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2325),
    [anon_sym_DASH] = ACTIONS(2325),
    [anon_sym_PERCENT] = ACTIONS(2323),
    [anon_sym_LT_EQ] = ACTIONS(2323),
    [anon_sym_EQ_EQ] = ACTIONS(2325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2323),
    [anon_sym_BANG_EQ] = ACTIONS(2325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2323),
    [anon_sym_GT_EQ] = ACTIONS(2323),
    [anon_sym_instanceof] = ACTIONS(2323),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2323),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2323),
  },
  [694] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [695] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(1051),
    [sym__expression] = STATE(1051),
    [sym_yield_expression] = STATE(1051),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1051),
    [sym_jsx_fragment] = STATE(1051),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1051),
    [sym_anonymous_class] = STATE(1051),
    [sym_class] = STATE(1051),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1051),
    [sym_generator_function] = STATE(1051),
    [sym_call_expression] = STATE(1051),
    [sym_new_expression] = STATE(1051),
    [sym_await_expression] = STATE(1051),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1051),
    [sym_augmented_assignment_expression] = STATE(1051),
    [sym_ternary_expression] = STATE(1051),
    [sym_binary_expression] = STATE(1051),
    [sym_unary_expression] = STATE(1051),
    [sym_update_expression] = STATE(1051),
    [sym_template_string] = STATE(1051),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2327),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2329),
    [sym_number] = ACTIONS(2327),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2329),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2329),
    [sym_false] = ACTIONS(2329),
    [sym_null] = ACTIONS(2329),
    [sym_undefined] = ACTIONS(2329),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [696] = {
    [sym_parenthesized_expression] = STATE(1052),
    [sym__expression] = STATE(1052),
    [sym_yield_expression] = STATE(1052),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1052),
    [sym_jsx_fragment] = STATE(1052),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1052),
    [sym_anonymous_class] = STATE(1052),
    [sym_class] = STATE(1052),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1052),
    [sym_generator_function] = STATE(1052),
    [sym_call_expression] = STATE(1052),
    [sym_new_expression] = STATE(1052),
    [sym_await_expression] = STATE(1052),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1052),
    [sym_augmented_assignment_expression] = STATE(1052),
    [sym_ternary_expression] = STATE(1052),
    [sym_binary_expression] = STATE(1052),
    [sym_unary_expression] = STATE(1052),
    [sym_update_expression] = STATE(1052),
    [sym_template_string] = STATE(1052),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2331),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2333),
    [sym_number] = ACTIONS(2331),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2333),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2333),
    [sym_false] = ACTIONS(2333),
    [sym_null] = ACTIONS(2333),
    [sym_undefined] = ACTIONS(2333),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [697] = {
    [anon_sym_EQ_GT] = ACTIONS(2335),
    [sym_comment] = ACTIONS(71),
  },
  [698] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_RBRACE] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [699] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1006),
    [anon_sym_RBRACE] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [700] = {
    [sym_parenthesized_expression] = STATE(1054),
    [sym__expression] = STATE(1054),
    [sym_yield_expression] = STATE(1054),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1054),
    [sym_jsx_fragment] = STATE(1054),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1054),
    [sym_anonymous_class] = STATE(1054),
    [sym_class] = STATE(1054),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1054),
    [sym_generator_function] = STATE(1054),
    [sym_call_expression] = STATE(1054),
    [sym_new_expression] = STATE(1054),
    [sym_await_expression] = STATE(1054),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1054),
    [sym_augmented_assignment_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1054),
    [sym_binary_expression] = STATE(1054),
    [sym_unary_expression] = STATE(1054),
    [sym_update_expression] = STATE(1054),
    [sym_template_string] = STATE(1054),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2337),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2339),
    [sym_number] = ACTIONS(2337),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2339),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2339),
    [sym_false] = ACTIONS(2339),
    [sym_null] = ACTIONS(2339),
    [sym_undefined] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [701] = {
    [sym_parenthesized_expression] = STATE(1055),
    [sym__expression] = STATE(1055),
    [sym_yield_expression] = STATE(1055),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1055),
    [sym_jsx_fragment] = STATE(1055),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1055),
    [sym_anonymous_class] = STATE(1055),
    [sym_class] = STATE(1055),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1055),
    [sym_generator_function] = STATE(1055),
    [sym_call_expression] = STATE(1055),
    [sym_new_expression] = STATE(1055),
    [sym_await_expression] = STATE(1055),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1055),
    [sym_augmented_assignment_expression] = STATE(1055),
    [sym_ternary_expression] = STATE(1055),
    [sym_binary_expression] = STATE(1055),
    [sym_unary_expression] = STATE(1055),
    [sym_update_expression] = STATE(1055),
    [sym_template_string] = STATE(1055),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2341),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2343),
    [sym_number] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2343),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2343),
    [sym_false] = ACTIONS(2343),
    [sym_null] = ACTIONS(2343),
    [sym_undefined] = ACTIONS(2343),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [702] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [703] = {
    [sym_parenthesized_expression] = STATE(1056),
    [sym__expression] = STATE(1056),
    [sym_yield_expression] = STATE(1056),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1056),
    [sym_jsx_fragment] = STATE(1056),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1056),
    [sym_anonymous_class] = STATE(1056),
    [sym_class] = STATE(1056),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1056),
    [sym_generator_function] = STATE(1056),
    [sym_call_expression] = STATE(1056),
    [sym_new_expression] = STATE(1056),
    [sym_await_expression] = STATE(1056),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1056),
    [sym_augmented_assignment_expression] = STATE(1056),
    [sym_ternary_expression] = STATE(1056),
    [sym_binary_expression] = STATE(1056),
    [sym_unary_expression] = STATE(1056),
    [sym_update_expression] = STATE(1056),
    [sym_template_string] = STATE(1056),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2345),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2347),
    [sym_number] = ACTIONS(2345),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2347),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2347),
    [sym_false] = ACTIONS(2347),
    [sym_null] = ACTIONS(2347),
    [sym_undefined] = ACTIONS(2347),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [704] = {
    [sym_parenthesized_expression] = STATE(1057),
    [sym__expression] = STATE(1057),
    [sym_yield_expression] = STATE(1057),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1057),
    [sym_jsx_fragment] = STATE(1057),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1057),
    [sym_anonymous_class] = STATE(1057),
    [sym_class] = STATE(1057),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1057),
    [sym_generator_function] = STATE(1057),
    [sym_call_expression] = STATE(1057),
    [sym_new_expression] = STATE(1057),
    [sym_await_expression] = STATE(1057),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1057),
    [sym_augmented_assignment_expression] = STATE(1057),
    [sym_ternary_expression] = STATE(1057),
    [sym_binary_expression] = STATE(1057),
    [sym_unary_expression] = STATE(1057),
    [sym_update_expression] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2349),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2351),
    [sym_number] = ACTIONS(2349),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2351),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [sym_undefined] = ACTIONS(2351),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [705] = {
    [sym_parenthesized_expression] = STATE(1058),
    [sym__expression] = STATE(1058),
    [sym_yield_expression] = STATE(1058),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1058),
    [sym_jsx_fragment] = STATE(1058),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1058),
    [sym_anonymous_class] = STATE(1058),
    [sym_class] = STATE(1058),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1058),
    [sym_generator_function] = STATE(1058),
    [sym_call_expression] = STATE(1058),
    [sym_new_expression] = STATE(1058),
    [sym_await_expression] = STATE(1058),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1058),
    [sym_augmented_assignment_expression] = STATE(1058),
    [sym_ternary_expression] = STATE(1058),
    [sym_binary_expression] = STATE(1058),
    [sym_unary_expression] = STATE(1058),
    [sym_update_expression] = STATE(1058),
    [sym_template_string] = STATE(1058),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2353),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2355),
    [sym_number] = ACTIONS(2353),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2355),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2355),
    [sym_false] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [sym_undefined] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [706] = {
    [sym_parenthesized_expression] = STATE(1059),
    [sym__expression] = STATE(1059),
    [sym_yield_expression] = STATE(1059),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1059),
    [sym_jsx_fragment] = STATE(1059),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1059),
    [sym_anonymous_class] = STATE(1059),
    [sym_class] = STATE(1059),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1059),
    [sym_generator_function] = STATE(1059),
    [sym_call_expression] = STATE(1059),
    [sym_new_expression] = STATE(1059),
    [sym_await_expression] = STATE(1059),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1059),
    [sym_augmented_assignment_expression] = STATE(1059),
    [sym_ternary_expression] = STATE(1059),
    [sym_binary_expression] = STATE(1059),
    [sym_unary_expression] = STATE(1059),
    [sym_update_expression] = STATE(1059),
    [sym_template_string] = STATE(1059),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2357),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2359),
    [sym_number] = ACTIONS(2357),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2359),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2359),
    [sym_false] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [sym_undefined] = ACTIONS(2359),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [707] = {
    [sym_parenthesized_expression] = STATE(1060),
    [sym__expression] = STATE(1060),
    [sym_yield_expression] = STATE(1060),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1060),
    [sym_jsx_fragment] = STATE(1060),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1060),
    [sym_anonymous_class] = STATE(1060),
    [sym_class] = STATE(1060),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1060),
    [sym_generator_function] = STATE(1060),
    [sym_call_expression] = STATE(1060),
    [sym_new_expression] = STATE(1060),
    [sym_await_expression] = STATE(1060),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1060),
    [sym_augmented_assignment_expression] = STATE(1060),
    [sym_ternary_expression] = STATE(1060),
    [sym_binary_expression] = STATE(1060),
    [sym_unary_expression] = STATE(1060),
    [sym_update_expression] = STATE(1060),
    [sym_template_string] = STATE(1060),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [sym__automatic_semicolon] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_SEMI] = ACTIONS(235),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(239),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(1487),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2361),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2363),
    [sym_number] = ACTIONS(2361),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(2363),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2363),
    [sym_false] = ACTIONS(2363),
    [sym_null] = ACTIONS(2363),
    [sym_undefined] = ACTIONS(2363),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [708] = {
    [sym__initializer] = STATE(194),
    [sym_formal_parameters] = STATE(1063),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_EQ_GT] = ACTIONS(2365),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_CARET_EQ] = ACTIONS(2367),
    [anon_sym_AMP_EQ] = ACTIONS(2367),
    [anon_sym_PIPE_EQ] = ACTIONS(2367),
    [anon_sym_GT_GT_EQ] = ACTIONS(2367),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(2369),
  },
  [709] = {
    [sym_statement_block] = STATE(199),
    [sym_parenthesized_expression] = STATE(1064),
    [sym__expression] = STATE(1064),
    [sym_yield_expression] = STATE(1064),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1064),
    [sym_jsx_fragment] = STATE(1064),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1064),
    [sym_anonymous_class] = STATE(1064),
    [sym_class] = STATE(1064),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1064),
    [sym_generator_function] = STATE(1064),
    [sym_call_expression] = STATE(1064),
    [sym_new_expression] = STATE(1064),
    [sym_await_expression] = STATE(1064),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1064),
    [sym_augmented_assignment_expression] = STATE(1064),
    [sym_ternary_expression] = STATE(1064),
    [sym_binary_expression] = STATE(1064),
    [sym_unary_expression] = STATE(1064),
    [sym_update_expression] = STATE(1064),
    [sym_template_string] = STATE(1064),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2371),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2373),
    [sym_number] = ACTIONS(2371),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(2373),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2373),
    [sym_false] = ACTIONS(2373),
    [sym_null] = ACTIONS(2373),
    [sym_undefined] = ACTIONS(2373),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [710] = {
    [sym_parenthesized_expression] = STATE(201),
    [sym__expression] = STATE(201),
    [sym_yield_expression] = STATE(201),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(201),
    [sym_jsx_fragment] = STATE(201),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(201),
    [sym_anonymous_class] = STATE(201),
    [sym_class] = STATE(201),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(201),
    [sym_generator_function] = STATE(201),
    [sym_call_expression] = STATE(201),
    [sym_new_expression] = STATE(201),
    [sym_await_expression] = STATE(201),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(201),
    [sym_augmented_assignment_expression] = STATE(201),
    [sym_ternary_expression] = STATE(201),
    [sym_binary_expression] = STATE(201),
    [sym_unary_expression] = STATE(201),
    [sym_update_expression] = STATE(201),
    [sym_template_string] = STATE(201),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(318),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(320),
    [sym_number] = ACTIONS(318),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(320),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_null] = ACTIONS(320),
    [sym_undefined] = ACTIONS(320),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [711] = {
    [sym_parenthesized_expression] = STATE(1065),
    [sym__expression] = STATE(1065),
    [sym_yield_expression] = STATE(1065),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1065),
    [sym_jsx_fragment] = STATE(1065),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1065),
    [sym_anonymous_class] = STATE(1065),
    [sym_class] = STATE(1065),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1065),
    [sym_generator_function] = STATE(1065),
    [sym_call_expression] = STATE(1065),
    [sym_new_expression] = STATE(1065),
    [sym_await_expression] = STATE(1065),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1065),
    [sym_augmented_assignment_expression] = STATE(1065),
    [sym_ternary_expression] = STATE(1065),
    [sym_binary_expression] = STATE(1065),
    [sym_unary_expression] = STATE(1065),
    [sym_update_expression] = STATE(1065),
    [sym_template_string] = STATE(1065),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2375),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2377),
    [sym_number] = ACTIONS(2375),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(2377),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2377),
    [sym_false] = ACTIONS(2377),
    [sym_null] = ACTIONS(2377),
    [sym_undefined] = ACTIONS(2377),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [712] = {
    [sym_parenthesized_expression] = STATE(203),
    [sym__expression] = STATE(203),
    [sym_yield_expression] = STATE(203),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(203),
    [sym_jsx_fragment] = STATE(203),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(203),
    [sym_anonymous_class] = STATE(203),
    [sym_class] = STATE(203),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(203),
    [sym_generator_function] = STATE(203),
    [sym_call_expression] = STATE(203),
    [sym_new_expression] = STATE(203),
    [sym_await_expression] = STATE(203),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(203),
    [sym_augmented_assignment_expression] = STATE(203),
    [sym_ternary_expression] = STATE(203),
    [sym_binary_expression] = STATE(203),
    [sym_unary_expression] = STATE(203),
    [sym_update_expression] = STATE(203),
    [sym_template_string] = STATE(203),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(328),
    [sym_number] = ACTIONS(326),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(328),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_null] = ACTIONS(328),
    [sym_undefined] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [713] = {
    [sym_parenthesized_expression] = STATE(204),
    [sym__expression] = STATE(204),
    [sym_yield_expression] = STATE(204),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(204),
    [sym_jsx_fragment] = STATE(204),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(204),
    [sym_anonymous_class] = STATE(204),
    [sym_class] = STATE(204),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(204),
    [sym_generator_function] = STATE(204),
    [sym_call_expression] = STATE(204),
    [sym_new_expression] = STATE(204),
    [sym_await_expression] = STATE(204),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(204),
    [sym_augmented_assignment_expression] = STATE(204),
    [sym_ternary_expression] = STATE(204),
    [sym_binary_expression] = STATE(204),
    [sym_unary_expression] = STATE(204),
    [sym_update_expression] = STATE(204),
    [sym_template_string] = STATE(204),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(330),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(332),
    [sym_number] = ACTIONS(330),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(332),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(332),
    [sym_false] = ACTIONS(332),
    [sym_null] = ACTIONS(332),
    [sym_undefined] = ACTIONS(332),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [714] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_EQ_GT] = ACTIONS(2365),
    [anon_sym_PLUS_EQ] = ACTIONS(2381),
    [anon_sym_DASH_EQ] = ACTIONS(2381),
    [anon_sym_STAR_EQ] = ACTIONS(2381),
    [anon_sym_SLASH_EQ] = ACTIONS(2381),
    [anon_sym_PERCENT_EQ] = ACTIONS(2381),
    [anon_sym_CARET_EQ] = ACTIONS(2381),
    [anon_sym_AMP_EQ] = ACTIONS(2381),
    [anon_sym_PIPE_EQ] = ACTIONS(2381),
    [anon_sym_GT_GT_EQ] = ACTIONS(2381),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_LT_EQ] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [715] = {
    [sym__initializer] = STATE(194),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_CARET_EQ] = ACTIONS(2367),
    [anon_sym_AMP_EQ] = ACTIONS(2367),
    [anon_sym_PIPE_EQ] = ACTIONS(2367),
    [anon_sym_GT_GT_EQ] = ACTIONS(2367),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [716] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2001),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_RBRACE] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [717] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [718] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [719] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_PLUS_EQ] = ACTIONS(2381),
    [anon_sym_DASH_EQ] = ACTIONS(2381),
    [anon_sym_STAR_EQ] = ACTIONS(2381),
    [anon_sym_SLASH_EQ] = ACTIONS(2381),
    [anon_sym_PERCENT_EQ] = ACTIONS(2381),
    [anon_sym_CARET_EQ] = ACTIONS(2381),
    [anon_sym_AMP_EQ] = ACTIONS(2381),
    [anon_sym_PIPE_EQ] = ACTIONS(2381),
    [anon_sym_GT_GT_EQ] = ACTIONS(2381),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_LT_EQ] = ACTIONS(2381),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [720] = {
    [anon_sym_EQ_GT] = ACTIONS(2365),
    [sym_comment] = ACTIONS(71),
  },
  [721] = {
    [sym__automatic_semicolon] = ACTIONS(2401),
    [anon_sym_STAR] = ACTIONS(2401),
    [anon_sym_COMMA] = ACTIONS(2401),
    [anon_sym_RBRACE] = ACTIONS(2401),
    [anon_sym_LPAREN] = ACTIONS(2401),
    [anon_sym_RPAREN] = ACTIONS(2401),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_of] = ACTIONS(2401),
    [anon_sym_SEMI] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(2401),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_DOT] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_AMP_AMP] = ACTIONS(2401),
    [anon_sym_PIPE_PIPE] = ACTIONS(2401),
    [anon_sym_GT_GT] = ACTIONS(2403),
    [anon_sym_GT_GT_GT] = ACTIONS(2401),
    [anon_sym_LT_LT] = ACTIONS(2401),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_CARET] = ACTIONS(2401),
    [anon_sym_PIPE] = ACTIONS(2403),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2401),
    [anon_sym_LT_EQ] = ACTIONS(2401),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2401),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2401),
    [anon_sym_GT_EQ] = ACTIONS(2401),
    [anon_sym_instanceof] = ACTIONS(2401),
    [anon_sym_PLUS_PLUS] = ACTIONS(2401),
    [anon_sym_DASH_DASH] = ACTIONS(2401),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2401),
  },
  [722] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2405),
    [anon_sym_RBRACE] = ACTIONS(2405),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [723] = {
    [anon_sym_STAR] = ACTIONS(2407),
    [anon_sym_COMMA] = ACTIONS(2407),
    [anon_sym_RBRACE] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_async] = ACTIONS(2409),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2407),
    [sym_number] = ACTIONS(2407),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_AT] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2409),
    [anon_sym_get] = ACTIONS(2409),
    [anon_sym_set] = ACTIONS(2409),
  },
  [724] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2411),
    [sym_comment] = ACTIONS(71),
  },
  [725] = {
    [anon_sym_from] = ACTIONS(2413),
    [sym_comment] = ACTIONS(71),
  },
  [726] = {
    [anon_sym_from] = ACTIONS(2415),
    [sym_comment] = ACTIONS(71),
  },
  [727] = {
    [sym__import_export_specifier] = STATE(1075),
    [anon_sym_RBRACE] = ACTIONS(2417),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(436),
  },
  [728] = {
    [anon_sym_from] = ACTIONS(2419),
    [sym_comment] = ACTIONS(71),
  },
  [729] = {
    [aux_sym_named_imports_repeat1] = STATE(1077),
    [anon_sym_COMMA] = ACTIONS(2421),
    [anon_sym_RBRACE] = ACTIONS(2417),
    [sym_comment] = ACTIONS(71),
  },
  [730] = {
    [anon_sym_from] = ACTIONS(2423),
    [sym_comment] = ACTIONS(71),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2425),
    [anon_sym_export] = ACTIONS(2427),
    [anon_sym_default] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_RBRACE] = ACTIONS(2425),
    [anon_sym_import] = ACTIONS(2427),
    [anon_sym_var] = ACTIONS(2427),
    [anon_sym_let] = ACTIONS(2427),
    [anon_sym_const] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_else] = ACTIONS(2427),
    [anon_sym_switch] = ACTIONS(2427),
    [anon_sym_for] = ACTIONS(2427),
    [anon_sym_LPAREN] = ACTIONS(2425),
    [anon_sym_while] = ACTIONS(2427),
    [anon_sym_do] = ACTIONS(2427),
    [anon_sym_try] = ACTIONS(2427),
    [anon_sym_with] = ACTIONS(2427),
    [anon_sym_break] = ACTIONS(2427),
    [anon_sym_continue] = ACTIONS(2427),
    [anon_sym_debugger] = ACTIONS(2427),
    [anon_sym_return] = ACTIONS(2427),
    [anon_sym_throw] = ACTIONS(2427),
    [anon_sym_SEMI] = ACTIONS(2425),
    [anon_sym_case] = ACTIONS(2427),
    [anon_sym_yield] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(2425),
    [anon_sym_class] = ACTIONS(2427),
    [anon_sym_async] = ACTIONS(2427),
    [anon_sym_function] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2425),
    [anon_sym_new] = ACTIONS(2427),
    [anon_sym_await] = ACTIONS(2427),
    [anon_sym_PLUS] = ACTIONS(2427),
    [anon_sym_DASH] = ACTIONS(2427),
    [anon_sym_BANG] = ACTIONS(2425),
    [anon_sym_TILDE] = ACTIONS(2425),
    [anon_sym_typeof] = ACTIONS(2427),
    [anon_sym_void] = ACTIONS(2427),
    [anon_sym_delete] = ACTIONS(2427),
    [anon_sym_PLUS_PLUS] = ACTIONS(2425),
    [anon_sym_DASH_DASH] = ACTIONS(2425),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2425),
    [anon_sym_BQUOTE] = ACTIONS(2425),
    [sym_regex] = ACTIONS(2427),
    [sym_number] = ACTIONS(2425),
    [sym_identifier] = ACTIONS(2427),
    [sym_this] = ACTIONS(2427),
    [sym_super] = ACTIONS(2427),
    [sym_true] = ACTIONS(2427),
    [sym_false] = ACTIONS(2427),
    [sym_null] = ACTIONS(2427),
    [sym_undefined] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(2425),
    [anon_sym_get] = ACTIONS(2427),
    [anon_sym_set] = ACTIONS(2427),
  },
  [732] = {
    [sym__automatic_semicolon] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_in] = ACTIONS(1427),
    [anon_sym_of] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1427),
    [sym_comment] = ACTIONS(71),
  },
  [733] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2429),
    [sym_comment] = ACTIONS(71),
  },
  [734] = {
    [sym__automatic_semicolon] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1511),
    [anon_sym_of] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [sym_comment] = ACTIONS(71),
  },
  [735] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [sym_comment] = ACTIONS(71),
  },
  [736] = {
    [aux_sym_object_repeat1] = STATE(1080),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [sym_comment] = ACTIONS(71),
  },
  [737] = {
    [sym__automatic_semicolon] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_in] = ACTIONS(1836),
    [anon_sym_of] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1836),
    [sym_comment] = ACTIONS(71),
  },
  [738] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(2433),
    [sym_comment] = ACTIONS(71),
  },
  [739] = {
    [sym__automatic_semicolon] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2435),
    [anon_sym_SEMI] = ACTIONS(2435),
    [sym_comment] = ACTIONS(71),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2437),
    [anon_sym_export] = ACTIONS(2439),
    [anon_sym_default] = ACTIONS(2439),
    [anon_sym_LBRACE] = ACTIONS(2437),
    [anon_sym_RBRACE] = ACTIONS(2437),
    [anon_sym_import] = ACTIONS(2439),
    [anon_sym_var] = ACTIONS(2439),
    [anon_sym_let] = ACTIONS(2439),
    [anon_sym_const] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2439),
    [anon_sym_else] = ACTIONS(2439),
    [anon_sym_switch] = ACTIONS(2439),
    [anon_sym_for] = ACTIONS(2439),
    [anon_sym_LPAREN] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2439),
    [anon_sym_do] = ACTIONS(2439),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_with] = ACTIONS(2439),
    [anon_sym_break] = ACTIONS(2439),
    [anon_sym_continue] = ACTIONS(2439),
    [anon_sym_debugger] = ACTIONS(2439),
    [anon_sym_return] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2439),
    [anon_sym_SEMI] = ACTIONS(2437),
    [anon_sym_case] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(2437),
    [anon_sym_LT] = ACTIONS(2437),
    [anon_sym_class] = ACTIONS(2439),
    [anon_sym_async] = ACTIONS(2439),
    [anon_sym_function] = ACTIONS(2439),
    [anon_sym_EQ_GT] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2439),
    [anon_sym_await] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2439),
    [anon_sym_DASH] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(2437),
    [anon_sym_TILDE] = ACTIONS(2437),
    [anon_sym_typeof] = ACTIONS(2439),
    [anon_sym_void] = ACTIONS(2439),
    [anon_sym_delete] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(2437),
    [anon_sym_DASH_DASH] = ACTIONS(2437),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2437),
    [anon_sym_BQUOTE] = ACTIONS(2437),
    [sym_regex] = ACTIONS(2439),
    [sym_number] = ACTIONS(2437),
    [sym_identifier] = ACTIONS(2439),
    [sym_this] = ACTIONS(2439),
    [sym_super] = ACTIONS(2439),
    [sym_true] = ACTIONS(2439),
    [sym_false] = ACTIONS(2439),
    [sym_null] = ACTIONS(2439),
    [sym_undefined] = ACTIONS(2439),
    [anon_sym_AT] = ACTIONS(2437),
    [anon_sym_get] = ACTIONS(2439),
    [anon_sym_set] = ACTIONS(2439),
  },
  [741] = {
    [aux_sym_variable_declaration_repeat1] = STATE(741),
    [sym__automatic_semicolon] = ACTIONS(2435),
    [anon_sym_COMMA] = ACTIONS(2441),
    [anon_sym_SEMI] = ACTIONS(2435),
    [sym_comment] = ACTIONS(71),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_default] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [anon_sym_import] = ACTIONS(2446),
    [anon_sym_var] = ACTIONS(2446),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_else] = ACTIONS(2446),
    [anon_sym_switch] = ACTIONS(2446),
    [anon_sym_for] = ACTIONS(2446),
    [anon_sym_LPAREN] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2446),
    [anon_sym_do] = ACTIONS(2446),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_with] = ACTIONS(2446),
    [anon_sym_break] = ACTIONS(2446),
    [anon_sym_continue] = ACTIONS(2446),
    [anon_sym_debugger] = ACTIONS(2446),
    [anon_sym_return] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2446),
    [anon_sym_yield] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_class] = ACTIONS(2446),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2446),
    [anon_sym_EQ_GT] = ACTIONS(2444),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_await] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2444),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_typeof] = ACTIONS(2446),
    [anon_sym_void] = ACTIONS(2446),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2444),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2444),
    [anon_sym_BQUOTE] = ACTIONS(2444),
    [sym_regex] = ACTIONS(2446),
    [sym_number] = ACTIONS(2444),
    [sym_identifier] = ACTIONS(2446),
    [sym_this] = ACTIONS(2446),
    [sym_super] = ACTIONS(2446),
    [sym_true] = ACTIONS(2446),
    [sym_false] = ACTIONS(2446),
    [sym_null] = ACTIONS(2446),
    [sym_undefined] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
  },
  [743] = {
    [anon_sym_export] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_import] = ACTIONS(1708),
    [anon_sym_var] = ACTIONS(1708),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_do] = ACTIONS(1708),
    [anon_sym_try] = ACTIONS(1708),
    [anon_sym_with] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_continue] = ACTIONS(1708),
    [anon_sym_debugger] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_throw] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_yield] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_class] = ACTIONS(1708),
    [anon_sym_async] = ACTIONS(1708),
    [anon_sym_function] = ACTIONS(1708),
    [anon_sym_EQ_GT] = ACTIONS(1706),
    [anon_sym_new] = ACTIONS(1708),
    [anon_sym_await] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_typeof] = ACTIONS(1708),
    [anon_sym_void] = ACTIONS(1708),
    [anon_sym_delete] = ACTIONS(1708),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1706),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [sym_regex] = ACTIONS(1708),
    [sym_number] = ACTIONS(1706),
    [sym_identifier] = ACTIONS(1708),
    [sym_this] = ACTIONS(1708),
    [sym_super] = ACTIONS(1708),
    [sym_true] = ACTIONS(1708),
    [sym_false] = ACTIONS(1708),
    [sym_null] = ACTIONS(1708),
    [sym_undefined] = ACTIONS(1708),
    [anon_sym_AT] = ACTIONS(1706),
    [anon_sym_get] = ACTIONS(1708),
    [anon_sym_set] = ACTIONS(1708),
  },
  [744] = {
    [sym_export_statement] = STATE(1082),
    [sym__declaration] = STATE(1082),
    [sym_import_statement] = STATE(1082),
    [sym_expression_statement] = STATE(1082),
    [sym_variable_declaration] = STATE(1082),
    [sym_lexical_declaration] = STATE(1082),
    [sym_statement_block] = STATE(1082),
    [sym_if_statement] = STATE(1082),
    [sym_switch_statement] = STATE(1082),
    [sym_for_statement] = STATE(1082),
    [sym_for_in_statement] = STATE(1082),
    [sym_for_of_statement] = STATE(1082),
    [sym_while_statement] = STATE(1082),
    [sym_do_statement] = STATE(1082),
    [sym_try_statement] = STATE(1082),
    [sym_with_statement] = STATE(1082),
    [sym_break_statement] = STATE(1082),
    [sym_continue_statement] = STATE(1082),
    [sym_debugger_statement] = STATE(1082),
    [sym_return_statement] = STATE(1082),
    [sym_throw_statement] = STATE(1082),
    [sym_empty_statement] = STATE(1082),
    [sym_labeled_statement] = STATE(1082),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [745] = {
    [sym_expression_statement] = STATE(1086),
    [sym_variable_declaration] = STATE(1086),
    [sym_lexical_declaration] = STATE(1086),
    [sym_empty_statement] = STATE(1086),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(1087),
    [sym_array] = STATE(1088),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_var] = ACTIONS(2448),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(2452),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [746] = {
    [sym_export_statement] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym_import_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_variable_declaration] = STATE(441),
    [sym_lexical_declaration] = STATE(441),
    [sym_statement_block] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_for_in_statement] = STATE(441),
    [sym_for_of_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_with_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_debugger_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_empty_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [747] = {
    [sym_export_statement] = STATE(465),
    [sym__declaration] = STATE(465),
    [sym_import_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_variable_declaration] = STATE(465),
    [sym_lexical_declaration] = STATE(465),
    [sym_statement_block] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_for_in_statement] = STATE(465),
    [sym_for_of_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_with_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_debugger_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_labeled_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [748] = {
    [sym_export_statement] = STATE(564),
    [sym__declaration] = STATE(564),
    [sym_import_statement] = STATE(564),
    [sym_expression_statement] = STATE(564),
    [sym_variable_declaration] = STATE(564),
    [sym_lexical_declaration] = STATE(564),
    [sym_statement_block] = STATE(564),
    [sym_if_statement] = STATE(564),
    [sym_switch_statement] = STATE(564),
    [sym_for_statement] = STATE(564),
    [sym_for_in_statement] = STATE(564),
    [sym_for_of_statement] = STATE(564),
    [sym_while_statement] = STATE(564),
    [sym_do_statement] = STATE(564),
    [sym_try_statement] = STATE(564),
    [sym_with_statement] = STATE(564),
    [sym_break_statement] = STATE(564),
    [sym_continue_statement] = STATE(564),
    [sym_debugger_statement] = STATE(564),
    [sym_return_statement] = STATE(564),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(564),
    [sym_labeled_statement] = STATE(564),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [749] = {
    [sym_export_statement] = STATE(1089),
    [sym__declaration] = STATE(1089),
    [sym_import_statement] = STATE(1089),
    [sym_expression_statement] = STATE(1089),
    [sym_variable_declaration] = STATE(1089),
    [sym_lexical_declaration] = STATE(1089),
    [sym_statement_block] = STATE(1089),
    [sym_if_statement] = STATE(1089),
    [sym_switch_statement] = STATE(1089),
    [sym_for_statement] = STATE(1089),
    [sym_for_in_statement] = STATE(1089),
    [sym_for_of_statement] = STATE(1089),
    [sym_while_statement] = STATE(1089),
    [sym_do_statement] = STATE(1089),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1089),
    [sym_break_statement] = STATE(1089),
    [sym_continue_statement] = STATE(1089),
    [sym_debugger_statement] = STATE(1089),
    [sym_return_statement] = STATE(1089),
    [sym_throw_statement] = STATE(1089),
    [sym_empty_statement] = STATE(1089),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [750] = {
    [anon_sym_COLON] = ACTIONS(2454),
    [sym_comment] = ACTIONS(71),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(2456),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_else] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_LT] = ACTIONS(2456),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2456),
    [anon_sym_BQUOTE] = ACTIONS(2456),
    [sym_regex] = ACTIONS(2458),
    [sym_number] = ACTIONS(2456),
    [sym_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
  },
  [752] = {
    [sym_parenthesized_expression] = STATE(1101),
    [sym__expressions] = STATE(1100),
    [sym__expression] = STATE(1101),
    [sym_yield_expression] = STATE(1101),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1101),
    [sym_jsx_fragment] = STATE(1101),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1101),
    [sym_anonymous_class] = STATE(1101),
    [sym_class] = STATE(1101),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1101),
    [sym_generator_function] = STATE(1101),
    [sym_call_expression] = STATE(1101),
    [sym_new_expression] = STATE(1101),
    [sym_await_expression] = STATE(1101),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1101),
    [sym_augmented_assignment_expression] = STATE(1101),
    [sym_ternary_expression] = STATE(1101),
    [sym_binary_expression] = STATE(1101),
    [sym_unary_expression] = STATE(1101),
    [sym_update_expression] = STATE(1101),
    [sym_sequence_expression] = STATE(1100),
    [sym_template_string] = STATE(1101),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2476),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2478),
    [sym_number] = ACTIONS(2476),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [753] = {
    [sym_switch_case] = STATE(1107),
    [sym_switch_default] = STATE(1107),
    [aux_sym_switch_body_repeat1] = STATE(1107),
    [anon_sym_default] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(2484),
    [anon_sym_case] = ACTIONS(1608),
    [sym_comment] = ACTIONS(71),
  },
  [754] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_of] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [755] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_of] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [756] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_in] = ACTIONS(2494),
    [anon_sym_of] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [757] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1123),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1123),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [758] = {
    [sym_parenthesized_expression] = STATE(1138),
    [sym__expression] = STATE(1138),
    [sym_yield_expression] = STATE(1138),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1138),
    [sym_jsx_fragment] = STATE(1138),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1138),
    [sym_anonymous_class] = STATE(1138),
    [sym_class] = STATE(1138),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1138),
    [sym_generator_function] = STATE(1138),
    [sym_call_expression] = STATE(1138),
    [sym_new_expression] = STATE(1138),
    [sym_await_expression] = STATE(1138),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1138),
    [sym_augmented_assignment_expression] = STATE(1138),
    [sym_ternary_expression] = STATE(1138),
    [sym_binary_expression] = STATE(1138),
    [sym_unary_expression] = STATE(1138),
    [sym_update_expression] = STATE(1138),
    [sym_template_string] = STATE(1138),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2538),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2540),
    [sym_number] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(2540),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [sym_null] = ACTIONS(2540),
    [sym_undefined] = ACTIONS(2540),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [759] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1144),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1144),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(2546),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [760] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1145),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1145),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [761] = {
    [sym_parenthesized_expression] = STATE(1146),
    [sym__expression] = STATE(1146),
    [sym_yield_expression] = STATE(1146),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1146),
    [sym_jsx_fragment] = STATE(1146),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1146),
    [sym_anonymous_class] = STATE(1146),
    [sym_class] = STATE(1146),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1146),
    [sym_generator_function] = STATE(1146),
    [sym_call_expression] = STATE(1146),
    [sym_new_expression] = STATE(1146),
    [sym_await_expression] = STATE(1146),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1146),
    [sym_augmented_assignment_expression] = STATE(1146),
    [sym_ternary_expression] = STATE(1146),
    [sym_binary_expression] = STATE(1146),
    [sym_unary_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_template_string] = STATE(1146),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2548),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2550),
    [sym_number] = ACTIONS(2548),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(2550),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [sym_null] = ACTIONS(2550),
    [sym_undefined] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [762] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1147),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1147),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [763] = {
    [sym_parenthesized_expression] = STATE(1148),
    [sym__expression] = STATE(1148),
    [sym_yield_expression] = STATE(1148),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1148),
    [sym_jsx_fragment] = STATE(1148),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1148),
    [sym_anonymous_class] = STATE(1148),
    [sym_class] = STATE(1148),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1148),
    [sym_generator_function] = STATE(1148),
    [sym_call_expression] = STATE(1148),
    [sym_new_expression] = STATE(1148),
    [sym_await_expression] = STATE(1148),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1148),
    [sym_augmented_assignment_expression] = STATE(1148),
    [sym_ternary_expression] = STATE(1148),
    [sym_binary_expression] = STATE(1148),
    [sym_unary_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_template_string] = STATE(1148),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2552),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2554),
    [sym_number] = ACTIONS(2552),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(2554),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2554),
    [sym_false] = ACTIONS(2554),
    [sym_null] = ACTIONS(2554),
    [sym_undefined] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [764] = {
    [anon_sym_STAR] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1427),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_COLON] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1427),
    [anon_sym_RBRACK] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1429),
    [anon_sym_DOT] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1427),
    [anon_sym_AMP_AMP] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1427),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1427),
    [anon_sym_LT_LT] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1427),
    [anon_sym_PIPE] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1427),
    [anon_sym_LT_EQ] = ACTIONS(1427),
    [anon_sym_EQ_EQ] = ACTIONS(1429),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1427),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1427),
    [anon_sym_GT_EQ] = ACTIONS(1427),
    [anon_sym_instanceof] = ACTIONS(1427),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1427),
  },
  [765] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [sym_comment] = ACTIONS(71),
  },
  [766] = {
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_RBRACE] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_RBRACK] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_DOT] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_QMARK] = ACTIONS(1511),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_GT_GT_GT] = ACTIONS(1511),
    [anon_sym_LT_LT] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_instanceof] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1511),
  },
  [767] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [sym_comment] = ACTIONS(71),
  },
  [768] = {
    [aux_sym_object_repeat1] = STATE(1151),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [sym_comment] = ACTIONS(71),
  },
  [769] = {
    [anon_sym_STAR] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_RPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(1708),
    [anon_sym_COLON] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_RBRACK] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1708),
    [anon_sym_GT] = ACTIONS(1708),
    [anon_sym_SLASH] = ACTIONS(1708),
    [anon_sym_DOT] = ACTIONS(1706),
    [anon_sym_QMARK] = ACTIONS(1706),
    [anon_sym_AMP_AMP] = ACTIONS(1706),
    [anon_sym_PIPE_PIPE] = ACTIONS(1706),
    [anon_sym_GT_GT] = ACTIONS(1708),
    [anon_sym_GT_GT_GT] = ACTIONS(1706),
    [anon_sym_LT_LT] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1708),
    [anon_sym_CARET] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_PERCENT] = ACTIONS(1706),
    [anon_sym_LT_EQ] = ACTIONS(1706),
    [anon_sym_EQ_EQ] = ACTIONS(1708),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1706),
    [anon_sym_BANG_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1706),
    [anon_sym_GT_EQ] = ACTIONS(1706),
    [anon_sym_instanceof] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1706),
  },
  [770] = {
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_in] = ACTIONS(1838),
    [anon_sym_COLON] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym_RBRACK] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1838),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_GT_GT_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_instanceof] = ACTIONS(1836),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1836),
  },
  [771] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(2560),
    [sym_comment] = ACTIONS(71),
  },
  [772] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(2562),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [773] = {
    [sym_jsx_element] = STATE(612),
    [sym_jsx_expression] = STATE(612),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_self_closing_element] = STATE(612),
    [aux_sym_jsx_element_repeat1] = STATE(612),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(2564),
    [sym_jsx_text] = ACTIONS(1158),
    [sym_comment] = ACTIONS(71),
  },
  [774] = {
    [anon_sym_GT] = ACTIONS(2566),
    [sym_comment] = ACTIONS(71),
  },
  [775] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(2568),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [776] = {
    [anon_sym_GT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(71),
  },
  [777] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(1905),
    [anon_sym_SLASH] = ACTIONS(2572),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [778] = {
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_RBRACE] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_RPAREN] = ACTIONS(1909),
    [anon_sym_in] = ACTIONS(1911),
    [anon_sym_COLON] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_RBRACK] = ACTIONS(1909),
    [anon_sym_LT] = ACTIONS(1911),
    [anon_sym_GT] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1911),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_QMARK] = ACTIONS(1909),
    [anon_sym_AMP_AMP] = ACTIONS(1909),
    [anon_sym_PIPE_PIPE] = ACTIONS(1909),
    [anon_sym_GT_GT] = ACTIONS(1911),
    [anon_sym_GT_GT_GT] = ACTIONS(1909),
    [anon_sym_LT_LT] = ACTIONS(1909),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym_CARET] = ACTIONS(1909),
    [anon_sym_PIPE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_PERCENT] = ACTIONS(1909),
    [anon_sym_LT_EQ] = ACTIONS(1909),
    [anon_sym_EQ_EQ] = ACTIONS(1911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1909),
    [anon_sym_BANG_EQ] = ACTIONS(1911),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1909),
    [anon_sym_GT_EQ] = ACTIONS(1909),
    [anon_sym_instanceof] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1909),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1909),
  },
  [779] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(901),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [780] = {
    [sym_class_body] = STATE(1160),
    [anon_sym_LBRACE] = ACTIONS(658),
    [sym_comment] = ACTIONS(71),
  },
  [781] = {
    [anon_sym_STAR] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1979),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_QMARK] = ACTIONS(1977),
    [anon_sym_AMP_AMP] = ACTIONS(1977),
    [anon_sym_PIPE_PIPE] = ACTIONS(1977),
    [anon_sym_GT_GT] = ACTIONS(1979),
    [anon_sym_GT_GT_GT] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_PLUS] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1979),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_instanceof] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1977),
  },
  [782] = {
    [anon_sym_STAR] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1983),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_SLASH] = ACTIONS(1983),
    [anon_sym_DOT] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1981),
    [anon_sym_AMP_AMP] = ACTIONS(1981),
    [anon_sym_PIPE_PIPE] = ACTIONS(1981),
    [anon_sym_GT_GT] = ACTIONS(1983),
    [anon_sym_GT_GT_GT] = ACTIONS(1981),
    [anon_sym_LT_LT] = ACTIONS(1981),
    [anon_sym_AMP] = ACTIONS(1983),
    [anon_sym_CARET] = ACTIONS(1981),
    [anon_sym_PIPE] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_PERCENT] = ACTIONS(1981),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1983),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_instanceof] = ACTIONS(1981),
    [anon_sym_PLUS_PLUS] = ACTIONS(1981),
    [anon_sym_DASH_DASH] = ACTIONS(1981),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1981),
  },
  [783] = {
    [anon_sym_COMMA] = ACTIONS(2576),
    [anon_sym_RPAREN] = ACTIONS(2576),
    [sym_comment] = ACTIONS(71),
  },
  [784] = {
    [sym__initializer] = STATE(674),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(1991),
    [sym_comment] = ACTIONS(71),
  },
  [785] = {
    [sym__initializer] = STATE(675),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_EQ] = ACTIONS(1991),
    [sym_comment] = ACTIONS(71),
  },
  [786] = {
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [sym_comment] = ACTIONS(71),
  },
  [787] = {
    [sym__initializer] = STATE(676),
    [anon_sym_COMMA] = ACTIONS(2582),
    [anon_sym_RPAREN] = ACTIONS(2582),
    [anon_sym_EQ] = ACTIONS(1991),
    [sym_comment] = ACTIONS(71),
  },
  [788] = {
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_LBRACE] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(1997),
    [anon_sym_RBRACE] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1997),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_RBRACK] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(1999),
    [anon_sym_SLASH] = ACTIONS(1999),
    [anon_sym_DOT] = ACTIONS(1997),
    [anon_sym_EQ] = ACTIONS(1999),
    [anon_sym_PLUS_EQ] = ACTIONS(1997),
    [anon_sym_DASH_EQ] = ACTIONS(1997),
    [anon_sym_STAR_EQ] = ACTIONS(1997),
    [anon_sym_SLASH_EQ] = ACTIONS(1997),
    [anon_sym_PERCENT_EQ] = ACTIONS(1997),
    [anon_sym_CARET_EQ] = ACTIONS(1997),
    [anon_sym_AMP_EQ] = ACTIONS(1997),
    [anon_sym_PIPE_EQ] = ACTIONS(1997),
    [anon_sym_GT_GT_EQ] = ACTIONS(1997),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_LT_EQ] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(1997),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1999),
    [anon_sym_GT_GT_GT] = ACTIONS(1999),
    [anon_sym_LT_LT] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(1999),
    [anon_sym_CARET] = ACTIONS(1999),
    [anon_sym_PIPE] = ACTIONS(1999),
    [anon_sym_PLUS] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(1999),
    [anon_sym_PERCENT] = ACTIONS(1999),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1999),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_instanceof] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1997),
  },
  [789] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2001),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [790] = {
    [sym_formal_parameters] = STATE(1161),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [791] = {
    [sym_statement_block] = STATE(1162),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(71),
  },
  [792] = {
    [anon_sym_STAR] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2003),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_RBRACE] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(2003),
    [anon_sym_RPAREN] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(2005),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_RBRACK] = ACTIONS(2003),
    [anon_sym_LT] = ACTIONS(2005),
    [anon_sym_GT] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_DOT] = ACTIONS(2003),
    [anon_sym_QMARK] = ACTIONS(2003),
    [anon_sym_AMP_AMP] = ACTIONS(2003),
    [anon_sym_PIPE_PIPE] = ACTIONS(2003),
    [anon_sym_GT_GT] = ACTIONS(2005),
    [anon_sym_GT_GT_GT] = ACTIONS(2003),
    [anon_sym_LT_LT] = ACTIONS(2003),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_CARET] = ACTIONS(2003),
    [anon_sym_PIPE] = ACTIONS(2005),
    [anon_sym_PLUS] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(2003),
    [anon_sym_LT_EQ] = ACTIONS(2003),
    [anon_sym_EQ_EQ] = ACTIONS(2005),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2003),
    [anon_sym_BANG_EQ] = ACTIONS(2005),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2003),
    [anon_sym_GT_EQ] = ACTIONS(2003),
    [anon_sym_instanceof] = ACTIONS(2003),
    [anon_sym_PLUS_PLUS] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2003),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2003),
  },
  [793] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [794] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [795] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1164),
    [sym__expression] = STATE(1164),
    [sym_yield_expression] = STATE(1164),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(1164),
    [sym_jsx_fragment] = STATE(1164),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1164),
    [sym_anonymous_class] = STATE(1164),
    [sym_class] = STATE(1164),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1164),
    [sym_generator_function] = STATE(1164),
    [sym_call_expression] = STATE(1164),
    [sym_new_expression] = STATE(1164),
    [sym_await_expression] = STATE(1164),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(1164),
    [sym_augmented_assignment_expression] = STATE(1164),
    [sym_ternary_expression] = STATE(1164),
    [sym_binary_expression] = STATE(1164),
    [sym_unary_expression] = STATE(1164),
    [sym_update_expression] = STATE(1164),
    [sym_template_string] = STATE(1164),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2584),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2586),
    [sym_number] = ACTIONS(2584),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(2586),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_null] = ACTIONS(2586),
    [sym_undefined] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [796] = {
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(2588),
    [sym_comment] = ACTIONS(71),
  },
  [797] = {
    [aux_sym_formal_parameters_repeat1] = STATE(797),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [sym_comment] = ACTIONS(71),
  },
  [798] = {
    [sym_formal_parameters] = STATE(1165),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [799] = {
    [sym_statement_block] = STATE(1166),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(71),
  },
  [800] = {
    [sym_export_statement] = STATE(805),
    [sym__declaration] = STATE(805),
    [sym_import_statement] = STATE(805),
    [sym_expression_statement] = STATE(805),
    [sym_variable_declaration] = STATE(805),
    [sym_lexical_declaration] = STATE(805),
    [sym_statement_block] = STATE(805),
    [sym_if_statement] = STATE(805),
    [sym_switch_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_for_in_statement] = STATE(805),
    [sym_for_of_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_do_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_with_statement] = STATE(805),
    [sym_break_statement] = STATE(805),
    [sym_continue_statement] = STATE(805),
    [sym_debugger_statement] = STATE(805),
    [sym_return_statement] = STATE(805),
    [sym_throw_statement] = STATE(805),
    [sym_empty_statement] = STATE(805),
    [sym_labeled_statement] = STATE(805),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(805),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2593),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [801] = {
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_COLON] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_RBRACK] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2017),
    [anon_sym_SLASH] = ACTIONS(2017),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_GT_GT] = ACTIONS(2017),
    [anon_sym_GT_GT_GT] = ACTIONS(2015),
    [anon_sym_LT_LT] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_PIPE] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_LT_EQ] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2015),
    [anon_sym_GT_EQ] = ACTIONS(2015),
    [anon_sym_instanceof] = ACTIONS(2015),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2015),
  },
  [802] = {
    [sym__initializer] = STATE(194),
    [sym_formal_parameters] = STATE(193),
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(765),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_async] = ACTIONS(456),
    [anon_sym_function] = ACTIONS(298),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
  },
  [803] = {
    [sym__initializer] = STATE(306),
    [aux_sym_object_repeat1] = STATE(765),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(537),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(543),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [804] = {
    [sym__initializer] = STATE(194),
    [sym__property_name] = STATE(270),
    [sym_computed_property_name] = STATE(270),
    [aux_sym_object_repeat1] = STATE(765),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(545),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_async] = ACTIONS(456),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(458),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_number] = ACTIONS(458),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
  },
  [805] = {
    [sym_export_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_import_statement] = STATE(315),
    [sym_expression_statement] = STATE(315),
    [sym_variable_declaration] = STATE(315),
    [sym_lexical_declaration] = STATE(315),
    [sym_statement_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_for_in_statement] = STATE(315),
    [sym_for_of_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_statement] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_with_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_debugger_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_empty_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(315),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2595),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [806] = {
    [sym_decorator] = STATE(320),
    [sym_method_definition] = STATE(768),
    [sym__property_name] = STATE(319),
    [sym_computed_property_name] = STATE(319),
    [aux_sym_export_statement_repeat1] = STATE(320),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_class] = ACTIONS(558),
    [anon_sym_async] = ACTIONS(560),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
  },
  [807] = {
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_COMMA] = ACTIONS(2025),
    [anon_sym_RBRACE] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_in] = ACTIONS(2027),
    [anon_sym_COLON] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_RBRACK] = ACTIONS(2025),
    [anon_sym_LT] = ACTIONS(2027),
    [anon_sym_GT] = ACTIONS(2027),
    [anon_sym_SLASH] = ACTIONS(2027),
    [anon_sym_DOT] = ACTIONS(2025),
    [anon_sym_QMARK] = ACTIONS(2025),
    [anon_sym_AMP_AMP] = ACTIONS(2025),
    [anon_sym_PIPE_PIPE] = ACTIONS(2025),
    [anon_sym_GT_GT] = ACTIONS(2027),
    [anon_sym_GT_GT_GT] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_PIPE] = ACTIONS(2027),
    [anon_sym_PLUS] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2027),
    [anon_sym_PERCENT] = ACTIONS(2025),
    [anon_sym_LT_EQ] = ACTIONS(2025),
    [anon_sym_EQ_EQ] = ACTIONS(2027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2025),
    [anon_sym_BANG_EQ] = ACTIONS(2027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2025),
    [anon_sym_GT_EQ] = ACTIONS(2025),
    [anon_sym_instanceof] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2025),
  },
  [808] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [809] = {
    [anon_sym_STAR] = ACTIONS(2047),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(2045),
    [anon_sym_RBRACE] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_in] = ACTIONS(2047),
    [anon_sym_COLON] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_RBRACK] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(2047),
    [anon_sym_GT] = ACTIONS(2047),
    [anon_sym_SLASH] = ACTIONS(2047),
    [anon_sym_DOT] = ACTIONS(2045),
    [anon_sym_EQ] = ACTIONS(2047),
    [anon_sym_PLUS_EQ] = ACTIONS(2045),
    [anon_sym_DASH_EQ] = ACTIONS(2045),
    [anon_sym_STAR_EQ] = ACTIONS(2045),
    [anon_sym_SLASH_EQ] = ACTIONS(2045),
    [anon_sym_PERCENT_EQ] = ACTIONS(2045),
    [anon_sym_CARET_EQ] = ACTIONS(2045),
    [anon_sym_AMP_EQ] = ACTIONS(2045),
    [anon_sym_PIPE_EQ] = ACTIONS(2045),
    [anon_sym_GT_GT_EQ] = ACTIONS(2045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2045),
    [anon_sym_LT_LT_EQ] = ACTIONS(2045),
    [anon_sym_QMARK] = ACTIONS(2045),
    [anon_sym_AMP_AMP] = ACTIONS(2045),
    [anon_sym_PIPE_PIPE] = ACTIONS(2045),
    [anon_sym_GT_GT] = ACTIONS(2047),
    [anon_sym_GT_GT_GT] = ACTIONS(2047),
    [anon_sym_LT_LT] = ACTIONS(2047),
    [anon_sym_AMP] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2047),
    [anon_sym_PIPE] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2047),
    [anon_sym_DASH] = ACTIONS(2047),
    [anon_sym_PERCENT] = ACTIONS(2047),
    [anon_sym_LT_EQ] = ACTIONS(2045),
    [anon_sym_EQ_EQ] = ACTIONS(2047),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2045),
    [anon_sym_BANG_EQ] = ACTIONS(2047),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2045),
    [anon_sym_GT_EQ] = ACTIONS(2045),
    [anon_sym_instanceof] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2045),
    [anon_sym_DASH_DASH] = ACTIONS(2045),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2045),
  },
  [810] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [811] = {
    [anon_sym_LBRACE] = ACTIONS(2597),
    [anon_sym_EQ_GT] = ACTIONS(2597),
    [sym_comment] = ACTIONS(71),
  },
  [812] = {
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_in] = ACTIONS(2057),
    [anon_sym_COLON] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_RBRACK] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2057),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(2055),
    [anon_sym_AMP_AMP] = ACTIONS(2055),
    [anon_sym_PIPE_PIPE] = ACTIONS(2055),
    [anon_sym_GT_GT] = ACTIONS(2057),
    [anon_sym_GT_GT_GT] = ACTIONS(2055),
    [anon_sym_LT_LT] = ACTIONS(2055),
    [anon_sym_AMP] = ACTIONS(2057),
    [anon_sym_CARET] = ACTIONS(2055),
    [anon_sym_PIPE] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_EQ_EQ] = ACTIONS(2057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2055),
    [anon_sym_BANG_EQ] = ACTIONS(2057),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_instanceof] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2055),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
  },
  [813] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [aux_sym_array_repeat1] = STATE(1170),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2599),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [814] = {
    [aux_sym_array_repeat1] = STATE(1170),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_RPAREN] = ACTIONS(2599),
    [sym_comment] = ACTIONS(71),
  },
  [815] = {
    [aux_sym_array_repeat1] = STATE(935),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_RPAREN] = ACTIONS(2599),
    [sym_comment] = ACTIONS(71),
  },
  [816] = {
    [anon_sym_RBRACK] = ACTIONS(2601),
    [sym_comment] = ACTIONS(71),
  },
  [817] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(2039),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2039),
    [anon_sym_GT_GT_GT] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2037),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2037),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [818] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(732),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [819] = {
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_COLON] = ACTIONS(2081),
    [anon_sym_RBRACK] = ACTIONS(2081),
    [sym_comment] = ACTIONS(71),
  },
  [820] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [821] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [822] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [823] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [824] = {
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_EQ_GT] = ACTIONS(2605),
    [sym_comment] = ACTIONS(71),
  },
  [825] = {
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_EQ_GT] = ACTIONS(2607),
    [sym_comment] = ACTIONS(71),
  },
  [826] = {
    [sym_nested_identifier] = STATE(1175),
    [sym_jsx_namespace_name] = STATE(1176),
    [sym_jsx_identifier] = ACTIONS(2609),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2611),
  },
  [827] = {
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_COMMA] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_RPAREN] = ACTIONS(2165),
    [anon_sym_in] = ACTIONS(2167),
    [anon_sym_COLON] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_RBRACK] = ACTIONS(2165),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_GT] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2167),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_QMARK] = ACTIONS(2165),
    [anon_sym_AMP_AMP] = ACTIONS(2165),
    [anon_sym_PIPE_PIPE] = ACTIONS(2165),
    [anon_sym_GT_GT] = ACTIONS(2167),
    [anon_sym_GT_GT_GT] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_AMP] = ACTIONS(2167),
    [anon_sym_CARET] = ACTIONS(2165),
    [anon_sym_PIPE] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_PERCENT] = ACTIONS(2165),
    [anon_sym_LT_EQ] = ACTIONS(2165),
    [anon_sym_EQ_EQ] = ACTIONS(2167),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2165),
    [anon_sym_BANG_EQ] = ACTIONS(2167),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2165),
    [anon_sym_GT_EQ] = ACTIONS(2165),
    [anon_sym_instanceof] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2165),
  },
  [828] = {
    [sym_class_heritage] = STATE(1177),
    [sym_class_body] = STATE(1160),
    [anon_sym_LBRACE] = ACTIONS(658),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [829] = {
    [sym_class_body] = STATE(1178),
    [anon_sym_LBRACE] = ACTIONS(658),
    [sym_comment] = ACTIONS(71),
  },
  [830] = {
    [sym_class_heritage] = STATE(1179),
    [sym_class_body] = STATE(539),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [831] = {
    [sym_formal_parameters] = STATE(1181),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2613),
  },
  [832] = {
    [sym_formal_parameters] = STATE(1183),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2615),
  },
  [833] = {
    [sym_formal_parameters] = STATE(1181),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [834] = {
    [sym_statement_block] = STATE(557),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [sym_comment] = ACTIONS(71),
  },
  [835] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2619),
  },
  [836] = {
    [sym_parenthesized_expression] = STATE(1186),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [837] = {
    [anon_sym_LPAREN] = ACTIONS(2621),
    [sym_comment] = ACTIONS(71),
  },
  [838] = {
    [sym_parenthesized_expression] = STATE(1188),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [839] = {
    [sym_parenthesized_expression] = STATE(1189),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [840] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [841] = {
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(1598),
    [sym_comment] = ACTIONS(71),
  },
  [842] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(1193),
    [sym_array] = STATE(1194),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2627),
  },
  [843] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(1193),
    [sym_array] = STATE(1194),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2627),
  },
  [844] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_of] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [845] = {
    [sym_expression_statement] = STATE(1197),
    [sym_empty_statement] = STATE(1197),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [846] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_of] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [847] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_of] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [848] = {
    [sym_class_body] = STATE(1202),
    [anon_sym_LBRACE] = ACTIONS(281),
    [sym_comment] = ACTIONS(71),
  },
  [849] = {
    [sym__automatic_semicolon] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1979),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_QMARK] = ACTIONS(1977),
    [anon_sym_AMP_AMP] = ACTIONS(1977),
    [anon_sym_PIPE_PIPE] = ACTIONS(1977),
    [anon_sym_GT_GT] = ACTIONS(1979),
    [anon_sym_GT_GT_GT] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_PLUS] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1979),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_instanceof] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1977),
  },
  [850] = {
    [sym_formal_parameters] = STATE(1203),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [851] = {
    [sym_statement_block] = STATE(1204),
    [anon_sym_LBRACE] = ACTIONS(1780),
    [sym_comment] = ACTIONS(71),
  },
  [852] = {
    [sym_formal_parameters] = STATE(1205),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [853] = {
    [sym_statement_block] = STATE(1206),
    [anon_sym_LBRACE] = ACTIONS(1780),
    [sym_comment] = ACTIONS(71),
  },
  [854] = {
    [sym_export_statement] = STATE(558),
    [sym__declaration] = STATE(558),
    [sym_import_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_variable_declaration] = STATE(558),
    [sym_lexical_declaration] = STATE(558),
    [sym_statement_block] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_switch_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_for_in_statement] = STATE(558),
    [sym_for_of_statement] = STATE(558),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_try_statement] = STATE(558),
    [sym_with_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_debugger_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_statement] = STATE(558),
    [sym_empty_statement] = STATE(558),
    [sym_labeled_statement] = STATE(558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(558),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [855] = {
    [sym__automatic_semicolon] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_else] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_in] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2015),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2017),
    [anon_sym_SLASH] = ACTIONS(2017),
    [anon_sym_DOT] = ACTIONS(2015),
    [anon_sym_QMARK] = ACTIONS(2015),
    [anon_sym_AMP_AMP] = ACTIONS(2015),
    [anon_sym_PIPE_PIPE] = ACTIONS(2015),
    [anon_sym_GT_GT] = ACTIONS(2017),
    [anon_sym_GT_GT_GT] = ACTIONS(2015),
    [anon_sym_LT_LT] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2017),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_PIPE] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_LT_EQ] = ACTIONS(2015),
    [anon_sym_EQ_EQ] = ACTIONS(2017),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2017),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2015),
    [anon_sym_GT_EQ] = ACTIONS(2015),
    [anon_sym_instanceof] = ACTIONS(2015),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2015),
  },
  [856] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(117),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(117),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [857] = {
    [sym__automatic_semicolon] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2643),
    [sym_comment] = ACTIONS(71),
  },
  [858] = {
    [sym_class_heritage] = STATE(1209),
    [sym_class_body] = STATE(1202),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [859] = {
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2645),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [anon_sym_export] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_import] = ACTIONS(2649),
    [anon_sym_var] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2647),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_with] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_debugger] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_finally] = ACTIONS(2649),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [anon_sym_LT] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_async] = ACTIONS(2649),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_EQ_GT] = ACTIONS(2647),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_await] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_typeof] = ACTIONS(2649),
    [anon_sym_void] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2647),
    [anon_sym_BQUOTE] = ACTIONS(2647),
    [sym_regex] = ACTIONS(2649),
    [sym_number] = ACTIONS(2647),
    [sym_identifier] = ACTIONS(2649),
    [sym_this] = ACTIONS(2649),
    [sym_super] = ACTIONS(2649),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [sym_null] = ACTIONS(2649),
    [sym_undefined] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2647),
    [anon_sym_get] = ACTIONS(2649),
    [anon_sym_set] = ACTIONS(2649),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [anon_sym_export] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_import] = ACTIONS(2653),
    [anon_sym_var] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_with] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_debugger] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_yield] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [anon_sym_LT] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_async] = ACTIONS(2653),
    [anon_sym_function] = ACTIONS(2653),
    [anon_sym_EQ_GT] = ACTIONS(2651),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_await] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_typeof] = ACTIONS(2653),
    [anon_sym_void] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2651),
    [anon_sym_BQUOTE] = ACTIONS(2651),
    [sym_regex] = ACTIONS(2653),
    [sym_number] = ACTIONS(2651),
    [sym_identifier] = ACTIONS(2653),
    [sym_this] = ACTIONS(2653),
    [sym_super] = ACTIONS(2653),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [sym_null] = ACTIONS(2653),
    [sym_undefined] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2651),
    [anon_sym_get] = ACTIONS(2653),
    [anon_sym_set] = ACTIONS(2653),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [anon_sym_export] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_import] = ACTIONS(2657),
    [anon_sym_var] = ACTIONS(2657),
    [anon_sym_let] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_with] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_debugger] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_yield] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_LT] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_async] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2657),
    [anon_sym_EQ_GT] = ACTIONS(2655),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_await] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_typeof] = ACTIONS(2657),
    [anon_sym_void] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2655),
    [anon_sym_BQUOTE] = ACTIONS(2655),
    [sym_regex] = ACTIONS(2657),
    [sym_number] = ACTIONS(2655),
    [sym_identifier] = ACTIONS(2657),
    [sym_this] = ACTIONS(2657),
    [sym_super] = ACTIONS(2657),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [sym_null] = ACTIONS(2657),
    [sym_undefined] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2655),
    [anon_sym_get] = ACTIONS(2657),
    [anon_sym_set] = ACTIONS(2657),
  },
  [863] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2001),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [864] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2003),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [865] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2007),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [866] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1211),
    [sym__expression] = STATE(1211),
    [sym_yield_expression] = STATE(1211),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(1211),
    [sym_jsx_fragment] = STATE(1211),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1211),
    [sym_anonymous_class] = STATE(1211),
    [sym_class] = STATE(1211),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1211),
    [sym_generator_function] = STATE(1211),
    [sym_call_expression] = STATE(1211),
    [sym_new_expression] = STATE(1211),
    [sym_await_expression] = STATE(1211),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(1211),
    [sym_augmented_assignment_expression] = STATE(1211),
    [sym_ternary_expression] = STATE(1211),
    [sym_binary_expression] = STATE(1211),
    [sym_unary_expression] = STATE(1211),
    [sym_update_expression] = STATE(1211),
    [sym_template_string] = STATE(1211),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2659),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2661),
    [sym_number] = ACTIONS(2659),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(2661),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [sym_null] = ACTIONS(2661),
    [sym_undefined] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [867] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [868] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2049),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [869] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [870] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [871] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [872] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [873] = {
    [sym__automatic_semicolon] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_RBRACE] = ACTIONS(2665),
    [anon_sym_LPAREN] = ACTIONS(2665),
    [anon_sym_RPAREN] = ACTIONS(2665),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_of] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_QMARK] = ACTIONS(2665),
    [anon_sym_AMP_AMP] = ACTIONS(2665),
    [anon_sym_PIPE_PIPE] = ACTIONS(2665),
    [anon_sym_GT_GT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2665),
    [anon_sym_LT_LT] = ACTIONS(2665),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2665),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_LT_EQ] = ACTIONS(2665),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2665),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2665),
    [anon_sym_GT_EQ] = ACTIONS(2665),
    [anon_sym_instanceof] = ACTIONS(2665),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2665),
  },
  [874] = {
    [anon_sym_GT] = ACTIONS(2669),
    [sym_comment] = ACTIONS(71),
  },
  [875] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(2671),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [876] = {
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2127),
    [sym_jsx_identifier] = ACTIONS(2673),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2127),
  },
  [877] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2023),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [878] = {
    [anon_sym_RBRACE] = ACTIONS(2675),
    [sym_comment] = ACTIONS(71),
  },
  [879] = {
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_GT] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2679),
    [sym_jsx_identifier] = ACTIONS(2677),
    [anon_sym_EQ] = ACTIONS(2677),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2679),
  },
  [880] = {
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_GT] = ACTIONS(2681),
    [anon_sym_SLASH] = ACTIONS(2683),
    [sym_jsx_identifier] = ACTIONS(2681),
    [anon_sym_EQ] = ACTIONS(2681),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2683),
  },
  [881] = {
    [sym__automatic_semicolon] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_in] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2685),
    [anon_sym_GT_GT] = ACTIONS(2687),
    [anon_sym_GT_GT_GT] = ACTIONS(2685),
    [anon_sym_LT_LT] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2685),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2685),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_instanceof] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2685),
    [anon_sym_DASH_DASH] = ACTIONS(2685),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2685),
  },
  [882] = {
    [sym_jsx_element] = STATE(1217),
    [sym_jsx_fragment] = STATE(1217),
    [sym_jsx_expression] = STATE(1217),
    [sym_jsx_opening_element] = STATE(1218),
    [sym_jsx_self_closing_element] = STATE(1217),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_LT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2691),
  },
  [883] = {
    [sym_jsx_element] = STATE(1219),
    [sym_jsx_fragment] = STATE(1219),
    [sym_jsx_expression] = STATE(1219),
    [sym_jsx_opening_element] = STATE(1218),
    [sym_jsx_self_closing_element] = STATE(1219),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_LT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2693),
  },
  [884] = {
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_LT] = ACTIONS(2695),
    [sym_jsx_text] = ACTIONS(2695),
    [sym_comment] = ACTIONS(71),
  },
  [885] = {
    [anon_sym_GT] = ACTIONS(2697),
    [sym_comment] = ACTIONS(71),
  },
  [886] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_GT] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2704),
    [sym_jsx_identifier] = ACTIONS(2706),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2709),
  },
  [887] = {
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_GT] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2714),
    [sym_jsx_identifier] = ACTIONS(2712),
    [anon_sym_EQ] = ACTIONS(2712),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2714),
  },
  [888] = {
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_GT] = ACTIONS(2716),
    [anon_sym_SLASH] = ACTIONS(2718),
    [sym_jsx_identifier] = ACTIONS(2716),
    [anon_sym_EQ] = ACTIONS(2716),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2718),
  },
  [889] = {
    [sym__automatic_semicolon] = ACTIONS(2720),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2720),
    [anon_sym_RBRACE] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_RPAREN] = ACTIONS(2720),
    [anon_sym_in] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_GT] = ACTIONS(2722),
    [anon_sym_SLASH] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_GT_GT] = ACTIONS(2722),
    [anon_sym_GT_GT_GT] = ACTIONS(2720),
    [anon_sym_LT_LT] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_LT_EQ] = ACTIONS(2720),
    [anon_sym_EQ_EQ] = ACTIONS(2722),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2720),
    [anon_sym_GT_EQ] = ACTIONS(2720),
    [anon_sym_instanceof] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2720),
  },
  [890] = {
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_GT] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2726),
    [sym_jsx_identifier] = ACTIONS(2724),
    [anon_sym_DOT] = ACTIONS(2724),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2726),
  },
  [891] = {
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2728),
    [sym_jsx_text] = ACTIONS(2728),
    [sym_comment] = ACTIONS(71),
  },
  [892] = {
    [anon_sym_GT] = ACTIONS(2730),
    [sym_comment] = ACTIONS(71),
  },
  [893] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2732),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [894] = {
    [sym__automatic_semicolon] = ACTIONS(2734),
    [anon_sym_SEMI] = ACTIONS(2734),
    [sym_comment] = ACTIONS(71),
  },
  [895] = {
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_RBRACE] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_async] = ACTIONS(2738),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2736),
    [sym_number] = ACTIONS(2736),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_AT] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_get] = ACTIONS(2738),
    [anon_sym_set] = ACTIONS(2738),
  },
  [896] = {
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_RBRACE] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_async] = ACTIONS(2738),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2736),
    [sym_number] = ACTIONS(2736),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_AT] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_get] = ACTIONS(2738),
    [anon_sym_set] = ACTIONS(2738),
  },
  [897] = {
    [sym__automatic_semicolon] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [sym_comment] = ACTIONS(71),
  },
  [898] = {
    [sym_public_field_definition] = STATE(1224),
    [sym_method_definition] = STATE(1225),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [899] = {
    [sym_decorator] = STATE(899),
    [aux_sym_export_statement_repeat1] = STATE(899),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_async] = ACTIONS(1547),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1284),
    [sym_number] = ACTIONS(1284),
    [sym_identifier] = ACTIONS(1547),
    [anon_sym_AT] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1547),
    [anon_sym_get] = ACTIONS(1547),
    [anon_sym_set] = ACTIONS(1547),
  },
  [900] = {
    [sym__automatic_semicolon] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_else] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_RPAREN] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_GT_GT] = ACTIONS(2744),
    [anon_sym_GT_GT_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_EQ_EQ] = ACTIONS(2744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2742),
    [anon_sym_instanceof] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2742),
  },
  [901] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(901),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(2752),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2755),
    [sym_number] = ACTIONS(2755),
    [sym_identifier] = ACTIONS(2758),
    [anon_sym_AT] = ACTIONS(2761),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_get] = ACTIONS(2767),
    [anon_sym_set] = ACTIONS(2767),
  },
  [902] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [903] = {
    [sym_parenthesized_expression] = STATE(1226),
    [sym__expression] = STATE(1226),
    [sym_yield_expression] = STATE(1226),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1226),
    [sym_jsx_fragment] = STATE(1226),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1226),
    [sym_anonymous_class] = STATE(1226),
    [sym_class] = STATE(1226),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1226),
    [sym_generator_function] = STATE(1226),
    [sym_call_expression] = STATE(1226),
    [sym_new_expression] = STATE(1226),
    [sym_await_expression] = STATE(1226),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1226),
    [sym_augmented_assignment_expression] = STATE(1226),
    [sym_ternary_expression] = STATE(1226),
    [sym_binary_expression] = STATE(1226),
    [sym_unary_expression] = STATE(1226),
    [sym_update_expression] = STATE(1226),
    [sym_template_string] = STATE(1226),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2770),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2772),
    [sym_number] = ACTIONS(2770),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(2772),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [sym_null] = ACTIONS(2772),
    [sym_undefined] = ACTIONS(2772),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [904] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(1227),
    [sym__expression] = STATE(1227),
    [sym_yield_expression] = STATE(1227),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1227),
    [sym_jsx_fragment] = STATE(1227),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1227),
    [sym_anonymous_class] = STATE(1227),
    [sym_class] = STATE(1227),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1227),
    [sym_generator_function] = STATE(1227),
    [sym_call_expression] = STATE(1227),
    [sym_new_expression] = STATE(1227),
    [sym_await_expression] = STATE(1227),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1227),
    [sym_augmented_assignment_expression] = STATE(1227),
    [sym_ternary_expression] = STATE(1227),
    [sym_binary_expression] = STATE(1227),
    [sym_unary_expression] = STATE(1227),
    [sym_update_expression] = STATE(1227),
    [sym_template_string] = STATE(1227),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2774),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2776),
    [sym_number] = ACTIONS(2774),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(2776),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [sym_null] = ACTIONS(2776),
    [sym_undefined] = ACTIONS(2776),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [905] = {
    [sym_parenthesized_expression] = STATE(1228),
    [sym__expression] = STATE(1228),
    [sym_yield_expression] = STATE(1228),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1228),
    [sym_jsx_fragment] = STATE(1228),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1228),
    [sym_anonymous_class] = STATE(1228),
    [sym_class] = STATE(1228),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1228),
    [sym_generator_function] = STATE(1228),
    [sym_call_expression] = STATE(1228),
    [sym_new_expression] = STATE(1228),
    [sym_await_expression] = STATE(1228),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1228),
    [sym_augmented_assignment_expression] = STATE(1228),
    [sym_ternary_expression] = STATE(1228),
    [sym_binary_expression] = STATE(1228),
    [sym_unary_expression] = STATE(1228),
    [sym_update_expression] = STATE(1228),
    [sym_template_string] = STATE(1228),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2778),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2780),
    [sym_number] = ACTIONS(2778),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(2780),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [sym_null] = ACTIONS(2780),
    [sym_undefined] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [906] = {
    [anon_sym_EQ_GT] = ACTIONS(2782),
    [sym_comment] = ACTIONS(71),
  },
  [907] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [908] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [909] = {
    [sym_parenthesized_expression] = STATE(1230),
    [sym__expression] = STATE(1230),
    [sym_yield_expression] = STATE(1230),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1230),
    [sym_jsx_fragment] = STATE(1230),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1230),
    [sym_anonymous_class] = STATE(1230),
    [sym_class] = STATE(1230),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1230),
    [sym_generator_function] = STATE(1230),
    [sym_call_expression] = STATE(1230),
    [sym_new_expression] = STATE(1230),
    [sym_await_expression] = STATE(1230),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1230),
    [sym_augmented_assignment_expression] = STATE(1230),
    [sym_ternary_expression] = STATE(1230),
    [sym_binary_expression] = STATE(1230),
    [sym_unary_expression] = STATE(1230),
    [sym_update_expression] = STATE(1230),
    [sym_template_string] = STATE(1230),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2784),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2786),
    [sym_number] = ACTIONS(2784),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(2786),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [sym_null] = ACTIONS(2786),
    [sym_undefined] = ACTIONS(2786),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [910] = {
    [sym_parenthesized_expression] = STATE(1231),
    [sym__expression] = STATE(1231),
    [sym_yield_expression] = STATE(1231),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1231),
    [sym_jsx_fragment] = STATE(1231),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1231),
    [sym_anonymous_class] = STATE(1231),
    [sym_class] = STATE(1231),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1231),
    [sym_generator_function] = STATE(1231),
    [sym_call_expression] = STATE(1231),
    [sym_new_expression] = STATE(1231),
    [sym_await_expression] = STATE(1231),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1231),
    [sym_augmented_assignment_expression] = STATE(1231),
    [sym_ternary_expression] = STATE(1231),
    [sym_binary_expression] = STATE(1231),
    [sym_unary_expression] = STATE(1231),
    [sym_update_expression] = STATE(1231),
    [sym_template_string] = STATE(1231),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2788),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2790),
    [sym_number] = ACTIONS(2788),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(2790),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [sym_null] = ACTIONS(2790),
    [sym_undefined] = ACTIONS(2790),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [911] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [912] = {
    [sym_parenthesized_expression] = STATE(1232),
    [sym__expression] = STATE(1232),
    [sym_yield_expression] = STATE(1232),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1232),
    [sym_jsx_fragment] = STATE(1232),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1232),
    [sym_anonymous_class] = STATE(1232),
    [sym_class] = STATE(1232),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1232),
    [sym_generator_function] = STATE(1232),
    [sym_call_expression] = STATE(1232),
    [sym_new_expression] = STATE(1232),
    [sym_await_expression] = STATE(1232),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1232),
    [sym_augmented_assignment_expression] = STATE(1232),
    [sym_ternary_expression] = STATE(1232),
    [sym_binary_expression] = STATE(1232),
    [sym_unary_expression] = STATE(1232),
    [sym_update_expression] = STATE(1232),
    [sym_template_string] = STATE(1232),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2792),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2794),
    [sym_number] = ACTIONS(2792),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2794),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [sym_null] = ACTIONS(2794),
    [sym_undefined] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [913] = {
    [sym_parenthesized_expression] = STATE(1233),
    [sym__expression] = STATE(1233),
    [sym_yield_expression] = STATE(1233),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1233),
    [sym_jsx_fragment] = STATE(1233),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1233),
    [sym_anonymous_class] = STATE(1233),
    [sym_class] = STATE(1233),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1233),
    [sym_generator_function] = STATE(1233),
    [sym_call_expression] = STATE(1233),
    [sym_new_expression] = STATE(1233),
    [sym_await_expression] = STATE(1233),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1233),
    [sym_augmented_assignment_expression] = STATE(1233),
    [sym_ternary_expression] = STATE(1233),
    [sym_binary_expression] = STATE(1233),
    [sym_unary_expression] = STATE(1233),
    [sym_update_expression] = STATE(1233),
    [sym_template_string] = STATE(1233),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2796),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2798),
    [sym_number] = ACTIONS(2796),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(2798),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [sym_null] = ACTIONS(2798),
    [sym_undefined] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [914] = {
    [sym_parenthesized_expression] = STATE(1234),
    [sym__expression] = STATE(1234),
    [sym_yield_expression] = STATE(1234),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1234),
    [sym_jsx_fragment] = STATE(1234),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1234),
    [sym_anonymous_class] = STATE(1234),
    [sym_class] = STATE(1234),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1234),
    [sym_generator_function] = STATE(1234),
    [sym_call_expression] = STATE(1234),
    [sym_new_expression] = STATE(1234),
    [sym_await_expression] = STATE(1234),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1234),
    [sym_augmented_assignment_expression] = STATE(1234),
    [sym_ternary_expression] = STATE(1234),
    [sym_binary_expression] = STATE(1234),
    [sym_unary_expression] = STATE(1234),
    [sym_update_expression] = STATE(1234),
    [sym_template_string] = STATE(1234),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2800),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2802),
    [sym_number] = ACTIONS(2800),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(2802),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [sym_null] = ACTIONS(2802),
    [sym_undefined] = ACTIONS(2802),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [915] = {
    [sym_parenthesized_expression] = STATE(1235),
    [sym__expression] = STATE(1235),
    [sym_yield_expression] = STATE(1235),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1235),
    [sym_jsx_fragment] = STATE(1235),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1235),
    [sym_anonymous_class] = STATE(1235),
    [sym_class] = STATE(1235),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1235),
    [sym_generator_function] = STATE(1235),
    [sym_call_expression] = STATE(1235),
    [sym_new_expression] = STATE(1235),
    [sym_await_expression] = STATE(1235),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1235),
    [sym_augmented_assignment_expression] = STATE(1235),
    [sym_ternary_expression] = STATE(1235),
    [sym_binary_expression] = STATE(1235),
    [sym_unary_expression] = STATE(1235),
    [sym_update_expression] = STATE(1235),
    [sym_template_string] = STATE(1235),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2804),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2806),
    [sym_number] = ACTIONS(2804),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(2806),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [sym_null] = ACTIONS(2806),
    [sym_undefined] = ACTIONS(2806),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [916] = {
    [sym__automatic_semicolon] = ACTIONS(1909),
    [ts_builtin_sym_end] = ACTIONS(1909),
    [anon_sym_export] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_RBRACE] = ACTIONS(1909),
    [anon_sym_import] = ACTIONS(1911),
    [anon_sym_var] = ACTIONS(1911),
    [anon_sym_let] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1911),
    [anon_sym_else] = ACTIONS(1911),
    [anon_sym_switch] = ACTIONS(1911),
    [anon_sym_for] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_in] = ACTIONS(1911),
    [anon_sym_while] = ACTIONS(1911),
    [anon_sym_do] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1911),
    [anon_sym_with] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1911),
    [anon_sym_continue] = ACTIONS(1911),
    [anon_sym_debugger] = ACTIONS(1911),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1911),
    [anon_sym_SEMI] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1911),
    [anon_sym_yield] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_LT] = ACTIONS(1911),
    [anon_sym_GT] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1911),
    [anon_sym_DOT] = ACTIONS(1911),
    [anon_sym_class] = ACTIONS(1911),
    [anon_sym_async] = ACTIONS(1911),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_EQ_GT] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_await] = ACTIONS(1911),
    [anon_sym_QMARK] = ACTIONS(1909),
    [anon_sym_AMP_AMP] = ACTIONS(1909),
    [anon_sym_PIPE_PIPE] = ACTIONS(1909),
    [anon_sym_GT_GT] = ACTIONS(1911),
    [anon_sym_GT_GT_GT] = ACTIONS(1909),
    [anon_sym_LT_LT] = ACTIONS(1909),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym_CARET] = ACTIONS(1909),
    [anon_sym_PIPE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_PERCENT] = ACTIONS(1909),
    [anon_sym_LT_EQ] = ACTIONS(1909),
    [anon_sym_EQ_EQ] = ACTIONS(1911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1909),
    [anon_sym_BANG_EQ] = ACTIONS(1911),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1909),
    [anon_sym_GT_EQ] = ACTIONS(1909),
    [anon_sym_instanceof] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1909),
    [anon_sym_typeof] = ACTIONS(1911),
    [anon_sym_void] = ACTIONS(1911),
    [anon_sym_delete] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1909),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1909),
    [anon_sym_BQUOTE] = ACTIONS(1909),
    [sym_regex] = ACTIONS(1911),
    [sym_number] = ACTIONS(1909),
    [sym_identifier] = ACTIONS(1911),
    [sym_this] = ACTIONS(1911),
    [sym_super] = ACTIONS(1911),
    [sym_true] = ACTIONS(1911),
    [sym_false] = ACTIONS(1911),
    [sym_null] = ACTIONS(1911),
    [sym_undefined] = ACTIONS(1911),
    [anon_sym_AT] = ACTIONS(1909),
    [anon_sym_get] = ACTIONS(1911),
    [anon_sym_set] = ACTIONS(1911),
  },
  [917] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(901),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [918] = {
    [sym__automatic_semicolon] = ACTIONS(2810),
    [ts_builtin_sym_end] = ACTIONS(2810),
    [anon_sym_export] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_COMMA] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_import] = ACTIONS(2812),
    [anon_sym_var] = ACTIONS(2812),
    [anon_sym_let] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_else] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_with] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_debugger] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_yield] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_LT] = ACTIONS(2812),
    [anon_sym_GT] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2812),
    [anon_sym_DOT] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_function] = ACTIONS(2812),
    [anon_sym_EQ_GT] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_await] = ACTIONS(2812),
    [anon_sym_QMARK] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_PIPE_PIPE] = ACTIONS(2810),
    [anon_sym_GT_GT] = ACTIONS(2812),
    [anon_sym_GT_GT_GT] = ACTIONS(2810),
    [anon_sym_LT_LT] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_CARET] = ACTIONS(2810),
    [anon_sym_PIPE] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_LT_EQ] = ACTIONS(2810),
    [anon_sym_EQ_EQ] = ACTIONS(2812),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2810),
    [anon_sym_BANG_EQ] = ACTIONS(2812),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2810),
    [anon_sym_GT_EQ] = ACTIONS(2810),
    [anon_sym_instanceof] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_void] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2810),
    [anon_sym_BQUOTE] = ACTIONS(2810),
    [sym_regex] = ACTIONS(2812),
    [sym_number] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
    [sym_super] = ACTIONS(2812),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [sym_null] = ACTIONS(2812),
    [sym_undefined] = ACTIONS(2812),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_get] = ACTIONS(2812),
    [anon_sym_set] = ACTIONS(2812),
  },
  [919] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [aux_sym_array_repeat1] = STATE(1031),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [920] = {
    [sym_statement_block] = STATE(1237),
    [anon_sym_LBRACE] = ACTIONS(996),
    [sym_comment] = ACTIONS(71),
  },
  [921] = {
    [sym__automatic_semicolon] = ACTIONS(2814),
    [ts_builtin_sym_end] = ACTIONS(2814),
    [anon_sym_export] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_COMMA] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_import] = ACTIONS(2816),
    [anon_sym_var] = ACTIONS(2816),
    [anon_sym_let] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_else] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(2814),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_with] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_debugger] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_yield] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_LT] = ACTIONS(2816),
    [anon_sym_GT] = ACTIONS(2816),
    [anon_sym_SLASH] = ACTIONS(2816),
    [anon_sym_DOT] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_async] = ACTIONS(2816),
    [anon_sym_function] = ACTIONS(2816),
    [anon_sym_EQ_GT] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_await] = ACTIONS(2816),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2814),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_GT_GT_GT] = ACTIONS(2814),
    [anon_sym_LT_LT] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_PIPE] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PERCENT] = ACTIONS(2814),
    [anon_sym_LT_EQ] = ACTIONS(2814),
    [anon_sym_EQ_EQ] = ACTIONS(2816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2814),
    [anon_sym_BANG_EQ] = ACTIONS(2816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2814),
    [anon_sym_GT_EQ] = ACTIONS(2814),
    [anon_sym_instanceof] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_void] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2814),
    [anon_sym_BQUOTE] = ACTIONS(2814),
    [sym_regex] = ACTIONS(2816),
    [sym_number] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
    [sym_super] = ACTIONS(2816),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [sym_null] = ACTIONS(2816),
    [sym_undefined] = ACTIONS(2816),
    [anon_sym_AT] = ACTIONS(2814),
    [anon_sym_get] = ACTIONS(2816),
    [anon_sym_set] = ACTIONS(2816),
  },
  [922] = {
    [sym__automatic_semicolon] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2818),
    [anon_sym_RPAREN] = ACTIONS(2818),
    [anon_sym_in] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_LT] = ACTIONS(2820),
    [anon_sym_GT] = ACTIONS(2820),
    [anon_sym_SLASH] = ACTIONS(2820),
    [anon_sym_DOT] = ACTIONS(2818),
    [anon_sym_QMARK] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_PIPE_PIPE] = ACTIONS(2818),
    [anon_sym_GT_GT] = ACTIONS(2820),
    [anon_sym_GT_GT_GT] = ACTIONS(2818),
    [anon_sym_LT_LT] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_PIPE] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PERCENT] = ACTIONS(2818),
    [anon_sym_LT_EQ] = ACTIONS(2818),
    [anon_sym_EQ_EQ] = ACTIONS(2820),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2818),
    [anon_sym_BANG_EQ] = ACTIONS(2820),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2818),
    [anon_sym_GT_EQ] = ACTIONS(2818),
    [anon_sym_instanceof] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2818),
  },
  [923] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [924] = {
    [sym_statement_block] = STATE(1238),
    [anon_sym_LBRACE] = ACTIONS(996),
    [sym_comment] = ACTIONS(71),
  },
  [925] = {
    [sym__automatic_semicolon] = ACTIONS(2822),
    [ts_builtin_sym_end] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_COMMA] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2824),
    [anon_sym_var] = ACTIONS(2824),
    [anon_sym_let] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2822),
    [anon_sym_in] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_with] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_debugger] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_yield] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2824),
    [anon_sym_GT] = ACTIONS(2824),
    [anon_sym_SLASH] = ACTIONS(2824),
    [anon_sym_DOT] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_async] = ACTIONS(2824),
    [anon_sym_function] = ACTIONS(2824),
    [anon_sym_EQ_GT] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2824),
    [anon_sym_QMARK] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_PIPE_PIPE] = ACTIONS(2822),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_GT_GT_GT] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_PIPE] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PERCENT] = ACTIONS(2822),
    [anon_sym_LT_EQ] = ACTIONS(2822),
    [anon_sym_EQ_EQ] = ACTIONS(2824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2822),
    [anon_sym_BANG_EQ] = ACTIONS(2824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2822),
    [anon_sym_GT_EQ] = ACTIONS(2822),
    [anon_sym_instanceof] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2822),
    [anon_sym_BQUOTE] = ACTIONS(2822),
    [sym_regex] = ACTIONS(2824),
    [sym_number] = ACTIONS(2822),
    [sym_identifier] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
    [sym_super] = ACTIONS(2824),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [sym_null] = ACTIONS(2824),
    [sym_undefined] = ACTIONS(2824),
    [anon_sym_AT] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2824),
    [anon_sym_set] = ACTIONS(2824),
  },
  [926] = {
    [sym__automatic_semicolon] = ACTIONS(476),
    [ts_builtin_sym_end] = ACTIONS(476),
    [anon_sym_export] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(478),
    [anon_sym_let] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(478),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_debugger] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(478),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_async] = ACTIONS(478),
    [anon_sym_function] = ACTIONS(478),
    [anon_sym_EQ_GT] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_await] = ACTIONS(478),
    [anon_sym_QMARK] = ACTIONS(476),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_PIPE_PIPE] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_instanceof] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(478),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(478),
    [anon_sym_void] = ACTIONS(478),
    [anon_sym_delete] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(476),
    [sym_regex] = ACTIONS(478),
    [sym_number] = ACTIONS(476),
    [sym_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_null] = ACTIONS(478),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
  },
  [927] = {
    [sym_export_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_import_statement] = STATE(315),
    [sym_expression_statement] = STATE(315),
    [sym_variable_declaration] = STATE(315),
    [sym_lexical_declaration] = STATE(315),
    [sym_statement_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_for_in_statement] = STATE(315),
    [sym_for_of_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_statement] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_with_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_debugger_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_empty_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(315),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [928] = {
    [sym__automatic_semicolon] = ACTIONS(1526),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_else] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_RPAREN] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_DOT] = ACTIONS(1526),
    [anon_sym_QMARK] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1526),
  },
  [929] = {
    [sym__template_chars] = ACTIONS(2828),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2828),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(2828),
  },
  [930] = {
    [sym_parenthesized_expression] = STATE(1240),
    [sym__expression] = STATE(1240),
    [sym_yield_expression] = STATE(1240),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1240),
    [sym_jsx_fragment] = STATE(1240),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1240),
    [sym_anonymous_class] = STATE(1240),
    [sym_class] = STATE(1240),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1240),
    [sym_generator_function] = STATE(1240),
    [sym_call_expression] = STATE(1240),
    [sym_new_expression] = STATE(1240),
    [sym_await_expression] = STATE(1240),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1240),
    [sym_augmented_assignment_expression] = STATE(1240),
    [sym_ternary_expression] = STATE(1240),
    [sym_binary_expression] = STATE(1240),
    [sym_unary_expression] = STATE(1240),
    [sym_update_expression] = STATE(1240),
    [sym_sequence_expression] = STATE(819),
    [sym_template_string] = STATE(1240),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2830),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2832),
    [sym_number] = ACTIONS(2830),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(2832),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [sym_null] = ACTIONS(2832),
    [sym_undefined] = ACTIONS(2832),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [931] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(1812),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(1812),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [932] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(1459),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [933] = {
    [sym__automatic_semicolon] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_COMMA] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_LPAREN] = ACTIONS(2834),
    [anon_sym_RPAREN] = ACTIONS(2834),
    [anon_sym_in] = ACTIONS(2836),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_LT] = ACTIONS(2836),
    [anon_sym_GT] = ACTIONS(2836),
    [anon_sym_SLASH] = ACTIONS(2836),
    [anon_sym_DOT] = ACTIONS(2834),
    [anon_sym_QMARK] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_PIPE_PIPE] = ACTIONS(2834),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_GT_GT_GT] = ACTIONS(2834),
    [anon_sym_LT_LT] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PERCENT] = ACTIONS(2834),
    [anon_sym_LT_EQ] = ACTIONS(2834),
    [anon_sym_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2834),
    [anon_sym_BANG_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2834),
    [anon_sym_GT_EQ] = ACTIONS(2834),
    [anon_sym_instanceof] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2834),
  },
  [934] = {
    [aux_sym_array_repeat1] = STATE(935),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_RPAREN] = ACTIONS(2838),
    [sym_comment] = ACTIONS(71),
  },
  [935] = {
    [aux_sym_array_repeat1] = STATE(935),
    [anon_sym_COMMA] = ACTIONS(2840),
    [anon_sym_RPAREN] = ACTIONS(1812),
    [sym_comment] = ACTIONS(71),
  },
  [936] = {
    [sym__automatic_semicolon] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_LPAREN] = ACTIONS(2843),
    [anon_sym_RPAREN] = ACTIONS(2843),
    [anon_sym_in] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2845),
    [anon_sym_GT] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2845),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2843),
    [anon_sym_DASH_EQ] = ACTIONS(2843),
    [anon_sym_STAR_EQ] = ACTIONS(2843),
    [anon_sym_SLASH_EQ] = ACTIONS(2843),
    [anon_sym_PERCENT_EQ] = ACTIONS(2843),
    [anon_sym_CARET_EQ] = ACTIONS(2843),
    [anon_sym_AMP_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_EQ] = ACTIONS(2843),
    [anon_sym_GT_GT_EQ] = ACTIONS(2843),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2843),
    [anon_sym_LT_LT_EQ] = ACTIONS(2843),
    [anon_sym_QMARK] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_GT_GT_GT] = ACTIONS(2845),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_CARET] = ACTIONS(2845),
    [anon_sym_PIPE] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_EQ_EQ] = ACTIONS(2845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2843),
    [anon_sym_instanceof] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2843),
  },
  [937] = {
    [sym_parenthesized_expression] = STATE(1242),
    [sym__expression] = STATE(1242),
    [sym_yield_expression] = STATE(1242),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(1242),
    [sym_jsx_fragment] = STATE(1242),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1242),
    [sym_anonymous_class] = STATE(1242),
    [sym_class] = STATE(1242),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1242),
    [sym_generator_function] = STATE(1242),
    [sym_call_expression] = STATE(1242),
    [sym_new_expression] = STATE(1242),
    [sym_await_expression] = STATE(1242),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(1242),
    [sym_augmented_assignment_expression] = STATE(1242),
    [sym_ternary_expression] = STATE(1242),
    [sym_binary_expression] = STATE(1242),
    [sym_unary_expression] = STATE(1242),
    [sym_update_expression] = STATE(1242),
    [sym_sequence_expression] = STATE(819),
    [sym_template_string] = STATE(1242),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2847),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2849),
    [sym_number] = ACTIONS(2847),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(2849),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [sym_null] = ACTIONS(2849),
    [sym_undefined] = ACTIONS(2849),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [938] = {
    [anon_sym_export] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_class] = ACTIONS(2851),
    [anon_sym_async] = ACTIONS(2851),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2853),
    [sym_number] = ACTIONS(2853),
    [sym_identifier] = ACTIONS(2851),
    [anon_sym_AT] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2851),
    [anon_sym_get] = ACTIONS(2851),
    [anon_sym_set] = ACTIONS(2851),
  },
  [939] = {
    [anon_sym_export] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2857),
    [anon_sym_LPAREN] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_async] = ACTIONS(2855),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2857),
    [sym_number] = ACTIONS(2857),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_AT] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2855),
    [anon_sym_get] = ACTIONS(2855),
    [anon_sym_set] = ACTIONS(2855),
  },
  [940] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [941] = {
    [sym_parenthesized_expression] = STATE(1243),
    [sym__expression] = STATE(1243),
    [sym_yield_expression] = STATE(1243),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1243),
    [sym_jsx_fragment] = STATE(1243),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1243),
    [sym_anonymous_class] = STATE(1243),
    [sym_class] = STATE(1243),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1243),
    [sym_generator_function] = STATE(1243),
    [sym_call_expression] = STATE(1243),
    [sym_new_expression] = STATE(1243),
    [sym_await_expression] = STATE(1243),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1243),
    [sym_augmented_assignment_expression] = STATE(1243),
    [sym_ternary_expression] = STATE(1243),
    [sym_binary_expression] = STATE(1243),
    [sym_unary_expression] = STATE(1243),
    [sym_update_expression] = STATE(1243),
    [sym_template_string] = STATE(1243),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2859),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2861),
    [sym_number] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2861),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [sym_null] = ACTIONS(2861),
    [sym_undefined] = ACTIONS(2861),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [942] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(1244),
    [sym__expression] = STATE(1244),
    [sym_yield_expression] = STATE(1244),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1244),
    [sym_jsx_fragment] = STATE(1244),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1244),
    [sym_anonymous_class] = STATE(1244),
    [sym_class] = STATE(1244),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1244),
    [sym_generator_function] = STATE(1244),
    [sym_call_expression] = STATE(1244),
    [sym_new_expression] = STATE(1244),
    [sym_await_expression] = STATE(1244),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1244),
    [sym_augmented_assignment_expression] = STATE(1244),
    [sym_ternary_expression] = STATE(1244),
    [sym_binary_expression] = STATE(1244),
    [sym_unary_expression] = STATE(1244),
    [sym_update_expression] = STATE(1244),
    [sym_template_string] = STATE(1244),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2863),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2865),
    [sym_number] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2865),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [sym_null] = ACTIONS(2865),
    [sym_undefined] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [943] = {
    [sym_parenthesized_expression] = STATE(1245),
    [sym__expression] = STATE(1245),
    [sym_yield_expression] = STATE(1245),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1245),
    [sym_jsx_fragment] = STATE(1245),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1245),
    [sym_anonymous_class] = STATE(1245),
    [sym_class] = STATE(1245),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1245),
    [sym_generator_function] = STATE(1245),
    [sym_call_expression] = STATE(1245),
    [sym_new_expression] = STATE(1245),
    [sym_await_expression] = STATE(1245),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1245),
    [sym_augmented_assignment_expression] = STATE(1245),
    [sym_ternary_expression] = STATE(1245),
    [sym_binary_expression] = STATE(1245),
    [sym_unary_expression] = STATE(1245),
    [sym_update_expression] = STATE(1245),
    [sym_template_string] = STATE(1245),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2867),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2869),
    [sym_number] = ACTIONS(2867),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2869),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [sym_null] = ACTIONS(2869),
    [sym_undefined] = ACTIONS(2869),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [944] = {
    [anon_sym_EQ_GT] = ACTIONS(2871),
    [sym_comment] = ACTIONS(71),
  },
  [945] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [946] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [947] = {
    [sym_parenthesized_expression] = STATE(1247),
    [sym__expression] = STATE(1247),
    [sym_yield_expression] = STATE(1247),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1247),
    [sym_jsx_fragment] = STATE(1247),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1247),
    [sym_anonymous_class] = STATE(1247),
    [sym_class] = STATE(1247),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1247),
    [sym_generator_function] = STATE(1247),
    [sym_call_expression] = STATE(1247),
    [sym_new_expression] = STATE(1247),
    [sym_await_expression] = STATE(1247),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1247),
    [sym_augmented_assignment_expression] = STATE(1247),
    [sym_ternary_expression] = STATE(1247),
    [sym_binary_expression] = STATE(1247),
    [sym_unary_expression] = STATE(1247),
    [sym_update_expression] = STATE(1247),
    [sym_template_string] = STATE(1247),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2873),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2875),
    [sym_number] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2875),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [sym_null] = ACTIONS(2875),
    [sym_undefined] = ACTIONS(2875),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [948] = {
    [sym_parenthesized_expression] = STATE(1248),
    [sym__expression] = STATE(1248),
    [sym_yield_expression] = STATE(1248),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1248),
    [sym_jsx_fragment] = STATE(1248),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1248),
    [sym_anonymous_class] = STATE(1248),
    [sym_class] = STATE(1248),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1248),
    [sym_generator_function] = STATE(1248),
    [sym_call_expression] = STATE(1248),
    [sym_new_expression] = STATE(1248),
    [sym_await_expression] = STATE(1248),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1248),
    [sym_augmented_assignment_expression] = STATE(1248),
    [sym_ternary_expression] = STATE(1248),
    [sym_binary_expression] = STATE(1248),
    [sym_unary_expression] = STATE(1248),
    [sym_update_expression] = STATE(1248),
    [sym_template_string] = STATE(1248),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2877),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2879),
    [sym_number] = ACTIONS(2877),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2879),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [sym_null] = ACTIONS(2879),
    [sym_undefined] = ACTIONS(2879),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [949] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [950] = {
    [sym_parenthesized_expression] = STATE(1249),
    [sym__expression] = STATE(1249),
    [sym_yield_expression] = STATE(1249),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(1249),
    [sym_jsx_fragment] = STATE(1249),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1249),
    [sym_anonymous_class] = STATE(1249),
    [sym_class] = STATE(1249),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1249),
    [sym_generator_function] = STATE(1249),
    [sym_call_expression] = STATE(1249),
    [sym_new_expression] = STATE(1249),
    [sym_await_expression] = STATE(1249),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(1249),
    [sym_augmented_assignment_expression] = STATE(1249),
    [sym_ternary_expression] = STATE(1249),
    [sym_binary_expression] = STATE(1249),
    [sym_unary_expression] = STATE(1249),
    [sym_update_expression] = STATE(1249),
    [sym_template_string] = STATE(1249),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2881),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2883),
    [sym_number] = ACTIONS(2881),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(2883),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [sym_null] = ACTIONS(2883),
    [sym_undefined] = ACTIONS(2883),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [951] = {
    [sym_parenthesized_expression] = STATE(1250),
    [sym__expression] = STATE(1250),
    [sym_yield_expression] = STATE(1250),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1250),
    [sym_jsx_fragment] = STATE(1250),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1250),
    [sym_anonymous_class] = STATE(1250),
    [sym_class] = STATE(1250),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1250),
    [sym_generator_function] = STATE(1250),
    [sym_call_expression] = STATE(1250),
    [sym_new_expression] = STATE(1250),
    [sym_await_expression] = STATE(1250),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1250),
    [sym_augmented_assignment_expression] = STATE(1250),
    [sym_ternary_expression] = STATE(1250),
    [sym_binary_expression] = STATE(1250),
    [sym_unary_expression] = STATE(1250),
    [sym_update_expression] = STATE(1250),
    [sym_template_string] = STATE(1250),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2885),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2887),
    [sym_number] = ACTIONS(2885),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2887),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [sym_null] = ACTIONS(2887),
    [sym_undefined] = ACTIONS(2887),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [952] = {
    [sym_parenthesized_expression] = STATE(1251),
    [sym__expression] = STATE(1251),
    [sym_yield_expression] = STATE(1251),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1251),
    [sym_jsx_fragment] = STATE(1251),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1251),
    [sym_anonymous_class] = STATE(1251),
    [sym_class] = STATE(1251),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1251),
    [sym_generator_function] = STATE(1251),
    [sym_call_expression] = STATE(1251),
    [sym_new_expression] = STATE(1251),
    [sym_await_expression] = STATE(1251),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1251),
    [sym_augmented_assignment_expression] = STATE(1251),
    [sym_ternary_expression] = STATE(1251),
    [sym_binary_expression] = STATE(1251),
    [sym_unary_expression] = STATE(1251),
    [sym_update_expression] = STATE(1251),
    [sym_template_string] = STATE(1251),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2889),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2891),
    [sym_number] = ACTIONS(2889),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2891),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [sym_null] = ACTIONS(2891),
    [sym_undefined] = ACTIONS(2891),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [953] = {
    [sym_parenthesized_expression] = STATE(1252),
    [sym__expression] = STATE(1252),
    [sym_yield_expression] = STATE(1252),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1252),
    [sym_jsx_fragment] = STATE(1252),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1252),
    [sym_anonymous_class] = STATE(1252),
    [sym_class] = STATE(1252),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1252),
    [sym_generator_function] = STATE(1252),
    [sym_call_expression] = STATE(1252),
    [sym_new_expression] = STATE(1252),
    [sym_await_expression] = STATE(1252),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1252),
    [sym_augmented_assignment_expression] = STATE(1252),
    [sym_ternary_expression] = STATE(1252),
    [sym_binary_expression] = STATE(1252),
    [sym_unary_expression] = STATE(1252),
    [sym_update_expression] = STATE(1252),
    [sym_template_string] = STATE(1252),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2893),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2895),
    [sym_number] = ACTIONS(2893),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2895),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [sym_null] = ACTIONS(2895),
    [sym_undefined] = ACTIONS(2895),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [954] = {
    [sym_parenthesized_expression] = STATE(1253),
    [sym__expression] = STATE(1253),
    [sym_yield_expression] = STATE(1253),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1253),
    [sym_jsx_fragment] = STATE(1253),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1253),
    [sym_anonymous_class] = STATE(1253),
    [sym_class] = STATE(1253),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1253),
    [sym_generator_function] = STATE(1253),
    [sym_call_expression] = STATE(1253),
    [sym_new_expression] = STATE(1253),
    [sym_await_expression] = STATE(1253),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1253),
    [sym_augmented_assignment_expression] = STATE(1253),
    [sym_ternary_expression] = STATE(1253),
    [sym_binary_expression] = STATE(1253),
    [sym_unary_expression] = STATE(1253),
    [sym_update_expression] = STATE(1253),
    [sym_template_string] = STATE(1253),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2897),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2899),
    [sym_number] = ACTIONS(2897),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(2899),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [sym_null] = ACTIONS(2899),
    [sym_undefined] = ACTIONS(2899),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [955] = {
    [sym_parenthesized_expression] = STATE(1254),
    [sym__expression] = STATE(1254),
    [sym_yield_expression] = STATE(1254),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1254),
    [sym_jsx_fragment] = STATE(1254),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1254),
    [sym_anonymous_class] = STATE(1254),
    [sym_class] = STATE(1254),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1254),
    [sym_generator_function] = STATE(1254),
    [sym_call_expression] = STATE(1254),
    [sym_new_expression] = STATE(1254),
    [sym_await_expression] = STATE(1254),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1254),
    [sym_augmented_assignment_expression] = STATE(1254),
    [sym_ternary_expression] = STATE(1254),
    [sym_binary_expression] = STATE(1254),
    [sym_unary_expression] = STATE(1254),
    [sym_update_expression] = STATE(1254),
    [sym_template_string] = STATE(1254),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2901),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2903),
    [sym_number] = ACTIONS(2901),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2903),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [sym_null] = ACTIONS(2903),
    [sym_undefined] = ACTIONS(2903),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [956] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(1258),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(2907),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(2911),
  },
  [957] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(1259),
    [sym__expression] = STATE(1259),
    [sym_yield_expression] = STATE(1259),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1259),
    [sym_jsx_fragment] = STATE(1259),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1259),
    [sym_anonymous_class] = STATE(1259),
    [sym_class] = STATE(1259),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1259),
    [sym_generator_function] = STATE(1259),
    [sym_call_expression] = STATE(1259),
    [sym_new_expression] = STATE(1259),
    [sym_await_expression] = STATE(1259),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1259),
    [sym_augmented_assignment_expression] = STATE(1259),
    [sym_ternary_expression] = STATE(1259),
    [sym_binary_expression] = STATE(1259),
    [sym_unary_expression] = STATE(1259),
    [sym_update_expression] = STATE(1259),
    [sym_template_string] = STATE(1259),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2913),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2915),
    [sym_number] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [958] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [959] = {
    [sym_parenthesized_expression] = STATE(1260),
    [sym__expression] = STATE(1260),
    [sym_yield_expression] = STATE(1260),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1260),
    [sym_jsx_fragment] = STATE(1260),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1260),
    [sym_anonymous_class] = STATE(1260),
    [sym_class] = STATE(1260),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1260),
    [sym_generator_function] = STATE(1260),
    [sym_call_expression] = STATE(1260),
    [sym_new_expression] = STATE(1260),
    [sym_await_expression] = STATE(1260),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1260),
    [sym_augmented_assignment_expression] = STATE(1260),
    [sym_ternary_expression] = STATE(1260),
    [sym_binary_expression] = STATE(1260),
    [sym_unary_expression] = STATE(1260),
    [sym_update_expression] = STATE(1260),
    [sym_template_string] = STATE(1260),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2917),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2919),
    [sym_number] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(2919),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [sym_null] = ACTIONS(2919),
    [sym_undefined] = ACTIONS(2919),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [960] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [961] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [962] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2907),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [963] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [964] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [965] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [966] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [967] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [968] = {
    [anon_sym_EQ_GT] = ACTIONS(2907),
    [sym_comment] = ACTIONS(71),
  },
  [969] = {
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [sym_jsx_text] = ACTIONS(2943),
    [sym_comment] = ACTIONS(71),
  },
  [970] = {
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(71),
  },
  [971] = {
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
  },
  [972] = {
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
  },
  [973] = {
    [anon_sym_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(71),
  },
  [974] = {
    [anon_sym_GT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(71),
  },
  [975] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(2951),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [976] = {
    [anon_sym_GT] = ACTIONS(2953),
    [sym_comment] = ACTIONS(71),
  },
  [977] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(1905),
    [anon_sym_SLASH] = ACTIONS(2955),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [978] = {
    [sym_nested_identifier] = STATE(1276),
    [sym_jsx_namespace_name] = STATE(1277),
    [sym_jsx_identifier] = ACTIONS(2957),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2959),
  },
  [979] = {
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [sym_jsx_text] = ACTIONS(2167),
    [sym_comment] = ACTIONS(71),
  },
  [980] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [981] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [982] = {
    [sym_class_body] = STATE(1279),
    [anon_sym_LBRACE] = ACTIONS(958),
    [sym_comment] = ACTIONS(71),
  },
  [983] = {
    [sym__automatic_semicolon] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_instanceof] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2963),
  },
  [984] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2001),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [985] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [986] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [987] = {
    [sym_statement_block] = STATE(922),
    [sym_parenthesized_expression] = STATE(1280),
    [sym__expression] = STATE(1280),
    [sym_yield_expression] = STATE(1280),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(1280),
    [sym_jsx_fragment] = STATE(1280),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1280),
    [sym_anonymous_class] = STATE(1280),
    [sym_class] = STATE(1280),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1280),
    [sym_generator_function] = STATE(1280),
    [sym_call_expression] = STATE(1280),
    [sym_new_expression] = STATE(1280),
    [sym_await_expression] = STATE(1280),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(1280),
    [sym_augmented_assignment_expression] = STATE(1280),
    [sym_ternary_expression] = STATE(1280),
    [sym_binary_expression] = STATE(1280),
    [sym_unary_expression] = STATE(1280),
    [sym_update_expression] = STATE(1280),
    [sym_template_string] = STATE(1280),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2967),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2969),
    [sym_number] = ACTIONS(2967),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(2969),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [sym_null] = ACTIONS(2969),
    [sym_undefined] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [988] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [989] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [990] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [991] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [992] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [993] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [994] = {
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [sym_comment] = ACTIONS(71),
  },
  [995] = {
    [sym__automatic_semicolon] = ACTIONS(2975),
    [anon_sym_from] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [sym_comment] = ACTIONS(71),
  },
  [996] = {
    [anon_sym_COMMA] = ACTIONS(2977),
    [anon_sym_RBRACE] = ACTIONS(2977),
    [sym_comment] = ACTIONS(71),
  },
  [997] = {
    [sym__import_export_specifier] = STATE(996),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(436),
  },
  [998] = {
    [aux_sym_export_clause_repeat1] = STATE(998),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [sym_comment] = ACTIONS(71),
  },
  [999] = {
    [sym__automatic_semicolon] = ACTIONS(1909),
    [ts_builtin_sym_end] = ACTIONS(1909),
    [anon_sym_export] = ACTIONS(1911),
    [anon_sym_default] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_RBRACE] = ACTIONS(1909),
    [anon_sym_import] = ACTIONS(1911),
    [anon_sym_var] = ACTIONS(1911),
    [anon_sym_let] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1911),
    [anon_sym_else] = ACTIONS(1911),
    [anon_sym_switch] = ACTIONS(1911),
    [anon_sym_for] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1911),
    [anon_sym_do] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1911),
    [anon_sym_with] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1911),
    [anon_sym_continue] = ACTIONS(1911),
    [anon_sym_debugger] = ACTIONS(1911),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1911),
    [anon_sym_SEMI] = ACTIONS(1909),
    [anon_sym_case] = ACTIONS(1911),
    [anon_sym_yield] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1911),
    [anon_sym_async] = ACTIONS(1911),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_EQ_GT] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_await] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1909),
    [anon_sym_TILDE] = ACTIONS(1909),
    [anon_sym_typeof] = ACTIONS(1911),
    [anon_sym_void] = ACTIONS(1911),
    [anon_sym_delete] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1909),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1909),
    [anon_sym_BQUOTE] = ACTIONS(1909),
    [sym_regex] = ACTIONS(1911),
    [sym_number] = ACTIONS(1909),
    [sym_identifier] = ACTIONS(1911),
    [sym_this] = ACTIONS(1911),
    [sym_super] = ACTIONS(1911),
    [sym_true] = ACTIONS(1911),
    [sym_false] = ACTIONS(1911),
    [sym_null] = ACTIONS(1911),
    [sym_undefined] = ACTIONS(1911),
    [anon_sym_AT] = ACTIONS(1909),
    [anon_sym_get] = ACTIONS(1911),
    [anon_sym_set] = ACTIONS(1911),
  },
  [1000] = {
    [sym_decorator] = STATE(521),
    [sym_public_field_definition] = STATE(518),
    [sym_method_definition] = STATE(519),
    [sym__property_name] = STATE(520),
    [sym_computed_property_name] = STATE(520),
    [aux_sym_export_statement_repeat1] = STATE(521),
    [aux_sym_class_body_repeat1] = STATE(901),
    [anon_sym_STAR] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(2986),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_async] = ACTIONS(924),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(926),
    [sym_number] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(932),
    [anon_sym_set] = ACTIONS(932),
  },
  [1001] = {
    [sym__automatic_semicolon] = ACTIONS(2810),
    [ts_builtin_sym_end] = ACTIONS(2810),
    [anon_sym_export] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_import] = ACTIONS(2812),
    [anon_sym_var] = ACTIONS(2812),
    [anon_sym_let] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_else] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_with] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_debugger] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_yield] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_LT] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_function] = ACTIONS(2812),
    [anon_sym_EQ_GT] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_await] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_void] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2810),
    [anon_sym_BQUOTE] = ACTIONS(2810),
    [sym_regex] = ACTIONS(2812),
    [sym_number] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
    [sym_super] = ACTIONS(2812),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [sym_null] = ACTIONS(2812),
    [sym_undefined] = ACTIONS(2812),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_get] = ACTIONS(2812),
    [anon_sym_set] = ACTIONS(2812),
  },
  [1002] = {
    [sym_statement_block] = STATE(1285),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [sym_comment] = ACTIONS(71),
  },
  [1003] = {
    [sym__automatic_semicolon] = ACTIONS(2814),
    [ts_builtin_sym_end] = ACTIONS(2814),
    [anon_sym_export] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_import] = ACTIONS(2816),
    [anon_sym_var] = ACTIONS(2816),
    [anon_sym_let] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_else] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_with] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_debugger] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_yield] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_LT] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_async] = ACTIONS(2816),
    [anon_sym_function] = ACTIONS(2816),
    [anon_sym_EQ_GT] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_await] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_void] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2814),
    [anon_sym_BQUOTE] = ACTIONS(2814),
    [sym_regex] = ACTIONS(2816),
    [sym_number] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
    [sym_super] = ACTIONS(2816),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [sym_null] = ACTIONS(2816),
    [sym_undefined] = ACTIONS(2816),
    [anon_sym_AT] = ACTIONS(2814),
    [anon_sym_get] = ACTIONS(2816),
    [anon_sym_set] = ACTIONS(2816),
  },
  [1004] = {
    [sym_statement_block] = STATE(1286),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [sym_comment] = ACTIONS(71),
  },
  [1005] = {
    [sym__automatic_semicolon] = ACTIONS(2822),
    [ts_builtin_sym_end] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2824),
    [anon_sym_var] = ACTIONS(2824),
    [anon_sym_let] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_with] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_debugger] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_yield] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_async] = ACTIONS(2824),
    [anon_sym_function] = ACTIONS(2824),
    [anon_sym_EQ_GT] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2822),
    [anon_sym_BQUOTE] = ACTIONS(2822),
    [sym_regex] = ACTIONS(2824),
    [sym_number] = ACTIONS(2822),
    [sym_identifier] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
    [sym_super] = ACTIONS(2824),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [sym_null] = ACTIONS(2824),
    [sym_undefined] = ACTIONS(2824),
    [anon_sym_AT] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2824),
    [anon_sym_set] = ACTIONS(2824),
  },
  [1006] = {
    [sym__automatic_semicolon] = ACTIONS(476),
    [ts_builtin_sym_end] = ACTIONS(476),
    [anon_sym_export] = ACTIONS(478),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(478),
    [anon_sym_let] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_debugger] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_async] = ACTIONS(478),
    [anon_sym_function] = ACTIONS(478),
    [anon_sym_EQ_GT] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_await] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(478),
    [anon_sym_void] = ACTIONS(478),
    [anon_sym_delete] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(476),
    [anon_sym_BQUOTE] = ACTIONS(476),
    [sym_regex] = ACTIONS(478),
    [sym_number] = ACTIONS(476),
    [sym_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_null] = ACTIONS(478),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
  },
  [1007] = {
    [sym_export_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_import_statement] = STATE(315),
    [sym_expression_statement] = STATE(315),
    [sym_variable_declaration] = STATE(315),
    [sym_lexical_declaration] = STATE(315),
    [sym_statement_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_for_in_statement] = STATE(315),
    [sym_for_of_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_statement] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_with_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_debugger_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_empty_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(315),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2988),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1008] = {
    [sym_class_body] = STATE(1288),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(71),
  },
  [1009] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1010] = {
    [sym_parenthesized_expression] = STATE(1289),
    [sym__expression] = STATE(1289),
    [sym_yield_expression] = STATE(1289),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1289),
    [sym_jsx_fragment] = STATE(1289),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1289),
    [sym_anonymous_class] = STATE(1289),
    [sym_class] = STATE(1289),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1289),
    [sym_generator_function] = STATE(1289),
    [sym_call_expression] = STATE(1289),
    [sym_new_expression] = STATE(1289),
    [sym_await_expression] = STATE(1289),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1289),
    [sym_augmented_assignment_expression] = STATE(1289),
    [sym_ternary_expression] = STATE(1289),
    [sym_binary_expression] = STATE(1289),
    [sym_unary_expression] = STATE(1289),
    [sym_update_expression] = STATE(1289),
    [sym_template_string] = STATE(1289),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2990),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2992),
    [sym_number] = ACTIONS(2990),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1011] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(1290),
    [sym__expression] = STATE(1290),
    [sym_yield_expression] = STATE(1290),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1290),
    [sym_jsx_fragment] = STATE(1290),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1290),
    [sym_anonymous_class] = STATE(1290),
    [sym_class] = STATE(1290),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1290),
    [sym_generator_function] = STATE(1290),
    [sym_call_expression] = STATE(1290),
    [sym_new_expression] = STATE(1290),
    [sym_await_expression] = STATE(1290),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1290),
    [sym_augmented_assignment_expression] = STATE(1290),
    [sym_ternary_expression] = STATE(1290),
    [sym_binary_expression] = STATE(1290),
    [sym_unary_expression] = STATE(1290),
    [sym_update_expression] = STATE(1290),
    [sym_template_string] = STATE(1290),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2994),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(2996),
    [sym_number] = ACTIONS(2994),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(2996),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [sym_null] = ACTIONS(2996),
    [sym_undefined] = ACTIONS(2996),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1012] = {
    [sym_parenthesized_expression] = STATE(1291),
    [sym__expression] = STATE(1291),
    [sym_yield_expression] = STATE(1291),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1291),
    [sym_jsx_fragment] = STATE(1291),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1291),
    [sym_anonymous_class] = STATE(1291),
    [sym_class] = STATE(1291),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1291),
    [sym_generator_function] = STATE(1291),
    [sym_call_expression] = STATE(1291),
    [sym_new_expression] = STATE(1291),
    [sym_await_expression] = STATE(1291),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1291),
    [sym_augmented_assignment_expression] = STATE(1291),
    [sym_ternary_expression] = STATE(1291),
    [sym_binary_expression] = STATE(1291),
    [sym_unary_expression] = STATE(1291),
    [sym_update_expression] = STATE(1291),
    [sym_template_string] = STATE(1291),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2998),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3000),
    [sym_number] = ACTIONS(2998),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(3000),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [sym_null] = ACTIONS(3000),
    [sym_undefined] = ACTIONS(3000),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1013] = {
    [anon_sym_EQ_GT] = ACTIONS(3002),
    [sym_comment] = ACTIONS(71),
  },
  [1014] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(998),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1015] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(1006),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1016] = {
    [sym_parenthesized_expression] = STATE(1293),
    [sym__expression] = STATE(1293),
    [sym_yield_expression] = STATE(1293),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1293),
    [sym_jsx_fragment] = STATE(1293),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1293),
    [sym_anonymous_class] = STATE(1293),
    [sym_class] = STATE(1293),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1293),
    [sym_generator_function] = STATE(1293),
    [sym_call_expression] = STATE(1293),
    [sym_new_expression] = STATE(1293),
    [sym_await_expression] = STATE(1293),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1293),
    [sym_augmented_assignment_expression] = STATE(1293),
    [sym_ternary_expression] = STATE(1293),
    [sym_binary_expression] = STATE(1293),
    [sym_unary_expression] = STATE(1293),
    [sym_update_expression] = STATE(1293),
    [sym_template_string] = STATE(1293),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3004),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3006),
    [sym_number] = ACTIONS(3004),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(3006),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3006),
    [sym_false] = ACTIONS(3006),
    [sym_null] = ACTIONS(3006),
    [sym_undefined] = ACTIONS(3006),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1017] = {
    [sym_parenthesized_expression] = STATE(1294),
    [sym__expression] = STATE(1294),
    [sym_yield_expression] = STATE(1294),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1294),
    [sym_jsx_fragment] = STATE(1294),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1294),
    [sym_anonymous_class] = STATE(1294),
    [sym_class] = STATE(1294),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1294),
    [sym_generator_function] = STATE(1294),
    [sym_call_expression] = STATE(1294),
    [sym_new_expression] = STATE(1294),
    [sym_await_expression] = STATE(1294),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1294),
    [sym_augmented_assignment_expression] = STATE(1294),
    [sym_ternary_expression] = STATE(1294),
    [sym_binary_expression] = STATE(1294),
    [sym_unary_expression] = STATE(1294),
    [sym_update_expression] = STATE(1294),
    [sym_template_string] = STATE(1294),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3008),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3010),
    [sym_number] = ACTIONS(3008),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(3010),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3010),
    [sym_false] = ACTIONS(3010),
    [sym_null] = ACTIONS(3010),
    [sym_undefined] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1018] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1019] = {
    [anon_sym_LPAREN] = ACTIONS(2321),
    [sym_comment] = ACTIONS(71),
  },
  [1020] = {
    [sym_parenthesized_expression] = STATE(1295),
    [sym__expression] = STATE(1295),
    [sym_yield_expression] = STATE(1295),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1295),
    [sym_jsx_fragment] = STATE(1295),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1295),
    [sym_anonymous_class] = STATE(1295),
    [sym_class] = STATE(1295),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1295),
    [sym_generator_function] = STATE(1295),
    [sym_call_expression] = STATE(1295),
    [sym_new_expression] = STATE(1295),
    [sym_await_expression] = STATE(1295),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1295),
    [sym_augmented_assignment_expression] = STATE(1295),
    [sym_ternary_expression] = STATE(1295),
    [sym_binary_expression] = STATE(1295),
    [sym_unary_expression] = STATE(1295),
    [sym_update_expression] = STATE(1295),
    [sym_template_string] = STATE(1295),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3012),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3014),
    [sym_number] = ACTIONS(3012),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(3014),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3014),
    [sym_false] = ACTIONS(3014),
    [sym_null] = ACTIONS(3014),
    [sym_undefined] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [1021] = {
    [sym_parenthesized_expression] = STATE(1296),
    [sym__expression] = STATE(1296),
    [sym_yield_expression] = STATE(1296),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1296),
    [sym_jsx_fragment] = STATE(1296),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1296),
    [sym_anonymous_class] = STATE(1296),
    [sym_class] = STATE(1296),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1296),
    [sym_generator_function] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_new_expression] = STATE(1296),
    [sym_await_expression] = STATE(1296),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1296),
    [sym_augmented_assignment_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_unary_expression] = STATE(1296),
    [sym_update_expression] = STATE(1296),
    [sym_template_string] = STATE(1296),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3016),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3018),
    [sym_number] = ACTIONS(3016),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(3018),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3018),
    [sym_false] = ACTIONS(3018),
    [sym_null] = ACTIONS(3018),
    [sym_undefined] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1022] = {
    [sym_parenthesized_expression] = STATE(1297),
    [sym__expression] = STATE(1297),
    [sym_yield_expression] = STATE(1297),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1297),
    [sym_jsx_fragment] = STATE(1297),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1297),
    [sym_anonymous_class] = STATE(1297),
    [sym_class] = STATE(1297),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1297),
    [sym_generator_function] = STATE(1297),
    [sym_call_expression] = STATE(1297),
    [sym_new_expression] = STATE(1297),
    [sym_await_expression] = STATE(1297),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1297),
    [sym_augmented_assignment_expression] = STATE(1297),
    [sym_ternary_expression] = STATE(1297),
    [sym_binary_expression] = STATE(1297),
    [sym_unary_expression] = STATE(1297),
    [sym_update_expression] = STATE(1297),
    [sym_template_string] = STATE(1297),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3020),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3022),
    [sym_number] = ACTIONS(3020),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(3022),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3022),
    [sym_false] = ACTIONS(3022),
    [sym_null] = ACTIONS(3022),
    [sym_undefined] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1023] = {
    [sym_parenthesized_expression] = STATE(1298),
    [sym__expression] = STATE(1298),
    [sym_yield_expression] = STATE(1298),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1298),
    [sym_jsx_fragment] = STATE(1298),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1298),
    [sym_anonymous_class] = STATE(1298),
    [sym_class] = STATE(1298),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1298),
    [sym_generator_function] = STATE(1298),
    [sym_call_expression] = STATE(1298),
    [sym_new_expression] = STATE(1298),
    [sym_await_expression] = STATE(1298),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1298),
    [sym_augmented_assignment_expression] = STATE(1298),
    [sym_ternary_expression] = STATE(1298),
    [sym_binary_expression] = STATE(1298),
    [sym_unary_expression] = STATE(1298),
    [sym_update_expression] = STATE(1298),
    [sym_template_string] = STATE(1298),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3024),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3026),
    [sym_number] = ACTIONS(3024),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(3026),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3026),
    [sym_false] = ACTIONS(3026),
    [sym_null] = ACTIONS(3026),
    [sym_undefined] = ACTIONS(3026),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1024] = {
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_RBRACE] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym_LBRACK] = ACTIONS(3028),
    [anon_sym_async] = ACTIONS(3030),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3028),
    [sym_number] = ACTIONS(3028),
    [sym_identifier] = ACTIONS(3030),
    [anon_sym_AT] = ACTIONS(3028),
    [anon_sym_static] = ACTIONS(3030),
    [anon_sym_get] = ACTIONS(3030),
    [anon_sym_set] = ACTIONS(3030),
  },
  [1025] = {
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1427),
    [sym_comment] = ACTIONS(71),
  },
  [1026] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(3032),
    [sym_comment] = ACTIONS(71),
  },
  [1027] = {
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1511),
    [sym_comment] = ACTIONS(71),
  },
  [1028] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [sym_comment] = ACTIONS(71),
  },
  [1029] = {
    [aux_sym_object_repeat1] = STATE(1301),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [sym_comment] = ACTIONS(71),
  },
  [1030] = {
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_EQ] = ACTIONS(1836),
    [sym_comment] = ACTIONS(71),
  },
  [1031] = {
    [aux_sym_array_repeat1] = STATE(496),
    [anon_sym_COMMA] = ACTIONS(245),
    [anon_sym_RBRACK] = ACTIONS(3036),
    [sym_comment] = ACTIONS(71),
  },
  [1032] = {
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1836),
    [sym_comment] = ACTIONS(71),
  },
  [1033] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_RBRACE] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1034] = {
    [sym_export_statement] = STATE(1303),
    [sym__declaration] = STATE(1303),
    [sym_import_statement] = STATE(1303),
    [sym_expression_statement] = STATE(1303),
    [sym_variable_declaration] = STATE(1303),
    [sym_lexical_declaration] = STATE(1303),
    [sym_statement_block] = STATE(1303),
    [sym_if_statement] = STATE(1303),
    [sym_switch_statement] = STATE(1303),
    [sym_for_statement] = STATE(1303),
    [sym_for_in_statement] = STATE(1303),
    [sym_for_of_statement] = STATE(1303),
    [sym_while_statement] = STATE(1303),
    [sym_do_statement] = STATE(1303),
    [sym_try_statement] = STATE(1303),
    [sym_with_statement] = STATE(1303),
    [sym_break_statement] = STATE(1303),
    [sym_continue_statement] = STATE(1303),
    [sym_debugger_statement] = STATE(1303),
    [sym_return_statement] = STATE(1303),
    [sym_throw_statement] = STATE(1303),
    [sym_empty_statement] = STATE(1303),
    [sym_labeled_statement] = STATE(1303),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1035] = {
    [sym_expression_statement] = STATE(1307),
    [sym_variable_declaration] = STATE(1307),
    [sym_lexical_declaration] = STATE(1307),
    [sym_empty_statement] = STATE(1307),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(1308),
    [sym_array] = STATE(1309),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_var] = ACTIONS(3038),
    [anon_sym_let] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3042),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1036] = {
    [sym_export_statement] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym_import_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_variable_declaration] = STATE(441),
    [sym_lexical_declaration] = STATE(441),
    [sym_statement_block] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_for_in_statement] = STATE(441),
    [sym_for_of_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_with_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_debugger_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_empty_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1037] = {
    [sym_export_statement] = STATE(465),
    [sym__declaration] = STATE(465),
    [sym_import_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_variable_declaration] = STATE(465),
    [sym_lexical_declaration] = STATE(465),
    [sym_statement_block] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_for_in_statement] = STATE(465),
    [sym_for_of_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_with_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_debugger_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_labeled_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1038] = {
    [sym_export_statement] = STATE(564),
    [sym__declaration] = STATE(564),
    [sym_import_statement] = STATE(564),
    [sym_expression_statement] = STATE(564),
    [sym_variable_declaration] = STATE(564),
    [sym_lexical_declaration] = STATE(564),
    [sym_statement_block] = STATE(564),
    [sym_if_statement] = STATE(564),
    [sym_switch_statement] = STATE(564),
    [sym_for_statement] = STATE(564),
    [sym_for_in_statement] = STATE(564),
    [sym_for_of_statement] = STATE(564),
    [sym_while_statement] = STATE(564),
    [sym_do_statement] = STATE(564),
    [sym_try_statement] = STATE(564),
    [sym_with_statement] = STATE(564),
    [sym_break_statement] = STATE(564),
    [sym_continue_statement] = STATE(564),
    [sym_debugger_statement] = STATE(564),
    [sym_return_statement] = STATE(564),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(564),
    [sym_labeled_statement] = STATE(564),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1039] = {
    [sym_export_statement] = STATE(1089),
    [sym__declaration] = STATE(1089),
    [sym_import_statement] = STATE(1089),
    [sym_expression_statement] = STATE(1089),
    [sym_variable_declaration] = STATE(1089),
    [sym_lexical_declaration] = STATE(1089),
    [sym_statement_block] = STATE(1089),
    [sym_if_statement] = STATE(1089),
    [sym_switch_statement] = STATE(1089),
    [sym_for_statement] = STATE(1089),
    [sym_for_in_statement] = STATE(1089),
    [sym_for_of_statement] = STATE(1089),
    [sym_while_statement] = STATE(1089),
    [sym_do_statement] = STATE(1089),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1089),
    [sym_break_statement] = STATE(1089),
    [sym_continue_statement] = STATE(1089),
    [sym_debugger_statement] = STATE(1089),
    [sym_return_statement] = STATE(1089),
    [sym_throw_statement] = STATE(1089),
    [sym_empty_statement] = STATE(1089),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1040] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_of] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1041] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(3048),
    [anon_sym_of] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1042] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_of] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1043] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1316),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1316),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1044] = {
    [sym_parenthesized_expression] = STATE(1317),
    [sym__expression] = STATE(1317),
    [sym_yield_expression] = STATE(1317),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1317),
    [sym_jsx_fragment] = STATE(1317),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1317),
    [sym_anonymous_class] = STATE(1317),
    [sym_class] = STATE(1317),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1317),
    [sym_generator_function] = STATE(1317),
    [sym_call_expression] = STATE(1317),
    [sym_new_expression] = STATE(1317),
    [sym_await_expression] = STATE(1317),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1317),
    [sym_augmented_assignment_expression] = STATE(1317),
    [sym_ternary_expression] = STATE(1317),
    [sym_binary_expression] = STATE(1317),
    [sym_unary_expression] = STATE(1317),
    [sym_update_expression] = STATE(1317),
    [sym_template_string] = STATE(1317),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3056),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3058),
    [sym_number] = ACTIONS(3056),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3058),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3058),
    [sym_false] = ACTIONS(3058),
    [sym_null] = ACTIONS(3058),
    [sym_undefined] = ACTIONS(3058),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1045] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1319),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1319),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(3060),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1046] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1320),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1320),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1047] = {
    [sym_parenthesized_expression] = STATE(1321),
    [sym__expression] = STATE(1321),
    [sym_yield_expression] = STATE(1321),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1321),
    [sym_jsx_fragment] = STATE(1321),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1321),
    [sym_anonymous_class] = STATE(1321),
    [sym_class] = STATE(1321),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1321),
    [sym_generator_function] = STATE(1321),
    [sym_call_expression] = STATE(1321),
    [sym_new_expression] = STATE(1321),
    [sym_await_expression] = STATE(1321),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1321),
    [sym_augmented_assignment_expression] = STATE(1321),
    [sym_ternary_expression] = STATE(1321),
    [sym_binary_expression] = STATE(1321),
    [sym_unary_expression] = STATE(1321),
    [sym_update_expression] = STATE(1321),
    [sym_template_string] = STATE(1321),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3062),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3064),
    [sym_number] = ACTIONS(3062),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3064),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [sym_null] = ACTIONS(3064),
    [sym_undefined] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1048] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1322),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1322),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1049] = {
    [sym_parenthesized_expression] = STATE(1323),
    [sym__expression] = STATE(1323),
    [sym_yield_expression] = STATE(1323),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1323),
    [sym_jsx_fragment] = STATE(1323),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1323),
    [sym_anonymous_class] = STATE(1323),
    [sym_class] = STATE(1323),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1323),
    [sym_generator_function] = STATE(1323),
    [sym_call_expression] = STATE(1323),
    [sym_new_expression] = STATE(1323),
    [sym_await_expression] = STATE(1323),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1323),
    [sym_augmented_assignment_expression] = STATE(1323),
    [sym_ternary_expression] = STATE(1323),
    [sym_binary_expression] = STATE(1323),
    [sym_unary_expression] = STATE(1323),
    [sym_update_expression] = STATE(1323),
    [sym_template_string] = STATE(1323),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3066),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3068),
    [sym_number] = ACTIONS(3066),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3068),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3068),
    [sym_false] = ACTIONS(3068),
    [sym_null] = ACTIONS(3068),
    [sym_undefined] = ACTIONS(3068),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1050] = {
    [sym_statement_block] = STATE(1324),
    [anon_sym_LBRACE] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
  },
  [1051] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_RBRACE] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1052] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2007),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1053] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1325),
    [sym__expression] = STATE(1325),
    [sym_yield_expression] = STATE(1325),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1325),
    [sym_jsx_fragment] = STATE(1325),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1325),
    [sym_anonymous_class] = STATE(1325),
    [sym_class] = STATE(1325),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1325),
    [sym_generator_function] = STATE(1325),
    [sym_call_expression] = STATE(1325),
    [sym_new_expression] = STATE(1325),
    [sym_await_expression] = STATE(1325),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1325),
    [sym_augmented_assignment_expression] = STATE(1325),
    [sym_ternary_expression] = STATE(1325),
    [sym_binary_expression] = STATE(1325),
    [sym_unary_expression] = STATE(1325),
    [sym_update_expression] = STATE(1325),
    [sym_template_string] = STATE(1325),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3070),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3072),
    [sym_number] = ACTIONS(3070),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(3072),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [sym_null] = ACTIONS(3072),
    [sym_undefined] = ACTIONS(3072),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [1054] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1055] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2049),
    [anon_sym_RBRACE] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1056] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1057] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1058] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1059] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1060] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1061] = {
    [sym_statement_block] = STATE(550),
    [sym_parenthesized_expression] = STATE(1327),
    [sym__expression] = STATE(1327),
    [sym_yield_expression] = STATE(1327),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1327),
    [sym_jsx_fragment] = STATE(1327),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1327),
    [sym_anonymous_class] = STATE(1327),
    [sym_class] = STATE(1327),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1327),
    [sym_generator_function] = STATE(1327),
    [sym_call_expression] = STATE(1327),
    [sym_new_expression] = STATE(1327),
    [sym_await_expression] = STATE(1327),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1327),
    [sym_augmented_assignment_expression] = STATE(1327),
    [sym_ternary_expression] = STATE(1327),
    [sym_binary_expression] = STATE(1327),
    [sym_unary_expression] = STATE(1327),
    [sym_update_expression] = STATE(1327),
    [sym_template_string] = STATE(1327),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3076),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3078),
    [sym_number] = ACTIONS(3076),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3078),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3078),
    [sym_false] = ACTIONS(3078),
    [sym_null] = ACTIONS(3078),
    [sym_undefined] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1062] = {
    [sym_parenthesized_expression] = STATE(1328),
    [sym__expression] = STATE(1328),
    [sym_yield_expression] = STATE(1328),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1328),
    [sym_jsx_fragment] = STATE(1328),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1328),
    [sym_anonymous_class] = STATE(1328),
    [sym_class] = STATE(1328),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1328),
    [sym_generator_function] = STATE(1328),
    [sym_call_expression] = STATE(1328),
    [sym_new_expression] = STATE(1328),
    [sym_await_expression] = STATE(1328),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1328),
    [sym_augmented_assignment_expression] = STATE(1328),
    [sym_ternary_expression] = STATE(1328),
    [sym_binary_expression] = STATE(1328),
    [sym_unary_expression] = STATE(1328),
    [sym_update_expression] = STATE(1328),
    [sym_template_string] = STATE(1328),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3080),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3082),
    [sym_number] = ACTIONS(3080),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3082),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3082),
    [sym_false] = ACTIONS(3082),
    [sym_null] = ACTIONS(3082),
    [sym_undefined] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1063] = {
    [anon_sym_EQ_GT] = ACTIONS(3084),
    [sym_comment] = ACTIONS(71),
  },
  [1064] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(998),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_RBRACE] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1065] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(1006),
    [anon_sym_RBRACE] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1066] = {
    [sym_parenthesized_expression] = STATE(1330),
    [sym__expression] = STATE(1330),
    [sym_yield_expression] = STATE(1330),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1330),
    [sym_jsx_fragment] = STATE(1330),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1330),
    [sym_anonymous_class] = STATE(1330),
    [sym_class] = STATE(1330),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1330),
    [sym_generator_function] = STATE(1330),
    [sym_call_expression] = STATE(1330),
    [sym_new_expression] = STATE(1330),
    [sym_await_expression] = STATE(1330),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1330),
    [sym_augmented_assignment_expression] = STATE(1330),
    [sym_ternary_expression] = STATE(1330),
    [sym_binary_expression] = STATE(1330),
    [sym_unary_expression] = STATE(1330),
    [sym_update_expression] = STATE(1330),
    [sym_template_string] = STATE(1330),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3086),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3088),
    [sym_number] = ACTIONS(3086),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3088),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [sym_null] = ACTIONS(3088),
    [sym_undefined] = ACTIONS(3088),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1067] = {
    [sym_parenthesized_expression] = STATE(1331),
    [sym__expression] = STATE(1331),
    [sym_yield_expression] = STATE(1331),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1331),
    [sym_jsx_fragment] = STATE(1331),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1331),
    [sym_anonymous_class] = STATE(1331),
    [sym_class] = STATE(1331),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1331),
    [sym_generator_function] = STATE(1331),
    [sym_call_expression] = STATE(1331),
    [sym_new_expression] = STATE(1331),
    [sym_await_expression] = STATE(1331),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1331),
    [sym_augmented_assignment_expression] = STATE(1331),
    [sym_ternary_expression] = STATE(1331),
    [sym_binary_expression] = STATE(1331),
    [sym_unary_expression] = STATE(1331),
    [sym_update_expression] = STATE(1331),
    [sym_template_string] = STATE(1331),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3090),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3092),
    [sym_number] = ACTIONS(3090),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3092),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [sym_null] = ACTIONS(3092),
    [sym_undefined] = ACTIONS(3092),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1068] = {
    [sym_parenthesized_expression] = STATE(579),
    [sym__expression] = STATE(579),
    [sym_yield_expression] = STATE(579),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(579),
    [sym_jsx_fragment] = STATE(579),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(579),
    [sym_anonymous_class] = STATE(579),
    [sym_class] = STATE(579),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(579),
    [sym_generator_function] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_new_expression] = STATE(579),
    [sym_await_expression] = STATE(579),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(579),
    [sym_augmented_assignment_expression] = STATE(579),
    [sym_ternary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_update_expression] = STATE(579),
    [sym_template_string] = STATE(579),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1086),
    [sym_number] = ACTIONS(1084),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(1086),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1086),
    [sym_false] = ACTIONS(1086),
    [sym_null] = ACTIONS(1086),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1069] = {
    [sym_parenthesized_expression] = STATE(1332),
    [sym__expression] = STATE(1332),
    [sym_yield_expression] = STATE(1332),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1332),
    [sym_jsx_fragment] = STATE(1332),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1332),
    [sym_anonymous_class] = STATE(1332),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1332),
    [sym_await_expression] = STATE(1332),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1332),
    [sym_augmented_assignment_expression] = STATE(1332),
    [sym_ternary_expression] = STATE(1332),
    [sym_binary_expression] = STATE(1332),
    [sym_unary_expression] = STATE(1332),
    [sym_update_expression] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3094),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3096),
    [sym_number] = ACTIONS(3094),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(3096),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [sym_null] = ACTIONS(3096),
    [sym_undefined] = ACTIONS(3096),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [1070] = {
    [sym_parenthesized_expression] = STATE(1333),
    [sym__expression] = STATE(1333),
    [sym_yield_expression] = STATE(1333),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1333),
    [sym_jsx_fragment] = STATE(1333),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1333),
    [sym_anonymous_class] = STATE(1333),
    [sym_class] = STATE(1333),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1333),
    [sym_generator_function] = STATE(1333),
    [sym_call_expression] = STATE(1333),
    [sym_new_expression] = STATE(1333),
    [sym_await_expression] = STATE(1333),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1333),
    [sym_augmented_assignment_expression] = STATE(1333),
    [sym_ternary_expression] = STATE(1333),
    [sym_binary_expression] = STATE(1333),
    [sym_unary_expression] = STATE(1333),
    [sym_update_expression] = STATE(1333),
    [sym_template_string] = STATE(1333),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3098),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3100),
    [sym_number] = ACTIONS(3098),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3100),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3100),
    [sym_false] = ACTIONS(3100),
    [sym_null] = ACTIONS(3100),
    [sym_undefined] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1071] = {
    [sym_parenthesized_expression] = STATE(1334),
    [sym__expression] = STATE(1334),
    [sym_yield_expression] = STATE(1334),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1334),
    [sym_jsx_fragment] = STATE(1334),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1334),
    [sym_anonymous_class] = STATE(1334),
    [sym_class] = STATE(1334),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1334),
    [sym_generator_function] = STATE(1334),
    [sym_call_expression] = STATE(1334),
    [sym_new_expression] = STATE(1334),
    [sym_await_expression] = STATE(1334),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1334),
    [sym_augmented_assignment_expression] = STATE(1334),
    [sym_ternary_expression] = STATE(1334),
    [sym_binary_expression] = STATE(1334),
    [sym_unary_expression] = STATE(1334),
    [sym_update_expression] = STATE(1334),
    [sym_template_string] = STATE(1334),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3102),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3104),
    [sym_number] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3104),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3104),
    [sym_false] = ACTIONS(3104),
    [sym_null] = ACTIONS(3104),
    [sym_undefined] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1072] = {
    [sym_parenthesized_expression] = STATE(1335),
    [sym__expression] = STATE(1335),
    [sym_yield_expression] = STATE(1335),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1335),
    [sym_jsx_fragment] = STATE(1335),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1335),
    [sym_anonymous_class] = STATE(1335),
    [sym_class] = STATE(1335),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1335),
    [sym_generator_function] = STATE(1335),
    [sym_call_expression] = STATE(1335),
    [sym_new_expression] = STATE(1335),
    [sym_await_expression] = STATE(1335),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1335),
    [sym_augmented_assignment_expression] = STATE(1335),
    [sym_ternary_expression] = STATE(1335),
    [sym_binary_expression] = STATE(1335),
    [sym_unary_expression] = STATE(1335),
    [sym_update_expression] = STATE(1335),
    [sym_template_string] = STATE(1335),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3106),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3108),
    [sym_number] = ACTIONS(3106),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3108),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [sym_null] = ACTIONS(3108),
    [sym_undefined] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1073] = {
    [sym__automatic_semicolon] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_in] = ACTIONS(3112),
    [anon_sym_of] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3110),
    [anon_sym_GT_GT] = ACTIONS(3112),
    [anon_sym_GT_GT_GT] = ACTIONS(3110),
    [anon_sym_LT_LT] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3110),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3110),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_instanceof] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3110),
  },
  [1074] = {
    [anon_sym_from] = ACTIONS(3114),
    [sym_comment] = ACTIONS(71),
  },
  [1075] = {
    [anon_sym_COMMA] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [sym_comment] = ACTIONS(71),
  },
  [1076] = {
    [sym__import_export_specifier] = STATE(1075),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(436),
  },
  [1077] = {
    [aux_sym_named_imports_repeat1] = STATE(1077),
    [anon_sym_COMMA] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3123),
    [sym_comment] = ACTIONS(71),
  },
  [1078] = {
    [sym__automatic_semicolon] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(2323),
    [anon_sym_in] = ACTIONS(2323),
    [anon_sym_of] = ACTIONS(2323),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2323),
    [sym_comment] = ACTIONS(71),
  },
  [1079] = {
    [sym__automatic_semicolon] = ACTIONS(2401),
    [anon_sym_COMMA] = ACTIONS(2401),
    [anon_sym_in] = ACTIONS(2401),
    [anon_sym_of] = ACTIONS(2401),
    [anon_sym_SEMI] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2401),
    [sym_comment] = ACTIONS(71),
  },
  [1080] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(3125),
    [sym_comment] = ACTIONS(71),
  },
  [1081] = {
    [sym__automatic_semicolon] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_in] = ACTIONS(2665),
    [anon_sym_of] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2665),
    [sym_comment] = ACTIONS(71),
  },
  [1082] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [anon_sym_export] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(1600),
    [anon_sym_let] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_while] = ACTIONS(1600),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_try] = ACTIONS(1600),
    [anon_sym_with] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_debugger] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_yield] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_class] = ACTIONS(1600),
    [anon_sym_async] = ACTIONS(1600),
    [anon_sym_function] = ACTIONS(1600),
    [anon_sym_EQ_GT] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1600),
    [anon_sym_await] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_void] = ACTIONS(1600),
    [anon_sym_delete] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [sym_regex] = ACTIONS(1600),
    [sym_number] = ACTIONS(1598),
    [sym_identifier] = ACTIONS(1600),
    [sym_this] = ACTIONS(1600),
    [sym_super] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [sym_null] = ACTIONS(1600),
    [sym_undefined] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1600),
    [anon_sym_set] = ACTIONS(1600),
  },
  [1083] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(1341),
    [sym_array] = STATE(1342),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3129),
  },
  [1084] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(1341),
    [sym_array] = STATE(1342),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3129),
  },
  [1085] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3131),
    [anon_sym_of] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1086] = {
    [sym_expression_statement] = STATE(1345),
    [sym_empty_statement] = STATE(1345),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1087] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3135),
    [anon_sym_of] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1088] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3139),
    [anon_sym_of] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1089] = {
    [ts_builtin_sym_end] = ACTIONS(3143),
    [anon_sym_export] = ACTIONS(3145),
    [anon_sym_default] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_import] = ACTIONS(3145),
    [anon_sym_var] = ACTIONS(3145),
    [anon_sym_let] = ACTIONS(3145),
    [anon_sym_const] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(3145),
    [anon_sym_else] = ACTIONS(3145),
    [anon_sym_switch] = ACTIONS(3145),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3145),
    [anon_sym_do] = ACTIONS(3145),
    [anon_sym_try] = ACTIONS(3145),
    [anon_sym_with] = ACTIONS(3145),
    [anon_sym_break] = ACTIONS(3145),
    [anon_sym_continue] = ACTIONS(3145),
    [anon_sym_debugger] = ACTIONS(3145),
    [anon_sym_return] = ACTIONS(3145),
    [anon_sym_throw] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3145),
    [anon_sym_yield] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LT] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3145),
    [anon_sym_async] = ACTIONS(3145),
    [anon_sym_function] = ACTIONS(3145),
    [anon_sym_EQ_GT] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3145),
    [anon_sym_await] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_typeof] = ACTIONS(3145),
    [anon_sym_void] = ACTIONS(3145),
    [anon_sym_delete] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3143),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_regex] = ACTIONS(3145),
    [sym_number] = ACTIONS(3143),
    [sym_identifier] = ACTIONS(3145),
    [sym_this] = ACTIONS(3145),
    [sym_super] = ACTIONS(3145),
    [sym_true] = ACTIONS(3145),
    [sym_false] = ACTIONS(3145),
    [sym_null] = ACTIONS(3145),
    [sym_undefined] = ACTIONS(3145),
    [anon_sym_AT] = ACTIONS(3143),
    [anon_sym_get] = ACTIONS(3145),
    [anon_sym_set] = ACTIONS(3145),
  },
  [1090] = {
    [sym_export_statement] = STATE(1355),
    [sym__declaration] = STATE(1355),
    [sym_import_statement] = STATE(1355),
    [sym_expression_statement] = STATE(1355),
    [sym_variable_declaration] = STATE(1355),
    [sym_lexical_declaration] = STATE(1355),
    [sym_statement_block] = STATE(1355),
    [sym_if_statement] = STATE(1355),
    [sym_switch_statement] = STATE(1355),
    [sym_for_statement] = STATE(1355),
    [sym_for_in_statement] = STATE(1355),
    [sym_for_of_statement] = STATE(1355),
    [sym_while_statement] = STATE(1355),
    [sym_do_statement] = STATE(1355),
    [sym_try_statement] = STATE(1355),
    [sym_with_statement] = STATE(1355),
    [sym_break_statement] = STATE(1355),
    [sym_continue_statement] = STATE(1355),
    [sym_debugger_statement] = STATE(1355),
    [sym_return_statement] = STATE(1355),
    [sym_throw_statement] = STATE(1355),
    [sym_empty_statement] = STATE(1355),
    [sym_labeled_statement] = STATE(1355),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(1355),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(3149),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1091] = {
    [sym_parenthesized_expression] = STATE(1356),
    [sym__expression] = STATE(1356),
    [sym_yield_expression] = STATE(1356),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1356),
    [sym_jsx_fragment] = STATE(1356),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1356),
    [sym_anonymous_class] = STATE(1356),
    [sym_class] = STATE(1356),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1356),
    [sym_generator_function] = STATE(1356),
    [sym_call_expression] = STATE(1356),
    [sym_new_expression] = STATE(1356),
    [sym_await_expression] = STATE(1356),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1356),
    [sym_augmented_assignment_expression] = STATE(1356),
    [sym_ternary_expression] = STATE(1356),
    [sym_binary_expression] = STATE(1356),
    [sym_unary_expression] = STATE(1356),
    [sym_update_expression] = STATE(1356),
    [sym_template_string] = STATE(1356),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_COLON] = ACTIONS(235),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3161),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3163),
    [sym_number] = ACTIONS(3161),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3163),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3163),
    [sym_false] = ACTIONS(3163),
    [sym_null] = ACTIONS(3163),
    [sym_undefined] = ACTIONS(3163),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1092] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(1360),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(3165),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(3167),
    [anon_sym_PLUS_EQ] = ACTIONS(3169),
    [anon_sym_DASH_EQ] = ACTIONS(3169),
    [anon_sym_STAR_EQ] = ACTIONS(3169),
    [anon_sym_SLASH_EQ] = ACTIONS(3169),
    [anon_sym_PERCENT_EQ] = ACTIONS(3169),
    [anon_sym_CARET_EQ] = ACTIONS(3169),
    [anon_sym_AMP_EQ] = ACTIONS(3169),
    [anon_sym_PIPE_EQ] = ACTIONS(3169),
    [anon_sym_GT_GT_EQ] = ACTIONS(3169),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3169),
    [anon_sym_LT_LT_EQ] = ACTIONS(3169),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(3171),
  },
  [1093] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(1361),
    [sym__expression] = STATE(1361),
    [sym_yield_expression] = STATE(1361),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1361),
    [sym_jsx_fragment] = STATE(1361),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1361),
    [sym_anonymous_class] = STATE(1361),
    [sym_class] = STATE(1361),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1361),
    [sym_generator_function] = STATE(1361),
    [sym_call_expression] = STATE(1361),
    [sym_new_expression] = STATE(1361),
    [sym_await_expression] = STATE(1361),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1361),
    [sym_augmented_assignment_expression] = STATE(1361),
    [sym_ternary_expression] = STATE(1361),
    [sym_binary_expression] = STATE(1361),
    [sym_unary_expression] = STATE(1361),
    [sym_update_expression] = STATE(1361),
    [sym_template_string] = STATE(1361),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3173),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3175),
    [sym_number] = ACTIONS(3173),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3175),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [sym_null] = ACTIONS(3175),
    [sym_undefined] = ACTIONS(3175),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1094] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1095] = {
    [sym_parenthesized_expression] = STATE(1362),
    [sym__expression] = STATE(1362),
    [sym_yield_expression] = STATE(1362),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1362),
    [sym_jsx_fragment] = STATE(1362),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1362),
    [sym_anonymous_class] = STATE(1362),
    [sym_class] = STATE(1362),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1362),
    [sym_generator_function] = STATE(1362),
    [sym_call_expression] = STATE(1362),
    [sym_new_expression] = STATE(1362),
    [sym_await_expression] = STATE(1362),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1362),
    [sym_augmented_assignment_expression] = STATE(1362),
    [sym_ternary_expression] = STATE(1362),
    [sym_binary_expression] = STATE(1362),
    [sym_unary_expression] = STATE(1362),
    [sym_update_expression] = STATE(1362),
    [sym_template_string] = STATE(1362),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3177),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3179),
    [sym_number] = ACTIONS(3177),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3179),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3179),
    [sym_false] = ACTIONS(3179),
    [sym_null] = ACTIONS(3179),
    [sym_undefined] = ACTIONS(3179),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1096] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1097] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1098] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(3165),
    [anon_sym_EQ_GT] = ACTIONS(3167),
    [anon_sym_PLUS_EQ] = ACTIONS(3183),
    [anon_sym_DASH_EQ] = ACTIONS(3183),
    [anon_sym_STAR_EQ] = ACTIONS(3183),
    [anon_sym_SLASH_EQ] = ACTIONS(3183),
    [anon_sym_PERCENT_EQ] = ACTIONS(3183),
    [anon_sym_CARET_EQ] = ACTIONS(3183),
    [anon_sym_AMP_EQ] = ACTIONS(3183),
    [anon_sym_PIPE_EQ] = ACTIONS(3183),
    [anon_sym_GT_GT_EQ] = ACTIONS(3183),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3183),
    [anon_sym_LT_LT_EQ] = ACTIONS(3183),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1099] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_COLON] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(3165),
    [anon_sym_PLUS_EQ] = ACTIONS(3169),
    [anon_sym_DASH_EQ] = ACTIONS(3169),
    [anon_sym_STAR_EQ] = ACTIONS(3169),
    [anon_sym_SLASH_EQ] = ACTIONS(3169),
    [anon_sym_PERCENT_EQ] = ACTIONS(3169),
    [anon_sym_CARET_EQ] = ACTIONS(3169),
    [anon_sym_AMP_EQ] = ACTIONS(3169),
    [anon_sym_PIPE_EQ] = ACTIONS(3169),
    [anon_sym_GT_GT_EQ] = ACTIONS(3169),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3169),
    [anon_sym_LT_LT_EQ] = ACTIONS(3169),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [1100] = {
    [anon_sym_COLON] = ACTIONS(3185),
    [sym_comment] = ACTIONS(71),
  },
  [1101] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(3189),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1102] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3165),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1103] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3165),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1104] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3165),
    [anon_sym_PLUS_EQ] = ACTIONS(3183),
    [anon_sym_DASH_EQ] = ACTIONS(3183),
    [anon_sym_STAR_EQ] = ACTIONS(3183),
    [anon_sym_SLASH_EQ] = ACTIONS(3183),
    [anon_sym_PERCENT_EQ] = ACTIONS(3183),
    [anon_sym_CARET_EQ] = ACTIONS(3183),
    [anon_sym_AMP_EQ] = ACTIONS(3183),
    [anon_sym_PIPE_EQ] = ACTIONS(3183),
    [anon_sym_GT_GT_EQ] = ACTIONS(3183),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3183),
    [anon_sym_LT_LT_EQ] = ACTIONS(3183),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1105] = {
    [anon_sym_EQ_GT] = ACTIONS(3167),
    [sym_comment] = ACTIONS(71),
  },
  [1106] = {
    [ts_builtin_sym_end] = ACTIONS(3207),
    [anon_sym_export] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_import] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_with] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_debugger] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LT] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_function] = ACTIONS(3209),
    [anon_sym_EQ_GT] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym_void] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3207),
    [anon_sym_BQUOTE] = ACTIONS(3207),
    [sym_regex] = ACTIONS(3209),
    [sym_number] = ACTIONS(3207),
    [sym_identifier] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
    [sym_super] = ACTIONS(3209),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [sym_null] = ACTIONS(3209),
    [sym_undefined] = ACTIONS(3209),
    [anon_sym_AT] = ACTIONS(3207),
    [anon_sym_get] = ACTIONS(3209),
    [anon_sym_set] = ACTIONS(3209),
  },
  [1107] = {
    [sym_switch_case] = STATE(1107),
    [sym_switch_default] = STATE(1107),
    [aux_sym_switch_body_repeat1] = STATE(1107),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_case] = ACTIONS(3216),
    [sym_comment] = ACTIONS(71),
  },
  [1108] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1372),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1372),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1109] = {
    [sym_parenthesized_expression] = STATE(1373),
    [sym__expression] = STATE(1373),
    [sym_yield_expression] = STATE(1373),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1373),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1373),
    [sym_anonymous_class] = STATE(1373),
    [sym_class] = STATE(1373),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1373),
    [sym_generator_function] = STATE(1373),
    [sym_call_expression] = STATE(1373),
    [sym_new_expression] = STATE(1373),
    [sym_await_expression] = STATE(1373),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1373),
    [sym_augmented_assignment_expression] = STATE(1373),
    [sym_ternary_expression] = STATE(1373),
    [sym_binary_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_update_expression] = STATE(1373),
    [sym_template_string] = STATE(1373),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3219),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3221),
    [sym_number] = ACTIONS(3219),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3221),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [sym_null] = ACTIONS(3221),
    [sym_undefined] = ACTIONS(3221),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1110] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1374),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1374),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1111] = {
    [sym_parenthesized_expression] = STATE(1375),
    [sym__expression] = STATE(1375),
    [sym_yield_expression] = STATE(1375),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1375),
    [sym_jsx_fragment] = STATE(1375),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1375),
    [sym_anonymous_class] = STATE(1375),
    [sym_class] = STATE(1375),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1375),
    [sym_generator_function] = STATE(1375),
    [sym_call_expression] = STATE(1375),
    [sym_new_expression] = STATE(1375),
    [sym_await_expression] = STATE(1375),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1375),
    [sym_augmented_assignment_expression] = STATE(1375),
    [sym_ternary_expression] = STATE(1375),
    [sym_binary_expression] = STATE(1375),
    [sym_unary_expression] = STATE(1375),
    [sym_update_expression] = STATE(1375),
    [sym_template_string] = STATE(1375),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3223),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3225),
    [sym_number] = ACTIONS(3223),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3225),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_null] = ACTIONS(3225),
    [sym_undefined] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1112] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1376),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1376),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1113] = {
    [sym_parenthesized_expression] = STATE(1377),
    [sym__expression] = STATE(1377),
    [sym_yield_expression] = STATE(1377),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1377),
    [sym_jsx_fragment] = STATE(1377),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1377),
    [sym_anonymous_class] = STATE(1377),
    [sym_class] = STATE(1377),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1377),
    [sym_generator_function] = STATE(1377),
    [sym_call_expression] = STATE(1377),
    [sym_new_expression] = STATE(1377),
    [sym_await_expression] = STATE(1377),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1377),
    [sym_augmented_assignment_expression] = STATE(1377),
    [sym_ternary_expression] = STATE(1377),
    [sym_binary_expression] = STATE(1377),
    [sym_unary_expression] = STATE(1377),
    [sym_update_expression] = STATE(1377),
    [sym_template_string] = STATE(1377),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3227),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3229),
    [sym_number] = ACTIONS(3227),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3229),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_null] = ACTIONS(3229),
    [sym_undefined] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1114] = {
    [sym_parenthesized_expression] = STATE(1378),
    [sym__expression] = STATE(1378),
    [sym_yield_expression] = STATE(1378),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1378),
    [sym_jsx_fragment] = STATE(1378),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1378),
    [sym_anonymous_class] = STATE(1378),
    [sym_class] = STATE(1378),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1378),
    [sym_generator_function] = STATE(1378),
    [sym_call_expression] = STATE(1378),
    [sym_new_expression] = STATE(1378),
    [sym_await_expression] = STATE(1378),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1378),
    [sym_augmented_assignment_expression] = STATE(1378),
    [sym_ternary_expression] = STATE(1378),
    [sym_binary_expression] = STATE(1378),
    [sym_unary_expression] = STATE(1378),
    [sym_update_expression] = STATE(1378),
    [sym_template_string] = STATE(1378),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [sym__automatic_semicolon] = ACTIONS(235),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_RPAREN] = ACTIONS(235),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_SEMI] = ACTIONS(235),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(239),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3231),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3233),
    [sym_number] = ACTIONS(3231),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3233),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [sym_null] = ACTIONS(3233),
    [sym_undefined] = ACTIONS(3233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1115] = {
    [sym__initializer] = STATE(194),
    [sym_formal_parameters] = STATE(1382),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(3235),
    [anon_sym_function] = ACTIONS(780),
    [anon_sym_EQ_GT] = ACTIONS(3237),
    [anon_sym_PLUS_EQ] = ACTIONS(3239),
    [anon_sym_DASH_EQ] = ACTIONS(3239),
    [anon_sym_STAR_EQ] = ACTIONS(3239),
    [anon_sym_SLASH_EQ] = ACTIONS(3239),
    [anon_sym_PERCENT_EQ] = ACTIONS(3239),
    [anon_sym_CARET_EQ] = ACTIONS(3239),
    [anon_sym_AMP_EQ] = ACTIONS(3239),
    [anon_sym_PIPE_EQ] = ACTIONS(3239),
    [anon_sym_GT_GT_EQ] = ACTIONS(3239),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3239),
    [anon_sym_LT_LT_EQ] = ACTIONS(3239),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(3241),
  },
  [1116] = {
    [sym_statement_block] = STATE(199),
    [sym_parenthesized_expression] = STATE(1383),
    [sym__expression] = STATE(1383),
    [sym_yield_expression] = STATE(1383),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1383),
    [sym_jsx_fragment] = STATE(1383),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1383),
    [sym_anonymous_class] = STATE(1383),
    [sym_class] = STATE(1383),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1383),
    [sym_generator_function] = STATE(1383),
    [sym_call_expression] = STATE(1383),
    [sym_new_expression] = STATE(1383),
    [sym_await_expression] = STATE(1383),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1383),
    [sym_augmented_assignment_expression] = STATE(1383),
    [sym_ternary_expression] = STATE(1383),
    [sym_binary_expression] = STATE(1383),
    [sym_unary_expression] = STATE(1383),
    [sym_update_expression] = STATE(1383),
    [sym_template_string] = STATE(1383),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3243),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3245),
    [sym_number] = ACTIONS(3243),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3245),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [sym_null] = ACTIONS(3245),
    [sym_undefined] = ACTIONS(3245),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1117] = {
    [sym_parenthesized_expression] = STATE(201),
    [sym__expression] = STATE(201),
    [sym_yield_expression] = STATE(201),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(201),
    [sym_jsx_fragment] = STATE(201),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(201),
    [sym_anonymous_class] = STATE(201),
    [sym_class] = STATE(201),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(201),
    [sym_generator_function] = STATE(201),
    [sym_call_expression] = STATE(201),
    [sym_new_expression] = STATE(201),
    [sym_await_expression] = STATE(201),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(201),
    [sym_augmented_assignment_expression] = STATE(201),
    [sym_ternary_expression] = STATE(201),
    [sym_binary_expression] = STATE(201),
    [sym_unary_expression] = STATE(201),
    [sym_update_expression] = STATE(201),
    [sym_template_string] = STATE(201),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(318),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(320),
    [sym_number] = ACTIONS(318),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(320),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(320),
    [sym_false] = ACTIONS(320),
    [sym_null] = ACTIONS(320),
    [sym_undefined] = ACTIONS(320),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1118] = {
    [sym_parenthesized_expression] = STATE(1384),
    [sym__expression] = STATE(1384),
    [sym_yield_expression] = STATE(1384),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1384),
    [sym_jsx_fragment] = STATE(1384),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1384),
    [sym_anonymous_class] = STATE(1384),
    [sym_class] = STATE(1384),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1384),
    [sym_generator_function] = STATE(1384),
    [sym_call_expression] = STATE(1384),
    [sym_new_expression] = STATE(1384),
    [sym_await_expression] = STATE(1384),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1384),
    [sym_augmented_assignment_expression] = STATE(1384),
    [sym_ternary_expression] = STATE(1384),
    [sym_binary_expression] = STATE(1384),
    [sym_unary_expression] = STATE(1384),
    [sym_update_expression] = STATE(1384),
    [sym_template_string] = STATE(1384),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3247),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3249),
    [sym_number] = ACTIONS(3247),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3249),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [sym_null] = ACTIONS(3249),
    [sym_undefined] = ACTIONS(3249),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1119] = {
    [sym_parenthesized_expression] = STATE(203),
    [sym__expression] = STATE(203),
    [sym_yield_expression] = STATE(203),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(203),
    [sym_jsx_fragment] = STATE(203),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(203),
    [sym_anonymous_class] = STATE(203),
    [sym_class] = STATE(203),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(203),
    [sym_generator_function] = STATE(203),
    [sym_call_expression] = STATE(203),
    [sym_new_expression] = STATE(203),
    [sym_await_expression] = STATE(203),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(203),
    [sym_augmented_assignment_expression] = STATE(203),
    [sym_ternary_expression] = STATE(203),
    [sym_binary_expression] = STATE(203),
    [sym_unary_expression] = STATE(203),
    [sym_update_expression] = STATE(203),
    [sym_template_string] = STATE(203),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(328),
    [sym_number] = ACTIONS(326),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(328),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_null] = ACTIONS(328),
    [sym_undefined] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1120] = {
    [sym_parenthesized_expression] = STATE(204),
    [sym__expression] = STATE(204),
    [sym_yield_expression] = STATE(204),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(204),
    [sym_jsx_fragment] = STATE(204),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(204),
    [sym_anonymous_class] = STATE(204),
    [sym_class] = STATE(204),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(204),
    [sym_generator_function] = STATE(204),
    [sym_call_expression] = STATE(204),
    [sym_new_expression] = STATE(204),
    [sym_await_expression] = STATE(204),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(204),
    [sym_augmented_assignment_expression] = STATE(204),
    [sym_ternary_expression] = STATE(204),
    [sym_binary_expression] = STATE(204),
    [sym_unary_expression] = STATE(204),
    [sym_update_expression] = STATE(204),
    [sym_template_string] = STATE(204),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(330),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(332),
    [sym_number] = ACTIONS(330),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(332),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(332),
    [sym_false] = ACTIONS(332),
    [sym_null] = ACTIONS(332),
    [sym_undefined] = ACTIONS(332),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1121] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(3235),
    [anon_sym_EQ_GT] = ACTIONS(3237),
    [anon_sym_PLUS_EQ] = ACTIONS(3253),
    [anon_sym_DASH_EQ] = ACTIONS(3253),
    [anon_sym_STAR_EQ] = ACTIONS(3253),
    [anon_sym_SLASH_EQ] = ACTIONS(3253),
    [anon_sym_PERCENT_EQ] = ACTIONS(3253),
    [anon_sym_CARET_EQ] = ACTIONS(3253),
    [anon_sym_AMP_EQ] = ACTIONS(3253),
    [anon_sym_PIPE_EQ] = ACTIONS(3253),
    [anon_sym_GT_GT_EQ] = ACTIONS(3253),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3253),
    [anon_sym_LT_LT_EQ] = ACTIONS(3253),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1122] = {
    [sym__initializer] = STATE(194),
    [sym__automatic_semicolon] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(294),
    [anon_sym_EQ] = ACTIONS(3235),
    [anon_sym_PLUS_EQ] = ACTIONS(3239),
    [anon_sym_DASH_EQ] = ACTIONS(3239),
    [anon_sym_STAR_EQ] = ACTIONS(3239),
    [anon_sym_SLASH_EQ] = ACTIONS(3239),
    [anon_sym_PERCENT_EQ] = ACTIONS(3239),
    [anon_sym_CARET_EQ] = ACTIONS(3239),
    [anon_sym_AMP_EQ] = ACTIONS(3239),
    [anon_sym_PIPE_EQ] = ACTIONS(3239),
    [anon_sym_GT_GT_EQ] = ACTIONS(3239),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3239),
    [anon_sym_LT_LT_EQ] = ACTIONS(3239),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [1123] = {
    [anon_sym_RPAREN] = ACTIONS(3255),
    [sym_comment] = ACTIONS(71),
  },
  [1124] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(364),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1125] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3235),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1126] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3235),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1127] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3235),
    [anon_sym_PLUS_EQ] = ACTIONS(3253),
    [anon_sym_DASH_EQ] = ACTIONS(3253),
    [anon_sym_STAR_EQ] = ACTIONS(3253),
    [anon_sym_SLASH_EQ] = ACTIONS(3253),
    [anon_sym_PERCENT_EQ] = ACTIONS(3253),
    [anon_sym_CARET_EQ] = ACTIONS(3253),
    [anon_sym_AMP_EQ] = ACTIONS(3253),
    [anon_sym_PIPE_EQ] = ACTIONS(3253),
    [anon_sym_GT_GT_EQ] = ACTIONS(3253),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3253),
    [anon_sym_LT_LT_EQ] = ACTIONS(3253),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1128] = {
    [anon_sym_EQ_GT] = ACTIONS(3237),
    [sym_comment] = ACTIONS(71),
  },
  [1129] = {
    [sym_parenthesized_expression] = STATE(1393),
    [sym__expression] = STATE(1393),
    [sym_yield_expression] = STATE(1393),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1393),
    [sym_jsx_fragment] = STATE(1393),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1393),
    [sym_anonymous_class] = STATE(1393),
    [sym_class] = STATE(1393),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1393),
    [sym_generator_function] = STATE(1393),
    [sym_call_expression] = STATE(1393),
    [sym_new_expression] = STATE(1393),
    [sym_await_expression] = STATE(1393),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1393),
    [sym_augmented_assignment_expression] = STATE(1393),
    [sym_ternary_expression] = STATE(1393),
    [sym_binary_expression] = STATE(1393),
    [sym_unary_expression] = STATE(1393),
    [sym_update_expression] = STATE(1393),
    [sym_template_string] = STATE(1393),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(235),
    [anon_sym_in] = ACTIONS(237),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(640),
    [anon_sym_GT] = ACTIONS(237),
    [anon_sym_SLASH] = ACTIONS(237),
    [anon_sym_DOT] = ACTIONS(237),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_QMARK] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(237),
    [anon_sym_GT_GT_GT] = ACTIONS(235),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(237),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(237),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(235),
    [anon_sym_GT_EQ] = ACTIONS(235),
    [anon_sym_instanceof] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3261),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3263),
    [sym_number] = ACTIONS(3261),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3263),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [sym_null] = ACTIONS(3263),
    [sym_undefined] = ACTIONS(3263),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1130] = {
    [sym__initializer] = STATE(398),
    [sym_formal_parameters] = STATE(1397),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(3265),
    [anon_sym_function] = ACTIONS(672),
    [anon_sym_EQ_GT] = ACTIONS(3267),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(289),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [sym_identifier] = ACTIONS(3271),
  },
  [1131] = {
    [sym_statement_block] = STATE(404),
    [sym_parenthesized_expression] = STATE(1398),
    [sym__expression] = STATE(1398),
    [sym_yield_expression] = STATE(1398),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1398),
    [sym_jsx_fragment] = STATE(1398),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1398),
    [sym_anonymous_class] = STATE(1398),
    [sym_class] = STATE(1398),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1398),
    [sym_generator_function] = STATE(1398),
    [sym_call_expression] = STATE(1398),
    [sym_new_expression] = STATE(1398),
    [sym_await_expression] = STATE(1398),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1398),
    [sym_augmented_assignment_expression] = STATE(1398),
    [sym_ternary_expression] = STATE(1398),
    [sym_binary_expression] = STATE(1398),
    [sym_unary_expression] = STATE(1398),
    [sym_update_expression] = STATE(1398),
    [sym_template_string] = STATE(1398),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3273),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3275),
    [sym_number] = ACTIONS(3273),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3275),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [sym_null] = ACTIONS(3275),
    [sym_undefined] = ACTIONS(3275),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1132] = {
    [sym_parenthesized_expression] = STATE(406),
    [sym__expression] = STATE(406),
    [sym_yield_expression] = STATE(406),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(406),
    [sym_jsx_fragment] = STATE(406),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(406),
    [sym_anonymous_class] = STATE(406),
    [sym_class] = STATE(406),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(406),
    [sym_generator_function] = STATE(406),
    [sym_call_expression] = STATE(406),
    [sym_new_expression] = STATE(406),
    [sym_await_expression] = STATE(406),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(406),
    [sym_augmented_assignment_expression] = STATE(406),
    [sym_ternary_expression] = STATE(406),
    [sym_binary_expression] = STATE(406),
    [sym_unary_expression] = STATE(406),
    [sym_update_expression] = STATE(406),
    [sym_template_string] = STATE(406),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(690),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(692),
    [sym_number] = ACTIONS(690),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1133] = {
    [sym_parenthesized_expression] = STATE(1399),
    [sym__expression] = STATE(1399),
    [sym_yield_expression] = STATE(1399),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1399),
    [sym_jsx_fragment] = STATE(1399),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1399),
    [sym_anonymous_class] = STATE(1399),
    [sym_class] = STATE(1399),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1399),
    [sym_generator_function] = STATE(1399),
    [sym_call_expression] = STATE(1399),
    [sym_new_expression] = STATE(1399),
    [sym_await_expression] = STATE(1399),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1399),
    [sym_augmented_assignment_expression] = STATE(1399),
    [sym_ternary_expression] = STATE(1399),
    [sym_binary_expression] = STATE(1399),
    [sym_unary_expression] = STATE(1399),
    [sym_update_expression] = STATE(1399),
    [sym_template_string] = STATE(1399),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3277),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3279),
    [sym_number] = ACTIONS(3277),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3279),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [sym_null] = ACTIONS(3279),
    [sym_undefined] = ACTIONS(3279),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1134] = {
    [sym_parenthesized_expression] = STATE(409),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_anonymous_class] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(409),
    [sym_generator_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(700),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(702),
    [sym_number] = ACTIONS(700),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(702),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [sym_null] = ACTIONS(702),
    [sym_undefined] = ACTIONS(702),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1135] = {
    [sym_parenthesized_expression] = STATE(410),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_anonymous_class] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(410),
    [sym_generator_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(704),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(706),
    [sym_number] = ACTIONS(704),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(706),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(706),
    [sym_false] = ACTIONS(706),
    [sym_null] = ACTIONS(706),
    [sym_undefined] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1136] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_EQ] = ACTIONS(3265),
    [anon_sym_EQ_GT] = ACTIONS(3267),
    [anon_sym_PLUS_EQ] = ACTIONS(3283),
    [anon_sym_DASH_EQ] = ACTIONS(3283),
    [anon_sym_STAR_EQ] = ACTIONS(3283),
    [anon_sym_SLASH_EQ] = ACTIONS(3283),
    [anon_sym_PERCENT_EQ] = ACTIONS(3283),
    [anon_sym_CARET_EQ] = ACTIONS(3283),
    [anon_sym_AMP_EQ] = ACTIONS(3283),
    [anon_sym_PIPE_EQ] = ACTIONS(3283),
    [anon_sym_GT_GT_EQ] = ACTIONS(3283),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3283),
    [anon_sym_LT_LT_EQ] = ACTIONS(3283),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1137] = {
    [sym__initializer] = STATE(398),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(289),
    [anon_sym_GT] = ACTIONS(289),
    [anon_sym_SLASH] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(3265),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_GT_GT_GT] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(289),
    [anon_sym_CARET] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PERCENT] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(287),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(287),
  },
  [1138] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3287),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1139] = {
    [sym__initializer] = STATE(494),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3265),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1140] = {
    [sym__initializer] = STATE(495),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3265),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1141] = {
    [sym__initializer] = STATE(439),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_RPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(342),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(3265),
    [anon_sym_PLUS_EQ] = ACTIONS(3283),
    [anon_sym_DASH_EQ] = ACTIONS(3283),
    [anon_sym_STAR_EQ] = ACTIONS(3283),
    [anon_sym_SLASH_EQ] = ACTIONS(3283),
    [anon_sym_PERCENT_EQ] = ACTIONS(3283),
    [anon_sym_CARET_EQ] = ACTIONS(3283),
    [anon_sym_AMP_EQ] = ACTIONS(3283),
    [anon_sym_PIPE_EQ] = ACTIONS(3283),
    [anon_sym_GT_GT_EQ] = ACTIONS(3283),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3283),
    [anon_sym_LT_LT_EQ] = ACTIONS(3283),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1142] = {
    [anon_sym_EQ_GT] = ACTIONS(3267),
    [sym_comment] = ACTIONS(71),
  },
  [1143] = {
    [sym_export_statement] = STATE(1408),
    [sym__declaration] = STATE(1408),
    [sym_import_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1408),
    [sym_variable_declaration] = STATE(1408),
    [sym_lexical_declaration] = STATE(1408),
    [sym_statement_block] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_for_statement] = STATE(1408),
    [sym_for_in_statement] = STATE(1408),
    [sym_for_of_statement] = STATE(1408),
    [sym_while_statement] = STATE(1408),
    [sym_do_statement] = STATE(1408),
    [sym_try_statement] = STATE(1408),
    [sym_with_statement] = STATE(1408),
    [sym_break_statement] = STATE(1408),
    [sym_continue_statement] = STATE(1408),
    [sym_debugger_statement] = STATE(1408),
    [sym_return_statement] = STATE(1408),
    [sym_throw_statement] = STATE(1408),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1408),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1144] = {
    [anon_sym_RPAREN] = ACTIONS(3305),
    [sym_comment] = ACTIONS(71),
  },
  [1145] = {
    [anon_sym_RPAREN] = ACTIONS(3307),
    [sym_comment] = ACTIONS(71),
  },
  [1146] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3309),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1147] = {
    [anon_sym_RPAREN] = ACTIONS(3311),
    [sym_comment] = ACTIONS(71),
  },
  [1148] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3313),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1149] = {
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_RPAREN] = ACTIONS(2323),
    [anon_sym_in] = ACTIONS(2325),
    [anon_sym_COLON] = ACTIONS(2323),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_RBRACK] = ACTIONS(2323),
    [anon_sym_LT] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(2325),
    [anon_sym_SLASH] = ACTIONS(2325),
    [anon_sym_DOT] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2325),
    [anon_sym_QMARK] = ACTIONS(2323),
    [anon_sym_AMP_AMP] = ACTIONS(2323),
    [anon_sym_PIPE_PIPE] = ACTIONS(2323),
    [anon_sym_GT_GT] = ACTIONS(2325),
    [anon_sym_GT_GT_GT] = ACTIONS(2323),
    [anon_sym_LT_LT] = ACTIONS(2323),
    [anon_sym_AMP] = ACTIONS(2325),
    [anon_sym_CARET] = ACTIONS(2323),
    [anon_sym_PIPE] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2325),
    [anon_sym_DASH] = ACTIONS(2325),
    [anon_sym_PERCENT] = ACTIONS(2323),
    [anon_sym_LT_EQ] = ACTIONS(2323),
    [anon_sym_EQ_EQ] = ACTIONS(2325),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2323),
    [anon_sym_BANG_EQ] = ACTIONS(2325),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2323),
    [anon_sym_GT_EQ] = ACTIONS(2323),
    [anon_sym_instanceof] = ACTIONS(2323),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2323),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2323),
  },
  [1150] = {
    [anon_sym_STAR] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2401),
    [anon_sym_COMMA] = ACTIONS(2401),
    [anon_sym_RBRACE] = ACTIONS(2401),
    [anon_sym_LPAREN] = ACTIONS(2401),
    [anon_sym_RPAREN] = ACTIONS(2401),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_COLON] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(2401),
    [anon_sym_RBRACK] = ACTIONS(2401),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_DOT] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2401),
    [anon_sym_AMP_AMP] = ACTIONS(2401),
    [anon_sym_PIPE_PIPE] = ACTIONS(2401),
    [anon_sym_GT_GT] = ACTIONS(2403),
    [anon_sym_GT_GT_GT] = ACTIONS(2401),
    [anon_sym_LT_LT] = ACTIONS(2401),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_CARET] = ACTIONS(2401),
    [anon_sym_PIPE] = ACTIONS(2403),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2401),
    [anon_sym_LT_EQ] = ACTIONS(2401),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2401),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2401),
    [anon_sym_GT_EQ] = ACTIONS(2401),
    [anon_sym_instanceof] = ACTIONS(2401),
    [anon_sym_PLUS_PLUS] = ACTIONS(2401),
    [anon_sym_DASH_DASH] = ACTIONS(2401),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2401),
  },
  [1151] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [sym_comment] = ACTIONS(71),
  },
  [1152] = {
    [anon_sym_STAR] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_RBRACE] = ACTIONS(2665),
    [anon_sym_LPAREN] = ACTIONS(2665),
    [anon_sym_RPAREN] = ACTIONS(2665),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_RBRACK] = ACTIONS(2665),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_QMARK] = ACTIONS(2665),
    [anon_sym_AMP_AMP] = ACTIONS(2665),
    [anon_sym_PIPE_PIPE] = ACTIONS(2665),
    [anon_sym_GT_GT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2665),
    [anon_sym_LT_LT] = ACTIONS(2665),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2665),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2665),
    [anon_sym_LT_EQ] = ACTIONS(2665),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2665),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2665),
    [anon_sym_GT_EQ] = ACTIONS(2665),
    [anon_sym_instanceof] = ACTIONS(2665),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2665),
  },
  [1153] = {
    [anon_sym_GT] = ACTIONS(3317),
    [sym_comment] = ACTIONS(71),
  },
  [1154] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(3319),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [1155] = {
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_in] = ACTIONS(2687),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2685),
    [anon_sym_GT_GT] = ACTIONS(2687),
    [anon_sym_GT_GT_GT] = ACTIONS(2685),
    [anon_sym_LT_LT] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2685),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2685),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_instanceof] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2685),
    [anon_sym_DASH_DASH] = ACTIONS(2685),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2685),
  },
  [1156] = {
    [anon_sym_GT] = ACTIONS(3321),
    [sym_comment] = ACTIONS(71),
  },
  [1157] = {
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_COMMA] = ACTIONS(2720),
    [anon_sym_RBRACE] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_RPAREN] = ACTIONS(2720),
    [anon_sym_in] = ACTIONS(2722),
    [anon_sym_COLON] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_RBRACK] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_GT] = ACTIONS(2722),
    [anon_sym_SLASH] = ACTIONS(2722),
    [anon_sym_DOT] = ACTIONS(2720),
    [anon_sym_QMARK] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_PIPE_PIPE] = ACTIONS(2720),
    [anon_sym_GT_GT] = ACTIONS(2722),
    [anon_sym_GT_GT_GT] = ACTIONS(2720),
    [anon_sym_LT_LT] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_PIPE] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PERCENT] = ACTIONS(2720),
    [anon_sym_LT_EQ] = ACTIONS(2720),
    [anon_sym_EQ_EQ] = ACTIONS(2722),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2720),
    [anon_sym_BANG_EQ] = ACTIONS(2722),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2720),
    [anon_sym_GT_EQ] = ACTIONS(2720),
    [anon_sym_instanceof] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2720),
  },
  [1158] = {
    [anon_sym_GT] = ACTIONS(3323),
    [sym_comment] = ACTIONS(71),
  },
  [1159] = {
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_RPAREN] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2744),
    [anon_sym_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_RBRACK] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2742),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_GT_GT] = ACTIONS(2744),
    [anon_sym_GT_GT_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_EQ_EQ] = ACTIONS(2744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2742),
    [anon_sym_instanceof] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2742),
  },
  [1160] = {
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_COMMA] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_RPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_RBRACK] = ACTIONS(2810),
    [anon_sym_LT] = ACTIONS(2812),
    [anon_sym_GT] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2812),
    [anon_sym_DOT] = ACTIONS(2810),
    [anon_sym_QMARK] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_PIPE_PIPE] = ACTIONS(2810),
    [anon_sym_GT_GT] = ACTIONS(2812),
    [anon_sym_GT_GT_GT] = ACTIONS(2810),
    [anon_sym_LT_LT] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_CARET] = ACTIONS(2810),
    [anon_sym_PIPE] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_LT_EQ] = ACTIONS(2810),
    [anon_sym_EQ_EQ] = ACTIONS(2812),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2810),
    [anon_sym_BANG_EQ] = ACTIONS(2812),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2810),
    [anon_sym_GT_EQ] = ACTIONS(2810),
    [anon_sym_instanceof] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2810),
  },
  [1161] = {
    [sym_statement_block] = STATE(1419),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(71),
  },
  [1162] = {
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_COMMA] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2814),
    [anon_sym_RPAREN] = ACTIONS(2814),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_RBRACK] = ACTIONS(2814),
    [anon_sym_LT] = ACTIONS(2816),
    [anon_sym_GT] = ACTIONS(2816),
    [anon_sym_SLASH] = ACTIONS(2816),
    [anon_sym_DOT] = ACTIONS(2814),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2814),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_GT_GT_GT] = ACTIONS(2814),
    [anon_sym_LT_LT] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_PIPE] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PERCENT] = ACTIONS(2814),
    [anon_sym_LT_EQ] = ACTIONS(2814),
    [anon_sym_EQ_EQ] = ACTIONS(2816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2814),
    [anon_sym_BANG_EQ] = ACTIONS(2816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2814),
    [anon_sym_GT_EQ] = ACTIONS(2814),
    [anon_sym_instanceof] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2814),
  },
  [1163] = {
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2818),
    [anon_sym_RPAREN] = ACTIONS(2818),
    [anon_sym_in] = ACTIONS(2820),
    [anon_sym_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym_RBRACK] = ACTIONS(2818),
    [anon_sym_LT] = ACTIONS(2820),
    [anon_sym_GT] = ACTIONS(2820),
    [anon_sym_SLASH] = ACTIONS(2820),
    [anon_sym_DOT] = ACTIONS(2818),
    [anon_sym_QMARK] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_PIPE_PIPE] = ACTIONS(2818),
    [anon_sym_GT_GT] = ACTIONS(2820),
    [anon_sym_GT_GT_GT] = ACTIONS(2818),
    [anon_sym_LT_LT] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_PIPE] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PERCENT] = ACTIONS(2818),
    [anon_sym_LT_EQ] = ACTIONS(2818),
    [anon_sym_EQ_EQ] = ACTIONS(2820),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2818),
    [anon_sym_BANG_EQ] = ACTIONS(2820),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2818),
    [anon_sym_GT_EQ] = ACTIONS(2818),
    [anon_sym_instanceof] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2818),
  },
  [1164] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2818),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1165] = {
    [sym_statement_block] = STATE(1420),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [sym_comment] = ACTIONS(71),
  },
  [1166] = {
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_COMMA] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2822),
    [anon_sym_RPAREN] = ACTIONS(2822),
    [anon_sym_in] = ACTIONS(2824),
    [anon_sym_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_RBRACK] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2824),
    [anon_sym_GT] = ACTIONS(2824),
    [anon_sym_SLASH] = ACTIONS(2824),
    [anon_sym_DOT] = ACTIONS(2822),
    [anon_sym_QMARK] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_PIPE_PIPE] = ACTIONS(2822),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_GT_GT_GT] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_PIPE] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PERCENT] = ACTIONS(2822),
    [anon_sym_LT_EQ] = ACTIONS(2822),
    [anon_sym_EQ_EQ] = ACTIONS(2824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2822),
    [anon_sym_BANG_EQ] = ACTIONS(2824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2822),
    [anon_sym_GT_EQ] = ACTIONS(2822),
    [anon_sym_instanceof] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2822),
  },
  [1167] = {
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_RPAREN] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(478),
    [anon_sym_COLON] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_RBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_QMARK] = ACTIONS(476),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_PIPE_PIPE] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_instanceof] = ACTIONS(476),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(476),
  },
  [1168] = {
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_RPAREN] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_COLON] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_RBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_DOT] = ACTIONS(1526),
    [anon_sym_QMARK] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(1526),
  },
  [1169] = {
    [anon_sym_export] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_COMMA] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_LPAREN] = ACTIONS(2834),
    [anon_sym_RPAREN] = ACTIONS(2834),
    [anon_sym_in] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym_RBRACK] = ACTIONS(2834),
    [anon_sym_LT] = ACTIONS(2836),
    [anon_sym_GT] = ACTIONS(2836),
    [anon_sym_SLASH] = ACTIONS(2836),
    [anon_sym_DOT] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_async] = ACTIONS(2836),
    [anon_sym_QMARK] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_PIPE_PIPE] = ACTIONS(2834),
    [anon_sym_GT_GT] = ACTIONS(2836),
    [anon_sym_GT_GT_GT] = ACTIONS(2834),
    [anon_sym_LT_LT] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_PIPE] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PERCENT] = ACTIONS(2834),
    [anon_sym_LT_EQ] = ACTIONS(2834),
    [anon_sym_EQ_EQ] = ACTIONS(2836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2834),
    [anon_sym_BANG_EQ] = ACTIONS(2836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2834),
    [anon_sym_GT_EQ] = ACTIONS(2834),
    [anon_sym_instanceof] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2834),
    [anon_sym_BQUOTE] = ACTIONS(2834),
    [sym_number] = ACTIONS(2834),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_AT] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_get] = ACTIONS(2836),
    [anon_sym_set] = ACTIONS(2836),
  },
  [1170] = {
    [aux_sym_array_repeat1] = STATE(935),
    [anon_sym_COMMA] = ACTIONS(1042),
    [anon_sym_RPAREN] = ACTIONS(3325),
    [sym_comment] = ACTIONS(71),
  },
  [1171] = {
    [anon_sym_STAR] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_COMMA] = ACTIONS(2843),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_LPAREN] = ACTIONS(2843),
    [anon_sym_RPAREN] = ACTIONS(2843),
    [anon_sym_in] = ACTIONS(2845),
    [anon_sym_COLON] = ACTIONS(2843),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_RBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2845),
    [anon_sym_GT] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2845),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2843),
    [anon_sym_DASH_EQ] = ACTIONS(2843),
    [anon_sym_STAR_EQ] = ACTIONS(2843),
    [anon_sym_SLASH_EQ] = ACTIONS(2843),
    [anon_sym_PERCENT_EQ] = ACTIONS(2843),
    [anon_sym_CARET_EQ] = ACTIONS(2843),
    [anon_sym_AMP_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_EQ] = ACTIONS(2843),
    [anon_sym_GT_GT_EQ] = ACTIONS(2843),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2843),
    [anon_sym_LT_LT_EQ] = ACTIONS(2843),
    [anon_sym_QMARK] = ACTIONS(2843),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_GT_GT] = ACTIONS(2845),
    [anon_sym_GT_GT_GT] = ACTIONS(2845),
    [anon_sym_LT_LT] = ACTIONS(2845),
    [anon_sym_AMP] = ACTIONS(2845),
    [anon_sym_CARET] = ACTIONS(2845),
    [anon_sym_PIPE] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2845),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_EQ_EQ] = ACTIONS(2845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2843),
    [anon_sym_instanceof] = ACTIONS(2843),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2843),
  },
  [1172] = {
    [sym_parenthesized_expression] = STATE(1422),
    [sym__expression] = STATE(1422),
    [sym_yield_expression] = STATE(1422),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(1422),
    [sym_jsx_fragment] = STATE(1422),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1422),
    [sym_anonymous_class] = STATE(1422),
    [sym_class] = STATE(1422),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1422),
    [sym_generator_function] = STATE(1422),
    [sym_call_expression] = STATE(1422),
    [sym_new_expression] = STATE(1422),
    [sym_await_expression] = STATE(1422),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(1422),
    [sym_augmented_assignment_expression] = STATE(1422),
    [sym_ternary_expression] = STATE(1422),
    [sym_binary_expression] = STATE(1422),
    [sym_unary_expression] = STATE(1422),
    [sym_update_expression] = STATE(1422),
    [sym_template_string] = STATE(1422),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3327),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3329),
    [sym_number] = ACTIONS(3327),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(3329),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3329),
    [sym_false] = ACTIONS(3329),
    [sym_null] = ACTIONS(3329),
    [sym_undefined] = ACTIONS(3329),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1173] = {
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(3331),
    [sym_comment] = ACTIONS(71),
  },
  [1174] = {
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(3333),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
  },
  [1175] = {
    [anon_sym_GT] = ACTIONS(3333),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
  },
  [1176] = {
    [anon_sym_GT] = ACTIONS(3333),
    [sym_comment] = ACTIONS(71),
  },
  [1177] = {
    [sym_class_body] = STATE(1425),
    [anon_sym_LBRACE] = ACTIONS(658),
    [sym_comment] = ACTIONS(71),
  },
  [1178] = {
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_RBRACK] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_GT_GT] = ACTIONS(2965),
    [anon_sym_GT_GT_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2963),
    [anon_sym_instanceof] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2963),
  },
  [1179] = {
    [sym_class_body] = STATE(918),
    [anon_sym_LBRACE] = ACTIONS(281),
    [sym_comment] = ACTIONS(71),
  },
  [1180] = {
    [sym_formal_parameters] = STATE(1426),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [1181] = {
    [sym_statement_block] = STATE(921),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [sym_comment] = ACTIONS(71),
  },
  [1182] = {
    [sym_formal_parameters] = STATE(1427),
    [anon_sym_LPAREN] = ACTIONS(308),
    [sym_comment] = ACTIONS(71),
  },
  [1183] = {
    [sym_statement_block] = STATE(925),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [sym_comment] = ACTIONS(71),
  },
  [1184] = {
    [sym_export_statement] = STATE(558),
    [sym__declaration] = STATE(558),
    [sym_import_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_variable_declaration] = STATE(558),
    [sym_lexical_declaration] = STATE(558),
    [sym_statement_block] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_switch_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_for_in_statement] = STATE(558),
    [sym_for_of_statement] = STATE(558),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_try_statement] = STATE(558),
    [sym_with_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_debugger_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_statement] = STATE(558),
    [sym_empty_statement] = STATE(558),
    [sym_labeled_statement] = STATE(558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(558),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(2013),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1185] = {
    [sym_class_heritage] = STATE(1428),
    [sym_class_body] = STATE(918),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_extends] = ACTIONS(960),
    [sym_comment] = ACTIONS(71),
  },
  [1186] = {
    [sym_export_statement] = STATE(1429),
    [sym__declaration] = STATE(1429),
    [sym_import_statement] = STATE(1429),
    [sym_expression_statement] = STATE(1429),
    [sym_variable_declaration] = STATE(1429),
    [sym_lexical_declaration] = STATE(1429),
    [sym_statement_block] = STATE(1429),
    [sym_if_statement] = STATE(1429),
    [sym_switch_statement] = STATE(1429),
    [sym_for_statement] = STATE(1429),
    [sym_for_in_statement] = STATE(1429),
    [sym_for_of_statement] = STATE(1429),
    [sym_while_statement] = STATE(1429),
    [sym_do_statement] = STATE(1429),
    [sym_try_statement] = STATE(1429),
    [sym_with_statement] = STATE(1429),
    [sym_break_statement] = STATE(1429),
    [sym_continue_statement] = STATE(1429),
    [sym_debugger_statement] = STATE(1429),
    [sym_return_statement] = STATE(1429),
    [sym_throw_statement] = STATE(1429),
    [sym_empty_statement] = STATE(1429),
    [sym_labeled_statement] = STATE(1429),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1187] = {
    [sym_expression_statement] = STATE(1433),
    [sym_variable_declaration] = STATE(1433),
    [sym_lexical_declaration] = STATE(1433),
    [sym_empty_statement] = STATE(1433),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(1434),
    [sym_array] = STATE(1435),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_var] = ACTIONS(3335),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3339),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1188] = {
    [sym_export_statement] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym_import_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_variable_declaration] = STATE(441),
    [sym_lexical_declaration] = STATE(441),
    [sym_statement_block] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_for_in_statement] = STATE(441),
    [sym_for_of_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_with_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_debugger_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_empty_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1189] = {
    [sym_export_statement] = STATE(465),
    [sym__declaration] = STATE(465),
    [sym_import_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_variable_declaration] = STATE(465),
    [sym_lexical_declaration] = STATE(465),
    [sym_statement_block] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_for_in_statement] = STATE(465),
    [sym_for_of_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_with_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_debugger_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_labeled_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1190] = {
    [sym_export_statement] = STATE(564),
    [sym__declaration] = STATE(564),
    [sym_import_statement] = STATE(564),
    [sym_expression_statement] = STATE(564),
    [sym_variable_declaration] = STATE(564),
    [sym_lexical_declaration] = STATE(564),
    [sym_statement_block] = STATE(564),
    [sym_if_statement] = STATE(564),
    [sym_switch_statement] = STATE(564),
    [sym_for_statement] = STATE(564),
    [sym_for_in_statement] = STATE(564),
    [sym_for_of_statement] = STATE(564),
    [sym_while_statement] = STATE(564),
    [sym_do_statement] = STATE(564),
    [sym_try_statement] = STATE(564),
    [sym_with_statement] = STATE(564),
    [sym_break_statement] = STATE(564),
    [sym_continue_statement] = STATE(564),
    [sym_debugger_statement] = STATE(564),
    [sym_return_statement] = STATE(564),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(564),
    [sym_labeled_statement] = STATE(564),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1191] = {
    [sym_export_statement] = STATE(1089),
    [sym__declaration] = STATE(1089),
    [sym_import_statement] = STATE(1089),
    [sym_expression_statement] = STATE(1089),
    [sym_variable_declaration] = STATE(1089),
    [sym_lexical_declaration] = STATE(1089),
    [sym_statement_block] = STATE(1089),
    [sym_if_statement] = STATE(1089),
    [sym_switch_statement] = STATE(1089),
    [sym_for_statement] = STATE(1089),
    [sym_for_in_statement] = STATE(1089),
    [sym_for_of_statement] = STATE(1089),
    [sym_while_statement] = STATE(1089),
    [sym_do_statement] = STATE(1089),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1089),
    [sym_break_statement] = STATE(1089),
    [sym_continue_statement] = STATE(1089),
    [sym_debugger_statement] = STATE(1089),
    [sym_return_statement] = STATE(1089),
    [sym_throw_statement] = STATE(1089),
    [sym_empty_statement] = STATE(1089),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1192] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(3341),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1193] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(3345),
    [anon_sym_of] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1194] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_in] = ACTIONS(3349),
    [anon_sym_of] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1195] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1442),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1442),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1196] = {
    [sym_parenthesized_expression] = STATE(1443),
    [sym__expression] = STATE(1443),
    [sym_yield_expression] = STATE(1443),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1443),
    [sym_jsx_fragment] = STATE(1443),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1443),
    [sym_anonymous_class] = STATE(1443),
    [sym_class] = STATE(1443),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1443),
    [sym_generator_function] = STATE(1443),
    [sym_call_expression] = STATE(1443),
    [sym_new_expression] = STATE(1443),
    [sym_await_expression] = STATE(1443),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1443),
    [sym_augmented_assignment_expression] = STATE(1443),
    [sym_ternary_expression] = STATE(1443),
    [sym_binary_expression] = STATE(1443),
    [sym_unary_expression] = STATE(1443),
    [sym_update_expression] = STATE(1443),
    [sym_template_string] = STATE(1443),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3353),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3355),
    [sym_number] = ACTIONS(3353),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3355),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [sym_null] = ACTIONS(3355),
    [sym_undefined] = ACTIONS(3355),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1197] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1445),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1445),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1198] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1446),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1446),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1199] = {
    [sym_parenthesized_expression] = STATE(1447),
    [sym__expression] = STATE(1447),
    [sym_yield_expression] = STATE(1447),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1447),
    [sym_jsx_fragment] = STATE(1447),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1447),
    [sym_anonymous_class] = STATE(1447),
    [sym_class] = STATE(1447),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1447),
    [sym_generator_function] = STATE(1447),
    [sym_call_expression] = STATE(1447),
    [sym_new_expression] = STATE(1447),
    [sym_await_expression] = STATE(1447),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1447),
    [sym_augmented_assignment_expression] = STATE(1447),
    [sym_ternary_expression] = STATE(1447),
    [sym_binary_expression] = STATE(1447),
    [sym_unary_expression] = STATE(1447),
    [sym_update_expression] = STATE(1447),
    [sym_template_string] = STATE(1447),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3359),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3361),
    [sym_number] = ACTIONS(3359),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3361),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3361),
    [sym_false] = ACTIONS(3361),
    [sym_null] = ACTIONS(3361),
    [sym_undefined] = ACTIONS(3361),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1200] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1448),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1448),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1201] = {
    [sym_parenthesized_expression] = STATE(1449),
    [sym__expression] = STATE(1449),
    [sym_yield_expression] = STATE(1449),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1449),
    [sym_jsx_fragment] = STATE(1449),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1449),
    [sym_anonymous_class] = STATE(1449),
    [sym_class] = STATE(1449),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1449),
    [sym_generator_function] = STATE(1449),
    [sym_call_expression] = STATE(1449),
    [sym_new_expression] = STATE(1449),
    [sym_await_expression] = STATE(1449),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1449),
    [sym_augmented_assignment_expression] = STATE(1449),
    [sym_ternary_expression] = STATE(1449),
    [sym_binary_expression] = STATE(1449),
    [sym_unary_expression] = STATE(1449),
    [sym_update_expression] = STATE(1449),
    [sym_template_string] = STATE(1449),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3363),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3365),
    [sym_number] = ACTIONS(3363),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3365),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3365),
    [sym_false] = ACTIONS(3365),
    [sym_null] = ACTIONS(3365),
    [sym_undefined] = ACTIONS(3365),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1202] = {
    [sym__automatic_semicolon] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_COMMA] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_else] = ACTIONS(2810),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_RPAREN] = ACTIONS(2810),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [anon_sym_LT] = ACTIONS(2812),
    [anon_sym_GT] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2812),
    [anon_sym_DOT] = ACTIONS(2810),
    [anon_sym_QMARK] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_PIPE_PIPE] = ACTIONS(2810),
    [anon_sym_GT_GT] = ACTIONS(2812),
    [anon_sym_GT_GT_GT] = ACTIONS(2810),
    [anon_sym_LT_LT] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_CARET] = ACTIONS(2810),
    [anon_sym_PIPE] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_LT_EQ] = ACTIONS(2810),
    [anon_sym_EQ_EQ] = ACTIONS(2812),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2810),
    [anon_sym_BANG_EQ] = ACTIONS(2812),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2810),
    [anon_sym_GT_EQ] = ACTIONS(2810),
    [anon_sym_instanceof] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2810),
  },
  [1203] = {
    [sym_statement_block] = STATE(1450),
    [anon_sym_LBRACE] = ACTIONS(1780),
    [sym_comment] = ACTIONS(71),
  },
  [1204] = {
    [sym__automatic_semicolon] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_COMMA] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2814),
    [anon_sym_RPAREN] = ACTIONS(2814),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_LT] = ACTIONS(2816),
    [anon_sym_GT] = ACTIONS(2816),
    [anon_sym_SLASH] = ACTIONS(2816),
    [anon_sym_DOT] = ACTIONS(2814),
    [anon_sym_QMARK] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_PIPE_PIPE] = ACTIONS(2814),
    [anon_sym_GT_GT] = ACTIONS(2816),
    [anon_sym_GT_GT_GT] = ACTIONS(2814),
    [anon_sym_LT_LT] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_PIPE] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PERCENT] = ACTIONS(2814),
    [anon_sym_LT_EQ] = ACTIONS(2814),
    [anon_sym_EQ_EQ] = ACTIONS(2816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2814),
    [anon_sym_BANG_EQ] = ACTIONS(2816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2814),
    [anon_sym_GT_EQ] = ACTIONS(2814),
    [anon_sym_instanceof] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2814),
  },
  [1205] = {
    [sym_statement_block] = STATE(1451),
    [anon_sym_LBRACE] = ACTIONS(1780),
    [sym_comment] = ACTIONS(71),
  },
  [1206] = {
    [sym__automatic_semicolon] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_COMMA] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2822),
    [anon_sym_RPAREN] = ACTIONS(2822),
    [anon_sym_in] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2824),
    [anon_sym_GT] = ACTIONS(2824),
    [anon_sym_SLASH] = ACTIONS(2824),
    [anon_sym_DOT] = ACTIONS(2822),
    [anon_sym_QMARK] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_PIPE_PIPE] = ACTIONS(2822),
    [anon_sym_GT_GT] = ACTIONS(2824),
    [anon_sym_GT_GT_GT] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_PIPE] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PERCENT] = ACTIONS(2822),
    [anon_sym_LT_EQ] = ACTIONS(2822),
    [anon_sym_EQ_EQ] = ACTIONS(2824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2822),
    [anon_sym_BANG_EQ] = ACTIONS(2824),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2822),
    [anon_sym_GT_EQ] = ACTIONS(2822),
    [anon_sym_instanceof] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(2822),
  },
  [1207] = {
    [sym__automatic_semicolon] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_else] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_RPAREN] = ACTIONS(476),
    [anon_sym_in] = ACTIONS(478),
    [anon_sym_while] = ACTIONS(476),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(476),
    [anon_sym_QMARK] = ACTIONS(476),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_PIPE_PIPE] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_instanceof] = ACTIONS(476),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(476),
  },
  [1208] = {
    [ts_builtin_sym_end] = ACTIONS(3367),
    [anon_sym_export] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_import] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_with] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_debugger] = ACTIONS(3369),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LT] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_function] = ACTIONS(3369),
    [anon_sym_EQ_GT] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym_void] = ACTIONS(3369),
    [anon_sym_delete] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3367),
    [anon_sym_BQUOTE] = ACTIONS(3367),
    [sym_regex] = ACTIONS(3369),
    [sym_number] = ACTIONS(3367),
    [sym_identifier] = ACTIONS(3369),
    [sym_this] = ACTIONS(3369),
    [sym_super] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_null] = ACTIONS(3369),
    [sym_undefined] = ACTIONS(3369),
    [anon_sym_AT] = ACTIONS(3367),
    [anon_sym_get] = ACTIONS(3369),
    [anon_sym_set] = ACTIONS(3369),
  },
  [1209] = {
    [sym_class_body] = STATE(1452),
    [anon_sym_LBRACE] = ACTIONS(281),
    [sym_comment] = ACTIONS(71),
  },
  [1210] = {
    [anon_sym_RPAREN] = ACTIONS(3371),
    [sym_comment] = ACTIONS(71),
  },
  [1211] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2818),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1212] = {
    [sym_parenthesized_expression] = STATE(1454),
    [sym__expression] = STATE(1454),
    [sym_yield_expression] = STATE(1454),
    [sym_object] = STATE(171),
    [sym_array] = STATE(172),
    [sym_jsx_element] = STATE(1454),
    [sym_jsx_fragment] = STATE(1454),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1454),
    [sym_anonymous_class] = STATE(1454),
    [sym_class] = STATE(1454),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1454),
    [sym_generator_function] = STATE(1454),
    [sym_call_expression] = STATE(1454),
    [sym_new_expression] = STATE(1454),
    [sym_await_expression] = STATE(1454),
    [sym_member_expression] = STATE(173),
    [sym_subscript_expression] = STATE(173),
    [sym_assignment_expression] = STATE(1454),
    [sym_augmented_assignment_expression] = STATE(1454),
    [sym_ternary_expression] = STATE(1454),
    [sym_binary_expression] = STATE(1454),
    [sym_unary_expression] = STATE(1454),
    [sym_update_expression] = STATE(1454),
    [sym_template_string] = STATE(1454),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(175),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(253),
    [anon_sym_new] = ACTIONS(255),
    [anon_sym_await] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(263),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_typeof] = ACTIONS(261),
    [anon_sym_void] = ACTIONS(261),
    [anon_sym_delete] = ACTIONS(261),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3373),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3375),
    [sym_number] = ACTIONS(3373),
    [sym_identifier] = ACTIONS(271),
    [sym_this] = ACTIONS(3375),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [sym_null] = ACTIONS(3375),
    [sym_undefined] = ACTIONS(3375),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(273),
    [anon_sym_set] = ACTIONS(273),
  },
  [1213] = {
    [sym__automatic_semicolon] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_COMMA] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_RPAREN] = ACTIONS(3377),
    [anon_sym_in] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_GT] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3377),
    [anon_sym_QMARK] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_PIPE_PIPE] = ACTIONS(3377),
    [anon_sym_GT_GT] = ACTIONS(3379),
    [anon_sym_GT_GT_GT] = ACTIONS(3377),
    [anon_sym_LT_LT] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_CARET] = ACTIONS(3377),
    [anon_sym_PIPE] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PERCENT] = ACTIONS(3377),
    [anon_sym_LT_EQ] = ACTIONS(3377),
    [anon_sym_EQ_EQ] = ACTIONS(3379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3377),
    [anon_sym_BANG_EQ] = ACTIONS(3379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3377),
    [anon_sym_GT_EQ] = ACTIONS(3377),
    [anon_sym_instanceof] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3377),
  },
  [1214] = {
    [anon_sym_GT] = ACTIONS(3381),
    [sym_comment] = ACTIONS(71),
  },
  [1215] = {
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_GT] = ACTIONS(3383),
    [anon_sym_SLASH] = ACTIONS(2943),
    [sym_jsx_identifier] = ACTIONS(3383),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2943),
  },
  [1216] = {
    [sym_nested_identifier] = STATE(1459),
    [sym_jsx_namespace_name] = STATE(1460),
    [anon_sym_GT] = ACTIONS(3385),
    [sym_jsx_identifier] = ACTIONS(3387),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3389),
  },
  [1217] = {
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_GT] = ACTIONS(3391),
    [anon_sym_SLASH] = ACTIONS(3393),
    [sym_jsx_identifier] = ACTIONS(3391),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3393),
  },
  [1218] = {
    [sym_jsx_element] = STATE(1463),
    [sym_jsx_expression] = STATE(1463),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_closing_element] = STATE(1462),
    [sym_jsx_self_closing_element] = STATE(1463),
    [aux_sym_jsx_element_repeat1] = STATE(1463),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(3395),
    [sym_jsx_text] = ACTIONS(3397),
    [sym_comment] = ACTIONS(71),
  },
  [1219] = {
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_GT] = ACTIONS(3399),
    [anon_sym_SLASH] = ACTIONS(3401),
    [sym_jsx_identifier] = ACTIONS(3399),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3401),
  },
  [1220] = {
    [sym__automatic_semicolon] = ACTIONS(3403),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_COMMA] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_RPAREN] = ACTIONS(3403),
    [anon_sym_in] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_GT] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_DOT] = ACTIONS(3403),
    [anon_sym_QMARK] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_PIPE_PIPE] = ACTIONS(3403),
    [anon_sym_GT_GT] = ACTIONS(3405),
    [anon_sym_GT_GT_GT] = ACTIONS(3403),
    [anon_sym_LT_LT] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_CARET] = ACTIONS(3403),
    [anon_sym_PIPE] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PERCENT] = ACTIONS(3403),
    [anon_sym_LT_EQ] = ACTIONS(3403),
    [anon_sym_EQ_EQ] = ACTIONS(3405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3403),
    [anon_sym_BANG_EQ] = ACTIONS(3405),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3403),
    [anon_sym_GT_EQ] = ACTIONS(3403),
    [anon_sym_instanceof] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3403),
  },
  [1221] = {
    [sym__automatic_semicolon] = ACTIONS(3407),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_COMMA] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_RPAREN] = ACTIONS(3407),
    [anon_sym_in] = ACTIONS(3409),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_GT] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_DOT] = ACTIONS(3407),
    [anon_sym_QMARK] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_PIPE_PIPE] = ACTIONS(3407),
    [anon_sym_GT_GT] = ACTIONS(3409),
    [anon_sym_GT_GT_GT] = ACTIONS(3407),
    [anon_sym_LT_LT] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_CARET] = ACTIONS(3407),
    [anon_sym_PIPE] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_PERCENT] = ACTIONS(3407),
    [anon_sym_LT_EQ] = ACTIONS(3407),
    [anon_sym_EQ_EQ] = ACTIONS(3409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3407),
    [anon_sym_BANG_EQ] = ACTIONS(3409),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3407),
    [anon_sym_GT_EQ] = ACTIONS(3407),
    [anon_sym_instanceof] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3407),
  },
  [1222] = {
    [sym__automatic_semicolon] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2321),
    [anon_sym_EQ] = ACTIONS(2321),
    [sym_comment] = ACTIONS(71),
  },
  [1223] = {
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3413),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
  },
  [1224] = {
    [sym__automatic_semicolon] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [sym_comment] = ACTIONS(71),
  },
  [1225] = {
    [anon_sym_STAR] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3413),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3411),
    [sym_number] = ACTIONS(3411),
    [sym_identifier] = ACTIONS(3413),
    [anon_sym_AT] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_get] = ACTIONS(3413),
    [anon_sym_set] = ACTIONS(3413),
  },
  [1226] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1227] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1228] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1229] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1465),
    [sym__expression] = STATE(1465),
    [sym_yield_expression] = STATE(1465),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1465),
    [sym_jsx_fragment] = STATE(1465),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1465),
    [sym_anonymous_class] = STATE(1465),
    [sym_class] = STATE(1465),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1465),
    [sym_generator_function] = STATE(1465),
    [sym_call_expression] = STATE(1465),
    [sym_new_expression] = STATE(1465),
    [sym_await_expression] = STATE(1465),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1465),
    [sym_augmented_assignment_expression] = STATE(1465),
    [sym_ternary_expression] = STATE(1465),
    [sym_binary_expression] = STATE(1465),
    [sym_unary_expression] = STATE(1465),
    [sym_update_expression] = STATE(1465),
    [sym_template_string] = STATE(1465),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3417),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3419),
    [sym_number] = ACTIONS(3417),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(3419),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3419),
    [sym_false] = ACTIONS(3419),
    [sym_null] = ACTIONS(3419),
    [sym_undefined] = ACTIONS(3419),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [1230] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1231] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1232] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1233] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1234] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1235] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1236] = {
    [sym__automatic_semicolon] = ACTIONS(2742),
    [ts_builtin_sym_end] = ACTIONS(2742),
    [anon_sym_export] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_COMMA] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_import] = ACTIONS(2744),
    [anon_sym_var] = ACTIONS(2744),
    [anon_sym_let] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_debugger] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_GT] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_DOT] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_async] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_await] = ACTIONS(2744),
    [anon_sym_QMARK] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_PIPE_PIPE] = ACTIONS(2742),
    [anon_sym_GT_GT] = ACTIONS(2744),
    [anon_sym_GT_GT_GT] = ACTIONS(2742),
    [anon_sym_LT_LT] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2742),
    [anon_sym_PIPE] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PERCENT] = ACTIONS(2742),
    [anon_sym_LT_EQ] = ACTIONS(2742),
    [anon_sym_EQ_EQ] = ACTIONS(2744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2742),
    [anon_sym_BANG_EQ] = ACTIONS(2744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2742),
    [anon_sym_GT_EQ] = ACTIONS(2742),
    [anon_sym_instanceof] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2744),
    [anon_sym_void] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2742),
    [anon_sym_BQUOTE] = ACTIONS(2742),
    [sym_regex] = ACTIONS(2744),
    [sym_number] = ACTIONS(2742),
    [sym_identifier] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
    [sym_super] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [sym_null] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_get] = ACTIONS(2744),
    [anon_sym_set] = ACTIONS(2744),
  },
  [1237] = {
    [sym__automatic_semicolon] = ACTIONS(3423),
    [ts_builtin_sym_end] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_COMMA] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_else] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_in] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_case] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_GT] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_DOT] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_EQ_GT] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_QMARK] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_PIPE_PIPE] = ACTIONS(3423),
    [anon_sym_GT_GT] = ACTIONS(3425),
    [anon_sym_GT_GT_GT] = ACTIONS(3423),
    [anon_sym_LT_LT] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3425),
    [anon_sym_CARET] = ACTIONS(3423),
    [anon_sym_PIPE] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_PERCENT] = ACTIONS(3423),
    [anon_sym_LT_EQ] = ACTIONS(3423),
    [anon_sym_EQ_EQ] = ACTIONS(3425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3423),
    [anon_sym_BANG_EQ] = ACTIONS(3425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3423),
    [anon_sym_GT_EQ] = ACTIONS(3423),
    [anon_sym_instanceof] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3423),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_regex] = ACTIONS(3425),
    [sym_number] = ACTIONS(3423),
    [sym_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
  },
  [1238] = {
    [sym__automatic_semicolon] = ACTIONS(3427),
    [ts_builtin_sym_end] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_STAR] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_COMMA] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_in] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_GT] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_DOT] = ACTIONS(3429),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_EQ_GT] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_QMARK] = ACTIONS(3427),
    [anon_sym_AMP_AMP] = ACTIONS(3427),
    [anon_sym_PIPE_PIPE] = ACTIONS(3427),
    [anon_sym_GT_GT] = ACTIONS(3429),
    [anon_sym_GT_GT_GT] = ACTIONS(3427),
    [anon_sym_LT_LT] = ACTIONS(3427),
    [anon_sym_AMP] = ACTIONS(3429),
    [anon_sym_CARET] = ACTIONS(3427),
    [anon_sym_PIPE] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3427),
    [anon_sym_LT_EQ] = ACTIONS(3427),
    [anon_sym_EQ_EQ] = ACTIONS(3429),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3427),
    [anon_sym_BANG_EQ] = ACTIONS(3429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3427),
    [anon_sym_GT_EQ] = ACTIONS(3427),
    [anon_sym_instanceof] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3427),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_regex] = ACTIONS(3429),
    [sym_number] = ACTIONS(3427),
    [sym_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
  },
  [1239] = {
    [sym__automatic_semicolon] = ACTIONS(1526),
    [ts_builtin_sym_end] = ACTIONS(1526),
    [anon_sym_export] = ACTIONS(1528),
    [anon_sym_STAR] = ACTIONS(1526),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(1528),
    [anon_sym_var] = ACTIONS(1528),
    [anon_sym_let] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_else] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_in] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
    [anon_sym_try] = ACTIONS(1528),
    [anon_sym_with] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_debugger] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_throw] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1528),
    [anon_sym_GT] = ACTIONS(1528),
    [anon_sym_SLASH] = ACTIONS(1528),
    [anon_sym_DOT] = ACTIONS(1528),
    [anon_sym_class] = ACTIONS(1528),
    [anon_sym_async] = ACTIONS(1528),
    [anon_sym_function] = ACTIONS(1528),
    [anon_sym_EQ_GT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1528),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(1526),
    [anon_sym_AMP_AMP] = ACTIONS(1526),
    [anon_sym_PIPE_PIPE] = ACTIONS(1526),
    [anon_sym_GT_GT] = ACTIONS(1528),
    [anon_sym_GT_GT_GT] = ACTIONS(1526),
    [anon_sym_LT_LT] = ACTIONS(1526),
    [anon_sym_AMP] = ACTIONS(1528),
    [anon_sym_CARET] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_PERCENT] = ACTIONS(1526),
    [anon_sym_LT_EQ] = ACTIONS(1526),
    [anon_sym_EQ_EQ] = ACTIONS(1528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1526),
    [anon_sym_BANG_EQ] = ACTIONS(1528),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1526),
    [anon_sym_GT_EQ] = ACTIONS(1526),
    [anon_sym_instanceof] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1528),
    [anon_sym_delete] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [sym_regex] = ACTIONS(1528),
    [sym_number] = ACTIONS(1526),
    [sym_identifier] = ACTIONS(1528),
    [sym_this] = ACTIONS(1528),
    [sym_super] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [sym_null] = ACTIONS(1528),
    [sym_undefined] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1528),
    [anon_sym_set] = ACTIONS(1528),
  },
  [1240] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2023),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1241] = {
    [sym__automatic_semicolon] = ACTIONS(3431),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_COMMA] = ACTIONS(3431),
    [anon_sym_RBRACE] = ACTIONS(3431),
    [anon_sym_LPAREN] = ACTIONS(3431),
    [anon_sym_RPAREN] = ACTIONS(3431),
    [anon_sym_in] = ACTIONS(3433),
    [anon_sym_SEMI] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_DOT] = ACTIONS(3431),
    [anon_sym_QMARK] = ACTIONS(3431),
    [anon_sym_AMP_AMP] = ACTIONS(3431),
    [anon_sym_PIPE_PIPE] = ACTIONS(3431),
    [anon_sym_GT_GT] = ACTIONS(3433),
    [anon_sym_GT_GT_GT] = ACTIONS(3431),
    [anon_sym_LT_LT] = ACTIONS(3431),
    [anon_sym_AMP] = ACTIONS(3433),
    [anon_sym_CARET] = ACTIONS(3431),
    [anon_sym_PIPE] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT_EQ] = ACTIONS(3431),
    [anon_sym_EQ_EQ] = ACTIONS(3433),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3431),
    [anon_sym_BANG_EQ] = ACTIONS(3433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3431),
    [anon_sym_GT_EQ] = ACTIONS(3431),
    [anon_sym_instanceof] = ACTIONS(3431),
    [anon_sym_PLUS_PLUS] = ACTIONS(3431),
    [anon_sym_DASH_DASH] = ACTIONS(3431),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3431),
  },
  [1242] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2081),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1243] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1244] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1245] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1246] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1467),
    [sym__expression] = STATE(1467),
    [sym_yield_expression] = STATE(1467),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1467),
    [sym_jsx_fragment] = STATE(1467),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1467),
    [sym_anonymous_class] = STATE(1467),
    [sym_class] = STATE(1467),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1467),
    [sym_generator_function] = STATE(1467),
    [sym_call_expression] = STATE(1467),
    [sym_new_expression] = STATE(1467),
    [sym_await_expression] = STATE(1467),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1467),
    [sym_augmented_assignment_expression] = STATE(1467),
    [sym_ternary_expression] = STATE(1467),
    [sym_binary_expression] = STATE(1467),
    [sym_unary_expression] = STATE(1467),
    [sym_update_expression] = STATE(1467),
    [sym_template_string] = STATE(1467),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3435),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3437),
    [sym_number] = ACTIONS(3435),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(3437),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3437),
    [sym_false] = ACTIONS(3437),
    [sym_null] = ACTIONS(3437),
    [sym_undefined] = ACTIONS(3437),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [1247] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1248] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1249] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(366),
    [anon_sym_COMMA] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(344),
    [anon_sym_GT] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_AMP_AMP] = ACTIONS(374),
    [anon_sym_PIPE_PIPE] = ACTIONS(376),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_GT_GT_GT] = ACTIONS(366),
    [anon_sym_LT_LT] = ACTIONS(366),
    [anon_sym_AMP] = ACTIONS(378),
    [anon_sym_CARET] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(380),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PERCENT] = ACTIONS(366),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(384),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_instanceof] = ACTIONS(384),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1250] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3441),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1251] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1252] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1253] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1254] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1255] = {
    [sym_parenthesized_expression] = STATE(1469),
    [sym__expression] = STATE(1469),
    [sym_yield_expression] = STATE(1469),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1469),
    [sym_jsx_fragment] = STATE(1469),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1469),
    [sym_anonymous_class] = STATE(1469),
    [sym_class] = STATE(1469),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1469),
    [sym_generator_function] = STATE(1469),
    [sym_call_expression] = STATE(1469),
    [sym_new_expression] = STATE(1469),
    [sym_await_expression] = STATE(1469),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1469),
    [sym_augmented_assignment_expression] = STATE(1469),
    [sym_ternary_expression] = STATE(1469),
    [sym_binary_expression] = STATE(1469),
    [sym_unary_expression] = STATE(1469),
    [sym_update_expression] = STATE(1469),
    [sym_template_string] = STATE(1469),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3443),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3445),
    [sym_number] = ACTIONS(3443),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3445),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3445),
    [sym_false] = ACTIONS(3445),
    [sym_null] = ACTIONS(3445),
    [sym_undefined] = ACTIONS(3445),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1256] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(1470),
    [sym__expression] = STATE(1470),
    [sym_yield_expression] = STATE(1470),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1470),
    [sym_jsx_fragment] = STATE(1470),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1470),
    [sym_anonymous_class] = STATE(1470),
    [sym_class] = STATE(1470),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1470),
    [sym_generator_function] = STATE(1470),
    [sym_call_expression] = STATE(1470),
    [sym_new_expression] = STATE(1470),
    [sym_await_expression] = STATE(1470),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1470),
    [sym_augmented_assignment_expression] = STATE(1470),
    [sym_ternary_expression] = STATE(1470),
    [sym_binary_expression] = STATE(1470),
    [sym_unary_expression] = STATE(1470),
    [sym_update_expression] = STATE(1470),
    [sym_template_string] = STATE(1470),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3447),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3449),
    [sym_number] = ACTIONS(3447),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3449),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3449),
    [sym_false] = ACTIONS(3449),
    [sym_null] = ACTIONS(3449),
    [sym_undefined] = ACTIONS(3449),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1257] = {
    [sym_parenthesized_expression] = STATE(1471),
    [sym__expression] = STATE(1471),
    [sym_yield_expression] = STATE(1471),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1471),
    [sym_jsx_fragment] = STATE(1471),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1471),
    [sym_anonymous_class] = STATE(1471),
    [sym_class] = STATE(1471),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1471),
    [sym_generator_function] = STATE(1471),
    [sym_call_expression] = STATE(1471),
    [sym_new_expression] = STATE(1471),
    [sym_await_expression] = STATE(1471),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1471),
    [sym_augmented_assignment_expression] = STATE(1471),
    [sym_ternary_expression] = STATE(1471),
    [sym_binary_expression] = STATE(1471),
    [sym_unary_expression] = STATE(1471),
    [sym_update_expression] = STATE(1471),
    [sym_template_string] = STATE(1471),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3451),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3453),
    [sym_number] = ACTIONS(3451),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3453),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3453),
    [sym_false] = ACTIONS(3453),
    [sym_null] = ACTIONS(3453),
    [sym_undefined] = ACTIONS(3453),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1258] = {
    [anon_sym_EQ_GT] = ACTIONS(3455),
    [sym_comment] = ACTIONS(71),
  },
  [1259] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1260] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1261] = {
    [sym_parenthesized_expression] = STATE(1473),
    [sym__expression] = STATE(1473),
    [sym_yield_expression] = STATE(1473),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1473),
    [sym_jsx_fragment] = STATE(1473),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1473),
    [sym_anonymous_class] = STATE(1473),
    [sym_class] = STATE(1473),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1473),
    [sym_generator_function] = STATE(1473),
    [sym_call_expression] = STATE(1473),
    [sym_new_expression] = STATE(1473),
    [sym_await_expression] = STATE(1473),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1473),
    [sym_augmented_assignment_expression] = STATE(1473),
    [sym_ternary_expression] = STATE(1473),
    [sym_binary_expression] = STATE(1473),
    [sym_unary_expression] = STATE(1473),
    [sym_update_expression] = STATE(1473),
    [sym_template_string] = STATE(1473),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3457),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3459),
    [sym_number] = ACTIONS(3457),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3459),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3459),
    [sym_false] = ACTIONS(3459),
    [sym_null] = ACTIONS(3459),
    [sym_undefined] = ACTIONS(3459),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1262] = {
    [sym_parenthesized_expression] = STATE(1474),
    [sym__expression] = STATE(1474),
    [sym_yield_expression] = STATE(1474),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1474),
    [sym_jsx_fragment] = STATE(1474),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1474),
    [sym_anonymous_class] = STATE(1474),
    [sym_class] = STATE(1474),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1474),
    [sym_generator_function] = STATE(1474),
    [sym_call_expression] = STATE(1474),
    [sym_new_expression] = STATE(1474),
    [sym_await_expression] = STATE(1474),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1474),
    [sym_augmented_assignment_expression] = STATE(1474),
    [sym_ternary_expression] = STATE(1474),
    [sym_binary_expression] = STATE(1474),
    [sym_unary_expression] = STATE(1474),
    [sym_update_expression] = STATE(1474),
    [sym_template_string] = STATE(1474),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3461),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3463),
    [sym_number] = ACTIONS(3461),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3463),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3463),
    [sym_false] = ACTIONS(3463),
    [sym_null] = ACTIONS(3463),
    [sym_undefined] = ACTIONS(3463),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1263] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1264] = {
    [sym_parenthesized_expression] = STATE(1475),
    [sym__expression] = STATE(1475),
    [sym_yield_expression] = STATE(1475),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1475),
    [sym_jsx_fragment] = STATE(1475),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1475),
    [sym_anonymous_class] = STATE(1475),
    [sym_class] = STATE(1475),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1475),
    [sym_generator_function] = STATE(1475),
    [sym_call_expression] = STATE(1475),
    [sym_new_expression] = STATE(1475),
    [sym_await_expression] = STATE(1475),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1475),
    [sym_augmented_assignment_expression] = STATE(1475),
    [sym_ternary_expression] = STATE(1475),
    [sym_binary_expression] = STATE(1475),
    [sym_unary_expression] = STATE(1475),
    [sym_update_expression] = STATE(1475),
    [sym_template_string] = STATE(1475),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3465),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3467),
    [sym_number] = ACTIONS(3465),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(3467),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3467),
    [sym_false] = ACTIONS(3467),
    [sym_null] = ACTIONS(3467),
    [sym_undefined] = ACTIONS(3467),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [1265] = {
    [sym_parenthesized_expression] = STATE(1476),
    [sym__expression] = STATE(1476),
    [sym_yield_expression] = STATE(1476),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1476),
    [sym_jsx_fragment] = STATE(1476),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1476),
    [sym_anonymous_class] = STATE(1476),
    [sym_class] = STATE(1476),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1476),
    [sym_generator_function] = STATE(1476),
    [sym_call_expression] = STATE(1476),
    [sym_new_expression] = STATE(1476),
    [sym_await_expression] = STATE(1476),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1476),
    [sym_augmented_assignment_expression] = STATE(1476),
    [sym_ternary_expression] = STATE(1476),
    [sym_binary_expression] = STATE(1476),
    [sym_unary_expression] = STATE(1476),
    [sym_update_expression] = STATE(1476),
    [sym_template_string] = STATE(1476),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3469),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3471),
    [sym_number] = ACTIONS(3469),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3471),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3471),
    [sym_false] = ACTIONS(3471),
    [sym_null] = ACTIONS(3471),
    [sym_undefined] = ACTIONS(3471),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1266] = {
    [sym_parenthesized_expression] = STATE(1477),
    [sym__expression] = STATE(1477),
    [sym_yield_expression] = STATE(1477),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1477),
    [sym_jsx_fragment] = STATE(1477),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1477),
    [sym_anonymous_class] = STATE(1477),
    [sym_class] = STATE(1477),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1477),
    [sym_generator_function] = STATE(1477),
    [sym_call_expression] = STATE(1477),
    [sym_new_expression] = STATE(1477),
    [sym_await_expression] = STATE(1477),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1477),
    [sym_augmented_assignment_expression] = STATE(1477),
    [sym_ternary_expression] = STATE(1477),
    [sym_binary_expression] = STATE(1477),
    [sym_unary_expression] = STATE(1477),
    [sym_update_expression] = STATE(1477),
    [sym_template_string] = STATE(1477),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3473),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3475),
    [sym_number] = ACTIONS(3473),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3475),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3475),
    [sym_false] = ACTIONS(3475),
    [sym_null] = ACTIONS(3475),
    [sym_undefined] = ACTIONS(3475),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1267] = {
    [sym_parenthesized_expression] = STATE(1478),
    [sym__expression] = STATE(1478),
    [sym_yield_expression] = STATE(1478),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1478),
    [sym_jsx_fragment] = STATE(1478),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1478),
    [sym_anonymous_class] = STATE(1478),
    [sym_class] = STATE(1478),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1478),
    [sym_generator_function] = STATE(1478),
    [sym_call_expression] = STATE(1478),
    [sym_new_expression] = STATE(1478),
    [sym_await_expression] = STATE(1478),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1478),
    [sym_augmented_assignment_expression] = STATE(1478),
    [sym_ternary_expression] = STATE(1478),
    [sym_binary_expression] = STATE(1478),
    [sym_unary_expression] = STATE(1478),
    [sym_update_expression] = STATE(1478),
    [sym_template_string] = STATE(1478),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3477),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3479),
    [sym_number] = ACTIONS(3477),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3479),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3479),
    [sym_false] = ACTIONS(3479),
    [sym_null] = ACTIONS(3479),
    [sym_undefined] = ACTIONS(3479),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1268] = {
    [sym__automatic_semicolon] = ACTIONS(3481),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_COMMA] = ACTIONS(3481),
    [anon_sym_RBRACE] = ACTIONS(3481),
    [anon_sym_LPAREN] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(3481),
    [anon_sym_in] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3481),
    [anon_sym_LBRACK] = ACTIONS(3481),
    [anon_sym_LT] = ACTIONS(3483),
    [anon_sym_GT] = ACTIONS(3483),
    [anon_sym_SLASH] = ACTIONS(3483),
    [anon_sym_DOT] = ACTIONS(3481),
    [anon_sym_QMARK] = ACTIONS(3481),
    [anon_sym_AMP_AMP] = ACTIONS(3481),
    [anon_sym_PIPE_PIPE] = ACTIONS(3481),
    [anon_sym_GT_GT] = ACTIONS(3483),
    [anon_sym_GT_GT_GT] = ACTIONS(3481),
    [anon_sym_LT_LT] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3483),
    [anon_sym_CARET] = ACTIONS(3481),
    [anon_sym_PIPE] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_PERCENT] = ACTIONS(3481),
    [anon_sym_LT_EQ] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3481),
    [anon_sym_BANG_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3481),
    [anon_sym_GT_EQ] = ACTIONS(3481),
    [anon_sym_instanceof] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3481),
  },
  [1269] = {
    [sym__automatic_semicolon] = ACTIONS(3485),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_COMMA] = ACTIONS(3485),
    [anon_sym_RBRACE] = ACTIONS(3485),
    [anon_sym_LPAREN] = ACTIONS(3485),
    [anon_sym_RPAREN] = ACTIONS(3485),
    [anon_sym_in] = ACTIONS(3487),
    [anon_sym_SEMI] = ACTIONS(3485),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_LT] = ACTIONS(3487),
    [anon_sym_GT] = ACTIONS(3487),
    [anon_sym_SLASH] = ACTIONS(3487),
    [anon_sym_DOT] = ACTIONS(3485),
    [anon_sym_QMARK] = ACTIONS(3485),
    [anon_sym_AMP_AMP] = ACTIONS(3485),
    [anon_sym_PIPE_PIPE] = ACTIONS(3485),
    [anon_sym_GT_GT] = ACTIONS(3487),
    [anon_sym_GT_GT_GT] = ACTIONS(3485),
    [anon_sym_LT_LT] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3487),
    [anon_sym_CARET] = ACTIONS(3485),
    [anon_sym_PIPE] = ACTIONS(3487),
    [anon_sym_PLUS] = ACTIONS(3487),
    [anon_sym_DASH] = ACTIONS(3487),
    [anon_sym_PERCENT] = ACTIONS(3485),
    [anon_sym_LT_EQ] = ACTIONS(3485),
    [anon_sym_EQ_EQ] = ACTIONS(3487),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_BANG_EQ] = ACTIONS(3487),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3485),
    [anon_sym_GT_EQ] = ACTIONS(3485),
    [anon_sym_instanceof] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3485),
  },
  [1270] = {
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [sym_jsx_text] = ACTIONS(2687),
    [sym_comment] = ACTIONS(71),
  },
  [1271] = {
    [anon_sym_GT] = ACTIONS(3489),
    [sym_comment] = ACTIONS(71),
  },
  [1272] = {
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_LT] = ACTIONS(2722),
    [sym_jsx_text] = ACTIONS(2722),
    [sym_comment] = ACTIONS(71),
  },
  [1273] = {
    [anon_sym_GT] = ACTIONS(3491),
    [sym_comment] = ACTIONS(71),
  },
  [1274] = {
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(3493),
    [sym_comment] = ACTIONS(71),
  },
  [1275] = {
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(3495),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
  },
  [1276] = {
    [anon_sym_GT] = ACTIONS(3495),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
  },
  [1277] = {
    [anon_sym_GT] = ACTIONS(3495),
    [sym_comment] = ACTIONS(71),
  },
  [1278] = {
    [ts_builtin_sym_end] = ACTIONS(3497),
    [anon_sym_export] = ACTIONS(3499),
    [anon_sym_default] = ACTIONS(3499),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_RBRACE] = ACTIONS(3497),
    [anon_sym_import] = ACTIONS(3499),
    [anon_sym_var] = ACTIONS(3499),
    [anon_sym_let] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(3499),
    [anon_sym_else] = ACTIONS(3499),
    [anon_sym_switch] = ACTIONS(3499),
    [anon_sym_for] = ACTIONS(3499),
    [anon_sym_LPAREN] = ACTIONS(3497),
    [anon_sym_while] = ACTIONS(3499),
    [anon_sym_do] = ACTIONS(3499),
    [anon_sym_try] = ACTIONS(3499),
    [anon_sym_with] = ACTIONS(3499),
    [anon_sym_break] = ACTIONS(3499),
    [anon_sym_continue] = ACTIONS(3499),
    [anon_sym_debugger] = ACTIONS(3499),
    [anon_sym_return] = ACTIONS(3499),
    [anon_sym_throw] = ACTIONS(3499),
    [anon_sym_SEMI] = ACTIONS(3497),
    [anon_sym_case] = ACTIONS(3499),
    [anon_sym_yield] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3497),
    [anon_sym_LT] = ACTIONS(3497),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_async] = ACTIONS(3499),
    [anon_sym_function] = ACTIONS(3499),
    [anon_sym_EQ_GT] = ACTIONS(3497),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_await] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_typeof] = ACTIONS(3499),
    [anon_sym_void] = ACTIONS(3499),
    [anon_sym_delete] = ACTIONS(3499),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3497),
    [anon_sym_BQUOTE] = ACTIONS(3497),
    [sym_regex] = ACTIONS(3499),
    [sym_number] = ACTIONS(3497),
    [sym_identifier] = ACTIONS(3499),
    [sym_this] = ACTIONS(3499),
    [sym_super] = ACTIONS(3499),
    [sym_true] = ACTIONS(3499),
    [sym_false] = ACTIONS(3499),
    [sym_null] = ACTIONS(3499),
    [sym_undefined] = ACTIONS(3499),
    [anon_sym_AT] = ACTIONS(3497),
    [anon_sym_get] = ACTIONS(3499),
    [anon_sym_set] = ACTIONS(3499),
  },
  [1279] = {
    [sym__automatic_semicolon] = ACTIONS(3501),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [anon_sym_export] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_COMMA] = ACTIONS(3501),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_import] = ACTIONS(3503),
    [anon_sym_var] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_else] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_LPAREN] = ACTIONS(3501),
    [anon_sym_in] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_with] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_debugger] = ACTIONS(3503),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym_case] = ACTIONS(3503),
    [anon_sym_yield] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_LT] = ACTIONS(3503),
    [anon_sym_GT] = ACTIONS(3503),
    [anon_sym_SLASH] = ACTIONS(3503),
    [anon_sym_DOT] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_async] = ACTIONS(3503),
    [anon_sym_function] = ACTIONS(3503),
    [anon_sym_EQ_GT] = ACTIONS(3501),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_await] = ACTIONS(3503),
    [anon_sym_QMARK] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_PIPE_PIPE] = ACTIONS(3501),
    [anon_sym_GT_GT] = ACTIONS(3503),
    [anon_sym_GT_GT_GT] = ACTIONS(3501),
    [anon_sym_LT_LT] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym_CARET] = ACTIONS(3501),
    [anon_sym_PIPE] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_PERCENT] = ACTIONS(3501),
    [anon_sym_LT_EQ] = ACTIONS(3501),
    [anon_sym_EQ_EQ] = ACTIONS(3503),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3501),
    [anon_sym_BANG_EQ] = ACTIONS(3503),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3501),
    [anon_sym_GT_EQ] = ACTIONS(3501),
    [anon_sym_instanceof] = ACTIONS(3503),
    [anon_sym_BANG] = ACTIONS(3503),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_typeof] = ACTIONS(3503),
    [anon_sym_void] = ACTIONS(3503),
    [anon_sym_delete] = ACTIONS(3503),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3501),
    [anon_sym_BQUOTE] = ACTIONS(3501),
    [sym_regex] = ACTIONS(3503),
    [sym_number] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3503),
    [sym_this] = ACTIONS(3503),
    [sym_super] = ACTIONS(3503),
    [sym_true] = ACTIONS(3503),
    [sym_false] = ACTIONS(3503),
    [sym_null] = ACTIONS(3503),
    [sym_undefined] = ACTIONS(3503),
    [anon_sym_AT] = ACTIONS(3501),
    [anon_sym_get] = ACTIONS(3503),
    [anon_sym_set] = ACTIONS(3503),
  },
  [1280] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1281] = {
    [sym_parenthesized_expression] = STATE(1483),
    [sym__expression] = STATE(1483),
    [sym_yield_expression] = STATE(1483),
    [sym_object] = STATE(252),
    [sym_array] = STATE(253),
    [sym_jsx_element] = STATE(1483),
    [sym_jsx_fragment] = STATE(1483),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1483),
    [sym_anonymous_class] = STATE(1483),
    [sym_class] = STATE(1483),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1483),
    [sym_generator_function] = STATE(1483),
    [sym_call_expression] = STATE(1483),
    [sym_new_expression] = STATE(1483),
    [sym_await_expression] = STATE(1483),
    [sym_member_expression] = STATE(254),
    [sym_subscript_expression] = STATE(254),
    [sym_assignment_expression] = STATE(1483),
    [sym_augmented_assignment_expression] = STATE(1483),
    [sym_ternary_expression] = STATE(1483),
    [sym_binary_expression] = STATE(1483),
    [sym_unary_expression] = STATE(1483),
    [sym_update_expression] = STATE(1483),
    [sym_template_string] = STATE(1483),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(255),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(412),
    [anon_sym_new] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(420),
    [anon_sym_TILDE] = ACTIONS(420),
    [anon_sym_typeof] = ACTIONS(418),
    [anon_sym_void] = ACTIONS(418),
    [anon_sym_delete] = ACTIONS(418),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3505),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3507),
    [sym_number] = ACTIONS(3505),
    [sym_identifier] = ACTIONS(428),
    [sym_this] = ACTIONS(3507),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3507),
    [sym_false] = ACTIONS(3507),
    [sym_null] = ACTIONS(3507),
    [sym_undefined] = ACTIONS(3507),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
  },
  [1282] = {
    [sym__automatic_semicolon] = ACTIONS(3509),
    [anon_sym_from] = ACTIONS(3509),
    [anon_sym_SEMI] = ACTIONS(3509),
    [sym_comment] = ACTIONS(71),
  },
  [1283] = {
    [sym__import_export_specifier] = STATE(996),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(436),
  },
  [1284] = {
    [sym__automatic_semicolon] = ACTIONS(2742),
    [ts_builtin_sym_end] = ACTIONS(2742),
    [anon_sym_export] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_import] = ACTIONS(2744),
    [anon_sym_var] = ACTIONS(2744),
    [anon_sym_let] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_debugger] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_async] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2744),
    [anon_sym_EQ_GT] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_await] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2744),
    [anon_sym_void] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2742),
    [anon_sym_BQUOTE] = ACTIONS(2742),
    [sym_regex] = ACTIONS(2744),
    [sym_number] = ACTIONS(2742),
    [sym_identifier] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
    [sym_super] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [sym_null] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_get] = ACTIONS(2744),
    [anon_sym_set] = ACTIONS(2744),
  },
  [1285] = {
    [sym__automatic_semicolon] = ACTIONS(3423),
    [ts_builtin_sym_end] = ACTIONS(3423),
    [anon_sym_export] = ACTIONS(3425),
    [anon_sym_default] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_import] = ACTIONS(3425),
    [anon_sym_var] = ACTIONS(3425),
    [anon_sym_let] = ACTIONS(3425),
    [anon_sym_const] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(3425),
    [anon_sym_else] = ACTIONS(3425),
    [anon_sym_switch] = ACTIONS(3425),
    [anon_sym_for] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3425),
    [anon_sym_do] = ACTIONS(3425),
    [anon_sym_try] = ACTIONS(3425),
    [anon_sym_with] = ACTIONS(3425),
    [anon_sym_break] = ACTIONS(3425),
    [anon_sym_continue] = ACTIONS(3425),
    [anon_sym_debugger] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3425),
    [anon_sym_throw] = ACTIONS(3425),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_case] = ACTIONS(3425),
    [anon_sym_yield] = ACTIONS(3425),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3425),
    [anon_sym_async] = ACTIONS(3425),
    [anon_sym_function] = ACTIONS(3425),
    [anon_sym_EQ_GT] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3425),
    [anon_sym_await] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_BANG] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3425),
    [anon_sym_void] = ACTIONS(3425),
    [anon_sym_delete] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3423),
    [anon_sym_BQUOTE] = ACTIONS(3423),
    [sym_regex] = ACTIONS(3425),
    [sym_number] = ACTIONS(3423),
    [sym_identifier] = ACTIONS(3425),
    [sym_this] = ACTIONS(3425),
    [sym_super] = ACTIONS(3425),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [sym_null] = ACTIONS(3425),
    [sym_undefined] = ACTIONS(3425),
    [anon_sym_AT] = ACTIONS(3423),
    [anon_sym_get] = ACTIONS(3425),
    [anon_sym_set] = ACTIONS(3425),
  },
  [1286] = {
    [sym__automatic_semicolon] = ACTIONS(3427),
    [ts_builtin_sym_end] = ACTIONS(3427),
    [anon_sym_export] = ACTIONS(3429),
    [anon_sym_default] = ACTIONS(3429),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_import] = ACTIONS(3429),
    [anon_sym_var] = ACTIONS(3429),
    [anon_sym_let] = ACTIONS(3429),
    [anon_sym_const] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(3429),
    [anon_sym_else] = ACTIONS(3429),
    [anon_sym_switch] = ACTIONS(3429),
    [anon_sym_for] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3429),
    [anon_sym_do] = ACTIONS(3429),
    [anon_sym_try] = ACTIONS(3429),
    [anon_sym_with] = ACTIONS(3429),
    [anon_sym_break] = ACTIONS(3429),
    [anon_sym_continue] = ACTIONS(3429),
    [anon_sym_debugger] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3429),
    [anon_sym_throw] = ACTIONS(3429),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_case] = ACTIONS(3429),
    [anon_sym_yield] = ACTIONS(3429),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3429),
    [anon_sym_async] = ACTIONS(3429),
    [anon_sym_function] = ACTIONS(3429),
    [anon_sym_EQ_GT] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3429),
    [anon_sym_await] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_BANG] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3429),
    [anon_sym_void] = ACTIONS(3429),
    [anon_sym_delete] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3427),
    [anon_sym_BQUOTE] = ACTIONS(3427),
    [sym_regex] = ACTIONS(3429),
    [sym_number] = ACTIONS(3427),
    [sym_identifier] = ACTIONS(3429),
    [sym_this] = ACTIONS(3429),
    [sym_super] = ACTIONS(3429),
    [sym_true] = ACTIONS(3429),
    [sym_false] = ACTIONS(3429),
    [sym_null] = ACTIONS(3429),
    [sym_undefined] = ACTIONS(3429),
    [anon_sym_AT] = ACTIONS(3427),
    [anon_sym_get] = ACTIONS(3429),
    [anon_sym_set] = ACTIONS(3429),
  },
  [1287] = {
    [sym__automatic_semicolon] = ACTIONS(1526),
    [ts_builtin_sym_end] = ACTIONS(1526),
    [anon_sym_export] = ACTIONS(1528),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_import] = ACTIONS(1528),
    [anon_sym_var] = ACTIONS(1528),
    [anon_sym_let] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_else] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_while] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
    [anon_sym_try] = ACTIONS(1528),
    [anon_sym_with] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_debugger] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_throw] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_yield] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_LT] = ACTIONS(1526),
    [anon_sym_class] = ACTIONS(1528),
    [anon_sym_async] = ACTIONS(1528),
    [anon_sym_function] = ACTIONS(1528),
    [anon_sym_EQ_GT] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1528),
    [anon_sym_await] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1528),
    [anon_sym_delete] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [sym_regex] = ACTIONS(1528),
    [sym_number] = ACTIONS(1526),
    [sym_identifier] = ACTIONS(1528),
    [sym_this] = ACTIONS(1528),
    [sym_super] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [sym_false] = ACTIONS(1528),
    [sym_null] = ACTIONS(1528),
    [sym_undefined] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1526),
    [anon_sym_get] = ACTIONS(1528),
    [anon_sym_set] = ACTIONS(1528),
  },
  [1288] = {
    [sym__automatic_semicolon] = ACTIONS(3501),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [anon_sym_export] = ACTIONS(3503),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_import] = ACTIONS(3503),
    [anon_sym_var] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_else] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_LPAREN] = ACTIONS(3501),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_with] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_debugger] = ACTIONS(3503),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym_case] = ACTIONS(3503),
    [anon_sym_yield] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_LT] = ACTIONS(3501),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_async] = ACTIONS(3503),
    [anon_sym_function] = ACTIONS(3503),
    [anon_sym_EQ_GT] = ACTIONS(3501),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_await] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_typeof] = ACTIONS(3503),
    [anon_sym_void] = ACTIONS(3503),
    [anon_sym_delete] = ACTIONS(3503),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3501),
    [anon_sym_BQUOTE] = ACTIONS(3501),
    [sym_regex] = ACTIONS(3503),
    [sym_number] = ACTIONS(3501),
    [sym_identifier] = ACTIONS(3503),
    [sym_this] = ACTIONS(3503),
    [sym_super] = ACTIONS(3503),
    [sym_true] = ACTIONS(3503),
    [sym_false] = ACTIONS(3503),
    [sym_null] = ACTIONS(3503),
    [sym_undefined] = ACTIONS(3503),
    [anon_sym_AT] = ACTIONS(3501),
    [anon_sym_get] = ACTIONS(3503),
    [anon_sym_set] = ACTIONS(3503),
  },
  [1289] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2001),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1290] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2003),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1291] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2007),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1292] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1484),
    [sym__expression] = STATE(1484),
    [sym_yield_expression] = STATE(1484),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1484),
    [sym_jsx_fragment] = STATE(1484),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1484),
    [sym_anonymous_class] = STATE(1484),
    [sym_class] = STATE(1484),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1484),
    [sym_generator_function] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_new_expression] = STATE(1484),
    [sym_await_expression] = STATE(1484),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1484),
    [sym_augmented_assignment_expression] = STATE(1484),
    [sym_ternary_expression] = STATE(1484),
    [sym_binary_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1484),
    [sym_update_expression] = STATE(1484),
    [sym_template_string] = STATE(1484),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3511),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3513),
    [sym_number] = ACTIONS(3511),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(3513),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3513),
    [sym_false] = ACTIONS(3513),
    [sym_null] = ACTIONS(3513),
    [sym_undefined] = ACTIONS(3513),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1293] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1294] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2049),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1295] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1296] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1297] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1298] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1299] = {
    [anon_sym_COMMA] = ACTIONS(2323),
    [anon_sym_RPAREN] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2323),
    [sym_comment] = ACTIONS(71),
  },
  [1300] = {
    [anon_sym_COMMA] = ACTIONS(2401),
    [anon_sym_RPAREN] = ACTIONS(2401),
    [anon_sym_EQ] = ACTIONS(2401),
    [sym_comment] = ACTIONS(71),
  },
  [1301] = {
    [aux_sym_object_repeat1] = STATE(321),
    [anon_sym_COMMA] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(3517),
    [sym_comment] = ACTIONS(71),
  },
  [1302] = {
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_RPAREN] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2665),
    [sym_comment] = ACTIONS(71),
  },
  [1303] = {
    [anon_sym_export] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(1600),
    [anon_sym_let] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(3519),
    [anon_sym_switch] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_while] = ACTIONS(1600),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_try] = ACTIONS(1600),
    [anon_sym_with] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_debugger] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_yield] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_class] = ACTIONS(1600),
    [anon_sym_async] = ACTIONS(1600),
    [anon_sym_function] = ACTIONS(1600),
    [anon_sym_EQ_GT] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1600),
    [anon_sym_await] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_void] = ACTIONS(1600),
    [anon_sym_delete] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [sym_regex] = ACTIONS(1600),
    [sym_number] = ACTIONS(1598),
    [sym_identifier] = ACTIONS(1600),
    [sym_this] = ACTIONS(1600),
    [sym_super] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [sym_null] = ACTIONS(1600),
    [sym_undefined] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1600),
    [anon_sym_set] = ACTIONS(1600),
  },
  [1304] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(1489),
    [sym_array] = STATE(1490),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3521),
  },
  [1305] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(1489),
    [sym_array] = STATE(1490),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3521),
  },
  [1306] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3523),
    [anon_sym_of] = ACTIONS(3525),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1307] = {
    [sym_expression_statement] = STATE(1493),
    [sym_empty_statement] = STATE(1493),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1308] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_of] = ACTIONS(3529),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1309] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3531),
    [anon_sym_of] = ACTIONS(3533),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1310] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1498),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1498),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1311] = {
    [sym_parenthesized_expression] = STATE(1499),
    [sym__expression] = STATE(1499),
    [sym_yield_expression] = STATE(1499),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1499),
    [sym_jsx_fragment] = STATE(1499),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1499),
    [sym_anonymous_class] = STATE(1499),
    [sym_class] = STATE(1499),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1499),
    [sym_generator_function] = STATE(1499),
    [sym_call_expression] = STATE(1499),
    [sym_new_expression] = STATE(1499),
    [sym_await_expression] = STATE(1499),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1499),
    [sym_augmented_assignment_expression] = STATE(1499),
    [sym_ternary_expression] = STATE(1499),
    [sym_binary_expression] = STATE(1499),
    [sym_unary_expression] = STATE(1499),
    [sym_update_expression] = STATE(1499),
    [sym_template_string] = STATE(1499),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3535),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3537),
    [sym_number] = ACTIONS(3535),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3537),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3537),
    [sym_false] = ACTIONS(3537),
    [sym_null] = ACTIONS(3537),
    [sym_undefined] = ACTIONS(3537),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1312] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1500),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1500),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1313] = {
    [sym_parenthesized_expression] = STATE(1501),
    [sym__expression] = STATE(1501),
    [sym_yield_expression] = STATE(1501),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1501),
    [sym_jsx_fragment] = STATE(1501),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1501),
    [sym_anonymous_class] = STATE(1501),
    [sym_class] = STATE(1501),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1501),
    [sym_generator_function] = STATE(1501),
    [sym_call_expression] = STATE(1501),
    [sym_new_expression] = STATE(1501),
    [sym_await_expression] = STATE(1501),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1501),
    [sym_augmented_assignment_expression] = STATE(1501),
    [sym_ternary_expression] = STATE(1501),
    [sym_binary_expression] = STATE(1501),
    [sym_unary_expression] = STATE(1501),
    [sym_update_expression] = STATE(1501),
    [sym_template_string] = STATE(1501),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3539),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3541),
    [sym_number] = ACTIONS(3539),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3541),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3541),
    [sym_false] = ACTIONS(3541),
    [sym_null] = ACTIONS(3541),
    [sym_undefined] = ACTIONS(3541),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1314] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1502),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1502),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1315] = {
    [sym_parenthesized_expression] = STATE(1503),
    [sym__expression] = STATE(1503),
    [sym_yield_expression] = STATE(1503),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1503),
    [sym_jsx_fragment] = STATE(1503),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1503),
    [sym_anonymous_class] = STATE(1503),
    [sym_class] = STATE(1503),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1503),
    [sym_generator_function] = STATE(1503),
    [sym_call_expression] = STATE(1503),
    [sym_new_expression] = STATE(1503),
    [sym_await_expression] = STATE(1503),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1503),
    [sym_augmented_assignment_expression] = STATE(1503),
    [sym_ternary_expression] = STATE(1503),
    [sym_binary_expression] = STATE(1503),
    [sym_unary_expression] = STATE(1503),
    [sym_update_expression] = STATE(1503),
    [sym_template_string] = STATE(1503),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3543),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3545),
    [sym_number] = ACTIONS(3543),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3545),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3545),
    [sym_false] = ACTIONS(3545),
    [sym_null] = ACTIONS(3545),
    [sym_undefined] = ACTIONS(3545),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1316] = {
    [anon_sym_RPAREN] = ACTIONS(3547),
    [sym_comment] = ACTIONS(71),
  },
  [1317] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3549),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1318] = {
    [sym_export_statement] = STATE(1408),
    [sym__declaration] = STATE(1408),
    [sym_import_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1408),
    [sym_variable_declaration] = STATE(1408),
    [sym_lexical_declaration] = STATE(1408),
    [sym_statement_block] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_for_statement] = STATE(1408),
    [sym_for_in_statement] = STATE(1408),
    [sym_for_of_statement] = STATE(1408),
    [sym_while_statement] = STATE(1408),
    [sym_do_statement] = STATE(1408),
    [sym_try_statement] = STATE(1408),
    [sym_with_statement] = STATE(1408),
    [sym_break_statement] = STATE(1408),
    [sym_continue_statement] = STATE(1408),
    [sym_debugger_statement] = STATE(1408),
    [sym_return_statement] = STATE(1408),
    [sym_throw_statement] = STATE(1408),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1408),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1319] = {
    [anon_sym_RPAREN] = ACTIONS(3551),
    [sym_comment] = ACTIONS(71),
  },
  [1320] = {
    [anon_sym_RPAREN] = ACTIONS(3553),
    [sym_comment] = ACTIONS(71),
  },
  [1321] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3555),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1322] = {
    [anon_sym_RPAREN] = ACTIONS(3557),
    [sym_comment] = ACTIONS(71),
  },
  [1323] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3559),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1324] = {
    [anon_sym_STAR] = ACTIONS(3561),
    [anon_sym_COMMA] = ACTIONS(3561),
    [anon_sym_RBRACE] = ACTIONS(3561),
    [anon_sym_SEMI] = ACTIONS(3561),
    [anon_sym_LBRACK] = ACTIONS(3561),
    [anon_sym_async] = ACTIONS(3563),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3561),
    [sym_number] = ACTIONS(3561),
    [sym_identifier] = ACTIONS(3563),
    [anon_sym_AT] = ACTIONS(3561),
    [anon_sym_static] = ACTIONS(3563),
    [anon_sym_get] = ACTIONS(3563),
    [anon_sym_set] = ACTIONS(3563),
  },
  [1325] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1326] = {
    [sym_parenthesized_expression] = STATE(1511),
    [sym__expression] = STATE(1511),
    [sym_yield_expression] = STATE(1511),
    [sym_object] = STATE(300),
    [sym_array] = STATE(301),
    [sym_jsx_element] = STATE(1511),
    [sym_jsx_fragment] = STATE(1511),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1511),
    [sym_anonymous_class] = STATE(1511),
    [sym_class] = STATE(1511),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1511),
    [sym_generator_function] = STATE(1511),
    [sym_call_expression] = STATE(1511),
    [sym_new_expression] = STATE(1511),
    [sym_await_expression] = STATE(1511),
    [sym_member_expression] = STATE(302),
    [sym_subscript_expression] = STATE(302),
    [sym_assignment_expression] = STATE(1511),
    [sym_augmented_assignment_expression] = STATE(1511),
    [sym_ternary_expression] = STATE(1511),
    [sym_binary_expression] = STATE(1511),
    [sym_unary_expression] = STATE(1511),
    [sym_update_expression] = STATE(1511),
    [sym_template_string] = STATE(1511),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(303),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(518),
    [anon_sym_void] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(518),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3565),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3567),
    [sym_number] = ACTIONS(3565),
    [sym_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(3567),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3567),
    [sym_false] = ACTIONS(3567),
    [sym_null] = ACTIONS(3567),
    [sym_undefined] = ACTIONS(3567),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
  },
  [1327] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_RBRACE] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1328] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2007),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1329] = {
    [sym_statement_block] = STATE(922),
    [sym_parenthesized_expression] = STATE(1512),
    [sym__expression] = STATE(1512),
    [sym_yield_expression] = STATE(1512),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1512),
    [sym_jsx_fragment] = STATE(1512),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1512),
    [sym_anonymous_class] = STATE(1512),
    [sym_class] = STATE(1512),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1512),
    [sym_generator_function] = STATE(1512),
    [sym_call_expression] = STATE(1512),
    [sym_new_expression] = STATE(1512),
    [sym_await_expression] = STATE(1512),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1512),
    [sym_augmented_assignment_expression] = STATE(1512),
    [sym_ternary_expression] = STATE(1512),
    [sym_binary_expression] = STATE(1512),
    [sym_unary_expression] = STATE(1512),
    [sym_update_expression] = STATE(1512),
    [sym_template_string] = STATE(1512),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3569),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3571),
    [sym_number] = ACTIONS(3569),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3571),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3571),
    [sym_false] = ACTIONS(3571),
    [sym_null] = ACTIONS(3571),
    [sym_undefined] = ACTIONS(3571),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1330] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1331] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2049),
    [anon_sym_RBRACE] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1332] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1333] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1334] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1335] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1336] = {
    [anon_sym_from] = ACTIONS(3575),
    [sym_comment] = ACTIONS(71),
  },
  [1337] = {
    [sym__import_export_specifier] = STATE(1075),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(436),
  },
  [1338] = {
    [sym__automatic_semicolon] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_of] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [sym_comment] = ACTIONS(71),
  },
  [1339] = {
    [sym_export_statement] = STATE(1089),
    [sym__declaration] = STATE(1089),
    [sym_import_statement] = STATE(1089),
    [sym_expression_statement] = STATE(1089),
    [sym_variable_declaration] = STATE(1089),
    [sym_lexical_declaration] = STATE(1089),
    [sym_statement_block] = STATE(1089),
    [sym_if_statement] = STATE(1089),
    [sym_switch_statement] = STATE(1089),
    [sym_for_statement] = STATE(1089),
    [sym_for_in_statement] = STATE(1089),
    [sym_for_of_statement] = STATE(1089),
    [sym_while_statement] = STATE(1089),
    [sym_do_statement] = STATE(1089),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1089),
    [sym_break_statement] = STATE(1089),
    [sym_continue_statement] = STATE(1089),
    [sym_debugger_statement] = STATE(1089),
    [sym_return_statement] = STATE(1089),
    [sym_throw_statement] = STATE(1089),
    [sym_empty_statement] = STATE(1089),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1340] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(3577),
    [anon_sym_of] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1341] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(3581),
    [anon_sym_of] = ACTIONS(3583),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1342] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_in] = ACTIONS(3585),
    [anon_sym_of] = ACTIONS(3587),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1343] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1520),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1520),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1344] = {
    [sym_parenthesized_expression] = STATE(1521),
    [sym__expression] = STATE(1521),
    [sym_yield_expression] = STATE(1521),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1521),
    [sym_jsx_fragment] = STATE(1521),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1521),
    [sym_anonymous_class] = STATE(1521),
    [sym_class] = STATE(1521),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1521),
    [sym_generator_function] = STATE(1521),
    [sym_call_expression] = STATE(1521),
    [sym_new_expression] = STATE(1521),
    [sym_await_expression] = STATE(1521),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1521),
    [sym_augmented_assignment_expression] = STATE(1521),
    [sym_ternary_expression] = STATE(1521),
    [sym_binary_expression] = STATE(1521),
    [sym_unary_expression] = STATE(1521),
    [sym_update_expression] = STATE(1521),
    [sym_template_string] = STATE(1521),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3589),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3591),
    [sym_number] = ACTIONS(3589),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3591),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3591),
    [sym_false] = ACTIONS(3591),
    [sym_null] = ACTIONS(3591),
    [sym_undefined] = ACTIONS(3591),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1345] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1523),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1523),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(3593),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1346] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1524),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1524),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1347] = {
    [sym_parenthesized_expression] = STATE(1525),
    [sym__expression] = STATE(1525),
    [sym_yield_expression] = STATE(1525),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1525),
    [sym_jsx_fragment] = STATE(1525),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1525),
    [sym_anonymous_class] = STATE(1525),
    [sym_class] = STATE(1525),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1525),
    [sym_generator_function] = STATE(1525),
    [sym_call_expression] = STATE(1525),
    [sym_new_expression] = STATE(1525),
    [sym_await_expression] = STATE(1525),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1525),
    [sym_augmented_assignment_expression] = STATE(1525),
    [sym_ternary_expression] = STATE(1525),
    [sym_binary_expression] = STATE(1525),
    [sym_unary_expression] = STATE(1525),
    [sym_update_expression] = STATE(1525),
    [sym_template_string] = STATE(1525),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3595),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3597),
    [sym_number] = ACTIONS(3595),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3597),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3597),
    [sym_false] = ACTIONS(3597),
    [sym_null] = ACTIONS(3597),
    [sym_undefined] = ACTIONS(3597),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1348] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1526),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1526),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1349] = {
    [sym_parenthesized_expression] = STATE(1527),
    [sym__expression] = STATE(1527),
    [sym_yield_expression] = STATE(1527),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1527),
    [sym_jsx_fragment] = STATE(1527),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1527),
    [sym_anonymous_class] = STATE(1527),
    [sym_class] = STATE(1527),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1527),
    [sym_generator_function] = STATE(1527),
    [sym_call_expression] = STATE(1527),
    [sym_new_expression] = STATE(1527),
    [sym_await_expression] = STATE(1527),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1527),
    [sym_augmented_assignment_expression] = STATE(1527),
    [sym_ternary_expression] = STATE(1527),
    [sym_binary_expression] = STATE(1527),
    [sym_unary_expression] = STATE(1527),
    [sym_update_expression] = STATE(1527),
    [sym_template_string] = STATE(1527),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3599),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3601),
    [sym_number] = ACTIONS(3599),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3601),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3601),
    [sym_false] = ACTIONS(3601),
    [sym_null] = ACTIONS(3601),
    [sym_undefined] = ACTIONS(3601),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1350] = {
    [sym_parenthesized_expression] = STATE(1528),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [1351] = {
    [anon_sym_LPAREN] = ACTIONS(3603),
    [sym_comment] = ACTIONS(71),
  },
  [1352] = {
    [sym_parenthesized_expression] = STATE(1530),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [1353] = {
    [sym_parenthesized_expression] = STATE(1531),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [1354] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(3605),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1355] = {
    [sym_export_statement] = STATE(1533),
    [sym__declaration] = STATE(1533),
    [sym_import_statement] = STATE(1533),
    [sym_expression_statement] = STATE(1533),
    [sym_variable_declaration] = STATE(1533),
    [sym_lexical_declaration] = STATE(1533),
    [sym_statement_block] = STATE(1533),
    [sym_if_statement] = STATE(1533),
    [sym_switch_statement] = STATE(1533),
    [sym_for_statement] = STATE(1533),
    [sym_for_in_statement] = STATE(1533),
    [sym_for_of_statement] = STATE(1533),
    [sym_while_statement] = STATE(1533),
    [sym_do_statement] = STATE(1533),
    [sym_try_statement] = STATE(1533),
    [sym_with_statement] = STATE(1533),
    [sym_break_statement] = STATE(1533),
    [sym_continue_statement] = STATE(1533),
    [sym_debugger_statement] = STATE(1533),
    [sym_return_statement] = STATE(1533),
    [sym_throw_statement] = STATE(1533),
    [sym_empty_statement] = STATE(1533),
    [sym_labeled_statement] = STATE(1533),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(1533),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_default] = ACTIONS(3607),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(3609),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_case] = ACTIONS(3607),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1356] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1357] = {
    [sym_parenthesized_expression] = STATE(1534),
    [sym__expression] = STATE(1534),
    [sym_yield_expression] = STATE(1534),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1534),
    [sym_jsx_fragment] = STATE(1534),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1534),
    [sym_anonymous_class] = STATE(1534),
    [sym_class] = STATE(1534),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1534),
    [sym_generator_function] = STATE(1534),
    [sym_call_expression] = STATE(1534),
    [sym_new_expression] = STATE(1534),
    [sym_await_expression] = STATE(1534),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1534),
    [sym_augmented_assignment_expression] = STATE(1534),
    [sym_ternary_expression] = STATE(1534),
    [sym_binary_expression] = STATE(1534),
    [sym_unary_expression] = STATE(1534),
    [sym_update_expression] = STATE(1534),
    [sym_template_string] = STATE(1534),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3611),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3613),
    [sym_number] = ACTIONS(3611),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3613),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3613),
    [sym_false] = ACTIONS(3613),
    [sym_null] = ACTIONS(3613),
    [sym_undefined] = ACTIONS(3613),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1358] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(1535),
    [sym__expression] = STATE(1535),
    [sym_yield_expression] = STATE(1535),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1535),
    [sym_jsx_fragment] = STATE(1535),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1535),
    [sym_anonymous_class] = STATE(1535),
    [sym_class] = STATE(1535),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1535),
    [sym_generator_function] = STATE(1535),
    [sym_call_expression] = STATE(1535),
    [sym_new_expression] = STATE(1535),
    [sym_await_expression] = STATE(1535),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1535),
    [sym_augmented_assignment_expression] = STATE(1535),
    [sym_ternary_expression] = STATE(1535),
    [sym_binary_expression] = STATE(1535),
    [sym_unary_expression] = STATE(1535),
    [sym_update_expression] = STATE(1535),
    [sym_template_string] = STATE(1535),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3615),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3617),
    [sym_number] = ACTIONS(3615),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3617),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3617),
    [sym_false] = ACTIONS(3617),
    [sym_null] = ACTIONS(3617),
    [sym_undefined] = ACTIONS(3617),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1359] = {
    [sym_parenthesized_expression] = STATE(1536),
    [sym__expression] = STATE(1536),
    [sym_yield_expression] = STATE(1536),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1536),
    [sym_jsx_fragment] = STATE(1536),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1536),
    [sym_anonymous_class] = STATE(1536),
    [sym_class] = STATE(1536),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1536),
    [sym_generator_function] = STATE(1536),
    [sym_call_expression] = STATE(1536),
    [sym_new_expression] = STATE(1536),
    [sym_await_expression] = STATE(1536),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1536),
    [sym_augmented_assignment_expression] = STATE(1536),
    [sym_ternary_expression] = STATE(1536),
    [sym_binary_expression] = STATE(1536),
    [sym_unary_expression] = STATE(1536),
    [sym_update_expression] = STATE(1536),
    [sym_template_string] = STATE(1536),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3619),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3621),
    [sym_number] = ACTIONS(3619),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3621),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3621),
    [sym_false] = ACTIONS(3621),
    [sym_null] = ACTIONS(3621),
    [sym_undefined] = ACTIONS(3621),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1360] = {
    [anon_sym_EQ_GT] = ACTIONS(3623),
    [sym_comment] = ACTIONS(71),
  },
  [1361] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1362] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1363] = {
    [sym_parenthesized_expression] = STATE(1538),
    [sym__expression] = STATE(1538),
    [sym_yield_expression] = STATE(1538),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1538),
    [sym_jsx_fragment] = STATE(1538),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1538),
    [sym_anonymous_class] = STATE(1538),
    [sym_class] = STATE(1538),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1538),
    [sym_generator_function] = STATE(1538),
    [sym_call_expression] = STATE(1538),
    [sym_new_expression] = STATE(1538),
    [sym_await_expression] = STATE(1538),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1538),
    [sym_augmented_assignment_expression] = STATE(1538),
    [sym_ternary_expression] = STATE(1538),
    [sym_binary_expression] = STATE(1538),
    [sym_unary_expression] = STATE(1538),
    [sym_update_expression] = STATE(1538),
    [sym_template_string] = STATE(1538),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3625),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3627),
    [sym_number] = ACTIONS(3625),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3627),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3627),
    [sym_false] = ACTIONS(3627),
    [sym_null] = ACTIONS(3627),
    [sym_undefined] = ACTIONS(3627),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1364] = {
    [sym_parenthesized_expression] = STATE(1539),
    [sym__expression] = STATE(1539),
    [sym_yield_expression] = STATE(1539),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1539),
    [sym_jsx_fragment] = STATE(1539),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1539),
    [sym_anonymous_class] = STATE(1539),
    [sym_class] = STATE(1539),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1539),
    [sym_generator_function] = STATE(1539),
    [sym_call_expression] = STATE(1539),
    [sym_new_expression] = STATE(1539),
    [sym_await_expression] = STATE(1539),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1539),
    [sym_augmented_assignment_expression] = STATE(1539),
    [sym_ternary_expression] = STATE(1539),
    [sym_binary_expression] = STATE(1539),
    [sym_unary_expression] = STATE(1539),
    [sym_update_expression] = STATE(1539),
    [sym_template_string] = STATE(1539),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3629),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3631),
    [sym_number] = ACTIONS(3629),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3631),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3631),
    [sym_false] = ACTIONS(3631),
    [sym_null] = ACTIONS(3631),
    [sym_undefined] = ACTIONS(3631),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1365] = {
    [sym_export_statement] = STATE(1540),
    [sym__declaration] = STATE(1540),
    [sym_import_statement] = STATE(1540),
    [sym_expression_statement] = STATE(1540),
    [sym_variable_declaration] = STATE(1540),
    [sym_lexical_declaration] = STATE(1540),
    [sym_statement_block] = STATE(1540),
    [sym_if_statement] = STATE(1540),
    [sym_switch_statement] = STATE(1540),
    [sym_for_statement] = STATE(1540),
    [sym_for_in_statement] = STATE(1540),
    [sym_for_of_statement] = STATE(1540),
    [sym_while_statement] = STATE(1540),
    [sym_do_statement] = STATE(1540),
    [sym_try_statement] = STATE(1540),
    [sym_with_statement] = STATE(1540),
    [sym_break_statement] = STATE(1540),
    [sym_continue_statement] = STATE(1540),
    [sym_debugger_statement] = STATE(1540),
    [sym_return_statement] = STATE(1540),
    [sym_throw_statement] = STATE(1540),
    [sym_empty_statement] = STATE(1540),
    [sym_labeled_statement] = STATE(1540),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(1540),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_default] = ACTIONS(3633),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(3635),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_case] = ACTIONS(3633),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1366] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1367] = {
    [sym_parenthesized_expression] = STATE(1541),
    [sym__expression] = STATE(1541),
    [sym_yield_expression] = STATE(1541),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1541),
    [sym_jsx_fragment] = STATE(1541),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1541),
    [sym_anonymous_class] = STATE(1541),
    [sym_class] = STATE(1541),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1541),
    [sym_generator_function] = STATE(1541),
    [sym_call_expression] = STATE(1541),
    [sym_new_expression] = STATE(1541),
    [sym_await_expression] = STATE(1541),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1541),
    [sym_augmented_assignment_expression] = STATE(1541),
    [sym_ternary_expression] = STATE(1541),
    [sym_binary_expression] = STATE(1541),
    [sym_unary_expression] = STATE(1541),
    [sym_update_expression] = STATE(1541),
    [sym_sequence_expression] = STATE(819),
    [sym_template_string] = STATE(1541),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3637),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3639),
    [sym_number] = ACTIONS(3637),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3639),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3639),
    [sym_false] = ACTIONS(3639),
    [sym_null] = ACTIONS(3639),
    [sym_undefined] = ACTIONS(3639),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1368] = {
    [sym_parenthesized_expression] = STATE(1542),
    [sym__expression] = STATE(1542),
    [sym_yield_expression] = STATE(1542),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1542),
    [sym_jsx_fragment] = STATE(1542),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1542),
    [sym_anonymous_class] = STATE(1542),
    [sym_class] = STATE(1542),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1542),
    [sym_generator_function] = STATE(1542),
    [sym_call_expression] = STATE(1542),
    [sym_new_expression] = STATE(1542),
    [sym_await_expression] = STATE(1542),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1542),
    [sym_augmented_assignment_expression] = STATE(1542),
    [sym_ternary_expression] = STATE(1542),
    [sym_binary_expression] = STATE(1542),
    [sym_unary_expression] = STATE(1542),
    [sym_update_expression] = STATE(1542),
    [sym_template_string] = STATE(1542),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3641),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3643),
    [sym_number] = ACTIONS(3641),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(3643),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3643),
    [sym_false] = ACTIONS(3643),
    [sym_null] = ACTIONS(3643),
    [sym_undefined] = ACTIONS(3643),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [1369] = {
    [sym_parenthesized_expression] = STATE(1543),
    [sym__expression] = STATE(1543),
    [sym_yield_expression] = STATE(1543),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1543),
    [sym_jsx_fragment] = STATE(1543),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1543),
    [sym_anonymous_class] = STATE(1543),
    [sym_class] = STATE(1543),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1543),
    [sym_generator_function] = STATE(1543),
    [sym_call_expression] = STATE(1543),
    [sym_new_expression] = STATE(1543),
    [sym_await_expression] = STATE(1543),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1543),
    [sym_augmented_assignment_expression] = STATE(1543),
    [sym_ternary_expression] = STATE(1543),
    [sym_binary_expression] = STATE(1543),
    [sym_unary_expression] = STATE(1543),
    [sym_update_expression] = STATE(1543),
    [sym_template_string] = STATE(1543),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3645),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3647),
    [sym_number] = ACTIONS(3645),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3647),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3647),
    [sym_false] = ACTIONS(3647),
    [sym_null] = ACTIONS(3647),
    [sym_undefined] = ACTIONS(3647),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1370] = {
    [sym_parenthesized_expression] = STATE(1544),
    [sym__expression] = STATE(1544),
    [sym_yield_expression] = STATE(1544),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1544),
    [sym_jsx_fragment] = STATE(1544),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1544),
    [sym_anonymous_class] = STATE(1544),
    [sym_class] = STATE(1544),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1544),
    [sym_generator_function] = STATE(1544),
    [sym_call_expression] = STATE(1544),
    [sym_new_expression] = STATE(1544),
    [sym_await_expression] = STATE(1544),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1544),
    [sym_augmented_assignment_expression] = STATE(1544),
    [sym_ternary_expression] = STATE(1544),
    [sym_binary_expression] = STATE(1544),
    [sym_unary_expression] = STATE(1544),
    [sym_update_expression] = STATE(1544),
    [sym_template_string] = STATE(1544),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3649),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3651),
    [sym_number] = ACTIONS(3649),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3651),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3651),
    [sym_false] = ACTIONS(3651),
    [sym_null] = ACTIONS(3651),
    [sym_undefined] = ACTIONS(3651),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1371] = {
    [sym_parenthesized_expression] = STATE(1545),
    [sym__expression] = STATE(1545),
    [sym_yield_expression] = STATE(1545),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1545),
    [sym_jsx_fragment] = STATE(1545),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1545),
    [sym_anonymous_class] = STATE(1545),
    [sym_class] = STATE(1545),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1545),
    [sym_generator_function] = STATE(1545),
    [sym_call_expression] = STATE(1545),
    [sym_new_expression] = STATE(1545),
    [sym_await_expression] = STATE(1545),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1545),
    [sym_augmented_assignment_expression] = STATE(1545),
    [sym_ternary_expression] = STATE(1545),
    [sym_binary_expression] = STATE(1545),
    [sym_unary_expression] = STATE(1545),
    [sym_update_expression] = STATE(1545),
    [sym_template_string] = STATE(1545),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3653),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3655),
    [sym_number] = ACTIONS(3653),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3655),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3655),
    [sym_false] = ACTIONS(3655),
    [sym_null] = ACTIONS(3655),
    [sym_undefined] = ACTIONS(3655),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1372] = {
    [anon_sym_RPAREN] = ACTIONS(3657),
    [sym_comment] = ACTIONS(71),
  },
  [1373] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3659),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1374] = {
    [anon_sym_RPAREN] = ACTIONS(3661),
    [sym_comment] = ACTIONS(71),
  },
  [1375] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3663),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1376] = {
    [anon_sym_RPAREN] = ACTIONS(3665),
    [sym_comment] = ACTIONS(71),
  },
  [1377] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3667),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1378] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1379] = {
    [sym_parenthesized_expression] = STATE(1552),
    [sym__expression] = STATE(1552),
    [sym_yield_expression] = STATE(1552),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1552),
    [sym_jsx_fragment] = STATE(1552),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1552),
    [sym_anonymous_class] = STATE(1552),
    [sym_class] = STATE(1552),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1552),
    [sym_generator_function] = STATE(1552),
    [sym_call_expression] = STATE(1552),
    [sym_new_expression] = STATE(1552),
    [sym_await_expression] = STATE(1552),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1552),
    [sym_augmented_assignment_expression] = STATE(1552),
    [sym_ternary_expression] = STATE(1552),
    [sym_binary_expression] = STATE(1552),
    [sym_unary_expression] = STATE(1552),
    [sym_update_expression] = STATE(1552),
    [sym_template_string] = STATE(1552),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3683),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3685),
    [sym_number] = ACTIONS(3683),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3685),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3685),
    [sym_false] = ACTIONS(3685),
    [sym_null] = ACTIONS(3685),
    [sym_undefined] = ACTIONS(3685),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1380] = {
    [sym_statement_block] = STATE(550),
    [sym_parenthesized_expression] = STATE(1553),
    [sym__expression] = STATE(1553),
    [sym_yield_expression] = STATE(1553),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1553),
    [sym_jsx_fragment] = STATE(1553),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1553),
    [sym_anonymous_class] = STATE(1553),
    [sym_class] = STATE(1553),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1553),
    [sym_generator_function] = STATE(1553),
    [sym_call_expression] = STATE(1553),
    [sym_new_expression] = STATE(1553),
    [sym_await_expression] = STATE(1553),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1553),
    [sym_augmented_assignment_expression] = STATE(1553),
    [sym_ternary_expression] = STATE(1553),
    [sym_binary_expression] = STATE(1553),
    [sym_unary_expression] = STATE(1553),
    [sym_update_expression] = STATE(1553),
    [sym_template_string] = STATE(1553),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3687),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3689),
    [sym_number] = ACTIONS(3687),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3689),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3689),
    [sym_false] = ACTIONS(3689),
    [sym_null] = ACTIONS(3689),
    [sym_undefined] = ACTIONS(3689),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1381] = {
    [sym_parenthesized_expression] = STATE(1554),
    [sym__expression] = STATE(1554),
    [sym_yield_expression] = STATE(1554),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1554),
    [sym_jsx_fragment] = STATE(1554),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1554),
    [sym_anonymous_class] = STATE(1554),
    [sym_class] = STATE(1554),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1554),
    [sym_generator_function] = STATE(1554),
    [sym_call_expression] = STATE(1554),
    [sym_new_expression] = STATE(1554),
    [sym_await_expression] = STATE(1554),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1554),
    [sym_augmented_assignment_expression] = STATE(1554),
    [sym_ternary_expression] = STATE(1554),
    [sym_binary_expression] = STATE(1554),
    [sym_unary_expression] = STATE(1554),
    [sym_update_expression] = STATE(1554),
    [sym_template_string] = STATE(1554),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3691),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3693),
    [sym_number] = ACTIONS(3691),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3693),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3693),
    [sym_false] = ACTIONS(3693),
    [sym_null] = ACTIONS(3693),
    [sym_undefined] = ACTIONS(3693),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1382] = {
    [anon_sym_EQ_GT] = ACTIONS(3695),
    [sym_comment] = ACTIONS(71),
  },
  [1383] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(998),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(998),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1384] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(1006),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1385] = {
    [sym_parenthesized_expression] = STATE(1556),
    [sym__expression] = STATE(1556),
    [sym_yield_expression] = STATE(1556),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1556),
    [sym_jsx_fragment] = STATE(1556),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1556),
    [sym_anonymous_class] = STATE(1556),
    [sym_class] = STATE(1556),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1556),
    [sym_generator_function] = STATE(1556),
    [sym_call_expression] = STATE(1556),
    [sym_new_expression] = STATE(1556),
    [sym_await_expression] = STATE(1556),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1556),
    [sym_augmented_assignment_expression] = STATE(1556),
    [sym_ternary_expression] = STATE(1556),
    [sym_binary_expression] = STATE(1556),
    [sym_unary_expression] = STATE(1556),
    [sym_update_expression] = STATE(1556),
    [sym_template_string] = STATE(1556),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3697),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3699),
    [sym_number] = ACTIONS(3697),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3699),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3699),
    [sym_false] = ACTIONS(3699),
    [sym_null] = ACTIONS(3699),
    [sym_undefined] = ACTIONS(3699),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1386] = {
    [sym_parenthesized_expression] = STATE(1557),
    [sym__expression] = STATE(1557),
    [sym_yield_expression] = STATE(1557),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1557),
    [sym_jsx_fragment] = STATE(1557),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1557),
    [sym_anonymous_class] = STATE(1557),
    [sym_class] = STATE(1557),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1557),
    [sym_generator_function] = STATE(1557),
    [sym_call_expression] = STATE(1557),
    [sym_new_expression] = STATE(1557),
    [sym_await_expression] = STATE(1557),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1557),
    [sym_augmented_assignment_expression] = STATE(1557),
    [sym_ternary_expression] = STATE(1557),
    [sym_binary_expression] = STATE(1557),
    [sym_unary_expression] = STATE(1557),
    [sym_update_expression] = STATE(1557),
    [sym_template_string] = STATE(1557),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3701),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3703),
    [sym_number] = ACTIONS(3701),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3703),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3703),
    [sym_false] = ACTIONS(3703),
    [sym_null] = ACTIONS(3703),
    [sym_undefined] = ACTIONS(3703),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1387] = {
    [sym_export_statement] = STATE(1558),
    [sym__declaration] = STATE(1558),
    [sym_import_statement] = STATE(1558),
    [sym_expression_statement] = STATE(1558),
    [sym_variable_declaration] = STATE(1558),
    [sym_lexical_declaration] = STATE(1558),
    [sym_statement_block] = STATE(1558),
    [sym_if_statement] = STATE(1558),
    [sym_switch_statement] = STATE(1558),
    [sym_for_statement] = STATE(1558),
    [sym_for_in_statement] = STATE(1558),
    [sym_for_of_statement] = STATE(1558),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1558),
    [sym_try_statement] = STATE(1558),
    [sym_with_statement] = STATE(1558),
    [sym_break_statement] = STATE(1558),
    [sym_continue_statement] = STATE(1558),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1558),
    [sym_throw_statement] = STATE(1558),
    [sym_empty_statement] = STATE(1558),
    [sym_labeled_statement] = STATE(1558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1388] = {
    [sym_parenthesized_expression] = STATE(579),
    [sym__expression] = STATE(579),
    [sym_yield_expression] = STATE(579),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(579),
    [sym_jsx_fragment] = STATE(579),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(579),
    [sym_anonymous_class] = STATE(579),
    [sym_class] = STATE(579),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(579),
    [sym_generator_function] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_new_expression] = STATE(579),
    [sym_await_expression] = STATE(579),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(579),
    [sym_augmented_assignment_expression] = STATE(579),
    [sym_ternary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_update_expression] = STATE(579),
    [sym_template_string] = STATE(579),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(1086),
    [sym_number] = ACTIONS(1084),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(1086),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(1086),
    [sym_false] = ACTIONS(1086),
    [sym_null] = ACTIONS(1086),
    [sym_undefined] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1389] = {
    [sym_parenthesized_expression] = STATE(1559),
    [sym__expression] = STATE(1559),
    [sym_yield_expression] = STATE(1559),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1559),
    [sym_jsx_fragment] = STATE(1559),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1559),
    [sym_anonymous_class] = STATE(1559),
    [sym_class] = STATE(1559),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1559),
    [sym_generator_function] = STATE(1559),
    [sym_call_expression] = STATE(1559),
    [sym_new_expression] = STATE(1559),
    [sym_await_expression] = STATE(1559),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1559),
    [sym_augmented_assignment_expression] = STATE(1559),
    [sym_ternary_expression] = STATE(1559),
    [sym_binary_expression] = STATE(1559),
    [sym_unary_expression] = STATE(1559),
    [sym_update_expression] = STATE(1559),
    [sym_template_string] = STATE(1559),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3705),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3707),
    [sym_number] = ACTIONS(3705),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(3707),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3707),
    [sym_false] = ACTIONS(3707),
    [sym_null] = ACTIONS(3707),
    [sym_undefined] = ACTIONS(3707),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [1390] = {
    [sym_parenthesized_expression] = STATE(1560),
    [sym__expression] = STATE(1560),
    [sym_yield_expression] = STATE(1560),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1560),
    [sym_jsx_fragment] = STATE(1560),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1560),
    [sym_anonymous_class] = STATE(1560),
    [sym_class] = STATE(1560),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1560),
    [sym_generator_function] = STATE(1560),
    [sym_call_expression] = STATE(1560),
    [sym_new_expression] = STATE(1560),
    [sym_await_expression] = STATE(1560),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1560),
    [sym_augmented_assignment_expression] = STATE(1560),
    [sym_ternary_expression] = STATE(1560),
    [sym_binary_expression] = STATE(1560),
    [sym_unary_expression] = STATE(1560),
    [sym_update_expression] = STATE(1560),
    [sym_template_string] = STATE(1560),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3709),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3711),
    [sym_number] = ACTIONS(3709),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3711),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3711),
    [sym_false] = ACTIONS(3711),
    [sym_null] = ACTIONS(3711),
    [sym_undefined] = ACTIONS(3711),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1391] = {
    [sym_parenthesized_expression] = STATE(1561),
    [sym__expression] = STATE(1561),
    [sym_yield_expression] = STATE(1561),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1561),
    [sym_jsx_fragment] = STATE(1561),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1561),
    [sym_anonymous_class] = STATE(1561),
    [sym_class] = STATE(1561),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1561),
    [sym_generator_function] = STATE(1561),
    [sym_call_expression] = STATE(1561),
    [sym_new_expression] = STATE(1561),
    [sym_await_expression] = STATE(1561),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1561),
    [sym_augmented_assignment_expression] = STATE(1561),
    [sym_ternary_expression] = STATE(1561),
    [sym_binary_expression] = STATE(1561),
    [sym_unary_expression] = STATE(1561),
    [sym_update_expression] = STATE(1561),
    [sym_template_string] = STATE(1561),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3713),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3715),
    [sym_number] = ACTIONS(3713),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3715),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3715),
    [sym_false] = ACTIONS(3715),
    [sym_null] = ACTIONS(3715),
    [sym_undefined] = ACTIONS(3715),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1392] = {
    [sym_parenthesized_expression] = STATE(1562),
    [sym__expression] = STATE(1562),
    [sym_yield_expression] = STATE(1562),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1562),
    [sym_jsx_fragment] = STATE(1562),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1562),
    [sym_anonymous_class] = STATE(1562),
    [sym_class] = STATE(1562),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1562),
    [sym_generator_function] = STATE(1562),
    [sym_call_expression] = STATE(1562),
    [sym_new_expression] = STATE(1562),
    [sym_await_expression] = STATE(1562),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1562),
    [sym_augmented_assignment_expression] = STATE(1562),
    [sym_ternary_expression] = STATE(1562),
    [sym_binary_expression] = STATE(1562),
    [sym_unary_expression] = STATE(1562),
    [sym_update_expression] = STATE(1562),
    [sym_template_string] = STATE(1562),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3717),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3719),
    [sym_number] = ACTIONS(3717),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3719),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3719),
    [sym_false] = ACTIONS(3719),
    [sym_null] = ACTIONS(3719),
    [sym_undefined] = ACTIONS(3719),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1393] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1394] = {
    [sym_parenthesized_expression] = STATE(1563),
    [sym__expression] = STATE(1563),
    [sym_yield_expression] = STATE(1563),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1563),
    [sym_jsx_fragment] = STATE(1563),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1563),
    [sym_anonymous_class] = STATE(1563),
    [sym_class] = STATE(1563),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1563),
    [sym_generator_function] = STATE(1563),
    [sym_call_expression] = STATE(1563),
    [sym_new_expression] = STATE(1563),
    [sym_await_expression] = STATE(1563),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1563),
    [sym_augmented_assignment_expression] = STATE(1563),
    [sym_ternary_expression] = STATE(1563),
    [sym_binary_expression] = STATE(1563),
    [sym_unary_expression] = STATE(1563),
    [sym_update_expression] = STATE(1563),
    [sym_template_string] = STATE(1563),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3721),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3723),
    [sym_number] = ACTIONS(3721),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3723),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3723),
    [sym_false] = ACTIONS(3723),
    [sym_null] = ACTIONS(3723),
    [sym_undefined] = ACTIONS(3723),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1395] = {
    [sym_statement_block] = STATE(792),
    [sym_parenthesized_expression] = STATE(1564),
    [sym__expression] = STATE(1564),
    [sym_yield_expression] = STATE(1564),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1564),
    [sym_jsx_fragment] = STATE(1564),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1564),
    [sym_anonymous_class] = STATE(1564),
    [sym_class] = STATE(1564),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1564),
    [sym_generator_function] = STATE(1564),
    [sym_call_expression] = STATE(1564),
    [sym_new_expression] = STATE(1564),
    [sym_await_expression] = STATE(1564),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1564),
    [sym_augmented_assignment_expression] = STATE(1564),
    [sym_ternary_expression] = STATE(1564),
    [sym_binary_expression] = STATE(1564),
    [sym_unary_expression] = STATE(1564),
    [sym_update_expression] = STATE(1564),
    [sym_template_string] = STATE(1564),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3725),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3727),
    [sym_number] = ACTIONS(3725),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3727),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3727),
    [sym_false] = ACTIONS(3727),
    [sym_null] = ACTIONS(3727),
    [sym_undefined] = ACTIONS(3727),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1396] = {
    [sym_parenthesized_expression] = STATE(1565),
    [sym__expression] = STATE(1565),
    [sym_yield_expression] = STATE(1565),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1565),
    [sym_jsx_fragment] = STATE(1565),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1565),
    [sym_anonymous_class] = STATE(1565),
    [sym_class] = STATE(1565),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1565),
    [sym_generator_function] = STATE(1565),
    [sym_call_expression] = STATE(1565),
    [sym_new_expression] = STATE(1565),
    [sym_await_expression] = STATE(1565),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1565),
    [sym_augmented_assignment_expression] = STATE(1565),
    [sym_ternary_expression] = STATE(1565),
    [sym_binary_expression] = STATE(1565),
    [sym_unary_expression] = STATE(1565),
    [sym_update_expression] = STATE(1565),
    [sym_template_string] = STATE(1565),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3729),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3731),
    [sym_number] = ACTIONS(3729),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3731),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3731),
    [sym_false] = ACTIONS(3731),
    [sym_null] = ACTIONS(3731),
    [sym_undefined] = ACTIONS(3731),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1397] = {
    [anon_sym_EQ_GT] = ACTIONS(3733),
    [sym_comment] = ACTIONS(71),
  },
  [1398] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(998),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1399] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(1006),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1400] = {
    [sym_parenthesized_expression] = STATE(1567),
    [sym__expression] = STATE(1567),
    [sym_yield_expression] = STATE(1567),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1567),
    [sym_jsx_fragment] = STATE(1567),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1567),
    [sym_anonymous_class] = STATE(1567),
    [sym_class] = STATE(1567),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1567),
    [sym_generator_function] = STATE(1567),
    [sym_call_expression] = STATE(1567),
    [sym_new_expression] = STATE(1567),
    [sym_await_expression] = STATE(1567),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1567),
    [sym_augmented_assignment_expression] = STATE(1567),
    [sym_ternary_expression] = STATE(1567),
    [sym_binary_expression] = STATE(1567),
    [sym_unary_expression] = STATE(1567),
    [sym_update_expression] = STATE(1567),
    [sym_template_string] = STATE(1567),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3735),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3737),
    [sym_number] = ACTIONS(3735),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3737),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3737),
    [sym_false] = ACTIONS(3737),
    [sym_null] = ACTIONS(3737),
    [sym_undefined] = ACTIONS(3737),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1401] = {
    [sym_parenthesized_expression] = STATE(1568),
    [sym__expression] = STATE(1568),
    [sym_yield_expression] = STATE(1568),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1568),
    [sym_jsx_fragment] = STATE(1568),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1568),
    [sym_anonymous_class] = STATE(1568),
    [sym_class] = STATE(1568),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1568),
    [sym_generator_function] = STATE(1568),
    [sym_call_expression] = STATE(1568),
    [sym_new_expression] = STATE(1568),
    [sym_await_expression] = STATE(1568),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1568),
    [sym_augmented_assignment_expression] = STATE(1568),
    [sym_ternary_expression] = STATE(1568),
    [sym_binary_expression] = STATE(1568),
    [sym_unary_expression] = STATE(1568),
    [sym_update_expression] = STATE(1568),
    [sym_template_string] = STATE(1568),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3739),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3741),
    [sym_number] = ACTIONS(3739),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3741),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3741),
    [sym_false] = ACTIONS(3741),
    [sym_null] = ACTIONS(3741),
    [sym_undefined] = ACTIONS(3741),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1402] = {
    [sym_parenthesized_expression] = STATE(817),
    [sym__expression] = STATE(817),
    [sym_yield_expression] = STATE(817),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(817),
    [sym_jsx_fragment] = STATE(817),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(817),
    [sym_anonymous_class] = STATE(817),
    [sym_class] = STATE(817),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(817),
    [sym_generator_function] = STATE(817),
    [sym_call_expression] = STATE(817),
    [sym_new_expression] = STATE(817),
    [sym_await_expression] = STATE(817),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(817),
    [sym_augmented_assignment_expression] = STATE(817),
    [sym_ternary_expression] = STATE(817),
    [sym_binary_expression] = STATE(817),
    [sym_unary_expression] = STATE(817),
    [sym_update_expression] = STATE(817),
    [sym_template_string] = STATE(817),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(1712),
    [sym_number] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(1712),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(1712),
    [sym_false] = ACTIONS(1712),
    [sym_null] = ACTIONS(1712),
    [sym_undefined] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1403] = {
    [sym_export_statement] = STATE(1569),
    [sym__declaration] = STATE(1569),
    [sym_import_statement] = STATE(1569),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1569),
    [sym_lexical_declaration] = STATE(1569),
    [sym_statement_block] = STATE(1569),
    [sym_if_statement] = STATE(1569),
    [sym_switch_statement] = STATE(1569),
    [sym_for_statement] = STATE(1569),
    [sym_for_in_statement] = STATE(1569),
    [sym_for_of_statement] = STATE(1569),
    [sym_while_statement] = STATE(1569),
    [sym_do_statement] = STATE(1569),
    [sym_try_statement] = STATE(1569),
    [sym_with_statement] = STATE(1569),
    [sym_break_statement] = STATE(1569),
    [sym_continue_statement] = STATE(1569),
    [sym_debugger_statement] = STATE(1569),
    [sym_return_statement] = STATE(1569),
    [sym_throw_statement] = STATE(1569),
    [sym_empty_statement] = STATE(1569),
    [sym_labeled_statement] = STATE(1569),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1404] = {
    [sym_parenthesized_expression] = STATE(1570),
    [sym__expression] = STATE(1570),
    [sym_yield_expression] = STATE(1570),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1570),
    [sym_jsx_fragment] = STATE(1570),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1570),
    [sym_anonymous_class] = STATE(1570),
    [sym_class] = STATE(1570),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1570),
    [sym_generator_function] = STATE(1570),
    [sym_call_expression] = STATE(1570),
    [sym_new_expression] = STATE(1570),
    [sym_await_expression] = STATE(1570),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1570),
    [sym_augmented_assignment_expression] = STATE(1570),
    [sym_ternary_expression] = STATE(1570),
    [sym_binary_expression] = STATE(1570),
    [sym_unary_expression] = STATE(1570),
    [sym_update_expression] = STATE(1570),
    [sym_template_string] = STATE(1570),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3743),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3745),
    [sym_number] = ACTIONS(3743),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(3745),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3745),
    [sym_false] = ACTIONS(3745),
    [sym_null] = ACTIONS(3745),
    [sym_undefined] = ACTIONS(3745),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [1405] = {
    [sym_parenthesized_expression] = STATE(1571),
    [sym__expression] = STATE(1571),
    [sym_yield_expression] = STATE(1571),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1571),
    [sym_jsx_fragment] = STATE(1571),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1571),
    [sym_anonymous_class] = STATE(1571),
    [sym_class] = STATE(1571),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1571),
    [sym_generator_function] = STATE(1571),
    [sym_call_expression] = STATE(1571),
    [sym_new_expression] = STATE(1571),
    [sym_await_expression] = STATE(1571),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1571),
    [sym_augmented_assignment_expression] = STATE(1571),
    [sym_ternary_expression] = STATE(1571),
    [sym_binary_expression] = STATE(1571),
    [sym_unary_expression] = STATE(1571),
    [sym_update_expression] = STATE(1571),
    [sym_template_string] = STATE(1571),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3747),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3749),
    [sym_number] = ACTIONS(3747),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3749),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3749),
    [sym_false] = ACTIONS(3749),
    [sym_null] = ACTIONS(3749),
    [sym_undefined] = ACTIONS(3749),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1406] = {
    [sym_parenthesized_expression] = STATE(1572),
    [sym__expression] = STATE(1572),
    [sym_yield_expression] = STATE(1572),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1572),
    [sym_jsx_fragment] = STATE(1572),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1572),
    [sym_anonymous_class] = STATE(1572),
    [sym_class] = STATE(1572),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1572),
    [sym_generator_function] = STATE(1572),
    [sym_call_expression] = STATE(1572),
    [sym_new_expression] = STATE(1572),
    [sym_await_expression] = STATE(1572),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1572),
    [sym_augmented_assignment_expression] = STATE(1572),
    [sym_ternary_expression] = STATE(1572),
    [sym_binary_expression] = STATE(1572),
    [sym_unary_expression] = STATE(1572),
    [sym_update_expression] = STATE(1572),
    [sym_template_string] = STATE(1572),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3751),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3753),
    [sym_number] = ACTIONS(3751),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3753),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [sym_null] = ACTIONS(3753),
    [sym_undefined] = ACTIONS(3753),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1407] = {
    [sym_parenthesized_expression] = STATE(1573),
    [sym__expression] = STATE(1573),
    [sym_yield_expression] = STATE(1573),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1573),
    [sym_jsx_fragment] = STATE(1573),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1573),
    [sym_anonymous_class] = STATE(1573),
    [sym_class] = STATE(1573),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1573),
    [sym_generator_function] = STATE(1573),
    [sym_call_expression] = STATE(1573),
    [sym_new_expression] = STATE(1573),
    [sym_await_expression] = STATE(1573),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1573),
    [sym_augmented_assignment_expression] = STATE(1573),
    [sym_ternary_expression] = STATE(1573),
    [sym_binary_expression] = STATE(1573),
    [sym_unary_expression] = STATE(1573),
    [sym_update_expression] = STATE(1573),
    [sym_template_string] = STATE(1573),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3755),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3757),
    [sym_number] = ACTIONS(3755),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3757),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3757),
    [sym_false] = ACTIONS(3757),
    [sym_null] = ACTIONS(3757),
    [sym_undefined] = ACTIONS(3757),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1408] = {
    [ts_builtin_sym_end] = ACTIONS(3759),
    [anon_sym_export] = ACTIONS(3761),
    [anon_sym_default] = ACTIONS(3761),
    [anon_sym_LBRACE] = ACTIONS(3759),
    [anon_sym_RBRACE] = ACTIONS(3759),
    [anon_sym_import] = ACTIONS(3761),
    [anon_sym_var] = ACTIONS(3761),
    [anon_sym_let] = ACTIONS(3761),
    [anon_sym_const] = ACTIONS(3761),
    [anon_sym_if] = ACTIONS(3761),
    [anon_sym_else] = ACTIONS(3761),
    [anon_sym_switch] = ACTIONS(3761),
    [anon_sym_for] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(3759),
    [anon_sym_while] = ACTIONS(3761),
    [anon_sym_do] = ACTIONS(3761),
    [anon_sym_try] = ACTIONS(3761),
    [anon_sym_with] = ACTIONS(3761),
    [anon_sym_break] = ACTIONS(3761),
    [anon_sym_continue] = ACTIONS(3761),
    [anon_sym_debugger] = ACTIONS(3761),
    [anon_sym_return] = ACTIONS(3761),
    [anon_sym_throw] = ACTIONS(3761),
    [anon_sym_SEMI] = ACTIONS(3759),
    [anon_sym_case] = ACTIONS(3761),
    [anon_sym_yield] = ACTIONS(3761),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_LT] = ACTIONS(3759),
    [anon_sym_class] = ACTIONS(3761),
    [anon_sym_async] = ACTIONS(3761),
    [anon_sym_function] = ACTIONS(3761),
    [anon_sym_EQ_GT] = ACTIONS(3759),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_await] = ACTIONS(3761),
    [anon_sym_PLUS] = ACTIONS(3761),
    [anon_sym_DASH] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3759),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_typeof] = ACTIONS(3761),
    [anon_sym_void] = ACTIONS(3761),
    [anon_sym_delete] = ACTIONS(3761),
    [anon_sym_PLUS_PLUS] = ACTIONS(3759),
    [anon_sym_DASH_DASH] = ACTIONS(3759),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3759),
    [anon_sym_BQUOTE] = ACTIONS(3759),
    [sym_regex] = ACTIONS(3761),
    [sym_number] = ACTIONS(3759),
    [sym_identifier] = ACTIONS(3761),
    [sym_this] = ACTIONS(3761),
    [sym_super] = ACTIONS(3761),
    [sym_true] = ACTIONS(3761),
    [sym_false] = ACTIONS(3761),
    [sym_null] = ACTIONS(3761),
    [sym_undefined] = ACTIONS(3761),
    [anon_sym_AT] = ACTIONS(3759),
    [anon_sym_get] = ACTIONS(3761),
    [anon_sym_set] = ACTIONS(3761),
  },
  [1409] = {
    [sym_export_statement] = STATE(1574),
    [sym__declaration] = STATE(1574),
    [sym_import_statement] = STATE(1574),
    [sym_expression_statement] = STATE(1574),
    [sym_variable_declaration] = STATE(1574),
    [sym_lexical_declaration] = STATE(1574),
    [sym_statement_block] = STATE(1574),
    [sym_if_statement] = STATE(1574),
    [sym_switch_statement] = STATE(1574),
    [sym_for_statement] = STATE(1574),
    [sym_for_in_statement] = STATE(1574),
    [sym_for_of_statement] = STATE(1574),
    [sym_while_statement] = STATE(1574),
    [sym_do_statement] = STATE(1574),
    [sym_try_statement] = STATE(1574),
    [sym_with_statement] = STATE(1574),
    [sym_break_statement] = STATE(1574),
    [sym_continue_statement] = STATE(1574),
    [sym_debugger_statement] = STATE(1574),
    [sym_return_statement] = STATE(1574),
    [sym_throw_statement] = STATE(1574),
    [sym_empty_statement] = STATE(1574),
    [sym_labeled_statement] = STATE(1574),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1410] = {
    [sym_export_statement] = STATE(1575),
    [sym__declaration] = STATE(1575),
    [sym_import_statement] = STATE(1575),
    [sym_expression_statement] = STATE(1575),
    [sym_variable_declaration] = STATE(1575),
    [sym_lexical_declaration] = STATE(1575),
    [sym_statement_block] = STATE(1575),
    [sym_if_statement] = STATE(1575),
    [sym_switch_statement] = STATE(1575),
    [sym_for_statement] = STATE(1575),
    [sym_for_in_statement] = STATE(1575),
    [sym_for_of_statement] = STATE(1575),
    [sym_while_statement] = STATE(1575),
    [sym_do_statement] = STATE(1575),
    [sym_try_statement] = STATE(1575),
    [sym_with_statement] = STATE(1575),
    [sym_break_statement] = STATE(1575),
    [sym_continue_statement] = STATE(1575),
    [sym_debugger_statement] = STATE(1575),
    [sym_return_statement] = STATE(1575),
    [sym_throw_statement] = STATE(1575),
    [sym_empty_statement] = STATE(1575),
    [sym_labeled_statement] = STATE(1575),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1411] = {
    [sym_export_statement] = STATE(1576),
    [sym__declaration] = STATE(1576),
    [sym_import_statement] = STATE(1576),
    [sym_expression_statement] = STATE(1576),
    [sym_variable_declaration] = STATE(1576),
    [sym_lexical_declaration] = STATE(1576),
    [sym_statement_block] = STATE(1576),
    [sym_if_statement] = STATE(1576),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1576),
    [sym_for_in_statement] = STATE(1576),
    [sym_for_of_statement] = STATE(1576),
    [sym_while_statement] = STATE(1576),
    [sym_do_statement] = STATE(1576),
    [sym_try_statement] = STATE(1576),
    [sym_with_statement] = STATE(1576),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1576),
    [sym_debugger_statement] = STATE(1576),
    [sym_return_statement] = STATE(1576),
    [sym_throw_statement] = STATE(1576),
    [sym_empty_statement] = STATE(1576),
    [sym_labeled_statement] = STATE(1576),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1412] = {
    [sym_export_statement] = STATE(1577),
    [sym__declaration] = STATE(1577),
    [sym_import_statement] = STATE(1577),
    [sym_expression_statement] = STATE(1577),
    [sym_variable_declaration] = STATE(1577),
    [sym_lexical_declaration] = STATE(1577),
    [sym_statement_block] = STATE(1577),
    [sym_if_statement] = STATE(1577),
    [sym_switch_statement] = STATE(1577),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1577),
    [sym_for_of_statement] = STATE(1577),
    [sym_while_statement] = STATE(1577),
    [sym_do_statement] = STATE(1577),
    [sym_try_statement] = STATE(1577),
    [sym_with_statement] = STATE(1577),
    [sym_break_statement] = STATE(1577),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1577),
    [sym_return_statement] = STATE(1577),
    [sym_throw_statement] = STATE(1577),
    [sym_empty_statement] = STATE(1577),
    [sym_labeled_statement] = STATE(1577),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1413] = {
    [sym_export_statement] = STATE(1578),
    [sym__declaration] = STATE(1578),
    [sym_import_statement] = STATE(1578),
    [sym_expression_statement] = STATE(1578),
    [sym_variable_declaration] = STATE(1578),
    [sym_lexical_declaration] = STATE(1578),
    [sym_statement_block] = STATE(1578),
    [sym_if_statement] = STATE(1578),
    [sym_switch_statement] = STATE(1578),
    [sym_for_statement] = STATE(1578),
    [sym_for_in_statement] = STATE(1578),
    [sym_for_of_statement] = STATE(1578),
    [sym_while_statement] = STATE(1578),
    [sym_do_statement] = STATE(1578),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1578),
    [sym_break_statement] = STATE(1578),
    [sym_continue_statement] = STATE(1578),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1578),
    [sym_throw_statement] = STATE(1578),
    [sym_empty_statement] = STATE(1578),
    [sym_labeled_statement] = STATE(1578),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1414] = {
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_in] = ACTIONS(3112),
    [anon_sym_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK] = ACTIONS(3110),
    [anon_sym_RBRACK] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3110),
    [anon_sym_GT_GT] = ACTIONS(3112),
    [anon_sym_GT_GT_GT] = ACTIONS(3110),
    [anon_sym_LT_LT] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3110),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3110),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_instanceof] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3110),
  },
  [1415] = {
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_COMMA] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_LPAREN] = ACTIONS(3377),
    [anon_sym_RPAREN] = ACTIONS(3377),
    [anon_sym_in] = ACTIONS(3379),
    [anon_sym_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_RBRACK] = ACTIONS(3377),
    [anon_sym_LT] = ACTIONS(3379),
    [anon_sym_GT] = ACTIONS(3379),
    [anon_sym_SLASH] = ACTIONS(3379),
    [anon_sym_DOT] = ACTIONS(3377),
    [anon_sym_QMARK] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_PIPE_PIPE] = ACTIONS(3377),
    [anon_sym_GT_GT] = ACTIONS(3379),
    [anon_sym_GT_GT_GT] = ACTIONS(3377),
    [anon_sym_LT_LT] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_CARET] = ACTIONS(3377),
    [anon_sym_PIPE] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PERCENT] = ACTIONS(3377),
    [anon_sym_LT_EQ] = ACTIONS(3377),
    [anon_sym_EQ_EQ] = ACTIONS(3379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3377),
    [anon_sym_BANG_EQ] = ACTIONS(3379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3377),
    [anon_sym_GT_EQ] = ACTIONS(3377),
    [anon_sym_instanceof] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3377),
  },
  [1416] = {
    [anon_sym_GT] = ACTIONS(3763),
    [sym_comment] = ACTIONS(71),
  },
  [1417] = {
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_COMMA] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_LPAREN] = ACTIONS(3403),
    [anon_sym_RPAREN] = ACTIONS(3403),
    [anon_sym_in] = ACTIONS(3405),
    [anon_sym_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_RBRACK] = ACTIONS(3403),
    [anon_sym_LT] = ACTIONS(3405),
    [anon_sym_GT] = ACTIONS(3405),
    [anon_sym_SLASH] = ACTIONS(3405),
    [anon_sym_DOT] = ACTIONS(3403),
    [anon_sym_QMARK] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_PIPE_PIPE] = ACTIONS(3403),
    [anon_sym_GT_GT] = ACTIONS(3405),
    [anon_sym_GT_GT_GT] = ACTIONS(3403),
    [anon_sym_LT_LT] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_CARET] = ACTIONS(3403),
    [anon_sym_PIPE] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PERCENT] = ACTIONS(3403),
    [anon_sym_LT_EQ] = ACTIONS(3403),
    [anon_sym_EQ_EQ] = ACTIONS(3405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3403),
    [anon_sym_BANG_EQ] = ACTIONS(3405),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3403),
    [anon_sym_GT_EQ] = ACTIONS(3403),
    [anon_sym_instanceof] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3403),
  },
  [1418] = {
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_COMMA] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_LPAREN] = ACTIONS(3407),
    [anon_sym_RPAREN] = ACTIONS(3407),
    [anon_sym_in] = ACTIONS(3409),
    [anon_sym_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3407),
    [anon_sym_RBRACK] = ACTIONS(3407),
    [anon_sym_LT] = ACTIONS(3409),
    [anon_sym_GT] = ACTIONS(3409),
    [anon_sym_SLASH] = ACTIONS(3409),
    [anon_sym_DOT] = ACTIONS(3407),
    [anon_sym_QMARK] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_PIPE_PIPE] = ACTIONS(3407),
    [anon_sym_GT_GT] = ACTIONS(3409),
    [anon_sym_GT_GT_GT] = ACTIONS(3407),
    [anon_sym_LT_LT] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_CARET] = ACTIONS(3407),
    [anon_sym_PIPE] = ACTIONS(3409),
    [anon_sym_PLUS] = ACTIONS(3409),
    [anon_sym_DASH] = ACTIONS(3409),
    [anon_sym_PERCENT] = ACTIONS(3407),
    [anon_sym_LT_EQ] = ACTIONS(3407),
    [anon_sym_EQ_EQ] = ACTIONS(3409),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3407),
    [anon_sym_BANG_EQ] = ACTIONS(3409),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3407),
    [anon_sym_GT_EQ] = ACTIONS(3407),
    [anon_sym_instanceof] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3407),
  },
  [1419] = {
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3423),
    [anon_sym_COMMA] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_RPAREN] = ACTIONS(3423),
    [anon_sym_in] = ACTIONS(3425),
    [anon_sym_COLON] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_RBRACK] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_GT] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_DOT] = ACTIONS(3423),
    [anon_sym_QMARK] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_PIPE_PIPE] = ACTIONS(3423),
    [anon_sym_GT_GT] = ACTIONS(3425),
    [anon_sym_GT_GT_GT] = ACTIONS(3423),
    [anon_sym_LT_LT] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3425),
    [anon_sym_CARET] = ACTIONS(3423),
    [anon_sym_PIPE] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_PERCENT] = ACTIONS(3423),
    [anon_sym_LT_EQ] = ACTIONS(3423),
    [anon_sym_EQ_EQ] = ACTIONS(3425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3423),
    [anon_sym_BANG_EQ] = ACTIONS(3425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3423),
    [anon_sym_GT_EQ] = ACTIONS(3423),
    [anon_sym_instanceof] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3423),
  },
  [1420] = {
    [anon_sym_STAR] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3427),
    [anon_sym_COMMA] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_RPAREN] = ACTIONS(3427),
    [anon_sym_in] = ACTIONS(3429),
    [anon_sym_COLON] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_RBRACK] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_GT] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_DOT] = ACTIONS(3427),
    [anon_sym_QMARK] = ACTIONS(3427),
    [anon_sym_AMP_AMP] = ACTIONS(3427),
    [anon_sym_PIPE_PIPE] = ACTIONS(3427),
    [anon_sym_GT_GT] = ACTIONS(3429),
    [anon_sym_GT_GT_GT] = ACTIONS(3427),
    [anon_sym_LT_LT] = ACTIONS(3427),
    [anon_sym_AMP] = ACTIONS(3429),
    [anon_sym_CARET] = ACTIONS(3427),
    [anon_sym_PIPE] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3427),
    [anon_sym_LT_EQ] = ACTIONS(3427),
    [anon_sym_EQ_EQ] = ACTIONS(3429),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3427),
    [anon_sym_BANG_EQ] = ACTIONS(3429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3427),
    [anon_sym_GT_EQ] = ACTIONS(3427),
    [anon_sym_instanceof] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3427),
  },
  [1421] = {
    [anon_sym_export] = ACTIONS(3433),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_LBRACE] = ACTIONS(3431),
    [anon_sym_COMMA] = ACTIONS(3431),
    [anon_sym_RBRACE] = ACTIONS(3431),
    [anon_sym_LPAREN] = ACTIONS(3431),
    [anon_sym_RPAREN] = ACTIONS(3431),
    [anon_sym_in] = ACTIONS(3433),
    [anon_sym_COLON] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3431),
    [anon_sym_RBRACK] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_SLASH] = ACTIONS(3433),
    [anon_sym_DOT] = ACTIONS(3433),
    [anon_sym_class] = ACTIONS(3433),
    [anon_sym_async] = ACTIONS(3433),
    [anon_sym_QMARK] = ACTIONS(3431),
    [anon_sym_AMP_AMP] = ACTIONS(3431),
    [anon_sym_PIPE_PIPE] = ACTIONS(3431),
    [anon_sym_GT_GT] = ACTIONS(3433),
    [anon_sym_GT_GT_GT] = ACTIONS(3431),
    [anon_sym_LT_LT] = ACTIONS(3431),
    [anon_sym_AMP] = ACTIONS(3433),
    [anon_sym_CARET] = ACTIONS(3431),
    [anon_sym_PIPE] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(3433),
    [anon_sym_DASH] = ACTIONS(3433),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT_EQ] = ACTIONS(3431),
    [anon_sym_EQ_EQ] = ACTIONS(3433),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3431),
    [anon_sym_BANG_EQ] = ACTIONS(3433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3431),
    [anon_sym_GT_EQ] = ACTIONS(3431),
    [anon_sym_instanceof] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3431),
    [anon_sym_DASH_DASH] = ACTIONS(3431),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3431),
    [anon_sym_BQUOTE] = ACTIONS(3431),
    [sym_number] = ACTIONS(3431),
    [sym_identifier] = ACTIONS(3433),
    [anon_sym_AT] = ACTIONS(3431),
    [anon_sym_static] = ACTIONS(3433),
    [anon_sym_get] = ACTIONS(3433),
    [anon_sym_set] = ACTIONS(3433),
  },
  [1422] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(730),
    [anon_sym_COMMA] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3439),
    [anon_sym_in] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_GT] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(730),
    [anon_sym_LT_LT] = ACTIONS(730),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(730),
    [anon_sym_LT_EQ] = ACTIONS(748),
    [anon_sym_EQ_EQ] = ACTIONS(718),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(748),
    [anon_sym_BANG_EQ] = ACTIONS(718),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(748),
    [anon_sym_GT_EQ] = ACTIONS(748),
    [anon_sym_instanceof] = ACTIONS(748),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1423] = {
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_COMMA] = ACTIONS(3481),
    [anon_sym_RBRACE] = ACTIONS(3481),
    [anon_sym_LPAREN] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(3481),
    [anon_sym_in] = ACTIONS(3483),
    [anon_sym_COLON] = ACTIONS(3481),
    [anon_sym_LBRACK] = ACTIONS(3481),
    [anon_sym_RBRACK] = ACTIONS(3481),
    [anon_sym_LT] = ACTIONS(3483),
    [anon_sym_GT] = ACTIONS(3483),
    [anon_sym_SLASH] = ACTIONS(3483),
    [anon_sym_DOT] = ACTIONS(3481),
    [anon_sym_QMARK] = ACTIONS(3481),
    [anon_sym_AMP_AMP] = ACTIONS(3481),
    [anon_sym_PIPE_PIPE] = ACTIONS(3481),
    [anon_sym_GT_GT] = ACTIONS(3483),
    [anon_sym_GT_GT_GT] = ACTIONS(3481),
    [anon_sym_LT_LT] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3483),
    [anon_sym_CARET] = ACTIONS(3481),
    [anon_sym_PIPE] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_PERCENT] = ACTIONS(3481),
    [anon_sym_LT_EQ] = ACTIONS(3481),
    [anon_sym_EQ_EQ] = ACTIONS(3483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3481),
    [anon_sym_BANG_EQ] = ACTIONS(3483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3481),
    [anon_sym_GT_EQ] = ACTIONS(3481),
    [anon_sym_instanceof] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3481),
  },
  [1424] = {
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_COMMA] = ACTIONS(3485),
    [anon_sym_RBRACE] = ACTIONS(3485),
    [anon_sym_LPAREN] = ACTIONS(3485),
    [anon_sym_RPAREN] = ACTIONS(3485),
    [anon_sym_in] = ACTIONS(3487),
    [anon_sym_COLON] = ACTIONS(3485),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_RBRACK] = ACTIONS(3485),
    [anon_sym_LT] = ACTIONS(3487),
    [anon_sym_GT] = ACTIONS(3487),
    [anon_sym_SLASH] = ACTIONS(3487),
    [anon_sym_DOT] = ACTIONS(3485),
    [anon_sym_QMARK] = ACTIONS(3485),
    [anon_sym_AMP_AMP] = ACTIONS(3485),
    [anon_sym_PIPE_PIPE] = ACTIONS(3485),
    [anon_sym_GT_GT] = ACTIONS(3487),
    [anon_sym_GT_GT_GT] = ACTIONS(3485),
    [anon_sym_LT_LT] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3487),
    [anon_sym_CARET] = ACTIONS(3485),
    [anon_sym_PIPE] = ACTIONS(3487),
    [anon_sym_PLUS] = ACTIONS(3487),
    [anon_sym_DASH] = ACTIONS(3487),
    [anon_sym_PERCENT] = ACTIONS(3485),
    [anon_sym_LT_EQ] = ACTIONS(3485),
    [anon_sym_EQ_EQ] = ACTIONS(3487),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3485),
    [anon_sym_BANG_EQ] = ACTIONS(3487),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3485),
    [anon_sym_GT_EQ] = ACTIONS(3485),
    [anon_sym_instanceof] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3485),
  },
  [1425] = {
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_COMMA] = ACTIONS(3501),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_LPAREN] = ACTIONS(3501),
    [anon_sym_RPAREN] = ACTIONS(3501),
    [anon_sym_in] = ACTIONS(3503),
    [anon_sym_COLON] = ACTIONS(3501),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_RBRACK] = ACTIONS(3501),
    [anon_sym_LT] = ACTIONS(3503),
    [anon_sym_GT] = ACTIONS(3503),
    [anon_sym_SLASH] = ACTIONS(3503),
    [anon_sym_DOT] = ACTIONS(3501),
    [anon_sym_QMARK] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_PIPE_PIPE] = ACTIONS(3501),
    [anon_sym_GT_GT] = ACTIONS(3503),
    [anon_sym_GT_GT_GT] = ACTIONS(3501),
    [anon_sym_LT_LT] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym_CARET] = ACTIONS(3501),
    [anon_sym_PIPE] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_PERCENT] = ACTIONS(3501),
    [anon_sym_LT_EQ] = ACTIONS(3501),
    [anon_sym_EQ_EQ] = ACTIONS(3503),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3501),
    [anon_sym_BANG_EQ] = ACTIONS(3503),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3501),
    [anon_sym_GT_EQ] = ACTIONS(3501),
    [anon_sym_instanceof] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3501),
  },
  [1426] = {
    [sym_statement_block] = STATE(1237),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [sym_comment] = ACTIONS(71),
  },
  [1427] = {
    [sym_statement_block] = STATE(1238),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [sym_comment] = ACTIONS(71),
  },
  [1428] = {
    [sym_class_body] = STATE(1279),
    [anon_sym_LBRACE] = ACTIONS(281),
    [sym_comment] = ACTIONS(71),
  },
  [1429] = {
    [anon_sym_else] = ACTIONS(3765),
    [anon_sym_while] = ACTIONS(1598),
    [sym_comment] = ACTIONS(71),
  },
  [1430] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(1582),
    [sym_array] = STATE(1583),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3767),
  },
  [1431] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(1582),
    [sym_array] = STATE(1583),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3767),
  },
  [1432] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3769),
    [anon_sym_of] = ACTIONS(3771),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1433] = {
    [sym_expression_statement] = STATE(1586),
    [sym_empty_statement] = STATE(1586),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1434] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3773),
    [anon_sym_of] = ACTIONS(3775),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1435] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(3777),
    [anon_sym_of] = ACTIONS(3779),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1436] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1591),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1591),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1437] = {
    [sym_parenthesized_expression] = STATE(1592),
    [sym__expression] = STATE(1592),
    [sym_yield_expression] = STATE(1592),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1592),
    [sym_jsx_fragment] = STATE(1592),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1592),
    [sym_anonymous_class] = STATE(1592),
    [sym_class] = STATE(1592),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1592),
    [sym_generator_function] = STATE(1592),
    [sym_call_expression] = STATE(1592),
    [sym_new_expression] = STATE(1592),
    [sym_await_expression] = STATE(1592),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1592),
    [sym_augmented_assignment_expression] = STATE(1592),
    [sym_ternary_expression] = STATE(1592),
    [sym_binary_expression] = STATE(1592),
    [sym_unary_expression] = STATE(1592),
    [sym_update_expression] = STATE(1592),
    [sym_template_string] = STATE(1592),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3781),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3783),
    [sym_number] = ACTIONS(3781),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3783),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3783),
    [sym_false] = ACTIONS(3783),
    [sym_null] = ACTIONS(3783),
    [sym_undefined] = ACTIONS(3783),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1438] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1593),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1593),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1439] = {
    [sym_parenthesized_expression] = STATE(1594),
    [sym__expression] = STATE(1594),
    [sym_yield_expression] = STATE(1594),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1594),
    [sym_jsx_fragment] = STATE(1594),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1594),
    [sym_anonymous_class] = STATE(1594),
    [sym_class] = STATE(1594),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1594),
    [sym_generator_function] = STATE(1594),
    [sym_call_expression] = STATE(1594),
    [sym_new_expression] = STATE(1594),
    [sym_await_expression] = STATE(1594),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1594),
    [sym_augmented_assignment_expression] = STATE(1594),
    [sym_ternary_expression] = STATE(1594),
    [sym_binary_expression] = STATE(1594),
    [sym_unary_expression] = STATE(1594),
    [sym_update_expression] = STATE(1594),
    [sym_template_string] = STATE(1594),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3785),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3787),
    [sym_number] = ACTIONS(3785),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3787),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3787),
    [sym_false] = ACTIONS(3787),
    [sym_null] = ACTIONS(3787),
    [sym_undefined] = ACTIONS(3787),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1440] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1595),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1595),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1441] = {
    [sym_parenthesized_expression] = STATE(1596),
    [sym__expression] = STATE(1596),
    [sym_yield_expression] = STATE(1596),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1596),
    [sym_jsx_fragment] = STATE(1596),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1596),
    [sym_anonymous_class] = STATE(1596),
    [sym_class] = STATE(1596),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1596),
    [sym_generator_function] = STATE(1596),
    [sym_call_expression] = STATE(1596),
    [sym_new_expression] = STATE(1596),
    [sym_await_expression] = STATE(1596),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1596),
    [sym_augmented_assignment_expression] = STATE(1596),
    [sym_ternary_expression] = STATE(1596),
    [sym_binary_expression] = STATE(1596),
    [sym_unary_expression] = STATE(1596),
    [sym_update_expression] = STATE(1596),
    [sym_template_string] = STATE(1596),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3789),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3791),
    [sym_number] = ACTIONS(3789),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3791),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3791),
    [sym_false] = ACTIONS(3791),
    [sym_null] = ACTIONS(3791),
    [sym_undefined] = ACTIONS(3791),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1442] = {
    [anon_sym_RPAREN] = ACTIONS(3793),
    [sym_comment] = ACTIONS(71),
  },
  [1443] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3795),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1444] = {
    [sym_export_statement] = STATE(1408),
    [sym__declaration] = STATE(1408),
    [sym_import_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1408),
    [sym_variable_declaration] = STATE(1408),
    [sym_lexical_declaration] = STATE(1408),
    [sym_statement_block] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_for_statement] = STATE(1408),
    [sym_for_in_statement] = STATE(1408),
    [sym_for_of_statement] = STATE(1408),
    [sym_while_statement] = STATE(1408),
    [sym_do_statement] = STATE(1408),
    [sym_try_statement] = STATE(1408),
    [sym_with_statement] = STATE(1408),
    [sym_break_statement] = STATE(1408),
    [sym_continue_statement] = STATE(1408),
    [sym_debugger_statement] = STATE(1408),
    [sym_return_statement] = STATE(1408),
    [sym_throw_statement] = STATE(1408),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1408),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1445] = {
    [anon_sym_RPAREN] = ACTIONS(3797),
    [sym_comment] = ACTIONS(71),
  },
  [1446] = {
    [anon_sym_RPAREN] = ACTIONS(3799),
    [sym_comment] = ACTIONS(71),
  },
  [1447] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3801),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1448] = {
    [anon_sym_RPAREN] = ACTIONS(3803),
    [sym_comment] = ACTIONS(71),
  },
  [1449] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3805),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1450] = {
    [sym__automatic_semicolon] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(3423),
    [anon_sym_COMMA] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3423),
    [anon_sym_else] = ACTIONS(3423),
    [anon_sym_LPAREN] = ACTIONS(3423),
    [anon_sym_RPAREN] = ACTIONS(3423),
    [anon_sym_in] = ACTIONS(3425),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3423),
    [anon_sym_LT] = ACTIONS(3425),
    [anon_sym_GT] = ACTIONS(3425),
    [anon_sym_SLASH] = ACTIONS(3425),
    [anon_sym_DOT] = ACTIONS(3423),
    [anon_sym_QMARK] = ACTIONS(3423),
    [anon_sym_AMP_AMP] = ACTIONS(3423),
    [anon_sym_PIPE_PIPE] = ACTIONS(3423),
    [anon_sym_GT_GT] = ACTIONS(3425),
    [anon_sym_GT_GT_GT] = ACTIONS(3423),
    [anon_sym_LT_LT] = ACTIONS(3423),
    [anon_sym_AMP] = ACTIONS(3425),
    [anon_sym_CARET] = ACTIONS(3423),
    [anon_sym_PIPE] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3425),
    [anon_sym_PERCENT] = ACTIONS(3423),
    [anon_sym_LT_EQ] = ACTIONS(3423),
    [anon_sym_EQ_EQ] = ACTIONS(3425),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3423),
    [anon_sym_BANG_EQ] = ACTIONS(3425),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3423),
    [anon_sym_GT_EQ] = ACTIONS(3423),
    [anon_sym_instanceof] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(3423),
    [anon_sym_DASH_DASH] = ACTIONS(3423),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3423),
  },
  [1451] = {
    [sym__automatic_semicolon] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3427),
    [anon_sym_COMMA] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3427),
    [anon_sym_else] = ACTIONS(3427),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_RPAREN] = ACTIONS(3427),
    [anon_sym_in] = ACTIONS(3429),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3427),
    [anon_sym_LT] = ACTIONS(3429),
    [anon_sym_GT] = ACTIONS(3429),
    [anon_sym_SLASH] = ACTIONS(3429),
    [anon_sym_DOT] = ACTIONS(3427),
    [anon_sym_QMARK] = ACTIONS(3427),
    [anon_sym_AMP_AMP] = ACTIONS(3427),
    [anon_sym_PIPE_PIPE] = ACTIONS(3427),
    [anon_sym_GT_GT] = ACTIONS(3429),
    [anon_sym_GT_GT_GT] = ACTIONS(3427),
    [anon_sym_LT_LT] = ACTIONS(3427),
    [anon_sym_AMP] = ACTIONS(3429),
    [anon_sym_CARET] = ACTIONS(3427),
    [anon_sym_PIPE] = ACTIONS(3429),
    [anon_sym_PLUS] = ACTIONS(3429),
    [anon_sym_DASH] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3427),
    [anon_sym_LT_EQ] = ACTIONS(3427),
    [anon_sym_EQ_EQ] = ACTIONS(3429),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3427),
    [anon_sym_BANG_EQ] = ACTIONS(3429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3427),
    [anon_sym_GT_EQ] = ACTIONS(3427),
    [anon_sym_instanceof] = ACTIONS(3427),
    [anon_sym_PLUS_PLUS] = ACTIONS(3427),
    [anon_sym_DASH_DASH] = ACTIONS(3427),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3427),
  },
  [1452] = {
    [sym__automatic_semicolon] = ACTIONS(3501),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_COMMA] = ACTIONS(3501),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_else] = ACTIONS(3501),
    [anon_sym_LPAREN] = ACTIONS(3501),
    [anon_sym_RPAREN] = ACTIONS(3501),
    [anon_sym_in] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3501),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_LT] = ACTIONS(3503),
    [anon_sym_GT] = ACTIONS(3503),
    [anon_sym_SLASH] = ACTIONS(3503),
    [anon_sym_DOT] = ACTIONS(3501),
    [anon_sym_QMARK] = ACTIONS(3501),
    [anon_sym_AMP_AMP] = ACTIONS(3501),
    [anon_sym_PIPE_PIPE] = ACTIONS(3501),
    [anon_sym_GT_GT] = ACTIONS(3503),
    [anon_sym_GT_GT_GT] = ACTIONS(3501),
    [anon_sym_LT_LT] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym_CARET] = ACTIONS(3501),
    [anon_sym_PIPE] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_PERCENT] = ACTIONS(3501),
    [anon_sym_LT_EQ] = ACTIONS(3501),
    [anon_sym_EQ_EQ] = ACTIONS(3503),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3501),
    [anon_sym_BANG_EQ] = ACTIONS(3503),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3501),
    [anon_sym_GT_EQ] = ACTIONS(3501),
    [anon_sym_instanceof] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3501),
  },
  [1453] = {
    [sym_statement_block] = STATE(1604),
    [anon_sym_LBRACE] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
  },
  [1454] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(872),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(3439),
    [anon_sym_LT] = ACTIONS(872),
    [anon_sym_GT] = ACTIONS(872),
    [anon_sym_SLASH] = ACTIONS(880),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(880),
    [anon_sym_GT_GT_GT] = ACTIONS(876),
    [anon_sym_LT_LT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(888),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(872),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(872),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(894),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1455] = {
    [sym__automatic_semicolon] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(3807),
    [anon_sym_COMMA] = ACTIONS(3807),
    [anon_sym_RBRACE] = ACTIONS(3807),
    [anon_sym_LPAREN] = ACTIONS(3807),
    [anon_sym_RPAREN] = ACTIONS(3807),
    [anon_sym_in] = ACTIONS(3809),
    [anon_sym_SEMI] = ACTIONS(3807),
    [anon_sym_LBRACK] = ACTIONS(3807),
    [anon_sym_LT] = ACTIONS(3809),
    [anon_sym_GT] = ACTIONS(3809),
    [anon_sym_SLASH] = ACTIONS(3809),
    [anon_sym_DOT] = ACTIONS(3807),
    [anon_sym_QMARK] = ACTIONS(3807),
    [anon_sym_AMP_AMP] = ACTIONS(3807),
    [anon_sym_PIPE_PIPE] = ACTIONS(3807),
    [anon_sym_GT_GT] = ACTIONS(3809),
    [anon_sym_GT_GT_GT] = ACTIONS(3807),
    [anon_sym_LT_LT] = ACTIONS(3807),
    [anon_sym_AMP] = ACTIONS(3809),
    [anon_sym_CARET] = ACTIONS(3807),
    [anon_sym_PIPE] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3809),
    [anon_sym_PERCENT] = ACTIONS(3807),
    [anon_sym_LT_EQ] = ACTIONS(3807),
    [anon_sym_EQ_EQ] = ACTIONS(3809),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3807),
    [anon_sym_BANG_EQ] = ACTIONS(3809),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3807),
    [anon_sym_GT_EQ] = ACTIONS(3807),
    [anon_sym_instanceof] = ACTIONS(3807),
    [anon_sym_PLUS_PLUS] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(3807),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3807),
  },
  [1456] = {
    [sym_jsx_element] = STATE(1606),
    [sym_jsx_expression] = STATE(1606),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_self_closing_element] = STATE(1606),
    [aux_sym_jsx_element_repeat1] = STATE(1606),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(3811),
    [sym_jsx_text] = ACTIONS(3813),
    [sym_comment] = ACTIONS(71),
  },
  [1457] = {
    [sym_jsx_expression] = STATE(1608),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(1608),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1608),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(3815),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [1458] = {
    [sym_jsx_expression] = STATE(1610),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(1610),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1610),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(3817),
    [sym_jsx_identifier] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [1459] = {
    [sym_jsx_expression] = STATE(1610),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(1610),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1610),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(3817),
    [sym_jsx_identifier] = ACTIONS(908),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [1460] = {
    [sym_jsx_expression] = STATE(1610),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(1610),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1610),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(3817),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [1461] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(3819),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [1462] = {
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_GT] = ACTIONS(1154),
    [anon_sym_SLASH] = ACTIONS(1156),
    [sym_jsx_identifier] = ACTIONS(1154),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1156),
  },
  [1463] = {
    [sym_jsx_element] = STATE(612),
    [sym_jsx_expression] = STATE(612),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_closing_element] = STATE(1612),
    [sym_jsx_self_closing_element] = STATE(612),
    [aux_sym_jsx_element_repeat1] = STATE(612),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(3395),
    [sym_jsx_text] = ACTIONS(1158),
    [sym_comment] = ACTIONS(71),
  },
  [1464] = {
    [anon_sym_STAR] = ACTIONS(3821),
    [anon_sym_RBRACE] = ACTIONS(3821),
    [anon_sym_LBRACK] = ACTIONS(3821),
    [anon_sym_async] = ACTIONS(3823),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3821),
    [sym_number] = ACTIONS(3821),
    [sym_identifier] = ACTIONS(3823),
    [anon_sym_AT] = ACTIONS(3821),
    [anon_sym_static] = ACTIONS(3823),
    [anon_sym_get] = ACTIONS(3823),
    [anon_sym_set] = ACTIONS(3823),
  },
  [1465] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1466] = {
    [sym_parenthesized_expression] = STATE(1613),
    [sym__expression] = STATE(1613),
    [sym_yield_expression] = STATE(1613),
    [sym_object] = STATE(533),
    [sym_array] = STATE(534),
    [sym_jsx_element] = STATE(1613),
    [sym_jsx_fragment] = STATE(1613),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1613),
    [sym_anonymous_class] = STATE(1613),
    [sym_class] = STATE(1613),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1613),
    [sym_generator_function] = STATE(1613),
    [sym_call_expression] = STATE(1613),
    [sym_new_expression] = STATE(1613),
    [sym_await_expression] = STATE(1613),
    [sym_member_expression] = STATE(535),
    [sym_subscript_expression] = STATE(535),
    [sym_assignment_expression] = STATE(1613),
    [sym_augmented_assignment_expression] = STATE(1613),
    [sym_ternary_expression] = STATE(1613),
    [sym_binary_expression] = STATE(1613),
    [sym_unary_expression] = STATE(1613),
    [sym_update_expression] = STATE(1613),
    [sym_template_string] = STATE(1613),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(536),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_await] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_typeof] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_delete] = ACTIONS(944),
    [anon_sym_PLUS_PLUS] = ACTIONS(948),
    [anon_sym_DASH_DASH] = ACTIONS(948),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3825),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3827),
    [sym_number] = ACTIONS(3825),
    [sym_identifier] = ACTIONS(954),
    [sym_this] = ACTIONS(3827),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3827),
    [sym_false] = ACTIONS(3827),
    [sym_null] = ACTIONS(3827),
    [sym_undefined] = ACTIONS(3827),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(956),
    [anon_sym_set] = ACTIONS(956),
  },
  [1467] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1468] = {
    [sym_parenthesized_expression] = STATE(1614),
    [sym__expression] = STATE(1614),
    [sym_yield_expression] = STATE(1614),
    [sym_object] = STATE(592),
    [sym_array] = STATE(593),
    [sym_jsx_element] = STATE(1614),
    [sym_jsx_fragment] = STATE(1614),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1614),
    [sym_anonymous_class] = STATE(1614),
    [sym_class] = STATE(1614),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1614),
    [sym_await_expression] = STATE(1614),
    [sym_member_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym_assignment_expression] = STATE(1614),
    [sym_augmented_assignment_expression] = STATE(1614),
    [sym_ternary_expression] = STATE(1614),
    [sym_binary_expression] = STATE(1614),
    [sym_unary_expression] = STATE(1614),
    [sym_update_expression] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(595),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1094),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_await] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1102),
    [anon_sym_void] = ACTIONS(1102),
    [anon_sym_delete] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3829),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3831),
    [sym_number] = ACTIONS(3829),
    [sym_identifier] = ACTIONS(1112),
    [sym_this] = ACTIONS(3831),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3831),
    [sym_false] = ACTIONS(3831),
    [sym_null] = ACTIONS(3831),
    [sym_undefined] = ACTIONS(3831),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1114),
    [anon_sym_set] = ACTIONS(1114),
  },
  [1469] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1470] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1471] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1472] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1615),
    [sym__expression] = STATE(1615),
    [sym_yield_expression] = STATE(1615),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1615),
    [sym_jsx_fragment] = STATE(1615),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1615),
    [sym_anonymous_class] = STATE(1615),
    [sym_class] = STATE(1615),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1615),
    [sym_generator_function] = STATE(1615),
    [sym_call_expression] = STATE(1615),
    [sym_new_expression] = STATE(1615),
    [sym_await_expression] = STATE(1615),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1615),
    [sym_augmented_assignment_expression] = STATE(1615),
    [sym_ternary_expression] = STATE(1615),
    [sym_binary_expression] = STATE(1615),
    [sym_unary_expression] = STATE(1615),
    [sym_update_expression] = STATE(1615),
    [sym_template_string] = STATE(1615),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3833),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3835),
    [sym_number] = ACTIONS(3833),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(3835),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3835),
    [sym_false] = ACTIONS(3835),
    [sym_null] = ACTIONS(3835),
    [sym_undefined] = ACTIONS(3835),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1473] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1474] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1475] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1476] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1477] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1478] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1479] = {
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_LT] = ACTIONS(3405),
    [sym_jsx_text] = ACTIONS(3405),
    [sym_comment] = ACTIONS(71),
  },
  [1480] = {
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_LT] = ACTIONS(3409),
    [sym_jsx_text] = ACTIONS(3409),
    [sym_comment] = ACTIONS(71),
  },
  [1481] = {
    [anon_sym_LBRACE] = ACTIONS(3483),
    [anon_sym_LT] = ACTIONS(3483),
    [sym_jsx_text] = ACTIONS(3483),
    [sym_comment] = ACTIONS(71),
  },
  [1482] = {
    [anon_sym_LBRACE] = ACTIONS(3487),
    [anon_sym_LT] = ACTIONS(3487),
    [sym_jsx_text] = ACTIONS(3487),
    [sym_comment] = ACTIONS(71),
  },
  [1483] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1484] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(2818),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1485] = {
    [sym_parenthesized_expression] = STATE(1617),
    [sym__expression] = STATE(1617),
    [sym_yield_expression] = STATE(1617),
    [sym_object] = STATE(657),
    [sym_array] = STATE(658),
    [sym_jsx_element] = STATE(1617),
    [sym_jsx_fragment] = STATE(1617),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1617),
    [sym_anonymous_class] = STATE(1617),
    [sym_class] = STATE(1617),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1617),
    [sym_generator_function] = STATE(1617),
    [sym_call_expression] = STATE(1617),
    [sym_new_expression] = STATE(1617),
    [sym_await_expression] = STATE(1617),
    [sym_member_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym_assignment_expression] = STATE(1617),
    [sym_augmented_assignment_expression] = STATE(1617),
    [sym_ternary_expression] = STATE(1617),
    [sym_binary_expression] = STATE(1617),
    [sym_unary_expression] = STATE(1617),
    [sym_update_expression] = STATE(1617),
    [sym_template_string] = STATE(1617),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(660),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_void] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3839),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3841),
    [sym_number] = ACTIONS(3839),
    [sym_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(3841),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3841),
    [sym_false] = ACTIONS(3841),
    [sym_null] = ACTIONS(3841),
    [sym_undefined] = ACTIONS(3841),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1383),
    [anon_sym_set] = ACTIONS(1383),
  },
  [1486] = {
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [sym_comment] = ACTIONS(71),
  },
  [1487] = {
    [sym_export_statement] = STATE(1089),
    [sym__declaration] = STATE(1089),
    [sym_import_statement] = STATE(1089),
    [sym_expression_statement] = STATE(1089),
    [sym_variable_declaration] = STATE(1089),
    [sym_lexical_declaration] = STATE(1089),
    [sym_statement_block] = STATE(1089),
    [sym_if_statement] = STATE(1089),
    [sym_switch_statement] = STATE(1089),
    [sym_for_statement] = STATE(1089),
    [sym_for_in_statement] = STATE(1089),
    [sym_for_of_statement] = STATE(1089),
    [sym_while_statement] = STATE(1089),
    [sym_do_statement] = STATE(1089),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1089),
    [sym_break_statement] = STATE(1089),
    [sym_continue_statement] = STATE(1089),
    [sym_debugger_statement] = STATE(1089),
    [sym_return_statement] = STATE(1089),
    [sym_throw_statement] = STATE(1089),
    [sym_empty_statement] = STATE(1089),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1488] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(3843),
    [anon_sym_of] = ACTIONS(3845),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1489] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(3847),
    [anon_sym_of] = ACTIONS(3849),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1490] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_in] = ACTIONS(3851),
    [anon_sym_of] = ACTIONS(3853),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1491] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1624),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1624),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1492] = {
    [sym_parenthesized_expression] = STATE(1625),
    [sym__expression] = STATE(1625),
    [sym_yield_expression] = STATE(1625),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1625),
    [sym_jsx_fragment] = STATE(1625),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1625),
    [sym_anonymous_class] = STATE(1625),
    [sym_class] = STATE(1625),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1625),
    [sym_generator_function] = STATE(1625),
    [sym_call_expression] = STATE(1625),
    [sym_new_expression] = STATE(1625),
    [sym_await_expression] = STATE(1625),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1625),
    [sym_augmented_assignment_expression] = STATE(1625),
    [sym_ternary_expression] = STATE(1625),
    [sym_binary_expression] = STATE(1625),
    [sym_unary_expression] = STATE(1625),
    [sym_update_expression] = STATE(1625),
    [sym_template_string] = STATE(1625),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3855),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3857),
    [sym_number] = ACTIONS(3855),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3857),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3857),
    [sym_false] = ACTIONS(3857),
    [sym_null] = ACTIONS(3857),
    [sym_undefined] = ACTIONS(3857),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1493] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1627),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1627),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(3859),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1494] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1628),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1628),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1495] = {
    [sym_parenthesized_expression] = STATE(1629),
    [sym__expression] = STATE(1629),
    [sym_yield_expression] = STATE(1629),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1629),
    [sym_jsx_fragment] = STATE(1629),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1629),
    [sym_anonymous_class] = STATE(1629),
    [sym_class] = STATE(1629),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1629),
    [sym_generator_function] = STATE(1629),
    [sym_call_expression] = STATE(1629),
    [sym_new_expression] = STATE(1629),
    [sym_await_expression] = STATE(1629),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1629),
    [sym_augmented_assignment_expression] = STATE(1629),
    [sym_ternary_expression] = STATE(1629),
    [sym_binary_expression] = STATE(1629),
    [sym_unary_expression] = STATE(1629),
    [sym_update_expression] = STATE(1629),
    [sym_template_string] = STATE(1629),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3861),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3863),
    [sym_number] = ACTIONS(3861),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3863),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3863),
    [sym_false] = ACTIONS(3863),
    [sym_null] = ACTIONS(3863),
    [sym_undefined] = ACTIONS(3863),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1496] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1630),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1630),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1497] = {
    [sym_parenthesized_expression] = STATE(1631),
    [sym__expression] = STATE(1631),
    [sym_yield_expression] = STATE(1631),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1631),
    [sym_jsx_fragment] = STATE(1631),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1631),
    [sym_anonymous_class] = STATE(1631),
    [sym_class] = STATE(1631),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1631),
    [sym_generator_function] = STATE(1631),
    [sym_call_expression] = STATE(1631),
    [sym_new_expression] = STATE(1631),
    [sym_await_expression] = STATE(1631),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1631),
    [sym_augmented_assignment_expression] = STATE(1631),
    [sym_ternary_expression] = STATE(1631),
    [sym_binary_expression] = STATE(1631),
    [sym_unary_expression] = STATE(1631),
    [sym_update_expression] = STATE(1631),
    [sym_template_string] = STATE(1631),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3865),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3867),
    [sym_number] = ACTIONS(3865),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3867),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3867),
    [sym_false] = ACTIONS(3867),
    [sym_null] = ACTIONS(3867),
    [sym_undefined] = ACTIONS(3867),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1498] = {
    [anon_sym_RPAREN] = ACTIONS(3869),
    [sym_comment] = ACTIONS(71),
  },
  [1499] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3871),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1500] = {
    [anon_sym_RPAREN] = ACTIONS(3873),
    [sym_comment] = ACTIONS(71),
  },
  [1501] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3875),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1502] = {
    [anon_sym_RPAREN] = ACTIONS(3877),
    [sym_comment] = ACTIONS(71),
  },
  [1503] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3879),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1504] = {
    [sym_export_statement] = STATE(1558),
    [sym__declaration] = STATE(1558),
    [sym_import_statement] = STATE(1558),
    [sym_expression_statement] = STATE(1558),
    [sym_variable_declaration] = STATE(1558),
    [sym_lexical_declaration] = STATE(1558),
    [sym_statement_block] = STATE(1558),
    [sym_if_statement] = STATE(1558),
    [sym_switch_statement] = STATE(1558),
    [sym_for_statement] = STATE(1558),
    [sym_for_in_statement] = STATE(1558),
    [sym_for_of_statement] = STATE(1558),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1558),
    [sym_try_statement] = STATE(1558),
    [sym_with_statement] = STATE(1558),
    [sym_break_statement] = STATE(1558),
    [sym_continue_statement] = STATE(1558),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1558),
    [sym_throw_statement] = STATE(1558),
    [sym_empty_statement] = STATE(1558),
    [sym_labeled_statement] = STATE(1558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1505] = {
    [sym_export_statement] = STATE(1569),
    [sym__declaration] = STATE(1569),
    [sym_import_statement] = STATE(1569),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1569),
    [sym_lexical_declaration] = STATE(1569),
    [sym_statement_block] = STATE(1569),
    [sym_if_statement] = STATE(1569),
    [sym_switch_statement] = STATE(1569),
    [sym_for_statement] = STATE(1569),
    [sym_for_in_statement] = STATE(1569),
    [sym_for_of_statement] = STATE(1569),
    [sym_while_statement] = STATE(1569),
    [sym_do_statement] = STATE(1569),
    [sym_try_statement] = STATE(1569),
    [sym_with_statement] = STATE(1569),
    [sym_break_statement] = STATE(1569),
    [sym_continue_statement] = STATE(1569),
    [sym_debugger_statement] = STATE(1569),
    [sym_return_statement] = STATE(1569),
    [sym_throw_statement] = STATE(1569),
    [sym_empty_statement] = STATE(1569),
    [sym_labeled_statement] = STATE(1569),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1506] = {
    [sym_export_statement] = STATE(1574),
    [sym__declaration] = STATE(1574),
    [sym_import_statement] = STATE(1574),
    [sym_expression_statement] = STATE(1574),
    [sym_variable_declaration] = STATE(1574),
    [sym_lexical_declaration] = STATE(1574),
    [sym_statement_block] = STATE(1574),
    [sym_if_statement] = STATE(1574),
    [sym_switch_statement] = STATE(1574),
    [sym_for_statement] = STATE(1574),
    [sym_for_in_statement] = STATE(1574),
    [sym_for_of_statement] = STATE(1574),
    [sym_while_statement] = STATE(1574),
    [sym_do_statement] = STATE(1574),
    [sym_try_statement] = STATE(1574),
    [sym_with_statement] = STATE(1574),
    [sym_break_statement] = STATE(1574),
    [sym_continue_statement] = STATE(1574),
    [sym_debugger_statement] = STATE(1574),
    [sym_return_statement] = STATE(1574),
    [sym_throw_statement] = STATE(1574),
    [sym_empty_statement] = STATE(1574),
    [sym_labeled_statement] = STATE(1574),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1507] = {
    [sym_export_statement] = STATE(1575),
    [sym__declaration] = STATE(1575),
    [sym_import_statement] = STATE(1575),
    [sym_expression_statement] = STATE(1575),
    [sym_variable_declaration] = STATE(1575),
    [sym_lexical_declaration] = STATE(1575),
    [sym_statement_block] = STATE(1575),
    [sym_if_statement] = STATE(1575),
    [sym_switch_statement] = STATE(1575),
    [sym_for_statement] = STATE(1575),
    [sym_for_in_statement] = STATE(1575),
    [sym_for_of_statement] = STATE(1575),
    [sym_while_statement] = STATE(1575),
    [sym_do_statement] = STATE(1575),
    [sym_try_statement] = STATE(1575),
    [sym_with_statement] = STATE(1575),
    [sym_break_statement] = STATE(1575),
    [sym_continue_statement] = STATE(1575),
    [sym_debugger_statement] = STATE(1575),
    [sym_return_statement] = STATE(1575),
    [sym_throw_statement] = STATE(1575),
    [sym_empty_statement] = STATE(1575),
    [sym_labeled_statement] = STATE(1575),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1508] = {
    [sym_export_statement] = STATE(1576),
    [sym__declaration] = STATE(1576),
    [sym_import_statement] = STATE(1576),
    [sym_expression_statement] = STATE(1576),
    [sym_variable_declaration] = STATE(1576),
    [sym_lexical_declaration] = STATE(1576),
    [sym_statement_block] = STATE(1576),
    [sym_if_statement] = STATE(1576),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1576),
    [sym_for_in_statement] = STATE(1576),
    [sym_for_of_statement] = STATE(1576),
    [sym_while_statement] = STATE(1576),
    [sym_do_statement] = STATE(1576),
    [sym_try_statement] = STATE(1576),
    [sym_with_statement] = STATE(1576),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1576),
    [sym_debugger_statement] = STATE(1576),
    [sym_return_statement] = STATE(1576),
    [sym_throw_statement] = STATE(1576),
    [sym_empty_statement] = STATE(1576),
    [sym_labeled_statement] = STATE(1576),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1509] = {
    [sym_export_statement] = STATE(1577),
    [sym__declaration] = STATE(1577),
    [sym_import_statement] = STATE(1577),
    [sym_expression_statement] = STATE(1577),
    [sym_variable_declaration] = STATE(1577),
    [sym_lexical_declaration] = STATE(1577),
    [sym_statement_block] = STATE(1577),
    [sym_if_statement] = STATE(1577),
    [sym_switch_statement] = STATE(1577),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1577),
    [sym_for_of_statement] = STATE(1577),
    [sym_while_statement] = STATE(1577),
    [sym_do_statement] = STATE(1577),
    [sym_try_statement] = STATE(1577),
    [sym_with_statement] = STATE(1577),
    [sym_break_statement] = STATE(1577),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1577),
    [sym_return_statement] = STATE(1577),
    [sym_throw_statement] = STATE(1577),
    [sym_empty_statement] = STATE(1577),
    [sym_labeled_statement] = STATE(1577),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1510] = {
    [sym_export_statement] = STATE(1578),
    [sym__declaration] = STATE(1578),
    [sym_import_statement] = STATE(1578),
    [sym_expression_statement] = STATE(1578),
    [sym_variable_declaration] = STATE(1578),
    [sym_lexical_declaration] = STATE(1578),
    [sym_statement_block] = STATE(1578),
    [sym_if_statement] = STATE(1578),
    [sym_switch_statement] = STATE(1578),
    [sym_for_statement] = STATE(1578),
    [sym_for_in_statement] = STATE(1578),
    [sym_for_of_statement] = STATE(1578),
    [sym_while_statement] = STATE(1578),
    [sym_do_statement] = STATE(1578),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1578),
    [sym_break_statement] = STATE(1578),
    [sym_continue_statement] = STATE(1578),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1578),
    [sym_throw_statement] = STATE(1578),
    [sym_empty_statement] = STATE(1578),
    [sym_labeled_statement] = STATE(1578),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1511] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1475),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_instanceof] = ACTIONS(1475),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1512] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1513] = {
    [sym_parenthesized_expression] = STATE(1638),
    [sym__expression] = STATE(1638),
    [sym_yield_expression] = STATE(1638),
    [sym_object] = STATE(717),
    [sym_array] = STATE(718),
    [sym_jsx_element] = STATE(1638),
    [sym_jsx_fragment] = STATE(1638),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1638),
    [sym_anonymous_class] = STATE(1638),
    [sym_class] = STATE(1638),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1638),
    [sym_generator_function] = STATE(1638),
    [sym_call_expression] = STATE(1638),
    [sym_new_expression] = STATE(1638),
    [sym_await_expression] = STATE(1638),
    [sym_member_expression] = STATE(719),
    [sym_subscript_expression] = STATE(719),
    [sym_assignment_expression] = STATE(1638),
    [sym_augmented_assignment_expression] = STATE(1638),
    [sym_ternary_expression] = STATE(1638),
    [sym_binary_expression] = STATE(1638),
    [sym_unary_expression] = STATE(1638),
    [sym_update_expression] = STATE(1638),
    [sym_template_string] = STATE(1638),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(720),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(1479),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_typeof] = ACTIONS(1487),
    [anon_sym_void] = ACTIONS(1487),
    [anon_sym_delete] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3881),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3883),
    [sym_number] = ACTIONS(3881),
    [sym_identifier] = ACTIONS(1497),
    [sym_this] = ACTIONS(3883),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3883),
    [sym_false] = ACTIONS(3883),
    [sym_null] = ACTIONS(3883),
    [sym_undefined] = ACTIONS(3883),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(1499),
    [anon_sym_set] = ACTIONS(1499),
  },
  [1514] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1639),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1639),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1515] = {
    [sym_parenthesized_expression] = STATE(1640),
    [sym__expression] = STATE(1640),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_fragment] = STATE(1640),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_anonymous_class] = STATE(1640),
    [sym_class] = STATE(1640),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1640),
    [sym_generator_function] = STATE(1640),
    [sym_call_expression] = STATE(1640),
    [sym_new_expression] = STATE(1640),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1640),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_template_string] = STATE(1640),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3885),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3887),
    [sym_number] = ACTIONS(3885),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3887),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3887),
    [sym_false] = ACTIONS(3887),
    [sym_null] = ACTIONS(3887),
    [sym_undefined] = ACTIONS(3887),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1516] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1641),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1641),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1517] = {
    [sym_parenthesized_expression] = STATE(1642),
    [sym__expression] = STATE(1642),
    [sym_yield_expression] = STATE(1642),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1642),
    [sym_jsx_fragment] = STATE(1642),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1642),
    [sym_anonymous_class] = STATE(1642),
    [sym_class] = STATE(1642),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1642),
    [sym_generator_function] = STATE(1642),
    [sym_call_expression] = STATE(1642),
    [sym_new_expression] = STATE(1642),
    [sym_await_expression] = STATE(1642),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1642),
    [sym_augmented_assignment_expression] = STATE(1642),
    [sym_ternary_expression] = STATE(1642),
    [sym_binary_expression] = STATE(1642),
    [sym_unary_expression] = STATE(1642),
    [sym_update_expression] = STATE(1642),
    [sym_template_string] = STATE(1642),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3889),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3891),
    [sym_number] = ACTIONS(3889),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3891),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3891),
    [sym_false] = ACTIONS(3891),
    [sym_null] = ACTIONS(3891),
    [sym_undefined] = ACTIONS(3891),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1518] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1643),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1643),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1519] = {
    [sym_parenthesized_expression] = STATE(1644),
    [sym__expression] = STATE(1644),
    [sym_yield_expression] = STATE(1644),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1644),
    [sym_jsx_fragment] = STATE(1644),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1644),
    [sym_anonymous_class] = STATE(1644),
    [sym_class] = STATE(1644),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1644),
    [sym_generator_function] = STATE(1644),
    [sym_call_expression] = STATE(1644),
    [sym_new_expression] = STATE(1644),
    [sym_await_expression] = STATE(1644),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1644),
    [sym_augmented_assignment_expression] = STATE(1644),
    [sym_ternary_expression] = STATE(1644),
    [sym_binary_expression] = STATE(1644),
    [sym_unary_expression] = STATE(1644),
    [sym_update_expression] = STATE(1644),
    [sym_template_string] = STATE(1644),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3893),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3895),
    [sym_number] = ACTIONS(3893),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3895),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3895),
    [sym_false] = ACTIONS(3895),
    [sym_null] = ACTIONS(3895),
    [sym_undefined] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1520] = {
    [anon_sym_RPAREN] = ACTIONS(3897),
    [sym_comment] = ACTIONS(71),
  },
  [1521] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3899),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1522] = {
    [sym_export_statement] = STATE(1408),
    [sym__declaration] = STATE(1408),
    [sym_import_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1408),
    [sym_variable_declaration] = STATE(1408),
    [sym_lexical_declaration] = STATE(1408),
    [sym_statement_block] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_for_statement] = STATE(1408),
    [sym_for_in_statement] = STATE(1408),
    [sym_for_of_statement] = STATE(1408),
    [sym_while_statement] = STATE(1408),
    [sym_do_statement] = STATE(1408),
    [sym_try_statement] = STATE(1408),
    [sym_with_statement] = STATE(1408),
    [sym_break_statement] = STATE(1408),
    [sym_continue_statement] = STATE(1408),
    [sym_debugger_statement] = STATE(1408),
    [sym_return_statement] = STATE(1408),
    [sym_throw_statement] = STATE(1408),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1408),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1523] = {
    [anon_sym_RPAREN] = ACTIONS(3901),
    [sym_comment] = ACTIONS(71),
  },
  [1524] = {
    [anon_sym_RPAREN] = ACTIONS(3903),
    [sym_comment] = ACTIONS(71),
  },
  [1525] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3905),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1526] = {
    [anon_sym_RPAREN] = ACTIONS(3907),
    [sym_comment] = ACTIONS(71),
  },
  [1527] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3909),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1528] = {
    [sym_export_statement] = STATE(1657),
    [sym__declaration] = STATE(1657),
    [sym_import_statement] = STATE(1657),
    [sym_expression_statement] = STATE(1657),
    [sym_variable_declaration] = STATE(1657),
    [sym_lexical_declaration] = STATE(1657),
    [sym_statement_block] = STATE(1657),
    [sym_if_statement] = STATE(1657),
    [sym_switch_statement] = STATE(1657),
    [sym_for_statement] = STATE(1657),
    [sym_for_in_statement] = STATE(1657),
    [sym_for_of_statement] = STATE(1657),
    [sym_while_statement] = STATE(1657),
    [sym_do_statement] = STATE(1657),
    [sym_try_statement] = STATE(1657),
    [sym_with_statement] = STATE(1657),
    [sym_break_statement] = STATE(1657),
    [sym_continue_statement] = STATE(1657),
    [sym_debugger_statement] = STATE(1657),
    [sym_return_statement] = STATE(1657),
    [sym_throw_statement] = STATE(1657),
    [sym_empty_statement] = STATE(1657),
    [sym_labeled_statement] = STATE(1657),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1529] = {
    [sym_expression_statement] = STATE(1661),
    [sym_variable_declaration] = STATE(1661),
    [sym_lexical_declaration] = STATE(1661),
    [sym_empty_statement] = STATE(1661),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(1662),
    [sym_array] = STATE(1663),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_var] = ACTIONS(3921),
    [anon_sym_let] = ACTIONS(3923),
    [anon_sym_const] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3925),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1530] = {
    [sym_export_statement] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym_import_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_variable_declaration] = STATE(441),
    [sym_lexical_declaration] = STATE(441),
    [sym_statement_block] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_for_in_statement] = STATE(441),
    [sym_for_of_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_with_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_debugger_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_empty_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1531] = {
    [sym_export_statement] = STATE(465),
    [sym__declaration] = STATE(465),
    [sym_import_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_variable_declaration] = STATE(465),
    [sym_lexical_declaration] = STATE(465),
    [sym_statement_block] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_for_in_statement] = STATE(465),
    [sym_for_of_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_with_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_debugger_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_labeled_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1532] = {
    [sym_export_statement] = STATE(564),
    [sym__declaration] = STATE(564),
    [sym_import_statement] = STATE(564),
    [sym_expression_statement] = STATE(564),
    [sym_variable_declaration] = STATE(564),
    [sym_lexical_declaration] = STATE(564),
    [sym_statement_block] = STATE(564),
    [sym_if_statement] = STATE(564),
    [sym_switch_statement] = STATE(564),
    [sym_for_statement] = STATE(564),
    [sym_for_in_statement] = STATE(564),
    [sym_for_of_statement] = STATE(564),
    [sym_while_statement] = STATE(564),
    [sym_do_statement] = STATE(564),
    [sym_try_statement] = STATE(564),
    [sym_with_statement] = STATE(564),
    [sym_break_statement] = STATE(564),
    [sym_continue_statement] = STATE(564),
    [sym_debugger_statement] = STATE(564),
    [sym_return_statement] = STATE(564),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(564),
    [sym_labeled_statement] = STATE(564),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1533] = {
    [sym_export_statement] = STATE(1533),
    [sym__declaration] = STATE(1533),
    [sym_import_statement] = STATE(1533),
    [sym_expression_statement] = STATE(1533),
    [sym_variable_declaration] = STATE(1533),
    [sym_lexical_declaration] = STATE(1533),
    [sym_statement_block] = STATE(1533),
    [sym_if_statement] = STATE(1533),
    [sym_switch_statement] = STATE(1533),
    [sym_for_statement] = STATE(1533),
    [sym_for_in_statement] = STATE(1533),
    [sym_for_of_statement] = STATE(1533),
    [sym_while_statement] = STATE(1533),
    [sym_do_statement] = STATE(1533),
    [sym_try_statement] = STATE(1533),
    [sym_with_statement] = STATE(1533),
    [sym_break_statement] = STATE(1533),
    [sym_continue_statement] = STATE(1533),
    [sym_debugger_statement] = STATE(1533),
    [sym_return_statement] = STATE(1533),
    [sym_throw_statement] = STATE(1533),
    [sym_empty_statement] = STATE(1533),
    [sym_labeled_statement] = STATE(1533),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(1533),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(1166),
    [anon_sym_default] = ACTIONS(3927),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_import] = ACTIONS(1172),
    [anon_sym_var] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_if] = ACTIONS(3929),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(3932),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(3935),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_with] = ACTIONS(3938),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_debugger] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym_case] = ACTIONS(3927),
    [anon_sym_yield] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1238),
    [anon_sym_EQ_GT] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(1244),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_typeof] = ACTIONS(1250),
    [anon_sym_void] = ACTIONS(1250),
    [anon_sym_delete] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1259),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [sym_regex] = ACTIONS(1265),
    [sym_number] = ACTIONS(1259),
    [sym_identifier] = ACTIONS(3941),
    [sym_this] = ACTIONS(1265),
    [sym_super] = ACTIONS(1271),
    [sym_true] = ACTIONS(1265),
    [sym_false] = ACTIONS(1265),
    [sym_null] = ACTIONS(1265),
    [sym_undefined] = ACTIONS(1265),
    [anon_sym_AT] = ACTIONS(1274),
    [anon_sym_get] = ACTIONS(1277),
    [anon_sym_set] = ACTIONS(1277),
  },
  [1534] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1535] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1536] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1537] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1664),
    [sym__expression] = STATE(1664),
    [sym_yield_expression] = STATE(1664),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1664),
    [sym_jsx_fragment] = STATE(1664),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1664),
    [sym_anonymous_class] = STATE(1664),
    [sym_class] = STATE(1664),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1664),
    [sym_generator_function] = STATE(1664),
    [sym_call_expression] = STATE(1664),
    [sym_new_expression] = STATE(1664),
    [sym_await_expression] = STATE(1664),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1664),
    [sym_augmented_assignment_expression] = STATE(1664),
    [sym_ternary_expression] = STATE(1664),
    [sym_binary_expression] = STATE(1664),
    [sym_unary_expression] = STATE(1664),
    [sym_update_expression] = STATE(1664),
    [sym_template_string] = STATE(1664),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3944),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3946),
    [sym_number] = ACTIONS(3944),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(3946),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3946),
    [sym_false] = ACTIONS(3946),
    [sym_null] = ACTIONS(3946),
    [sym_undefined] = ACTIONS(3946),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1538] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1539] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1540] = {
    [sym_export_statement] = STATE(1533),
    [sym__declaration] = STATE(1533),
    [sym_import_statement] = STATE(1533),
    [sym_expression_statement] = STATE(1533),
    [sym_variable_declaration] = STATE(1533),
    [sym_lexical_declaration] = STATE(1533),
    [sym_statement_block] = STATE(1533),
    [sym_if_statement] = STATE(1533),
    [sym_switch_statement] = STATE(1533),
    [sym_for_statement] = STATE(1533),
    [sym_for_in_statement] = STATE(1533),
    [sym_for_of_statement] = STATE(1533),
    [sym_while_statement] = STATE(1533),
    [sym_do_statement] = STATE(1533),
    [sym_try_statement] = STATE(1533),
    [sym_with_statement] = STATE(1533),
    [sym_break_statement] = STATE(1533),
    [sym_continue_statement] = STATE(1533),
    [sym_debugger_statement] = STATE(1533),
    [sym_return_statement] = STATE(1533),
    [sym_throw_statement] = STATE(1533),
    [sym_empty_statement] = STATE(1533),
    [sym_labeled_statement] = STATE(1533),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_program_repeat1] = STATE(1533),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_default] = ACTIONS(3948),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(3950),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_case] = ACTIONS(3948),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1541] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(3189),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1542] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3952),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1543] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1544] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1545] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1546] = {
    [sym_export_statement] = STATE(1666),
    [sym__declaration] = STATE(1666),
    [sym_import_statement] = STATE(1666),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1666),
    [sym_lexical_declaration] = STATE(1666),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_switch_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_for_in_statement] = STATE(1666),
    [sym_for_of_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_do_statement] = STATE(1666),
    [sym_try_statement] = STATE(1666),
    [sym_with_statement] = STATE(1666),
    [sym_break_statement] = STATE(1666),
    [sym_continue_statement] = STATE(1666),
    [sym_debugger_statement] = STATE(1666),
    [sym_return_statement] = STATE(1666),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1666),
    [sym_labeled_statement] = STATE(1666),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1547] = {
    [sym_export_statement] = STATE(1667),
    [sym__declaration] = STATE(1667),
    [sym_import_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym_variable_declaration] = STATE(1667),
    [sym_lexical_declaration] = STATE(1667),
    [sym_statement_block] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_switch_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_for_in_statement] = STATE(1667),
    [sym_for_of_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_with_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_debugger_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_statement] = STATE(1667),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1667),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1548] = {
    [sym_export_statement] = STATE(1668),
    [sym__declaration] = STATE(1668),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1668),
    [sym_variable_declaration] = STATE(1668),
    [sym_lexical_declaration] = STATE(1668),
    [sym_statement_block] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_switch_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_for_in_statement] = STATE(1668),
    [sym_for_of_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1668),
    [sym_try_statement] = STATE(1668),
    [sym_with_statement] = STATE(1668),
    [sym_break_statement] = STATE(1668),
    [sym_continue_statement] = STATE(1668),
    [sym_debugger_statement] = STATE(1668),
    [sym_return_statement] = STATE(1668),
    [sym_throw_statement] = STATE(1668),
    [sym_empty_statement] = STATE(1668),
    [sym_labeled_statement] = STATE(1668),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1549] = {
    [sym_export_statement] = STATE(1669),
    [sym__declaration] = STATE(1669),
    [sym_import_statement] = STATE(1669),
    [sym_expression_statement] = STATE(1669),
    [sym_variable_declaration] = STATE(1669),
    [sym_lexical_declaration] = STATE(1669),
    [sym_statement_block] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_switch_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_for_in_statement] = STATE(1669),
    [sym_for_of_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1669),
    [sym_with_statement] = STATE(1669),
    [sym_break_statement] = STATE(1669),
    [sym_continue_statement] = STATE(1669),
    [sym_debugger_statement] = STATE(1669),
    [sym_return_statement] = STATE(1669),
    [sym_throw_statement] = STATE(1669),
    [sym_empty_statement] = STATE(1669),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1550] = {
    [sym_export_statement] = STATE(1670),
    [sym__declaration] = STATE(1670),
    [sym_import_statement] = STATE(1670),
    [sym_expression_statement] = STATE(1670),
    [sym_variable_declaration] = STATE(1670),
    [sym_lexical_declaration] = STATE(1670),
    [sym_statement_block] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_switch_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_for_in_statement] = STATE(1670),
    [sym_for_of_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_do_statement] = STATE(1670),
    [sym_try_statement] = STATE(1670),
    [sym_with_statement] = STATE(1670),
    [sym_break_statement] = STATE(1670),
    [sym_continue_statement] = STATE(1670),
    [sym_debugger_statement] = STATE(1670),
    [sym_return_statement] = STATE(1670),
    [sym_throw_statement] = STATE(1670),
    [sym_empty_statement] = STATE(1670),
    [sym_labeled_statement] = STATE(1670),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1551] = {
    [sym_export_statement] = STATE(1671),
    [sym__declaration] = STATE(1671),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1671),
    [sym_lexical_declaration] = STATE(1671),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_for_of_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(27),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(33),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(79),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1552] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2001),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2001),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1553] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2003),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1554] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1555] = {
    [sym_statement_block] = STATE(922),
    [sym_parenthesized_expression] = STATE(1672),
    [sym__expression] = STATE(1672),
    [sym_yield_expression] = STATE(1672),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1672),
    [sym_jsx_fragment] = STATE(1672),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1672),
    [sym_anonymous_class] = STATE(1672),
    [sym_class] = STATE(1672),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1672),
    [sym_generator_function] = STATE(1672),
    [sym_call_expression] = STATE(1672),
    [sym_new_expression] = STATE(1672),
    [sym_await_expression] = STATE(1672),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1672),
    [sym_augmented_assignment_expression] = STATE(1672),
    [sym_ternary_expression] = STATE(1672),
    [sym_binary_expression] = STATE(1672),
    [sym_unary_expression] = STATE(1672),
    [sym_update_expression] = STATE(1672),
    [sym_template_string] = STATE(1672),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3954),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(3956),
    [sym_number] = ACTIONS(3954),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(3956),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(3956),
    [sym_false] = ACTIONS(3956),
    [sym_null] = ACTIONS(3956),
    [sym_undefined] = ACTIONS(3956),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1556] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1557] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2049),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1558] = {
    [ts_builtin_sym_end] = ACTIONS(3958),
    [anon_sym_export] = ACTIONS(3960),
    [anon_sym_default] = ACTIONS(3960),
    [anon_sym_LBRACE] = ACTIONS(3958),
    [anon_sym_RBRACE] = ACTIONS(3958),
    [anon_sym_import] = ACTIONS(3960),
    [anon_sym_var] = ACTIONS(3960),
    [anon_sym_let] = ACTIONS(3960),
    [anon_sym_const] = ACTIONS(3960),
    [anon_sym_if] = ACTIONS(3960),
    [anon_sym_else] = ACTIONS(3960),
    [anon_sym_switch] = ACTIONS(3960),
    [anon_sym_for] = ACTIONS(3960),
    [anon_sym_LPAREN] = ACTIONS(3958),
    [anon_sym_while] = ACTIONS(3960),
    [anon_sym_do] = ACTIONS(3960),
    [anon_sym_try] = ACTIONS(3960),
    [anon_sym_with] = ACTIONS(3960),
    [anon_sym_break] = ACTIONS(3960),
    [anon_sym_continue] = ACTIONS(3960),
    [anon_sym_debugger] = ACTIONS(3960),
    [anon_sym_return] = ACTIONS(3960),
    [anon_sym_throw] = ACTIONS(3960),
    [anon_sym_SEMI] = ACTIONS(3958),
    [anon_sym_case] = ACTIONS(3960),
    [anon_sym_yield] = ACTIONS(3960),
    [anon_sym_LBRACK] = ACTIONS(3958),
    [anon_sym_LT] = ACTIONS(3958),
    [anon_sym_class] = ACTIONS(3960),
    [anon_sym_async] = ACTIONS(3960),
    [anon_sym_function] = ACTIONS(3960),
    [anon_sym_EQ_GT] = ACTIONS(3958),
    [anon_sym_new] = ACTIONS(3960),
    [anon_sym_await] = ACTIONS(3960),
    [anon_sym_PLUS] = ACTIONS(3960),
    [anon_sym_DASH] = ACTIONS(3960),
    [anon_sym_BANG] = ACTIONS(3958),
    [anon_sym_TILDE] = ACTIONS(3958),
    [anon_sym_typeof] = ACTIONS(3960),
    [anon_sym_void] = ACTIONS(3960),
    [anon_sym_delete] = ACTIONS(3960),
    [anon_sym_PLUS_PLUS] = ACTIONS(3958),
    [anon_sym_DASH_DASH] = ACTIONS(3958),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3958),
    [anon_sym_BQUOTE] = ACTIONS(3958),
    [sym_regex] = ACTIONS(3960),
    [sym_number] = ACTIONS(3958),
    [sym_identifier] = ACTIONS(3960),
    [sym_this] = ACTIONS(3960),
    [sym_super] = ACTIONS(3960),
    [sym_true] = ACTIONS(3960),
    [sym_false] = ACTIONS(3960),
    [sym_null] = ACTIONS(3960),
    [sym_undefined] = ACTIONS(3960),
    [anon_sym_AT] = ACTIONS(3958),
    [anon_sym_get] = ACTIONS(3960),
    [anon_sym_set] = ACTIONS(3960),
  },
  [1559] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3962),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1560] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1561] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1562] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2037),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1563] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2001),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1564] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2003),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1565] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2007),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1566] = {
    [sym_statement_block] = STATE(1163),
    [sym_parenthesized_expression] = STATE(1674),
    [sym__expression] = STATE(1674),
    [sym_yield_expression] = STATE(1674),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1674),
    [sym_jsx_fragment] = STATE(1674),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1674),
    [sym_anonymous_class] = STATE(1674),
    [sym_class] = STATE(1674),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1674),
    [sym_generator_function] = STATE(1674),
    [sym_call_expression] = STATE(1674),
    [sym_new_expression] = STATE(1674),
    [sym_await_expression] = STATE(1674),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1674),
    [sym_augmented_assignment_expression] = STATE(1674),
    [sym_ternary_expression] = STATE(1674),
    [sym_binary_expression] = STATE(1674),
    [sym_unary_expression] = STATE(1674),
    [sym_update_expression] = STATE(1674),
    [sym_template_string] = STATE(1674),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3964),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(3966),
    [sym_number] = ACTIONS(3964),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(3966),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(3966),
    [sym_false] = ACTIONS(3966),
    [sym_null] = ACTIONS(3966),
    [sym_undefined] = ACTIONS(3966),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1567] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_EQ_EQ] = ACTIONS(2039),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2037),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2037),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_instanceof] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1568] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2049),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1569] = {
    [ts_builtin_sym_end] = ACTIONS(3968),
    [anon_sym_export] = ACTIONS(3970),
    [anon_sym_default] = ACTIONS(3970),
    [anon_sym_LBRACE] = ACTIONS(3968),
    [anon_sym_RBRACE] = ACTIONS(3968),
    [anon_sym_import] = ACTIONS(3970),
    [anon_sym_var] = ACTIONS(3970),
    [anon_sym_let] = ACTIONS(3970),
    [anon_sym_const] = ACTIONS(3970),
    [anon_sym_if] = ACTIONS(3970),
    [anon_sym_else] = ACTIONS(3970),
    [anon_sym_switch] = ACTIONS(3970),
    [anon_sym_for] = ACTIONS(3970),
    [anon_sym_LPAREN] = ACTIONS(3968),
    [anon_sym_while] = ACTIONS(3970),
    [anon_sym_do] = ACTIONS(3970),
    [anon_sym_try] = ACTIONS(3970),
    [anon_sym_with] = ACTIONS(3970),
    [anon_sym_break] = ACTIONS(3970),
    [anon_sym_continue] = ACTIONS(3970),
    [anon_sym_debugger] = ACTIONS(3970),
    [anon_sym_return] = ACTIONS(3970),
    [anon_sym_throw] = ACTIONS(3970),
    [anon_sym_SEMI] = ACTIONS(3968),
    [anon_sym_case] = ACTIONS(3970),
    [anon_sym_yield] = ACTIONS(3970),
    [anon_sym_LBRACK] = ACTIONS(3968),
    [anon_sym_LT] = ACTIONS(3968),
    [anon_sym_class] = ACTIONS(3970),
    [anon_sym_async] = ACTIONS(3970),
    [anon_sym_function] = ACTIONS(3970),
    [anon_sym_EQ_GT] = ACTIONS(3968),
    [anon_sym_new] = ACTIONS(3970),
    [anon_sym_await] = ACTIONS(3970),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_BANG] = ACTIONS(3968),
    [anon_sym_TILDE] = ACTIONS(3968),
    [anon_sym_typeof] = ACTIONS(3970),
    [anon_sym_void] = ACTIONS(3970),
    [anon_sym_delete] = ACTIONS(3970),
    [anon_sym_PLUS_PLUS] = ACTIONS(3968),
    [anon_sym_DASH_DASH] = ACTIONS(3968),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3968),
    [anon_sym_BQUOTE] = ACTIONS(3968),
    [sym_regex] = ACTIONS(3970),
    [sym_number] = ACTIONS(3968),
    [sym_identifier] = ACTIONS(3970),
    [sym_this] = ACTIONS(3970),
    [sym_super] = ACTIONS(3970),
    [sym_true] = ACTIONS(3970),
    [sym_false] = ACTIONS(3970),
    [sym_null] = ACTIONS(3970),
    [sym_undefined] = ACTIONS(3970),
    [anon_sym_AT] = ACTIONS(3968),
    [anon_sym_get] = ACTIONS(3970),
    [anon_sym_set] = ACTIONS(3970),
  },
  [1570] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3972),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1571] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1572] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1573] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2037),
    [anon_sym_AMP_AMP] = ACTIONS(2037),
    [anon_sym_PIPE_PIPE] = ACTIONS(2037),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1574] = {
    [ts_builtin_sym_end] = ACTIONS(3974),
    [anon_sym_export] = ACTIONS(3976),
    [anon_sym_default] = ACTIONS(3976),
    [anon_sym_LBRACE] = ACTIONS(3974),
    [anon_sym_RBRACE] = ACTIONS(3974),
    [anon_sym_import] = ACTIONS(3976),
    [anon_sym_var] = ACTIONS(3976),
    [anon_sym_let] = ACTIONS(3976),
    [anon_sym_const] = ACTIONS(3976),
    [anon_sym_if] = ACTIONS(3976),
    [anon_sym_else] = ACTIONS(3976),
    [anon_sym_switch] = ACTIONS(3976),
    [anon_sym_for] = ACTIONS(3976),
    [anon_sym_LPAREN] = ACTIONS(3974),
    [anon_sym_while] = ACTIONS(3976),
    [anon_sym_do] = ACTIONS(3976),
    [anon_sym_try] = ACTIONS(3976),
    [anon_sym_with] = ACTIONS(3976),
    [anon_sym_break] = ACTIONS(3976),
    [anon_sym_continue] = ACTIONS(3976),
    [anon_sym_debugger] = ACTIONS(3976),
    [anon_sym_return] = ACTIONS(3976),
    [anon_sym_throw] = ACTIONS(3976),
    [anon_sym_SEMI] = ACTIONS(3974),
    [anon_sym_case] = ACTIONS(3976),
    [anon_sym_yield] = ACTIONS(3976),
    [anon_sym_LBRACK] = ACTIONS(3974),
    [anon_sym_LT] = ACTIONS(3974),
    [anon_sym_class] = ACTIONS(3976),
    [anon_sym_async] = ACTIONS(3976),
    [anon_sym_function] = ACTIONS(3976),
    [anon_sym_EQ_GT] = ACTIONS(3974),
    [anon_sym_new] = ACTIONS(3976),
    [anon_sym_await] = ACTIONS(3976),
    [anon_sym_PLUS] = ACTIONS(3976),
    [anon_sym_DASH] = ACTIONS(3976),
    [anon_sym_BANG] = ACTIONS(3974),
    [anon_sym_TILDE] = ACTIONS(3974),
    [anon_sym_typeof] = ACTIONS(3976),
    [anon_sym_void] = ACTIONS(3976),
    [anon_sym_delete] = ACTIONS(3976),
    [anon_sym_PLUS_PLUS] = ACTIONS(3974),
    [anon_sym_DASH_DASH] = ACTIONS(3974),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3974),
    [anon_sym_BQUOTE] = ACTIONS(3974),
    [sym_regex] = ACTIONS(3976),
    [sym_number] = ACTIONS(3974),
    [sym_identifier] = ACTIONS(3976),
    [sym_this] = ACTIONS(3976),
    [sym_super] = ACTIONS(3976),
    [sym_true] = ACTIONS(3976),
    [sym_false] = ACTIONS(3976),
    [sym_null] = ACTIONS(3976),
    [sym_undefined] = ACTIONS(3976),
    [anon_sym_AT] = ACTIONS(3974),
    [anon_sym_get] = ACTIONS(3976),
    [anon_sym_set] = ACTIONS(3976),
  },
  [1575] = {
    [ts_builtin_sym_end] = ACTIONS(3978),
    [anon_sym_export] = ACTIONS(3980),
    [anon_sym_default] = ACTIONS(3980),
    [anon_sym_LBRACE] = ACTIONS(3978),
    [anon_sym_RBRACE] = ACTIONS(3978),
    [anon_sym_import] = ACTIONS(3980),
    [anon_sym_var] = ACTIONS(3980),
    [anon_sym_let] = ACTIONS(3980),
    [anon_sym_const] = ACTIONS(3980),
    [anon_sym_if] = ACTIONS(3980),
    [anon_sym_else] = ACTIONS(3980),
    [anon_sym_switch] = ACTIONS(3980),
    [anon_sym_for] = ACTIONS(3980),
    [anon_sym_LPAREN] = ACTIONS(3978),
    [anon_sym_while] = ACTIONS(3980),
    [anon_sym_do] = ACTIONS(3980),
    [anon_sym_try] = ACTIONS(3980),
    [anon_sym_with] = ACTIONS(3980),
    [anon_sym_break] = ACTIONS(3980),
    [anon_sym_continue] = ACTIONS(3980),
    [anon_sym_debugger] = ACTIONS(3980),
    [anon_sym_return] = ACTIONS(3980),
    [anon_sym_throw] = ACTIONS(3980),
    [anon_sym_SEMI] = ACTIONS(3978),
    [anon_sym_case] = ACTIONS(3980),
    [anon_sym_yield] = ACTIONS(3980),
    [anon_sym_LBRACK] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3978),
    [anon_sym_class] = ACTIONS(3980),
    [anon_sym_async] = ACTIONS(3980),
    [anon_sym_function] = ACTIONS(3980),
    [anon_sym_EQ_GT] = ACTIONS(3978),
    [anon_sym_new] = ACTIONS(3980),
    [anon_sym_await] = ACTIONS(3980),
    [anon_sym_PLUS] = ACTIONS(3980),
    [anon_sym_DASH] = ACTIONS(3980),
    [anon_sym_BANG] = ACTIONS(3978),
    [anon_sym_TILDE] = ACTIONS(3978),
    [anon_sym_typeof] = ACTIONS(3980),
    [anon_sym_void] = ACTIONS(3980),
    [anon_sym_delete] = ACTIONS(3980),
    [anon_sym_PLUS_PLUS] = ACTIONS(3978),
    [anon_sym_DASH_DASH] = ACTIONS(3978),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3978),
    [anon_sym_BQUOTE] = ACTIONS(3978),
    [sym_regex] = ACTIONS(3980),
    [sym_number] = ACTIONS(3978),
    [sym_identifier] = ACTIONS(3980),
    [sym_this] = ACTIONS(3980),
    [sym_super] = ACTIONS(3980),
    [sym_true] = ACTIONS(3980),
    [sym_false] = ACTIONS(3980),
    [sym_null] = ACTIONS(3980),
    [sym_undefined] = ACTIONS(3980),
    [anon_sym_AT] = ACTIONS(3978),
    [anon_sym_get] = ACTIONS(3980),
    [anon_sym_set] = ACTIONS(3980),
  },
  [1576] = {
    [ts_builtin_sym_end] = ACTIONS(3982),
    [anon_sym_export] = ACTIONS(3984),
    [anon_sym_default] = ACTIONS(3984),
    [anon_sym_LBRACE] = ACTIONS(3982),
    [anon_sym_RBRACE] = ACTIONS(3982),
    [anon_sym_import] = ACTIONS(3984),
    [anon_sym_var] = ACTIONS(3984),
    [anon_sym_let] = ACTIONS(3984),
    [anon_sym_const] = ACTIONS(3984),
    [anon_sym_if] = ACTIONS(3984),
    [anon_sym_else] = ACTIONS(3984),
    [anon_sym_switch] = ACTIONS(3984),
    [anon_sym_for] = ACTIONS(3984),
    [anon_sym_LPAREN] = ACTIONS(3982),
    [anon_sym_while] = ACTIONS(3984),
    [anon_sym_do] = ACTIONS(3984),
    [anon_sym_try] = ACTIONS(3984),
    [anon_sym_with] = ACTIONS(3984),
    [anon_sym_break] = ACTIONS(3984),
    [anon_sym_continue] = ACTIONS(3984),
    [anon_sym_debugger] = ACTIONS(3984),
    [anon_sym_return] = ACTIONS(3984),
    [anon_sym_throw] = ACTIONS(3984),
    [anon_sym_SEMI] = ACTIONS(3982),
    [anon_sym_case] = ACTIONS(3984),
    [anon_sym_yield] = ACTIONS(3984),
    [anon_sym_LBRACK] = ACTIONS(3982),
    [anon_sym_LT] = ACTIONS(3982),
    [anon_sym_class] = ACTIONS(3984),
    [anon_sym_async] = ACTIONS(3984),
    [anon_sym_function] = ACTIONS(3984),
    [anon_sym_EQ_GT] = ACTIONS(3982),
    [anon_sym_new] = ACTIONS(3984),
    [anon_sym_await] = ACTIONS(3984),
    [anon_sym_PLUS] = ACTIONS(3984),
    [anon_sym_DASH] = ACTIONS(3984),
    [anon_sym_BANG] = ACTIONS(3982),
    [anon_sym_TILDE] = ACTIONS(3982),
    [anon_sym_typeof] = ACTIONS(3984),
    [anon_sym_void] = ACTIONS(3984),
    [anon_sym_delete] = ACTIONS(3984),
    [anon_sym_PLUS_PLUS] = ACTIONS(3982),
    [anon_sym_DASH_DASH] = ACTIONS(3982),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3982),
    [anon_sym_BQUOTE] = ACTIONS(3982),
    [sym_regex] = ACTIONS(3984),
    [sym_number] = ACTIONS(3982),
    [sym_identifier] = ACTIONS(3984),
    [sym_this] = ACTIONS(3984),
    [sym_super] = ACTIONS(3984),
    [sym_true] = ACTIONS(3984),
    [sym_false] = ACTIONS(3984),
    [sym_null] = ACTIONS(3984),
    [sym_undefined] = ACTIONS(3984),
    [anon_sym_AT] = ACTIONS(3982),
    [anon_sym_get] = ACTIONS(3984),
    [anon_sym_set] = ACTIONS(3984),
  },
  [1577] = {
    [ts_builtin_sym_end] = ACTIONS(3986),
    [anon_sym_export] = ACTIONS(3988),
    [anon_sym_default] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(3986),
    [anon_sym_RBRACE] = ACTIONS(3986),
    [anon_sym_import] = ACTIONS(3988),
    [anon_sym_var] = ACTIONS(3988),
    [anon_sym_let] = ACTIONS(3988),
    [anon_sym_const] = ACTIONS(3988),
    [anon_sym_if] = ACTIONS(3988),
    [anon_sym_else] = ACTIONS(3988),
    [anon_sym_switch] = ACTIONS(3988),
    [anon_sym_for] = ACTIONS(3988),
    [anon_sym_LPAREN] = ACTIONS(3986),
    [anon_sym_while] = ACTIONS(3988),
    [anon_sym_do] = ACTIONS(3988),
    [anon_sym_try] = ACTIONS(3988),
    [anon_sym_with] = ACTIONS(3988),
    [anon_sym_break] = ACTIONS(3988),
    [anon_sym_continue] = ACTIONS(3988),
    [anon_sym_debugger] = ACTIONS(3988),
    [anon_sym_return] = ACTIONS(3988),
    [anon_sym_throw] = ACTIONS(3988),
    [anon_sym_SEMI] = ACTIONS(3986),
    [anon_sym_case] = ACTIONS(3988),
    [anon_sym_yield] = ACTIONS(3988),
    [anon_sym_LBRACK] = ACTIONS(3986),
    [anon_sym_LT] = ACTIONS(3986),
    [anon_sym_class] = ACTIONS(3988),
    [anon_sym_async] = ACTIONS(3988),
    [anon_sym_function] = ACTIONS(3988),
    [anon_sym_EQ_GT] = ACTIONS(3986),
    [anon_sym_new] = ACTIONS(3988),
    [anon_sym_await] = ACTIONS(3988),
    [anon_sym_PLUS] = ACTIONS(3988),
    [anon_sym_DASH] = ACTIONS(3988),
    [anon_sym_BANG] = ACTIONS(3986),
    [anon_sym_TILDE] = ACTIONS(3986),
    [anon_sym_typeof] = ACTIONS(3988),
    [anon_sym_void] = ACTIONS(3988),
    [anon_sym_delete] = ACTIONS(3988),
    [anon_sym_PLUS_PLUS] = ACTIONS(3986),
    [anon_sym_DASH_DASH] = ACTIONS(3986),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3986),
    [anon_sym_BQUOTE] = ACTIONS(3986),
    [sym_regex] = ACTIONS(3988),
    [sym_number] = ACTIONS(3986),
    [sym_identifier] = ACTIONS(3988),
    [sym_this] = ACTIONS(3988),
    [sym_super] = ACTIONS(3988),
    [sym_true] = ACTIONS(3988),
    [sym_false] = ACTIONS(3988),
    [sym_null] = ACTIONS(3988),
    [sym_undefined] = ACTIONS(3988),
    [anon_sym_AT] = ACTIONS(3986),
    [anon_sym_get] = ACTIONS(3988),
    [anon_sym_set] = ACTIONS(3988),
  },
  [1578] = {
    [ts_builtin_sym_end] = ACTIONS(3990),
    [anon_sym_export] = ACTIONS(3992),
    [anon_sym_default] = ACTIONS(3992),
    [anon_sym_LBRACE] = ACTIONS(3990),
    [anon_sym_RBRACE] = ACTIONS(3990),
    [anon_sym_import] = ACTIONS(3992),
    [anon_sym_var] = ACTIONS(3992),
    [anon_sym_let] = ACTIONS(3992),
    [anon_sym_const] = ACTIONS(3992),
    [anon_sym_if] = ACTIONS(3992),
    [anon_sym_else] = ACTIONS(3992),
    [anon_sym_switch] = ACTIONS(3992),
    [anon_sym_for] = ACTIONS(3992),
    [anon_sym_LPAREN] = ACTIONS(3990),
    [anon_sym_while] = ACTIONS(3992),
    [anon_sym_do] = ACTIONS(3992),
    [anon_sym_try] = ACTIONS(3992),
    [anon_sym_with] = ACTIONS(3992),
    [anon_sym_break] = ACTIONS(3992),
    [anon_sym_continue] = ACTIONS(3992),
    [anon_sym_debugger] = ACTIONS(3992),
    [anon_sym_return] = ACTIONS(3992),
    [anon_sym_throw] = ACTIONS(3992),
    [anon_sym_SEMI] = ACTIONS(3990),
    [anon_sym_case] = ACTIONS(3992),
    [anon_sym_yield] = ACTIONS(3992),
    [anon_sym_LBRACK] = ACTIONS(3990),
    [anon_sym_LT] = ACTIONS(3990),
    [anon_sym_class] = ACTIONS(3992),
    [anon_sym_async] = ACTIONS(3992),
    [anon_sym_function] = ACTIONS(3992),
    [anon_sym_EQ_GT] = ACTIONS(3990),
    [anon_sym_new] = ACTIONS(3992),
    [anon_sym_await] = ACTIONS(3992),
    [anon_sym_PLUS] = ACTIONS(3992),
    [anon_sym_DASH] = ACTIONS(3992),
    [anon_sym_BANG] = ACTIONS(3990),
    [anon_sym_TILDE] = ACTIONS(3990),
    [anon_sym_typeof] = ACTIONS(3992),
    [anon_sym_void] = ACTIONS(3992),
    [anon_sym_delete] = ACTIONS(3992),
    [anon_sym_PLUS_PLUS] = ACTIONS(3990),
    [anon_sym_DASH_DASH] = ACTIONS(3990),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(3990),
    [anon_sym_BQUOTE] = ACTIONS(3990),
    [sym_regex] = ACTIONS(3992),
    [sym_number] = ACTIONS(3990),
    [sym_identifier] = ACTIONS(3992),
    [sym_this] = ACTIONS(3992),
    [sym_super] = ACTIONS(3992),
    [sym_true] = ACTIONS(3992),
    [sym_false] = ACTIONS(3992),
    [sym_null] = ACTIONS(3992),
    [sym_undefined] = ACTIONS(3992),
    [anon_sym_AT] = ACTIONS(3990),
    [anon_sym_get] = ACTIONS(3992),
    [anon_sym_set] = ACTIONS(3992),
  },
  [1579] = {
    [anon_sym_STAR] = ACTIONS(3807),
    [anon_sym_LBRACE] = ACTIONS(3807),
    [anon_sym_COMMA] = ACTIONS(3807),
    [anon_sym_RBRACE] = ACTIONS(3807),
    [anon_sym_LPAREN] = ACTIONS(3807),
    [anon_sym_RPAREN] = ACTIONS(3807),
    [anon_sym_in] = ACTIONS(3809),
    [anon_sym_COLON] = ACTIONS(3807),
    [anon_sym_LBRACK] = ACTIONS(3807),
    [anon_sym_RBRACK] = ACTIONS(3807),
    [anon_sym_LT] = ACTIONS(3809),
    [anon_sym_GT] = ACTIONS(3809),
    [anon_sym_SLASH] = ACTIONS(3809),
    [anon_sym_DOT] = ACTIONS(3807),
    [anon_sym_QMARK] = ACTIONS(3807),
    [anon_sym_AMP_AMP] = ACTIONS(3807),
    [anon_sym_PIPE_PIPE] = ACTIONS(3807),
    [anon_sym_GT_GT] = ACTIONS(3809),
    [anon_sym_GT_GT_GT] = ACTIONS(3807),
    [anon_sym_LT_LT] = ACTIONS(3807),
    [anon_sym_AMP] = ACTIONS(3809),
    [anon_sym_CARET] = ACTIONS(3807),
    [anon_sym_PIPE] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3809),
    [anon_sym_PERCENT] = ACTIONS(3807),
    [anon_sym_LT_EQ] = ACTIONS(3807),
    [anon_sym_EQ_EQ] = ACTIONS(3809),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3807),
    [anon_sym_BANG_EQ] = ACTIONS(3809),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3807),
    [anon_sym_GT_EQ] = ACTIONS(3807),
    [anon_sym_instanceof] = ACTIONS(3807),
    [anon_sym_PLUS_PLUS] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(3807),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(3807),
  },
  [1580] = {
    [sym_export_statement] = STATE(1089),
    [sym__declaration] = STATE(1089),
    [sym_import_statement] = STATE(1089),
    [sym_expression_statement] = STATE(1089),
    [sym_variable_declaration] = STATE(1089),
    [sym_lexical_declaration] = STATE(1089),
    [sym_statement_block] = STATE(1089),
    [sym_if_statement] = STATE(1089),
    [sym_switch_statement] = STATE(1089),
    [sym_for_statement] = STATE(1089),
    [sym_for_in_statement] = STATE(1089),
    [sym_for_of_statement] = STATE(1089),
    [sym_while_statement] = STATE(1089),
    [sym_do_statement] = STATE(1089),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1089),
    [sym_break_statement] = STATE(1089),
    [sym_continue_statement] = STATE(1089),
    [sym_debugger_statement] = STATE(1089),
    [sym_return_statement] = STATE(1089),
    [sym_throw_statement] = STATE(1089),
    [sym_empty_statement] = STATE(1089),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1581] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(3994),
    [anon_sym_of] = ACTIONS(3996),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1582] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(3998),
    [anon_sym_of] = ACTIONS(4000),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1583] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_in] = ACTIONS(4002),
    [anon_sym_of] = ACTIONS(4004),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1584] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1682),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1682),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1585] = {
    [sym_parenthesized_expression] = STATE(1683),
    [sym__expression] = STATE(1683),
    [sym_yield_expression] = STATE(1683),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1683),
    [sym_jsx_fragment] = STATE(1683),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1683),
    [sym_anonymous_class] = STATE(1683),
    [sym_class] = STATE(1683),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1683),
    [sym_generator_function] = STATE(1683),
    [sym_call_expression] = STATE(1683),
    [sym_new_expression] = STATE(1683),
    [sym_await_expression] = STATE(1683),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1683),
    [sym_augmented_assignment_expression] = STATE(1683),
    [sym_ternary_expression] = STATE(1683),
    [sym_binary_expression] = STATE(1683),
    [sym_unary_expression] = STATE(1683),
    [sym_update_expression] = STATE(1683),
    [sym_template_string] = STATE(1683),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4006),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4008),
    [sym_number] = ACTIONS(4006),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4008),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4008),
    [sym_false] = ACTIONS(4008),
    [sym_null] = ACTIONS(4008),
    [sym_undefined] = ACTIONS(4008),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1586] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1685),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1685),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(4010),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1587] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1686),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1686),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1588] = {
    [sym_parenthesized_expression] = STATE(1687),
    [sym__expression] = STATE(1687),
    [sym_yield_expression] = STATE(1687),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1687),
    [sym_jsx_fragment] = STATE(1687),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1687),
    [sym_anonymous_class] = STATE(1687),
    [sym_class] = STATE(1687),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1687),
    [sym_generator_function] = STATE(1687),
    [sym_call_expression] = STATE(1687),
    [sym_new_expression] = STATE(1687),
    [sym_await_expression] = STATE(1687),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1687),
    [sym_augmented_assignment_expression] = STATE(1687),
    [sym_ternary_expression] = STATE(1687),
    [sym_binary_expression] = STATE(1687),
    [sym_unary_expression] = STATE(1687),
    [sym_update_expression] = STATE(1687),
    [sym_template_string] = STATE(1687),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4012),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4014),
    [sym_number] = ACTIONS(4012),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4014),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4014),
    [sym_false] = ACTIONS(4014),
    [sym_null] = ACTIONS(4014),
    [sym_undefined] = ACTIONS(4014),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1589] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1688),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1688),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1590] = {
    [sym_parenthesized_expression] = STATE(1689),
    [sym__expression] = STATE(1689),
    [sym_yield_expression] = STATE(1689),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1689),
    [sym_jsx_fragment] = STATE(1689),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1689),
    [sym_anonymous_class] = STATE(1689),
    [sym_class] = STATE(1689),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1689),
    [sym_generator_function] = STATE(1689),
    [sym_call_expression] = STATE(1689),
    [sym_new_expression] = STATE(1689),
    [sym_await_expression] = STATE(1689),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1689),
    [sym_augmented_assignment_expression] = STATE(1689),
    [sym_ternary_expression] = STATE(1689),
    [sym_binary_expression] = STATE(1689),
    [sym_unary_expression] = STATE(1689),
    [sym_update_expression] = STATE(1689),
    [sym_template_string] = STATE(1689),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4016),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4018),
    [sym_number] = ACTIONS(4016),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4018),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [sym_null] = ACTIONS(4018),
    [sym_undefined] = ACTIONS(4018),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1591] = {
    [anon_sym_RPAREN] = ACTIONS(4020),
    [sym_comment] = ACTIONS(71),
  },
  [1592] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4022),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1593] = {
    [anon_sym_RPAREN] = ACTIONS(4024),
    [sym_comment] = ACTIONS(71),
  },
  [1594] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4026),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1595] = {
    [anon_sym_RPAREN] = ACTIONS(4028),
    [sym_comment] = ACTIONS(71),
  },
  [1596] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4030),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1597] = {
    [sym_export_statement] = STATE(1558),
    [sym__declaration] = STATE(1558),
    [sym_import_statement] = STATE(1558),
    [sym_expression_statement] = STATE(1558),
    [sym_variable_declaration] = STATE(1558),
    [sym_lexical_declaration] = STATE(1558),
    [sym_statement_block] = STATE(1558),
    [sym_if_statement] = STATE(1558),
    [sym_switch_statement] = STATE(1558),
    [sym_for_statement] = STATE(1558),
    [sym_for_in_statement] = STATE(1558),
    [sym_for_of_statement] = STATE(1558),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1558),
    [sym_try_statement] = STATE(1558),
    [sym_with_statement] = STATE(1558),
    [sym_break_statement] = STATE(1558),
    [sym_continue_statement] = STATE(1558),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1558),
    [sym_throw_statement] = STATE(1558),
    [sym_empty_statement] = STATE(1558),
    [sym_labeled_statement] = STATE(1558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1598] = {
    [sym_export_statement] = STATE(1569),
    [sym__declaration] = STATE(1569),
    [sym_import_statement] = STATE(1569),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1569),
    [sym_lexical_declaration] = STATE(1569),
    [sym_statement_block] = STATE(1569),
    [sym_if_statement] = STATE(1569),
    [sym_switch_statement] = STATE(1569),
    [sym_for_statement] = STATE(1569),
    [sym_for_in_statement] = STATE(1569),
    [sym_for_of_statement] = STATE(1569),
    [sym_while_statement] = STATE(1569),
    [sym_do_statement] = STATE(1569),
    [sym_try_statement] = STATE(1569),
    [sym_with_statement] = STATE(1569),
    [sym_break_statement] = STATE(1569),
    [sym_continue_statement] = STATE(1569),
    [sym_debugger_statement] = STATE(1569),
    [sym_return_statement] = STATE(1569),
    [sym_throw_statement] = STATE(1569),
    [sym_empty_statement] = STATE(1569),
    [sym_labeled_statement] = STATE(1569),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1599] = {
    [sym_export_statement] = STATE(1574),
    [sym__declaration] = STATE(1574),
    [sym_import_statement] = STATE(1574),
    [sym_expression_statement] = STATE(1574),
    [sym_variable_declaration] = STATE(1574),
    [sym_lexical_declaration] = STATE(1574),
    [sym_statement_block] = STATE(1574),
    [sym_if_statement] = STATE(1574),
    [sym_switch_statement] = STATE(1574),
    [sym_for_statement] = STATE(1574),
    [sym_for_in_statement] = STATE(1574),
    [sym_for_of_statement] = STATE(1574),
    [sym_while_statement] = STATE(1574),
    [sym_do_statement] = STATE(1574),
    [sym_try_statement] = STATE(1574),
    [sym_with_statement] = STATE(1574),
    [sym_break_statement] = STATE(1574),
    [sym_continue_statement] = STATE(1574),
    [sym_debugger_statement] = STATE(1574),
    [sym_return_statement] = STATE(1574),
    [sym_throw_statement] = STATE(1574),
    [sym_empty_statement] = STATE(1574),
    [sym_labeled_statement] = STATE(1574),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1600] = {
    [sym_export_statement] = STATE(1575),
    [sym__declaration] = STATE(1575),
    [sym_import_statement] = STATE(1575),
    [sym_expression_statement] = STATE(1575),
    [sym_variable_declaration] = STATE(1575),
    [sym_lexical_declaration] = STATE(1575),
    [sym_statement_block] = STATE(1575),
    [sym_if_statement] = STATE(1575),
    [sym_switch_statement] = STATE(1575),
    [sym_for_statement] = STATE(1575),
    [sym_for_in_statement] = STATE(1575),
    [sym_for_of_statement] = STATE(1575),
    [sym_while_statement] = STATE(1575),
    [sym_do_statement] = STATE(1575),
    [sym_try_statement] = STATE(1575),
    [sym_with_statement] = STATE(1575),
    [sym_break_statement] = STATE(1575),
    [sym_continue_statement] = STATE(1575),
    [sym_debugger_statement] = STATE(1575),
    [sym_return_statement] = STATE(1575),
    [sym_throw_statement] = STATE(1575),
    [sym_empty_statement] = STATE(1575),
    [sym_labeled_statement] = STATE(1575),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1601] = {
    [sym_export_statement] = STATE(1576),
    [sym__declaration] = STATE(1576),
    [sym_import_statement] = STATE(1576),
    [sym_expression_statement] = STATE(1576),
    [sym_variable_declaration] = STATE(1576),
    [sym_lexical_declaration] = STATE(1576),
    [sym_statement_block] = STATE(1576),
    [sym_if_statement] = STATE(1576),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1576),
    [sym_for_in_statement] = STATE(1576),
    [sym_for_of_statement] = STATE(1576),
    [sym_while_statement] = STATE(1576),
    [sym_do_statement] = STATE(1576),
    [sym_try_statement] = STATE(1576),
    [sym_with_statement] = STATE(1576),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1576),
    [sym_debugger_statement] = STATE(1576),
    [sym_return_statement] = STATE(1576),
    [sym_throw_statement] = STATE(1576),
    [sym_empty_statement] = STATE(1576),
    [sym_labeled_statement] = STATE(1576),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1602] = {
    [sym_export_statement] = STATE(1577),
    [sym__declaration] = STATE(1577),
    [sym_import_statement] = STATE(1577),
    [sym_expression_statement] = STATE(1577),
    [sym_variable_declaration] = STATE(1577),
    [sym_lexical_declaration] = STATE(1577),
    [sym_statement_block] = STATE(1577),
    [sym_if_statement] = STATE(1577),
    [sym_switch_statement] = STATE(1577),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1577),
    [sym_for_of_statement] = STATE(1577),
    [sym_while_statement] = STATE(1577),
    [sym_do_statement] = STATE(1577),
    [sym_try_statement] = STATE(1577),
    [sym_with_statement] = STATE(1577),
    [sym_break_statement] = STATE(1577),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1577),
    [sym_return_statement] = STATE(1577),
    [sym_throw_statement] = STATE(1577),
    [sym_empty_statement] = STATE(1577),
    [sym_labeled_statement] = STATE(1577),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1603] = {
    [sym_export_statement] = STATE(1578),
    [sym__declaration] = STATE(1578),
    [sym_import_statement] = STATE(1578),
    [sym_expression_statement] = STATE(1578),
    [sym_variable_declaration] = STATE(1578),
    [sym_lexical_declaration] = STATE(1578),
    [sym_statement_block] = STATE(1578),
    [sym_if_statement] = STATE(1578),
    [sym_switch_statement] = STATE(1578),
    [sym_for_statement] = STATE(1578),
    [sym_for_in_statement] = STATE(1578),
    [sym_for_of_statement] = STATE(1578),
    [sym_while_statement] = STATE(1578),
    [sym_do_statement] = STATE(1578),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1578),
    [sym_break_statement] = STATE(1578),
    [sym_continue_statement] = STATE(1578),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1578),
    [sym_throw_statement] = STATE(1578),
    [sym_empty_statement] = STATE(1578),
    [sym_labeled_statement] = STATE(1578),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1604] = {
    [ts_builtin_sym_end] = ACTIONS(4032),
    [anon_sym_export] = ACTIONS(4034),
    [anon_sym_default] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4032),
    [anon_sym_RBRACE] = ACTIONS(4032),
    [anon_sym_import] = ACTIONS(4034),
    [anon_sym_var] = ACTIONS(4034),
    [anon_sym_let] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_if] = ACTIONS(4034),
    [anon_sym_else] = ACTIONS(4034),
    [anon_sym_switch] = ACTIONS(4034),
    [anon_sym_for] = ACTIONS(4034),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_while] = ACTIONS(4034),
    [anon_sym_do] = ACTIONS(4034),
    [anon_sym_try] = ACTIONS(4034),
    [anon_sym_with] = ACTIONS(4034),
    [anon_sym_break] = ACTIONS(4034),
    [anon_sym_continue] = ACTIONS(4034),
    [anon_sym_debugger] = ACTIONS(4034),
    [anon_sym_return] = ACTIONS(4034),
    [anon_sym_throw] = ACTIONS(4034),
    [anon_sym_SEMI] = ACTIONS(4032),
    [anon_sym_case] = ACTIONS(4034),
    [anon_sym_finally] = ACTIONS(4034),
    [anon_sym_yield] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(4032),
    [anon_sym_LT] = ACTIONS(4032),
    [anon_sym_class] = ACTIONS(4034),
    [anon_sym_async] = ACTIONS(4034),
    [anon_sym_function] = ACTIONS(4034),
    [anon_sym_EQ_GT] = ACTIONS(4032),
    [anon_sym_new] = ACTIONS(4034),
    [anon_sym_await] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_BANG] = ACTIONS(4032),
    [anon_sym_TILDE] = ACTIONS(4032),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_void] = ACTIONS(4034),
    [anon_sym_delete] = ACTIONS(4034),
    [anon_sym_PLUS_PLUS] = ACTIONS(4032),
    [anon_sym_DASH_DASH] = ACTIONS(4032),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4032),
    [anon_sym_BQUOTE] = ACTIONS(4032),
    [sym_regex] = ACTIONS(4034),
    [sym_number] = ACTIONS(4032),
    [sym_identifier] = ACTIONS(4034),
    [sym_this] = ACTIONS(4034),
    [sym_super] = ACTIONS(4034),
    [sym_true] = ACTIONS(4034),
    [sym_false] = ACTIONS(4034),
    [sym_null] = ACTIONS(4034),
    [sym_undefined] = ACTIONS(4034),
    [anon_sym_AT] = ACTIONS(4032),
    [anon_sym_get] = ACTIONS(4034),
    [anon_sym_set] = ACTIONS(4034),
  },
  [1605] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(4036),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [1606] = {
    [sym_jsx_element] = STATE(612),
    [sym_jsx_expression] = STATE(612),
    [sym_jsx_opening_element] = STATE(232),
    [sym_jsx_self_closing_element] = STATE(612),
    [aux_sym_jsx_element_repeat1] = STATE(612),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(4038),
    [sym_jsx_text] = ACTIONS(1158),
    [sym_comment] = ACTIONS(71),
  },
  [1607] = {
    [anon_sym_GT] = ACTIONS(4040),
    [sym_comment] = ACTIONS(71),
  },
  [1608] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(4042),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [1609] = {
    [anon_sym_GT] = ACTIONS(4044),
    [sym_comment] = ACTIONS(71),
  },
  [1610] = {
    [sym_jsx_expression] = STATE(886),
    [sym_jsx_namespace_name] = STATE(505),
    [sym_jsx_attribute] = STATE(886),
    [aux_sym_jsx_opening_element_repeat1] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(1905),
    [anon_sym_SLASH] = ACTIONS(4046),
    [sym_jsx_identifier] = ACTIONS(908),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(910),
  },
  [1611] = {
    [sym_nested_identifier] = STATE(1704),
    [sym_jsx_namespace_name] = STATE(1705),
    [sym_jsx_identifier] = ACTIONS(4048),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(4050),
  },
  [1612] = {
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_GT] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2167),
    [sym_jsx_identifier] = ACTIONS(2165),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2167),
  },
  [1613] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_GT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(1961),
    [anon_sym_AMP_AMP] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_BANG_EQ] = ACTIONS(1951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1973),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_instanceof] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1614] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2103),
    [anon_sym_COLON] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_GT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2111),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2113),
    [anon_sym_AMP_AMP] = ACTIONS(2115),
    [anon_sym_PIPE_PIPE] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2111),
    [anon_sym_GT_GT_GT] = ACTIONS(2107),
    [anon_sym_LT_LT] = ACTIONS(2107),
    [anon_sym_AMP] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2123),
    [anon_sym_DASH] = ACTIONS(2123),
    [anon_sym_PERCENT] = ACTIONS(2107),
    [anon_sym_LT_EQ] = ACTIONS(2125),
    [anon_sym_EQ_EQ] = ACTIONS(2103),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2125),
    [anon_sym_BANG_EQ] = ACTIONS(2103),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2125),
    [anon_sym_GT_EQ] = ACTIONS(2125),
    [anon_sym_instanceof] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1615] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1616] = {
    [sym_parenthesized_expression] = STATE(1706),
    [sym__expression] = STATE(1706),
    [sym_yield_expression] = STATE(1706),
    [sym_object] = STATE(965),
    [sym_array] = STATE(966),
    [sym_jsx_element] = STATE(1706),
    [sym_jsx_fragment] = STATE(1706),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1706),
    [sym_anonymous_class] = STATE(1706),
    [sym_class] = STATE(1706),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1706),
    [sym_generator_function] = STATE(1706),
    [sym_call_expression] = STATE(1706),
    [sym_new_expression] = STATE(1706),
    [sym_await_expression] = STATE(1706),
    [sym_member_expression] = STATE(967),
    [sym_subscript_expression] = STATE(967),
    [sym_assignment_expression] = STATE(1706),
    [sym_augmented_assignment_expression] = STATE(1706),
    [sym_ternary_expression] = STATE(1706),
    [sym_binary_expression] = STATE(1706),
    [sym_unary_expression] = STATE(1706),
    [sym_update_expression] = STATE(1706),
    [sym_template_string] = STATE(1706),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(968),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2139),
    [anon_sym_DASH] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_typeof] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2139),
    [anon_sym_delete] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4052),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4054),
    [sym_number] = ACTIONS(4052),
    [sym_identifier] = ACTIONS(2149),
    [sym_this] = ACTIONS(4054),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4054),
    [sym_false] = ACTIONS(4054),
    [sym_null] = ACTIONS(4054),
    [sym_undefined] = ACTIONS(4054),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
  },
  [1617] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(3439),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_SLASH] = ACTIONS(2268),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2272),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2268),
    [anon_sym_GT_GT_GT] = ACTIONS(2264),
    [anon_sym_LT_LT] = ACTIONS(2264),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2282),
    [anon_sym_GT_EQ] = ACTIONS(2282),
    [anon_sym_instanceof] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1618] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1707),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1707),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1619] = {
    [sym_parenthesized_expression] = STATE(1708),
    [sym__expression] = STATE(1708),
    [sym_yield_expression] = STATE(1708),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1708),
    [sym_jsx_fragment] = STATE(1708),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1708),
    [sym_anonymous_class] = STATE(1708),
    [sym_class] = STATE(1708),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1708),
    [sym_generator_function] = STATE(1708),
    [sym_call_expression] = STATE(1708),
    [sym_new_expression] = STATE(1708),
    [sym_await_expression] = STATE(1708),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1708),
    [sym_augmented_assignment_expression] = STATE(1708),
    [sym_ternary_expression] = STATE(1708),
    [sym_binary_expression] = STATE(1708),
    [sym_unary_expression] = STATE(1708),
    [sym_update_expression] = STATE(1708),
    [sym_template_string] = STATE(1708),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4056),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4058),
    [sym_number] = ACTIONS(4056),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4058),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4058),
    [sym_false] = ACTIONS(4058),
    [sym_null] = ACTIONS(4058),
    [sym_undefined] = ACTIONS(4058),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1620] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1709),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1709),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1621] = {
    [sym_parenthesized_expression] = STATE(1710),
    [sym__expression] = STATE(1710),
    [sym_yield_expression] = STATE(1710),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1710),
    [sym_jsx_fragment] = STATE(1710),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1710),
    [sym_anonymous_class] = STATE(1710),
    [sym_class] = STATE(1710),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1710),
    [sym_generator_function] = STATE(1710),
    [sym_call_expression] = STATE(1710),
    [sym_new_expression] = STATE(1710),
    [sym_await_expression] = STATE(1710),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1710),
    [sym_augmented_assignment_expression] = STATE(1710),
    [sym_ternary_expression] = STATE(1710),
    [sym_binary_expression] = STATE(1710),
    [sym_unary_expression] = STATE(1710),
    [sym_update_expression] = STATE(1710),
    [sym_template_string] = STATE(1710),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4060),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4062),
    [sym_number] = ACTIONS(4060),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4062),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4062),
    [sym_false] = ACTIONS(4062),
    [sym_null] = ACTIONS(4062),
    [sym_undefined] = ACTIONS(4062),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1622] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1711),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1711),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1623] = {
    [sym_parenthesized_expression] = STATE(1712),
    [sym__expression] = STATE(1712),
    [sym_yield_expression] = STATE(1712),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1712),
    [sym_jsx_fragment] = STATE(1712),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1712),
    [sym_anonymous_class] = STATE(1712),
    [sym_class] = STATE(1712),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1712),
    [sym_generator_function] = STATE(1712),
    [sym_call_expression] = STATE(1712),
    [sym_new_expression] = STATE(1712),
    [sym_await_expression] = STATE(1712),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1712),
    [sym_augmented_assignment_expression] = STATE(1712),
    [sym_ternary_expression] = STATE(1712),
    [sym_binary_expression] = STATE(1712),
    [sym_unary_expression] = STATE(1712),
    [sym_update_expression] = STATE(1712),
    [sym_template_string] = STATE(1712),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4064),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4066),
    [sym_number] = ACTIONS(4064),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4066),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4066),
    [sym_false] = ACTIONS(4066),
    [sym_null] = ACTIONS(4066),
    [sym_undefined] = ACTIONS(4066),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1624] = {
    [anon_sym_RPAREN] = ACTIONS(4068),
    [sym_comment] = ACTIONS(71),
  },
  [1625] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4070),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1626] = {
    [sym_export_statement] = STATE(1408),
    [sym__declaration] = STATE(1408),
    [sym_import_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1408),
    [sym_variable_declaration] = STATE(1408),
    [sym_lexical_declaration] = STATE(1408),
    [sym_statement_block] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_for_statement] = STATE(1408),
    [sym_for_in_statement] = STATE(1408),
    [sym_for_of_statement] = STATE(1408),
    [sym_while_statement] = STATE(1408),
    [sym_do_statement] = STATE(1408),
    [sym_try_statement] = STATE(1408),
    [sym_with_statement] = STATE(1408),
    [sym_break_statement] = STATE(1408),
    [sym_continue_statement] = STATE(1408),
    [sym_debugger_statement] = STATE(1408),
    [sym_return_statement] = STATE(1408),
    [sym_throw_statement] = STATE(1408),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1408),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1627] = {
    [anon_sym_RPAREN] = ACTIONS(4072),
    [sym_comment] = ACTIONS(71),
  },
  [1628] = {
    [anon_sym_RPAREN] = ACTIONS(4074),
    [sym_comment] = ACTIONS(71),
  },
  [1629] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1630] = {
    [anon_sym_RPAREN] = ACTIONS(4078),
    [sym_comment] = ACTIONS(71),
  },
  [1631] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4080),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1632] = {
    [sym_export_statement] = STATE(1666),
    [sym__declaration] = STATE(1666),
    [sym_import_statement] = STATE(1666),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1666),
    [sym_lexical_declaration] = STATE(1666),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_switch_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_for_in_statement] = STATE(1666),
    [sym_for_of_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_do_statement] = STATE(1666),
    [sym_try_statement] = STATE(1666),
    [sym_with_statement] = STATE(1666),
    [sym_break_statement] = STATE(1666),
    [sym_continue_statement] = STATE(1666),
    [sym_debugger_statement] = STATE(1666),
    [sym_return_statement] = STATE(1666),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1666),
    [sym_labeled_statement] = STATE(1666),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1633] = {
    [sym_export_statement] = STATE(1667),
    [sym__declaration] = STATE(1667),
    [sym_import_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym_variable_declaration] = STATE(1667),
    [sym_lexical_declaration] = STATE(1667),
    [sym_statement_block] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_switch_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_for_in_statement] = STATE(1667),
    [sym_for_of_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_with_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_debugger_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_statement] = STATE(1667),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1667),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1634] = {
    [sym_export_statement] = STATE(1668),
    [sym__declaration] = STATE(1668),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1668),
    [sym_variable_declaration] = STATE(1668),
    [sym_lexical_declaration] = STATE(1668),
    [sym_statement_block] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_switch_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_for_in_statement] = STATE(1668),
    [sym_for_of_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1668),
    [sym_try_statement] = STATE(1668),
    [sym_with_statement] = STATE(1668),
    [sym_break_statement] = STATE(1668),
    [sym_continue_statement] = STATE(1668),
    [sym_debugger_statement] = STATE(1668),
    [sym_return_statement] = STATE(1668),
    [sym_throw_statement] = STATE(1668),
    [sym_empty_statement] = STATE(1668),
    [sym_labeled_statement] = STATE(1668),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1635] = {
    [sym_export_statement] = STATE(1669),
    [sym__declaration] = STATE(1669),
    [sym_import_statement] = STATE(1669),
    [sym_expression_statement] = STATE(1669),
    [sym_variable_declaration] = STATE(1669),
    [sym_lexical_declaration] = STATE(1669),
    [sym_statement_block] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_switch_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_for_in_statement] = STATE(1669),
    [sym_for_of_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1669),
    [sym_with_statement] = STATE(1669),
    [sym_break_statement] = STATE(1669),
    [sym_continue_statement] = STATE(1669),
    [sym_debugger_statement] = STATE(1669),
    [sym_return_statement] = STATE(1669),
    [sym_throw_statement] = STATE(1669),
    [sym_empty_statement] = STATE(1669),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1636] = {
    [sym_export_statement] = STATE(1670),
    [sym__declaration] = STATE(1670),
    [sym_import_statement] = STATE(1670),
    [sym_expression_statement] = STATE(1670),
    [sym_variable_declaration] = STATE(1670),
    [sym_lexical_declaration] = STATE(1670),
    [sym_statement_block] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_switch_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_for_in_statement] = STATE(1670),
    [sym_for_of_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_do_statement] = STATE(1670),
    [sym_try_statement] = STATE(1670),
    [sym_with_statement] = STATE(1670),
    [sym_break_statement] = STATE(1670),
    [sym_continue_statement] = STATE(1670),
    [sym_debugger_statement] = STATE(1670),
    [sym_return_statement] = STATE(1670),
    [sym_throw_statement] = STATE(1670),
    [sym_empty_statement] = STATE(1670),
    [sym_labeled_statement] = STATE(1670),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1637] = {
    [sym_export_statement] = STATE(1671),
    [sym__declaration] = STATE(1671),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1671),
    [sym_lexical_declaration] = STATE(1671),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_for_of_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(111),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(113),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(115),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(117),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1638] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_in] = ACTIONS(2379),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_GT_GT] = ACTIONS(2385),
    [anon_sym_GT_GT_GT] = ACTIONS(2383),
    [anon_sym_LT_LT] = ACTIONS(2383),
    [anon_sym_AMP] = ACTIONS(2393),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_PERCENT] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_EQ_EQ] = ACTIONS(2379),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2399),
    [anon_sym_BANG_EQ] = ACTIONS(2379),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2399),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_instanceof] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1639] = {
    [anon_sym_RPAREN] = ACTIONS(4082),
    [sym_comment] = ACTIONS(71),
  },
  [1640] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4084),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1641] = {
    [anon_sym_RPAREN] = ACTIONS(4086),
    [sym_comment] = ACTIONS(71),
  },
  [1642] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4088),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1643] = {
    [anon_sym_RPAREN] = ACTIONS(4090),
    [sym_comment] = ACTIONS(71),
  },
  [1644] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4092),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1645] = {
    [sym_export_statement] = STATE(1558),
    [sym__declaration] = STATE(1558),
    [sym_import_statement] = STATE(1558),
    [sym_expression_statement] = STATE(1558),
    [sym_variable_declaration] = STATE(1558),
    [sym_lexical_declaration] = STATE(1558),
    [sym_statement_block] = STATE(1558),
    [sym_if_statement] = STATE(1558),
    [sym_switch_statement] = STATE(1558),
    [sym_for_statement] = STATE(1558),
    [sym_for_in_statement] = STATE(1558),
    [sym_for_of_statement] = STATE(1558),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1558),
    [sym_try_statement] = STATE(1558),
    [sym_with_statement] = STATE(1558),
    [sym_break_statement] = STATE(1558),
    [sym_continue_statement] = STATE(1558),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1558),
    [sym_throw_statement] = STATE(1558),
    [sym_empty_statement] = STATE(1558),
    [sym_labeled_statement] = STATE(1558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1646] = {
    [sym_export_statement] = STATE(1569),
    [sym__declaration] = STATE(1569),
    [sym_import_statement] = STATE(1569),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1569),
    [sym_lexical_declaration] = STATE(1569),
    [sym_statement_block] = STATE(1569),
    [sym_if_statement] = STATE(1569),
    [sym_switch_statement] = STATE(1569),
    [sym_for_statement] = STATE(1569),
    [sym_for_in_statement] = STATE(1569),
    [sym_for_of_statement] = STATE(1569),
    [sym_while_statement] = STATE(1569),
    [sym_do_statement] = STATE(1569),
    [sym_try_statement] = STATE(1569),
    [sym_with_statement] = STATE(1569),
    [sym_break_statement] = STATE(1569),
    [sym_continue_statement] = STATE(1569),
    [sym_debugger_statement] = STATE(1569),
    [sym_return_statement] = STATE(1569),
    [sym_throw_statement] = STATE(1569),
    [sym_empty_statement] = STATE(1569),
    [sym_labeled_statement] = STATE(1569),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1647] = {
    [sym_export_statement] = STATE(1574),
    [sym__declaration] = STATE(1574),
    [sym_import_statement] = STATE(1574),
    [sym_expression_statement] = STATE(1574),
    [sym_variable_declaration] = STATE(1574),
    [sym_lexical_declaration] = STATE(1574),
    [sym_statement_block] = STATE(1574),
    [sym_if_statement] = STATE(1574),
    [sym_switch_statement] = STATE(1574),
    [sym_for_statement] = STATE(1574),
    [sym_for_in_statement] = STATE(1574),
    [sym_for_of_statement] = STATE(1574),
    [sym_while_statement] = STATE(1574),
    [sym_do_statement] = STATE(1574),
    [sym_try_statement] = STATE(1574),
    [sym_with_statement] = STATE(1574),
    [sym_break_statement] = STATE(1574),
    [sym_continue_statement] = STATE(1574),
    [sym_debugger_statement] = STATE(1574),
    [sym_return_statement] = STATE(1574),
    [sym_throw_statement] = STATE(1574),
    [sym_empty_statement] = STATE(1574),
    [sym_labeled_statement] = STATE(1574),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1648] = {
    [sym_export_statement] = STATE(1575),
    [sym__declaration] = STATE(1575),
    [sym_import_statement] = STATE(1575),
    [sym_expression_statement] = STATE(1575),
    [sym_variable_declaration] = STATE(1575),
    [sym_lexical_declaration] = STATE(1575),
    [sym_statement_block] = STATE(1575),
    [sym_if_statement] = STATE(1575),
    [sym_switch_statement] = STATE(1575),
    [sym_for_statement] = STATE(1575),
    [sym_for_in_statement] = STATE(1575),
    [sym_for_of_statement] = STATE(1575),
    [sym_while_statement] = STATE(1575),
    [sym_do_statement] = STATE(1575),
    [sym_try_statement] = STATE(1575),
    [sym_with_statement] = STATE(1575),
    [sym_break_statement] = STATE(1575),
    [sym_continue_statement] = STATE(1575),
    [sym_debugger_statement] = STATE(1575),
    [sym_return_statement] = STATE(1575),
    [sym_throw_statement] = STATE(1575),
    [sym_empty_statement] = STATE(1575),
    [sym_labeled_statement] = STATE(1575),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1649] = {
    [sym_export_statement] = STATE(1576),
    [sym__declaration] = STATE(1576),
    [sym_import_statement] = STATE(1576),
    [sym_expression_statement] = STATE(1576),
    [sym_variable_declaration] = STATE(1576),
    [sym_lexical_declaration] = STATE(1576),
    [sym_statement_block] = STATE(1576),
    [sym_if_statement] = STATE(1576),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1576),
    [sym_for_in_statement] = STATE(1576),
    [sym_for_of_statement] = STATE(1576),
    [sym_while_statement] = STATE(1576),
    [sym_do_statement] = STATE(1576),
    [sym_try_statement] = STATE(1576),
    [sym_with_statement] = STATE(1576),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1576),
    [sym_debugger_statement] = STATE(1576),
    [sym_return_statement] = STATE(1576),
    [sym_throw_statement] = STATE(1576),
    [sym_empty_statement] = STATE(1576),
    [sym_labeled_statement] = STATE(1576),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1650] = {
    [sym_export_statement] = STATE(1577),
    [sym__declaration] = STATE(1577),
    [sym_import_statement] = STATE(1577),
    [sym_expression_statement] = STATE(1577),
    [sym_variable_declaration] = STATE(1577),
    [sym_lexical_declaration] = STATE(1577),
    [sym_statement_block] = STATE(1577),
    [sym_if_statement] = STATE(1577),
    [sym_switch_statement] = STATE(1577),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1577),
    [sym_for_of_statement] = STATE(1577),
    [sym_while_statement] = STATE(1577),
    [sym_do_statement] = STATE(1577),
    [sym_try_statement] = STATE(1577),
    [sym_with_statement] = STATE(1577),
    [sym_break_statement] = STATE(1577),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1577),
    [sym_return_statement] = STATE(1577),
    [sym_throw_statement] = STATE(1577),
    [sym_empty_statement] = STATE(1577),
    [sym_labeled_statement] = STATE(1577),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1651] = {
    [sym_export_statement] = STATE(1578),
    [sym__declaration] = STATE(1578),
    [sym_import_statement] = STATE(1578),
    [sym_expression_statement] = STATE(1578),
    [sym_variable_declaration] = STATE(1578),
    [sym_lexical_declaration] = STATE(1578),
    [sym_statement_block] = STATE(1578),
    [sym_if_statement] = STATE(1578),
    [sym_switch_statement] = STATE(1578),
    [sym_for_statement] = STATE(1578),
    [sym_for_in_statement] = STATE(1578),
    [sym_for_of_statement] = STATE(1578),
    [sym_while_statement] = STATE(1578),
    [sym_do_statement] = STATE(1578),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1578),
    [sym_break_statement] = STATE(1578),
    [sym_continue_statement] = STATE(1578),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1578),
    [sym_throw_statement] = STATE(1578),
    [sym_empty_statement] = STATE(1578),
    [sym_labeled_statement] = STATE(1578),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1652] = {
    [sym_parenthesized_expression] = STATE(1726),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [1653] = {
    [anon_sym_LPAREN] = ACTIONS(4094),
    [sym_comment] = ACTIONS(71),
  },
  [1654] = {
    [sym_parenthesized_expression] = STATE(1728),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [1655] = {
    [sym_parenthesized_expression] = STATE(1729),
    [anon_sym_LPAREN] = ACTIONS(145),
    [sym_comment] = ACTIONS(71),
  },
  [1656] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(344),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(4096),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1657] = {
    [anon_sym_export] = ACTIONS(1600),
    [anon_sym_default] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(1600),
    [anon_sym_let] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(4098),
    [anon_sym_switch] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_while] = ACTIONS(1600),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_try] = ACTIONS(1600),
    [anon_sym_with] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_debugger] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_case] = ACTIONS(1600),
    [anon_sym_yield] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_class] = ACTIONS(1600),
    [anon_sym_async] = ACTIONS(1600),
    [anon_sym_function] = ACTIONS(1600),
    [anon_sym_EQ_GT] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1600),
    [anon_sym_await] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_void] = ACTIONS(1600),
    [anon_sym_delete] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [sym_regex] = ACTIONS(1600),
    [sym_number] = ACTIONS(1598),
    [sym_identifier] = ACTIONS(1600),
    [sym_this] = ACTIONS(1600),
    [sym_super] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [sym_null] = ACTIONS(1600),
    [sym_undefined] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1600),
    [anon_sym_set] = ACTIONS(1600),
  },
  [1658] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(1733),
    [sym_array] = STATE(1734),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(4100),
  },
  [1659] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(1733),
    [sym_array] = STATE(1734),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(4100),
  },
  [1660] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(4102),
    [anon_sym_of] = ACTIONS(4104),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1661] = {
    [sym_expression_statement] = STATE(1737),
    [sym_empty_statement] = STATE(1737),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1662] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(4106),
    [anon_sym_of] = ACTIONS(4108),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1663] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(4110),
    [anon_sym_of] = ACTIONS(4112),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1664] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1665] = {
    [sym_parenthesized_expression] = STATE(1742),
    [sym__expression] = STATE(1742),
    [sym_yield_expression] = STATE(1742),
    [sym_object] = STATE(1102),
    [sym_array] = STATE(1103),
    [sym_jsx_element] = STATE(1742),
    [sym_jsx_fragment] = STATE(1742),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1742),
    [sym_anonymous_class] = STATE(1742),
    [sym_class] = STATE(1742),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1742),
    [sym_generator_function] = STATE(1742),
    [sym_call_expression] = STATE(1742),
    [sym_new_expression] = STATE(1742),
    [sym_await_expression] = STATE(1742),
    [sym_member_expression] = STATE(1104),
    [sym_subscript_expression] = STATE(1104),
    [sym_assignment_expression] = STATE(1742),
    [sym_augmented_assignment_expression] = STATE(1742),
    [sym_ternary_expression] = STATE(1742),
    [sym_binary_expression] = STATE(1742),
    [sym_unary_expression] = STATE(1742),
    [sym_update_expression] = STATE(1742),
    [sym_template_string] = STATE(1742),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1105),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2462),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_void] = ACTIONS(2470),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4114),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4116),
    [sym_number] = ACTIONS(4114),
    [sym_identifier] = ACTIONS(2480),
    [sym_this] = ACTIONS(4116),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4116),
    [sym_false] = ACTIONS(4116),
    [sym_null] = ACTIONS(4116),
    [sym_undefined] = ACTIONS(4116),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2482),
    [anon_sym_set] = ACTIONS(2482),
  },
  [1666] = {
    [ts_builtin_sym_end] = ACTIONS(4118),
    [anon_sym_export] = ACTIONS(4120),
    [anon_sym_default] = ACTIONS(4120),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4118),
    [anon_sym_import] = ACTIONS(4120),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_const] = ACTIONS(4120),
    [anon_sym_if] = ACTIONS(4120),
    [anon_sym_else] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_for] = ACTIONS(4120),
    [anon_sym_LPAREN] = ACTIONS(4118),
    [anon_sym_while] = ACTIONS(4120),
    [anon_sym_do] = ACTIONS(4120),
    [anon_sym_try] = ACTIONS(4120),
    [anon_sym_with] = ACTIONS(4120),
    [anon_sym_break] = ACTIONS(4120),
    [anon_sym_continue] = ACTIONS(4120),
    [anon_sym_debugger] = ACTIONS(4120),
    [anon_sym_return] = ACTIONS(4120),
    [anon_sym_throw] = ACTIONS(4120),
    [anon_sym_SEMI] = ACTIONS(4118),
    [anon_sym_case] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4118),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym_class] = ACTIONS(4120),
    [anon_sym_async] = ACTIONS(4120),
    [anon_sym_function] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4118),
    [anon_sym_new] = ACTIONS(4120),
    [anon_sym_await] = ACTIONS(4120),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4118),
    [anon_sym_TILDE] = ACTIONS(4118),
    [anon_sym_typeof] = ACTIONS(4120),
    [anon_sym_void] = ACTIONS(4120),
    [anon_sym_delete] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4118),
    [anon_sym_DASH_DASH] = ACTIONS(4118),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4118),
    [anon_sym_BQUOTE] = ACTIONS(4118),
    [sym_regex] = ACTIONS(4120),
    [sym_number] = ACTIONS(4118),
    [sym_identifier] = ACTIONS(4120),
    [sym_this] = ACTIONS(4120),
    [sym_super] = ACTIONS(4120),
    [sym_true] = ACTIONS(4120),
    [sym_false] = ACTIONS(4120),
    [sym_null] = ACTIONS(4120),
    [sym_undefined] = ACTIONS(4120),
    [anon_sym_AT] = ACTIONS(4118),
    [anon_sym_get] = ACTIONS(4120),
    [anon_sym_set] = ACTIONS(4120),
  },
  [1667] = {
    [ts_builtin_sym_end] = ACTIONS(4122),
    [anon_sym_export] = ACTIONS(4124),
    [anon_sym_default] = ACTIONS(4124),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_import] = ACTIONS(4124),
    [anon_sym_var] = ACTIONS(4124),
    [anon_sym_let] = ACTIONS(4124),
    [anon_sym_const] = ACTIONS(4124),
    [anon_sym_if] = ACTIONS(4124),
    [anon_sym_else] = ACTIONS(4124),
    [anon_sym_switch] = ACTIONS(4124),
    [anon_sym_for] = ACTIONS(4124),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(4124),
    [anon_sym_do] = ACTIONS(4124),
    [anon_sym_try] = ACTIONS(4124),
    [anon_sym_with] = ACTIONS(4124),
    [anon_sym_break] = ACTIONS(4124),
    [anon_sym_continue] = ACTIONS(4124),
    [anon_sym_debugger] = ACTIONS(4124),
    [anon_sym_return] = ACTIONS(4124),
    [anon_sym_throw] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_case] = ACTIONS(4124),
    [anon_sym_yield] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4122),
    [anon_sym_class] = ACTIONS(4124),
    [anon_sym_async] = ACTIONS(4124),
    [anon_sym_function] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_new] = ACTIONS(4124),
    [anon_sym_await] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4122),
    [anon_sym_TILDE] = ACTIONS(4122),
    [anon_sym_typeof] = ACTIONS(4124),
    [anon_sym_void] = ACTIONS(4124),
    [anon_sym_delete] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4122),
    [anon_sym_BQUOTE] = ACTIONS(4122),
    [sym_regex] = ACTIONS(4124),
    [sym_number] = ACTIONS(4122),
    [sym_identifier] = ACTIONS(4124),
    [sym_this] = ACTIONS(4124),
    [sym_super] = ACTIONS(4124),
    [sym_true] = ACTIONS(4124),
    [sym_false] = ACTIONS(4124),
    [sym_null] = ACTIONS(4124),
    [sym_undefined] = ACTIONS(4124),
    [anon_sym_AT] = ACTIONS(4122),
    [anon_sym_get] = ACTIONS(4124),
    [anon_sym_set] = ACTIONS(4124),
  },
  [1668] = {
    [ts_builtin_sym_end] = ACTIONS(4126),
    [anon_sym_export] = ACTIONS(4128),
    [anon_sym_default] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_import] = ACTIONS(4128),
    [anon_sym_var] = ACTIONS(4128),
    [anon_sym_let] = ACTIONS(4128),
    [anon_sym_const] = ACTIONS(4128),
    [anon_sym_if] = ACTIONS(4128),
    [anon_sym_else] = ACTIONS(4128),
    [anon_sym_switch] = ACTIONS(4128),
    [anon_sym_for] = ACTIONS(4128),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_while] = ACTIONS(4128),
    [anon_sym_do] = ACTIONS(4128),
    [anon_sym_try] = ACTIONS(4128),
    [anon_sym_with] = ACTIONS(4128),
    [anon_sym_break] = ACTIONS(4128),
    [anon_sym_continue] = ACTIONS(4128),
    [anon_sym_debugger] = ACTIONS(4128),
    [anon_sym_return] = ACTIONS(4128),
    [anon_sym_throw] = ACTIONS(4128),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_case] = ACTIONS(4128),
    [anon_sym_yield] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4126),
    [anon_sym_class] = ACTIONS(4128),
    [anon_sym_async] = ACTIONS(4128),
    [anon_sym_function] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_new] = ACTIONS(4128),
    [anon_sym_await] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4126),
    [anon_sym_TILDE] = ACTIONS(4126),
    [anon_sym_typeof] = ACTIONS(4128),
    [anon_sym_void] = ACTIONS(4128),
    [anon_sym_delete] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4126),
    [anon_sym_BQUOTE] = ACTIONS(4126),
    [sym_regex] = ACTIONS(4128),
    [sym_number] = ACTIONS(4126),
    [sym_identifier] = ACTIONS(4128),
    [sym_this] = ACTIONS(4128),
    [sym_super] = ACTIONS(4128),
    [sym_true] = ACTIONS(4128),
    [sym_false] = ACTIONS(4128),
    [sym_null] = ACTIONS(4128),
    [sym_undefined] = ACTIONS(4128),
    [anon_sym_AT] = ACTIONS(4126),
    [anon_sym_get] = ACTIONS(4128),
    [anon_sym_set] = ACTIONS(4128),
  },
  [1669] = {
    [ts_builtin_sym_end] = ACTIONS(4130),
    [anon_sym_export] = ACTIONS(4132),
    [anon_sym_default] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_import] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_const] = ACTIONS(4132),
    [anon_sym_if] = ACTIONS(4132),
    [anon_sym_else] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_for] = ACTIONS(4132),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4132),
    [anon_sym_do] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4132),
    [anon_sym_with] = ACTIONS(4132),
    [anon_sym_break] = ACTIONS(4132),
    [anon_sym_continue] = ACTIONS(4132),
    [anon_sym_debugger] = ACTIONS(4132),
    [anon_sym_return] = ACTIONS(4132),
    [anon_sym_throw] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_case] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4130),
    [anon_sym_class] = ACTIONS(4132),
    [anon_sym_async] = ACTIONS(4132),
    [anon_sym_function] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4132),
    [anon_sym_await] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_typeof] = ACTIONS(4132),
    [anon_sym_void] = ACTIONS(4132),
    [anon_sym_delete] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4130),
    [anon_sym_BQUOTE] = ACTIONS(4130),
    [sym_regex] = ACTIONS(4132),
    [sym_number] = ACTIONS(4130),
    [sym_identifier] = ACTIONS(4132),
    [sym_this] = ACTIONS(4132),
    [sym_super] = ACTIONS(4132),
    [sym_true] = ACTIONS(4132),
    [sym_false] = ACTIONS(4132),
    [sym_null] = ACTIONS(4132),
    [sym_undefined] = ACTIONS(4132),
    [anon_sym_AT] = ACTIONS(4130),
    [anon_sym_get] = ACTIONS(4132),
    [anon_sym_set] = ACTIONS(4132),
  },
  [1670] = {
    [ts_builtin_sym_end] = ACTIONS(4134),
    [anon_sym_export] = ACTIONS(4136),
    [anon_sym_default] = ACTIONS(4136),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_import] = ACTIONS(4136),
    [anon_sym_var] = ACTIONS(4136),
    [anon_sym_let] = ACTIONS(4136),
    [anon_sym_const] = ACTIONS(4136),
    [anon_sym_if] = ACTIONS(4136),
    [anon_sym_else] = ACTIONS(4136),
    [anon_sym_switch] = ACTIONS(4136),
    [anon_sym_for] = ACTIONS(4136),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_while] = ACTIONS(4136),
    [anon_sym_do] = ACTIONS(4136),
    [anon_sym_try] = ACTIONS(4136),
    [anon_sym_with] = ACTIONS(4136),
    [anon_sym_break] = ACTIONS(4136),
    [anon_sym_continue] = ACTIONS(4136),
    [anon_sym_debugger] = ACTIONS(4136),
    [anon_sym_return] = ACTIONS(4136),
    [anon_sym_throw] = ACTIONS(4136),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_case] = ACTIONS(4136),
    [anon_sym_yield] = ACTIONS(4136),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4134),
    [anon_sym_class] = ACTIONS(4136),
    [anon_sym_async] = ACTIONS(4136),
    [anon_sym_function] = ACTIONS(4136),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_new] = ACTIONS(4136),
    [anon_sym_await] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_BANG] = ACTIONS(4134),
    [anon_sym_TILDE] = ACTIONS(4134),
    [anon_sym_typeof] = ACTIONS(4136),
    [anon_sym_void] = ACTIONS(4136),
    [anon_sym_delete] = ACTIONS(4136),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4134),
    [anon_sym_BQUOTE] = ACTIONS(4134),
    [sym_regex] = ACTIONS(4136),
    [sym_number] = ACTIONS(4134),
    [sym_identifier] = ACTIONS(4136),
    [sym_this] = ACTIONS(4136),
    [sym_super] = ACTIONS(4136),
    [sym_true] = ACTIONS(4136),
    [sym_false] = ACTIONS(4136),
    [sym_null] = ACTIONS(4136),
    [sym_undefined] = ACTIONS(4136),
    [anon_sym_AT] = ACTIONS(4134),
    [anon_sym_get] = ACTIONS(4136),
    [anon_sym_set] = ACTIONS(4136),
  },
  [1671] = {
    [ts_builtin_sym_end] = ACTIONS(4138),
    [anon_sym_export] = ACTIONS(4140),
    [anon_sym_default] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4138),
    [anon_sym_RBRACE] = ACTIONS(4138),
    [anon_sym_import] = ACTIONS(4140),
    [anon_sym_var] = ACTIONS(4140),
    [anon_sym_let] = ACTIONS(4140),
    [anon_sym_const] = ACTIONS(4140),
    [anon_sym_if] = ACTIONS(4140),
    [anon_sym_else] = ACTIONS(4140),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_for] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4138),
    [anon_sym_while] = ACTIONS(4140),
    [anon_sym_do] = ACTIONS(4140),
    [anon_sym_try] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [anon_sym_break] = ACTIONS(4140),
    [anon_sym_continue] = ACTIONS(4140),
    [anon_sym_debugger] = ACTIONS(4140),
    [anon_sym_return] = ACTIONS(4140),
    [anon_sym_throw] = ACTIONS(4140),
    [anon_sym_SEMI] = ACTIONS(4138),
    [anon_sym_case] = ACTIONS(4140),
    [anon_sym_yield] = ACTIONS(4140),
    [anon_sym_LBRACK] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_class] = ACTIONS(4140),
    [anon_sym_async] = ACTIONS(4140),
    [anon_sym_function] = ACTIONS(4140),
    [anon_sym_EQ_GT] = ACTIONS(4138),
    [anon_sym_new] = ACTIONS(4140),
    [anon_sym_await] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4140),
    [anon_sym_DASH] = ACTIONS(4140),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_TILDE] = ACTIONS(4138),
    [anon_sym_typeof] = ACTIONS(4140),
    [anon_sym_void] = ACTIONS(4140),
    [anon_sym_delete] = ACTIONS(4140),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4138),
    [anon_sym_BQUOTE] = ACTIONS(4138),
    [sym_regex] = ACTIONS(4140),
    [sym_number] = ACTIONS(4138),
    [sym_identifier] = ACTIONS(4140),
    [sym_this] = ACTIONS(4140),
    [sym_super] = ACTIONS(4140),
    [sym_true] = ACTIONS(4140),
    [sym_false] = ACTIONS(4140),
    [sym_null] = ACTIONS(4140),
    [sym_undefined] = ACTIONS(4140),
    [anon_sym_AT] = ACTIONS(4138),
    [anon_sym_get] = ACTIONS(4140),
    [anon_sym_set] = ACTIONS(4140),
  },
  [1672] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(2818),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1673] = {
    [sym_parenthesized_expression] = STATE(1743),
    [sym__expression] = STATE(1743),
    [sym_yield_expression] = STATE(1743),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1743),
    [sym_jsx_fragment] = STATE(1743),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1743),
    [sym_anonymous_class] = STATE(1743),
    [sym_class] = STATE(1743),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1743),
    [sym_generator_function] = STATE(1743),
    [sym_call_expression] = STATE(1743),
    [sym_new_expression] = STATE(1743),
    [sym_await_expression] = STATE(1743),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1743),
    [sym_augmented_assignment_expression] = STATE(1743),
    [sym_ternary_expression] = STATE(1743),
    [sym_binary_expression] = STATE(1743),
    [sym_unary_expression] = STATE(1743),
    [sym_update_expression] = STATE(1743),
    [sym_template_string] = STATE(1743),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4142),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(4144),
    [sym_number] = ACTIONS(4142),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(4144),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(4144),
    [sym_false] = ACTIONS(4144),
    [sym_null] = ACTIONS(4144),
    [sym_undefined] = ACTIONS(4144),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1674] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(2818),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1675] = {
    [sym_parenthesized_expression] = STATE(1744),
    [sym__expression] = STATE(1744),
    [sym_yield_expression] = STATE(1744),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1744),
    [sym_jsx_fragment] = STATE(1744),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1744),
    [sym_anonymous_class] = STATE(1744),
    [sym_class] = STATE(1744),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1744),
    [sym_generator_function] = STATE(1744),
    [sym_call_expression] = STATE(1744),
    [sym_new_expression] = STATE(1744),
    [sym_await_expression] = STATE(1744),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1744),
    [sym_augmented_assignment_expression] = STATE(1744),
    [sym_ternary_expression] = STATE(1744),
    [sym_binary_expression] = STATE(1744),
    [sym_unary_expression] = STATE(1744),
    [sym_update_expression] = STATE(1744),
    [sym_template_string] = STATE(1744),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4146),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4148),
    [sym_number] = ACTIONS(4146),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4148),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4148),
    [sym_false] = ACTIONS(4148),
    [sym_null] = ACTIONS(4148),
    [sym_undefined] = ACTIONS(4148),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1676] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1745),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1745),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1677] = {
    [sym_parenthesized_expression] = STATE(1746),
    [sym__expression] = STATE(1746),
    [sym_yield_expression] = STATE(1746),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1746),
    [sym_jsx_fragment] = STATE(1746),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1746),
    [sym_anonymous_class] = STATE(1746),
    [sym_class] = STATE(1746),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1746),
    [sym_generator_function] = STATE(1746),
    [sym_call_expression] = STATE(1746),
    [sym_new_expression] = STATE(1746),
    [sym_await_expression] = STATE(1746),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1746),
    [sym_augmented_assignment_expression] = STATE(1746),
    [sym_ternary_expression] = STATE(1746),
    [sym_binary_expression] = STATE(1746),
    [sym_unary_expression] = STATE(1746),
    [sym_update_expression] = STATE(1746),
    [sym_template_string] = STATE(1746),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4150),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4152),
    [sym_number] = ACTIONS(4150),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4152),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4152),
    [sym_false] = ACTIONS(4152),
    [sym_null] = ACTIONS(4152),
    [sym_undefined] = ACTIONS(4152),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1678] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1747),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1747),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1679] = {
    [sym_parenthesized_expression] = STATE(1748),
    [sym__expression] = STATE(1748),
    [sym_yield_expression] = STATE(1748),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1748),
    [sym_jsx_fragment] = STATE(1748),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1748),
    [sym_anonymous_class] = STATE(1748),
    [sym_class] = STATE(1748),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1748),
    [sym_generator_function] = STATE(1748),
    [sym_call_expression] = STATE(1748),
    [sym_new_expression] = STATE(1748),
    [sym_await_expression] = STATE(1748),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1748),
    [sym_augmented_assignment_expression] = STATE(1748),
    [sym_ternary_expression] = STATE(1748),
    [sym_binary_expression] = STATE(1748),
    [sym_unary_expression] = STATE(1748),
    [sym_update_expression] = STATE(1748),
    [sym_template_string] = STATE(1748),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4154),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4156),
    [sym_number] = ACTIONS(4154),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4156),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4156),
    [sym_false] = ACTIONS(4156),
    [sym_null] = ACTIONS(4156),
    [sym_undefined] = ACTIONS(4156),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1680] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1749),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1749),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1681] = {
    [sym_parenthesized_expression] = STATE(1750),
    [sym__expression] = STATE(1750),
    [sym_yield_expression] = STATE(1750),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1750),
    [sym_jsx_fragment] = STATE(1750),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1750),
    [sym_anonymous_class] = STATE(1750),
    [sym_class] = STATE(1750),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1750),
    [sym_generator_function] = STATE(1750),
    [sym_call_expression] = STATE(1750),
    [sym_new_expression] = STATE(1750),
    [sym_await_expression] = STATE(1750),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1750),
    [sym_augmented_assignment_expression] = STATE(1750),
    [sym_ternary_expression] = STATE(1750),
    [sym_binary_expression] = STATE(1750),
    [sym_unary_expression] = STATE(1750),
    [sym_update_expression] = STATE(1750),
    [sym_template_string] = STATE(1750),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4158),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4160),
    [sym_number] = ACTIONS(4158),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4160),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4160),
    [sym_false] = ACTIONS(4160),
    [sym_null] = ACTIONS(4160),
    [sym_undefined] = ACTIONS(4160),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1682] = {
    [anon_sym_RPAREN] = ACTIONS(4162),
    [sym_comment] = ACTIONS(71),
  },
  [1683] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4164),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1684] = {
    [sym_export_statement] = STATE(1408),
    [sym__declaration] = STATE(1408),
    [sym_import_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1408),
    [sym_variable_declaration] = STATE(1408),
    [sym_lexical_declaration] = STATE(1408),
    [sym_statement_block] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_for_statement] = STATE(1408),
    [sym_for_in_statement] = STATE(1408),
    [sym_for_of_statement] = STATE(1408),
    [sym_while_statement] = STATE(1408),
    [sym_do_statement] = STATE(1408),
    [sym_try_statement] = STATE(1408),
    [sym_with_statement] = STATE(1408),
    [sym_break_statement] = STATE(1408),
    [sym_continue_statement] = STATE(1408),
    [sym_debugger_statement] = STATE(1408),
    [sym_return_statement] = STATE(1408),
    [sym_throw_statement] = STATE(1408),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1408),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1685] = {
    [anon_sym_RPAREN] = ACTIONS(4166),
    [sym_comment] = ACTIONS(71),
  },
  [1686] = {
    [anon_sym_RPAREN] = ACTIONS(4168),
    [sym_comment] = ACTIONS(71),
  },
  [1687] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1688] = {
    [anon_sym_RPAREN] = ACTIONS(4172),
    [sym_comment] = ACTIONS(71),
  },
  [1689] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4174),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1690] = {
    [sym_export_statement] = STATE(1666),
    [sym__declaration] = STATE(1666),
    [sym_import_statement] = STATE(1666),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1666),
    [sym_lexical_declaration] = STATE(1666),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_switch_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_for_in_statement] = STATE(1666),
    [sym_for_of_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_do_statement] = STATE(1666),
    [sym_try_statement] = STATE(1666),
    [sym_with_statement] = STATE(1666),
    [sym_break_statement] = STATE(1666),
    [sym_continue_statement] = STATE(1666),
    [sym_debugger_statement] = STATE(1666),
    [sym_return_statement] = STATE(1666),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1666),
    [sym_labeled_statement] = STATE(1666),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1691] = {
    [sym_export_statement] = STATE(1667),
    [sym__declaration] = STATE(1667),
    [sym_import_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym_variable_declaration] = STATE(1667),
    [sym_lexical_declaration] = STATE(1667),
    [sym_statement_block] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_switch_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_for_in_statement] = STATE(1667),
    [sym_for_of_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_with_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_debugger_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_statement] = STATE(1667),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1667),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1692] = {
    [sym_export_statement] = STATE(1668),
    [sym__declaration] = STATE(1668),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1668),
    [sym_variable_declaration] = STATE(1668),
    [sym_lexical_declaration] = STATE(1668),
    [sym_statement_block] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_switch_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_for_in_statement] = STATE(1668),
    [sym_for_of_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1668),
    [sym_try_statement] = STATE(1668),
    [sym_with_statement] = STATE(1668),
    [sym_break_statement] = STATE(1668),
    [sym_continue_statement] = STATE(1668),
    [sym_debugger_statement] = STATE(1668),
    [sym_return_statement] = STATE(1668),
    [sym_throw_statement] = STATE(1668),
    [sym_empty_statement] = STATE(1668),
    [sym_labeled_statement] = STATE(1668),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1693] = {
    [sym_export_statement] = STATE(1669),
    [sym__declaration] = STATE(1669),
    [sym_import_statement] = STATE(1669),
    [sym_expression_statement] = STATE(1669),
    [sym_variable_declaration] = STATE(1669),
    [sym_lexical_declaration] = STATE(1669),
    [sym_statement_block] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_switch_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_for_in_statement] = STATE(1669),
    [sym_for_of_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1669),
    [sym_with_statement] = STATE(1669),
    [sym_break_statement] = STATE(1669),
    [sym_continue_statement] = STATE(1669),
    [sym_debugger_statement] = STATE(1669),
    [sym_return_statement] = STATE(1669),
    [sym_throw_statement] = STATE(1669),
    [sym_empty_statement] = STATE(1669),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1694] = {
    [sym_export_statement] = STATE(1670),
    [sym__declaration] = STATE(1670),
    [sym_import_statement] = STATE(1670),
    [sym_expression_statement] = STATE(1670),
    [sym_variable_declaration] = STATE(1670),
    [sym_lexical_declaration] = STATE(1670),
    [sym_statement_block] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_switch_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_for_in_statement] = STATE(1670),
    [sym_for_of_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_do_statement] = STATE(1670),
    [sym_try_statement] = STATE(1670),
    [sym_with_statement] = STATE(1670),
    [sym_break_statement] = STATE(1670),
    [sym_continue_statement] = STATE(1670),
    [sym_debugger_statement] = STATE(1670),
    [sym_return_statement] = STATE(1670),
    [sym_throw_statement] = STATE(1670),
    [sym_empty_statement] = STATE(1670),
    [sym_labeled_statement] = STATE(1670),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1695] = {
    [sym_export_statement] = STATE(1671),
    [sym__declaration] = STATE(1671),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1671),
    [sym_lexical_declaration] = STATE(1671),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_for_of_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(211),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1696] = {
    [anon_sym_GT] = ACTIONS(4176),
    [sym_comment] = ACTIONS(71),
  },
  [1697] = {
    [sym_nested_identifier] = STATE(606),
    [sym_jsx_namespace_name] = STATE(607),
    [anon_sym_SLASH] = ACTIONS(4178),
    [sym_jsx_identifier] = ACTIONS(1146),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(1148),
  },
  [1698] = {
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_SLASH] = ACTIONS(2687),
    [sym_jsx_identifier] = ACTIONS(2685),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2687),
  },
  [1699] = {
    [anon_sym_GT] = ACTIONS(4180),
    [sym_comment] = ACTIONS(71),
  },
  [1700] = {
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_GT] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2722),
    [sym_jsx_identifier] = ACTIONS(2720),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(2722),
  },
  [1701] = {
    [anon_sym_GT] = ACTIONS(4182),
    [sym_comment] = ACTIONS(71),
  },
  [1702] = {
    [anon_sym_COLON] = ACTIONS(902),
    [anon_sym_GT] = ACTIONS(4184),
    [sym_comment] = ACTIONS(71),
  },
  [1703] = {
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_GT] = ACTIONS(4186),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
  },
  [1704] = {
    [anon_sym_GT] = ACTIONS(4186),
    [anon_sym_DOT] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
  },
  [1705] = {
    [anon_sym_GT] = ACTIONS(4186),
    [sym_comment] = ACTIONS(71),
  },
  [1706] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_GT_GT] = ACTIONS(2927),
    [anon_sym_GT_GT_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_instanceof] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1707] = {
    [anon_sym_RPAREN] = ACTIONS(4188),
    [sym_comment] = ACTIONS(71),
  },
  [1708] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4190),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1709] = {
    [anon_sym_RPAREN] = ACTIONS(4192),
    [sym_comment] = ACTIONS(71),
  },
  [1710] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4194),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1711] = {
    [anon_sym_RPAREN] = ACTIONS(4196),
    [sym_comment] = ACTIONS(71),
  },
  [1712] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1713] = {
    [sym_export_statement] = STATE(1558),
    [sym__declaration] = STATE(1558),
    [sym_import_statement] = STATE(1558),
    [sym_expression_statement] = STATE(1558),
    [sym_variable_declaration] = STATE(1558),
    [sym_lexical_declaration] = STATE(1558),
    [sym_statement_block] = STATE(1558),
    [sym_if_statement] = STATE(1558),
    [sym_switch_statement] = STATE(1558),
    [sym_for_statement] = STATE(1558),
    [sym_for_in_statement] = STATE(1558),
    [sym_for_of_statement] = STATE(1558),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1558),
    [sym_try_statement] = STATE(1558),
    [sym_with_statement] = STATE(1558),
    [sym_break_statement] = STATE(1558),
    [sym_continue_statement] = STATE(1558),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1558),
    [sym_throw_statement] = STATE(1558),
    [sym_empty_statement] = STATE(1558),
    [sym_labeled_statement] = STATE(1558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1714] = {
    [sym_export_statement] = STATE(1569),
    [sym__declaration] = STATE(1569),
    [sym_import_statement] = STATE(1569),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1569),
    [sym_lexical_declaration] = STATE(1569),
    [sym_statement_block] = STATE(1569),
    [sym_if_statement] = STATE(1569),
    [sym_switch_statement] = STATE(1569),
    [sym_for_statement] = STATE(1569),
    [sym_for_in_statement] = STATE(1569),
    [sym_for_of_statement] = STATE(1569),
    [sym_while_statement] = STATE(1569),
    [sym_do_statement] = STATE(1569),
    [sym_try_statement] = STATE(1569),
    [sym_with_statement] = STATE(1569),
    [sym_break_statement] = STATE(1569),
    [sym_continue_statement] = STATE(1569),
    [sym_debugger_statement] = STATE(1569),
    [sym_return_statement] = STATE(1569),
    [sym_throw_statement] = STATE(1569),
    [sym_empty_statement] = STATE(1569),
    [sym_labeled_statement] = STATE(1569),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1715] = {
    [sym_export_statement] = STATE(1574),
    [sym__declaration] = STATE(1574),
    [sym_import_statement] = STATE(1574),
    [sym_expression_statement] = STATE(1574),
    [sym_variable_declaration] = STATE(1574),
    [sym_lexical_declaration] = STATE(1574),
    [sym_statement_block] = STATE(1574),
    [sym_if_statement] = STATE(1574),
    [sym_switch_statement] = STATE(1574),
    [sym_for_statement] = STATE(1574),
    [sym_for_in_statement] = STATE(1574),
    [sym_for_of_statement] = STATE(1574),
    [sym_while_statement] = STATE(1574),
    [sym_do_statement] = STATE(1574),
    [sym_try_statement] = STATE(1574),
    [sym_with_statement] = STATE(1574),
    [sym_break_statement] = STATE(1574),
    [sym_continue_statement] = STATE(1574),
    [sym_debugger_statement] = STATE(1574),
    [sym_return_statement] = STATE(1574),
    [sym_throw_statement] = STATE(1574),
    [sym_empty_statement] = STATE(1574),
    [sym_labeled_statement] = STATE(1574),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1716] = {
    [sym_export_statement] = STATE(1575),
    [sym__declaration] = STATE(1575),
    [sym_import_statement] = STATE(1575),
    [sym_expression_statement] = STATE(1575),
    [sym_variable_declaration] = STATE(1575),
    [sym_lexical_declaration] = STATE(1575),
    [sym_statement_block] = STATE(1575),
    [sym_if_statement] = STATE(1575),
    [sym_switch_statement] = STATE(1575),
    [sym_for_statement] = STATE(1575),
    [sym_for_in_statement] = STATE(1575),
    [sym_for_of_statement] = STATE(1575),
    [sym_while_statement] = STATE(1575),
    [sym_do_statement] = STATE(1575),
    [sym_try_statement] = STATE(1575),
    [sym_with_statement] = STATE(1575),
    [sym_break_statement] = STATE(1575),
    [sym_continue_statement] = STATE(1575),
    [sym_debugger_statement] = STATE(1575),
    [sym_return_statement] = STATE(1575),
    [sym_throw_statement] = STATE(1575),
    [sym_empty_statement] = STATE(1575),
    [sym_labeled_statement] = STATE(1575),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1717] = {
    [sym_export_statement] = STATE(1576),
    [sym__declaration] = STATE(1576),
    [sym_import_statement] = STATE(1576),
    [sym_expression_statement] = STATE(1576),
    [sym_variable_declaration] = STATE(1576),
    [sym_lexical_declaration] = STATE(1576),
    [sym_statement_block] = STATE(1576),
    [sym_if_statement] = STATE(1576),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1576),
    [sym_for_in_statement] = STATE(1576),
    [sym_for_of_statement] = STATE(1576),
    [sym_while_statement] = STATE(1576),
    [sym_do_statement] = STATE(1576),
    [sym_try_statement] = STATE(1576),
    [sym_with_statement] = STATE(1576),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1576),
    [sym_debugger_statement] = STATE(1576),
    [sym_return_statement] = STATE(1576),
    [sym_throw_statement] = STATE(1576),
    [sym_empty_statement] = STATE(1576),
    [sym_labeled_statement] = STATE(1576),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1718] = {
    [sym_export_statement] = STATE(1577),
    [sym__declaration] = STATE(1577),
    [sym_import_statement] = STATE(1577),
    [sym_expression_statement] = STATE(1577),
    [sym_variable_declaration] = STATE(1577),
    [sym_lexical_declaration] = STATE(1577),
    [sym_statement_block] = STATE(1577),
    [sym_if_statement] = STATE(1577),
    [sym_switch_statement] = STATE(1577),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1577),
    [sym_for_of_statement] = STATE(1577),
    [sym_while_statement] = STATE(1577),
    [sym_do_statement] = STATE(1577),
    [sym_try_statement] = STATE(1577),
    [sym_with_statement] = STATE(1577),
    [sym_break_statement] = STATE(1577),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1577),
    [sym_return_statement] = STATE(1577),
    [sym_throw_statement] = STATE(1577),
    [sym_empty_statement] = STATE(1577),
    [sym_labeled_statement] = STATE(1577),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1719] = {
    [sym_export_statement] = STATE(1578),
    [sym__declaration] = STATE(1578),
    [sym_import_statement] = STATE(1578),
    [sym_expression_statement] = STATE(1578),
    [sym_variable_declaration] = STATE(1578),
    [sym_lexical_declaration] = STATE(1578),
    [sym_statement_block] = STATE(1578),
    [sym_if_statement] = STATE(1578),
    [sym_switch_statement] = STATE(1578),
    [sym_for_statement] = STATE(1578),
    [sym_for_in_statement] = STATE(1578),
    [sym_for_of_statement] = STATE(1578),
    [sym_while_statement] = STATE(1578),
    [sym_do_statement] = STATE(1578),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1578),
    [sym_break_statement] = STATE(1578),
    [sym_continue_statement] = STATE(1578),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1578),
    [sym_throw_statement] = STATE(1578),
    [sym_empty_statement] = STATE(1578),
    [sym_labeled_statement] = STATE(1578),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1720] = {
    [sym_export_statement] = STATE(1666),
    [sym__declaration] = STATE(1666),
    [sym_import_statement] = STATE(1666),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1666),
    [sym_lexical_declaration] = STATE(1666),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_switch_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_for_in_statement] = STATE(1666),
    [sym_for_of_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_do_statement] = STATE(1666),
    [sym_try_statement] = STATE(1666),
    [sym_with_statement] = STATE(1666),
    [sym_break_statement] = STATE(1666),
    [sym_continue_statement] = STATE(1666),
    [sym_debugger_statement] = STATE(1666),
    [sym_return_statement] = STATE(1666),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1666),
    [sym_labeled_statement] = STATE(1666),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1721] = {
    [sym_export_statement] = STATE(1667),
    [sym__declaration] = STATE(1667),
    [sym_import_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym_variable_declaration] = STATE(1667),
    [sym_lexical_declaration] = STATE(1667),
    [sym_statement_block] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_switch_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_for_in_statement] = STATE(1667),
    [sym_for_of_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_with_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_debugger_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_statement] = STATE(1667),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1667),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1722] = {
    [sym_export_statement] = STATE(1668),
    [sym__declaration] = STATE(1668),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1668),
    [sym_variable_declaration] = STATE(1668),
    [sym_lexical_declaration] = STATE(1668),
    [sym_statement_block] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_switch_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_for_in_statement] = STATE(1668),
    [sym_for_of_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1668),
    [sym_try_statement] = STATE(1668),
    [sym_with_statement] = STATE(1668),
    [sym_break_statement] = STATE(1668),
    [sym_continue_statement] = STATE(1668),
    [sym_debugger_statement] = STATE(1668),
    [sym_return_statement] = STATE(1668),
    [sym_throw_statement] = STATE(1668),
    [sym_empty_statement] = STATE(1668),
    [sym_labeled_statement] = STATE(1668),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1723] = {
    [sym_export_statement] = STATE(1669),
    [sym__declaration] = STATE(1669),
    [sym_import_statement] = STATE(1669),
    [sym_expression_statement] = STATE(1669),
    [sym_variable_declaration] = STATE(1669),
    [sym_lexical_declaration] = STATE(1669),
    [sym_statement_block] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_switch_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_for_in_statement] = STATE(1669),
    [sym_for_of_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1669),
    [sym_with_statement] = STATE(1669),
    [sym_break_statement] = STATE(1669),
    [sym_continue_statement] = STATE(1669),
    [sym_debugger_statement] = STATE(1669),
    [sym_return_statement] = STATE(1669),
    [sym_throw_statement] = STATE(1669),
    [sym_empty_statement] = STATE(1669),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1724] = {
    [sym_export_statement] = STATE(1670),
    [sym__declaration] = STATE(1670),
    [sym_import_statement] = STATE(1670),
    [sym_expression_statement] = STATE(1670),
    [sym_variable_declaration] = STATE(1670),
    [sym_lexical_declaration] = STATE(1670),
    [sym_statement_block] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_switch_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_for_in_statement] = STATE(1670),
    [sym_for_of_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_do_statement] = STATE(1670),
    [sym_try_statement] = STATE(1670),
    [sym_with_statement] = STATE(1670),
    [sym_break_statement] = STATE(1670),
    [sym_continue_statement] = STATE(1670),
    [sym_debugger_statement] = STATE(1670),
    [sym_return_statement] = STATE(1670),
    [sym_throw_statement] = STATE(1670),
    [sym_empty_statement] = STATE(1670),
    [sym_labeled_statement] = STATE(1670),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1725] = {
    [sym_export_statement] = STATE(1671),
    [sym__declaration] = STATE(1671),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1671),
    [sym_lexical_declaration] = STATE(1671),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_for_of_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(616),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1726] = {
    [sym_export_statement] = STATE(1770),
    [sym__declaration] = STATE(1770),
    [sym_import_statement] = STATE(1770),
    [sym_expression_statement] = STATE(1770),
    [sym_variable_declaration] = STATE(1770),
    [sym_lexical_declaration] = STATE(1770),
    [sym_statement_block] = STATE(1770),
    [sym_if_statement] = STATE(1770),
    [sym_switch_statement] = STATE(1770),
    [sym_for_statement] = STATE(1770),
    [sym_for_in_statement] = STATE(1770),
    [sym_for_of_statement] = STATE(1770),
    [sym_while_statement] = STATE(1770),
    [sym_do_statement] = STATE(1770),
    [sym_try_statement] = STATE(1770),
    [sym_with_statement] = STATE(1770),
    [sym_break_statement] = STATE(1770),
    [sym_continue_statement] = STATE(1770),
    [sym_debugger_statement] = STATE(1770),
    [sym_return_statement] = STATE(1770),
    [sym_throw_statement] = STATE(1770),
    [sym_empty_statement] = STATE(1770),
    [sym_labeled_statement] = STATE(1770),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1727] = {
    [sym_expression_statement] = STATE(1774),
    [sym_variable_declaration] = STATE(1774),
    [sym_lexical_declaration] = STATE(1774),
    [sym_empty_statement] = STATE(1774),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(1775),
    [sym_array] = STATE(1776),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_var] = ACTIONS(4200),
    [anon_sym_let] = ACTIONS(4202),
    [anon_sym_const] = ACTIONS(4202),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(4204),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1728] = {
    [sym_export_statement] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym_import_statement] = STATE(441),
    [sym_expression_statement] = STATE(441),
    [sym_variable_declaration] = STATE(441),
    [sym_lexical_declaration] = STATE(441),
    [sym_statement_block] = STATE(441),
    [sym_if_statement] = STATE(441),
    [sym_switch_statement] = STATE(441),
    [sym_for_statement] = STATE(441),
    [sym_for_in_statement] = STATE(441),
    [sym_for_of_statement] = STATE(441),
    [sym_while_statement] = STATE(441),
    [sym_do_statement] = STATE(441),
    [sym_try_statement] = STATE(441),
    [sym_with_statement] = STATE(441),
    [sym_break_statement] = STATE(441),
    [sym_continue_statement] = STATE(441),
    [sym_debugger_statement] = STATE(441),
    [sym_return_statement] = STATE(441),
    [sym_throw_statement] = STATE(441),
    [sym_empty_statement] = STATE(441),
    [sym_labeled_statement] = STATE(441),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1729] = {
    [sym_export_statement] = STATE(465),
    [sym__declaration] = STATE(465),
    [sym_import_statement] = STATE(465),
    [sym_expression_statement] = STATE(465),
    [sym_variable_declaration] = STATE(465),
    [sym_lexical_declaration] = STATE(465),
    [sym_statement_block] = STATE(465),
    [sym_if_statement] = STATE(465),
    [sym_switch_statement] = STATE(465),
    [sym_for_statement] = STATE(465),
    [sym_for_in_statement] = STATE(465),
    [sym_for_of_statement] = STATE(465),
    [sym_while_statement] = STATE(465),
    [sym_do_statement] = STATE(465),
    [sym_try_statement] = STATE(465),
    [sym_with_statement] = STATE(465),
    [sym_break_statement] = STATE(465),
    [sym_continue_statement] = STATE(465),
    [sym_debugger_statement] = STATE(465),
    [sym_return_statement] = STATE(465),
    [sym_throw_statement] = STATE(465),
    [sym_empty_statement] = STATE(465),
    [sym_labeled_statement] = STATE(465),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1730] = {
    [sym_export_statement] = STATE(564),
    [sym__declaration] = STATE(564),
    [sym_import_statement] = STATE(564),
    [sym_expression_statement] = STATE(564),
    [sym_variable_declaration] = STATE(564),
    [sym_lexical_declaration] = STATE(564),
    [sym_statement_block] = STATE(564),
    [sym_if_statement] = STATE(564),
    [sym_switch_statement] = STATE(564),
    [sym_for_statement] = STATE(564),
    [sym_for_in_statement] = STATE(564),
    [sym_for_of_statement] = STATE(564),
    [sym_while_statement] = STATE(564),
    [sym_do_statement] = STATE(564),
    [sym_try_statement] = STATE(564),
    [sym_with_statement] = STATE(564),
    [sym_break_statement] = STATE(564),
    [sym_continue_statement] = STATE(564),
    [sym_debugger_statement] = STATE(564),
    [sym_return_statement] = STATE(564),
    [sym_throw_statement] = STATE(564),
    [sym_empty_statement] = STATE(564),
    [sym_labeled_statement] = STATE(564),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1731] = {
    [sym_export_statement] = STATE(1089),
    [sym__declaration] = STATE(1089),
    [sym_import_statement] = STATE(1089),
    [sym_expression_statement] = STATE(1089),
    [sym_variable_declaration] = STATE(1089),
    [sym_lexical_declaration] = STATE(1089),
    [sym_statement_block] = STATE(1089),
    [sym_if_statement] = STATE(1089),
    [sym_switch_statement] = STATE(1089),
    [sym_for_statement] = STATE(1089),
    [sym_for_in_statement] = STATE(1089),
    [sym_for_of_statement] = STATE(1089),
    [sym_while_statement] = STATE(1089),
    [sym_do_statement] = STATE(1089),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1089),
    [sym_break_statement] = STATE(1089),
    [sym_continue_statement] = STATE(1089),
    [sym_debugger_statement] = STATE(1089),
    [sym_return_statement] = STATE(1089),
    [sym_throw_statement] = STATE(1089),
    [sym_empty_statement] = STATE(1089),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1732] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(4206),
    [anon_sym_of] = ACTIONS(4208),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1733] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(4210),
    [anon_sym_of] = ACTIONS(4212),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1734] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_in] = ACTIONS(4214),
    [anon_sym_of] = ACTIONS(4216),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1735] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1783),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1783),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1736] = {
    [sym_parenthesized_expression] = STATE(1784),
    [sym__expression] = STATE(1784),
    [sym_yield_expression] = STATE(1784),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1784),
    [sym_jsx_fragment] = STATE(1784),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1784),
    [sym_anonymous_class] = STATE(1784),
    [sym_class] = STATE(1784),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1784),
    [sym_generator_function] = STATE(1784),
    [sym_call_expression] = STATE(1784),
    [sym_new_expression] = STATE(1784),
    [sym_await_expression] = STATE(1784),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1784),
    [sym_augmented_assignment_expression] = STATE(1784),
    [sym_ternary_expression] = STATE(1784),
    [sym_binary_expression] = STATE(1784),
    [sym_unary_expression] = STATE(1784),
    [sym_update_expression] = STATE(1784),
    [sym_template_string] = STATE(1784),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4218),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4220),
    [sym_number] = ACTIONS(4218),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4220),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4220),
    [sym_false] = ACTIONS(4220),
    [sym_null] = ACTIONS(4220),
    [sym_undefined] = ACTIONS(4220),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1737] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1786),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1786),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(4222),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1738] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1787),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1787),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1739] = {
    [sym_parenthesized_expression] = STATE(1788),
    [sym__expression] = STATE(1788),
    [sym_yield_expression] = STATE(1788),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1788),
    [sym_jsx_fragment] = STATE(1788),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1788),
    [sym_anonymous_class] = STATE(1788),
    [sym_class] = STATE(1788),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1788),
    [sym_generator_function] = STATE(1788),
    [sym_call_expression] = STATE(1788),
    [sym_new_expression] = STATE(1788),
    [sym_await_expression] = STATE(1788),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1788),
    [sym_augmented_assignment_expression] = STATE(1788),
    [sym_ternary_expression] = STATE(1788),
    [sym_binary_expression] = STATE(1788),
    [sym_unary_expression] = STATE(1788),
    [sym_update_expression] = STATE(1788),
    [sym_template_string] = STATE(1788),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4224),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4226),
    [sym_number] = ACTIONS(4224),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4226),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4226),
    [sym_false] = ACTIONS(4226),
    [sym_null] = ACTIONS(4226),
    [sym_undefined] = ACTIONS(4226),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1740] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1789),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1789),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1741] = {
    [sym_parenthesized_expression] = STATE(1790),
    [sym__expression] = STATE(1790),
    [sym_yield_expression] = STATE(1790),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1790),
    [sym_jsx_fragment] = STATE(1790),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1790),
    [sym_anonymous_class] = STATE(1790),
    [sym_class] = STATE(1790),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1790),
    [sym_generator_function] = STATE(1790),
    [sym_call_expression] = STATE(1790),
    [sym_new_expression] = STATE(1790),
    [sym_await_expression] = STATE(1790),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1790),
    [sym_augmented_assignment_expression] = STATE(1790),
    [sym_ternary_expression] = STATE(1790),
    [sym_binary_expression] = STATE(1790),
    [sym_unary_expression] = STATE(1790),
    [sym_update_expression] = STATE(1790),
    [sym_template_string] = STATE(1790),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4228),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4230),
    [sym_number] = ACTIONS(4228),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4230),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4230),
    [sym_false] = ACTIONS(4230),
    [sym_null] = ACTIONS(4230),
    [sym_undefined] = ACTIONS(4230),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1742] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(3181),
    [anon_sym_COLON] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3181),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_SLASH] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3193),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_PIPE_PIPE] = ACTIONS(3197),
    [anon_sym_GT_GT] = ACTIONS(3191),
    [anon_sym_GT_GT_GT] = ACTIONS(3187),
    [anon_sym_LT_LT] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3197),
    [anon_sym_PIPE] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PERCENT] = ACTIONS(3187),
    [anon_sym_LT_EQ] = ACTIONS(3205),
    [anon_sym_EQ_EQ] = ACTIONS(3181),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3205),
    [anon_sym_BANG_EQ] = ACTIONS(3181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3205),
    [anon_sym_GT_EQ] = ACTIONS(3205),
    [anon_sym_instanceof] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1743] = {
    [sym_template_string] = STATE(215),
    [sym_arguments] = STATE(215),
    [sym__automatic_semicolon] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_COMMA] = ACTIONS(3439),
    [anon_sym_LPAREN] = ACTIONS(352),
    [anon_sym_RPAREN] = ACTIONS(3439),
    [anon_sym_in] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(354),
    [anon_sym_LT] = ACTIONS(3251),
    [anon_sym_GT] = ACTIONS(3251),
    [anon_sym_SLASH] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_AMP_AMP] = ACTIONS(3671),
    [anon_sym_PIPE_PIPE] = ACTIONS(3673),
    [anon_sym_GT_GT] = ACTIONS(3259),
    [anon_sym_GT_GT_GT] = ACTIONS(3257),
    [anon_sym_LT_LT] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3675),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_PIPE] = ACTIONS(3677),
    [anon_sym_PLUS] = ACTIONS(3679),
    [anon_sym_DASH] = ACTIONS(3679),
    [anon_sym_PERCENT] = ACTIONS(3257),
    [anon_sym_LT_EQ] = ACTIONS(3681),
    [anon_sym_EQ_EQ] = ACTIONS(3251),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3681),
    [anon_sym_BANG_EQ] = ACTIONS(3251),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3681),
    [anon_sym_GT_EQ] = ACTIONS(3681),
    [anon_sym_instanceof] = ACTIONS(3681),
    [anon_sym_PLUS_PLUS] = ACTIONS(386),
    [anon_sym_DASH_DASH] = ACTIONS(386),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(75),
  },
  [1744] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(3439),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1745] = {
    [anon_sym_RPAREN] = ACTIONS(4232),
    [sym_comment] = ACTIONS(71),
  },
  [1746] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4234),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1747] = {
    [anon_sym_RPAREN] = ACTIONS(4236),
    [sym_comment] = ACTIONS(71),
  },
  [1748] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4238),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1749] = {
    [anon_sym_RPAREN] = ACTIONS(4240),
    [sym_comment] = ACTIONS(71),
  },
  [1750] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4242),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1751] = {
    [sym_export_statement] = STATE(1558),
    [sym__declaration] = STATE(1558),
    [sym_import_statement] = STATE(1558),
    [sym_expression_statement] = STATE(1558),
    [sym_variable_declaration] = STATE(1558),
    [sym_lexical_declaration] = STATE(1558),
    [sym_statement_block] = STATE(1558),
    [sym_if_statement] = STATE(1558),
    [sym_switch_statement] = STATE(1558),
    [sym_for_statement] = STATE(1558),
    [sym_for_in_statement] = STATE(1558),
    [sym_for_of_statement] = STATE(1558),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1558),
    [sym_try_statement] = STATE(1558),
    [sym_with_statement] = STATE(1558),
    [sym_break_statement] = STATE(1558),
    [sym_continue_statement] = STATE(1558),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1558),
    [sym_throw_statement] = STATE(1558),
    [sym_empty_statement] = STATE(1558),
    [sym_labeled_statement] = STATE(1558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1752] = {
    [sym_export_statement] = STATE(1569),
    [sym__declaration] = STATE(1569),
    [sym_import_statement] = STATE(1569),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1569),
    [sym_lexical_declaration] = STATE(1569),
    [sym_statement_block] = STATE(1569),
    [sym_if_statement] = STATE(1569),
    [sym_switch_statement] = STATE(1569),
    [sym_for_statement] = STATE(1569),
    [sym_for_in_statement] = STATE(1569),
    [sym_for_of_statement] = STATE(1569),
    [sym_while_statement] = STATE(1569),
    [sym_do_statement] = STATE(1569),
    [sym_try_statement] = STATE(1569),
    [sym_with_statement] = STATE(1569),
    [sym_break_statement] = STATE(1569),
    [sym_continue_statement] = STATE(1569),
    [sym_debugger_statement] = STATE(1569),
    [sym_return_statement] = STATE(1569),
    [sym_throw_statement] = STATE(1569),
    [sym_empty_statement] = STATE(1569),
    [sym_labeled_statement] = STATE(1569),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1753] = {
    [sym_export_statement] = STATE(1574),
    [sym__declaration] = STATE(1574),
    [sym_import_statement] = STATE(1574),
    [sym_expression_statement] = STATE(1574),
    [sym_variable_declaration] = STATE(1574),
    [sym_lexical_declaration] = STATE(1574),
    [sym_statement_block] = STATE(1574),
    [sym_if_statement] = STATE(1574),
    [sym_switch_statement] = STATE(1574),
    [sym_for_statement] = STATE(1574),
    [sym_for_in_statement] = STATE(1574),
    [sym_for_of_statement] = STATE(1574),
    [sym_while_statement] = STATE(1574),
    [sym_do_statement] = STATE(1574),
    [sym_try_statement] = STATE(1574),
    [sym_with_statement] = STATE(1574),
    [sym_break_statement] = STATE(1574),
    [sym_continue_statement] = STATE(1574),
    [sym_debugger_statement] = STATE(1574),
    [sym_return_statement] = STATE(1574),
    [sym_throw_statement] = STATE(1574),
    [sym_empty_statement] = STATE(1574),
    [sym_labeled_statement] = STATE(1574),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1754] = {
    [sym_export_statement] = STATE(1575),
    [sym__declaration] = STATE(1575),
    [sym_import_statement] = STATE(1575),
    [sym_expression_statement] = STATE(1575),
    [sym_variable_declaration] = STATE(1575),
    [sym_lexical_declaration] = STATE(1575),
    [sym_statement_block] = STATE(1575),
    [sym_if_statement] = STATE(1575),
    [sym_switch_statement] = STATE(1575),
    [sym_for_statement] = STATE(1575),
    [sym_for_in_statement] = STATE(1575),
    [sym_for_of_statement] = STATE(1575),
    [sym_while_statement] = STATE(1575),
    [sym_do_statement] = STATE(1575),
    [sym_try_statement] = STATE(1575),
    [sym_with_statement] = STATE(1575),
    [sym_break_statement] = STATE(1575),
    [sym_continue_statement] = STATE(1575),
    [sym_debugger_statement] = STATE(1575),
    [sym_return_statement] = STATE(1575),
    [sym_throw_statement] = STATE(1575),
    [sym_empty_statement] = STATE(1575),
    [sym_labeled_statement] = STATE(1575),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1755] = {
    [sym_export_statement] = STATE(1576),
    [sym__declaration] = STATE(1576),
    [sym_import_statement] = STATE(1576),
    [sym_expression_statement] = STATE(1576),
    [sym_variable_declaration] = STATE(1576),
    [sym_lexical_declaration] = STATE(1576),
    [sym_statement_block] = STATE(1576),
    [sym_if_statement] = STATE(1576),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1576),
    [sym_for_in_statement] = STATE(1576),
    [sym_for_of_statement] = STATE(1576),
    [sym_while_statement] = STATE(1576),
    [sym_do_statement] = STATE(1576),
    [sym_try_statement] = STATE(1576),
    [sym_with_statement] = STATE(1576),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1576),
    [sym_debugger_statement] = STATE(1576),
    [sym_return_statement] = STATE(1576),
    [sym_throw_statement] = STATE(1576),
    [sym_empty_statement] = STATE(1576),
    [sym_labeled_statement] = STATE(1576),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1756] = {
    [sym_export_statement] = STATE(1577),
    [sym__declaration] = STATE(1577),
    [sym_import_statement] = STATE(1577),
    [sym_expression_statement] = STATE(1577),
    [sym_variable_declaration] = STATE(1577),
    [sym_lexical_declaration] = STATE(1577),
    [sym_statement_block] = STATE(1577),
    [sym_if_statement] = STATE(1577),
    [sym_switch_statement] = STATE(1577),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1577),
    [sym_for_of_statement] = STATE(1577),
    [sym_while_statement] = STATE(1577),
    [sym_do_statement] = STATE(1577),
    [sym_try_statement] = STATE(1577),
    [sym_with_statement] = STATE(1577),
    [sym_break_statement] = STATE(1577),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1577),
    [sym_return_statement] = STATE(1577),
    [sym_throw_statement] = STATE(1577),
    [sym_empty_statement] = STATE(1577),
    [sym_labeled_statement] = STATE(1577),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1757] = {
    [sym_export_statement] = STATE(1578),
    [sym__declaration] = STATE(1578),
    [sym_import_statement] = STATE(1578),
    [sym_expression_statement] = STATE(1578),
    [sym_variable_declaration] = STATE(1578),
    [sym_lexical_declaration] = STATE(1578),
    [sym_statement_block] = STATE(1578),
    [sym_if_statement] = STATE(1578),
    [sym_switch_statement] = STATE(1578),
    [sym_for_statement] = STATE(1578),
    [sym_for_in_statement] = STATE(1578),
    [sym_for_of_statement] = STATE(1578),
    [sym_while_statement] = STATE(1578),
    [sym_do_statement] = STATE(1578),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1578),
    [sym_break_statement] = STATE(1578),
    [sym_continue_statement] = STATE(1578),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1578),
    [sym_throw_statement] = STATE(1578),
    [sym_empty_statement] = STATE(1578),
    [sym_labeled_statement] = STATE(1578),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1758] = {
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_GT] = ACTIONS(3377),
    [anon_sym_SLASH] = ACTIONS(3379),
    [sym_jsx_identifier] = ACTIONS(3377),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3379),
  },
  [1759] = {
    [anon_sym_GT] = ACTIONS(4244),
    [sym_comment] = ACTIONS(71),
  },
  [1760] = {
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_GT] = ACTIONS(3403),
    [anon_sym_SLASH] = ACTIONS(3405),
    [sym_jsx_identifier] = ACTIONS(3403),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3405),
  },
  [1761] = {
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_GT] = ACTIONS(3407),
    [anon_sym_SLASH] = ACTIONS(3409),
    [sym_jsx_identifier] = ACTIONS(3407),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3409),
  },
  [1762] = {
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_GT] = ACTIONS(3481),
    [anon_sym_SLASH] = ACTIONS(3483),
    [sym_jsx_identifier] = ACTIONS(3481),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3483),
  },
  [1763] = {
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_GT] = ACTIONS(3485),
    [anon_sym_SLASH] = ACTIONS(3487),
    [sym_jsx_identifier] = ACTIONS(3485),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3487),
  },
  [1764] = {
    [sym_export_statement] = STATE(1666),
    [sym__declaration] = STATE(1666),
    [sym_import_statement] = STATE(1666),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1666),
    [sym_lexical_declaration] = STATE(1666),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_switch_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_for_in_statement] = STATE(1666),
    [sym_for_of_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_do_statement] = STATE(1666),
    [sym_try_statement] = STATE(1666),
    [sym_with_statement] = STATE(1666),
    [sym_break_statement] = STATE(1666),
    [sym_continue_statement] = STATE(1666),
    [sym_debugger_statement] = STATE(1666),
    [sym_return_statement] = STATE(1666),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1666),
    [sym_labeled_statement] = STATE(1666),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1765] = {
    [sym_export_statement] = STATE(1667),
    [sym__declaration] = STATE(1667),
    [sym_import_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym_variable_declaration] = STATE(1667),
    [sym_lexical_declaration] = STATE(1667),
    [sym_statement_block] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_switch_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_for_in_statement] = STATE(1667),
    [sym_for_of_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_with_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_debugger_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_statement] = STATE(1667),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1667),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1766] = {
    [sym_export_statement] = STATE(1668),
    [sym__declaration] = STATE(1668),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1668),
    [sym_variable_declaration] = STATE(1668),
    [sym_lexical_declaration] = STATE(1668),
    [sym_statement_block] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_switch_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_for_in_statement] = STATE(1668),
    [sym_for_of_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1668),
    [sym_try_statement] = STATE(1668),
    [sym_with_statement] = STATE(1668),
    [sym_break_statement] = STATE(1668),
    [sym_continue_statement] = STATE(1668),
    [sym_debugger_statement] = STATE(1668),
    [sym_return_statement] = STATE(1668),
    [sym_throw_statement] = STATE(1668),
    [sym_empty_statement] = STATE(1668),
    [sym_labeled_statement] = STATE(1668),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1767] = {
    [sym_export_statement] = STATE(1669),
    [sym__declaration] = STATE(1669),
    [sym_import_statement] = STATE(1669),
    [sym_expression_statement] = STATE(1669),
    [sym_variable_declaration] = STATE(1669),
    [sym_lexical_declaration] = STATE(1669),
    [sym_statement_block] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_switch_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_for_in_statement] = STATE(1669),
    [sym_for_of_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1669),
    [sym_with_statement] = STATE(1669),
    [sym_break_statement] = STATE(1669),
    [sym_continue_statement] = STATE(1669),
    [sym_debugger_statement] = STATE(1669),
    [sym_return_statement] = STATE(1669),
    [sym_throw_statement] = STATE(1669),
    [sym_empty_statement] = STATE(1669),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1768] = {
    [sym_export_statement] = STATE(1670),
    [sym__declaration] = STATE(1670),
    [sym_import_statement] = STATE(1670),
    [sym_expression_statement] = STATE(1670),
    [sym_variable_declaration] = STATE(1670),
    [sym_lexical_declaration] = STATE(1670),
    [sym_statement_block] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_switch_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_for_in_statement] = STATE(1670),
    [sym_for_of_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_do_statement] = STATE(1670),
    [sym_try_statement] = STATE(1670),
    [sym_with_statement] = STATE(1670),
    [sym_break_statement] = STATE(1670),
    [sym_continue_statement] = STATE(1670),
    [sym_debugger_statement] = STATE(1670),
    [sym_return_statement] = STATE(1670),
    [sym_throw_statement] = STATE(1670),
    [sym_empty_statement] = STATE(1670),
    [sym_labeled_statement] = STATE(1670),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1769] = {
    [sym_export_statement] = STATE(1671),
    [sym__declaration] = STATE(1671),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1671),
    [sym_lexical_declaration] = STATE(1671),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_for_of_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1413),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1415),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1770] = {
    [anon_sym_export] = ACTIONS(1600),
    [anon_sym_default] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_import] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(1600),
    [anon_sym_let] = ACTIONS(1600),
    [anon_sym_const] = ACTIONS(1600),
    [anon_sym_if] = ACTIONS(1600),
    [anon_sym_else] = ACTIONS(4246),
    [anon_sym_switch] = ACTIONS(1600),
    [anon_sym_for] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_while] = ACTIONS(1600),
    [anon_sym_do] = ACTIONS(1600),
    [anon_sym_try] = ACTIONS(1600),
    [anon_sym_with] = ACTIONS(1600),
    [anon_sym_break] = ACTIONS(1600),
    [anon_sym_continue] = ACTIONS(1600),
    [anon_sym_debugger] = ACTIONS(1600),
    [anon_sym_return] = ACTIONS(1600),
    [anon_sym_throw] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_case] = ACTIONS(1600),
    [anon_sym_yield] = ACTIONS(1600),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1598),
    [anon_sym_class] = ACTIONS(1600),
    [anon_sym_async] = ACTIONS(1600),
    [anon_sym_function] = ACTIONS(1600),
    [anon_sym_EQ_GT] = ACTIONS(1598),
    [anon_sym_new] = ACTIONS(1600),
    [anon_sym_await] = ACTIONS(1600),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1598),
    [anon_sym_typeof] = ACTIONS(1600),
    [anon_sym_void] = ACTIONS(1600),
    [anon_sym_delete] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [sym_regex] = ACTIONS(1600),
    [sym_number] = ACTIONS(1598),
    [sym_identifier] = ACTIONS(1600),
    [sym_this] = ACTIONS(1600),
    [sym_super] = ACTIONS(1600),
    [sym_true] = ACTIONS(1600),
    [sym_false] = ACTIONS(1600),
    [sym_null] = ACTIONS(1600),
    [sym_undefined] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1598),
    [anon_sym_get] = ACTIONS(1600),
    [anon_sym_set] = ACTIONS(1600),
  },
  [1771] = {
    [sym_variable_declarator] = STATE(90),
    [sym_object] = STATE(1800),
    [sym_array] = STATE(1801),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(4248),
  },
  [1772] = {
    [sym_variable_declarator] = STATE(93),
    [sym_object] = STATE(1800),
    [sym_array] = STATE(1801),
    [anon_sym_LBRACE] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(4248),
  },
  [1773] = {
    [sym__initializer] = STATE(212),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(4250),
    [anon_sym_of] = ACTIONS(4252),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_EQ_GT] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(350),
    [anon_sym_DASH_EQ] = ACTIONS(350),
    [anon_sym_STAR_EQ] = ACTIONS(350),
    [anon_sym_SLASH_EQ] = ACTIONS(350),
    [anon_sym_PERCENT_EQ] = ACTIONS(350),
    [anon_sym_CARET_EQ] = ACTIONS(350),
    [anon_sym_AMP_EQ] = ACTIONS(350),
    [anon_sym_PIPE_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(350),
    [anon_sym_LT_LT_EQ] = ACTIONS(350),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(342),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1774] = {
    [sym_expression_statement] = STATE(1804),
    [sym_empty_statement] = STATE(1804),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(40),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(40),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(229),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1775] = {
    [sym__initializer] = STATE(228),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(4254),
    [anon_sym_of] = ACTIONS(4256),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1776] = {
    [sym__initializer] = STATE(229),
    [sym__automatic_semicolon] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_COMMA] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(340),
    [anon_sym_in] = ACTIONS(4258),
    [anon_sym_of] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(340),
    [anon_sym_LBRACK] = ACTIONS(340),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_DOT] = ACTIONS(340),
    [anon_sym_EQ] = ACTIONS(296),
    [anon_sym_QMARK] = ACTIONS(340),
    [anon_sym_AMP_AMP] = ACTIONS(340),
    [anon_sym_PIPE_PIPE] = ACTIONS(340),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_GT_GT_GT] = ACTIONS(340),
    [anon_sym_LT_LT] = ACTIONS(340),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(340),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(340),
    [anon_sym_LT_EQ] = ACTIONS(340),
    [anon_sym_EQ_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(340),
    [anon_sym_BANG_EQ] = ACTIONS(342),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(340),
    [anon_sym_instanceof] = ACTIONS(340),
    [anon_sym_PLUS_PLUS] = ACTIONS(340),
    [anon_sym_DASH_DASH] = ACTIONS(340),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(340),
  },
  [1777] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1809),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1809),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1778] = {
    [sym_parenthesized_expression] = STATE(1810),
    [sym__expression] = STATE(1810),
    [sym_yield_expression] = STATE(1810),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1810),
    [sym_jsx_fragment] = STATE(1810),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1810),
    [sym_anonymous_class] = STATE(1810),
    [sym_class] = STATE(1810),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1810),
    [sym_generator_function] = STATE(1810),
    [sym_call_expression] = STATE(1810),
    [sym_new_expression] = STATE(1810),
    [sym_await_expression] = STATE(1810),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1810),
    [sym_augmented_assignment_expression] = STATE(1810),
    [sym_ternary_expression] = STATE(1810),
    [sym_binary_expression] = STATE(1810),
    [sym_unary_expression] = STATE(1810),
    [sym_update_expression] = STATE(1810),
    [sym_template_string] = STATE(1810),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4262),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4264),
    [sym_number] = ACTIONS(4262),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4264),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4264),
    [sym_false] = ACTIONS(4264),
    [sym_null] = ACTIONS(4264),
    [sym_undefined] = ACTIONS(4264),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1779] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1811),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1811),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1780] = {
    [sym_parenthesized_expression] = STATE(1812),
    [sym__expression] = STATE(1812),
    [sym_yield_expression] = STATE(1812),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1812),
    [sym_jsx_fragment] = STATE(1812),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1812),
    [sym_anonymous_class] = STATE(1812),
    [sym_class] = STATE(1812),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1812),
    [sym_generator_function] = STATE(1812),
    [sym_call_expression] = STATE(1812),
    [sym_new_expression] = STATE(1812),
    [sym_await_expression] = STATE(1812),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1812),
    [sym_augmented_assignment_expression] = STATE(1812),
    [sym_ternary_expression] = STATE(1812),
    [sym_binary_expression] = STATE(1812),
    [sym_unary_expression] = STATE(1812),
    [sym_update_expression] = STATE(1812),
    [sym_template_string] = STATE(1812),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4266),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4268),
    [sym_number] = ACTIONS(4266),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4268),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4268),
    [sym_false] = ACTIONS(4268),
    [sym_null] = ACTIONS(4268),
    [sym_undefined] = ACTIONS(4268),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1781] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1813),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1813),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1782] = {
    [sym_parenthesized_expression] = STATE(1814),
    [sym__expression] = STATE(1814),
    [sym_yield_expression] = STATE(1814),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1814),
    [sym_jsx_fragment] = STATE(1814),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1814),
    [sym_anonymous_class] = STATE(1814),
    [sym_class] = STATE(1814),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1814),
    [sym_generator_function] = STATE(1814),
    [sym_call_expression] = STATE(1814),
    [sym_new_expression] = STATE(1814),
    [sym_await_expression] = STATE(1814),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1814),
    [sym_augmented_assignment_expression] = STATE(1814),
    [sym_ternary_expression] = STATE(1814),
    [sym_binary_expression] = STATE(1814),
    [sym_unary_expression] = STATE(1814),
    [sym_update_expression] = STATE(1814),
    [sym_template_string] = STATE(1814),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4270),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4272),
    [sym_number] = ACTIONS(4270),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4272),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4272),
    [sym_false] = ACTIONS(4272),
    [sym_null] = ACTIONS(4272),
    [sym_undefined] = ACTIONS(4272),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1783] = {
    [anon_sym_RPAREN] = ACTIONS(4274),
    [sym_comment] = ACTIONS(71),
  },
  [1784] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1785] = {
    [sym_export_statement] = STATE(1408),
    [sym__declaration] = STATE(1408),
    [sym_import_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1408),
    [sym_variable_declaration] = STATE(1408),
    [sym_lexical_declaration] = STATE(1408),
    [sym_statement_block] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_for_statement] = STATE(1408),
    [sym_for_in_statement] = STATE(1408),
    [sym_for_of_statement] = STATE(1408),
    [sym_while_statement] = STATE(1408),
    [sym_do_statement] = STATE(1408),
    [sym_try_statement] = STATE(1408),
    [sym_with_statement] = STATE(1408),
    [sym_break_statement] = STATE(1408),
    [sym_continue_statement] = STATE(1408),
    [sym_debugger_statement] = STATE(1408),
    [sym_return_statement] = STATE(1408),
    [sym_throw_statement] = STATE(1408),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1408),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1786] = {
    [anon_sym_RPAREN] = ACTIONS(4278),
    [sym_comment] = ACTIONS(71),
  },
  [1787] = {
    [anon_sym_RPAREN] = ACTIONS(4280),
    [sym_comment] = ACTIONS(71),
  },
  [1788] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4282),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1789] = {
    [anon_sym_RPAREN] = ACTIONS(4284),
    [sym_comment] = ACTIONS(71),
  },
  [1790] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4286),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1791] = {
    [sym_export_statement] = STATE(1666),
    [sym__declaration] = STATE(1666),
    [sym_import_statement] = STATE(1666),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1666),
    [sym_lexical_declaration] = STATE(1666),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_switch_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_for_in_statement] = STATE(1666),
    [sym_for_of_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_do_statement] = STATE(1666),
    [sym_try_statement] = STATE(1666),
    [sym_with_statement] = STATE(1666),
    [sym_break_statement] = STATE(1666),
    [sym_continue_statement] = STATE(1666),
    [sym_debugger_statement] = STATE(1666),
    [sym_return_statement] = STATE(1666),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1666),
    [sym_labeled_statement] = STATE(1666),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1792] = {
    [sym_export_statement] = STATE(1667),
    [sym__declaration] = STATE(1667),
    [sym_import_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym_variable_declaration] = STATE(1667),
    [sym_lexical_declaration] = STATE(1667),
    [sym_statement_block] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_switch_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_for_in_statement] = STATE(1667),
    [sym_for_of_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_with_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_debugger_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_statement] = STATE(1667),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1667),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1793] = {
    [sym_export_statement] = STATE(1668),
    [sym__declaration] = STATE(1668),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1668),
    [sym_variable_declaration] = STATE(1668),
    [sym_lexical_declaration] = STATE(1668),
    [sym_statement_block] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_switch_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_for_in_statement] = STATE(1668),
    [sym_for_of_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1668),
    [sym_try_statement] = STATE(1668),
    [sym_with_statement] = STATE(1668),
    [sym_break_statement] = STATE(1668),
    [sym_continue_statement] = STATE(1668),
    [sym_debugger_statement] = STATE(1668),
    [sym_return_statement] = STATE(1668),
    [sym_throw_statement] = STATE(1668),
    [sym_empty_statement] = STATE(1668),
    [sym_labeled_statement] = STATE(1668),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1794] = {
    [sym_export_statement] = STATE(1669),
    [sym__declaration] = STATE(1669),
    [sym_import_statement] = STATE(1669),
    [sym_expression_statement] = STATE(1669),
    [sym_variable_declaration] = STATE(1669),
    [sym_lexical_declaration] = STATE(1669),
    [sym_statement_block] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_switch_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_for_in_statement] = STATE(1669),
    [sym_for_of_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1669),
    [sym_with_statement] = STATE(1669),
    [sym_break_statement] = STATE(1669),
    [sym_continue_statement] = STATE(1669),
    [sym_debugger_statement] = STATE(1669),
    [sym_return_statement] = STATE(1669),
    [sym_throw_statement] = STATE(1669),
    [sym_empty_statement] = STATE(1669),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1795] = {
    [sym_export_statement] = STATE(1670),
    [sym__declaration] = STATE(1670),
    [sym_import_statement] = STATE(1670),
    [sym_expression_statement] = STATE(1670),
    [sym_variable_declaration] = STATE(1670),
    [sym_lexical_declaration] = STATE(1670),
    [sym_statement_block] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_switch_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_for_in_statement] = STATE(1670),
    [sym_for_of_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_do_statement] = STATE(1670),
    [sym_try_statement] = STATE(1670),
    [sym_with_statement] = STATE(1670),
    [sym_break_statement] = STATE(1670),
    [sym_continue_statement] = STATE(1670),
    [sym_debugger_statement] = STATE(1670),
    [sym_return_statement] = STATE(1670),
    [sym_throw_statement] = STATE(1670),
    [sym_empty_statement] = STATE(1670),
    [sym_labeled_statement] = STATE(1670),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1796] = {
    [sym_export_statement] = STATE(1671),
    [sym__declaration] = STATE(1671),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1671),
    [sym_lexical_declaration] = STATE(1671),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_for_of_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(139),
    [sym_function] = STATE(140),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(139),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(141),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(141),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(1768),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1797] = {
    [anon_sym_LBRACE] = ACTIONS(3807),
    [anon_sym_GT] = ACTIONS(3807),
    [anon_sym_SLASH] = ACTIONS(3809),
    [sym_jsx_identifier] = ACTIONS(3807),
    [sym_comment] = ACTIONS(71),
    [sym_identifier] = ACTIONS(3809),
  },
  [1798] = {
    [sym_export_statement] = STATE(1089),
    [sym__declaration] = STATE(1089),
    [sym_import_statement] = STATE(1089),
    [sym_expression_statement] = STATE(1089),
    [sym_variable_declaration] = STATE(1089),
    [sym_lexical_declaration] = STATE(1089),
    [sym_statement_block] = STATE(1089),
    [sym_if_statement] = STATE(1089),
    [sym_switch_statement] = STATE(1089),
    [sym_for_statement] = STATE(1089),
    [sym_for_in_statement] = STATE(1089),
    [sym_for_of_statement] = STATE(1089),
    [sym_while_statement] = STATE(1089),
    [sym_do_statement] = STATE(1089),
    [sym_try_statement] = STATE(1089),
    [sym_with_statement] = STATE(1089),
    [sym_break_statement] = STATE(1089),
    [sym_continue_statement] = STATE(1089),
    [sym_debugger_statement] = STATE(1089),
    [sym_return_statement] = STATE(1089),
    [sym_throw_statement] = STATE(1089),
    [sym_empty_statement] = STATE(1089),
    [sym_labeled_statement] = STATE(1089),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1799] = {
    [sym__initializer] = STATE(340),
    [sym__automatic_semicolon] = ACTIONS(592),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(4288),
    [anon_sym_of] = ACTIONS(4290),
    [anon_sym_SEMI] = ACTIONS(592),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1800] = {
    [sym__initializer] = STATE(344),
    [sym__automatic_semicolon] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(4292),
    [anon_sym_of] = ACTIONS(4294),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1801] = {
    [sym__initializer] = STATE(345),
    [sym__automatic_semicolon] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(602),
    [anon_sym_in] = ACTIONS(4296),
    [anon_sym_of] = ACTIONS(4298),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_EQ] = ACTIONS(594),
    [sym_comment] = ACTIONS(71),
  },
  [1802] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1828),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1828),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1803] = {
    [sym_parenthesized_expression] = STATE(1829),
    [sym__expression] = STATE(1829),
    [sym_yield_expression] = STATE(1829),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1829),
    [sym_jsx_fragment] = STATE(1829),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1829),
    [sym_anonymous_class] = STATE(1829),
    [sym_class] = STATE(1829),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1829),
    [sym_generator_function] = STATE(1829),
    [sym_call_expression] = STATE(1829),
    [sym_new_expression] = STATE(1829),
    [sym_await_expression] = STATE(1829),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1829),
    [sym_augmented_assignment_expression] = STATE(1829),
    [sym_ternary_expression] = STATE(1829),
    [sym_binary_expression] = STATE(1829),
    [sym_unary_expression] = STATE(1829),
    [sym_update_expression] = STATE(1829),
    [sym_template_string] = STATE(1829),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4300),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4302),
    [sym_number] = ACTIONS(4300),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4302),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4302),
    [sym_false] = ACTIONS(4302),
    [sym_null] = ACTIONS(4302),
    [sym_undefined] = ACTIONS(4302),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1804] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1831),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1831),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(4304),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1805] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1832),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1832),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1806] = {
    [sym_parenthesized_expression] = STATE(1833),
    [sym__expression] = STATE(1833),
    [sym_yield_expression] = STATE(1833),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1833),
    [sym_jsx_fragment] = STATE(1833),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1833),
    [sym_anonymous_class] = STATE(1833),
    [sym_class] = STATE(1833),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1833),
    [sym_generator_function] = STATE(1833),
    [sym_call_expression] = STATE(1833),
    [sym_new_expression] = STATE(1833),
    [sym_await_expression] = STATE(1833),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1833),
    [sym_augmented_assignment_expression] = STATE(1833),
    [sym_ternary_expression] = STATE(1833),
    [sym_binary_expression] = STATE(1833),
    [sym_unary_expression] = STATE(1833),
    [sym_update_expression] = STATE(1833),
    [sym_template_string] = STATE(1833),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4306),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4308),
    [sym_number] = ACTIONS(4306),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4308),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4308),
    [sym_false] = ACTIONS(4308),
    [sym_null] = ACTIONS(4308),
    [sym_undefined] = ACTIONS(4308),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1807] = {
    [sym_parenthesized_expression] = STATE(1124),
    [sym__expressions] = STATE(1834),
    [sym__expression] = STATE(1124),
    [sym_yield_expression] = STATE(1124),
    [sym_object] = STATE(1125),
    [sym_array] = STATE(1126),
    [sym_jsx_element] = STATE(1124),
    [sym_jsx_fragment] = STATE(1124),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(1124),
    [sym_anonymous_class] = STATE(1124),
    [sym_class] = STATE(1124),
    [sym_function] = STATE(154),
    [sym_arrow_function] = STATE(1124),
    [sym_generator_function] = STATE(1124),
    [sym_call_expression] = STATE(1124),
    [sym_new_expression] = STATE(1124),
    [sym_await_expression] = STATE(1124),
    [sym_member_expression] = STATE(1127),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1124),
    [sym_augmented_assignment_expression] = STATE(1124),
    [sym_ternary_expression] = STATE(1124),
    [sym_binary_expression] = STATE(1124),
    [sym_unary_expression] = STATE(1124),
    [sym_update_expression] = STATE(1124),
    [sym_sequence_expression] = STATE(1834),
    [sym_template_string] = STATE(1124),
    [sym_decorator] = STATE(155),
    [sym_formal_parameters] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(155),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(205),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(209),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(2514),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(2516),
    [sym_number] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
  },
  [1808] = {
    [sym_parenthesized_expression] = STATE(1835),
    [sym__expression] = STATE(1835),
    [sym_yield_expression] = STATE(1835),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1835),
    [sym_jsx_fragment] = STATE(1835),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1835),
    [sym_anonymous_class] = STATE(1835),
    [sym_class] = STATE(1835),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1835),
    [sym_generator_function] = STATE(1835),
    [sym_call_expression] = STATE(1835),
    [sym_new_expression] = STATE(1835),
    [sym_await_expression] = STATE(1835),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1835),
    [sym_augmented_assignment_expression] = STATE(1835),
    [sym_ternary_expression] = STATE(1835),
    [sym_binary_expression] = STATE(1835),
    [sym_unary_expression] = STATE(1835),
    [sym_update_expression] = STATE(1835),
    [sym_template_string] = STATE(1835),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4310),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4312),
    [sym_number] = ACTIONS(4310),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4312),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4312),
    [sym_false] = ACTIONS(4312),
    [sym_null] = ACTIONS(4312),
    [sym_undefined] = ACTIONS(4312),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1809] = {
    [anon_sym_RPAREN] = ACTIONS(4314),
    [sym_comment] = ACTIONS(71),
  },
  [1810] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4316),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1811] = {
    [anon_sym_RPAREN] = ACTIONS(4318),
    [sym_comment] = ACTIONS(71),
  },
  [1812] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4320),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1813] = {
    [anon_sym_RPAREN] = ACTIONS(4322),
    [sym_comment] = ACTIONS(71),
  },
  [1814] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4324),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1815] = {
    [sym_export_statement] = STATE(1558),
    [sym__declaration] = STATE(1558),
    [sym_import_statement] = STATE(1558),
    [sym_expression_statement] = STATE(1558),
    [sym_variable_declaration] = STATE(1558),
    [sym_lexical_declaration] = STATE(1558),
    [sym_statement_block] = STATE(1558),
    [sym_if_statement] = STATE(1558),
    [sym_switch_statement] = STATE(1558),
    [sym_for_statement] = STATE(1558),
    [sym_for_in_statement] = STATE(1558),
    [sym_for_of_statement] = STATE(1558),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1558),
    [sym_try_statement] = STATE(1558),
    [sym_with_statement] = STATE(1558),
    [sym_break_statement] = STATE(1558),
    [sym_continue_statement] = STATE(1558),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1558),
    [sym_throw_statement] = STATE(1558),
    [sym_empty_statement] = STATE(1558),
    [sym_labeled_statement] = STATE(1558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1816] = {
    [sym_export_statement] = STATE(1569),
    [sym__declaration] = STATE(1569),
    [sym_import_statement] = STATE(1569),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1569),
    [sym_lexical_declaration] = STATE(1569),
    [sym_statement_block] = STATE(1569),
    [sym_if_statement] = STATE(1569),
    [sym_switch_statement] = STATE(1569),
    [sym_for_statement] = STATE(1569),
    [sym_for_in_statement] = STATE(1569),
    [sym_for_of_statement] = STATE(1569),
    [sym_while_statement] = STATE(1569),
    [sym_do_statement] = STATE(1569),
    [sym_try_statement] = STATE(1569),
    [sym_with_statement] = STATE(1569),
    [sym_break_statement] = STATE(1569),
    [sym_continue_statement] = STATE(1569),
    [sym_debugger_statement] = STATE(1569),
    [sym_return_statement] = STATE(1569),
    [sym_throw_statement] = STATE(1569),
    [sym_empty_statement] = STATE(1569),
    [sym_labeled_statement] = STATE(1569),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1817] = {
    [sym_export_statement] = STATE(1574),
    [sym__declaration] = STATE(1574),
    [sym_import_statement] = STATE(1574),
    [sym_expression_statement] = STATE(1574),
    [sym_variable_declaration] = STATE(1574),
    [sym_lexical_declaration] = STATE(1574),
    [sym_statement_block] = STATE(1574),
    [sym_if_statement] = STATE(1574),
    [sym_switch_statement] = STATE(1574),
    [sym_for_statement] = STATE(1574),
    [sym_for_in_statement] = STATE(1574),
    [sym_for_of_statement] = STATE(1574),
    [sym_while_statement] = STATE(1574),
    [sym_do_statement] = STATE(1574),
    [sym_try_statement] = STATE(1574),
    [sym_with_statement] = STATE(1574),
    [sym_break_statement] = STATE(1574),
    [sym_continue_statement] = STATE(1574),
    [sym_debugger_statement] = STATE(1574),
    [sym_return_statement] = STATE(1574),
    [sym_throw_statement] = STATE(1574),
    [sym_empty_statement] = STATE(1574),
    [sym_labeled_statement] = STATE(1574),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1818] = {
    [sym_export_statement] = STATE(1575),
    [sym__declaration] = STATE(1575),
    [sym_import_statement] = STATE(1575),
    [sym_expression_statement] = STATE(1575),
    [sym_variable_declaration] = STATE(1575),
    [sym_lexical_declaration] = STATE(1575),
    [sym_statement_block] = STATE(1575),
    [sym_if_statement] = STATE(1575),
    [sym_switch_statement] = STATE(1575),
    [sym_for_statement] = STATE(1575),
    [sym_for_in_statement] = STATE(1575),
    [sym_for_of_statement] = STATE(1575),
    [sym_while_statement] = STATE(1575),
    [sym_do_statement] = STATE(1575),
    [sym_try_statement] = STATE(1575),
    [sym_with_statement] = STATE(1575),
    [sym_break_statement] = STATE(1575),
    [sym_continue_statement] = STATE(1575),
    [sym_debugger_statement] = STATE(1575),
    [sym_return_statement] = STATE(1575),
    [sym_throw_statement] = STATE(1575),
    [sym_empty_statement] = STATE(1575),
    [sym_labeled_statement] = STATE(1575),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1819] = {
    [sym_export_statement] = STATE(1576),
    [sym__declaration] = STATE(1576),
    [sym_import_statement] = STATE(1576),
    [sym_expression_statement] = STATE(1576),
    [sym_variable_declaration] = STATE(1576),
    [sym_lexical_declaration] = STATE(1576),
    [sym_statement_block] = STATE(1576),
    [sym_if_statement] = STATE(1576),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1576),
    [sym_for_in_statement] = STATE(1576),
    [sym_for_of_statement] = STATE(1576),
    [sym_while_statement] = STATE(1576),
    [sym_do_statement] = STATE(1576),
    [sym_try_statement] = STATE(1576),
    [sym_with_statement] = STATE(1576),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1576),
    [sym_debugger_statement] = STATE(1576),
    [sym_return_statement] = STATE(1576),
    [sym_throw_statement] = STATE(1576),
    [sym_empty_statement] = STATE(1576),
    [sym_labeled_statement] = STATE(1576),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1820] = {
    [sym_export_statement] = STATE(1577),
    [sym__declaration] = STATE(1577),
    [sym_import_statement] = STATE(1577),
    [sym_expression_statement] = STATE(1577),
    [sym_variable_declaration] = STATE(1577),
    [sym_lexical_declaration] = STATE(1577),
    [sym_statement_block] = STATE(1577),
    [sym_if_statement] = STATE(1577),
    [sym_switch_statement] = STATE(1577),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1577),
    [sym_for_of_statement] = STATE(1577),
    [sym_while_statement] = STATE(1577),
    [sym_do_statement] = STATE(1577),
    [sym_try_statement] = STATE(1577),
    [sym_with_statement] = STATE(1577),
    [sym_break_statement] = STATE(1577),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1577),
    [sym_return_statement] = STATE(1577),
    [sym_throw_statement] = STATE(1577),
    [sym_empty_statement] = STATE(1577),
    [sym_labeled_statement] = STATE(1577),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1821] = {
    [sym_export_statement] = STATE(1578),
    [sym__declaration] = STATE(1578),
    [sym_import_statement] = STATE(1578),
    [sym_expression_statement] = STATE(1578),
    [sym_variable_declaration] = STATE(1578),
    [sym_lexical_declaration] = STATE(1578),
    [sym_statement_block] = STATE(1578),
    [sym_if_statement] = STATE(1578),
    [sym_switch_statement] = STATE(1578),
    [sym_for_statement] = STATE(1578),
    [sym_for_in_statement] = STATE(1578),
    [sym_for_of_statement] = STATE(1578),
    [sym_while_statement] = STATE(1578),
    [sym_do_statement] = STATE(1578),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1578),
    [sym_break_statement] = STATE(1578),
    [sym_continue_statement] = STATE(1578),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1578),
    [sym_throw_statement] = STATE(1578),
    [sym_empty_statement] = STATE(1578),
    [sym_labeled_statement] = STATE(1578),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1822] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1842),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1842),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1823] = {
    [sym_parenthesized_expression] = STATE(1843),
    [sym__expression] = STATE(1843),
    [sym_yield_expression] = STATE(1843),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1843),
    [sym_jsx_fragment] = STATE(1843),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1843),
    [sym_anonymous_class] = STATE(1843),
    [sym_class] = STATE(1843),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1843),
    [sym_generator_function] = STATE(1843),
    [sym_call_expression] = STATE(1843),
    [sym_new_expression] = STATE(1843),
    [sym_await_expression] = STATE(1843),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1843),
    [sym_augmented_assignment_expression] = STATE(1843),
    [sym_ternary_expression] = STATE(1843),
    [sym_binary_expression] = STATE(1843),
    [sym_unary_expression] = STATE(1843),
    [sym_update_expression] = STATE(1843),
    [sym_template_string] = STATE(1843),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4326),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4328),
    [sym_number] = ACTIONS(4326),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4328),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4328),
    [sym_false] = ACTIONS(4328),
    [sym_null] = ACTIONS(4328),
    [sym_undefined] = ACTIONS(4328),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1824] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1844),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1844),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1825] = {
    [sym_parenthesized_expression] = STATE(1845),
    [sym__expression] = STATE(1845),
    [sym_yield_expression] = STATE(1845),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1845),
    [sym_jsx_fragment] = STATE(1845),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1845),
    [sym_anonymous_class] = STATE(1845),
    [sym_class] = STATE(1845),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1845),
    [sym_generator_function] = STATE(1845),
    [sym_call_expression] = STATE(1845),
    [sym_new_expression] = STATE(1845),
    [sym_await_expression] = STATE(1845),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1845),
    [sym_augmented_assignment_expression] = STATE(1845),
    [sym_ternary_expression] = STATE(1845),
    [sym_binary_expression] = STATE(1845),
    [sym_unary_expression] = STATE(1845),
    [sym_update_expression] = STATE(1845),
    [sym_template_string] = STATE(1845),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4330),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4332),
    [sym_number] = ACTIONS(4330),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4332),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4332),
    [sym_false] = ACTIONS(4332),
    [sym_null] = ACTIONS(4332),
    [sym_undefined] = ACTIONS(4332),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1826] = {
    [sym_parenthesized_expression] = STATE(118),
    [sym__expressions] = STATE(1846),
    [sym__expression] = STATE(118),
    [sym_yield_expression] = STATE(118),
    [sym_object] = STATE(352),
    [sym_array] = STATE(353),
    [sym_jsx_element] = STATE(118),
    [sym_jsx_fragment] = STATE(118),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(118),
    [sym_anonymous_class] = STATE(118),
    [sym_class] = STATE(118),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(118),
    [sym_generator_function] = STATE(118),
    [sym_call_expression] = STATE(118),
    [sym_new_expression] = STATE(118),
    [sym_await_expression] = STATE(118),
    [sym_member_expression] = STATE(124),
    [sym_subscript_expression] = STATE(124),
    [sym_assignment_expression] = STATE(118),
    [sym_augmented_assignment_expression] = STATE(118),
    [sym_ternary_expression] = STATE(118),
    [sym_binary_expression] = STATE(118),
    [sym_unary_expression] = STATE(118),
    [sym_update_expression] = STATE(118),
    [sym_sequence_expression] = STATE(1846),
    [sym_template_string] = STATE(118),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(125),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(606),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(167),
    [anon_sym_new] = ACTIONS(169),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_typeof] = ACTIONS(175),
    [anon_sym_void] = ACTIONS(175),
    [anon_sym_delete] = ACTIONS(175),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(181),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(185),
    [sym_number] = ACTIONS(181),
    [sym_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(185),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(185),
    [sym_false] = ACTIONS(185),
    [sym_null] = ACTIONS(185),
    [sym_undefined] = ACTIONS(185),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
  },
  [1827] = {
    [sym_parenthesized_expression] = STATE(1847),
    [sym__expression] = STATE(1847),
    [sym_yield_expression] = STATE(1847),
    [sym_object] = STATE(1139),
    [sym_array] = STATE(1140),
    [sym_jsx_element] = STATE(1847),
    [sym_jsx_fragment] = STATE(1847),
    [sym_jsx_opening_element] = STATE(122),
    [sym_jsx_self_closing_element] = STATE(1847),
    [sym_anonymous_class] = STATE(1847),
    [sym_class] = STATE(1847),
    [sym_function] = STATE(123),
    [sym_arrow_function] = STATE(1847),
    [sym_generator_function] = STATE(1847),
    [sym_call_expression] = STATE(1847),
    [sym_new_expression] = STATE(1847),
    [sym_await_expression] = STATE(1847),
    [sym_member_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(1141),
    [sym_assignment_expression] = STATE(1847),
    [sym_augmented_assignment_expression] = STATE(1847),
    [sym_ternary_expression] = STATE(1847),
    [sym_binary_expression] = STATE(1847),
    [sym_unary_expression] = STATE(1847),
    [sym_update_expression] = STATE(1847),
    [sym_template_string] = STATE(1847),
    [sym_decorator] = STATE(126),
    [sym_formal_parameters] = STATE(1142),
    [aux_sym_export_statement_repeat1] = STATE(126),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_yield] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_LT] = ACTIONS(159),
    [anon_sym_class] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_await] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(4334),
    [anon_sym_BQUOTE] = ACTIONS(183),
    [sym_regex] = ACTIONS(4336),
    [sym_number] = ACTIONS(4334),
    [sym_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(4336),
    [sym_super] = ACTIONS(189),
    [sym_true] = ACTIONS(4336),
    [sym_false] = ACTIONS(4336),
    [sym_null] = ACTIONS(4336),
    [sym_undefined] = ACTIONS(4336),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
  },
  [1828] = {
    [anon_sym_RPAREN] = ACTIONS(4338),
    [sym_comment] = ACTIONS(71),
  },
  [1829] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4340),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1830] = {
    [sym_export_statement] = STATE(1408),
    [sym__declaration] = STATE(1408),
    [sym_import_statement] = STATE(1408),
    [sym_expression_statement] = STATE(1408),
    [sym_variable_declaration] = STATE(1408),
    [sym_lexical_declaration] = STATE(1408),
    [sym_statement_block] = STATE(1408),
    [sym_if_statement] = STATE(1408),
    [sym_switch_statement] = STATE(1408),
    [sym_for_statement] = STATE(1408),
    [sym_for_in_statement] = STATE(1408),
    [sym_for_of_statement] = STATE(1408),
    [sym_while_statement] = STATE(1408),
    [sym_do_statement] = STATE(1408),
    [sym_try_statement] = STATE(1408),
    [sym_with_statement] = STATE(1408),
    [sym_break_statement] = STATE(1408),
    [sym_continue_statement] = STATE(1408),
    [sym_debugger_statement] = STATE(1408),
    [sym_return_statement] = STATE(1408),
    [sym_throw_statement] = STATE(1408),
    [sym_empty_statement] = STATE(1408),
    [sym_labeled_statement] = STATE(1408),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1831] = {
    [anon_sym_RPAREN] = ACTIONS(4342),
    [sym_comment] = ACTIONS(71),
  },
  [1832] = {
    [anon_sym_RPAREN] = ACTIONS(4344),
    [sym_comment] = ACTIONS(71),
  },
  [1833] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4346),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1834] = {
    [anon_sym_RPAREN] = ACTIONS(4348),
    [sym_comment] = ACTIONS(71),
  },
  [1835] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4350),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1836] = {
    [sym_export_statement] = STATE(1666),
    [sym__declaration] = STATE(1666),
    [sym_import_statement] = STATE(1666),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1666),
    [sym_lexical_declaration] = STATE(1666),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_switch_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_for_in_statement] = STATE(1666),
    [sym_for_of_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_do_statement] = STATE(1666),
    [sym_try_statement] = STATE(1666),
    [sym_with_statement] = STATE(1666),
    [sym_break_statement] = STATE(1666),
    [sym_continue_statement] = STATE(1666),
    [sym_debugger_statement] = STATE(1666),
    [sym_return_statement] = STATE(1666),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1666),
    [sym_labeled_statement] = STATE(1666),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1837] = {
    [sym_export_statement] = STATE(1667),
    [sym__declaration] = STATE(1667),
    [sym_import_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym_variable_declaration] = STATE(1667),
    [sym_lexical_declaration] = STATE(1667),
    [sym_statement_block] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_switch_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_for_in_statement] = STATE(1667),
    [sym_for_of_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_with_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_debugger_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_statement] = STATE(1667),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1667),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1838] = {
    [sym_export_statement] = STATE(1668),
    [sym__declaration] = STATE(1668),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1668),
    [sym_variable_declaration] = STATE(1668),
    [sym_lexical_declaration] = STATE(1668),
    [sym_statement_block] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_switch_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_for_in_statement] = STATE(1668),
    [sym_for_of_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1668),
    [sym_try_statement] = STATE(1668),
    [sym_with_statement] = STATE(1668),
    [sym_break_statement] = STATE(1668),
    [sym_continue_statement] = STATE(1668),
    [sym_debugger_statement] = STATE(1668),
    [sym_return_statement] = STATE(1668),
    [sym_throw_statement] = STATE(1668),
    [sym_empty_statement] = STATE(1668),
    [sym_labeled_statement] = STATE(1668),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1839] = {
    [sym_export_statement] = STATE(1669),
    [sym__declaration] = STATE(1669),
    [sym_import_statement] = STATE(1669),
    [sym_expression_statement] = STATE(1669),
    [sym_variable_declaration] = STATE(1669),
    [sym_lexical_declaration] = STATE(1669),
    [sym_statement_block] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_switch_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_for_in_statement] = STATE(1669),
    [sym_for_of_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1669),
    [sym_with_statement] = STATE(1669),
    [sym_break_statement] = STATE(1669),
    [sym_continue_statement] = STATE(1669),
    [sym_debugger_statement] = STATE(1669),
    [sym_return_statement] = STATE(1669),
    [sym_throw_statement] = STATE(1669),
    [sym_empty_statement] = STATE(1669),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1840] = {
    [sym_export_statement] = STATE(1670),
    [sym__declaration] = STATE(1670),
    [sym_import_statement] = STATE(1670),
    [sym_expression_statement] = STATE(1670),
    [sym_variable_declaration] = STATE(1670),
    [sym_lexical_declaration] = STATE(1670),
    [sym_statement_block] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_switch_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_for_in_statement] = STATE(1670),
    [sym_for_of_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_do_statement] = STATE(1670),
    [sym_try_statement] = STATE(1670),
    [sym_with_statement] = STATE(1670),
    [sym_break_statement] = STATE(1670),
    [sym_continue_statement] = STATE(1670),
    [sym_debugger_statement] = STATE(1670),
    [sym_return_statement] = STATE(1670),
    [sym_throw_statement] = STATE(1670),
    [sym_empty_statement] = STATE(1670),
    [sym_labeled_statement] = STATE(1670),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1841] = {
    [sym_export_statement] = STATE(1671),
    [sym__declaration] = STATE(1671),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1671),
    [sym_lexical_declaration] = STATE(1671),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_for_of_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3159),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1842] = {
    [anon_sym_RPAREN] = ACTIONS(4352),
    [sym_comment] = ACTIONS(71),
  },
  [1843] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4354),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1844] = {
    [anon_sym_RPAREN] = ACTIONS(4356),
    [sym_comment] = ACTIONS(71),
  },
  [1845] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4358),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1846] = {
    [anon_sym_RPAREN] = ACTIONS(4360),
    [sym_comment] = ACTIONS(71),
  },
  [1847] = {
    [sym_template_string] = STATE(421),
    [sym_arguments] = STATE(421),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(4362),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(3281),
    [anon_sym_GT] = ACTIONS(3281),
    [anon_sym_SLASH] = ACTIONS(3289),
    [anon_sym_DOT] = ACTIONS(720),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3295),
    [anon_sym_GT_GT] = ACTIONS(3289),
    [anon_sym_GT_GT_GT] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3303),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3303),
    [anon_sym_instanceof] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [sym_comment] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(183),
  },
  [1848] = {
    [sym_export_statement] = STATE(1558),
    [sym__declaration] = STATE(1558),
    [sym_import_statement] = STATE(1558),
    [sym_expression_statement] = STATE(1558),
    [sym_variable_declaration] = STATE(1558),
    [sym_lexical_declaration] = STATE(1558),
    [sym_statement_block] = STATE(1558),
    [sym_if_statement] = STATE(1558),
    [sym_switch_statement] = STATE(1558),
    [sym_for_statement] = STATE(1558),
    [sym_for_in_statement] = STATE(1558),
    [sym_for_of_statement] = STATE(1558),
    [sym_while_statement] = STATE(1558),
    [sym_do_statement] = STATE(1558),
    [sym_try_statement] = STATE(1558),
    [sym_with_statement] = STATE(1558),
    [sym_break_statement] = STATE(1558),
    [sym_continue_statement] = STATE(1558),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1558),
    [sym_throw_statement] = STATE(1558),
    [sym_empty_statement] = STATE(1558),
    [sym_labeled_statement] = STATE(1558),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1849] = {
    [sym_export_statement] = STATE(1569),
    [sym__declaration] = STATE(1569),
    [sym_import_statement] = STATE(1569),
    [sym_expression_statement] = STATE(1569),
    [sym_variable_declaration] = STATE(1569),
    [sym_lexical_declaration] = STATE(1569),
    [sym_statement_block] = STATE(1569),
    [sym_if_statement] = STATE(1569),
    [sym_switch_statement] = STATE(1569),
    [sym_for_statement] = STATE(1569),
    [sym_for_in_statement] = STATE(1569),
    [sym_for_of_statement] = STATE(1569),
    [sym_while_statement] = STATE(1569),
    [sym_do_statement] = STATE(1569),
    [sym_try_statement] = STATE(1569),
    [sym_with_statement] = STATE(1569),
    [sym_break_statement] = STATE(1569),
    [sym_continue_statement] = STATE(1569),
    [sym_debugger_statement] = STATE(1569),
    [sym_return_statement] = STATE(1569),
    [sym_throw_statement] = STATE(1569),
    [sym_empty_statement] = STATE(1569),
    [sym_labeled_statement] = STATE(1569),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1850] = {
    [sym_export_statement] = STATE(1574),
    [sym__declaration] = STATE(1574),
    [sym_import_statement] = STATE(1574),
    [sym_expression_statement] = STATE(1574),
    [sym_variable_declaration] = STATE(1574),
    [sym_lexical_declaration] = STATE(1574),
    [sym_statement_block] = STATE(1574),
    [sym_if_statement] = STATE(1574),
    [sym_switch_statement] = STATE(1574),
    [sym_for_statement] = STATE(1574),
    [sym_for_in_statement] = STATE(1574),
    [sym_for_of_statement] = STATE(1574),
    [sym_while_statement] = STATE(1574),
    [sym_do_statement] = STATE(1574),
    [sym_try_statement] = STATE(1574),
    [sym_with_statement] = STATE(1574),
    [sym_break_statement] = STATE(1574),
    [sym_continue_statement] = STATE(1574),
    [sym_debugger_statement] = STATE(1574),
    [sym_return_statement] = STATE(1574),
    [sym_throw_statement] = STATE(1574),
    [sym_empty_statement] = STATE(1574),
    [sym_labeled_statement] = STATE(1574),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1851] = {
    [sym_export_statement] = STATE(1575),
    [sym__declaration] = STATE(1575),
    [sym_import_statement] = STATE(1575),
    [sym_expression_statement] = STATE(1575),
    [sym_variable_declaration] = STATE(1575),
    [sym_lexical_declaration] = STATE(1575),
    [sym_statement_block] = STATE(1575),
    [sym_if_statement] = STATE(1575),
    [sym_switch_statement] = STATE(1575),
    [sym_for_statement] = STATE(1575),
    [sym_for_in_statement] = STATE(1575),
    [sym_for_of_statement] = STATE(1575),
    [sym_while_statement] = STATE(1575),
    [sym_do_statement] = STATE(1575),
    [sym_try_statement] = STATE(1575),
    [sym_with_statement] = STATE(1575),
    [sym_break_statement] = STATE(1575),
    [sym_continue_statement] = STATE(1575),
    [sym_debugger_statement] = STATE(1575),
    [sym_return_statement] = STATE(1575),
    [sym_throw_statement] = STATE(1575),
    [sym_empty_statement] = STATE(1575),
    [sym_labeled_statement] = STATE(1575),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1852] = {
    [sym_export_statement] = STATE(1576),
    [sym__declaration] = STATE(1576),
    [sym_import_statement] = STATE(1576),
    [sym_expression_statement] = STATE(1576),
    [sym_variable_declaration] = STATE(1576),
    [sym_lexical_declaration] = STATE(1576),
    [sym_statement_block] = STATE(1576),
    [sym_if_statement] = STATE(1576),
    [sym_switch_statement] = STATE(1576),
    [sym_for_statement] = STATE(1576),
    [sym_for_in_statement] = STATE(1576),
    [sym_for_of_statement] = STATE(1576),
    [sym_while_statement] = STATE(1576),
    [sym_do_statement] = STATE(1576),
    [sym_try_statement] = STATE(1576),
    [sym_with_statement] = STATE(1576),
    [sym_break_statement] = STATE(1576),
    [sym_continue_statement] = STATE(1576),
    [sym_debugger_statement] = STATE(1576),
    [sym_return_statement] = STATE(1576),
    [sym_throw_statement] = STATE(1576),
    [sym_empty_statement] = STATE(1576),
    [sym_labeled_statement] = STATE(1576),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1853] = {
    [sym_export_statement] = STATE(1577),
    [sym__declaration] = STATE(1577),
    [sym_import_statement] = STATE(1577),
    [sym_expression_statement] = STATE(1577),
    [sym_variable_declaration] = STATE(1577),
    [sym_lexical_declaration] = STATE(1577),
    [sym_statement_block] = STATE(1577),
    [sym_if_statement] = STATE(1577),
    [sym_switch_statement] = STATE(1577),
    [sym_for_statement] = STATE(1577),
    [sym_for_in_statement] = STATE(1577),
    [sym_for_of_statement] = STATE(1577),
    [sym_while_statement] = STATE(1577),
    [sym_do_statement] = STATE(1577),
    [sym_try_statement] = STATE(1577),
    [sym_with_statement] = STATE(1577),
    [sym_break_statement] = STATE(1577),
    [sym_continue_statement] = STATE(1577),
    [sym_debugger_statement] = STATE(1577),
    [sym_return_statement] = STATE(1577),
    [sym_throw_statement] = STATE(1577),
    [sym_empty_statement] = STATE(1577),
    [sym_labeled_statement] = STATE(1577),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1854] = {
    [sym_export_statement] = STATE(1578),
    [sym__declaration] = STATE(1578),
    [sym_import_statement] = STATE(1578),
    [sym_expression_statement] = STATE(1578),
    [sym_variable_declaration] = STATE(1578),
    [sym_lexical_declaration] = STATE(1578),
    [sym_statement_block] = STATE(1578),
    [sym_if_statement] = STATE(1578),
    [sym_switch_statement] = STATE(1578),
    [sym_for_statement] = STATE(1578),
    [sym_for_in_statement] = STATE(1578),
    [sym_for_of_statement] = STATE(1578),
    [sym_while_statement] = STATE(1578),
    [sym_do_statement] = STATE(1578),
    [sym_try_statement] = STATE(1578),
    [sym_with_statement] = STATE(1578),
    [sym_break_statement] = STATE(1578),
    [sym_continue_statement] = STATE(1578),
    [sym_debugger_statement] = STATE(1578),
    [sym_return_statement] = STATE(1578),
    [sym_throw_statement] = STATE(1578),
    [sym_empty_statement] = STATE(1578),
    [sym_labeled_statement] = STATE(1578),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1855] = {
    [sym_export_statement] = STATE(1666),
    [sym__declaration] = STATE(1666),
    [sym_import_statement] = STATE(1666),
    [sym_expression_statement] = STATE(1666),
    [sym_variable_declaration] = STATE(1666),
    [sym_lexical_declaration] = STATE(1666),
    [sym_statement_block] = STATE(1666),
    [sym_if_statement] = STATE(1666),
    [sym_switch_statement] = STATE(1666),
    [sym_for_statement] = STATE(1666),
    [sym_for_in_statement] = STATE(1666),
    [sym_for_of_statement] = STATE(1666),
    [sym_while_statement] = STATE(1666),
    [sym_do_statement] = STATE(1666),
    [sym_try_statement] = STATE(1666),
    [sym_with_statement] = STATE(1666),
    [sym_break_statement] = STATE(1666),
    [sym_continue_statement] = STATE(1666),
    [sym_debugger_statement] = STATE(1666),
    [sym_return_statement] = STATE(1666),
    [sym_throw_statement] = STATE(1666),
    [sym_empty_statement] = STATE(1666),
    [sym_labeled_statement] = STATE(1666),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1856] = {
    [sym_export_statement] = STATE(1667),
    [sym__declaration] = STATE(1667),
    [sym_import_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym_variable_declaration] = STATE(1667),
    [sym_lexical_declaration] = STATE(1667),
    [sym_statement_block] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_switch_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_for_in_statement] = STATE(1667),
    [sym_for_of_statement] = STATE(1667),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_with_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_debugger_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_statement] = STATE(1667),
    [sym_empty_statement] = STATE(1667),
    [sym_labeled_statement] = STATE(1667),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1857] = {
    [sym_export_statement] = STATE(1668),
    [sym__declaration] = STATE(1668),
    [sym_import_statement] = STATE(1668),
    [sym_expression_statement] = STATE(1668),
    [sym_variable_declaration] = STATE(1668),
    [sym_lexical_declaration] = STATE(1668),
    [sym_statement_block] = STATE(1668),
    [sym_if_statement] = STATE(1668),
    [sym_switch_statement] = STATE(1668),
    [sym_for_statement] = STATE(1668),
    [sym_for_in_statement] = STATE(1668),
    [sym_for_of_statement] = STATE(1668),
    [sym_while_statement] = STATE(1668),
    [sym_do_statement] = STATE(1668),
    [sym_try_statement] = STATE(1668),
    [sym_with_statement] = STATE(1668),
    [sym_break_statement] = STATE(1668),
    [sym_continue_statement] = STATE(1668),
    [sym_debugger_statement] = STATE(1668),
    [sym_return_statement] = STATE(1668),
    [sym_throw_statement] = STATE(1668),
    [sym_empty_statement] = STATE(1668),
    [sym_labeled_statement] = STATE(1668),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1858] = {
    [sym_export_statement] = STATE(1669),
    [sym__declaration] = STATE(1669),
    [sym_import_statement] = STATE(1669),
    [sym_expression_statement] = STATE(1669),
    [sym_variable_declaration] = STATE(1669),
    [sym_lexical_declaration] = STATE(1669),
    [sym_statement_block] = STATE(1669),
    [sym_if_statement] = STATE(1669),
    [sym_switch_statement] = STATE(1669),
    [sym_for_statement] = STATE(1669),
    [sym_for_in_statement] = STATE(1669),
    [sym_for_of_statement] = STATE(1669),
    [sym_while_statement] = STATE(1669),
    [sym_do_statement] = STATE(1669),
    [sym_try_statement] = STATE(1669),
    [sym_with_statement] = STATE(1669),
    [sym_break_statement] = STATE(1669),
    [sym_continue_statement] = STATE(1669),
    [sym_debugger_statement] = STATE(1669),
    [sym_return_statement] = STATE(1669),
    [sym_throw_statement] = STATE(1669),
    [sym_empty_statement] = STATE(1669),
    [sym_labeled_statement] = STATE(1669),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1859] = {
    [sym_export_statement] = STATE(1670),
    [sym__declaration] = STATE(1670),
    [sym_import_statement] = STATE(1670),
    [sym_expression_statement] = STATE(1670),
    [sym_variable_declaration] = STATE(1670),
    [sym_lexical_declaration] = STATE(1670),
    [sym_statement_block] = STATE(1670),
    [sym_if_statement] = STATE(1670),
    [sym_switch_statement] = STATE(1670),
    [sym_for_statement] = STATE(1670),
    [sym_for_in_statement] = STATE(1670),
    [sym_for_of_statement] = STATE(1670),
    [sym_while_statement] = STATE(1670),
    [sym_do_statement] = STATE(1670),
    [sym_try_statement] = STATE(1670),
    [sym_with_statement] = STATE(1670),
    [sym_break_statement] = STATE(1670),
    [sym_continue_statement] = STATE(1670),
    [sym_debugger_statement] = STATE(1670),
    [sym_return_statement] = STATE(1670),
    [sym_throw_statement] = STATE(1670),
    [sym_empty_statement] = STATE(1670),
    [sym_labeled_statement] = STATE(1670),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
  [1860] = {
    [sym_export_statement] = STATE(1671),
    [sym__declaration] = STATE(1671),
    [sym_import_statement] = STATE(1671),
    [sym_expression_statement] = STATE(1671),
    [sym_variable_declaration] = STATE(1671),
    [sym_lexical_declaration] = STATE(1671),
    [sym_statement_block] = STATE(1671),
    [sym_if_statement] = STATE(1671),
    [sym_switch_statement] = STATE(1671),
    [sym_for_statement] = STATE(1671),
    [sym_for_in_statement] = STATE(1671),
    [sym_for_of_statement] = STATE(1671),
    [sym_while_statement] = STATE(1671),
    [sym_do_statement] = STATE(1671),
    [sym_try_statement] = STATE(1671),
    [sym_with_statement] = STATE(1671),
    [sym_break_statement] = STATE(1671),
    [sym_continue_statement] = STATE(1671),
    [sym_debugger_statement] = STATE(1671),
    [sym_return_statement] = STATE(1671),
    [sym_throw_statement] = STATE(1671),
    [sym_empty_statement] = STATE(1671),
    [sym_labeled_statement] = STATE(1671),
    [sym_parenthesized_expression] = STATE(40),
    [sym__expressions] = STATE(39),
    [sym__expression] = STATE(40),
    [sym_yield_expression] = STATE(40),
    [sym_object] = STATE(41),
    [sym_array] = STATE(42),
    [sym_jsx_element] = STATE(40),
    [sym_jsx_fragment] = STATE(40),
    [sym_jsx_opening_element] = STATE(43),
    [sym_jsx_self_closing_element] = STATE(40),
    [sym_anonymous_class] = STATE(40),
    [sym_class] = STATE(44),
    [sym_function] = STATE(45),
    [sym_arrow_function] = STATE(40),
    [sym_generator_function] = STATE(44),
    [sym_call_expression] = STATE(40),
    [sym_new_expression] = STATE(40),
    [sym_await_expression] = STATE(40),
    [sym_member_expression] = STATE(46),
    [sym_subscript_expression] = STATE(46),
    [sym_assignment_expression] = STATE(40),
    [sym_augmented_assignment_expression] = STATE(40),
    [sym_ternary_expression] = STATE(40),
    [sym_binary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_sequence_expression] = STATE(39),
    [sym_template_string] = STATE(40),
    [sym_decorator] = STATE(49),
    [sym_formal_parameters] = STATE(47),
    [aux_sym_export_statement_repeat1] = STATE(49),
    [anon_sym_export] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_var] = ACTIONS(15),
    [anon_sym_let] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(3911),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_while] = ACTIONS(3915),
    [anon_sym_do] = ACTIONS(29),
    [anon_sym_try] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [anon_sym_debugger] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_throw] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_class] = ACTIONS(53),
    [anon_sym_async] = ACTIONS(55),
    [anon_sym_function] = ACTIONS(57),
    [anon_sym_EQ_GT] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(67),
    [anon_sym_typeof] = ACTIONS(65),
    [anon_sym_void] = ACTIONS(65),
    [anon_sym_delete] = ACTIONS(65),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_string] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(75),
    [sym_regex] = ACTIONS(77),
    [sym_number] = ACTIONS(73),
    [sym_identifier] = ACTIONS(3919),
    [sym_this] = ACTIONS(77),
    [sym_super] = ACTIONS(81),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(77),
    [sym_undefined] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_get] = ACTIONS(85),
    [anon_sym_set] = ACTIONS(85),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = true}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, RECOVER(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [7] = {.count = 1, .reusable = true}, SHIFT(2),
  [9] = {.count = 1, .reusable = false}, SHIFT(3),
  [11] = {.count = 1, .reusable = true}, SHIFT(4),
  [13] = {.count = 1, .reusable = false}, SHIFT(5),
  [15] = {.count = 1, .reusable = false}, SHIFT(6),
  [17] = {.count = 1, .reusable = false}, SHIFT(7),
  [19] = {.count = 1, .reusable = false}, SHIFT(8),
  [21] = {.count = 1, .reusable = false}, SHIFT(9),
  [23] = {.count = 1, .reusable = false}, SHIFT(10),
  [25] = {.count = 1, .reusable = true}, SHIFT(11),
  [27] = {.count = 1, .reusable = false}, SHIFT(12),
  [29] = {.count = 1, .reusable = false}, SHIFT(13),
  [31] = {.count = 1, .reusable = false}, SHIFT(14),
  [33] = {.count = 1, .reusable = false}, SHIFT(15),
  [35] = {.count = 1, .reusable = false}, SHIFT(16),
  [37] = {.count = 1, .reusable = false}, SHIFT(17),
  [39] = {.count = 1, .reusable = false}, SHIFT(18),
  [41] = {.count = 1, .reusable = false}, SHIFT(19),
  [43] = {.count = 1, .reusable = false}, SHIFT(20),
  [45] = {.count = 1, .reusable = true}, SHIFT(21),
  [47] = {.count = 1, .reusable = false}, SHIFT(22),
  [49] = {.count = 1, .reusable = true}, SHIFT(23),
  [51] = {.count = 1, .reusable = true}, SHIFT(24),
  [53] = {.count = 1, .reusable = false}, SHIFT(25),
  [55] = {.count = 1, .reusable = false}, SHIFT(26),
  [57] = {.count = 1, .reusable = false}, SHIFT(27),
  [59] = {.count = 1, .reusable = true}, SHIFT(28),
  [61] = {.count = 1, .reusable = false}, SHIFT(29),
  [63] = {.count = 1, .reusable = false}, SHIFT(30),
  [65] = {.count = 1, .reusable = false}, SHIFT(31),
  [67] = {.count = 1, .reusable = true}, SHIFT(31),
  [69] = {.count = 1, .reusable = true}, SHIFT(32),
  [71] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [73] = {.count = 1, .reusable = true}, SHIFT(40),
  [75] = {.count = 1, .reusable = true}, SHIFT(33),
  [77] = {.count = 1, .reusable = false}, SHIFT(40),
  [79] = {.count = 1, .reusable = false}, SHIFT(34),
  [81] = {.count = 1, .reusable = false}, SHIFT(35),
  [83] = {.count = 1, .reusable = true}, SHIFT(36),
  [85] = {.count = 1, .reusable = false}, SHIFT(37),
  [87] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [89] = {.count = 1, .reusable = true}, SHIFT(51),
  [91] = {.count = 1, .reusable = true}, SHIFT(52),
  [93] = {.count = 1, .reusable = true}, SHIFT(53),
  [95] = {.count = 1, .reusable = true}, SHIFT(6),
  [97] = {.count = 1, .reusable = true}, SHIFT(7),
  [99] = {.count = 1, .reusable = true}, SHIFT(54),
  [101] = {.count = 1, .reusable = true}, SHIFT(55),
  [103] = {.count = 1, .reusable = true}, SHIFT(56),
  [105] = {.count = 1, .reusable = true}, SHIFT(61),
  [107] = {.count = 1, .reusable = true}, SHIFT(62),
  [109] = {.count = 1, .reusable = true}, SHIFT(63),
  [111] = {.count = 1, .reusable = false}, SHIFT(64),
  [113] = {.count = 1, .reusable = false}, SHIFT(65),
  [115] = {.count = 1, .reusable = false}, SHIFT(66),
  [117] = {.count = 1, .reusable = false}, SHIFT(67),
  [119] = {.count = 1, .reusable = true}, SHIFT(68),
  [121] = {.count = 1, .reusable = false}, SHIFT(69),
  [123] = {.count = 1, .reusable = true}, SHIFT(70),
  [125] = {.count = 1, .reusable = true}, SHIFT(71),
  [127] = {.count = 1, .reusable = false}, SHIFT(72),
  [129] = {.count = 1, .reusable = false}, SHIFT(73),
  [131] = {.count = 1, .reusable = true}, SHIFT(81),
  [133] = {.count = 1, .reusable = true}, SHIFT(82),
  [135] = {.count = 1, .reusable = true}, SHIFT(83),
  [137] = {.count = 1, .reusable = true}, SHIFT(84),
  [139] = {.count = 1, .reusable = true}, SHIFT(87),
  [141] = {.count = 1, .reusable = true}, SHIFT(88),
  [143] = {.count = 1, .reusable = true}, SHIFT(89),
  [145] = {.count = 1, .reusable = true}, SHIFT(94),
  [147] = {.count = 1, .reusable = true}, SHIFT(97),
  [149] = {.count = 1, .reusable = true}, SHIFT(98),
  [151] = {.count = 1, .reusable = true}, SHIFT(99),
  [153] = {.count = 1, .reusable = true}, SHIFT(100),
  [155] = {.count = 1, .reusable = false}, SHIFT(101),
  [157] = {.count = 1, .reusable = true}, SHIFT(102),
  [159] = {.count = 1, .reusable = true}, SHIFT(103),
  [161] = {.count = 1, .reusable = false}, SHIFT(104),
  [163] = {.count = 1, .reusable = false}, SHIFT(105),
  [165] = {.count = 1, .reusable = false}, SHIFT(106),
  [167] = {.count = 1, .reusable = true}, SHIFT(107),
  [169] = {.count = 1, .reusable = false}, SHIFT(108),
  [171] = {.count = 1, .reusable = false}, SHIFT(109),
  [173] = {.count = 1, .reusable = true}, SHIFT(110),
  [175] = {.count = 1, .reusable = false}, SHIFT(111),
  [177] = {.count = 1, .reusable = true}, SHIFT(111),
  [179] = {.count = 1, .reusable = true}, SHIFT(112),
  [181] = {.count = 1, .reusable = true}, SHIFT(118),
  [183] = {.count = 1, .reusable = true}, SHIFT(113),
  [185] = {.count = 1, .reusable = false}, SHIFT(118),
  [187] = {.count = 1, .reusable = false}, SHIFT(114),
  [189] = {.count = 1, .reusable = false}, SHIFT(115),
  [191] = {.count = 1, .reusable = false}, SHIFT(116),
  [193] = {.count = 1, .reusable = false}, SHIFT(128),
  [195] = {.count = 1, .reusable = true}, SHIFT(129),
  [197] = {.count = 1, .reusable = false}, SHIFT(130),
  [199] = {.count = 1, .reusable = false}, SHIFT(131),
  [201] = {.count = 1, .reusable = false}, SHIFT(132),
  [203] = {.count = 1, .reusable = false}, SHIFT(133),
  [205] = {.count = 1, .reusable = false}, SHIFT(134),
  [207] = {.count = 1, .reusable = false}, SHIFT(135),
  [209] = {.count = 1, .reusable = false}, SHIFT(136),
  [211] = {.count = 1, .reusable = false}, SHIFT(137),
  [213] = {.count = 1, .reusable = true}, SHIFT(142),
  [215] = {.count = 1, .reusable = true}, SHIFT(145),
  [217] = {.count = 1, .reusable = true}, SHIFT(146),
  [219] = {.count = 1, .reusable = true}, SHIFT(147),
  [221] = {.count = 1, .reusable = true}, SHIFT(148),
  [223] = {.count = 1, .reusable = true}, SHIFT(149),
  [225] = {.count = 1, .reusable = true}, SHIFT(150),
  [227] = {.count = 1, .reusable = true}, SHIFT(151),
  [229] = {.count = 1, .reusable = false}, SHIFT(152),
  [231] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [233] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [235] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 1),
  [237] = {.count = 1, .reusable = false}, REDUCE(sym_yield_expression, 1),
  [239] = {.count = 1, .reusable = false}, SHIFT(24),
  [241] = {.count = 1, .reusable = true}, SHIFT(157),
  [243] = {.count = 1, .reusable = false}, SHIFT(157),
  [245] = {.count = 1, .reusable = true}, SHIFT(158),
  [247] = {.count = 1, .reusable = false}, SHIFT(159),
  [249] = {.count = 1, .reusable = true}, SHIFT(160),
  [251] = {.count = 1, .reusable = false}, SHIFT(161),
  [253] = {.count = 1, .reusable = true}, SHIFT(162),
  [255] = {.count = 1, .reusable = false}, SHIFT(163),
  [257] = {.count = 1, .reusable = false}, SHIFT(164),
  [259] = {.count = 1, .reusable = true}, SHIFT(165),
  [261] = {.count = 1, .reusable = false}, SHIFT(166),
  [263] = {.count = 1, .reusable = true}, SHIFT(166),
  [265] = {.count = 1, .reusable = true}, SHIFT(167),
  [267] = {.count = 1, .reusable = true}, SHIFT(170),
  [269] = {.count = 1, .reusable = false}, SHIFT(170),
  [271] = {.count = 1, .reusable = false}, SHIFT(168),
  [273] = {.count = 1, .reusable = false}, SHIFT(169),
  [275] = {.count = 1, .reusable = true}, SHIFT(177),
  [277] = {.count = 1, .reusable = true}, SHIFT(178),
  [279] = {.count = 1, .reusable = false}, SHIFT(179),
  [281] = {.count = 1, .reusable = true}, SHIFT(182),
  [283] = {.count = 1, .reusable = false}, SHIFT(183),
  [285] = {.count = 1, .reusable = false}, SHIFT(184),
  [287] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .alias_sequence_id = 1),
  [289] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .alias_sequence_id = 1),
  [291] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .alias_sequence_id = 1), SHIFT(187),
  [294] = {.count = 1, .reusable = true}, SHIFT(188),
  [296] = {.count = 1, .reusable = false}, SHIFT(189),
  [298] = {.count = 1, .reusable = false}, SHIFT(190),
  [300] = {.count = 1, .reusable = true}, SHIFT(191),
  [302] = {.count = 1, .reusable = true}, SHIFT(192),
  [304] = {.count = 1, .reusable = false}, SHIFT(193),
  [306] = {.count = 1, .reusable = true}, SHIFT(195),
  [308] = {.count = 1, .reusable = true}, SHIFT(187),
  [310] = {.count = 1, .reusable = true}, SHIFT(196),
  [312] = {.count = 1, .reusable = true}, SHIFT(198),
  [314] = {.count = 1, .reusable = true}, SHIFT(200),
  [316] = {.count = 1, .reusable = false}, SHIFT(200),
  [318] = {.count = 1, .reusable = true}, SHIFT(201),
  [320] = {.count = 1, .reusable = false}, SHIFT(201),
  [322] = {.count = 1, .reusable = true}, SHIFT(202),
  [324] = {.count = 1, .reusable = false}, SHIFT(202),
  [326] = {.count = 1, .reusable = true}, SHIFT(203),
  [328] = {.count = 1, .reusable = false}, SHIFT(203),
  [330] = {.count = 1, .reusable = true}, SHIFT(204),
  [332] = {.count = 1, .reusable = false}, SHIFT(204),
  [334] = {.count = 1, .reusable = true}, SHIFT(207),
  [336] = {.count = 1, .reusable = true}, SHIFT(205),
  [338] = {.count = 1, .reusable = true}, SHIFT(206),
  [340] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [342] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [344] = {.count = 1, .reusable = false}, SHIFT(208),
  [346] = {.count = 1, .reusable = true}, SHIFT(209),
  [348] = {.count = 1, .reusable = true}, SHIFT(210),
  [350] = {.count = 1, .reusable = true}, SHIFT(211),
  [352] = {.count = 1, .reusable = true}, SHIFT(213),
  [354] = {.count = 1, .reusable = true}, SHIFT(214),
  [356] = {.count = 1, .reusable = false}, SHIFT(216),
  [358] = {.count = 1, .reusable = false}, SHIFT(217),
  [360] = {.count = 1, .reusable = true}, ACCEPT_INPUT(),
  [362] = {.count = 1, .reusable = true}, SHIFT(220),
  [364] = {.count = 1, .reusable = true}, REDUCE(sym__expressions, 1),
  [366] = {.count = 1, .reusable = true}, SHIFT(221),
  [368] = {.count = 1, .reusable = true}, SHIFT(222),
  [370] = {.count = 1, .reusable = false}, SHIFT(221),
  [372] = {.count = 1, .reusable = true}, SHIFT(223),
  [374] = {.count = 1, .reusable = true}, SHIFT(224),
  [376] = {.count = 1, .reusable = true}, SHIFT(225),
  [378] = {.count = 1, .reusable = false}, SHIFT(224),
  [380] = {.count = 1, .reusable = false}, SHIFT(225),
  [382] = {.count = 1, .reusable = false}, SHIFT(226),
  [384] = {.count = 1, .reusable = true}, SHIFT(208),
  [386] = {.count = 1, .reusable = true}, SHIFT(227),
  [388] = {.count = 1, .reusable = false}, SHIFT(230),
  [390] = {.count = 1, .reusable = false}, SHIFT(231),
  [392] = {.count = 1, .reusable = false}, SHIFT(234),
  [394] = {.count = 1, .reusable = true}, SHIFT(235),
  [396] = {.count = 1, .reusable = true}, REDUCE(sym__declaration, 1),
  [398] = {.count = 1, .reusable = false}, REDUCE(sym__declaration, 1),
  [400] = {.count = 1, .reusable = true}, SHIFT(237),
  [402] = {.count = 1, .reusable = true}, SHIFT(238),
  [404] = {.count = 1, .reusable = true}, REDUCE(sym_program, 2),
  [406] = {.count = 1, .reusable = true}, SHIFT(240),
  [408] = {.count = 1, .reusable = false}, SHIFT(242),
  [410] = {.count = 1, .reusable = false}, SHIFT(243),
  [412] = {.count = 1, .reusable = true}, SHIFT(244),
  [414] = {.count = 1, .reusable = false}, SHIFT(245),
  [416] = {.count = 1, .reusable = false}, SHIFT(246),
  [418] = {.count = 1, .reusable = false}, SHIFT(247),
  [420] = {.count = 1, .reusable = true}, SHIFT(247),
  [422] = {.count = 1, .reusable = true}, SHIFT(248),
  [424] = {.count = 1, .reusable = true}, SHIFT(251),
  [426] = {.count = 1, .reusable = false}, SHIFT(251),
  [428] = {.count = 1, .reusable = false}, SHIFT(249),
  [430] = {.count = 1, .reusable = false}, SHIFT(250),
  [432] = {.count = 1, .reusable = true}, SHIFT(256),
  [434] = {.count = 1, .reusable = true}, SHIFT(257),
  [436] = {.count = 1, .reusable = true}, SHIFT(258),
  [438] = {.count = 1, .reusable = true}, SHIFT(260),
  [440] = {.count = 1, .reusable = true}, SHIFT(261),
  [442] = {.count = 1, .reusable = true}, SHIFT(262),
  [444] = {.count = 1, .reusable = true}, SHIFT(263),
  [446] = {.count = 1, .reusable = true}, SHIFT(265),
  [448] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 2),
  [450] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 2),
  [452] = {.count = 1, .reusable = true}, SHIFT(266),
  [454] = {.count = 1, .reusable = true}, SHIFT(268),
  [456] = {.count = 1, .reusable = false}, SHIFT(269),
  [458] = {.count = 1, .reusable = true}, SHIFT(270),
  [460] = {.count = 1, .reusable = true}, SHIFT(271),
  [462] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 1),
  [464] = {.count = 1, .reusable = true}, SHIFT(272),
  [466] = {.count = 1, .reusable = false}, SHIFT(273),
  [468] = {.count = 1, .reusable = true}, SHIFT(77),
  [470] = {.count = 1, .reusable = false}, SHIFT(274),
  [472] = {.count = 1, .reusable = false}, SHIFT(275),
  [474] = {.count = 1, .reusable = true}, REDUCE(sym_object, 2),
  [476] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 2),
  [478] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 2),
  [480] = {.count = 1, .reusable = false}, REDUCE(sym_object, 2),
  [482] = {.count = 1, .reusable = true}, SHIFT(281),
  [484] = {.count = 1, .reusable = true}, SHIFT(284),
  [486] = {.count = 1, .reusable = false}, SHIFT(284),
  [488] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .alias_sequence_id = 1), SHIFT(285),
  [491] = {.count = 1, .reusable = true}, SHIFT(286),
  [493] = {.count = 3, .reusable = true}, REDUCE(sym__expression, 1, .alias_sequence_id = 1), REDUCE(sym__property_name, 1, .alias_sequence_id = 2), SHIFT(187),
  [497] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1, .alias_sequence_id = 2),
  [499] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .alias_sequence_id = 1), SHIFT(268),
  [502] = {.count = 1, .reusable = false}, SHIFT(188),
  [504] = {.count = 1, .reusable = false}, SHIFT(287),
  [506] = {.count = 1, .reusable = false}, SHIFT(288),
  [508] = {.count = 1, .reusable = false}, SHIFT(290),
  [510] = {.count = 1, .reusable = false}, SHIFT(291),
  [512] = {.count = 1, .reusable = true}, SHIFT(292),
  [514] = {.count = 1, .reusable = false}, SHIFT(293),
  [516] = {.count = 1, .reusable = false}, SHIFT(294),
  [518] = {.count = 1, .reusable = false}, SHIFT(295),
  [520] = {.count = 1, .reusable = true}, SHIFT(295),
  [522] = {.count = 1, .reusable = true}, SHIFT(296),
  [524] = {.count = 1, .reusable = true}, SHIFT(299),
  [526] = {.count = 1, .reusable = false}, SHIFT(299),
  [528] = {.count = 1, .reusable = false}, SHIFT(297),
  [530] = {.count = 1, .reusable = false}, SHIFT(298),
  [532] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1),
  [535] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1),
  [537] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1, .alias_sequence_id = 2),
  [540] = {.count = 2, .reusable = true}, REDUCE(sym__property_name, 1, .alias_sequence_id = 2), SHIFT(304),
  [543] = {.count = 1, .reusable = false}, SHIFT(305),
  [545] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .alias_sequence_id = 1), REDUCE(sym__property_name, 1, .alias_sequence_id = 2),
  [548] = {.count = 1, .reusable = true}, SHIFT(308),
  [550] = {.count = 1, .reusable = true}, SHIFT(311),
  [552] = {.count = 1, .reusable = true}, SHIFT(313),
  [554] = {.count = 1, .reusable = false}, SHIFT(314),
  [556] = {.count = 1, .reusable = false}, SHIFT(237),
  [558] = {.count = 1, .reusable = false}, SHIFT(238),
  [560] = {.count = 1, .reusable = false}, SHIFT(316),
  [562] = {.count = 1, .reusable = true}, SHIFT(319),
  [564] = {.count = 1, .reusable = false}, SHIFT(317),
  [566] = {.count = 1, .reusable = true}, SHIFT(322),
  [568] = {.count = 1, .reusable = true}, SHIFT(323),
  [570] = {.count = 1, .reusable = true}, SHIFT(324),
  [572] = {.count = 1, .reusable = true}, SHIFT(326),
  [574] = {.count = 1, .reusable = true}, SHIFT(327),
  [576] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 1),
  [578] = {.count = 1, .reusable = true}, SHIFT(329),
  [580] = {.count = 1, .reusable = false}, SHIFT(330),
  [582] = {.count = 1, .reusable = false}, SHIFT(331),
  [584] = {.count = 1, .reusable = false}, SHIFT(332),
  [586] = {.count = 1, .reusable = true}, SHIFT(336),
  [588] = {.count = 1, .reusable = true}, SHIFT(337),
  [590] = {.count = 1, .reusable = false}, SHIFT(337),
  [592] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1),
  [594] = {.count = 1, .reusable = true}, SHIFT(189),
  [596] = {.count = 1, .reusable = true}, SHIFT(341),
  [598] = {.count = 1, .reusable = true}, SHIFT(342),
  [600] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .alias_sequence_id = 3),
  [602] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .alias_sequence_id = 4),
  [604] = {.count = 1, .reusable = true}, SHIFT(346),
  [606] = {.count = 1, .reusable = false}, SHIFT(348),
  [608] = {.count = 1, .reusable = false}, SHIFT(349),
  [610] = {.count = 1, .reusable = false}, SHIFT(350),
  [612] = {.count = 1, .reusable = false}, SHIFT(354),
  [614] = {.count = 1, .reusable = false}, SHIFT(355),
  [616] = {.count = 1, .reusable = false}, SHIFT(356),
  [618] = {.count = 1, .reusable = false}, SHIFT(357),
  [620] = {.count = 1, .reusable = false}, SHIFT(358),
  [622] = {.count = 1, .reusable = true}, SHIFT(360),
  [624] = {.count = 1, .reusable = false}, SHIFT(362),
  [626] = {.count = 1, .reusable = false}, SHIFT(363),
  [628] = {.count = 1, .reusable = false}, SHIFT(364),
  [630] = {.count = 1, .reusable = true}, SHIFT(368),
  [632] = {.count = 1, .reusable = false}, SHIFT(369),
  [634] = {.count = 1, .reusable = false}, SHIFT(370),
  [636] = {.count = 1, .reusable = false}, SHIFT(371),
  [638] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 2),
  [640] = {.count = 1, .reusable = false}, SHIFT(103),
  [642] = {.count = 1, .reusable = true}, SHIFT(376),
  [644] = {.count = 1, .reusable = false}, SHIFT(376),
  [646] = {.count = 1, .reusable = true}, SHIFT(377),
  [648] = {.count = 1, .reusable = true}, SHIFT(378),
  [650] = {.count = 1, .reusable = false}, SHIFT(378),
  [652] = {.count = 1, .reusable = true}, SHIFT(381),
  [654] = {.count = 1, .reusable = true}, SHIFT(382),
  [656] = {.count = 1, .reusable = false}, SHIFT(383),
  [658] = {.count = 1, .reusable = true}, SHIFT(386),
  [660] = {.count = 1, .reusable = false}, SHIFT(387),
  [662] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .alias_sequence_id = 1), SHIFT(390),
  [665] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .alias_sequence_id = 1), SHIFT(391),
  [668] = {.count = 1, .reusable = true}, SHIFT(392),
  [670] = {.count = 1, .reusable = false}, SHIFT(393),
  [672] = {.count = 1, .reusable = false}, SHIFT(394),
  [674] = {.count = 1, .reusable = true}, SHIFT(395),
  [676] = {.count = 1, .reusable = true}, SHIFT(396),
  [678] = {.count = 1, .reusable = false}, SHIFT(397),
  [680] = {.count = 1, .reusable = true}, SHIFT(400),
  [682] = {.count = 1, .reusable = true}, SHIFT(401),
  [684] = {.count = 1, .reusable = true}, SHIFT(403),
  [686] = {.count = 1, .reusable = true}, SHIFT(405),
  [688] = {.count = 1, .reusable = false}, SHIFT(405),
  [690] = {.count = 1, .reusable = true}, SHIFT(406),
  [692] = {.count = 1, .reusable = false}, SHIFT(406),
  [694] = {.count = 1, .reusable = true}, SHIFT(407),
  [696] = {.count = 1, .reusable = false}, SHIFT(407),
  [698] = {.count = 1, .reusable = true}, SHIFT(408),
  [700] = {.count = 1, .reusable = true}, SHIFT(409),
  [702] = {.count = 1, .reusable = false}, SHIFT(409),
  [704] = {.count = 1, .reusable = true}, SHIFT(410),
  [706] = {.count = 1, .reusable = false}, SHIFT(410),
  [708] = {.count = 1, .reusable = true}, SHIFT(412),
  [710] = {.count = 1, .reusable = true}, SHIFT(411),
  [712] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(390),
  [715] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(413),
  [718] = {.count = 1, .reusable = false}, SHIFT(414),
  [720] = {.count = 1, .reusable = true}, SHIFT(415),
  [722] = {.count = 1, .reusable = true}, SHIFT(416),
  [724] = {.count = 1, .reusable = true}, SHIFT(419),
  [726] = {.count = 1, .reusable = true}, SHIFT(420),
  [728] = {.count = 1, .reusable = true}, SHIFT(422),
  [730] = {.count = 1, .reusable = true}, SHIFT(423),
  [732] = {.count = 1, .reusable = true}, SHIFT(424),
  [734] = {.count = 1, .reusable = false}, SHIFT(423),
  [736] = {.count = 1, .reusable = true}, SHIFT(425),
  [738] = {.count = 1, .reusable = true}, SHIFT(426),
  [740] = {.count = 1, .reusable = true}, SHIFT(427),
  [742] = {.count = 1, .reusable = false}, SHIFT(426),
  [744] = {.count = 1, .reusable = false}, SHIFT(427),
  [746] = {.count = 1, .reusable = false}, SHIFT(428),
  [748] = {.count = 1, .reusable = true}, SHIFT(414),
  [750] = {.count = 1, .reusable = true}, SHIFT(429),
  [752] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(430),
  [755] = {.count = 1, .reusable = true}, SHIFT(390),
  [757] = {.count = 1, .reusable = true}, SHIFT(413),
  [759] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(433),
  [762] = {.count = 1, .reusable = false}, SHIFT(436),
  [764] = {.count = 1, .reusable = false}, SHIFT(438),
  [766] = {.count = 1, .reusable = true}, SHIFT(440),
  [768] = {.count = 1, .reusable = true}, SHIFT(442),
  [770] = {.count = 1, .reusable = true}, SHIFT(443),
  [772] = {.count = 1, .reusable = true}, SHIFT(444),
  [774] = {.count = 1, .reusable = true}, SHIFT(446),
  [776] = {.count = 1, .reusable = true}, SHIFT(448),
  [778] = {.count = 1, .reusable = false}, SHIFT(451),
  [780] = {.count = 1, .reusable = false}, SHIFT(452),
  [782] = {.count = 1, .reusable = true}, SHIFT(453),
  [784] = {.count = 1, .reusable = true}, SHIFT(454),
  [786] = {.count = 1, .reusable = true}, SHIFT(456),
  [788] = {.count = 1, .reusable = true}, SHIFT(457),
  [790] = {.count = 1, .reusable = true}, SHIFT(458),
  [792] = {.count = 1, .reusable = true}, SHIFT(459),
  [794] = {.count = 1, .reusable = true}, SHIFT(460),
  [796] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 2),
  [798] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 2),
  [800] = {.count = 1, .reusable = false}, SHIFT(461),
  [802] = {.count = 1, .reusable = false}, SHIFT(462),
  [804] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [806] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [808] = {.count = 1, .reusable = true}, SHIFT(466),
  [810] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [812] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [814] = {.count = 1, .reusable = true}, SHIFT(467),
  [816] = {.count = 1, .reusable = true}, REDUCE(sym_debugger_statement, 2),
  [818] = {.count = 1, .reusable = false}, REDUCE(sym_debugger_statement, 2),
  [820] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [822] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [824] = {.count = 1, .reusable = true}, SHIFT(468),
  [826] = {.count = 1, .reusable = false}, SHIFT(469),
  [828] = {.count = 1, .reusable = false}, SHIFT(470),
  [830] = {.count = 1, .reusable = false}, SHIFT(471),
  [832] = {.count = 1, .reusable = true}, SHIFT(473),
  [834] = {.count = 1, .reusable = true}, SHIFT(474),
  [836] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 2),
  [838] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 1),
  [840] = {.count = 1, .reusable = true}, SHIFT(475),
  [842] = {.count = 1, .reusable = false}, SHIFT(475),
  [844] = {.count = 1, .reusable = true}, SHIFT(477),
  [846] = {.count = 1, .reusable = false}, SHIFT(477),
  [848] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [850] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [852] = {.count = 1, .reusable = false}, SHIFT(478),
  [854] = {.count = 1, .reusable = true}, SHIFT(479),
  [856] = {.count = 1, .reusable = true}, SHIFT(480),
  [858] = {.count = 1, .reusable = false}, SHIFT(481),
  [860] = {.count = 1, .reusable = true}, SHIFT(482),
  [862] = {.count = 1, .reusable = false}, SHIFT(482),
  [864] = {.count = 1, .reusable = true}, SHIFT(483),
  [866] = {.count = 1, .reusable = false}, SHIFT(483),
  [868] = {.count = 1, .reusable = true}, SHIFT(484),
  [870] = {.count = 1, .reusable = false}, SHIFT(484),
  [872] = {.count = 1, .reusable = false}, SHIFT(485),
  [874] = {.count = 1, .reusable = true}, SHIFT(486),
  [876] = {.count = 1, .reusable = true}, SHIFT(487),
  [878] = {.count = 1, .reusable = true}, SHIFT(488),
  [880] = {.count = 1, .reusable = false}, SHIFT(487),
  [882] = {.count = 1, .reusable = true}, SHIFT(489),
  [884] = {.count = 1, .reusable = true}, SHIFT(490),
  [886] = {.count = 1, .reusable = true}, SHIFT(491),
  [888] = {.count = 1, .reusable = false}, SHIFT(490),
  [890] = {.count = 1, .reusable = false}, SHIFT(491),
  [892] = {.count = 1, .reusable = false}, SHIFT(492),
  [894] = {.count = 1, .reusable = true}, SHIFT(485),
  [896] = {.count = 1, .reusable = false}, SHIFT(497),
  [898] = {.count = 1, .reusable = false}, SHIFT(498),
  [900] = {.count = 1, .reusable = true}, SHIFT(499),
  [902] = {.count = 1, .reusable = true}, SHIFT(500),
  [904] = {.count = 1, .reusable = true}, SHIFT(501),
  [906] = {.count = 1, .reusable = false}, SHIFT(502),
  [908] = {.count = 1, .reusable = true}, SHIFT(503),
  [910] = {.count = 1, .reusable = false}, SHIFT(504),
  [912] = {.count = 1, .reusable = true}, SHIFT(507),
  [914] = {.count = 1, .reusable = true}, SHIFT(508),
  [916] = {.count = 1, .reusable = false}, SHIFT(509),
  [918] = {.count = 1, .reusable = true}, SHIFT(510),
  [920] = {.count = 1, .reusable = true}, SHIFT(512),
  [922] = {.count = 1, .reusable = true}, SHIFT(513),
  [924] = {.count = 1, .reusable = false}, SHIFT(514),
  [926] = {.count = 1, .reusable = true}, SHIFT(520),
  [928] = {.count = 1, .reusable = false}, SHIFT(515),
  [930] = {.count = 1, .reusable = false}, SHIFT(516),
  [932] = {.count = 1, .reusable = false}, SHIFT(517),
  [934] = {.count = 1, .reusable = false}, SHIFT(523),
  [936] = {.count = 1, .reusable = false}, SHIFT(524),
  [938] = {.count = 1, .reusable = true}, SHIFT(525),
  [940] = {.count = 1, .reusable = false}, SHIFT(526),
  [942] = {.count = 1, .reusable = false}, SHIFT(527),
  [944] = {.count = 1, .reusable = false}, SHIFT(528),
  [946] = {.count = 1, .reusable = true}, SHIFT(528),
  [948] = {.count = 1, .reusable = true}, SHIFT(529),
  [950] = {.count = 1, .reusable = true}, SHIFT(532),
  [952] = {.count = 1, .reusable = false}, SHIFT(532),
  [954] = {.count = 1, .reusable = false}, SHIFT(530),
  [956] = {.count = 1, .reusable = false}, SHIFT(531),
  [958] = {.count = 1, .reusable = true}, SHIFT(537),
  [960] = {.count = 1, .reusable = true}, SHIFT(183),
  [962] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_class, 2),
  [964] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_class, 2),
  [966] = {.count = 1, .reusable = true}, SHIFT(541),
  [968] = {.count = 1, .reusable = false}, SHIFT(542),
  [970] = {.count = 1, .reusable = false}, SHIFT(543),
  [972] = {.count = 1, .reusable = true}, SHIFT(546),
  [974] = {.count = 1, .reusable = true}, SHIFT(547),
  [976] = {.count = 1, .reusable = false}, SHIFT(547),
  [978] = {.count = 1, .reusable = true}, SHIFT(548),
  [980] = {.count = 1, .reusable = true}, SHIFT(551),
  [982] = {.count = 1, .reusable = false}, SHIFT(551),
  [984] = {.count = 1, .reusable = true}, SHIFT(552),
  [986] = {.count = 1, .reusable = false}, SHIFT(552),
  [988] = {.count = 1, .reusable = true}, SHIFT(553),
  [990] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 2, .alias_sequence_id = 1),
  [992] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 2, .alias_sequence_id = 1),
  [994] = {.count = 1, .reusable = true}, SHIFT(554),
  [996] = {.count = 1, .reusable = true}, SHIFT(556),
  [998] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 2),
  [1000] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 2),
  [1002] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2),
  [1004] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2),
  [1006] = {.count = 1, .reusable = true}, REDUCE(sym_await_expression, 2),
  [1008] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2),
  [1010] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2),
  [1012] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2),
  [1014] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2),
  [1016] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 2),
  [1018] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 2),
  [1020] = {.count = 1, .reusable = true}, SHIFT(560),
  [1022] = {.count = 1, .reusable = false}, SHIFT(560),
  [1024] = {.count = 1, .reusable = true}, SHIFT(562),
  [1026] = {.count = 1, .reusable = true}, SHIFT(561),
  [1028] = {.count = 1, .reusable = true}, SHIFT(563),
  [1030] = {.count = 1, .reusable = false}, SHIFT(563),
  [1032] = {.count = 1, .reusable = true}, SHIFT(565),
  [1034] = {.count = 1, .reusable = true}, SHIFT(566),
  [1036] = {.count = 1, .reusable = false}, SHIFT(566),
  [1038] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 2),
  [1040] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 2),
  [1042] = {.count = 1, .reusable = true}, SHIFT(567),
  [1044] = {.count = 1, .reusable = true}, SHIFT(568),
  [1046] = {.count = 1, .reusable = true}, SHIFT(569),
  [1048] = {.count = 1, .reusable = true}, SHIFT(570),
  [1050] = {.count = 1, .reusable = false}, SHIFT(570),
  [1052] = {.count = 1, .reusable = true}, SHIFT(574),
  [1054] = {.count = 1, .reusable = false}, SHIFT(574),
  [1056] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2),
  [1058] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2),
  [1060] = {.count = 1, .reusable = false}, REDUCE(sym__identifier_reference, 1, .alias_sequence_id = 1),
  [1062] = {.count = 1, .reusable = true}, REDUCE(sym__identifier_reference, 1, .alias_sequence_id = 1),
  [1064] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2),
  [1066] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2),
  [1068] = {.count = 1, .reusable = false}, SHIFT(575),
  [1070] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2, .alias_sequence_id = 5),
  [1072] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2, .alias_sequence_id = 5),
  [1074] = {.count = 1, .reusable = false}, SHIFT(577),
  [1076] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2, .alias_sequence_id = 6),
  [1078] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2, .alias_sequence_id = 6),
  [1080] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [1082] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 2),
  [1084] = {.count = 1, .reusable = true}, SHIFT(579),
  [1086] = {.count = 1, .reusable = false}, SHIFT(579),
  [1088] = {.count = 1, .reusable = true}, SHIFT(580),
  [1090] = {.count = 1, .reusable = false}, SHIFT(580),
  [1092] = {.count = 1, .reusable = false}, SHIFT(582),
  [1094] = {.count = 1, .reusable = false}, SHIFT(583),
  [1096] = {.count = 1, .reusable = true}, SHIFT(584),
  [1098] = {.count = 1, .reusable = false}, SHIFT(585),
  [1100] = {.count = 1, .reusable = false}, SHIFT(586),
  [1102] = {.count = 1, .reusable = false}, SHIFT(587),
  [1104] = {.count = 1, .reusable = true}, SHIFT(587),
  [1106] = {.count = 1, .reusable = true}, SHIFT(588),
  [1108] = {.count = 1, .reusable = true}, SHIFT(591),
  [1110] = {.count = 1, .reusable = false}, SHIFT(591),
  [1112] = {.count = 1, .reusable = false}, SHIFT(589),
  [1114] = {.count = 1, .reusable = false}, SHIFT(590),
  [1116] = {.count = 1, .reusable = true}, SHIFT(596),
  [1118] = {.count = 1, .reusable = false}, SHIFT(596),
  [1120] = {.count = 1, .reusable = true}, SHIFT(597),
  [1122] = {.count = 1, .reusable = false}, SHIFT(597),
  [1124] = {.count = 1, .reusable = true}, SHIFT(598),
  [1126] = {.count = 1, .reusable = false}, SHIFT(598),
  [1128] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 2, .alias_sequence_id = 3),
  [1130] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 2, .alias_sequence_id = 3),
  [1132] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 2, .alias_sequence_id = 4),
  [1134] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_expression, 2, .alias_sequence_id = 4),
  [1136] = {.count = 1, .reusable = true}, SHIFT(599),
  [1138] = {.count = 1, .reusable = true}, SHIFT(600),
  [1140] = {.count = 1, .reusable = true}, SHIFT(601),
  [1142] = {.count = 1, .reusable = false}, SHIFT(601),
  [1144] = {.count = 1, .reusable = false}, SHIFT(603),
  [1146] = {.count = 1, .reusable = true}, SHIFT(604),
  [1148] = {.count = 1, .reusable = false}, SHIFT(605),
  [1150] = {.count = 1, .reusable = false}, SHIFT(608),
  [1152] = {.count = 1, .reusable = false}, SHIFT(610),
  [1154] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 2),
  [1156] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 2),
  [1158] = {.count = 1, .reusable = false}, SHIFT(612),
  [1160] = {.count = 1, .reusable = true}, REDUCE(sym__declaration, 2),
  [1162] = {.count = 1, .reusable = false}, REDUCE(sym__declaration, 2),
  [1164] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [1166] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [1169] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [1172] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [1175] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [1178] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [1181] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [1184] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [1187] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(10),
  [1190] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(11),
  [1193] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(12),
  [1196] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(13),
  [1199] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(14),
  [1202] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(15),
  [1205] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(16),
  [1208] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(17),
  [1211] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(18),
  [1214] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(19),
  [1217] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(20),
  [1220] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(21),
  [1223] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [1226] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(23),
  [1229] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(24),
  [1232] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(25),
  [1235] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(26),
  [1238] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(27),
  [1241] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(28),
  [1244] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(29),
  [1247] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(30),
  [1250] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [1253] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [1256] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [1259] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(40),
  [1262] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [1265] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(40),
  [1268] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(34),
  [1271] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(35),
  [1274] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(36),
  [1277] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(37),
  [1280] = {.count = 1, .reusable = true}, SHIFT(613),
  [1282] = {.count = 1, .reusable = false}, SHIFT(614),
  [1284] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2),
  [1286] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2), SHIFT_REPEAT(36),
  [1289] = {.count = 1, .reusable = true}, SHIFT(616),
  [1291] = {.count = 1, .reusable = true}, SHIFT(617),
  [1293] = {.count = 1, .reusable = true}, SHIFT(618),
  [1295] = {.count = 1, .reusable = false}, SHIFT(618),
  [1297] = {.count = 1, .reusable = false}, SHIFT(619),
  [1299] = {.count = 1, .reusable = true}, SHIFT(620),
  [1301] = {.count = 1, .reusable = true}, SHIFT(621),
  [1303] = {.count = 1, .reusable = false}, SHIFT(622),
  [1305] = {.count = 1, .reusable = true}, SHIFT(623),
  [1307] = {.count = 1, .reusable = false}, SHIFT(623),
  [1309] = {.count = 1, .reusable = true}, SHIFT(624),
  [1311] = {.count = 1, .reusable = false}, SHIFT(624),
  [1313] = {.count = 1, .reusable = false}, SHIFT(625),
  [1315] = {.count = 1, .reusable = true}, SHIFT(626),
  [1317] = {.count = 1, .reusable = true}, SHIFT(627),
  [1319] = {.count = 1, .reusable = false}, SHIFT(627),
  [1321] = {.count = 1, .reusable = true}, SHIFT(628),
  [1323] = {.count = 1, .reusable = true}, SHIFT(629),
  [1325] = {.count = 1, .reusable = true}, SHIFT(630),
  [1327] = {.count = 1, .reusable = false}, SHIFT(629),
  [1329] = {.count = 1, .reusable = false}, SHIFT(630),
  [1331] = {.count = 1, .reusable = false}, SHIFT(631),
  [1333] = {.count = 1, .reusable = true}, SHIFT(625),
  [1335] = {.count = 1, .reusable = true}, SHIFT(632),
  [1337] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 2),
  [1339] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 1),
  [1341] = {.count = 1, .reusable = true}, SHIFT(633),
  [1343] = {.count = 1, .reusable = true}, SHIFT(634),
  [1345] = {.count = 1, .reusable = true}, SHIFT(635),
  [1347] = {.count = 1, .reusable = true}, SHIFT(637),
  [1349] = {.count = 1, .reusable = true}, SHIFT(640),
  [1351] = {.count = 1, .reusable = true}, SHIFT(642),
  [1353] = {.count = 1, .reusable = true}, SHIFT(644),
  [1355] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 3),
  [1357] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 3),
  [1359] = {.count = 1, .reusable = true}, SHIFT(646),
  [1361] = {.count = 1, .reusable = false}, SHIFT(647),
  [1363] = {.count = 1, .reusable = false}, SHIFT(648),
  [1365] = {.count = 1, .reusable = true}, SHIFT(649),
  [1367] = {.count = 1, .reusable = false}, SHIFT(650),
  [1369] = {.count = 1, .reusable = false}, SHIFT(651),
  [1371] = {.count = 1, .reusable = false}, SHIFT(652),
  [1373] = {.count = 1, .reusable = true}, SHIFT(652),
  [1375] = {.count = 1, .reusable = true}, SHIFT(653),
  [1377] = {.count = 1, .reusable = true}, SHIFT(656),
  [1379] = {.count = 1, .reusable = false}, SHIFT(656),
  [1381] = {.count = 1, .reusable = false}, SHIFT(654),
  [1383] = {.count = 1, .reusable = false}, SHIFT(655),
  [1385] = {.count = 1, .reusable = true}, SHIFT(662),
  [1387] = {.count = 1, .reusable = false}, SHIFT(663),
  [1389] = {.count = 1, .reusable = false}, SHIFT(664),
  [1391] = {.count = 1, .reusable = false}, SHIFT(665),
  [1393] = {.count = 1, .reusable = true}, SHIFT(669),
  [1395] = {.count = 1, .reusable = true}, SHIFT(670),
  [1397] = {.count = 1, .reusable = false}, SHIFT(670),
  [1399] = {.count = 1, .reusable = true}, SHIFT(285),
  [1401] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2, .alias_sequence_id = 7),
  [1403] = {.count = 1, .reusable = true}, SHIFT(673),
  [1405] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2),
  [1407] = {.count = 1, .reusable = false}, SHIFT(679),
  [1409] = {.count = 1, .reusable = false}, SHIFT(680),
  [1411] = {.count = 1, .reusable = false}, SHIFT(681),
  [1413] = {.count = 1, .reusable = false}, SHIFT(682),
  [1415] = {.count = 1, .reusable = false}, SHIFT(683),
  [1417] = {.count = 1, .reusable = false}, SHIFT(685),
  [1419] = {.count = 1, .reusable = false}, SHIFT(686),
  [1421] = {.count = 1, .reusable = false}, SHIFT(687),
  [1423] = {.count = 1, .reusable = true}, SHIFT(691),
  [1425] = {.count = 1, .reusable = true}, SHIFT(692),
  [1427] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3, .alias_sequence_id = 7),
  [1429] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3, .alias_sequence_id = 7),
  [1431] = {.count = 1, .reusable = true}, SHIFT(693),
  [1433] = {.count = 1, .reusable = true}, SHIFT(694),
  [1435] = {.count = 1, .reusable = false}, SHIFT(694),
  [1437] = {.count = 1, .reusable = false}, SHIFT(673),
  [1439] = {.count = 1, .reusable = true}, SHIFT(695),
  [1441] = {.count = 1, .reusable = true}, SHIFT(696),
  [1443] = {.count = 1, .reusable = false}, SHIFT(697),
  [1445] = {.count = 1, .reusable = true}, SHIFT(698),
  [1447] = {.count = 1, .reusable = false}, SHIFT(698),
  [1449] = {.count = 1, .reusable = true}, SHIFT(699),
  [1451] = {.count = 1, .reusable = false}, SHIFT(699),
  [1453] = {.count = 1, .reusable = false}, SHIFT(700),
  [1455] = {.count = 1, .reusable = true}, SHIFT(701),
  [1457] = {.count = 1, .reusable = true}, SHIFT(702),
  [1459] = {.count = 1, .reusable = true}, REDUCE(sym_spread_element, 2),
  [1461] = {.count = 1, .reusable = false}, SHIFT(702),
  [1463] = {.count = 1, .reusable = true}, SHIFT(703),
  [1465] = {.count = 1, .reusable = true}, SHIFT(704),
  [1467] = {.count = 1, .reusable = true}, SHIFT(705),
  [1469] = {.count = 1, .reusable = false}, SHIFT(704),
  [1471] = {.count = 1, .reusable = false}, SHIFT(705),
  [1473] = {.count = 1, .reusable = false}, SHIFT(706),
  [1475] = {.count = 1, .reusable = true}, SHIFT(700),
  [1477] = {.count = 1, .reusable = false}, SHIFT(707),
  [1479] = {.count = 1, .reusable = false}, SHIFT(708),
  [1481] = {.count = 1, .reusable = true}, SHIFT(709),
  [1483] = {.count = 1, .reusable = false}, SHIFT(710),
  [1485] = {.count = 1, .reusable = false}, SHIFT(711),
  [1487] = {.count = 1, .reusable = false}, SHIFT(712),
  [1489] = {.count = 1, .reusable = true}, SHIFT(712),
  [1491] = {.count = 1, .reusable = true}, SHIFT(713),
  [1493] = {.count = 1, .reusable = true}, SHIFT(716),
  [1495] = {.count = 1, .reusable = false}, SHIFT(716),
  [1497] = {.count = 1, .reusable = false}, SHIFT(714),
  [1499] = {.count = 1, .reusable = false}, SHIFT(715),
  [1501] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .alias_sequence_id = 8), REDUCE(sym_assignment_expression, 2),
  [1504] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .alias_sequence_id = 8),
  [1506] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .alias_sequence_id = 3), REDUCE(sym_assignment_expression, 2, .alias_sequence_id = 3),
  [1509] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .alias_sequence_id = 3),
  [1511] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3),
  [1513] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3),
  [1515] = {.count = 1, .reusable = true}, SHIFT(721),
  [1517] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .alias_sequence_id = 4), REDUCE(sym_assignment_expression, 2, .alias_sequence_id = 4),
  [1520] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 2, .alias_sequence_id = 4),
  [1522] = {.count = 1, .reusable = true}, SHIFT(722),
  [1524] = {.count = 1, .reusable = false}, SHIFT(722),
  [1526] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 3),
  [1528] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 3),
  [1530] = {.count = 1, .reusable = true}, SHIFT(304),
  [1532] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(64),
  [1535] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(65),
  [1538] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(66),
  [1541] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(67),
  [1544] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(314),
  [1547] = {.count = 1, .reusable = false}, REDUCE(aux_sym_export_statement_repeat1, 2),
  [1549] = {.count = 2, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(62),
  [1552] = {.count = 1, .reusable = true}, SHIFT(725),
  [1554] = {.count = 1, .reusable = true}, SHIFT(726),
  [1556] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 2),
  [1558] = {.count = 1, .reusable = true}, SHIFT(727),
  [1560] = {.count = 1, .reusable = true}, SHIFT(728),
  [1562] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 3),
  [1564] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 3),
  [1566] = {.count = 1, .reusable = true}, SHIFT(731),
  [1568] = {.count = 1, .reusable = true}, SHIFT(732),
  [1570] = {.count = 1, .reusable = true}, SHIFT(734),
  [1572] = {.count = 1, .reusable = true}, SHIFT(737),
  [1574] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2),
  [1576] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 3),
  [1578] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 3),
  [1580] = {.count = 1, .reusable = true}, SHIFT(740),
  [1582] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .alias_sequence_id = 3),
  [1584] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .alias_sequence_id = 4),
  [1586] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 3),
  [1588] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 3),
  [1590] = {.count = 1, .reusable = true}, SHIFT(742),
  [1592] = {.count = 1, .reusable = true}, SHIFT(743),
  [1594] = {.count = 1, .reusable = true}, SHIFT(745),
  [1596] = {.count = 1, .reusable = true}, SHIFT(748),
  [1598] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3),
  [1600] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3),
  [1602] = {.count = 1, .reusable = false}, SHIFT(749),
  [1604] = {.count = 1, .reusable = true}, SHIFT(750),
  [1606] = {.count = 1, .reusable = true}, SHIFT(751),
  [1608] = {.count = 1, .reusable = true}, SHIFT(752),
  [1610] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 3),
  [1612] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 3),
  [1614] = {.count = 1, .reusable = true}, SHIFT(754),
  [1616] = {.count = 1, .reusable = false}, SHIFT(757),
  [1618] = {.count = 1, .reusable = true}, SHIFT(758),
  [1620] = {.count = 1, .reusable = false}, SHIFT(760),
  [1622] = {.count = 1, .reusable = true}, SHIFT(761),
  [1624] = {.count = 1, .reusable = false}, SHIFT(762),
  [1626] = {.count = 1, .reusable = true}, SHIFT(763),
  [1628] = {.count = 1, .reusable = true}, SHIFT(764),
  [1630] = {.count = 1, .reusable = true}, SHIFT(766),
  [1632] = {.count = 1, .reusable = true}, SHIFT(769),
  [1634] = {.count = 1, .reusable = true}, SHIFT(770),
  [1636] = {.count = 1, .reusable = false}, SHIFT(772),
  [1638] = {.count = 1, .reusable = false}, SHIFT(773),
  [1640] = {.count = 1, .reusable = false}, SHIFT(774),
  [1642] = {.count = 1, .reusable = false}, SHIFT(776),
  [1644] = {.count = 1, .reusable = true}, SHIFT(778),
  [1646] = {.count = 1, .reusable = false}, SHIFT(783),
  [1648] = {.count = 1, .reusable = false}, SHIFT(784),
  [1650] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .alias_sequence_id = 9),
  [1652] = {.count = 1, .reusable = true}, SHIFT(788),
  [1654] = {.count = 1, .reusable = true}, SHIFT(789),
  [1656] = {.count = 1, .reusable = false}, SHIFT(789),
  [1658] = {.count = 1, .reusable = true}, SHIFT(790),
  [1660] = {.count = 1, .reusable = true}, SHIFT(793),
  [1662] = {.count = 1, .reusable = false}, SHIFT(793),
  [1664] = {.count = 1, .reusable = true}, SHIFT(794),
  [1666] = {.count = 1, .reusable = false}, SHIFT(794),
  [1668] = {.count = 1, .reusable = true}, SHIFT(795),
  [1670] = {.count = 1, .reusable = true}, SHIFT(796),
  [1672] = {.count = 1, .reusable = true}, SHIFT(798),
  [1674] = {.count = 1, .reusable = true}, SHIFT(800),
  [1676] = {.count = 1, .reusable = false}, SHIFT(802),
  [1678] = {.count = 1, .reusable = false}, SHIFT(803),
  [1680] = {.count = 1, .reusable = false}, SHIFT(804),
  [1682] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2),
  [1684] = {.count = 1, .reusable = true}, SHIFT(807),
  [1686] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3),
  [1688] = {.count = 1, .reusable = true}, SHIFT(808),
  [1690] = {.count = 1, .reusable = false}, SHIFT(808),
  [1692] = {.count = 1, .reusable = true}, SHIFT(809),
  [1694] = {.count = 1, .reusable = true}, SHIFT(810),
  [1696] = {.count = 1, .reusable = false}, SHIFT(810),
  [1698] = {.count = 1, .reusable = true}, SHIFT(811),
  [1700] = {.count = 1, .reusable = true}, SHIFT(812),
  [1702] = {.count = 1, .reusable = true}, SHIFT(813),
  [1704] = {.count = 1, .reusable = false}, SHIFT(813),
  [1706] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1708] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1710] = {.count = 1, .reusable = true}, SHIFT(817),
  [1712] = {.count = 1, .reusable = false}, SHIFT(817),
  [1714] = {.count = 1, .reusable = true}, SHIFT(818),
  [1716] = {.count = 1, .reusable = false}, SHIFT(818),
  [1718] = {.count = 1, .reusable = true}, SHIFT(820),
  [1720] = {.count = 1, .reusable = false}, SHIFT(820),
  [1722] = {.count = 1, .reusable = true}, SHIFT(821),
  [1724] = {.count = 1, .reusable = false}, SHIFT(821),
  [1726] = {.count = 1, .reusable = true}, SHIFT(822),
  [1728] = {.count = 1, .reusable = false}, SHIFT(822),
  [1730] = {.count = 1, .reusable = true}, SHIFT(823),
  [1732] = {.count = 1, .reusable = false}, SHIFT(823),
  [1734] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .alias_sequence_id = 10),
  [1736] = {.count = 1, .reusable = true}, SHIFT(824),
  [1738] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .alias_sequence_id = 11),
  [1740] = {.count = 1, .reusable = true}, SHIFT(825),
  [1742] = {.count = 1, .reusable = false}, SHIFT(826),
  [1744] = {.count = 1, .reusable = false}, SHIFT(828),
  [1746] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 3),
  [1748] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 3),
  [1750] = {.count = 1, .reusable = true}, SHIFT(830),
  [1752] = {.count = 1, .reusable = true}, SHIFT(831),
  [1754] = {.count = 1, .reusable = true}, SHIFT(832),
  [1756] = {.count = 1, .reusable = true}, SHIFT(833),
  [1758] = {.count = 1, .reusable = true}, SHIFT(835),
  [1760] = {.count = 1, .reusable = false}, SHIFT(836),
  [1762] = {.count = 1, .reusable = false}, SHIFT(837),
  [1764] = {.count = 1, .reusable = false}, SHIFT(838),
  [1766] = {.count = 1, .reusable = false}, SHIFT(839),
  [1768] = {.count = 1, .reusable = false}, SHIFT(840),
  [1770] = {.count = 1, .reusable = false}, SHIFT(842),
  [1772] = {.count = 1, .reusable = false}, SHIFT(843),
  [1774] = {.count = 1, .reusable = false}, SHIFT(844),
  [1776] = {.count = 1, .reusable = true}, SHIFT(850),
  [1778] = {.count = 1, .reusable = true}, SHIFT(852),
  [1780] = {.count = 1, .reusable = true}, SHIFT(854),
  [1782] = {.count = 1, .reusable = true}, SHIFT(856),
  [1784] = {.count = 1, .reusable = false}, SHIFT(858),
  [1786] = {.count = 1, .reusable = true}, SHIFT(859),
  [1788] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3),
  [1790] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3),
  [1792] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 3),
  [1794] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 3),
  [1796] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 3, .alias_sequence_id = 12),
  [1798] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 3, .alias_sequence_id = 12),
  [1800] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 3, .alias_sequence_id = 12),
  [1802] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 3, .alias_sequence_id = 12),
  [1804] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3),
  [1806] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3),
  [1808] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 3),
  [1810] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 3),
  [1812] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2),
  [1814] = {.count = 1, .reusable = true}, SHIFT(863),
  [1816] = {.count = 1, .reusable = false}, SHIFT(863),
  [1818] = {.count = 1, .reusable = true}, SHIFT(864),
  [1820] = {.count = 1, .reusable = false}, SHIFT(864),
  [1822] = {.count = 1, .reusable = true}, SHIFT(865),
  [1824] = {.count = 1, .reusable = false}, SHIFT(865),
  [1826] = {.count = 1, .reusable = true}, SHIFT(866),
  [1828] = {.count = 1, .reusable = true}, SHIFT(867),
  [1830] = {.count = 1, .reusable = false}, SHIFT(867),
  [1832] = {.count = 1, .reusable = true}, SHIFT(868),
  [1834] = {.count = 1, .reusable = false}, SHIFT(868),
  [1836] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [1838] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [1840] = {.count = 1, .reusable = true}, SHIFT(869),
  [1842] = {.count = 1, .reusable = false}, SHIFT(869),
  [1844] = {.count = 1, .reusable = true}, SHIFT(870),
  [1846] = {.count = 1, .reusable = false}, SHIFT(870),
  [1848] = {.count = 1, .reusable = true}, SHIFT(871),
  [1850] = {.count = 1, .reusable = false}, SHIFT(871),
  [1852] = {.count = 1, .reusable = true}, SHIFT(872),
  [1854] = {.count = 1, .reusable = false}, SHIFT(872),
  [1856] = {.count = 1, .reusable = true}, SHIFT(873),
  [1858] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(158),
  [1861] = {.count = 1, .reusable = false}, SHIFT(874),
  [1863] = {.count = 1, .reusable = false}, SHIFT(875),
  [1865] = {.count = 1, .reusable = true}, SHIFT(876),
  [1867] = {.count = 1, .reusable = true}, SHIFT(877),
  [1869] = {.count = 1, .reusable = false}, SHIFT(877),
  [1871] = {.count = 1, .reusable = true}, SHIFT(879),
  [1873] = {.count = 1, .reusable = false}, SHIFT(880),
  [1875] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .alias_sequence_id = 9),
  [1877] = {.count = 1, .reusable = true}, SHIFT(881),
  [1879] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1, .alias_sequence_id = 2),
  [1881] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1, .alias_sequence_id = 2),
  [1883] = {.count = 1, .reusable = true}, SHIFT(882),
  [1885] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1),
  [1887] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1),
  [1889] = {.count = 1, .reusable = true}, SHIFT(883),
  [1891] = {.count = 1, .reusable = true}, SHIFT(884),
  [1893] = {.count = 1, .reusable = false}, SHIFT(885),
  [1895] = {.count = 1, .reusable = true}, SHIFT(887),
  [1897] = {.count = 1, .reusable = false}, SHIFT(888),
  [1899] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1),
  [1901] = {.count = 1, .reusable = true}, SHIFT(889),
  [1903] = {.count = 1, .reusable = true}, SHIFT(890),
  [1905] = {.count = 1, .reusable = true}, SHIFT(891),
  [1907] = {.count = 1, .reusable = false}, SHIFT(892),
  [1909] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 2),
  [1911] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 2),
  [1913] = {.count = 1, .reusable = true}, SHIFT(893),
  [1915] = {.count = 1, .reusable = false}, SHIFT(893),
  [1917] = {.count = 1, .reusable = true}, SHIFT(896),
  [1919] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 1),
  [1921] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 1),
  [1923] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 1),
  [1925] = {.count = 1, .reusable = true}, SHIFT(619),
  [1927] = {.count = 1, .reusable = false}, SHIFT(898),
  [1929] = {.count = 1, .reusable = true}, SHIFT(900),
  [1931] = {.count = 1, .reusable = true}, SHIFT(902),
  [1933] = {.count = 1, .reusable = false}, SHIFT(902),
  [1935] = {.count = 1, .reusable = false}, SHIFT(903),
  [1937] = {.count = 1, .reusable = true}, SHIFT(904),
  [1939] = {.count = 1, .reusable = true}, SHIFT(905),
  [1941] = {.count = 1, .reusable = false}, SHIFT(906),
  [1943] = {.count = 1, .reusable = true}, SHIFT(907),
  [1945] = {.count = 1, .reusable = false}, SHIFT(907),
  [1947] = {.count = 1, .reusable = true}, SHIFT(908),
  [1949] = {.count = 1, .reusable = false}, SHIFT(908),
  [1951] = {.count = 1, .reusable = false}, SHIFT(909),
  [1953] = {.count = 1, .reusable = true}, SHIFT(910),
  [1955] = {.count = 1, .reusable = true}, SHIFT(911),
  [1957] = {.count = 1, .reusable = true}, REDUCE(sym_class_heritage, 2),
  [1959] = {.count = 1, .reusable = false}, SHIFT(911),
  [1961] = {.count = 1, .reusable = true}, SHIFT(912),
  [1963] = {.count = 1, .reusable = true}, SHIFT(913),
  [1965] = {.count = 1, .reusable = true}, SHIFT(914),
  [1967] = {.count = 1, .reusable = false}, SHIFT(913),
  [1969] = {.count = 1, .reusable = false}, SHIFT(914),
  [1971] = {.count = 1, .reusable = false}, SHIFT(915),
  [1973] = {.count = 1, .reusable = true}, SHIFT(909),
  [1975] = {.count = 1, .reusable = true}, SHIFT(916),
  [1977] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3),
  [1979] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3),
  [1981] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_class, 3),
  [1983] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_class, 3),
  [1985] = {.count = 1, .reusable = true}, SHIFT(919),
  [1987] = {.count = 1, .reusable = false}, SHIFT(919),
  [1989] = {.count = 1, .reusable = true}, SHIFT(391),
  [1991] = {.count = 1, .reusable = true}, SHIFT(393),
  [1993] = {.count = 1, .reusable = true}, SHIFT(430),
  [1995] = {.count = 1, .reusable = true}, SHIFT(433),
  [1997] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .alias_sequence_id = 13),
  [1999] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .alias_sequence_id = 13),
  [2001] = {.count = 1, .reusable = true}, REDUCE(sym__initializer, 2),
  [2003] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3),
  [2005] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3),
  [2007] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .alias_sequence_id = 1),
  [2009] = {.count = 1, .reusable = true}, SHIFT(923),
  [2011] = {.count = 1, .reusable = false}, SHIFT(923),
  [2013] = {.count = 1, .reusable = true}, SHIFT(926),
  [2015] = {.count = 1, .reusable = true}, REDUCE(sym_function, 3),
  [2017] = {.count = 1, .reusable = false}, REDUCE(sym_function, 3),
  [2019] = {.count = 1, .reusable = true}, SHIFT(928),
  [2021] = {.count = 1, .reusable = true}, SHIFT(929),
  [2023] = {.count = 1, .reusable = true}, SHIFT(930),
  [2025] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 3),
  [2027] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 3),
  [2029] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(562),
  [2032] = {.count = 1, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2),
  [2034] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(206),
  [2037] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3),
  [2039] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3),
  [2041] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 14),
  [2043] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .alias_sequence_id = 14),
  [2045] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .alias_sequence_id = 15),
  [2047] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .alias_sequence_id = 15),
  [2049] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3),
  [2051] = {.count = 1, .reusable = true}, SHIFT(931),
  [2053] = {.count = 1, .reusable = false}, SHIFT(931),
  [2055] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 2),
  [2057] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 2),
  [2059] = {.count = 1, .reusable = true}, SHIFT(932),
  [2061] = {.count = 1, .reusable = false}, SHIFT(932),
  [2063] = {.count = 1, .reusable = true}, SHIFT(933),
  [2065] = {.count = 1, .reusable = true}, SHIFT(936),
  [2067] = {.count = 1, .reusable = true}, SHIFT(937),
  [2069] = {.count = 1, .reusable = true}, SHIFT(938),
  [2071] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2),
  [2073] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2),
  [2075] = {.count = 1, .reusable = true}, SHIFT(939),
  [2077] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .alias_sequence_id = 16),
  [2079] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .alias_sequence_id = 16),
  [2081] = {.count = 1, .reusable = true}, REDUCE(sym_sequence_expression, 3),
  [2083] = {.count = 1, .reusable = true}, SHIFT(940),
  [2085] = {.count = 1, .reusable = false}, SHIFT(940),
  [2087] = {.count = 1, .reusable = false}, SHIFT(941),
  [2089] = {.count = 1, .reusable = true}, SHIFT(942),
  [2091] = {.count = 1, .reusable = true}, SHIFT(943),
  [2093] = {.count = 1, .reusable = false}, SHIFT(944),
  [2095] = {.count = 1, .reusable = true}, SHIFT(945),
  [2097] = {.count = 1, .reusable = false}, SHIFT(945),
  [2099] = {.count = 1, .reusable = true}, SHIFT(946),
  [2101] = {.count = 1, .reusable = false}, SHIFT(946),
  [2103] = {.count = 1, .reusable = false}, SHIFT(947),
  [2105] = {.count = 1, .reusable = true}, SHIFT(948),
  [2107] = {.count = 1, .reusable = true}, SHIFT(949),
  [2109] = {.count = 1, .reusable = true}, SHIFT(950),
  [2111] = {.count = 1, .reusable = false}, SHIFT(949),
  [2113] = {.count = 1, .reusable = true}, SHIFT(951),
  [2115] = {.count = 1, .reusable = true}, SHIFT(952),
  [2117] = {.count = 1, .reusable = true}, SHIFT(953),
  [2119] = {.count = 1, .reusable = false}, SHIFT(952),
  [2121] = {.count = 1, .reusable = false}, SHIFT(953),
  [2123] = {.count = 1, .reusable = false}, SHIFT(954),
  [2125] = {.count = 1, .reusable = true}, SHIFT(947),
  [2127] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 2),
  [2129] = {.count = 1, .reusable = false}, SHIFT(955),
  [2131] = {.count = 1, .reusable = false}, SHIFT(956),
  [2133] = {.count = 1, .reusable = true}, SHIFT(957),
  [2135] = {.count = 1, .reusable = false}, SHIFT(958),
  [2137] = {.count = 1, .reusable = false}, SHIFT(959),
  [2139] = {.count = 1, .reusable = false}, SHIFT(960),
  [2141] = {.count = 1, .reusable = true}, SHIFT(960),
  [2143] = {.count = 1, .reusable = true}, SHIFT(961),
  [2145] = {.count = 1, .reusable = true}, SHIFT(964),
  [2147] = {.count = 1, .reusable = false}, SHIFT(964),
  [2149] = {.count = 1, .reusable = false}, SHIFT(962),
  [2151] = {.count = 1, .reusable = false}, SHIFT(963),
  [2153] = {.count = 1, .reusable = true}, SHIFT(969),
  [2155] = {.count = 1, .reusable = true}, SHIFT(970),
  [2157] = {.count = 1, .reusable = false}, SHIFT(971),
  [2159] = {.count = 1, .reusable = false}, SHIFT(974),
  [2161] = {.count = 1, .reusable = false}, SHIFT(976),
  [2163] = {.count = 1, .reusable = false}, SHIFT(978),
  [2165] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 3),
  [2167] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 3),
  [2169] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(230),
  [2172] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(980),
  [2175] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(612),
  [2178] = {.count = 1, .reusable = true}, SHIFT(981),
  [2180] = {.count = 1, .reusable = false}, SHIFT(981),
  [2182] = {.count = 1, .reusable = true}, REDUCE(sym__from_clause, 2),
  [2184] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 4),
  [2186] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 4),
  [2188] = {.count = 1, .reusable = true}, SHIFT(984),
  [2190] = {.count = 1, .reusable = false}, SHIFT(984),
  [2192] = {.count = 1, .reusable = true}, SHIFT(985),
  [2194] = {.count = 1, .reusable = false}, SHIFT(985),
  [2196] = {.count = 1, .reusable = true}, SHIFT(986),
  [2198] = {.count = 1, .reusable = false}, SHIFT(986),
  [2200] = {.count = 1, .reusable = true}, SHIFT(987),
  [2202] = {.count = 1, .reusable = true}, SHIFT(988),
  [2204] = {.count = 1, .reusable = false}, SHIFT(988),
  [2206] = {.count = 1, .reusable = true}, SHIFT(989),
  [2208] = {.count = 1, .reusable = false}, SHIFT(989),
  [2210] = {.count = 1, .reusable = true}, SHIFT(990),
  [2212] = {.count = 1, .reusable = false}, SHIFT(990),
  [2214] = {.count = 1, .reusable = true}, SHIFT(991),
  [2216] = {.count = 1, .reusable = false}, SHIFT(991),
  [2218] = {.count = 1, .reusable = true}, SHIFT(992),
  [2220] = {.count = 1, .reusable = false}, SHIFT(992),
  [2222] = {.count = 1, .reusable = true}, SHIFT(993),
  [2224] = {.count = 1, .reusable = false}, SHIFT(993),
  [2226] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3),
  [2228] = {.count = 1, .reusable = true}, SHIFT(994),
  [2230] = {.count = 1, .reusable = true}, SHIFT(995),
  [2232] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3, .alias_sequence_id = 17),
  [2234] = {.count = 1, .reusable = true}, SHIFT(997),
  [2236] = {.count = 1, .reusable = true}, SHIFT(999),
  [2238] = {.count = 1, .reusable = true}, SHIFT(1006),
  [2240] = {.count = 1, .reusable = true}, SHIFT(1009),
  [2242] = {.count = 1, .reusable = false}, SHIFT(1009),
  [2244] = {.count = 1, .reusable = false}, SHIFT(1010),
  [2246] = {.count = 1, .reusable = true}, SHIFT(1011),
  [2248] = {.count = 1, .reusable = true}, SHIFT(1012),
  [2250] = {.count = 1, .reusable = false}, SHIFT(1013),
  [2252] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2254] = {.count = 1, .reusable = false}, SHIFT(1014),
  [2256] = {.count = 1, .reusable = true}, SHIFT(1015),
  [2258] = {.count = 1, .reusable = false}, SHIFT(1015),
  [2260] = {.count = 1, .reusable = false}, SHIFT(1016),
  [2262] = {.count = 1, .reusable = true}, SHIFT(1017),
  [2264] = {.count = 1, .reusable = true}, SHIFT(1018),
  [2266] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2268] = {.count = 1, .reusable = false}, SHIFT(1018),
  [2270] = {.count = 1, .reusable = true}, SHIFT(1020),
  [2272] = {.count = 1, .reusable = true}, SHIFT(1021),
  [2274] = {.count = 1, .reusable = true}, SHIFT(1022),
  [2276] = {.count = 1, .reusable = false}, SHIFT(1021),
  [2278] = {.count = 1, .reusable = false}, SHIFT(1022),
  [2280] = {.count = 1, .reusable = false}, SHIFT(1023),
  [2282] = {.count = 1, .reusable = true}, SHIFT(1016),
  [2284] = {.count = 1, .reusable = true}, SHIFT(1025),
  [2286] = {.count = 1, .reusable = true}, SHIFT(1027),
  [2288] = {.count = 1, .reusable = true}, SHIFT(1030),
  [2290] = {.count = 1, .reusable = true}, SHIFT(1032),
  [2292] = {.count = 1, .reusable = true}, SHIFT(1033),
  [2294] = {.count = 1, .reusable = false}, SHIFT(1033),
  [2296] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 3),
  [2298] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2300] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2302] = {.count = 1, .reusable = false}, SHIFT(1039),
  [2304] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2306] = {.count = 1, .reusable = false}, SHIFT(1043),
  [2308] = {.count = 1, .reusable = true}, SHIFT(1044),
  [2310] = {.count = 1, .reusable = false}, SHIFT(1046),
  [2312] = {.count = 1, .reusable = true}, SHIFT(1047),
  [2314] = {.count = 1, .reusable = false}, SHIFT(1048),
  [2316] = {.count = 1, .reusable = true}, SHIFT(1049),
  [2318] = {.count = 2, .reusable = true}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [2321] = {.count = 1, .reusable = true}, REDUCE(sym_computed_property_name, 3),
  [2323] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4, .alias_sequence_id = 7),
  [2325] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4, .alias_sequence_id = 7),
  [2327] = {.count = 1, .reusable = true}, SHIFT(1051),
  [2329] = {.count = 1, .reusable = false}, SHIFT(1051),
  [2331] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2333] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2335] = {.count = 1, .reusable = true}, SHIFT(1053),
  [2337] = {.count = 1, .reusable = true}, SHIFT(1054),
  [2339] = {.count = 1, .reusable = false}, SHIFT(1054),
  [2341] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2343] = {.count = 1, .reusable = false}, SHIFT(1055),
  [2345] = {.count = 1, .reusable = true}, SHIFT(1056),
  [2347] = {.count = 1, .reusable = false}, SHIFT(1056),
  [2349] = {.count = 1, .reusable = true}, SHIFT(1057),
  [2351] = {.count = 1, .reusable = false}, SHIFT(1057),
  [2353] = {.count = 1, .reusable = true}, SHIFT(1058),
  [2355] = {.count = 1, .reusable = false}, SHIFT(1058),
  [2357] = {.count = 1, .reusable = true}, SHIFT(1059),
  [2359] = {.count = 1, .reusable = false}, SHIFT(1059),
  [2361] = {.count = 1, .reusable = true}, SHIFT(1060),
  [2363] = {.count = 1, .reusable = false}, SHIFT(1060),
  [2365] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2367] = {.count = 1, .reusable = true}, SHIFT(1062),
  [2369] = {.count = 1, .reusable = false}, SHIFT(1063),
  [2371] = {.count = 1, .reusable = true}, SHIFT(1064),
  [2373] = {.count = 1, .reusable = false}, SHIFT(1064),
  [2375] = {.count = 1, .reusable = true}, SHIFT(1065),
  [2377] = {.count = 1, .reusable = false}, SHIFT(1065),
  [2379] = {.count = 1, .reusable = false}, SHIFT(1066),
  [2381] = {.count = 1, .reusable = true}, SHIFT(1067),
  [2383] = {.count = 1, .reusable = true}, SHIFT(1068),
  [2385] = {.count = 1, .reusable = false}, SHIFT(1068),
  [2387] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2389] = {.count = 1, .reusable = true}, SHIFT(1070),
  [2391] = {.count = 1, .reusable = true}, SHIFT(1071),
  [2393] = {.count = 1, .reusable = false}, SHIFT(1070),
  [2395] = {.count = 1, .reusable = false}, SHIFT(1071),
  [2397] = {.count = 1, .reusable = false}, SHIFT(1072),
  [2399] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2401] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4),
  [2403] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4),
  [2405] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3),
  [2407] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 3),
  [2409] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 3),
  [2411] = {.count = 1, .reusable = true}, SHIFT(1073),
  [2413] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_import, 3),
  [2415] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3),
  [2417] = {.count = 1, .reusable = true}, SHIFT(1074),
  [2419] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3, .alias_sequence_id = 18),
  [2421] = {.count = 1, .reusable = true}, SHIFT(1076),
  [2423] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 3),
  [2425] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 4),
  [2427] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 4),
  [2429] = {.count = 1, .reusable = true}, SHIFT(1078),
  [2431] = {.count = 1, .reusable = true}, SHIFT(1079),
  [2433] = {.count = 1, .reusable = true}, SHIFT(1081),
  [2435] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [2437] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 4),
  [2439] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 4),
  [2441] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(342),
  [2444] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 4),
  [2446] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 4),
  [2448] = {.count = 1, .reusable = false}, SHIFT(1083),
  [2450] = {.count = 1, .reusable = false}, SHIFT(1084),
  [2452] = {.count = 1, .reusable = false}, SHIFT(1085),
  [2454] = {.count = 1, .reusable = true}, SHIFT(1090),
  [2456] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 2),
  [2458] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 2),
  [2460] = {.count = 1, .reusable = false}, SHIFT(1091),
  [2462] = {.count = 1, .reusable = false}, SHIFT(1092),
  [2464] = {.count = 1, .reusable = true}, SHIFT(1093),
  [2466] = {.count = 1, .reusable = false}, SHIFT(1094),
  [2468] = {.count = 1, .reusable = false}, SHIFT(1095),
  [2470] = {.count = 1, .reusable = false}, SHIFT(1096),
  [2472] = {.count = 1, .reusable = true}, SHIFT(1096),
  [2474] = {.count = 1, .reusable = true}, SHIFT(1097),
  [2476] = {.count = 1, .reusable = true}, SHIFT(1101),
  [2478] = {.count = 1, .reusable = false}, SHIFT(1101),
  [2480] = {.count = 1, .reusable = false}, SHIFT(1098),
  [2482] = {.count = 1, .reusable = false}, SHIFT(1099),
  [2484] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2486] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2488] = {.count = 1, .reusable = true}, SHIFT(1109),
  [2490] = {.count = 1, .reusable = true}, SHIFT(1110),
  [2492] = {.count = 1, .reusable = true}, SHIFT(1111),
  [2494] = {.count = 1, .reusable = true}, SHIFT(1112),
  [2496] = {.count = 1, .reusable = true}, SHIFT(1113),
  [2498] = {.count = 1, .reusable = false}, SHIFT(1114),
  [2500] = {.count = 1, .reusable = false}, SHIFT(1115),
  [2502] = {.count = 1, .reusable = true}, SHIFT(1116),
  [2504] = {.count = 1, .reusable = false}, SHIFT(1117),
  [2506] = {.count = 1, .reusable = false}, SHIFT(1118),
  [2508] = {.count = 1, .reusable = false}, SHIFT(1119),
  [2510] = {.count = 1, .reusable = true}, SHIFT(1119),
  [2512] = {.count = 1, .reusable = true}, SHIFT(1120),
  [2514] = {.count = 1, .reusable = true}, SHIFT(1124),
  [2516] = {.count = 1, .reusable = false}, SHIFT(1124),
  [2518] = {.count = 1, .reusable = false}, SHIFT(1121),
  [2520] = {.count = 1, .reusable = false}, SHIFT(1122),
  [2522] = {.count = 1, .reusable = false}, SHIFT(1129),
  [2524] = {.count = 1, .reusable = false}, SHIFT(1130),
  [2526] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2528] = {.count = 1, .reusable = false}, SHIFT(1132),
  [2530] = {.count = 1, .reusable = false}, SHIFT(1133),
  [2532] = {.count = 1, .reusable = false}, SHIFT(1134),
  [2534] = {.count = 1, .reusable = true}, SHIFT(1134),
  [2536] = {.count = 1, .reusable = true}, SHIFT(1135),
  [2538] = {.count = 1, .reusable = true}, SHIFT(1138),
  [2540] = {.count = 1, .reusable = false}, SHIFT(1138),
  [2542] = {.count = 1, .reusable = false}, SHIFT(1136),
  [2544] = {.count = 1, .reusable = false}, SHIFT(1137),
  [2546] = {.count = 1, .reusable = true}, SHIFT(1143),
  [2548] = {.count = 1, .reusable = true}, SHIFT(1146),
  [2550] = {.count = 1, .reusable = false}, SHIFT(1146),
  [2552] = {.count = 1, .reusable = true}, SHIFT(1148),
  [2554] = {.count = 1, .reusable = false}, SHIFT(1148),
  [2556] = {.count = 1, .reusable = true}, SHIFT(1149),
  [2558] = {.count = 1, .reusable = true}, SHIFT(1150),
  [2560] = {.count = 1, .reusable = true}, SHIFT(1152),
  [2562] = {.count = 1, .reusable = false}, SHIFT(1153),
  [2564] = {.count = 1, .reusable = false}, SHIFT(1154),
  [2566] = {.count = 1, .reusable = true}, SHIFT(1155),
  [2568] = {.count = 1, .reusable = false}, SHIFT(1156),
  [2570] = {.count = 1, .reusable = true}, SHIFT(1157),
  [2572] = {.count = 1, .reusable = false}, SHIFT(1158),
  [2574] = {.count = 1, .reusable = true}, SHIFT(1159),
  [2576] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .alias_sequence_id = 9),
  [2578] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2580] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .alias_sequence_id = 10),
  [2582] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .alias_sequence_id = 11),
  [2584] = {.count = 1, .reusable = true}, SHIFT(1164),
  [2586] = {.count = 1, .reusable = false}, SHIFT(1164),
  [2588] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .alias_sequence_id = 9),
  [2590] = {.count = 2, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(390),
  [2593] = {.count = 1, .reusable = true}, SHIFT(1167),
  [2595] = {.count = 1, .reusable = true}, SHIFT(1168),
  [2597] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4),
  [2599] = {.count = 1, .reusable = true}, SHIFT(1169),
  [2601] = {.count = 1, .reusable = true}, SHIFT(1171),
  [2603] = {.count = 1, .reusable = true}, SHIFT(1172),
  [2605] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .alias_sequence_id = 10),
  [2607] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .alias_sequence_id = 11),
  [2609] = {.count = 1, .reusable = true}, SHIFT(1173),
  [2611] = {.count = 1, .reusable = false}, SHIFT(1174),
  [2613] = {.count = 1, .reusable = true}, SHIFT(1180),
  [2615] = {.count = 1, .reusable = true}, SHIFT(1182),
  [2617] = {.count = 1, .reusable = true}, SHIFT(1184),
  [2619] = {.count = 1, .reusable = true}, SHIFT(1185),
  [2621] = {.count = 1, .reusable = true}, SHIFT(1187),
  [2623] = {.count = 1, .reusable = true}, SHIFT(1190),
  [2625] = {.count = 1, .reusable = true}, SHIFT(1191),
  [2627] = {.count = 1, .reusable = true}, SHIFT(1192),
  [2629] = {.count = 1, .reusable = false}, SHIFT(1195),
  [2631] = {.count = 1, .reusable = true}, SHIFT(1196),
  [2633] = {.count = 1, .reusable = false}, SHIFT(1198),
  [2635] = {.count = 1, .reusable = true}, SHIFT(1199),
  [2637] = {.count = 1, .reusable = false}, SHIFT(1200),
  [2639] = {.count = 1, .reusable = true}, SHIFT(1201),
  [2641] = {.count = 1, .reusable = true}, SHIFT(1207),
  [2643] = {.count = 1, .reusable = true}, SHIFT(1208),
  [2645] = {.count = 1, .reusable = true}, SHIFT(1210),
  [2647] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 2),
  [2649] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 2),
  [2651] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 2),
  [2653] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 2),
  [2655] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4),
  [2657] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4),
  [2659] = {.count = 1, .reusable = true}, SHIFT(1211),
  [2661] = {.count = 1, .reusable = false}, SHIFT(1211),
  [2663] = {.count = 1, .reusable = true}, SHIFT(1212),
  [2665] = {.count = 1, .reusable = true}, REDUCE(sym_array, 4),
  [2667] = {.count = 1, .reusable = false}, REDUCE(sym_array, 4),
  [2669] = {.count = 1, .reusable = true}, SHIFT(1213),
  [2671] = {.count = 1, .reusable = false}, SHIFT(1214),
  [2673] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 2),
  [2675] = {.count = 1, .reusable = true}, SHIFT(1215),
  [2677] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 19),
  [2679] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 19),
  [2681] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 1),
  [2683] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 1),
  [2685] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 4, .alias_sequence_id = 9),
  [2687] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 4, .alias_sequence_id = 9),
  [2689] = {.count = 1, .reusable = true}, SHIFT(1216),
  [2691] = {.count = 1, .reusable = true}, SHIFT(1217),
  [2693] = {.count = 1, .reusable = true}, SHIFT(1219),
  [2695] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .alias_sequence_id = 9),
  [2697] = {.count = 1, .reusable = true}, SHIFT(1220),
  [2699] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(499),
  [2702] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2),
  [2704] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2),
  [2706] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(503),
  [2709] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2), SHIFT_REPEAT(504),
  [2712] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 20),
  [2714] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3, .alias_sequence_id = 20),
  [2716] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3),
  [2718] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3),
  [2720] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 4),
  [2722] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 4),
  [2724] = {.count = 1, .reusable = true}, REDUCE(sym_nested_identifier, 3),
  [2726] = {.count = 1, .reusable = false}, REDUCE(sym_nested_identifier, 3),
  [2728] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1),
  [2730] = {.count = 1, .reusable = true}, SHIFT(1221),
  [2732] = {.count = 1, .reusable = true}, SHIFT(1222),
  [2734] = {.count = 1, .reusable = true}, SHIFT(1223),
  [2736] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2),
  [2738] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2),
  [2740] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2),
  [2742] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 3),
  [2744] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 3),
  [2746] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(61),
  [2749] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(513),
  [2752] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(514),
  [2755] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(520),
  [2758] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(515),
  [2761] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(36),
  [2764] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(516),
  [2767] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(517),
  [2770] = {.count = 1, .reusable = true}, SHIFT(1226),
  [2772] = {.count = 1, .reusable = false}, SHIFT(1226),
  [2774] = {.count = 1, .reusable = true}, SHIFT(1227),
  [2776] = {.count = 1, .reusable = false}, SHIFT(1227),
  [2778] = {.count = 1, .reusable = true}, SHIFT(1228),
  [2780] = {.count = 1, .reusable = false}, SHIFT(1228),
  [2782] = {.count = 1, .reusable = true}, SHIFT(1229),
  [2784] = {.count = 1, .reusable = true}, SHIFT(1230),
  [2786] = {.count = 1, .reusable = false}, SHIFT(1230),
  [2788] = {.count = 1, .reusable = true}, SHIFT(1231),
  [2790] = {.count = 1, .reusable = false}, SHIFT(1231),
  [2792] = {.count = 1, .reusable = true}, SHIFT(1232),
  [2794] = {.count = 1, .reusable = false}, SHIFT(1232),
  [2796] = {.count = 1, .reusable = true}, SHIFT(1233),
  [2798] = {.count = 1, .reusable = false}, SHIFT(1233),
  [2800] = {.count = 1, .reusable = true}, SHIFT(1234),
  [2802] = {.count = 1, .reusable = false}, SHIFT(1234),
  [2804] = {.count = 1, .reusable = true}, SHIFT(1235),
  [2806] = {.count = 1, .reusable = false}, SHIFT(1235),
  [2808] = {.count = 1, .reusable = true}, SHIFT(1236),
  [2810] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4),
  [2812] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4),
  [2814] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4),
  [2816] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4),
  [2818] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4),
  [2820] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4),
  [2822] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 4),
  [2824] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 4),
  [2826] = {.count = 1, .reusable = true}, SHIFT(1239),
  [2828] = {.count = 1, .reusable = true}, REDUCE(sym_template_substitution, 3),
  [2830] = {.count = 1, .reusable = true}, SHIFT(1240),
  [2832] = {.count = 1, .reusable = false}, SHIFT(1240),
  [2834] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 3),
  [2836] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 3),
  [2838] = {.count = 1, .reusable = true}, SHIFT(1241),
  [2840] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(567),
  [2843] = {.count = 1, .reusable = true}, REDUCE(sym_subscript_expression, 4),
  [2845] = {.count = 1, .reusable = false}, REDUCE(sym_subscript_expression, 4),
  [2847] = {.count = 1, .reusable = true}, SHIFT(1242),
  [2849] = {.count = 1, .reusable = false}, SHIFT(1242),
  [2851] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 15),
  [2853] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 15),
  [2855] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 21),
  [2857] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .alias_sequence_id = 21),
  [2859] = {.count = 1, .reusable = true}, SHIFT(1243),
  [2861] = {.count = 1, .reusable = false}, SHIFT(1243),
  [2863] = {.count = 1, .reusable = true}, SHIFT(1244),
  [2865] = {.count = 1, .reusable = false}, SHIFT(1244),
  [2867] = {.count = 1, .reusable = true}, SHIFT(1245),
  [2869] = {.count = 1, .reusable = false}, SHIFT(1245),
  [2871] = {.count = 1, .reusable = true}, SHIFT(1246),
  [2873] = {.count = 1, .reusable = true}, SHIFT(1247),
  [2875] = {.count = 1, .reusable = false}, SHIFT(1247),
  [2877] = {.count = 1, .reusable = true}, SHIFT(1248),
  [2879] = {.count = 1, .reusable = false}, SHIFT(1248),
  [2881] = {.count = 1, .reusable = true}, SHIFT(1249),
  [2883] = {.count = 1, .reusable = false}, SHIFT(1249),
  [2885] = {.count = 1, .reusable = true}, SHIFT(1250),
  [2887] = {.count = 1, .reusable = false}, SHIFT(1250),
  [2889] = {.count = 1, .reusable = true}, SHIFT(1251),
  [2891] = {.count = 1, .reusable = false}, SHIFT(1251),
  [2893] = {.count = 1, .reusable = true}, SHIFT(1252),
  [2895] = {.count = 1, .reusable = false}, SHIFT(1252),
  [2897] = {.count = 1, .reusable = true}, SHIFT(1253),
  [2899] = {.count = 1, .reusable = false}, SHIFT(1253),
  [2901] = {.count = 1, .reusable = true}, SHIFT(1254),
  [2903] = {.count = 1, .reusable = false}, SHIFT(1254),
  [2905] = {.count = 1, .reusable = false}, SHIFT(1255),
  [2907] = {.count = 1, .reusable = true}, SHIFT(1256),
  [2909] = {.count = 1, .reusable = true}, SHIFT(1257),
  [2911] = {.count = 1, .reusable = false}, SHIFT(1258),
  [2913] = {.count = 1, .reusable = true}, SHIFT(1259),
  [2915] = {.count = 1, .reusable = false}, SHIFT(1259),
  [2917] = {.count = 1, .reusable = true}, SHIFT(1260),
  [2919] = {.count = 1, .reusable = false}, SHIFT(1260),
  [2921] = {.count = 1, .reusable = false}, SHIFT(1261),
  [2923] = {.count = 1, .reusable = true}, SHIFT(1262),
  [2925] = {.count = 1, .reusable = true}, SHIFT(1263),
  [2927] = {.count = 1, .reusable = false}, SHIFT(1263),
  [2929] = {.count = 1, .reusable = true}, SHIFT(1264),
  [2931] = {.count = 1, .reusable = true}, SHIFT(1265),
  [2933] = {.count = 1, .reusable = true}, SHIFT(1266),
  [2935] = {.count = 1, .reusable = false}, SHIFT(1265),
  [2937] = {.count = 1, .reusable = false}, SHIFT(1266),
  [2939] = {.count = 1, .reusable = false}, SHIFT(1267),
  [2941] = {.count = 1, .reusable = true}, SHIFT(1261),
  [2943] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 3),
  [2945] = {.count = 1, .reusable = true}, SHIFT(1268),
  [2947] = {.count = 1, .reusable = true}, SHIFT(1269),
  [2949] = {.count = 1, .reusable = true}, SHIFT(1270),
  [2951] = {.count = 1, .reusable = false}, SHIFT(1271),
  [2953] = {.count = 1, .reusable = true}, SHIFT(1272),
  [2955] = {.count = 1, .reusable = false}, SHIFT(1273),
  [2957] = {.count = 1, .reusable = true}, SHIFT(1274),
  [2959] = {.count = 1, .reusable = false}, SHIFT(1275),
  [2961] = {.count = 1, .reusable = true}, SHIFT(1278),
  [2963] = {.count = 1, .reusable = true}, REDUCE(sym_anonymous_class, 4),
  [2965] = {.count = 1, .reusable = false}, REDUCE(sym_anonymous_class, 4),
  [2967] = {.count = 1, .reusable = true}, SHIFT(1280),
  [2969] = {.count = 1, .reusable = false}, SHIFT(1280),
  [2971] = {.count = 1, .reusable = true}, SHIFT(1281),
  [2973] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 3),
  [2975] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 4, .alias_sequence_id = 17),
  [2977] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2, .alias_sequence_id = 17),
  [2979] = {.count = 1, .reusable = true}, SHIFT(1282),
  [2981] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1283),
  [2984] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2986] = {.count = 1, .reusable = true}, SHIFT(1284),
  [2988] = {.count = 1, .reusable = true}, SHIFT(1287),
  [2990] = {.count = 1, .reusable = true}, SHIFT(1289),
  [2992] = {.count = 1, .reusable = false}, SHIFT(1289),
  [2994] = {.count = 1, .reusable = true}, SHIFT(1290),
  [2996] = {.count = 1, .reusable = false}, SHIFT(1290),
  [2998] = {.count = 1, .reusable = true}, SHIFT(1291),
  [3000] = {.count = 1, .reusable = false}, SHIFT(1291),
  [3002] = {.count = 1, .reusable = true}, SHIFT(1292),
  [3004] = {.count = 1, .reusable = true}, SHIFT(1293),
  [3006] = {.count = 1, .reusable = false}, SHIFT(1293),
  [3008] = {.count = 1, .reusable = true}, SHIFT(1294),
  [3010] = {.count = 1, .reusable = false}, SHIFT(1294),
  [3012] = {.count = 1, .reusable = true}, SHIFT(1295),
  [3014] = {.count = 1, .reusable = false}, SHIFT(1295),
  [3016] = {.count = 1, .reusable = true}, SHIFT(1296),
  [3018] = {.count = 1, .reusable = false}, SHIFT(1296),
  [3020] = {.count = 1, .reusable = true}, SHIFT(1297),
  [3022] = {.count = 1, .reusable = false}, SHIFT(1297),
  [3024] = {.count = 1, .reusable = true}, SHIFT(1298),
  [3026] = {.count = 1, .reusable = false}, SHIFT(1298),
  [3028] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 4),
  [3030] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 4),
  [3032] = {.count = 1, .reusable = true}, SHIFT(1299),
  [3034] = {.count = 1, .reusable = true}, SHIFT(1300),
  [3036] = {.count = 1, .reusable = true}, SHIFT(1302),
  [3038] = {.count = 1, .reusable = false}, SHIFT(1304),
  [3040] = {.count = 1, .reusable = false}, SHIFT(1305),
  [3042] = {.count = 1, .reusable = false}, SHIFT(1306),
  [3044] = {.count = 1, .reusable = true}, SHIFT(1310),
  [3046] = {.count = 1, .reusable = true}, SHIFT(1311),
  [3048] = {.count = 1, .reusable = true}, SHIFT(1312),
  [3050] = {.count = 1, .reusable = true}, SHIFT(1313),
  [3052] = {.count = 1, .reusable = true}, SHIFT(1314),
  [3054] = {.count = 1, .reusable = true}, SHIFT(1315),
  [3056] = {.count = 1, .reusable = true}, SHIFT(1317),
  [3058] = {.count = 1, .reusable = false}, SHIFT(1317),
  [3060] = {.count = 1, .reusable = true}, SHIFT(1318),
  [3062] = {.count = 1, .reusable = true}, SHIFT(1321),
  [3064] = {.count = 1, .reusable = false}, SHIFT(1321),
  [3066] = {.count = 1, .reusable = true}, SHIFT(1323),
  [3068] = {.count = 1, .reusable = false}, SHIFT(1323),
  [3070] = {.count = 1, .reusable = true}, SHIFT(1325),
  [3072] = {.count = 1, .reusable = false}, SHIFT(1325),
  [3074] = {.count = 1, .reusable = true}, SHIFT(1326),
  [3076] = {.count = 1, .reusable = true}, SHIFT(1327),
  [3078] = {.count = 1, .reusable = false}, SHIFT(1327),
  [3080] = {.count = 1, .reusable = true}, SHIFT(1328),
  [3082] = {.count = 1, .reusable = false}, SHIFT(1328),
  [3084] = {.count = 1, .reusable = true}, SHIFT(1329),
  [3086] = {.count = 1, .reusable = true}, SHIFT(1330),
  [3088] = {.count = 1, .reusable = false}, SHIFT(1330),
  [3090] = {.count = 1, .reusable = true}, SHIFT(1331),
  [3092] = {.count = 1, .reusable = false}, SHIFT(1331),
  [3094] = {.count = 1, .reusable = true}, SHIFT(1332),
  [3096] = {.count = 1, .reusable = false}, SHIFT(1332),
  [3098] = {.count = 1, .reusable = true}, SHIFT(1333),
  [3100] = {.count = 1, .reusable = false}, SHIFT(1333),
  [3102] = {.count = 1, .reusable = true}, SHIFT(1334),
  [3104] = {.count = 1, .reusable = false}, SHIFT(1334),
  [3106] = {.count = 1, .reusable = true}, SHIFT(1335),
  [3108] = {.count = 1, .reusable = false}, SHIFT(1335),
  [3110] = {.count = 1, .reusable = true}, REDUCE(sym_object, 5),
  [3112] = {.count = 1, .reusable = false}, REDUCE(sym_object, 5),
  [3114] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 4, .alias_sequence_id = 18),
  [3116] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2, .alias_sequence_id = 18),
  [3118] = {.count = 1, .reusable = true}, SHIFT(1336),
  [3120] = {.count = 2, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1337),
  [3123] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [3125] = {.count = 1, .reusable = true}, SHIFT(1338),
  [3127] = {.count = 1, .reusable = false}, SHIFT(1339),
  [3129] = {.count = 1, .reusable = true}, SHIFT(1340),
  [3131] = {.count = 1, .reusable = false}, SHIFT(1343),
  [3133] = {.count = 1, .reusable = true}, SHIFT(1344),
  [3135] = {.count = 1, .reusable = false}, SHIFT(1346),
  [3137] = {.count = 1, .reusable = true}, SHIFT(1347),
  [3139] = {.count = 1, .reusable = false}, SHIFT(1348),
  [3141] = {.count = 1, .reusable = true}, SHIFT(1349),
  [3143] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5),
  [3145] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5),
  [3147] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 2),
  [3149] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 2),
  [3151] = {.count = 1, .reusable = false}, SHIFT(1350),
  [3153] = {.count = 1, .reusable = false}, SHIFT(1351),
  [3155] = {.count = 1, .reusable = false}, SHIFT(1352),
  [3157] = {.count = 1, .reusable = false}, SHIFT(1353),
  [3159] = {.count = 1, .reusable = false}, SHIFT(1354),
  [3161] = {.count = 1, .reusable = true}, SHIFT(1356),
  [3163] = {.count = 1, .reusable = false}, SHIFT(1356),
  [3165] = {.count = 1, .reusable = false}, SHIFT(1357),
  [3167] = {.count = 1, .reusable = true}, SHIFT(1358),
  [3169] = {.count = 1, .reusable = true}, SHIFT(1359),
  [3171] = {.count = 1, .reusable = false}, SHIFT(1360),
  [3173] = {.count = 1, .reusable = true}, SHIFT(1361),
  [3175] = {.count = 1, .reusable = false}, SHIFT(1361),
  [3177] = {.count = 1, .reusable = true}, SHIFT(1362),
  [3179] = {.count = 1, .reusable = false}, SHIFT(1362),
  [3181] = {.count = 1, .reusable = false}, SHIFT(1363),
  [3183] = {.count = 1, .reusable = true}, SHIFT(1364),
  [3185] = {.count = 1, .reusable = true}, SHIFT(1365),
  [3187] = {.count = 1, .reusable = true}, SHIFT(1366),
  [3189] = {.count = 1, .reusable = true}, SHIFT(1367),
  [3191] = {.count = 1, .reusable = false}, SHIFT(1366),
  [3193] = {.count = 1, .reusable = true}, SHIFT(1368),
  [3195] = {.count = 1, .reusable = true}, SHIFT(1369),
  [3197] = {.count = 1, .reusable = true}, SHIFT(1370),
  [3199] = {.count = 1, .reusable = false}, SHIFT(1369),
  [3201] = {.count = 1, .reusable = false}, SHIFT(1370),
  [3203] = {.count = 1, .reusable = false}, SHIFT(1371),
  [3205] = {.count = 1, .reusable = true}, SHIFT(1363),
  [3207] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 3),
  [3209] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 3),
  [3211] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(750),
  [3214] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [3216] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(752),
  [3219] = {.count = 1, .reusable = true}, SHIFT(1373),
  [3221] = {.count = 1, .reusable = false}, SHIFT(1373),
  [3223] = {.count = 1, .reusable = true}, SHIFT(1375),
  [3225] = {.count = 1, .reusable = false}, SHIFT(1375),
  [3227] = {.count = 1, .reusable = true}, SHIFT(1377),
  [3229] = {.count = 1, .reusable = false}, SHIFT(1377),
  [3231] = {.count = 1, .reusable = true}, SHIFT(1378),
  [3233] = {.count = 1, .reusable = false}, SHIFT(1378),
  [3235] = {.count = 1, .reusable = false}, SHIFT(1379),
  [3237] = {.count = 1, .reusable = true}, SHIFT(1380),
  [3239] = {.count = 1, .reusable = true}, SHIFT(1381),
  [3241] = {.count = 1, .reusable = false}, SHIFT(1382),
  [3243] = {.count = 1, .reusable = true}, SHIFT(1383),
  [3245] = {.count = 1, .reusable = false}, SHIFT(1383),
  [3247] = {.count = 1, .reusable = true}, SHIFT(1384),
  [3249] = {.count = 1, .reusable = false}, SHIFT(1384),
  [3251] = {.count = 1, .reusable = false}, SHIFT(1385),
  [3253] = {.count = 1, .reusable = true}, SHIFT(1386),
  [3255] = {.count = 1, .reusable = true}, SHIFT(1387),
  [3257] = {.count = 1, .reusable = true}, SHIFT(1388),
  [3259] = {.count = 1, .reusable = false}, SHIFT(1388),
  [3261] = {.count = 1, .reusable = true}, SHIFT(1393),
  [3263] = {.count = 1, .reusable = false}, SHIFT(1393),
  [3265] = {.count = 1, .reusable = false}, SHIFT(1394),
  [3267] = {.count = 1, .reusable = true}, SHIFT(1395),
  [3269] = {.count = 1, .reusable = true}, SHIFT(1396),
  [3271] = {.count = 1, .reusable = false}, SHIFT(1397),
  [3273] = {.count = 1, .reusable = true}, SHIFT(1398),
  [3275] = {.count = 1, .reusable = false}, SHIFT(1398),
  [3277] = {.count = 1, .reusable = true}, SHIFT(1399),
  [3279] = {.count = 1, .reusable = false}, SHIFT(1399),
  [3281] = {.count = 1, .reusable = false}, SHIFT(1400),
  [3283] = {.count = 1, .reusable = true}, SHIFT(1401),
  [3285] = {.count = 1, .reusable = true}, SHIFT(1402),
  [3287] = {.count = 1, .reusable = true}, SHIFT(1403),
  [3289] = {.count = 1, .reusable = false}, SHIFT(1402),
  [3291] = {.count = 1, .reusable = true}, SHIFT(1404),
  [3293] = {.count = 1, .reusable = true}, SHIFT(1405),
  [3295] = {.count = 1, .reusable = true}, SHIFT(1406),
  [3297] = {.count = 1, .reusable = false}, SHIFT(1405),
  [3299] = {.count = 1, .reusable = false}, SHIFT(1406),
  [3301] = {.count = 1, .reusable = false}, SHIFT(1407),
  [3303] = {.count = 1, .reusable = true}, SHIFT(1400),
  [3305] = {.count = 1, .reusable = true}, SHIFT(1409),
  [3307] = {.count = 1, .reusable = true}, SHIFT(1410),
  [3309] = {.count = 1, .reusable = true}, SHIFT(1411),
  [3311] = {.count = 1, .reusable = true}, SHIFT(1412),
  [3313] = {.count = 1, .reusable = true}, SHIFT(1413),
  [3315] = {.count = 1, .reusable = true}, SHIFT(1414),
  [3317] = {.count = 1, .reusable = true}, SHIFT(1415),
  [3319] = {.count = 1, .reusable = false}, SHIFT(1416),
  [3321] = {.count = 1, .reusable = true}, SHIFT(1417),
  [3323] = {.count = 1, .reusable = true}, SHIFT(1418),
  [3325] = {.count = 1, .reusable = true}, SHIFT(1421),
  [3327] = {.count = 1, .reusable = true}, SHIFT(1422),
  [3329] = {.count = 1, .reusable = false}, SHIFT(1422),
  [3331] = {.count = 1, .reusable = true}, SHIFT(1423),
  [3333] = {.count = 1, .reusable = true}, SHIFT(1424),
  [3335] = {.count = 1, .reusable = false}, SHIFT(1430),
  [3337] = {.count = 1, .reusable = false}, SHIFT(1431),
  [3339] = {.count = 1, .reusable = false}, SHIFT(1432),
  [3341] = {.count = 1, .reusable = true}, SHIFT(1436),
  [3343] = {.count = 1, .reusable = true}, SHIFT(1437),
  [3345] = {.count = 1, .reusable = true}, SHIFT(1438),
  [3347] = {.count = 1, .reusable = true}, SHIFT(1439),
  [3349] = {.count = 1, .reusable = true}, SHIFT(1440),
  [3351] = {.count = 1, .reusable = true}, SHIFT(1441),
  [3353] = {.count = 1, .reusable = true}, SHIFT(1443),
  [3355] = {.count = 1, .reusable = false}, SHIFT(1443),
  [3357] = {.count = 1, .reusable = true}, SHIFT(1444),
  [3359] = {.count = 1, .reusable = true}, SHIFT(1447),
  [3361] = {.count = 1, .reusable = false}, SHIFT(1447),
  [3363] = {.count = 1, .reusable = true}, SHIFT(1449),
  [3365] = {.count = 1, .reusable = false}, SHIFT(1449),
  [3367] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 5),
  [3369] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 5),
  [3371] = {.count = 1, .reusable = true}, SHIFT(1453),
  [3373] = {.count = 1, .reusable = true}, SHIFT(1454),
  [3375] = {.count = 1, .reusable = false}, SHIFT(1454),
  [3377] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 5),
  [3379] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 5),
  [3381] = {.count = 1, .reusable = true}, SHIFT(1455),
  [3383] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 3),
  [3385] = {.count = 1, .reusable = true}, SHIFT(1456),
  [3387] = {.count = 1, .reusable = true}, SHIFT(1457),
  [3389] = {.count = 1, .reusable = false}, SHIFT(1458),
  [3391] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3, .alias_sequence_id = 2),
  [3393] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3, .alias_sequence_id = 2),
  [3395] = {.count = 1, .reusable = false}, SHIFT(1461),
  [3397] = {.count = 1, .reusable = false}, SHIFT(1463),
  [3399] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3),
  [3401] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3),
  [3403] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 5, .alias_sequence_id = 9),
  [3405] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 5, .alias_sequence_id = 9),
  [3407] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 5),
  [3409] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 5),
  [3411] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 3),
  [3413] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 3),
  [3415] = {.count = 1, .reusable = true}, SHIFT(1464),
  [3417] = {.count = 1, .reusable = true}, SHIFT(1465),
  [3419] = {.count = 1, .reusable = false}, SHIFT(1465),
  [3421] = {.count = 1, .reusable = true}, SHIFT(1466),
  [3423] = {.count = 1, .reusable = true}, REDUCE(sym_function, 5),
  [3425] = {.count = 1, .reusable = false}, REDUCE(sym_function, 5),
  [3427] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5),
  [3429] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5),
  [3431] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 4),
  [3433] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 4),
  [3435] = {.count = 1, .reusable = true}, SHIFT(1467),
  [3437] = {.count = 1, .reusable = false}, SHIFT(1467),
  [3439] = {.count = 1, .reusable = true}, REDUCE(sym_ternary_expression, 5),
  [3441] = {.count = 1, .reusable = true}, SHIFT(1468),
  [3443] = {.count = 1, .reusable = true}, SHIFT(1469),
  [3445] = {.count = 1, .reusable = false}, SHIFT(1469),
  [3447] = {.count = 1, .reusable = true}, SHIFT(1470),
  [3449] = {.count = 1, .reusable = false}, SHIFT(1470),
  [3451] = {.count = 1, .reusable = true}, SHIFT(1471),
  [3453] = {.count = 1, .reusable = false}, SHIFT(1471),
  [3455] = {.count = 1, .reusable = true}, SHIFT(1472),
  [3457] = {.count = 1, .reusable = true}, SHIFT(1473),
  [3459] = {.count = 1, .reusable = false}, SHIFT(1473),
  [3461] = {.count = 1, .reusable = true}, SHIFT(1474),
  [3463] = {.count = 1, .reusable = false}, SHIFT(1474),
  [3465] = {.count = 1, .reusable = true}, SHIFT(1475),
  [3467] = {.count = 1, .reusable = false}, SHIFT(1475),
  [3469] = {.count = 1, .reusable = true}, SHIFT(1476),
  [3471] = {.count = 1, .reusable = false}, SHIFT(1476),
  [3473] = {.count = 1, .reusable = true}, SHIFT(1477),
  [3475] = {.count = 1, .reusable = false}, SHIFT(1477),
  [3477] = {.count = 1, .reusable = true}, SHIFT(1478),
  [3479] = {.count = 1, .reusable = false}, SHIFT(1478),
  [3481] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_closing_element, 4, .alias_sequence_id = 20),
  [3483] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_closing_element, 4, .alias_sequence_id = 20),
  [3485] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_closing_element, 4),
  [3487] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_closing_element, 4),
  [3489] = {.count = 1, .reusable = true}, SHIFT(1479),
  [3491] = {.count = 1, .reusable = true}, SHIFT(1480),
  [3493] = {.count = 1, .reusable = true}, SHIFT(1481),
  [3495] = {.count = 1, .reusable = true}, SHIFT(1482),
  [3497] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 5),
  [3499] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 5),
  [3501] = {.count = 1, .reusable = true}, REDUCE(sym_class, 5),
  [3503] = {.count = 1, .reusable = false}, REDUCE(sym_class, 5),
  [3505] = {.count = 1, .reusable = true}, SHIFT(1483),
  [3507] = {.count = 1, .reusable = false}, SHIFT(1483),
  [3509] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 5, .alias_sequence_id = 17),
  [3511] = {.count = 1, .reusable = true}, SHIFT(1484),
  [3513] = {.count = 1, .reusable = false}, SHIFT(1484),
  [3515] = {.count = 1, .reusable = true}, SHIFT(1485),
  [3517] = {.count = 1, .reusable = true}, SHIFT(1486),
  [3519] = {.count = 1, .reusable = false}, SHIFT(1487),
  [3521] = {.count = 1, .reusable = true}, SHIFT(1488),
  [3523] = {.count = 1, .reusable = false}, SHIFT(1491),
  [3525] = {.count = 1, .reusable = true}, SHIFT(1492),
  [3527] = {.count = 1, .reusable = false}, SHIFT(1494),
  [3529] = {.count = 1, .reusable = true}, SHIFT(1495),
  [3531] = {.count = 1, .reusable = false}, SHIFT(1496),
  [3533] = {.count = 1, .reusable = true}, SHIFT(1497),
  [3535] = {.count = 1, .reusable = true}, SHIFT(1499),
  [3537] = {.count = 1, .reusable = false}, SHIFT(1499),
  [3539] = {.count = 1, .reusable = true}, SHIFT(1501),
  [3541] = {.count = 1, .reusable = false}, SHIFT(1501),
  [3543] = {.count = 1, .reusable = true}, SHIFT(1503),
  [3545] = {.count = 1, .reusable = false}, SHIFT(1503),
  [3547] = {.count = 1, .reusable = true}, SHIFT(1504),
  [3549] = {.count = 1, .reusable = true}, SHIFT(1505),
  [3551] = {.count = 1, .reusable = true}, SHIFT(1506),
  [3553] = {.count = 1, .reusable = true}, SHIFT(1507),
  [3555] = {.count = 1, .reusable = true}, SHIFT(1508),
  [3557] = {.count = 1, .reusable = true}, SHIFT(1509),
  [3559] = {.count = 1, .reusable = true}, SHIFT(1510),
  [3561] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 5),
  [3563] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 5),
  [3565] = {.count = 1, .reusable = true}, SHIFT(1511),
  [3567] = {.count = 1, .reusable = false}, SHIFT(1511),
  [3569] = {.count = 1, .reusable = true}, SHIFT(1512),
  [3571] = {.count = 1, .reusable = false}, SHIFT(1512),
  [3573] = {.count = 1, .reusable = true}, SHIFT(1513),
  [3575] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 5, .alias_sequence_id = 18),
  [3577] = {.count = 1, .reusable = true}, SHIFT(1514),
  [3579] = {.count = 1, .reusable = true}, SHIFT(1515),
  [3581] = {.count = 1, .reusable = true}, SHIFT(1516),
  [3583] = {.count = 1, .reusable = true}, SHIFT(1517),
  [3585] = {.count = 1, .reusable = true}, SHIFT(1518),
  [3587] = {.count = 1, .reusable = true}, SHIFT(1519),
  [3589] = {.count = 1, .reusable = true}, SHIFT(1521),
  [3591] = {.count = 1, .reusable = false}, SHIFT(1521),
  [3593] = {.count = 1, .reusable = true}, SHIFT(1522),
  [3595] = {.count = 1, .reusable = true}, SHIFT(1525),
  [3597] = {.count = 1, .reusable = false}, SHIFT(1525),
  [3599] = {.count = 1, .reusable = true}, SHIFT(1527),
  [3601] = {.count = 1, .reusable = false}, SHIFT(1527),
  [3603] = {.count = 1, .reusable = true}, SHIFT(1529),
  [3605] = {.count = 1, .reusable = true}, SHIFT(1532),
  [3607] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 3),
  [3609] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 3),
  [3611] = {.count = 1, .reusable = true}, SHIFT(1534),
  [3613] = {.count = 1, .reusable = false}, SHIFT(1534),
  [3615] = {.count = 1, .reusable = true}, SHIFT(1535),
  [3617] = {.count = 1, .reusable = false}, SHIFT(1535),
  [3619] = {.count = 1, .reusable = true}, SHIFT(1536),
  [3621] = {.count = 1, .reusable = false}, SHIFT(1536),
  [3623] = {.count = 1, .reusable = true}, SHIFT(1537),
  [3625] = {.count = 1, .reusable = true}, SHIFT(1538),
  [3627] = {.count = 1, .reusable = false}, SHIFT(1538),
  [3629] = {.count = 1, .reusable = true}, SHIFT(1539),
  [3631] = {.count = 1, .reusable = false}, SHIFT(1539),
  [3633] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 3),
  [3635] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 3),
  [3637] = {.count = 1, .reusable = true}, SHIFT(1541),
  [3639] = {.count = 1, .reusable = false}, SHIFT(1541),
  [3641] = {.count = 1, .reusable = true}, SHIFT(1542),
  [3643] = {.count = 1, .reusable = false}, SHIFT(1542),
  [3645] = {.count = 1, .reusable = true}, SHIFT(1543),
  [3647] = {.count = 1, .reusable = false}, SHIFT(1543),
  [3649] = {.count = 1, .reusable = true}, SHIFT(1544),
  [3651] = {.count = 1, .reusable = false}, SHIFT(1544),
  [3653] = {.count = 1, .reusable = true}, SHIFT(1545),
  [3655] = {.count = 1, .reusable = false}, SHIFT(1545),
  [3657] = {.count = 1, .reusable = true}, SHIFT(1546),
  [3659] = {.count = 1, .reusable = true}, SHIFT(1547),
  [3661] = {.count = 1, .reusable = true}, SHIFT(1548),
  [3663] = {.count = 1, .reusable = true}, SHIFT(1549),
  [3665] = {.count = 1, .reusable = true}, SHIFT(1550),
  [3667] = {.count = 1, .reusable = true}, SHIFT(1551),
  [3669] = {.count = 1, .reusable = true}, SHIFT(1389),
  [3671] = {.count = 1, .reusable = true}, SHIFT(1390),
  [3673] = {.count = 1, .reusable = true}, SHIFT(1391),
  [3675] = {.count = 1, .reusable = false}, SHIFT(1390),
  [3677] = {.count = 1, .reusable = false}, SHIFT(1391),
  [3679] = {.count = 1, .reusable = false}, SHIFT(1392),
  [3681] = {.count = 1, .reusable = true}, SHIFT(1385),
  [3683] = {.count = 1, .reusable = true}, SHIFT(1552),
  [3685] = {.count = 1, .reusable = false}, SHIFT(1552),
  [3687] = {.count = 1, .reusable = true}, SHIFT(1553),
  [3689] = {.count = 1, .reusable = false}, SHIFT(1553),
  [3691] = {.count = 1, .reusable = true}, SHIFT(1554),
  [3693] = {.count = 1, .reusable = false}, SHIFT(1554),
  [3695] = {.count = 1, .reusable = true}, SHIFT(1555),
  [3697] = {.count = 1, .reusable = true}, SHIFT(1556),
  [3699] = {.count = 1, .reusable = false}, SHIFT(1556),
  [3701] = {.count = 1, .reusable = true}, SHIFT(1557),
  [3703] = {.count = 1, .reusable = false}, SHIFT(1557),
  [3705] = {.count = 1, .reusable = true}, SHIFT(1559),
  [3707] = {.count = 1, .reusable = false}, SHIFT(1559),
  [3709] = {.count = 1, .reusable = true}, SHIFT(1560),
  [3711] = {.count = 1, .reusable = false}, SHIFT(1560),
  [3713] = {.count = 1, .reusable = true}, SHIFT(1561),
  [3715] = {.count = 1, .reusable = false}, SHIFT(1561),
  [3717] = {.count = 1, .reusable = true}, SHIFT(1562),
  [3719] = {.count = 1, .reusable = false}, SHIFT(1562),
  [3721] = {.count = 1, .reusable = true}, SHIFT(1563),
  [3723] = {.count = 1, .reusable = false}, SHIFT(1563),
  [3725] = {.count = 1, .reusable = true}, SHIFT(1564),
  [3727] = {.count = 1, .reusable = false}, SHIFT(1564),
  [3729] = {.count = 1, .reusable = true}, SHIFT(1565),
  [3731] = {.count = 1, .reusable = false}, SHIFT(1565),
  [3733] = {.count = 1, .reusable = true}, SHIFT(1566),
  [3735] = {.count = 1, .reusable = true}, SHIFT(1567),
  [3737] = {.count = 1, .reusable = false}, SHIFT(1567),
  [3739] = {.count = 1, .reusable = true}, SHIFT(1568),
  [3741] = {.count = 1, .reusable = false}, SHIFT(1568),
  [3743] = {.count = 1, .reusable = true}, SHIFT(1570),
  [3745] = {.count = 1, .reusable = false}, SHIFT(1570),
  [3747] = {.count = 1, .reusable = true}, SHIFT(1571),
  [3749] = {.count = 1, .reusable = false}, SHIFT(1571),
  [3751] = {.count = 1, .reusable = true}, SHIFT(1572),
  [3753] = {.count = 1, .reusable = false}, SHIFT(1572),
  [3755] = {.count = 1, .reusable = true}, SHIFT(1573),
  [3757] = {.count = 1, .reusable = false}, SHIFT(1573),
  [3759] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6),
  [3761] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6),
  [3763] = {.count = 1, .reusable = true}, SHIFT(1579),
  [3765] = {.count = 1, .reusable = true}, SHIFT(1580),
  [3767] = {.count = 1, .reusable = true}, SHIFT(1581),
  [3769] = {.count = 1, .reusable = false}, SHIFT(1584),
  [3771] = {.count = 1, .reusable = true}, SHIFT(1585),
  [3773] = {.count = 1, .reusable = false}, SHIFT(1587),
  [3775] = {.count = 1, .reusable = true}, SHIFT(1588),
  [3777] = {.count = 1, .reusable = false}, SHIFT(1589),
  [3779] = {.count = 1, .reusable = true}, SHIFT(1590),
  [3781] = {.count = 1, .reusable = true}, SHIFT(1592),
  [3783] = {.count = 1, .reusable = false}, SHIFT(1592),
  [3785] = {.count = 1, .reusable = true}, SHIFT(1594),
  [3787] = {.count = 1, .reusable = false}, SHIFT(1594),
  [3789] = {.count = 1, .reusable = true}, SHIFT(1596),
  [3791] = {.count = 1, .reusable = false}, SHIFT(1596),
  [3793] = {.count = 1, .reusable = true}, SHIFT(1597),
  [3795] = {.count = 1, .reusable = true}, SHIFT(1598),
  [3797] = {.count = 1, .reusable = true}, SHIFT(1599),
  [3799] = {.count = 1, .reusable = true}, SHIFT(1600),
  [3801] = {.count = 1, .reusable = true}, SHIFT(1601),
  [3803] = {.count = 1, .reusable = true}, SHIFT(1602),
  [3805] = {.count = 1, .reusable = true}, SHIFT(1603),
  [3807] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 6),
  [3809] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 6),
  [3811] = {.count = 1, .reusable = false}, SHIFT(1605),
  [3813] = {.count = 1, .reusable = false}, SHIFT(1606),
  [3815] = {.count = 1, .reusable = false}, SHIFT(1607),
  [3817] = {.count = 1, .reusable = false}, SHIFT(1609),
  [3819] = {.count = 1, .reusable = false}, SHIFT(1611),
  [3821] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 4),
  [3823] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 4),
  [3825] = {.count = 1, .reusable = true}, SHIFT(1613),
  [3827] = {.count = 1, .reusable = false}, SHIFT(1613),
  [3829] = {.count = 1, .reusable = true}, SHIFT(1614),
  [3831] = {.count = 1, .reusable = false}, SHIFT(1614),
  [3833] = {.count = 1, .reusable = true}, SHIFT(1615),
  [3835] = {.count = 1, .reusable = false}, SHIFT(1615),
  [3837] = {.count = 1, .reusable = true}, SHIFT(1616),
  [3839] = {.count = 1, .reusable = true}, SHIFT(1617),
  [3841] = {.count = 1, .reusable = false}, SHIFT(1617),
  [3843] = {.count = 1, .reusable = true}, SHIFT(1618),
  [3845] = {.count = 1, .reusable = true}, SHIFT(1619),
  [3847] = {.count = 1, .reusable = true}, SHIFT(1620),
  [3849] = {.count = 1, .reusable = true}, SHIFT(1621),
  [3851] = {.count = 1, .reusable = true}, SHIFT(1622),
  [3853] = {.count = 1, .reusable = true}, SHIFT(1623),
  [3855] = {.count = 1, .reusable = true}, SHIFT(1625),
  [3857] = {.count = 1, .reusable = false}, SHIFT(1625),
  [3859] = {.count = 1, .reusable = true}, SHIFT(1626),
  [3861] = {.count = 1, .reusable = true}, SHIFT(1629),
  [3863] = {.count = 1, .reusable = false}, SHIFT(1629),
  [3865] = {.count = 1, .reusable = true}, SHIFT(1631),
  [3867] = {.count = 1, .reusable = false}, SHIFT(1631),
  [3869] = {.count = 1, .reusable = true}, SHIFT(1632),
  [3871] = {.count = 1, .reusable = true}, SHIFT(1633),
  [3873] = {.count = 1, .reusable = true}, SHIFT(1634),
  [3875] = {.count = 1, .reusable = true}, SHIFT(1635),
  [3877] = {.count = 1, .reusable = true}, SHIFT(1636),
  [3879] = {.count = 1, .reusable = true}, SHIFT(1637),
  [3881] = {.count = 1, .reusable = true}, SHIFT(1638),
  [3883] = {.count = 1, .reusable = false}, SHIFT(1638),
  [3885] = {.count = 1, .reusable = true}, SHIFT(1640),
  [3887] = {.count = 1, .reusable = false}, SHIFT(1640),
  [3889] = {.count = 1, .reusable = true}, SHIFT(1642),
  [3891] = {.count = 1, .reusable = false}, SHIFT(1642),
  [3893] = {.count = 1, .reusable = true}, SHIFT(1644),
  [3895] = {.count = 1, .reusable = false}, SHIFT(1644),
  [3897] = {.count = 1, .reusable = true}, SHIFT(1645),
  [3899] = {.count = 1, .reusable = true}, SHIFT(1646),
  [3901] = {.count = 1, .reusable = true}, SHIFT(1647),
  [3903] = {.count = 1, .reusable = true}, SHIFT(1648),
  [3905] = {.count = 1, .reusable = true}, SHIFT(1649),
  [3907] = {.count = 1, .reusable = true}, SHIFT(1650),
  [3909] = {.count = 1, .reusable = true}, SHIFT(1651),
  [3911] = {.count = 1, .reusable = false}, SHIFT(1652),
  [3913] = {.count = 1, .reusable = false}, SHIFT(1653),
  [3915] = {.count = 1, .reusable = false}, SHIFT(1654),
  [3917] = {.count = 1, .reusable = false}, SHIFT(1655),
  [3919] = {.count = 1, .reusable = false}, SHIFT(1656),
  [3921] = {.count = 1, .reusable = false}, SHIFT(1658),
  [3923] = {.count = 1, .reusable = false}, SHIFT(1659),
  [3925] = {.count = 1, .reusable = false}, SHIFT(1660),
  [3927] = {.count = 1, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2),
  [3929] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1350),
  [3932] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1351),
  [3935] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1352),
  [3938] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1353),
  [3941] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1354),
  [3944] = {.count = 1, .reusable = true}, SHIFT(1664),
  [3946] = {.count = 1, .reusable = false}, SHIFT(1664),
  [3948] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 4),
  [3950] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 4),
  [3952] = {.count = 1, .reusable = true}, SHIFT(1665),
  [3954] = {.count = 1, .reusable = true}, SHIFT(1672),
  [3956] = {.count = 1, .reusable = false}, SHIFT(1672),
  [3958] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7),
  [3960] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7),
  [3962] = {.count = 1, .reusable = true}, SHIFT(1673),
  [3964] = {.count = 1, .reusable = true}, SHIFT(1674),
  [3966] = {.count = 1, .reusable = false}, SHIFT(1674),
  [3968] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7),
  [3970] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7),
  [3972] = {.count = 1, .reusable = true}, SHIFT(1675),
  [3974] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7),
  [3976] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7),
  [3978] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 22),
  [3980] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 22),
  [3982] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 22),
  [3984] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 22),
  [3986] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 23),
  [3988] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7, .alias_sequence_id = 23),
  [3990] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 23),
  [3992] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7, .alias_sequence_id = 23),
  [3994] = {.count = 1, .reusable = true}, SHIFT(1676),
  [3996] = {.count = 1, .reusable = true}, SHIFT(1677),
  [3998] = {.count = 1, .reusable = true}, SHIFT(1678),
  [4000] = {.count = 1, .reusable = true}, SHIFT(1679),
  [4002] = {.count = 1, .reusable = true}, SHIFT(1680),
  [4004] = {.count = 1, .reusable = true}, SHIFT(1681),
  [4006] = {.count = 1, .reusable = true}, SHIFT(1683),
  [4008] = {.count = 1, .reusable = false}, SHIFT(1683),
  [4010] = {.count = 1, .reusable = true}, SHIFT(1684),
  [4012] = {.count = 1, .reusable = true}, SHIFT(1687),
  [4014] = {.count = 1, .reusable = false}, SHIFT(1687),
  [4016] = {.count = 1, .reusable = true}, SHIFT(1689),
  [4018] = {.count = 1, .reusable = false}, SHIFT(1689),
  [4020] = {.count = 1, .reusable = true}, SHIFT(1690),
  [4022] = {.count = 1, .reusable = true}, SHIFT(1691),
  [4024] = {.count = 1, .reusable = true}, SHIFT(1692),
  [4026] = {.count = 1, .reusable = true}, SHIFT(1693),
  [4028] = {.count = 1, .reusable = true}, SHIFT(1694),
  [4030] = {.count = 1, .reusable = true}, SHIFT(1695),
  [4032] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5),
  [4034] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5),
  [4036] = {.count = 1, .reusable = false}, SHIFT(1696),
  [4038] = {.count = 1, .reusable = false}, SHIFT(1697),
  [4040] = {.count = 1, .reusable = true}, SHIFT(1698),
  [4042] = {.count = 1, .reusable = false}, SHIFT(1699),
  [4044] = {.count = 1, .reusable = true}, SHIFT(1700),
  [4046] = {.count = 1, .reusable = false}, SHIFT(1701),
  [4048] = {.count = 1, .reusable = true}, SHIFT(1702),
  [4050] = {.count = 1, .reusable = false}, SHIFT(1703),
  [4052] = {.count = 1, .reusable = true}, SHIFT(1706),
  [4054] = {.count = 1, .reusable = false}, SHIFT(1706),
  [4056] = {.count = 1, .reusable = true}, SHIFT(1708),
  [4058] = {.count = 1, .reusable = false}, SHIFT(1708),
  [4060] = {.count = 1, .reusable = true}, SHIFT(1710),
  [4062] = {.count = 1, .reusable = false}, SHIFT(1710),
  [4064] = {.count = 1, .reusable = true}, SHIFT(1712),
  [4066] = {.count = 1, .reusable = false}, SHIFT(1712),
  [4068] = {.count = 1, .reusable = true}, SHIFT(1713),
  [4070] = {.count = 1, .reusable = true}, SHIFT(1714),
  [4072] = {.count = 1, .reusable = true}, SHIFT(1715),
  [4074] = {.count = 1, .reusable = true}, SHIFT(1716),
  [4076] = {.count = 1, .reusable = true}, SHIFT(1717),
  [4078] = {.count = 1, .reusable = true}, SHIFT(1718),
  [4080] = {.count = 1, .reusable = true}, SHIFT(1719),
  [4082] = {.count = 1, .reusable = true}, SHIFT(1720),
  [4084] = {.count = 1, .reusable = true}, SHIFT(1721),
  [4086] = {.count = 1, .reusable = true}, SHIFT(1722),
  [4088] = {.count = 1, .reusable = true}, SHIFT(1723),
  [4090] = {.count = 1, .reusable = true}, SHIFT(1724),
  [4092] = {.count = 1, .reusable = true}, SHIFT(1725),
  [4094] = {.count = 1, .reusable = true}, SHIFT(1727),
  [4096] = {.count = 1, .reusable = true}, SHIFT(1730),
  [4098] = {.count = 1, .reusable = false}, SHIFT(1731),
  [4100] = {.count = 1, .reusable = true}, SHIFT(1732),
  [4102] = {.count = 1, .reusable = false}, SHIFT(1735),
  [4104] = {.count = 1, .reusable = true}, SHIFT(1736),
  [4106] = {.count = 1, .reusable = false}, SHIFT(1738),
  [4108] = {.count = 1, .reusable = true}, SHIFT(1739),
  [4110] = {.count = 1, .reusable = false}, SHIFT(1740),
  [4112] = {.count = 1, .reusable = true}, SHIFT(1741),
  [4114] = {.count = 1, .reusable = true}, SHIFT(1742),
  [4116] = {.count = 1, .reusable = false}, SHIFT(1742),
  [4118] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8),
  [4120] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8),
  [4122] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8),
  [4124] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8),
  [4126] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 24),
  [4128] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 24),
  [4130] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 24),
  [4132] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 24),
  [4134] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 25),
  [4136] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8, .alias_sequence_id = 25),
  [4138] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 25),
  [4140] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8, .alias_sequence_id = 25),
  [4142] = {.count = 1, .reusable = true}, SHIFT(1743),
  [4144] = {.count = 1, .reusable = false}, SHIFT(1743),
  [4146] = {.count = 1, .reusable = true}, SHIFT(1744),
  [4148] = {.count = 1, .reusable = false}, SHIFT(1744),
  [4150] = {.count = 1, .reusable = true}, SHIFT(1746),
  [4152] = {.count = 1, .reusable = false}, SHIFT(1746),
  [4154] = {.count = 1, .reusable = true}, SHIFT(1748),
  [4156] = {.count = 1, .reusable = false}, SHIFT(1748),
  [4158] = {.count = 1, .reusable = true}, SHIFT(1750),
  [4160] = {.count = 1, .reusable = false}, SHIFT(1750),
  [4162] = {.count = 1, .reusable = true}, SHIFT(1751),
  [4164] = {.count = 1, .reusable = true}, SHIFT(1752),
  [4166] = {.count = 1, .reusable = true}, SHIFT(1753),
  [4168] = {.count = 1, .reusable = true}, SHIFT(1754),
  [4170] = {.count = 1, .reusable = true}, SHIFT(1755),
  [4172] = {.count = 1, .reusable = true}, SHIFT(1756),
  [4174] = {.count = 1, .reusable = true}, SHIFT(1757),
  [4176] = {.count = 1, .reusable = true}, SHIFT(1758),
  [4178] = {.count = 1, .reusable = false}, SHIFT(1759),
  [4180] = {.count = 1, .reusable = true}, SHIFT(1760),
  [4182] = {.count = 1, .reusable = true}, SHIFT(1761),
  [4184] = {.count = 1, .reusable = true}, SHIFT(1762),
  [4186] = {.count = 1, .reusable = true}, SHIFT(1763),
  [4188] = {.count = 1, .reusable = true}, SHIFT(1764),
  [4190] = {.count = 1, .reusable = true}, SHIFT(1765),
  [4192] = {.count = 1, .reusable = true}, SHIFT(1766),
  [4194] = {.count = 1, .reusable = true}, SHIFT(1767),
  [4196] = {.count = 1, .reusable = true}, SHIFT(1768),
  [4198] = {.count = 1, .reusable = true}, SHIFT(1769),
  [4200] = {.count = 1, .reusable = false}, SHIFT(1771),
  [4202] = {.count = 1, .reusable = false}, SHIFT(1772),
  [4204] = {.count = 1, .reusable = false}, SHIFT(1773),
  [4206] = {.count = 1, .reusable = true}, SHIFT(1777),
  [4208] = {.count = 1, .reusable = true}, SHIFT(1778),
  [4210] = {.count = 1, .reusable = true}, SHIFT(1779),
  [4212] = {.count = 1, .reusable = true}, SHIFT(1780),
  [4214] = {.count = 1, .reusable = true}, SHIFT(1781),
  [4216] = {.count = 1, .reusable = true}, SHIFT(1782),
  [4218] = {.count = 1, .reusable = true}, SHIFT(1784),
  [4220] = {.count = 1, .reusable = false}, SHIFT(1784),
  [4222] = {.count = 1, .reusable = true}, SHIFT(1785),
  [4224] = {.count = 1, .reusable = true}, SHIFT(1788),
  [4226] = {.count = 1, .reusable = false}, SHIFT(1788),
  [4228] = {.count = 1, .reusable = true}, SHIFT(1790),
  [4230] = {.count = 1, .reusable = false}, SHIFT(1790),
  [4232] = {.count = 1, .reusable = true}, SHIFT(1791),
  [4234] = {.count = 1, .reusable = true}, SHIFT(1792),
  [4236] = {.count = 1, .reusable = true}, SHIFT(1793),
  [4238] = {.count = 1, .reusable = true}, SHIFT(1794),
  [4240] = {.count = 1, .reusable = true}, SHIFT(1795),
  [4242] = {.count = 1, .reusable = true}, SHIFT(1796),
  [4244] = {.count = 1, .reusable = true}, SHIFT(1797),
  [4246] = {.count = 1, .reusable = false}, SHIFT(1798),
  [4248] = {.count = 1, .reusable = true}, SHIFT(1799),
  [4250] = {.count = 1, .reusable = false}, SHIFT(1802),
  [4252] = {.count = 1, .reusable = true}, SHIFT(1803),
  [4254] = {.count = 1, .reusable = false}, SHIFT(1805),
  [4256] = {.count = 1, .reusable = true}, SHIFT(1806),
  [4258] = {.count = 1, .reusable = false}, SHIFT(1807),
  [4260] = {.count = 1, .reusable = true}, SHIFT(1808),
  [4262] = {.count = 1, .reusable = true}, SHIFT(1810),
  [4264] = {.count = 1, .reusable = false}, SHIFT(1810),
  [4266] = {.count = 1, .reusable = true}, SHIFT(1812),
  [4268] = {.count = 1, .reusable = false}, SHIFT(1812),
  [4270] = {.count = 1, .reusable = true}, SHIFT(1814),
  [4272] = {.count = 1, .reusable = false}, SHIFT(1814),
  [4274] = {.count = 1, .reusable = true}, SHIFT(1815),
  [4276] = {.count = 1, .reusable = true}, SHIFT(1816),
  [4278] = {.count = 1, .reusable = true}, SHIFT(1817),
  [4280] = {.count = 1, .reusable = true}, SHIFT(1818),
  [4282] = {.count = 1, .reusable = true}, SHIFT(1819),
  [4284] = {.count = 1, .reusable = true}, SHIFT(1820),
  [4286] = {.count = 1, .reusable = true}, SHIFT(1821),
  [4288] = {.count = 1, .reusable = true}, SHIFT(1822),
  [4290] = {.count = 1, .reusable = true}, SHIFT(1823),
  [4292] = {.count = 1, .reusable = true}, SHIFT(1824),
  [4294] = {.count = 1, .reusable = true}, SHIFT(1825),
  [4296] = {.count = 1, .reusable = true}, SHIFT(1826),
  [4298] = {.count = 1, .reusable = true}, SHIFT(1827),
  [4300] = {.count = 1, .reusable = true}, SHIFT(1829),
  [4302] = {.count = 1, .reusable = false}, SHIFT(1829),
  [4304] = {.count = 1, .reusable = true}, SHIFT(1830),
  [4306] = {.count = 1, .reusable = true}, SHIFT(1833),
  [4308] = {.count = 1, .reusable = false}, SHIFT(1833),
  [4310] = {.count = 1, .reusable = true}, SHIFT(1835),
  [4312] = {.count = 1, .reusable = false}, SHIFT(1835),
  [4314] = {.count = 1, .reusable = true}, SHIFT(1836),
  [4316] = {.count = 1, .reusable = true}, SHIFT(1837),
  [4318] = {.count = 1, .reusable = true}, SHIFT(1838),
  [4320] = {.count = 1, .reusable = true}, SHIFT(1839),
  [4322] = {.count = 1, .reusable = true}, SHIFT(1840),
  [4324] = {.count = 1, .reusable = true}, SHIFT(1841),
  [4326] = {.count = 1, .reusable = true}, SHIFT(1843),
  [4328] = {.count = 1, .reusable = false}, SHIFT(1843),
  [4330] = {.count = 1, .reusable = true}, SHIFT(1845),
  [4332] = {.count = 1, .reusable = false}, SHIFT(1845),
  [4334] = {.count = 1, .reusable = true}, SHIFT(1847),
  [4336] = {.count = 1, .reusable = false}, SHIFT(1847),
  [4338] = {.count = 1, .reusable = true}, SHIFT(1848),
  [4340] = {.count = 1, .reusable = true}, SHIFT(1849),
  [4342] = {.count = 1, .reusable = true}, SHIFT(1850),
  [4344] = {.count = 1, .reusable = true}, SHIFT(1851),
  [4346] = {.count = 1, .reusable = true}, SHIFT(1852),
  [4348] = {.count = 1, .reusable = true}, SHIFT(1853),
  [4350] = {.count = 1, .reusable = true}, SHIFT(1854),
  [4352] = {.count = 1, .reusable = true}, SHIFT(1855),
  [4354] = {.count = 1, .reusable = true}, SHIFT(1856),
  [4356] = {.count = 1, .reusable = true}, SHIFT(1857),
  [4358] = {.count = 1, .reusable = true}, SHIFT(1858),
  [4360] = {.count = 1, .reusable = true}, SHIFT(1859),
  [4362] = {.count = 1, .reusable = true}, SHIFT(1860),
};

void *tree_sitter_javascript_external_scanner_create();
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
