#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 8
#define STATE_COUNT 1962
#define SYMBOL_COUNT 198
#define ALIAS_COUNT 2
#define TOKEN_COUNT 93
#define EXTERNAL_TOKEN_COUNT 3
#define MAX_ALIAS_SEQUENCE_LENGTH 5

enum {
  sym__newline = 1,
  sym__indent = 2,
  sym__dedent = 3,
  anon_sym_import = 4,
  anon_sym_DOT = 5,
  anon_sym_from = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_return = 15,
  anon_sym_del = 16,
  anon_sym_raise = 17,
  sym_pass_statement = 18,
  sym_break_statement = 19,
  sym_continue_statement = 20,
  anon_sym_if = 21,
  anon_sym_COLON = 22,
  anon_sym_elif = 23,
  anon_sym_else = 24,
  anon_sym_async = 25,
  anon_sym_for = 26,
  anon_sym_in = 27,
  anon_sym_while = 28,
  anon_sym_try = 29,
  anon_sym_except = 30,
  anon_sym_finally = 31,
  anon_sym_with = 32,
  anon_sym_def = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_EQ = 35,
  anon_sym_global = 36,
  anon_sym_nonlocal = 37,
  anon_sym_exec = 38,
  anon_sym_class = 39,
  anon_sym_AT = 40,
  anon_sym_not = 41,
  anon_sym_and = 42,
  anon_sym_or = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_SLASH = 46,
  anon_sym_PERCENT = 47,
  anon_sym_SLASH_SLASH = 48,
  anon_sym_STAR_STAR = 49,
  anon_sym_PIPE = 50,
  anon_sym_AMP = 51,
  anon_sym_CARET = 52,
  anon_sym_LT_LT = 53,
  anon_sym_TILDE = 54,
  anon_sym_LT = 55,
  anon_sym_LT_EQ = 56,
  anon_sym_EQ_EQ = 57,
  anon_sym_BANG_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_GT = 60,
  anon_sym_LT_GT = 61,
  anon_sym_is = 62,
  anon_sym_lambda = 63,
  anon_sym_PLUS_EQ = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_STAR_EQ = 66,
  anon_sym_SLASH_EQ = 67,
  anon_sym_AT_EQ = 68,
  anon_sym_SLASH_SLASH_EQ = 69,
  anon_sym_PERCENT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_CARET_EQ = 75,
  anon_sym_PIPE_EQ = 76,
  anon_sym_yield = 77,
  anon_sym_LBRACK = 78,
  anon_sym_RBRACK = 79,
  sym_ellipsis = 80,
  anon_sym_LBRACE = 81,
  anon_sym_RBRACE = 82,
  sym_string = 83,
  sym_integer = 84,
  sym_float = 85,
  sym_identifier = 86,
  sym_true = 87,
  sym_false = 88,
  sym_none = 89,
  anon_sym_await = 90,
  sym_comment = 91,
  sym__semicolon = 92,
  sym_module = 93,
  sym__statement = 94,
  sym__simple_statements = 95,
  sym_import_statement = 96,
  sym_import_prefix = 97,
  sym_relative_import = 98,
  sym_import_from_statement = 99,
  sym__import_list = 100,
  sym_aliased_import = 101,
  sym_wildcard_import = 102,
  sym_print_statement = 103,
  sym_chevron = 104,
  sym_assert_statement = 105,
  sym_expression_statement = 106,
  sym_return_statement = 107,
  sym_delete_statement = 108,
  sym_raise_statement = 109,
  sym_if_statement = 110,
  sym_elif_clause = 111,
  sym_else_clause = 112,
  sym_for_statement = 113,
  sym_while_statement = 114,
  sym_try_statement = 115,
  sym_except_clause = 116,
  sym_finally_clause = 117,
  sym_with_statement = 118,
  sym_with_item = 119,
  sym_function_definition = 120,
  sym_parameters = 121,
  sym_lambda_parameters = 122,
  sym__parameters = 123,
  sym_default_parameter = 124,
  sym_typed_default_parameter = 125,
  sym_list_splat = 126,
  sym_dictionary_splat = 127,
  sym_global_statement = 128,
  sym_nonlocal_statement = 129,
  sym_exec_statement = 130,
  sym_class_definition = 131,
  sym_argument_list = 132,
  sym_decorated_definition = 133,
  sym_decorator = 134,
  sym__suite = 135,
  sym_variables = 136,
  sym_expression_list = 137,
  sym_dotted_name = 138,
  sym__expression_within_for_in_clause = 139,
  sym__expression = 140,
  sym__primary_expression = 141,
  sym_not_operator = 142,
  sym_boolean_operator = 143,
  sym_binary_operator = 144,
  sym_unary_operator = 145,
  sym_comparison_operator = 146,
  sym_lambda = 147,
  sym_lambda_within_for_in_clause = 148,
  sym_assignment = 149,
  sym_augmented_assignment = 150,
  sym__right_hand_side = 151,
  sym_yield = 152,
  sym_attribute = 153,
  sym_subscript = 154,
  sym_slice = 155,
  sym_call = 156,
  sym_typed_parameter = 157,
  sym_type = 158,
  sym_keyword_argument = 159,
  sym_list = 160,
  sym__comprehension_body = 161,
  sym_list_comprehension = 162,
  sym_dictionary = 163,
  sym_dictionary_comprehension = 164,
  sym_pair = 165,
  sym_set = 166,
  sym_set_comprehension = 167,
  sym_parenthesized_expression = 168,
  sym_tuple = 169,
  sym_generator_expression = 170,
  sym_for_in_clause = 171,
  sym_if_clause = 172,
  sym_conditional_expression = 173,
  sym_concatenated_string = 174,
  sym_await = 175,
  aux_sym_module_repeat1 = 176,
  aux_sym__simple_statements_repeat1 = 177,
  aux_sym_import_prefix_repeat1 = 178,
  aux_sym__import_list_repeat1 = 179,
  aux_sym_print_statement_repeat1 = 180,
  aux_sym_if_statement_repeat1 = 181,
  aux_sym_try_statement_repeat1 = 182,
  aux_sym_with_statement_repeat1 = 183,
  aux_sym__parameters_repeat1 = 184,
  aux_sym_global_statement_repeat1 = 185,
  aux_sym_argument_list_repeat1 = 186,
  aux_sym_decorated_definition_repeat1 = 187,
  aux_sym_variables_repeat1 = 188,
  aux_sym_dotted_name_repeat1 = 189,
  aux_sym_comparison_operator_repeat1 = 190,
  aux_sym_subscript_repeat1 = 191,
  aux_sym_list_repeat1 = 192,
  aux_sym__comprehension_body_repeat1 = 193,
  aux_sym_dictionary_repeat1 = 194,
  aux_sym_tuple_repeat1 = 195,
  aux_sym_for_in_clause_repeat1 = 196,
  aux_sym_concatenated_string_repeat1 = 197,
  alias_sym_identifier = 198,
  alias_sym_lambda = 199,
};

static const char *ts_symbol_names[] = {
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [ts_builtin_sym_end] = "END",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_EQ] = "=",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_string] = "string",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_identifier] = "identifier",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [anon_sym_await] = "await",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__parameters] = "_parameters",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym__suite] = "_suite",
  [sym_variables] = "variables",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda_within_for_in_clause",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym__comprehension_body] = "_comprehension_body",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary] = "dictionary",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_pair] = "pair",
  [sym_set] = "set",
  [sym_set_comprehension] = "set_comprehension",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple] = "tuple",
  [sym_generator_expression] = "generator_expression",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_await] = "await",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_variables_repeat1] = "variables_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym__comprehension_body_repeat1] = "_comprehension_body_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [alias_sym_identifier] = "identifier",
  [alias_sym_lambda] = "lambda",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym__suite] = {
    .visible = false,
    .named = true,
  },
  [sym_variables] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_body] = {
    .visible = false,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variables_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_lambda] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[4][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = alias_sym_identifier,
  },
  [2] = {
    [1] = alias_sym_identifier,
  },
  [3] = {
    [0] = alias_sym_lambda,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(14);
      if (lookahead == '&')
        ADVANCE(16);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ')')
        ADVANCE(27);
      if (lookahead == '*')
        ADVANCE(28);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(35);
      if (lookahead == '.')
        ADVANCE(38);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(68);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(75);
      if (lookahead == '@')
        ADVANCE(79);
      if (lookahead == 'B')
        ADVANCE(81);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'R')
        ADVANCE(81);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(104);
      if (lookahead == ']')
        ADVANCE(106);
      if (lookahead == '^')
        ADVANCE(107);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(109);
      if (lookahead == 'b')
        ADVANCE(124);
      if (lookahead == 'c')
        ADVANCE(129);
      if (lookahead == 'd')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(145);
      if (lookahead == 'f')
        ADVANCE(158);
      if (lookahead == 'g')
        ADVANCE(170);
      if (lookahead == 'i')
        ADVANCE(176);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(191);
      if (lookahead == 'o')
        ADVANCE(200);
      if (lookahead == 'p')
        ADVANCE(202);
      if (lookahead == 'r')
        ADVANCE(210);
      if (lookahead == 't')
        ADVANCE(220);
      if (lookahead == 'w')
        ADVANCE(223);
      if (lookahead == 'y')
        ADVANCE(231);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '|')
        ADVANCE(237);
      if (lookahead == '}')
        ADVANCE(239);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 4:
      if (lookahead == '\"')
        ADVANCE(5);
      if (lookahead == '\\')
        ADVANCE(10);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(11);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(sym_string);
      if (lookahead == '\"')
        ADVANCE(6);
      END_STATE();
    case 6:
      if (lookahead == '\"')
        ADVANCE(7);
      if (lookahead != 0)
        ADVANCE(6);
      END_STATE();
    case 7:
      if (lookahead == '\"')
        ADVANCE(8);
      if (lookahead != 0)
        ADVANCE(6);
      END_STATE();
    case 8:
      if (lookahead == '\"')
        ADVANCE(9);
      if (lookahead != 0)
        ADVANCE(6);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 10:
      if (lookahead == '\n')
        ADVANCE(11);
      if (lookahead == '\r')
        ADVANCE(12);
      if (lookahead != 0)
        ADVANCE(11);
      END_STATE();
    case 11:
      if (lookahead == '\"')
        ADVANCE(9);
      if (lookahead == '\\')
        ADVANCE(10);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(11);
      END_STATE();
    case 12:
      if (lookahead == '\n')
        ADVANCE(11);
      if (lookahead == '\"')
        ADVANCE(9);
      if (lookahead == '\\')
        ADVANCE(10);
      if (lookahead != 0)
        ADVANCE(11);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(13);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(15);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=')
        ADVANCE(17);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 18:
      if (lookahead == '\'')
        ADVANCE(19);
      if (lookahead == '\\')
        ADVANCE(23);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(24);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(sym_string);
      if (lookahead == '\'')
        ADVANCE(20);
      END_STATE();
    case 20:
      if (lookahead == '\'')
        ADVANCE(21);
      if (lookahead != 0)
        ADVANCE(20);
      END_STATE();
    case 21:
      if (lookahead == '\'')
        ADVANCE(22);
      if (lookahead != 0)
        ADVANCE(20);
      END_STATE();
    case 22:
      if (lookahead == '\'')
        ADVANCE(9);
      if (lookahead != 0)
        ADVANCE(20);
      END_STATE();
    case 23:
      if (lookahead == '\n')
        ADVANCE(24);
      if (lookahead == '\r')
        ADVANCE(25);
      if (lookahead != 0)
        ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == '\'')
        ADVANCE(9);
      if (lookahead == '\\')
        ADVANCE(23);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '\n')
        ADVANCE(24);
      if (lookahead == '\'')
        ADVANCE(9);
      if (lookahead == '\\')
        ADVANCE(23);
      if (lookahead != 0)
        ADVANCE(24);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(29);
      if (lookahead == '=')
        ADVANCE(31);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=')
        ADVANCE(30);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(33);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(36);
      if (lookahead == '>')
        ADVANCE(37);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(39);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(41);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(43);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 39:
      if (lookahead == '.')
        ADVANCE(40);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(42);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(43);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(44);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(43);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(44);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(42);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(43);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(44);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(46);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(41);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(43);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(41);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(43);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/')
        ADVANCE(48);
      if (lookahead == '=')
        ADVANCE(50);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=')
        ADVANCE(49);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(46);
      if (lookahead == 'B')
        ADVANCE(52);
      if (lookahead == 'O')
        ADVANCE(56);
      if (lookahead == 'X')
        ADVANCE(59);
      if (lookahead == '_')
        ADVANCE(62);
      if (lookahead == 'b')
        ADVANCE(52);
      if (lookahead == 'o')
        ADVANCE(56);
      if (lookahead == 'x')
        ADVANCE(59);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(63);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(55);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      END_STATE();
    case 52:
      if (lookahead == '_')
        ADVANCE(53);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(54);
      END_STATE();
    case 53:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(54);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(53);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(54);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(55);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 56:
      if (lookahead == '_')
        ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(58);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(58);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(57);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(58);
      END_STATE();
    case 59:
      if (lookahead == '_')
        ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(61);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(61);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(60);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(46);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(63);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(55);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      END_STATE();
    case 63:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(44);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(44);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(46);
      if (lookahead == '_')
        ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(63);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(55);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(69);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(72);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(70);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(74);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(76);
      if (lookahead == '>')
        ADVANCE(77);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(78);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=')
        ADVANCE(80);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 82:
      if (lookahead == '\\')
        ADVANCE(83);
      if (lookahead == '`')
        ADVANCE(9);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(82);
      END_STATE();
    case 83:
      if (lookahead == '\n')
        ADVANCE(82);
      if (lookahead == '\r')
        ADVANCE(84);
      if (lookahead != 0)
        ADVANCE(82);
      END_STATE();
    case 84:
      if (lookahead == '\n')
        ADVANCE(82);
      if (lookahead == '\\')
        ADVANCE(83);
      if (lookahead == '`')
        ADVANCE(9);
      if (lookahead != 0)
        ADVANCE(82);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(88);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(89);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(89);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_false);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_none);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(100);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(102);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_true);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 104:
      if (lookahead == '\n')
        SKIP(0);
      if (lookahead == '\r')
        SKIP(105);
      END_STATE();
    case 105:
      if (lookahead == '\n')
        SKIP(0);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(108);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(110);
      if (lookahead == 's')
        ADVANCE(112);
      if (lookahead == 'w')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_and);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's')
        ADVANCE(113);
      if (lookahead == 'y')
        ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_assert);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_async);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_await);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == 'R')
        ADVANCE(81);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'r')
        ADVANCE(125);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'e')
        ADVANCE(126);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k')
        ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_break_statement);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(130);
      if (lookahead == 'o')
        ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_class);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_continue_statement);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(143);
      if (lookahead == 'l')
        ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_def);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_del);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(146);
      if (lookahead == 'x')
        ADVANCE(151);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(147);
      if (lookahead == 's')
        ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_elif);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_else);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(152);
      if (lookahead == 'e')
        ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_except);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_exec);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(159);
      if (lookahead == 'o')
        ADVANCE(165);
      if (lookahead == 'r')
        ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y')
        ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_finally);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_for);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm')
        ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_from);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b')
        ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_global);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(177);
      if (lookahead == 'm')
        ADVANCE(178);
      if (lookahead == 'n')
        ADVANCE(183);
      if (lookahead == 's')
        ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_if);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p')
        ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_import);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_is);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(186);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm')
        ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b')
        ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_lambda);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(193);
      if (lookahead == 't')
        ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c')
        ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_not);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_or);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a')
        ADVANCE(203);
      if (lookahead == 'r')
        ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_pass_statement);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_print);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(211);
      if (lookahead == 'e')
        ADVANCE(215);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_raise);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u')
        ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(218);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_return);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y')
        ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_try);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(224);
      if (lookahead == 'i')
        ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_while);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h')
        ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_with);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i')
        ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(234);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd')
        ADVANCE(235);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_yield);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(238);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 241:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == 'B')
        ADVANCE(81);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'R')
        ADVANCE(81);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(246);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(248);
      if (lookahead == 'b')
        ADVANCE(124);
      if (lookahead == 'c')
        ADVANCE(129);
      if (lookahead == 'd')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'f')
        ADVANCE(252);
      if (lookahead == 'g')
        ADVANCE(170);
      if (lookahead == 'i')
        ADVANCE(253);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(191);
      if (lookahead == 'p')
        ADVANCE(202);
      if (lookahead == 'r')
        ADVANCE(210);
      if (lookahead == 't')
        ADVANCE(220);
      if (lookahead == 'w')
        ADVANCE(223);
      if (lookahead == 'y')
        ADVANCE(231);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(241);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.')
        ADVANCE(39);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(41);
      if (lookahead == 'J' ||
          lookahead == 'j')
        ADVANCE(43);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 246:
      if (lookahead == '\n')
        SKIP(241);
      if (lookahead == '\r')
        SKIP(247);
      END_STATE();
    case 247:
      if (lookahead == '\n')
        SKIP(241);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(249);
      if (lookahead == 'w')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(113);
      if (lookahead == 'y')
        ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x')
        ADVANCE(251);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(165);
      if (lookahead == 'r')
        ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(177);
      if (lookahead == 'm')
        ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 254:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ')')
        ADVANCE(27);
      if (lookahead == '*')
        ADVANCE(255);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '\\')
        SKIP(257);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(254);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 257:
      if (lookahead == '\n')
        SKIP(254);
      if (lookahead == '\r')
        SKIP(258);
      END_STATE();
    case 258:
      if (lookahead == '\n')
        SKIP(254);
      END_STATE();
    case 259:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ')')
        ADVANCE(27);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(260);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(262);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == 'y')
        ADVANCE(231);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(259);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 260:
      if (lookahead == '\n')
        SKIP(259);
      if (lookahead == '\r')
        SKIP(261);
      END_STATE();
    case 261:
      if (lookahead == '\n')
        SKIP(259);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'w')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(264);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't')
        ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 266:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(14);
      if (lookahead == '&')
        ADVANCE(16);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(28);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(267);
      if (lookahead == '.')
        ADVANCE(38);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(68);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(75);
      if (lookahead == '@')
        ADVANCE(79);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(268);
      if (lookahead == '^')
        ADVANCE(107);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(270);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'i')
        ADVANCE(271);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'o')
        ADVANCE(200);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '|')
        ADVANCE(237);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(266);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(36);
      END_STATE();
    case 268:
      if (lookahead == '\n')
        SKIP(266);
      if (lookahead == '\r')
        SKIP(269);
      END_STATE();
    case 269:
      if (lookahead == '\n')
        SKIP(266);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(110);
      if (lookahead == 'w')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(177);
      if (lookahead == 'n')
        ADVANCE(183);
      if (lookahead == 's')
        ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 272:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(273);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(262);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(272);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 273:
      if (lookahead == '\n')
        SKIP(272);
      if (lookahead == '\r')
        SKIP(274);
      END_STATE();
    case 274:
      if (lookahead == '\n')
        SKIP(272);
      END_STATE();
    case 275:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(276);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(262);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'f')
        ADVANCE(278);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(275);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 276:
      if (lookahead == '\n')
        SKIP(275);
      if (lookahead == '\r')
        SKIP(277);
      END_STATE();
    case 277:
      if (lookahead == '\n')
        SKIP(275);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r')
        ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 279:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(280);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(279);
      END_STATE();
    case 280:
      if (lookahead == '\n')
        SKIP(279);
      if (lookahead == '\r')
        SKIP(281);
      END_STATE();
    case 281:
      if (lookahead == '\n')
        SKIP(279);
      END_STATE();
    case 282:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(283);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(282);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 283:
      if (lookahead == '\n')
        SKIP(282);
      if (lookahead == '\r')
        SKIP(284);
      END_STATE();
    case 284:
      if (lookahead == '\n')
        SKIP(282);
      END_STATE();
    case 285:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(14);
      if (lookahead == '&')
        ADVANCE(16);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(28);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(267);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(68);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(75);
      if (lookahead == '@')
        ADVANCE(79);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(286);
      if (lookahead == '^')
        ADVANCE(107);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(237);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(300);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(300);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(285);
      END_STATE();
    case 286:
      if (lookahead == '\n')
        SKIP(285);
      if (lookahead == '\r')
        SKIP(287);
      END_STATE();
    case 287:
      if (lookahead == '\n')
        SKIP(285);
      END_STATE();
    case 288:
      if (lookahead == 'n')
        ADVANCE(289);
      END_STATE();
    case 289:
      if (lookahead == 'd')
        ADVANCE(290);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 291:
      if (lookahead == 'f')
        ADVANCE(292);
      if (lookahead == 'n')
        ADVANCE(293);
      if (lookahead == 's')
        ADVANCE(294);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 295:
      if (lookahead == 'o')
        ADVANCE(296);
      END_STATE();
    case 296:
      if (lookahead == 't')
        ADVANCE(297);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 298:
      if (lookahead == 'r')
        ADVANCE(299);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 300:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(300);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(300);
      END_STATE();
    case 301:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ')')
        ADVANCE(27);
      if (lookahead == '*')
        ADVANCE(255);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == '\\')
        SKIP(302);
      if (lookahead == 'e')
        ADVANCE(304);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(301);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 302:
      if (lookahead == '\n')
        SKIP(301);
      if (lookahead == '\r')
        SKIP(303);
      END_STATE();
    case 303:
      if (lookahead == '\n')
        SKIP(301);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x')
        ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 305:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ')')
        ADVANCE(27);
      if (lookahead == '*')
        ADVANCE(255);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(306);
      if (lookahead == ']')
        ADVANCE(106);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(262);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '}')
        ADVANCE(239);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(305);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 306:
      if (lookahead == '\n')
        SKIP(305);
      if (lookahead == '\r')
        SKIP(307);
      END_STATE();
    case 307:
      if (lookahead == '\n')
        SKIP(305);
      END_STATE();
    case 308:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(309);
      if (lookahead == '&')
        ADVANCE(310);
      if (lookahead == '*')
        ADVANCE(311);
      if (lookahead == '+')
        ADVANCE(313);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(314);
      if (lookahead == '/')
        ADVANCE(315);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(317);
      if (lookahead == '=')
        ADVANCE(319);
      if (lookahead == '>')
        ADVANCE(320);
      if (lookahead == '@')
        ADVANCE(322);
      if (lookahead == '\\')
        SKIP(323);
      if (lookahead == '^')
        ADVANCE(325);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(326);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(327);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(308);
      END_STATE();
    case 309:
      if (lookahead == '=')
        ADVANCE(15);
      END_STATE();
    case 310:
      if (lookahead == '=')
        ADVANCE(17);
      END_STATE();
    case 311:
      if (lookahead == '*')
        ADVANCE(312);
      if (lookahead == '=')
        ADVANCE(31);
      END_STATE();
    case 312:
      if (lookahead == '=')
        ADVANCE(30);
      END_STATE();
    case 313:
      if (lookahead == '=')
        ADVANCE(33);
      END_STATE();
    case 314:
      if (lookahead == '=')
        ADVANCE(36);
      END_STATE();
    case 315:
      if (lookahead == '/')
        ADVANCE(316);
      if (lookahead == '=')
        ADVANCE(50);
      END_STATE();
    case 316:
      if (lookahead == '=')
        ADVANCE(49);
      END_STATE();
    case 317:
      if (lookahead == '<')
        ADVANCE(318);
      END_STATE();
    case 318:
      if (lookahead == '=')
        ADVANCE(70);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 320:
      if (lookahead == '>')
        ADVANCE(321);
      END_STATE();
    case 321:
      if (lookahead == '=')
        ADVANCE(78);
      END_STATE();
    case 322:
      if (lookahead == '=')
        ADVANCE(80);
      END_STATE();
    case 323:
      if (lookahead == '\n')
        SKIP(308);
      if (lookahead == '\r')
        SKIP(324);
      END_STATE();
    case 324:
      if (lookahead == '\n')
        SKIP(308);
      END_STATE();
    case 325:
      if (lookahead == '=')
        ADVANCE(108);
      END_STATE();
    case 326:
      if (lookahead == 'f')
        ADVANCE(292);
      END_STATE();
    case 327:
      if (lookahead == '=')
        ADVANCE(238);
      END_STATE();
    case 328:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(14);
      if (lookahead == '&')
        ADVANCE(16);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(28);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(267);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(68);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(75);
      if (lookahead == '@')
        ADVANCE(79);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(329);
      if (lookahead == '^')
        ADVANCE(107);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(237);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(328);
      END_STATE();
    case 329:
      if (lookahead == '\n')
        SKIP(328);
      if (lookahead == '\r')
        SKIP(330);
      END_STATE();
    case 330:
      if (lookahead == '\n')
        SKIP(328);
      END_STATE();
    case 331:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(332);
      if (lookahead == 'a')
        ADVANCE(334);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(331);
      END_STATE();
    case 332:
      if (lookahead == '\n')
        SKIP(331);
      if (lookahead == '\r')
        SKIP(333);
      END_STATE();
    case 333:
      if (lookahead == '\n')
        SKIP(331);
      END_STATE();
    case 334:
      if (lookahead == 's')
        ADVANCE(335);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 336:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(337);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(336);
      END_STATE();
    case 337:
      if (lookahead == '\n')
        SKIP(336);
      if (lookahead == '\r')
        SKIP(338);
      END_STATE();
    case 338:
      if (lookahead == '\n')
        SKIP(336);
      END_STATE();
    case 339:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(340);
      if (lookahead == 'a')
        ADVANCE(334);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(339);
      END_STATE();
    case 340:
      if (lookahead == '\n')
        SKIP(339);
      if (lookahead == '\r')
        SKIP(341);
      END_STATE();
    case 341:
      if (lookahead == '\n')
        SKIP(339);
      END_STATE();
    case 342:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '\\')
        SKIP(343);
      if (lookahead == 'i')
        ADVANCE(345);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(342);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 343:
      if (lookahead == '\n')
        SKIP(342);
      if (lookahead == '\r')
        SKIP(344);
      END_STATE();
    case 344:
      if (lookahead == '\n')
        SKIP(342);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm')
        ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 346:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ')')
        ADVANCE(27);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(357);
      if (lookahead == ']')
        ADVANCE(106);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(360);
      if (lookahead == 'e')
        ADVANCE(365);
      if (lookahead == 'f')
        ADVANCE(369);
      if (lookahead == 'i')
        ADVANCE(372);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == '}')
        ADVANCE(239);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(300);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(300);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(346);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(350);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/')
        ADVANCE(352);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(354);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(72);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(76);
      if (lookahead == '>')
        ADVANCE(356);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 357:
      if (lookahead == '\n')
        SKIP(346);
      if (lookahead == '\r')
        SKIP(358);
      END_STATE();
    case 358:
      if (lookahead == '\n')
        SKIP(346);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 360:
      if (lookahead == 'n')
        ADVANCE(289);
      if (lookahead == 's')
        ADVANCE(361);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y')
        ADVANCE(362);
      END_STATE();
    case 362:
      if (lookahead == 'n')
        ADVANCE(363);
      END_STATE();
    case 363:
      if (lookahead == 'c')
        ADVANCE(364);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 365:
      if (lookahead == 'l')
        ADVANCE(366);
      END_STATE();
    case 366:
      if (lookahead == 's')
        ADVANCE(367);
      END_STATE();
    case 367:
      if (lookahead == 'e')
        ADVANCE(368);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 369:
      if (lookahead == 'o')
        ADVANCE(370);
      END_STATE();
    case 370:
      if (lookahead == 'r')
        ADVANCE(371);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 372:
      if (lookahead == 'f')
        ADVANCE(292);
      if (lookahead == 'm')
        ADVANCE(373);
      if (lookahead == 'n')
        ADVANCE(293);
      if (lookahead == 's')
        ADVANCE(294);
      END_STATE();
    case 373:
      if (lookahead == 'p')
        ADVANCE(374);
      END_STATE();
    case 374:
      if (lookahead == 'o')
        ADVANCE(375);
      END_STATE();
    case 375:
      if (lookahead == 'r')
        ADVANCE(376);
      END_STATE();
    case 376:
      if (lookahead == 't')
        ADVANCE(377);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 379:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ')')
        ADVANCE(27);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(380);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(262);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'f')
        ADVANCE(278);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(379);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 380:
      if (lookahead == '\n')
        SKIP(379);
      if (lookahead == '\r')
        SKIP(381);
      END_STATE();
    case 381:
      if (lookahead == '\n')
        SKIP(379);
      END_STATE();
    case 382:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(383);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'f')
        ADVANCE(385);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(382);
      END_STATE();
    case 383:
      if (lookahead == '\n')
        SKIP(382);
      if (lookahead == '\r')
        SKIP(384);
      END_STATE();
    case 384:
      if (lookahead == '\n')
        SKIP(382);
      END_STATE();
    case 385:
      if (lookahead == 'r')
        ADVANCE(386);
      END_STATE();
    case 386:
      if (lookahead == 'o')
        ADVANCE(387);
      END_STATE();
    case 387:
      if (lookahead == 'm')
        ADVANCE(388);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 389:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(391);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(300);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(300);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(389);
      END_STATE();
    case 390:
      if (lookahead == '=')
        ADVANCE(74);
      END_STATE();
    case 391:
      if (lookahead == '\n')
        SKIP(389);
      if (lookahead == '\r')
        SKIP(392);
      END_STATE();
    case 392:
      if (lookahead == '\n')
        SKIP(389);
      END_STATE();
    case 393:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(394);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(326);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(393);
      END_STATE();
    case 394:
      if (lookahead == '\n')
        SKIP(393);
      if (lookahead == '\r')
        SKIP(395);
      END_STATE();
    case 395:
      if (lookahead == '\n')
        SKIP(393);
      END_STATE();
    case 396:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(397);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(396);
      END_STATE();
    case 397:
      if (lookahead == '\n')
        SKIP(396);
      if (lookahead == '\r')
        SKIP(398);
      END_STATE();
    case 398:
      if (lookahead == '\n')
        SKIP(396);
      END_STATE();
    case 399:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(400);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'f')
        ADVANCE(385);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(300);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(300);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(399);
      END_STATE();
    case 400:
      if (lookahead == '\n')
        SKIP(399);
      if (lookahead == '\r')
        SKIP(401);
      END_STATE();
    case 401:
      if (lookahead == '\n')
        SKIP(399);
      END_STATE();
    case 402:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(403);
      if (lookahead == 'f')
        ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(402);
      END_STATE();
    case 403:
      if (lookahead == '\n')
        SKIP(402);
      if (lookahead == '\r')
        SKIP(404);
      END_STATE();
    case 404:
      if (lookahead == '\n')
        SKIP(402);
      END_STATE();
    case 405:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(406);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'f')
        ADVANCE(385);
      if (lookahead == 'i')
        ADVANCE(326);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(405);
      END_STATE();
    case 406:
      if (lookahead == '\n')
        SKIP(405);
      if (lookahead == '\r')
        SKIP(407);
      END_STATE();
    case 407:
      if (lookahead == '\n')
        SKIP(405);
      END_STATE();
    case 408:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(409);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'f')
        ADVANCE(385);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(408);
      END_STATE();
    case 409:
      if (lookahead == '\n')
        SKIP(408);
      if (lookahead == '\r')
        SKIP(410);
      END_STATE();
    case 410:
      if (lookahead == '\n')
        SKIP(408);
      END_STATE();
    case 411:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == 'B')
        ADVANCE(81);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'R')
        ADVANCE(81);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(412);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(414);
      if (lookahead == 'b')
        ADVANCE(124);
      if (lookahead == 'c')
        ADVANCE(416);
      if (lookahead == 'd')
        ADVANCE(417);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'f')
        ADVANCE(278);
      if (lookahead == 'g')
        ADVANCE(170);
      if (lookahead == 'i')
        ADVANCE(345);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(191);
      if (lookahead == 'p')
        ADVANCE(202);
      if (lookahead == 'r')
        ADVANCE(210);
      if (lookahead == 'y')
        ADVANCE(231);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(411);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 412:
      if (lookahead == '\n')
        SKIP(411);
      if (lookahead == '\r')
        SKIP(413);
      END_STATE();
    case 413:
      if (lookahead == '\n')
        SKIP(411);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(415);
      if (lookahead == 'w')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e')
        ADVANCE(418);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 419:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(420);
      if (lookahead == 'i')
        ADVANCE(422);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(419);
      END_STATE();
    case 420:
      if (lookahead == '\n')
        SKIP(419);
      if (lookahead == '\r')
        SKIP(421);
      END_STATE();
    case 421:
      if (lookahead == '\n')
        SKIP(419);
      END_STATE();
    case 422:
      if (lookahead == 'n')
        ADVANCE(293);
      END_STATE();
    case 423:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '\\')
        SKIP(424);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(423);
      END_STATE();
    case 424:
      if (lookahead == '\n')
        SKIP(423);
      if (lookahead == '\r')
        SKIP(425);
      END_STATE();
    case 425:
      if (lookahead == '\n')
        SKIP(423);
      END_STATE();
    case 426:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '\\')
        SKIP(427);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(426);
      END_STATE();
    case 427:
      if (lookahead == '\n')
        SKIP(426);
      if (lookahead == '\r')
        SKIP(428);
      END_STATE();
    case 428:
      if (lookahead == '\n')
        SKIP(426);
      END_STATE();
    case 429:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(309);
      if (lookahead == '&')
        ADVANCE(310);
      if (lookahead == '*')
        ADVANCE(311);
      if (lookahead == '+')
        ADVANCE(313);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(314);
      if (lookahead == '/')
        ADVANCE(315);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(317);
      if (lookahead == '=')
        ADVANCE(319);
      if (lookahead == '>')
        ADVANCE(320);
      if (lookahead == '@')
        ADVANCE(322);
      if (lookahead == '\\')
        SKIP(430);
      if (lookahead == '^')
        ADVANCE(325);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'f')
        ADVANCE(385);
      if (lookahead == 'i')
        ADVANCE(326);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(327);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(429);
      END_STATE();
    case 430:
      if (lookahead == '\n')
        SKIP(429);
      if (lookahead == '\r')
        SKIP(431);
      END_STATE();
    case 431:
      if (lookahead == '\n')
        SKIP(429);
      END_STATE();
    case 432:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(309);
      if (lookahead == '&')
        ADVANCE(310);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(311);
      if (lookahead == '+')
        ADVANCE(32);
      if (lookahead == '-')
        ADVANCE(267);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '/')
        ADVANCE(315);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(317);
      if (lookahead == '=')
        ADVANCE(319);
      if (lookahead == '>')
        ADVANCE(320);
      if (lookahead == '@')
        ADVANCE(322);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(433);
      if (lookahead == '^')
        ADVANCE(325);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(262);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '|')
        ADVANCE(327);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(432);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 433:
      if (lookahead == '\n')
        SKIP(432);
      if (lookahead == '\r')
        SKIP(434);
      END_STATE();
    case 434:
      if (lookahead == '\n')
        SKIP(432);
      END_STATE();
    case 435:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(309);
      if (lookahead == '&')
        ADVANCE(310);
      if (lookahead == '*')
        ADVANCE(311);
      if (lookahead == '+')
        ADVANCE(313);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(314);
      if (lookahead == '/')
        ADVANCE(315);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(317);
      if (lookahead == '=')
        ADVANCE(319);
      if (lookahead == '>')
        ADVANCE(320);
      if (lookahead == '@')
        ADVANCE(322);
      if (lookahead == '\\')
        SKIP(436);
      if (lookahead == '^')
        ADVANCE(325);
      if (lookahead == '|')
        ADVANCE(327);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(435);
      END_STATE();
    case 436:
      if (lookahead == '\n')
        SKIP(435);
      if (lookahead == '\r')
        SKIP(437);
      END_STATE();
    case 437:
      if (lookahead == '\n')
        SKIP(435);
      END_STATE();
    case 438:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(439);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(438);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 439:
      if (lookahead == '\n')
        SKIP(438);
      if (lookahead == '\r')
        SKIP(440);
      END_STATE();
    case 440:
      if (lookahead == '\n')
        SKIP(438);
      END_STATE();
    case 441:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(309);
      if (lookahead == '&')
        ADVANCE(310);
      if (lookahead == '*')
        ADVANCE(311);
      if (lookahead == '+')
        ADVANCE(313);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '-')
        ADVANCE(314);
      if (lookahead == '/')
        ADVANCE(315);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(442);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(443);
      if (lookahead == '@')
        ADVANCE(322);
      if (lookahead == '\\')
        SKIP(444);
      if (lookahead == '^')
        ADVANCE(325);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(327);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(441);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(318);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(72);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(76);
      if (lookahead == '>')
        ADVANCE(321);
      END_STATE();
    case 444:
      if (lookahead == '\n')
        SKIP(441);
      if (lookahead == '\r')
        SKIP(445);
      END_STATE();
    case 445:
      if (lookahead == '\n')
        SKIP(441);
      END_STATE();
    case 446:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(447);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(446);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 447:
      if (lookahead == '\n')
        SKIP(446);
      if (lookahead == '\r')
        SKIP(448);
      END_STATE();
    case 448:
      if (lookahead == '\n')
        SKIP(446);
      END_STATE();
    case 449:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(450);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(451);
      if (lookahead == '\\')
        SKIP(452);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(449);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=')
        ADVANCE(71);
      if (lookahead == '>')
        ADVANCE(72);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(76);
      END_STATE();
    case 452:
      if (lookahead == '\n')
        SKIP(449);
      if (lookahead == '\r')
        SKIP(453);
      END_STATE();
    case 453:
      if (lookahead == '\n')
        SKIP(449);
      END_STATE();
    case 454:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(455);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(300);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(300);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(454);
      END_STATE();
    case 455:
      if (lookahead == '\n')
        SKIP(454);
      if (lookahead == '\r')
        SKIP(456);
      END_STATE();
    case 456:
      if (lookahead == '\n')
        SKIP(454);
      END_STATE();
    case 457:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(458);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(326);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(457);
      END_STATE();
    case 458:
      if (lookahead == '\n')
        SKIP(457);
      if (lookahead == '\r')
        SKIP(459);
      END_STATE();
    case 459:
      if (lookahead == '\n')
        SKIP(457);
      END_STATE();
    case 460:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(461);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(460);
      END_STATE();
    case 461:
      if (lookahead == '\n')
        SKIP(460);
      if (lookahead == '\r')
        SKIP(462);
      END_STATE();
    case 462:
      if (lookahead == '\n')
        SKIP(460);
      END_STATE();
    case 463:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(464);
      if (lookahead == 'f')
        ADVANCE(385);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(463);
      END_STATE();
    case 464:
      if (lookahead == '\n')
        SKIP(463);
      if (lookahead == '\r')
        SKIP(465);
      END_STATE();
    case 465:
      if (lookahead == '\n')
        SKIP(463);
      END_STATE();
    case 466:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(450);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(451);
      if (lookahead == '\\')
        SKIP(467);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'f')
        ADVANCE(385);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(466);
      END_STATE();
    case 467:
      if (lookahead == '\n')
        SKIP(466);
      if (lookahead == '\r')
        SKIP(468);
      END_STATE();
    case 468:
      if (lookahead == '\n')
        SKIP(466);
      END_STATE();
    case 469:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(470);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'i')
        ADVANCE(472);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(469);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 470:
      if (lookahead == '\n')
        SKIP(469);
      if (lookahead == '\r')
        SKIP(471);
      END_STATE();
    case 471:
      if (lookahead == '\n')
        SKIP(469);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n')
        ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 473:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '-')
        ADVANCE(474);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == '\\')
        SKIP(475);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(473);
      END_STATE();
    case 474:
      if (lookahead == '>')
        ADVANCE(37);
      END_STATE();
    case 475:
      if (lookahead == '\n')
        SKIP(473);
      if (lookahead == '\r')
        SKIP(476);
      END_STATE();
    case 476:
      if (lookahead == '\n')
        SKIP(473);
      END_STATE();
    case 477:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\\')
        SKIP(478);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(477);
      END_STATE();
    case 478:
      if (lookahead == '\n')
        SKIP(477);
      if (lookahead == '\r')
        SKIP(479);
      END_STATE();
    case 479:
      if (lookahead == '\n')
        SKIP(477);
      END_STATE();
    case 480:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(481);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(300);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(300);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(300);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(480);
      END_STATE();
    case 481:
      if (lookahead == '\n')
        SKIP(480);
      if (lookahead == '\r')
        SKIP(482);
      END_STATE();
    case 482:
      if (lookahead == '\n')
        SKIP(480);
      END_STATE();
    case 483:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '=')
        ADVANCE(319);
      if (lookahead == '\\')
        SKIP(484);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(326);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(483);
      END_STATE();
    case 484:
      if (lookahead == '\n')
        SKIP(483);
      if (lookahead == '\r')
        SKIP(485);
      END_STATE();
    case 485:
      if (lookahead == '\n')
        SKIP(483);
      END_STATE();
    case 486:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(347);
      if (lookahead == '&')
        ADVANCE(348);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '*')
        ADVANCE(349);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == '/')
        ADVANCE(351);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(353);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(355);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(487);
      if (lookahead == '^')
        ADVANCE(359);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '|')
        ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(486);
      END_STATE();
    case 487:
      if (lookahead == '\n')
        SKIP(486);
      if (lookahead == '\r')
        SKIP(488);
      END_STATE();
    case 488:
      if (lookahead == '\n')
        SKIP(486);
      END_STATE();
    case 489:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '=')
        ADVANCE(319);
      if (lookahead == '\\')
        SKIP(490);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(489);
      END_STATE();
    case 490:
      if (lookahead == '\n')
        SKIP(489);
      if (lookahead == '\r')
        SKIP(491);
      END_STATE();
    case 491:
      if (lookahead == '\n')
        SKIP(489);
      END_STATE();
    case 492:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '%')
        ADVANCE(309);
      if (lookahead == '&')
        ADVANCE(310);
      if (lookahead == '*')
        ADVANCE(311);
      if (lookahead == '+')
        ADVANCE(313);
      if (lookahead == '-')
        ADVANCE(314);
      if (lookahead == '/')
        ADVANCE(315);
      if (lookahead == ':')
        ADVANCE(66);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(317);
      if (lookahead == '=')
        ADVANCE(319);
      if (lookahead == '>')
        ADVANCE(320);
      if (lookahead == '@')
        ADVANCE(322);
      if (lookahead == '\\')
        SKIP(493);
      if (lookahead == '^')
        ADVANCE(325);
      if (lookahead == '|')
        ADVANCE(327);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(492);
      END_STATE();
    case 493:
      if (lookahead == '\n')
        SKIP(492);
      if (lookahead == '\r')
        SKIP(494);
      END_STATE();
    case 494:
      if (lookahead == '\n')
        SKIP(492);
      END_STATE();
    case 495:
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ',')
        ADVANCE(34);
      if (lookahead == '.')
        ADVANCE(256);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '\\')
        SKIP(496);
      if (lookahead == 'a')
        ADVANCE(334);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(495);
      END_STATE();
    case 496:
      if (lookahead == '\n')
        SKIP(495);
      if (lookahead == '\r')
        SKIP(497);
      END_STATE();
    case 497:
      if (lookahead == '\n')
        SKIP(495);
      END_STATE();
    case 498:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(450);
      if (lookahead == '=')
        ADVANCE(390);
      if (lookahead == '>')
        ADVANCE(451);
      if (lookahead == '\\')
        SKIP(499);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(498);
      END_STATE();
    case 499:
      if (lookahead == '\n')
        SKIP(498);
      if (lookahead == '\r')
        SKIP(500);
      END_STATE();
    case 500:
      if (lookahead == '\n')
        SKIP(498);
      END_STATE();
    case 501:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == 'B')
        ADVANCE(81);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'R')
        ADVANCE(81);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(502);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(248);
      if (lookahead == 'b')
        ADVANCE(124);
      if (lookahead == 'c')
        ADVANCE(129);
      if (lookahead == 'd')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(504);
      if (lookahead == 'f')
        ADVANCE(252);
      if (lookahead == 'g')
        ADVANCE(170);
      if (lookahead == 'i')
        ADVANCE(253);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(191);
      if (lookahead == 'p')
        ADVANCE(202);
      if (lookahead == 'r')
        ADVANCE(210);
      if (lookahead == 't')
        ADVANCE(220);
      if (lookahead == 'w')
        ADVANCE(223);
      if (lookahead == 'y')
        ADVANCE(231);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(501);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 502:
      if (lookahead == '\n')
        SKIP(501);
      if (lookahead == '\r')
        SKIP(503);
      END_STATE();
    case 503:
      if (lookahead == '\n')
        SKIP(501);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(146);
      if (lookahead == 'x')
        ADVANCE(251);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 505:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == 'B')
        ADVANCE(81);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'R')
        ADVANCE(81);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(506);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(248);
      if (lookahead == 'b')
        ADVANCE(124);
      if (lookahead == 'c')
        ADVANCE(129);
      if (lookahead == 'd')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(508);
      if (lookahead == 'f')
        ADVANCE(252);
      if (lookahead == 'g')
        ADVANCE(170);
      if (lookahead == 'i')
        ADVANCE(253);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(191);
      if (lookahead == 'p')
        ADVANCE(202);
      if (lookahead == 'r')
        ADVANCE(210);
      if (lookahead == 't')
        ADVANCE(220);
      if (lookahead == 'w')
        ADVANCE(223);
      if (lookahead == 'y')
        ADVANCE(231);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(505);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 506:
      if (lookahead == '\n')
        SKIP(505);
      if (lookahead == '\r')
        SKIP(507);
      END_STATE();
    case 507:
      if (lookahead == '\n')
        SKIP(505);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(509);
      if (lookahead == 'x')
        ADVANCE(251);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 510:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == 'B')
        ADVANCE(81);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'R')
        ADVANCE(81);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(511);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(248);
      if (lookahead == 'b')
        ADVANCE(124);
      if (lookahead == 'c')
        ADVANCE(129);
      if (lookahead == 'd')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(513);
      if (lookahead == 'f')
        ADVANCE(158);
      if (lookahead == 'g')
        ADVANCE(170);
      if (lookahead == 'i')
        ADVANCE(253);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(191);
      if (lookahead == 'p')
        ADVANCE(202);
      if (lookahead == 'r')
        ADVANCE(210);
      if (lookahead == 't')
        ADVANCE(220);
      if (lookahead == 'w')
        ADVANCE(223);
      if (lookahead == 'y')
        ADVANCE(231);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(510);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 511:
      if (lookahead == '\n')
        SKIP(510);
      if (lookahead == '\r')
        SKIP(512);
      END_STATE();
    case 512:
      if (lookahead == '\n')
        SKIP(510);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l')
        ADVANCE(509);
      if (lookahead == 'x')
        ADVANCE(151);
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 514:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == ';')
        ADVANCE(67);
      if (lookahead == '<')
        ADVANCE(450);
      if (lookahead == '=')
        ADVANCE(73);
      if (lookahead == '>')
        ADVANCE(451);
      if (lookahead == '\\')
        SKIP(515);
      if (lookahead == 'a')
        ADVANCE(288);
      if (lookahead == 'i')
        ADVANCE(291);
      if (lookahead == 'n')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(298);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(514);
      END_STATE();
    case 515:
      if (lookahead == '\n')
        SKIP(514);
      if (lookahead == '\r')
        SKIP(516);
      END_STATE();
    case 516:
      if (lookahead == '\n')
        SKIP(514);
      END_STATE();
    case 517:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == '@')
        ADVANCE(245);
      if (lookahead == 'B')
        ADVANCE(81);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'R')
        ADVANCE(81);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(518);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(248);
      if (lookahead == 'b')
        ADVANCE(124);
      if (lookahead == 'c')
        ADVANCE(129);
      if (lookahead == 'd')
        ADVANCE(141);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'f')
        ADVANCE(158);
      if (lookahead == 'g')
        ADVANCE(170);
      if (lookahead == 'i')
        ADVANCE(253);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(191);
      if (lookahead == 'p')
        ADVANCE(202);
      if (lookahead == 'r')
        ADVANCE(210);
      if (lookahead == 't')
        ADVANCE(220);
      if (lookahead == 'w')
        ADVANCE(223);
      if (lookahead == 'y')
        ADVANCE(231);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(517);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 518:
      if (lookahead == '\n')
        SKIP(517);
      if (lookahead == '\r')
        SKIP(519);
      END_STATE();
    case 519:
      if (lookahead == '\n')
        SKIP(517);
      END_STATE();
    case 520:
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '#')
        ADVANCE(13);
      if (lookahead == '\'')
        ADVANCE(18);
      if (lookahead == '(')
        ADVANCE(26);
      if (lookahead == ')')
        ADVANCE(27);
      if (lookahead == '+')
        ADVANCE(242);
      if (lookahead == '-')
        ADVANCE(243);
      if (lookahead == '.')
        ADVANCE(244);
      if (lookahead == '0')
        ADVANCE(51);
      if (lookahead == 'E')
        ADVANCE(86);
      if (lookahead == 'F')
        ADVANCE(90);
      if (lookahead == 'N')
        ADVANCE(95);
      if (lookahead == 'T')
        ADVANCE(99);
      if (lookahead == '[')
        ADVANCE(103);
      if (lookahead == '\\')
        SKIP(521);
      if (lookahead == ']')
        ADVANCE(106);
      if (lookahead == '`')
        ADVANCE(82);
      if (lookahead == 'a')
        ADVANCE(523);
      if (lookahead == 'e')
        ADVANCE(250);
      if (lookahead == 'f')
        ADVANCE(525);
      if (lookahead == 'i')
        ADVANCE(526);
      if (lookahead == 'l')
        ADVANCE(185);
      if (lookahead == 'n')
        ADVANCE(263);
      if (lookahead == 'p')
        ADVANCE(265);
      if (lookahead == '{')
        ADVANCE(236);
      if (lookahead == '}')
        ADVANCE(239);
      if (lookahead == '~')
        ADVANCE(240);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(81);
      if (lookahead == 'R' ||
          lookahead == 'r')
        ADVANCE(81);
      if (lookahead == 'U' ||
          lookahead == 'u')
        ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(520);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 521:
      if (lookahead == '\n')
        SKIP(520);
      if (lookahead == '\r')
        SKIP(522);
      END_STATE();
    case 522:
      if (lookahead == '\n')
        SKIP(520);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's')
        ADVANCE(524);
      if (lookahead == 'w')
        ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y')
        ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o')
        ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f')
        ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(85);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 241},
  [2] = {.lex_state = 254},
  [3] = {.lex_state = 254},
  [4] = {.lex_state = 259},
  [5] = {.lex_state = 266, .external_lex_state = 2},
  [6] = {.lex_state = 272},
  [7] = {.lex_state = 272, .external_lex_state = 2},
  [8] = {.lex_state = 272},
  [9] = {.lex_state = 275, .external_lex_state = 2},
  [10] = {.lex_state = 279, .external_lex_state = 2},
  [11] = {.lex_state = 272},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 282},
  [14] = {.lex_state = 272},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 272},
  [17] = {.lex_state = 254},
  [18] = {.lex_state = 254},
  [19] = {.lex_state = 254},
  [20] = {.lex_state = 285, .external_lex_state = 2},
  [21] = {.lex_state = 254},
  [22] = {.lex_state = 254},
  [23] = {.lex_state = 272},
  [24] = {.lex_state = 282},
  [25] = {.lex_state = 301},
  [26] = {.lex_state = 275, .external_lex_state = 2},
  [27] = {.lex_state = 305},
  [28] = {.lex_state = 305},
  [29] = {.lex_state = 285, .external_lex_state = 2},
  [30] = {.lex_state = 272},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 308, .external_lex_state = 2},
  [34] = {.lex_state = 328, .external_lex_state = 2},
  [35] = {.lex_state = 279, .external_lex_state = 2},
  [36] = {.lex_state = 241},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 331, .external_lex_state = 2},
  [39] = {.lex_state = 279, .external_lex_state = 2},
  [40] = {.lex_state = 336, .external_lex_state = 2},
  [41] = {.lex_state = 339, .external_lex_state = 2},
  [42] = {.lex_state = 342},
  [43] = {.lex_state = 342},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 342},
  [46] = {.lex_state = 259},
  [47] = {.lex_state = 328, .external_lex_state = 2},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 346},
  [50] = {.lex_state = 272},
  [51] = {.lex_state = 282},
  [52] = {.lex_state = 301},
  [53] = {.lex_state = 379},
  [54] = {.lex_state = 305},
  [55] = {.lex_state = 305},
  [56] = {.lex_state = 346},
  [57] = {.lex_state = 272},
  [58] = {.lex_state = 0},
  [59] = {.lex_state = 346},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 259},
  [62] = {.lex_state = 382, .external_lex_state = 2},
  [63] = {.lex_state = 272},
  [64] = {.lex_state = 272},
  [65] = {.lex_state = 282},
  [66] = {.lex_state = 301},
  [67] = {.lex_state = 305},
  [68] = {.lex_state = 305},
  [69] = {.lex_state = 389, .external_lex_state = 2},
  [70] = {.lex_state = 272},
  [71] = {.lex_state = 336, .external_lex_state = 2},
  [72] = {.lex_state = 393, .external_lex_state = 2},
  [73] = {.lex_state = 396, .external_lex_state = 2},
  [74] = {.lex_state = 393, .external_lex_state = 2},
  [75] = {.lex_state = 279, .external_lex_state = 2},
  [76] = {.lex_state = 393, .external_lex_state = 2},
  [77] = {.lex_state = 279, .external_lex_state = 2},
  [78] = {.lex_state = 272},
  [79] = {.lex_state = 272},
  [80] = {.lex_state = 282},
  [81] = {.lex_state = 301},
  [82] = {.lex_state = 399, .external_lex_state = 2},
  [83] = {.lex_state = 272},
  [84] = {.lex_state = 402, .external_lex_state = 2},
  [85] = {.lex_state = 405, .external_lex_state = 2},
  [86] = {.lex_state = 408, .external_lex_state = 2},
  [87] = {.lex_state = 241},
  [88] = {.lex_state = 411, .external_lex_state = 2},
  [89] = {.lex_state = 279, .external_lex_state = 2},
  [90] = {.lex_state = 272},
  [91] = {.lex_state = 282},
  [92] = {.lex_state = 301},
  [93] = {.lex_state = 346},
  [94] = {.lex_state = 272},
  [95] = {.lex_state = 0},
  [96] = {.lex_state = 346},
  [97] = {.lex_state = 282},
  [98] = {.lex_state = 272},
  [99] = {.lex_state = 254},
  [100] = {.lex_state = 282},
  [101] = {.lex_state = 346},
  [102] = {.lex_state = 0},
  [103] = {.lex_state = 346},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 411, .external_lex_state = 3},
  [106] = {.lex_state = 272},
  [107] = {.lex_state = 282},
  [108] = {.lex_state = 301},
  [109] = {.lex_state = 346},
  [110] = {.lex_state = 272},
  [111] = {.lex_state = 0},
  [112] = {.lex_state = 346},
  [113] = {.lex_state = 346},
  [114] = {.lex_state = 0},
  [115] = {.lex_state = 336, .external_lex_state = 2},
  [116] = {.lex_state = 336, .external_lex_state = 2},
  [117] = {.lex_state = 419, .external_lex_state = 2},
  [118] = {.lex_state = 0},
  [119] = {.lex_state = 423, .external_lex_state = 2},
  [120] = {.lex_state = 426, .external_lex_state = 2},
  [121] = {.lex_state = 328, .external_lex_state = 2},
  [122] = {.lex_state = 308, .external_lex_state = 2},
  [123] = {.lex_state = 328, .external_lex_state = 2},
  [124] = {.lex_state = 259},
  [125] = {.lex_state = 305},
  [126] = {.lex_state = 0},
  [127] = {.lex_state = 272},
  [128] = {.lex_state = 0},
  [129] = {.lex_state = 0},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 0},
  [132] = {.lex_state = 0},
  [133] = {.lex_state = 272},
  [134] = {.lex_state = 279, .external_lex_state = 2},
  [135] = {.lex_state = 0},
  [136] = {.lex_state = 305},
  [137] = {.lex_state = 272},
  [138] = {.lex_state = 282},
  [139] = {.lex_state = 301},
  [140] = {.lex_state = 328, .external_lex_state = 2},
  [141] = {.lex_state = 346},
  [142] = {.lex_state = 272},
  [143] = {.lex_state = 0},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 346},
  [146] = {.lex_state = 0},
  [147] = {.lex_state = 305},
  [148] = {.lex_state = 272},
  [149] = {.lex_state = 282},
  [150] = {.lex_state = 301},
  [151] = {.lex_state = 328, .external_lex_state = 2},
  [152] = {.lex_state = 346},
  [153] = {.lex_state = 272},
  [154] = {.lex_state = 0},
  [155] = {.lex_state = 0},
  [156] = {.lex_state = 0},
  [157] = {.lex_state = 346},
  [158] = {.lex_state = 0},
  [159] = {.lex_state = 285, .external_lex_state = 2},
  [160] = {.lex_state = 429, .external_lex_state = 2},
  [161] = {.lex_state = 272},
  [162] = {.lex_state = 259},
  [163] = {.lex_state = 259},
  [164] = {.lex_state = 432, .external_lex_state = 2},
  [165] = {.lex_state = 272},
  [166] = {.lex_state = 272},
  [167] = {.lex_state = 272},
  [168] = {.lex_state = 435, .external_lex_state = 2},
  [169] = {.lex_state = 254},
  [170] = {.lex_state = 305},
  [171] = {.lex_state = 282},
  [172] = {.lex_state = 282},
  [173] = {.lex_state = 282},
  [174] = {.lex_state = 0},
  [175] = {.lex_state = 282},
  [176] = {.lex_state = 282},
  [177] = {.lex_state = 282},
  [178] = {.lex_state = 282},
  [179] = {.lex_state = 282},
  [180] = {.lex_state = 438},
  [181] = {.lex_state = 305},
  [182] = {.lex_state = 328, .external_lex_state = 2},
  [183] = {.lex_state = 441, .external_lex_state = 2},
  [184] = {.lex_state = 241},
  [185] = {.lex_state = 0},
  [186] = {.lex_state = 241},
  [187] = {.lex_state = 0},
  [188] = {.lex_state = 254},
  [189] = {.lex_state = 331, .external_lex_state = 2},
  [190] = {.lex_state = 446, .external_lex_state = 2},
  [191] = {.lex_state = 336, .external_lex_state = 2},
  [192] = {.lex_state = 254},
  [193] = {.lex_state = 254},
  [194] = {.lex_state = 342},
  [195] = {.lex_state = 0},
  [196] = {.lex_state = 254},
  [197] = {.lex_state = 342},
  [198] = {.lex_state = 346},
  [199] = {.lex_state = 0},
  [200] = {.lex_state = 0},
  [201] = {.lex_state = 0},
  [202] = {.lex_state = 328, .external_lex_state = 2},
  [203] = {.lex_state = 0},
  [204] = {.lex_state = 346},
  [205] = {.lex_state = 272},
  [206] = {.lex_state = 0},
  [207] = {.lex_state = 272},
  [208] = {.lex_state = 272},
  [209] = {.lex_state = 282},
  [210] = {.lex_state = 301},
  [211] = {.lex_state = 346},
  [212] = {.lex_state = 272},
  [213] = {.lex_state = 0},
  [214] = {.lex_state = 0},
  [215] = {.lex_state = 346},
  [216] = {.lex_state = 0},
  [217] = {.lex_state = 346},
  [218] = {.lex_state = 0},
  [219] = {.lex_state = 0},
  [220] = {.lex_state = 0},
  [221] = {.lex_state = 346},
  [222] = {.lex_state = 0},
  [223] = {.lex_state = 0},
  [224] = {.lex_state = 0},
  [225] = {.lex_state = 0},
  [226] = {.lex_state = 346},
  [227] = {.lex_state = 346},
  [228] = {.lex_state = 328, .external_lex_state = 2},
  [229] = {.lex_state = 259},
  [230] = {.lex_state = 272},
  [231] = {.lex_state = 0},
  [232] = {.lex_state = 282},
  [233] = {.lex_state = 272},
  [234] = {.lex_state = 272},
  [235] = {.lex_state = 0},
  [236] = {.lex_state = 0},
  [237] = {.lex_state = 0},
  [238] = {.lex_state = 254},
  [239] = {.lex_state = 305},
  [240] = {.lex_state = 282},
  [241] = {.lex_state = 282},
  [242] = {.lex_state = 282},
  [243] = {.lex_state = 0},
  [244] = {.lex_state = 282},
  [245] = {.lex_state = 282},
  [246] = {.lex_state = 282},
  [247] = {.lex_state = 282},
  [248] = {.lex_state = 282},
  [249] = {.lex_state = 438},
  [250] = {.lex_state = 305},
  [251] = {.lex_state = 346},
  [252] = {.lex_state = 0},
  [253] = {.lex_state = 382, .external_lex_state = 2},
  [254] = {.lex_state = 0},
  [255] = {.lex_state = 0},
  [256] = {.lex_state = 0},
  [257] = {.lex_state = 393, .external_lex_state = 2},
  [258] = {.lex_state = 393, .external_lex_state = 2},
  [259] = {.lex_state = 382, .external_lex_state = 2},
  [260] = {.lex_state = 272},
  [261] = {.lex_state = 0},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 382, .external_lex_state = 2},
  [264] = {.lex_state = 0},
  [265] = {.lex_state = 0},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 382, .external_lex_state = 2},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 0},
  [270] = {.lex_state = 0},
  [271] = {.lex_state = 0},
  [272] = {.lex_state = 389, .external_lex_state = 2},
  [273] = {.lex_state = 272, .external_lex_state = 2},
  [274] = {.lex_state = 336, .external_lex_state = 2},
  [275] = {.lex_state = 272},
  [276] = {.lex_state = 272},
  [277] = {.lex_state = 272},
  [278] = {.lex_state = 254},
  [279] = {.lex_state = 305},
  [280] = {.lex_state = 282},
  [281] = {.lex_state = 282},
  [282] = {.lex_state = 282},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 282},
  [285] = {.lex_state = 282},
  [286] = {.lex_state = 282},
  [287] = {.lex_state = 282},
  [288] = {.lex_state = 282},
  [289] = {.lex_state = 438},
  [290] = {.lex_state = 305},
  [291] = {.lex_state = 382, .external_lex_state = 2},
  [292] = {.lex_state = 449, .external_lex_state = 2},
  [293] = {.lex_state = 272},
  [294] = {.lex_state = 336, .external_lex_state = 2},
  [295] = {.lex_state = 272, .external_lex_state = 2},
  [296] = {.lex_state = 336, .external_lex_state = 2},
  [297] = {.lex_state = 272},
  [298] = {.lex_state = 282},
  [299] = {.lex_state = 301},
  [300] = {.lex_state = 454, .external_lex_state = 2},
  [301] = {.lex_state = 272},
  [302] = {.lex_state = 457, .external_lex_state = 2},
  [303] = {.lex_state = 460, .external_lex_state = 2},
  [304] = {.lex_state = 405, .external_lex_state = 2},
  [305] = {.lex_state = 272},
  [306] = {.lex_state = 0},
  [307] = {.lex_state = 399, .external_lex_state = 2},
  [308] = {.lex_state = 272},
  [309] = {.lex_state = 275, .external_lex_state = 2},
  [310] = {.lex_state = 272},
  [311] = {.lex_state = 272},
  [312] = {.lex_state = 272},
  [313] = {.lex_state = 463, .external_lex_state = 2},
  [314] = {.lex_state = 282},
  [315] = {.lex_state = 282},
  [316] = {.lex_state = 282},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 282},
  [319] = {.lex_state = 282},
  [320] = {.lex_state = 282},
  [321] = {.lex_state = 282},
  [322] = {.lex_state = 282},
  [323] = {.lex_state = 438},
  [324] = {.lex_state = 466, .external_lex_state = 2},
  [325] = {.lex_state = 241},
  [326] = {.lex_state = 279, .external_lex_state = 2},
  [327] = {.lex_state = 411, .external_lex_state = 2},
  [328] = {.lex_state = 279, .external_lex_state = 2},
  [329] = {.lex_state = 0},
  [330] = {.lex_state = 272},
  [331] = {.lex_state = 0},
  [332] = {.lex_state = 346},
  [333] = {.lex_state = 272},
  [334] = {.lex_state = 411, .external_lex_state = 3},
  [335] = {.lex_state = 272},
  [336] = {.lex_state = 272},
  [337] = {.lex_state = 282},
  [338] = {.lex_state = 282},
  [339] = {.lex_state = 282},
  [340] = {.lex_state = 0},
  [341] = {.lex_state = 282},
  [342] = {.lex_state = 282},
  [343] = {.lex_state = 282},
  [344] = {.lex_state = 282},
  [345] = {.lex_state = 282},
  [346] = {.lex_state = 438},
  [347] = {.lex_state = 0},
  [348] = {.lex_state = 0},
  [349] = {.lex_state = 0},
  [350] = {.lex_state = 0},
  [351] = {.lex_state = 346},
  [352] = {.lex_state = 272},
  [353] = {.lex_state = 469},
  [354] = {.lex_state = 282},
  [355] = {.lex_state = 282},
  [356] = {.lex_state = 282},
  [357] = {.lex_state = 282},
  [358] = {.lex_state = 282},
  [359] = {.lex_state = 282},
  [360] = {.lex_state = 282},
  [361] = {.lex_state = 0},
  [362] = {.lex_state = 411, .external_lex_state = 3},
  [363] = {.lex_state = 241, .external_lex_state = 4},
  [364] = {.lex_state = 279, .external_lex_state = 2},
  [365] = {.lex_state = 0},
  [366] = {.lex_state = 346},
  [367] = {.lex_state = 272},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 346},
  [370] = {.lex_state = 272},
  [371] = {.lex_state = 411, .external_lex_state = 3},
  [372] = {.lex_state = 0},
  [373] = {.lex_state = 272},
  [374] = {.lex_state = 272},
  [375] = {.lex_state = 272},
  [376] = {.lex_state = 272},
  [377] = {.lex_state = 282},
  [378] = {.lex_state = 282},
  [379] = {.lex_state = 282},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 282},
  [382] = {.lex_state = 282},
  [383] = {.lex_state = 282},
  [384] = {.lex_state = 282},
  [385] = {.lex_state = 282},
  [386] = {.lex_state = 438},
  [387] = {.lex_state = 346},
  [388] = {.lex_state = 301},
  [389] = {.lex_state = 473},
  [390] = {.lex_state = 254},
  [391] = {.lex_state = 336, .external_lex_state = 2},
  [392] = {.lex_state = 336, .external_lex_state = 2},
  [393] = {.lex_state = 272},
  [394] = {.lex_state = 305},
  [395] = {.lex_state = 411, .external_lex_state = 3},
  [396] = {.lex_state = 0},
  [397] = {.lex_state = 423, .external_lex_state = 2},
  [398] = {.lex_state = 0},
  [399] = {.lex_state = 305},
  [400] = {.lex_state = 477, .external_lex_state = 2},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 0},
  [403] = {.lex_state = 272},
  [404] = {.lex_state = 272},
  [405] = {.lex_state = 282},
  [406] = {.lex_state = 301},
  [407] = {.lex_state = 346},
  [408] = {.lex_state = 272},
  [409] = {.lex_state = 0},
  [410] = {.lex_state = 346},
  [411] = {.lex_state = 301},
  [412] = {.lex_state = 272},
  [413] = {.lex_state = 272},
  [414] = {.lex_state = 0},
  [415] = {.lex_state = 308, .external_lex_state = 2},
  [416] = {.lex_state = 301},
  [417] = {.lex_state = 272},
  [418] = {.lex_state = 272},
  [419] = {.lex_state = 0},
  [420] = {.lex_state = 272},
  [421] = {.lex_state = 272},
  [422] = {.lex_state = 457, .external_lex_state = 2},
  [423] = {.lex_state = 328, .external_lex_state = 2},
  [424] = {.lex_state = 272},
  [425] = {.lex_state = 282},
  [426] = {.lex_state = 301},
  [427] = {.lex_state = 346},
  [428] = {.lex_state = 272},
  [429] = {.lex_state = 0},
  [430] = {.lex_state = 346},
  [431] = {.lex_state = 0},
  [432] = {.lex_state = 272},
  [433] = {.lex_state = 0},
  [434] = {.lex_state = 346},
  [435] = {.lex_state = 305},
  [436] = {.lex_state = 0},
  [437] = {.lex_state = 272},
  [438] = {.lex_state = 0},
  [439] = {.lex_state = 282},
  [440] = {.lex_state = 272},
  [441] = {.lex_state = 272},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 282},
  [445] = {.lex_state = 282},
  [446] = {.lex_state = 282},
  [447] = {.lex_state = 0},
  [448] = {.lex_state = 282},
  [449] = {.lex_state = 282},
  [450] = {.lex_state = 282},
  [451] = {.lex_state = 282},
  [452] = {.lex_state = 282},
  [453] = {.lex_state = 438},
  [454] = {.lex_state = 0},
  [455] = {.lex_state = 328, .external_lex_state = 2},
  [456] = {.lex_state = 272},
  [457] = {.lex_state = 272},
  [458] = {.lex_state = 282},
  [459] = {.lex_state = 301},
  [460] = {.lex_state = 346},
  [461] = {.lex_state = 272},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 346},
  [464] = {.lex_state = 0},
  [465] = {.lex_state = 272},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 346},
  [468] = {.lex_state = 305},
  [469] = {.lex_state = 328, .external_lex_state = 2},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 305},
  [472] = {.lex_state = 0},
  [473] = {.lex_state = 272},
  [474] = {.lex_state = 272},
  [475] = {.lex_state = 0},
  [476] = {.lex_state = 282},
  [477] = {.lex_state = 272},
  [478] = {.lex_state = 272},
  [479] = {.lex_state = 0},
  [480] = {.lex_state = 0},
  [481] = {.lex_state = 282},
  [482] = {.lex_state = 282},
  [483] = {.lex_state = 282},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 282},
  [486] = {.lex_state = 282},
  [487] = {.lex_state = 282},
  [488] = {.lex_state = 282},
  [489] = {.lex_state = 282},
  [490] = {.lex_state = 438},
  [491] = {.lex_state = 0},
  [492] = {.lex_state = 0},
  [493] = {.lex_state = 285, .external_lex_state = 2},
  [494] = {.lex_state = 272},
  [495] = {.lex_state = 282},
  [496] = {.lex_state = 301},
  [497] = {.lex_state = 480, .external_lex_state = 2},
  [498] = {.lex_state = 272},
  [499] = {.lex_state = 483, .external_lex_state = 2},
  [500] = {.lex_state = 486, .external_lex_state = 2},
  [501] = {.lex_state = 489, .external_lex_state = 2},
  [502] = {.lex_state = 492, .external_lex_state = 2},
  [503] = {.lex_state = 308, .external_lex_state = 2},
  [504] = {.lex_state = 279, .external_lex_state = 2},
  [505] = {.lex_state = 279, .external_lex_state = 2},
  [506] = {.lex_state = 308, .external_lex_state = 2},
  [507] = {.lex_state = 272},
  [508] = {.lex_state = 282},
  [509] = {.lex_state = 301},
  [510] = {.lex_state = 346},
  [511] = {.lex_state = 272},
  [512] = {.lex_state = 0},
  [513] = {.lex_state = 346},
  [514] = {.lex_state = 429, .external_lex_state = 2},
  [515] = {.lex_state = 308, .external_lex_state = 2},
  [516] = {.lex_state = 432, .external_lex_state = 2},
  [517] = {.lex_state = 435, .external_lex_state = 2},
  [518] = {.lex_state = 328, .external_lex_state = 2},
  [519] = {.lex_state = 328, .external_lex_state = 2},
  [520] = {.lex_state = 0},
  [521] = {.lex_state = 305},
  [522] = {.lex_state = 346},
  [523] = {.lex_state = 346},
  [524] = {.lex_state = 0},
  [525] = {.lex_state = 0},
  [526] = {.lex_state = 328, .external_lex_state = 2},
  [527] = {.lex_state = 328, .external_lex_state = 2},
  [528] = {.lex_state = 328, .external_lex_state = 2},
  [529] = {.lex_state = 282},
  [530] = {.lex_state = 328, .external_lex_state = 2},
  [531] = {.lex_state = 328, .external_lex_state = 2},
  [532] = {.lex_state = 328, .external_lex_state = 2},
  [533] = {.lex_state = 328, .external_lex_state = 2},
  [534] = {.lex_state = 328, .external_lex_state = 2},
  [535] = {.lex_state = 305},
  [536] = {.lex_state = 272},
  [537] = {.lex_state = 282},
  [538] = {.lex_state = 301},
  [539] = {.lex_state = 346},
  [540] = {.lex_state = 272},
  [541] = {.lex_state = 0},
  [542] = {.lex_state = 346},
  [543] = {.lex_state = 0},
  [544] = {.lex_state = 441, .external_lex_state = 2},
  [545] = {.lex_state = 495, .external_lex_state = 2},
  [546] = {.lex_state = 331, .external_lex_state = 2},
  [547] = {.lex_state = 336, .external_lex_state = 2},
  [548] = {.lex_state = 339, .external_lex_state = 2},
  [549] = {.lex_state = 446, .external_lex_state = 2},
  [550] = {.lex_state = 336, .external_lex_state = 2},
  [551] = {.lex_state = 336, .external_lex_state = 2},
  [552] = {.lex_state = 346},
  [553] = {.lex_state = 342},
  [554] = {.lex_state = 254},
  [555] = {.lex_state = 279, .external_lex_state = 2},
  [556] = {.lex_state = 279, .external_lex_state = 2},
  [557] = {.lex_state = 346},
  [558] = {.lex_state = 346},
  [559] = {.lex_state = 259},
  [560] = {.lex_state = 0},
  [561] = {.lex_state = 0},
  [562] = {.lex_state = 0},
  [563] = {.lex_state = 272},
  [564] = {.lex_state = 0},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 272},
  [567] = {.lex_state = 0},
  [568] = {.lex_state = 346},
  [569] = {.lex_state = 305},
  [570] = {.lex_state = 272},
  [571] = {.lex_state = 272},
  [572] = {.lex_state = 272},
  [573] = {.lex_state = 0},
  [574] = {.lex_state = 282},
  [575] = {.lex_state = 282},
  [576] = {.lex_state = 282},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 282},
  [579] = {.lex_state = 282},
  [580] = {.lex_state = 282},
  [581] = {.lex_state = 282},
  [582] = {.lex_state = 282},
  [583] = {.lex_state = 438},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 346},
  [586] = {.lex_state = 305},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 0},
  [589] = {.lex_state = 346},
  [590] = {.lex_state = 305},
  [591] = {.lex_state = 346},
  [592] = {.lex_state = 0},
  [593] = {.lex_state = 305},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 0},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 346},
  [598] = {.lex_state = 328, .external_lex_state = 2},
  [599] = {.lex_state = 0},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 282},
  [603] = {.lex_state = 0},
  [604] = {.lex_state = 346},
  [605] = {.lex_state = 0},
  [606] = {.lex_state = 328, .external_lex_state = 2},
  [607] = {.lex_state = 272},
  [608] = {.lex_state = 0},
  [609] = {.lex_state = 259},
  [610] = {.lex_state = 0},
  [611] = {.lex_state = 346},
  [612] = {.lex_state = 346},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 0},
  [615] = {.lex_state = 0},
  [616] = {.lex_state = 346},
  [617] = {.lex_state = 346},
  [618] = {.lex_state = 346},
  [619] = {.lex_state = 282},
  [620] = {.lex_state = 346},
  [621] = {.lex_state = 346},
  [622] = {.lex_state = 346},
  [623] = {.lex_state = 346},
  [624] = {.lex_state = 346},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 382, .external_lex_state = 2},
  [629] = {.lex_state = 382, .external_lex_state = 2},
  [630] = {.lex_state = 259},
  [631] = {.lex_state = 0},
  [632] = {.lex_state = 0},
  [633] = {.lex_state = 393, .external_lex_state = 2},
  [634] = {.lex_state = 272},
  [635] = {.lex_state = 382, .external_lex_state = 2},
  [636] = {.lex_state = 305},
  [637] = {.lex_state = 0},
  [638] = {.lex_state = 0},
  [639] = {.lex_state = 382, .external_lex_state = 2},
  [640] = {.lex_state = 305},
  [641] = {.lex_state = 382, .external_lex_state = 2},
  [642] = {.lex_state = 0},
  [643] = {.lex_state = 305},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 389, .external_lex_state = 2},
  [648] = {.lex_state = 393, .external_lex_state = 2},
  [649] = {.lex_state = 272, .external_lex_state = 2},
  [650] = {.lex_state = 336, .external_lex_state = 2},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 393, .external_lex_state = 2},
  [653] = {.lex_state = 382, .external_lex_state = 2},
  [654] = {.lex_state = 382, .external_lex_state = 2},
  [655] = {.lex_state = 0},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 396, .external_lex_state = 2},
  [659] = {.lex_state = 396, .external_lex_state = 2},
  [660] = {.lex_state = 396, .external_lex_state = 2},
  [661] = {.lex_state = 282},
  [662] = {.lex_state = 396, .external_lex_state = 2},
  [663] = {.lex_state = 382, .external_lex_state = 2},
  [664] = {.lex_state = 396, .external_lex_state = 2},
  [665] = {.lex_state = 396, .external_lex_state = 2},
  [666] = {.lex_state = 396, .external_lex_state = 2},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 449, .external_lex_state = 2},
  [670] = {.lex_state = 272, .external_lex_state = 2},
  [671] = {.lex_state = 457, .external_lex_state = 2},
  [672] = {.lex_state = 272},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 454, .external_lex_state = 2},
  [675] = {.lex_state = 272},
  [676] = {.lex_state = 272},
  [677] = {.lex_state = 272},
  [678] = {.lex_state = 282},
  [679] = {.lex_state = 282},
  [680] = {.lex_state = 282},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 282},
  [683] = {.lex_state = 282},
  [684] = {.lex_state = 282},
  [685] = {.lex_state = 282},
  [686] = {.lex_state = 282},
  [687] = {.lex_state = 438},
  [688] = {.lex_state = 498, .external_lex_state = 2},
  [689] = {.lex_state = 405, .external_lex_state = 2},
  [690] = {.lex_state = 272},
  [691] = {.lex_state = 399, .external_lex_state = 2},
  [692] = {.lex_state = 457, .external_lex_state = 2},
  [693] = {.lex_state = 405, .external_lex_state = 2},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 405, .external_lex_state = 2},
  [696] = {.lex_state = 275, .external_lex_state = 2},
  [697] = {.lex_state = 463, .external_lex_state = 2},
  [698] = {.lex_state = 408, .external_lex_state = 2},
  [699] = {.lex_state = 408, .external_lex_state = 2},
  [700] = {.lex_state = 408, .external_lex_state = 2},
  [701] = {.lex_state = 282},
  [702] = {.lex_state = 408, .external_lex_state = 2},
  [703] = {.lex_state = 408, .external_lex_state = 2},
  [704] = {.lex_state = 408, .external_lex_state = 2},
  [705] = {.lex_state = 408, .external_lex_state = 2},
  [706] = {.lex_state = 466, .external_lex_state = 2},
  [707] = {.lex_state = 241},
  [708] = {.lex_state = 411},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 272},
  [711] = {.lex_state = 346},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 241, .external_lex_state = 4},
  [714] = {.lex_state = 279, .external_lex_state = 2},
  [715] = {.lex_state = 501},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 346},
  [718] = {.lex_state = 346},
  [719] = {.lex_state = 346},
  [720] = {.lex_state = 282},
  [721] = {.lex_state = 346},
  [722] = {.lex_state = 346},
  [723] = {.lex_state = 346},
  [724] = {.lex_state = 346},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 272},
  [727] = {.lex_state = 411, .external_lex_state = 3},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 473},
  [730] = {.lex_state = 346},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 346},
  [734] = {.lex_state = 346},
  [735] = {.lex_state = 346},
  [736] = {.lex_state = 346},
  [737] = {.lex_state = 346},
  [738] = {.lex_state = 346},
  [739] = {.lex_state = 346},
  [740] = {.lex_state = 469},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 241, .external_lex_state = 4},
  [743] = {.lex_state = 279, .external_lex_state = 2},
  [744] = {.lex_state = 505},
  [745] = {.lex_state = 510},
  [746] = {.lex_state = 279, .external_lex_state = 2},
  [747] = {.lex_state = 272},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 282},
  [750] = {.lex_state = 272},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 272},
  [753] = {.lex_state = 254},
  [754] = {.lex_state = 254},
  [755] = {.lex_state = 241, .external_lex_state = 4},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 510},
  [758] = {.lex_state = 411, .external_lex_state = 2},
  [759] = {.lex_state = 279, .external_lex_state = 2},
  [760] = {.lex_state = 305},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 241},
  [763] = {.lex_state = 510},
  [764] = {.lex_state = 346},
  [765] = {.lex_state = 272},
  [766] = {.lex_state = 346},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 241, .external_lex_state = 4},
  [769] = {.lex_state = 241},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 346},
  [774] = {.lex_state = 346},
  [775] = {.lex_state = 346},
  [776] = {.lex_state = 346},
  [777] = {.lex_state = 282},
  [778] = {.lex_state = 346},
  [779] = {.lex_state = 346},
  [780] = {.lex_state = 346},
  [781] = {.lex_state = 346},
  [782] = {.lex_state = 346},
  [783] = {.lex_state = 473},
  [784] = {.lex_state = 305},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 0},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 411, .external_lex_state = 3},
  [791] = {.lex_state = 272},
  [792] = {.lex_state = 336, .external_lex_state = 2},
  [793] = {.lex_state = 336, .external_lex_state = 2},
  [794] = {.lex_state = 393, .external_lex_state = 2},
  [795] = {.lex_state = 0},
  [796] = {.lex_state = 241},
  [797] = {.lex_state = 411, .external_lex_state = 3},
  [798] = {.lex_state = 423, .external_lex_state = 2},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 0},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 272},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 346},
  [806] = {.lex_state = 272},
  [807] = {.lex_state = 272},
  [808] = {.lex_state = 272},
  [809] = {.lex_state = 282},
  [810] = {.lex_state = 282},
  [811] = {.lex_state = 282},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 282},
  [814] = {.lex_state = 282},
  [815] = {.lex_state = 282},
  [816] = {.lex_state = 282},
  [817] = {.lex_state = 282},
  [818] = {.lex_state = 438},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 272},
  [825] = {.lex_state = 282},
  [826] = {.lex_state = 301},
  [827] = {.lex_state = 346},
  [828] = {.lex_state = 272},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 346},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 301},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 272},
  [836] = {.lex_state = 282},
  [837] = {.lex_state = 301},
  [838] = {.lex_state = 346},
  [839] = {.lex_state = 272},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 346},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 301},
  [845] = {.lex_state = 308, .external_lex_state = 2},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 272},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 346},
  [852] = {.lex_state = 272},
  [853] = {.lex_state = 272},
  [854] = {.lex_state = 272},
  [855] = {.lex_state = 282},
  [856] = {.lex_state = 282},
  [857] = {.lex_state = 282},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 282},
  [860] = {.lex_state = 282},
  [861] = {.lex_state = 282},
  [862] = {.lex_state = 282},
  [863] = {.lex_state = 282},
  [864] = {.lex_state = 438},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 272},
  [868] = {.lex_state = 346},
  [869] = {.lex_state = 328, .external_lex_state = 2},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 305},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 282},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 328, .external_lex_state = 2},
  [879] = {.lex_state = 272},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 346},
  [882] = {.lex_state = 346},
  [883] = {.lex_state = 346},
  [884] = {.lex_state = 282},
  [885] = {.lex_state = 346},
  [886] = {.lex_state = 346},
  [887] = {.lex_state = 346},
  [888] = {.lex_state = 346},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 272},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 346},
  [895] = {.lex_state = 272},
  [896] = {.lex_state = 272},
  [897] = {.lex_state = 272},
  [898] = {.lex_state = 282},
  [899] = {.lex_state = 282},
  [900] = {.lex_state = 282},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 282},
  [903] = {.lex_state = 282},
  [904] = {.lex_state = 282},
  [905] = {.lex_state = 282},
  [906] = {.lex_state = 282},
  [907] = {.lex_state = 438},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 272},
  [911] = {.lex_state = 346},
  [912] = {.lex_state = 305},
  [913] = {.lex_state = 328, .external_lex_state = 2},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 305},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 254},
  [918] = {.lex_state = 328, .external_lex_state = 2},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 305},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 272},
  [925] = {.lex_state = 282},
  [926] = {.lex_state = 301},
  [927] = {.lex_state = 346},
  [928] = {.lex_state = 272},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 346},
  [931] = {.lex_state = 282},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 328, .external_lex_state = 2},
  [935] = {.lex_state = 272},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 346},
  [938] = {.lex_state = 346},
  [939] = {.lex_state = 346},
  [940] = {.lex_state = 282},
  [941] = {.lex_state = 346},
  [942] = {.lex_state = 346},
  [943] = {.lex_state = 346},
  [944] = {.lex_state = 346},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 328, .external_lex_state = 2},
  [947] = {.lex_state = 483, .external_lex_state = 2},
  [948] = {.lex_state = 272},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 480, .external_lex_state = 2},
  [951] = {.lex_state = 272},
  [952] = {.lex_state = 272},
  [953] = {.lex_state = 272},
  [954] = {.lex_state = 282},
  [955] = {.lex_state = 282},
  [956] = {.lex_state = 282},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 282},
  [959] = {.lex_state = 282},
  [960] = {.lex_state = 282},
  [961] = {.lex_state = 282},
  [962] = {.lex_state = 282},
  [963] = {.lex_state = 438},
  [964] = {.lex_state = 514, .external_lex_state = 2},
  [965] = {.lex_state = 259},
  [966] = {.lex_state = 432, .external_lex_state = 2},
  [967] = {.lex_state = 435, .external_lex_state = 2},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 272},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 346},
  [972] = {.lex_state = 272},
  [973] = {.lex_state = 272},
  [974] = {.lex_state = 272},
  [975] = {.lex_state = 272},
  [976] = {.lex_state = 282},
  [977] = {.lex_state = 282},
  [978] = {.lex_state = 282},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 282},
  [981] = {.lex_state = 282},
  [982] = {.lex_state = 282},
  [983] = {.lex_state = 282},
  [984] = {.lex_state = 282},
  [985] = {.lex_state = 438},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 272},
  [988] = {.lex_state = 328, .external_lex_state = 2},
  [989] = {.lex_state = 272},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 272},
  [992] = {.lex_state = 272},
  [993] = {.lex_state = 305},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 328, .external_lex_state = 2},
  [996] = {.lex_state = 305},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 272},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 346},
  [1002] = {.lex_state = 305},
  [1003] = {.lex_state = 272},
  [1004] = {.lex_state = 305},
  [1005] = {.lex_state = 272},
  [1006] = {.lex_state = 272},
  [1007] = {.lex_state = 328, .external_lex_state = 2},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 282},
  [1010] = {.lex_state = 282},
  [1011] = {.lex_state = 282},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 282},
  [1014] = {.lex_state = 282},
  [1015] = {.lex_state = 282},
  [1016] = {.lex_state = 282},
  [1017] = {.lex_state = 282},
  [1018] = {.lex_state = 438},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 254},
  [1021] = {.lex_state = 346},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 346},
  [1025] = {.lex_state = 346},
  [1026] = {.lex_state = 346},
  [1027] = {.lex_state = 259},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 272},
  [1031] = {.lex_state = 346},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 305},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 346},
  [1038] = {.lex_state = 346},
  [1039] = {.lex_state = 346},
  [1040] = {.lex_state = 282},
  [1041] = {.lex_state = 346},
  [1042] = {.lex_state = 346},
  [1043] = {.lex_state = 346},
  [1044] = {.lex_state = 346},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 346},
  [1047] = {.lex_state = 305},
  [1048] = {.lex_state = 346},
  [1049] = {.lex_state = 346},
  [1050] = {.lex_state = 305},
  [1051] = {.lex_state = 346},
  [1052] = {.lex_state = 305},
  [1053] = {.lex_state = 346},
  [1054] = {.lex_state = 346},
  [1055] = {.lex_state = 272},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 272},
  [1058] = {.lex_state = 272},
  [1059] = {.lex_state = 282},
  [1060] = {.lex_state = 301},
  [1061] = {.lex_state = 346},
  [1062] = {.lex_state = 272},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 346},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 328, .external_lex_state = 2},
  [1067] = {.lex_state = 259},
  [1068] = {.lex_state = 346},
  [1069] = {.lex_state = 305},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 346},
  [1072] = {.lex_state = 305},
  [1073] = {.lex_state = 346},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 382, .external_lex_state = 2},
  [1076] = {.lex_state = 382, .external_lex_state = 2},
  [1077] = {.lex_state = 259},
  [1078] = {.lex_state = 393, .external_lex_state = 2},
  [1079] = {.lex_state = 382, .external_lex_state = 2},
  [1080] = {.lex_state = 305},
  [1081] = {.lex_state = 382, .external_lex_state = 2},
  [1082] = {.lex_state = 382, .external_lex_state = 2},
  [1083] = {.lex_state = 305},
  [1084] = {.lex_state = 382, .external_lex_state = 2},
  [1085] = {.lex_state = 305},
  [1086] = {.lex_state = 382, .external_lex_state = 2},
  [1087] = {.lex_state = 382, .external_lex_state = 2},
  [1088] = {.lex_state = 272},
  [1089] = {.lex_state = 382, .external_lex_state = 2},
  [1090] = {.lex_state = 305},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 396, .external_lex_state = 2},
  [1093] = {.lex_state = 305},
  [1094] = {.lex_state = 382, .external_lex_state = 2},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 457, .external_lex_state = 2},
  [1097] = {.lex_state = 272},
  [1098] = {.lex_state = 454, .external_lex_state = 2},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 457, .external_lex_state = 2},
  [1101] = {.lex_state = 460, .external_lex_state = 2},
  [1102] = {.lex_state = 460, .external_lex_state = 2},
  [1103] = {.lex_state = 460, .external_lex_state = 2},
  [1104] = {.lex_state = 282},
  [1105] = {.lex_state = 460, .external_lex_state = 2},
  [1106] = {.lex_state = 460, .external_lex_state = 2},
  [1107] = {.lex_state = 460, .external_lex_state = 2},
  [1108] = {.lex_state = 460, .external_lex_state = 2},
  [1109] = {.lex_state = 498, .external_lex_state = 2},
  [1110] = {.lex_state = 405, .external_lex_state = 2},
  [1111] = {.lex_state = 272},
  [1112] = {.lex_state = 272},
  [1113] = {.lex_state = 408, .external_lex_state = 2},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 272},
  [1116] = {.lex_state = 501},
  [1117] = {.lex_state = 241, .external_lex_state = 4},
  [1118] = {.lex_state = 501},
  [1119] = {.lex_state = 411, .external_lex_state = 2},
  [1120] = {.lex_state = 279, .external_lex_state = 2},
  [1121] = {.lex_state = 272},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 241},
  [1124] = {.lex_state = 501},
  [1125] = {.lex_state = 346},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 241},
  [1128] = {.lex_state = 411, .external_lex_state = 3},
  [1129] = {.lex_state = 411, .external_lex_state = 3},
  [1130] = {.lex_state = 272},
  [1131] = {.lex_state = 411, .external_lex_state = 3},
  [1132] = {.lex_state = 305},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 282},
  [1135] = {.lex_state = 505},
  [1136] = {.lex_state = 241, .external_lex_state = 4},
  [1137] = {.lex_state = 505},
  [1138] = {.lex_state = 411, .external_lex_state = 2},
  [1139] = {.lex_state = 279, .external_lex_state = 2},
  [1140] = {.lex_state = 241},
  [1141] = {.lex_state = 241, .external_lex_state = 4},
  [1142] = {.lex_state = 411, .external_lex_state = 2},
  [1143] = {.lex_state = 279, .external_lex_state = 2},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 282},
  [1146] = {.lex_state = 272},
  [1147] = {.lex_state = 254},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 411, .external_lex_state = 3},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 510},
  [1155] = {.lex_state = 241, .external_lex_state = 4},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 241, .external_lex_state = 4},
  [1158] = {.lex_state = 510},
  [1159] = {.lex_state = 411, .external_lex_state = 2},
  [1160] = {.lex_state = 411, .external_lex_state = 3},
  [1161] = {.lex_state = 346},
  [1162] = {.lex_state = 411, .external_lex_state = 3},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 517},
  [1165] = {.lex_state = 241},
  [1166] = {.lex_state = 510},
  [1167] = {.lex_state = 346},
  [1168] = {.lex_state = 241},
  [1169] = {.lex_state = 241, .external_lex_state = 4},
  [1170] = {.lex_state = 272},
  [1171] = {.lex_state = 346},
  [1172] = {.lex_state = 272},
  [1173] = {.lex_state = 272},
  [1174] = {.lex_state = 282},
  [1175] = {.lex_state = 301},
  [1176] = {.lex_state = 346},
  [1177] = {.lex_state = 272},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 346},
  [1180] = {.lex_state = 301},
  [1181] = {.lex_state = 272},
  [1182] = {.lex_state = 272},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 301},
  [1185] = {.lex_state = 272},
  [1186] = {.lex_state = 272},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 473},
  [1189] = {.lex_state = 272},
  [1190] = {.lex_state = 241},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 336, .external_lex_state = 2},
  [1194] = {.lex_state = 241},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 272},
  [1197] = {.lex_state = 346},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 346},
  [1201] = {.lex_state = 346},
  [1202] = {.lex_state = 346},
  [1203] = {.lex_state = 282},
  [1204] = {.lex_state = 346},
  [1205] = {.lex_state = 346},
  [1206] = {.lex_state = 346},
  [1207] = {.lex_state = 346},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 272},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 346},
  [1213] = {.lex_state = 272},
  [1214] = {.lex_state = 272},
  [1215] = {.lex_state = 272},
  [1216] = {.lex_state = 282},
  [1217] = {.lex_state = 282},
  [1218] = {.lex_state = 282},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 282},
  [1221] = {.lex_state = 282},
  [1222] = {.lex_state = 282},
  [1223] = {.lex_state = 282},
  [1224] = {.lex_state = 282},
  [1225] = {.lex_state = 438},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 272},
  [1228] = {.lex_state = 301},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 272},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 346},
  [1233] = {.lex_state = 272},
  [1234] = {.lex_state = 272},
  [1235] = {.lex_state = 272},
  [1236] = {.lex_state = 282},
  [1237] = {.lex_state = 282},
  [1238] = {.lex_state = 282},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 282},
  [1241] = {.lex_state = 282},
  [1242] = {.lex_state = 282},
  [1243] = {.lex_state = 282},
  [1244] = {.lex_state = 282},
  [1245] = {.lex_state = 438},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 272},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 272},
  [1250] = {.lex_state = 346},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 346},
  [1254] = {.lex_state = 346},
  [1255] = {.lex_state = 346},
  [1256] = {.lex_state = 282},
  [1257] = {.lex_state = 346},
  [1258] = {.lex_state = 346},
  [1259] = {.lex_state = 346},
  [1260] = {.lex_state = 346},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 328, .external_lex_state = 2},
  [1264] = {.lex_state = 305},
  [1265] = {.lex_state = 272},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 272},
  [1268] = {.lex_state = 272},
  [1269] = {.lex_state = 282},
  [1270] = {.lex_state = 301},
  [1271] = {.lex_state = 346},
  [1272] = {.lex_state = 272},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 346},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 346},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 272},
  [1279] = {.lex_state = 346},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 346},
  [1283] = {.lex_state = 346},
  [1284] = {.lex_state = 346},
  [1285] = {.lex_state = 282},
  [1286] = {.lex_state = 346},
  [1287] = {.lex_state = 346},
  [1288] = {.lex_state = 346},
  [1289] = {.lex_state = 346},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 328, .external_lex_state = 2},
  [1293] = {.lex_state = 305},
  [1294] = {.lex_state = 272},
  [1295] = {.lex_state = 328, .external_lex_state = 2},
  [1296] = {.lex_state = 305},
  [1297] = {.lex_state = 272},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 272},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 346},
  [1302] = {.lex_state = 272},
  [1303] = {.lex_state = 272},
  [1304] = {.lex_state = 272},
  [1305] = {.lex_state = 282},
  [1306] = {.lex_state = 282},
  [1307] = {.lex_state = 282},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 282},
  [1310] = {.lex_state = 282},
  [1311] = {.lex_state = 282},
  [1312] = {.lex_state = 282},
  [1313] = {.lex_state = 282},
  [1314] = {.lex_state = 438},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 272},
  [1318] = {.lex_state = 272},
  [1319] = {.lex_state = 282},
  [1320] = {.lex_state = 301},
  [1321] = {.lex_state = 346},
  [1322] = {.lex_state = 272},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 346},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 346},
  [1327] = {.lex_state = 483, .external_lex_state = 2},
  [1328] = {.lex_state = 272},
  [1329] = {.lex_state = 480, .external_lex_state = 2},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 483, .external_lex_state = 2},
  [1332] = {.lex_state = 486, .external_lex_state = 2},
  [1333] = {.lex_state = 486, .external_lex_state = 2},
  [1334] = {.lex_state = 486, .external_lex_state = 2},
  [1335] = {.lex_state = 282},
  [1336] = {.lex_state = 486, .external_lex_state = 2},
  [1337] = {.lex_state = 486, .external_lex_state = 2},
  [1338] = {.lex_state = 486, .external_lex_state = 2},
  [1339] = {.lex_state = 486, .external_lex_state = 2},
  [1340] = {.lex_state = 514, .external_lex_state = 2},
  [1341] = {.lex_state = 279, .external_lex_state = 2},
  [1342] = {.lex_state = 432, .external_lex_state = 2},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 272},
  [1345] = {.lex_state = 346},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 308, .external_lex_state = 2},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 346},
  [1350] = {.lex_state = 346},
  [1351] = {.lex_state = 346},
  [1352] = {.lex_state = 282},
  [1353] = {.lex_state = 346},
  [1354] = {.lex_state = 346},
  [1355] = {.lex_state = 346},
  [1356] = {.lex_state = 346},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 328, .external_lex_state = 2},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 305},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 305},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 272},
  [1370] = {.lex_state = 346},
  [1371] = {.lex_state = 328, .external_lex_state = 2},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 305},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 346},
  [1380] = {.lex_state = 346},
  [1381] = {.lex_state = 346},
  [1382] = {.lex_state = 282},
  [1383] = {.lex_state = 346},
  [1384] = {.lex_state = 346},
  [1385] = {.lex_state = 346},
  [1386] = {.lex_state = 346},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 346},
  [1389] = {.lex_state = 279, .external_lex_state = 2},
  [1390] = {.lex_state = 254},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 254},
  [1393] = {.lex_state = 346},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 272},
  [1396] = {.lex_state = 272},
  [1397] = {.lex_state = 346},
  [1398] = {.lex_state = 346},
  [1399] = {.lex_state = 346},
  [1400] = {.lex_state = 346},
  [1401] = {.lex_state = 0},
  [1402] = {.lex_state = 272},
  [1403] = {.lex_state = 301},
  [1404] = {.lex_state = 0},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 0},
  [1408] = {.lex_state = 272},
  [1409] = {.lex_state = 0},
  [1410] = {.lex_state = 346},
  [1411] = {.lex_state = 272},
  [1412] = {.lex_state = 272},
  [1413] = {.lex_state = 272},
  [1414] = {.lex_state = 282},
  [1415] = {.lex_state = 282},
  [1416] = {.lex_state = 282},
  [1417] = {.lex_state = 0},
  [1418] = {.lex_state = 282},
  [1419] = {.lex_state = 282},
  [1420] = {.lex_state = 282},
  [1421] = {.lex_state = 282},
  [1422] = {.lex_state = 282},
  [1423] = {.lex_state = 438},
  [1424] = {.lex_state = 0},
  [1425] = {.lex_state = 346},
  [1426] = {.lex_state = 305},
  [1427] = {.lex_state = 346},
  [1428] = {.lex_state = 305},
  [1429] = {.lex_state = 382, .external_lex_state = 2},
  [1430] = {.lex_state = 382, .external_lex_state = 2},
  [1431] = {.lex_state = 382, .external_lex_state = 2},
  [1432] = {.lex_state = 382, .external_lex_state = 2},
  [1433] = {.lex_state = 393, .external_lex_state = 2},
  [1434] = {.lex_state = 382, .external_lex_state = 2},
  [1435] = {.lex_state = 305},
  [1436] = {.lex_state = 382, .external_lex_state = 2},
  [1437] = {.lex_state = 305},
  [1438] = {.lex_state = 457, .external_lex_state = 2},
  [1439] = {.lex_state = 272},
  [1440] = {.lex_state = 460, .external_lex_state = 2},
  [1441] = {.lex_state = 405, .external_lex_state = 2},
  [1442] = {.lex_state = 0},
  [1443] = {.lex_state = 501},
  [1444] = {.lex_state = 501},
  [1445] = {.lex_state = 411, .external_lex_state = 2},
  [1446] = {.lex_state = 0},
  [1447] = {.lex_state = 411, .external_lex_state = 3},
  [1448] = {.lex_state = 241},
  [1449] = {.lex_state = 501},
  [1450] = {.lex_state = 411, .external_lex_state = 3},
  [1451] = {.lex_state = 241},
  [1452] = {.lex_state = 241},
  [1453] = {.lex_state = 0},
  [1454] = {.lex_state = 505},
  [1455] = {.lex_state = 0},
  [1456] = {.lex_state = 305},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 505},
  [1459] = {.lex_state = 505},
  [1460] = {.lex_state = 411, .external_lex_state = 2},
  [1461] = {.lex_state = 241, .external_lex_state = 4},
  [1462] = {.lex_state = 411, .external_lex_state = 2},
  [1463] = {.lex_state = 411, .external_lex_state = 3},
  [1464] = {.lex_state = 0},
  [1465] = {.lex_state = 0},
  [1466] = {.lex_state = 0},
  [1467] = {.lex_state = 272},
  [1468] = {.lex_state = 411, .external_lex_state = 3},
  [1469] = {.lex_state = 0},
  [1470] = {.lex_state = 411, .external_lex_state = 3},
  [1471] = {.lex_state = 0},
  [1472] = {.lex_state = 473},
  [1473] = {.lex_state = 411, .external_lex_state = 3},
  [1474] = {.lex_state = 0},
  [1475] = {.lex_state = 510},
  [1476] = {.lex_state = 510},
  [1477] = {.lex_state = 272},
  [1478] = {.lex_state = 411, .external_lex_state = 3},
  [1479] = {.lex_state = 241},
  [1480] = {.lex_state = 411, .external_lex_state = 3},
  [1481] = {.lex_state = 241},
  [1482] = {.lex_state = 241},
  [1483] = {.lex_state = 346},
  [1484] = {.lex_state = 0},
  [1485] = {.lex_state = 0},
  [1486] = {.lex_state = 272},
  [1487] = {.lex_state = 0},
  [1488] = {.lex_state = 346},
  [1489] = {.lex_state = 272},
  [1490] = {.lex_state = 272},
  [1491] = {.lex_state = 272},
  [1492] = {.lex_state = 282},
  [1493] = {.lex_state = 282},
  [1494] = {.lex_state = 282},
  [1495] = {.lex_state = 0},
  [1496] = {.lex_state = 282},
  [1497] = {.lex_state = 282},
  [1498] = {.lex_state = 282},
  [1499] = {.lex_state = 282},
  [1500] = {.lex_state = 282},
  [1501] = {.lex_state = 438},
  [1502] = {.lex_state = 0},
  [1503] = {.lex_state = 0},
  [1504] = {.lex_state = 0},
  [1505] = {.lex_state = 0},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 301},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 272},
  [1511] = {.lex_state = 282},
  [1512] = {.lex_state = 301},
  [1513] = {.lex_state = 346},
  [1514] = {.lex_state = 272},
  [1515] = {.lex_state = 0},
  [1516] = {.lex_state = 346},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 0},
  [1519] = {.lex_state = 301},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 411, .external_lex_state = 3},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 272},
  [1524] = {.lex_state = 346},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 272},
  [1527] = {.lex_state = 346},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 346},
  [1531] = {.lex_state = 346},
  [1532] = {.lex_state = 346},
  [1533] = {.lex_state = 282},
  [1534] = {.lex_state = 346},
  [1535] = {.lex_state = 346},
  [1536] = {.lex_state = 346},
  [1537] = {.lex_state = 346},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 272},
  [1542] = {.lex_state = 346},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 346},
  [1546] = {.lex_state = 346},
  [1547] = {.lex_state = 346},
  [1548] = {.lex_state = 282},
  [1549] = {.lex_state = 346},
  [1550] = {.lex_state = 346},
  [1551] = {.lex_state = 346},
  [1552] = {.lex_state = 346},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 272},
  [1557] = {.lex_state = 346},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 272},
  [1560] = {.lex_state = 301},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 272},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 346},
  [1567] = {.lex_state = 272},
  [1568] = {.lex_state = 272},
  [1569] = {.lex_state = 272},
  [1570] = {.lex_state = 282},
  [1571] = {.lex_state = 282},
  [1572] = {.lex_state = 282},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 282},
  [1575] = {.lex_state = 282},
  [1576] = {.lex_state = 282},
  [1577] = {.lex_state = 282},
  [1578] = {.lex_state = 282},
  [1579] = {.lex_state = 438},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 272},
  [1583] = {.lex_state = 346},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 272},
  [1588] = {.lex_state = 346},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 346},
  [1592] = {.lex_state = 346},
  [1593] = {.lex_state = 346},
  [1594] = {.lex_state = 282},
  [1595] = {.lex_state = 346},
  [1596] = {.lex_state = 346},
  [1597] = {.lex_state = 346},
  [1598] = {.lex_state = 346},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 272},
  [1601] = {.lex_state = 301},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 272},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 346},
  [1608] = {.lex_state = 272},
  [1609] = {.lex_state = 272},
  [1610] = {.lex_state = 272},
  [1611] = {.lex_state = 282},
  [1612] = {.lex_state = 282},
  [1613] = {.lex_state = 282},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 282},
  [1616] = {.lex_state = 282},
  [1617] = {.lex_state = 282},
  [1618] = {.lex_state = 282},
  [1619] = {.lex_state = 282},
  [1620] = {.lex_state = 438},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 483, .external_lex_state = 2},
  [1623] = {.lex_state = 272},
  [1624] = {.lex_state = 486, .external_lex_state = 2},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 272},
  [1627] = {.lex_state = 346},
  [1628] = {.lex_state = 328, .external_lex_state = 2},
  [1629] = {.lex_state = 305},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 272},
  [1633] = {.lex_state = 305},
  [1634] = {.lex_state = 328, .external_lex_state = 2},
  [1635] = {.lex_state = 305},
  [1636] = {.lex_state = 346},
  [1637] = {.lex_state = 346},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 346},
  [1640] = {.lex_state = 254},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 272},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 520},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 0},
  [1650] = {.lex_state = 272},
  [1651] = {.lex_state = 346},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 346},
  [1655] = {.lex_state = 346},
  [1656] = {.lex_state = 346},
  [1657] = {.lex_state = 282},
  [1658] = {.lex_state = 346},
  [1659] = {.lex_state = 346},
  [1660] = {.lex_state = 346},
  [1661] = {.lex_state = 346},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 346},
  [1664] = {.lex_state = 346},
  [1665] = {.lex_state = 382, .external_lex_state = 2},
  [1666] = {.lex_state = 382, .external_lex_state = 2},
  [1667] = {.lex_state = 457, .external_lex_state = 2},
  [1668] = {.lex_state = 501},
  [1669] = {.lex_state = 411, .external_lex_state = 3},
  [1670] = {.lex_state = 241},
  [1671] = {.lex_state = 505},
  [1672] = {.lex_state = 411, .external_lex_state = 3},
  [1673] = {.lex_state = 241},
  [1674] = {.lex_state = 272},
  [1675] = {.lex_state = 505},
  [1676] = {.lex_state = 241, .external_lex_state = 4},
  [1677] = {.lex_state = 241, .external_lex_state = 4},
  [1678] = {.lex_state = 279, .external_lex_state = 2},
  [1679] = {.lex_state = 501, .external_lex_state = 4},
  [1680] = {.lex_state = 272},
  [1681] = {.lex_state = 411, .external_lex_state = 3},
  [1682] = {.lex_state = 0},
  [1683] = {.lex_state = 473},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 241, .external_lex_state = 4},
  [1686] = {.lex_state = 279, .external_lex_state = 2},
  [1687] = {.lex_state = 505, .external_lex_state = 4},
  [1688] = {.lex_state = 305},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 241, .external_lex_state = 4},
  [1691] = {.lex_state = 510, .external_lex_state = 4},
  [1692] = {.lex_state = 241, .external_lex_state = 4},
  [1693] = {.lex_state = 241, .external_lex_state = 4},
  [1694] = {.lex_state = 411, .external_lex_state = 3},
  [1695] = {.lex_state = 272},
  [1696] = {.lex_state = 241, .external_lex_state = 4},
  [1697] = {.lex_state = 411, .external_lex_state = 3},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 510},
  [1700] = {.lex_state = 241, .external_lex_state = 4},
  [1701] = {.lex_state = 279, .external_lex_state = 2},
  [1702] = {.lex_state = 517},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 272},
  [1705] = {.lex_state = 346},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 346},
  [1709] = {.lex_state = 346},
  [1710] = {.lex_state = 346},
  [1711] = {.lex_state = 282},
  [1712] = {.lex_state = 346},
  [1713] = {.lex_state = 346},
  [1714] = {.lex_state = 346},
  [1715] = {.lex_state = 346},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 272},
  [1718] = {.lex_state = 301},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 272},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 346},
  [1723] = {.lex_state = 272},
  [1724] = {.lex_state = 272},
  [1725] = {.lex_state = 272},
  [1726] = {.lex_state = 282},
  [1727] = {.lex_state = 282},
  [1728] = {.lex_state = 282},
  [1729] = {.lex_state = 0},
  [1730] = {.lex_state = 282},
  [1731] = {.lex_state = 282},
  [1732] = {.lex_state = 282},
  [1733] = {.lex_state = 282},
  [1734] = {.lex_state = 282},
  [1735] = {.lex_state = 438},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 272},
  [1738] = {.lex_state = 241},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 272},
  [1742] = {.lex_state = 346},
  [1743] = {.lex_state = 0},
  [1744] = {.lex_state = 272},
  [1745] = {.lex_state = 346},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 0},
  [1748] = {.lex_state = 272},
  [1749] = {.lex_state = 0},
  [1750] = {.lex_state = 520},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 272},
  [1754] = {.lex_state = 346},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 346},
  [1758] = {.lex_state = 346},
  [1759] = {.lex_state = 346},
  [1760] = {.lex_state = 282},
  [1761] = {.lex_state = 346},
  [1762] = {.lex_state = 346},
  [1763] = {.lex_state = 346},
  [1764] = {.lex_state = 346},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 272},
  [1769] = {.lex_state = 346},
  [1770] = {.lex_state = 0},
  [1771] = {.lex_state = 272},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 520},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 272},
  [1777] = {.lex_state = 346},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 346},
  [1781] = {.lex_state = 346},
  [1782] = {.lex_state = 346},
  [1783] = {.lex_state = 282},
  [1784] = {.lex_state = 346},
  [1785] = {.lex_state = 346},
  [1786] = {.lex_state = 346},
  [1787] = {.lex_state = 346},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 483, .external_lex_state = 2},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 254},
  [1794] = {.lex_state = 520},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 272},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 272},
  [1802] = {.lex_state = 346},
  [1803] = {.lex_state = 501},
  [1804] = {.lex_state = 241},
  [1805] = {.lex_state = 241},
  [1806] = {.lex_state = 501, .external_lex_state = 4},
  [1807] = {.lex_state = 241, .external_lex_state = 4},
  [1808] = {.lex_state = 501, .external_lex_state = 4},
  [1809] = {.lex_state = 411, .external_lex_state = 2},
  [1810] = {.lex_state = 279, .external_lex_state = 2},
  [1811] = {.lex_state = 272},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 241, .external_lex_state = 4},
  [1814] = {.lex_state = 501, .external_lex_state = 4},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 241, .external_lex_state = 4},
  [1817] = {.lex_state = 411, .external_lex_state = 3},
  [1818] = {.lex_state = 411, .external_lex_state = 3},
  [1819] = {.lex_state = 272},
  [1820] = {.lex_state = 411, .external_lex_state = 3},
  [1821] = {.lex_state = 505, .external_lex_state = 4},
  [1822] = {.lex_state = 241, .external_lex_state = 4},
  [1823] = {.lex_state = 505, .external_lex_state = 4},
  [1824] = {.lex_state = 411, .external_lex_state = 2},
  [1825] = {.lex_state = 279, .external_lex_state = 2},
  [1826] = {.lex_state = 241, .external_lex_state = 4},
  [1827] = {.lex_state = 411, .external_lex_state = 3},
  [1828] = {.lex_state = 346},
  [1829] = {.lex_state = 411, .external_lex_state = 3},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 517, .external_lex_state = 4},
  [1832] = {.lex_state = 241, .external_lex_state = 4},
  [1833] = {.lex_state = 510, .external_lex_state = 4},
  [1834] = {.lex_state = 241, .external_lex_state = 4},
  [1835] = {.lex_state = 241, .external_lex_state = 4},
  [1836] = {.lex_state = 241, .external_lex_state = 4},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 241, .external_lex_state = 4},
  [1839] = {.lex_state = 411, .external_lex_state = 3},
  [1840] = {.lex_state = 517},
  [1841] = {.lex_state = 241, .external_lex_state = 4},
  [1842] = {.lex_state = 517},
  [1843] = {.lex_state = 411, .external_lex_state = 2},
  [1844] = {.lex_state = 279, .external_lex_state = 2},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 272},
  [1847] = {.lex_state = 346},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 272},
  [1851] = {.lex_state = 346},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 346},
  [1855] = {.lex_state = 346},
  [1856] = {.lex_state = 346},
  [1857] = {.lex_state = 282},
  [1858] = {.lex_state = 346},
  [1859] = {.lex_state = 346},
  [1860] = {.lex_state = 346},
  [1861] = {.lex_state = 346},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 0},
  [1866] = {.lex_state = 520},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 272},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 0},
  [1871] = {.lex_state = 272},
  [1872] = {.lex_state = 346},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 520},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 272},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 272},
  [1880] = {.lex_state = 346},
  [1881] = {.lex_state = 520},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 272},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 501, .external_lex_state = 4},
  [1886] = {.lex_state = 501, .external_lex_state = 4},
  [1887] = {.lex_state = 411, .external_lex_state = 2},
  [1888] = {.lex_state = 0},
  [1889] = {.lex_state = 411, .external_lex_state = 3},
  [1890] = {.lex_state = 241, .external_lex_state = 4},
  [1891] = {.lex_state = 501, .external_lex_state = 4},
  [1892] = {.lex_state = 411, .external_lex_state = 3},
  [1893] = {.lex_state = 241, .external_lex_state = 4},
  [1894] = {.lex_state = 241, .external_lex_state = 4},
  [1895] = {.lex_state = 0},
  [1896] = {.lex_state = 505, .external_lex_state = 4},
  [1897] = {.lex_state = 505, .external_lex_state = 4},
  [1898] = {.lex_state = 505, .external_lex_state = 4},
  [1899] = {.lex_state = 411, .external_lex_state = 2},
  [1900] = {.lex_state = 241, .external_lex_state = 4},
  [1901] = {.lex_state = 279, .external_lex_state = 2},
  [1902] = {.lex_state = 510, .external_lex_state = 4},
  [1903] = {.lex_state = 272},
  [1904] = {.lex_state = 411, .external_lex_state = 3},
  [1905] = {.lex_state = 241, .external_lex_state = 4},
  [1906] = {.lex_state = 411, .external_lex_state = 3},
  [1907] = {.lex_state = 241, .external_lex_state = 4},
  [1908] = {.lex_state = 241, .external_lex_state = 4},
  [1909] = {.lex_state = 411, .external_lex_state = 3},
  [1910] = {.lex_state = 510},
  [1911] = {.lex_state = 517},
  [1912] = {.lex_state = 517},
  [1913] = {.lex_state = 411, .external_lex_state = 2},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 272},
  [1917] = {.lex_state = 346},
  [1918] = {.lex_state = 520},
  [1919] = {.lex_state = 272},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 520},
  [1922] = {.lex_state = 272},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 501, .external_lex_state = 4},
  [1925] = {.lex_state = 411, .external_lex_state = 3},
  [1926] = {.lex_state = 241, .external_lex_state = 4},
  [1927] = {.lex_state = 505, .external_lex_state = 4},
  [1928] = {.lex_state = 411, .external_lex_state = 3},
  [1929] = {.lex_state = 241, .external_lex_state = 4},
  [1930] = {.lex_state = 505, .external_lex_state = 4},
  [1931] = {.lex_state = 510, .external_lex_state = 4},
  [1932] = {.lex_state = 241, .external_lex_state = 4},
  [1933] = {.lex_state = 510, .external_lex_state = 4},
  [1934] = {.lex_state = 411, .external_lex_state = 2},
  [1935] = {.lex_state = 279, .external_lex_state = 2},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 510, .external_lex_state = 4},
  [1938] = {.lex_state = 241, .external_lex_state = 4},
  [1939] = {.lex_state = 279, .external_lex_state = 2},
  [1940] = {.lex_state = 517, .external_lex_state = 4},
  [1941] = {.lex_state = 241, .external_lex_state = 4},
  [1942] = {.lex_state = 517},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 501, .external_lex_state = 4},
  [1945] = {.lex_state = 241, .external_lex_state = 4},
  [1946] = {.lex_state = 241, .external_lex_state = 4},
  [1947] = {.lex_state = 510, .external_lex_state = 4},
  [1948] = {.lex_state = 510, .external_lex_state = 4},
  [1949] = {.lex_state = 411, .external_lex_state = 2},
  [1950] = {.lex_state = 411, .external_lex_state = 3},
  [1951] = {.lex_state = 517, .external_lex_state = 4},
  [1952] = {.lex_state = 241, .external_lex_state = 4},
  [1953] = {.lex_state = 517, .external_lex_state = 4},
  [1954] = {.lex_state = 411, .external_lex_state = 2},
  [1955] = {.lex_state = 279, .external_lex_state = 2},
  [1956] = {.lex_state = 510, .external_lex_state = 4},
  [1957] = {.lex_state = 510, .external_lex_state = 4},
  [1958] = {.lex_state = 517, .external_lex_state = 4},
  [1959] = {.lex_state = 517, .external_lex_state = 4},
  [1960] = {.lex_state = 411, .external_lex_state = 2},
  [1961] = {.lex_state = 517, .external_lex_state = 4},
};

enum {
  ts_external_token__newline,
  ts_external_token__indent,
  ts_external_token__dedent,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
};

static bool ts_external_scanner_states[5][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
  },
  [2] = {
    [ts_external_token__newline] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
  },
  [4] = {
    [ts_external_token__dedent] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(3),
    [anon_sym_print] = ACTIONS(3),
    [anon_sym_GT_GT] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(3),
    [anon_sym_return] = ACTIONS(3),
    [anon_sym_del] = ACTIONS(3),
    [anon_sym_raise] = ACTIONS(3),
    [sym_pass_statement] = ACTIONS(3),
    [sym_break_statement] = ACTIONS(3),
    [sym_continue_statement] = ACTIONS(3),
    [anon_sym_if] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(3),
    [anon_sym_else] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(3),
    [anon_sym_except] = ACTIONS(3),
    [anon_sym_finally] = ACTIONS(3),
    [anon_sym_with] = ACTIONS(3),
    [anon_sym_def] = ACTIONS(3),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(3),
    [anon_sym_global] = ACTIONS(3),
    [anon_sym_nonlocal] = ACTIONS(3),
    [anon_sym_exec] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(3),
    [anon_sym_not] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3),
    [anon_sym_PLUS] = ACTIONS(3),
    [anon_sym_DASH] = ACTIONS(3),
    [anon_sym_SLASH] = ACTIONS(3),
    [anon_sym_PERCENT] = ACTIONS(3),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_STAR_STAR] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_LT_LT] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(3),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(3),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(3),
    [anon_sym_lambda] = ACTIONS(3),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_string] = ACTIONS(1),
    [sym_integer] = ACTIONS(3),
    [sym_float] = ACTIONS(3),
    [sym_identifier] = ACTIONS(3),
    [sym_true] = ACTIONS(3),
    [sym_false] = ACTIONS(3),
    [sym_none] = ACTIONS(3),
    [anon_sym_await] = ACTIONS(3),
    [sym_comment] = ACTIONS(1),
    [sym__semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(31),
    [sym__statement] = STATE(36),
    [sym__simple_statements] = STATE(36),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_if_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_try_statement] = STATE(36),
    [sym_with_statement] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym_class_definition] = STATE(36),
    [sym_decorated_definition] = STATE(36),
    [sym_decorator] = STATE(37),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(36),
    [aux_sym_decorated_definition_repeat1] = STATE(37),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_def] = ACTIONS(37),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [2] = {
    [sym__import_list] = STATE(39),
    [sym_aliased_import] = STATE(40),
    [sym_dotted_name] = STATE(41),
    [sym_identifier] = ACTIONS(71),
    [sym_comment] = ACTIONS(69),
  },
  [3] = {
    [sym_import_prefix] = STATE(43),
    [sym_relative_import] = STATE(44),
    [sym_dotted_name] = STATE(44),
    [aux_sym_import_prefix_repeat1] = STATE(45),
    [anon_sym_DOT] = ACTIONS(73),
    [sym_identifier] = ACTIONS(75),
    [sym_comment] = ACTIONS(69),
  },
  [4] = {
    [sym__expression] = STATE(58),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(58),
    [sym_boolean_operator] = STATE(58),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(58),
    [sym_lambda] = STATE(58),
    [sym_yield] = STATE(60),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(58),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(58),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(79),
    [anon_sym_COMMA] = ACTIONS(81),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [5] = {
    [sym_chevron] = STATE(71),
    [sym__expression] = STATE(72),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(72),
    [sym_boolean_operator] = STATE(72),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(72),
    [sym_lambda] = STATE(72),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(72),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(72),
    [sym__newline] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_STAR] = ACTIONS(107),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_GT_GT] = ACTIONS(111),
    [anon_sym_if] = ACTIONS(107),
    [anon_sym_COLON] = ACTIONS(105),
    [anon_sym_in] = ACTIONS(107),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_AT] = ACTIONS(107),
    [anon_sym_not] = ACTIONS(107),
    [anon_sym_and] = ACTIONS(107),
    [anon_sym_or] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(107),
    [anon_sym_SLASH] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(107),
    [anon_sym_SLASH_SLASH] = ACTIONS(107),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(107),
    [anon_sym_AMP] = ACTIONS(107),
    [anon_sym_CARET] = ACTIONS(107),
    [anon_sym_LT_LT] = ACTIONS(107),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(105),
    [anon_sym_EQ_EQ] = ACTIONS(105),
    [anon_sym_BANG_EQ] = ACTIONS(105),
    [anon_sym_GT_EQ] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(107),
    [anon_sym_LT_GT] = ACTIONS(105),
    [anon_sym_is] = ACTIONS(107),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_PLUS_EQ] = ACTIONS(105),
    [anon_sym_DASH_EQ] = ACTIONS(105),
    [anon_sym_STAR_EQ] = ACTIONS(105),
    [anon_sym_SLASH_EQ] = ACTIONS(105),
    [anon_sym_AT_EQ] = ACTIONS(105),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(105),
    [anon_sym_PERCENT_EQ] = ACTIONS(105),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(105),
    [anon_sym_GT_GT_EQ] = ACTIONS(105),
    [anon_sym_LT_LT_EQ] = ACTIONS(105),
    [anon_sym_AMP_EQ] = ACTIONS(105),
    [anon_sym_CARET_EQ] = ACTIONS(105),
    [anon_sym_PIPE_EQ] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(105),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(105),
  },
  [6] = {
    [sym__expression] = STATE(74),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(74),
    [sym_boolean_operator] = STATE(74),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(74),
    [sym_lambda] = STATE(74),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(74),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(74),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [7] = {
    [sym_expression_list] = STATE(75),
    [sym__expression] = STATE(76),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(76),
    [sym_boolean_operator] = STATE(76),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(76),
    [sym_lambda] = STATE(76),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(76),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(76),
    [sym__newline] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(133),
  },
  [8] = {
    [sym_expression_list] = STATE(77),
    [sym__expression] = STATE(76),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(76),
    [sym_boolean_operator] = STATE(76),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(76),
    [sym_lambda] = STATE(76),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(76),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(76),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [9] = {
    [sym_expression_list] = STATE(84),
    [sym__expression] = STATE(85),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(85),
    [sym_boolean_operator] = STATE(85),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(85),
    [sym_lambda] = STATE(85),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(85),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(85),
    [sym__newline] = ACTIONS(135),
    [anon_sym_from] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(135),
  },
  [10] = {
    [aux_sym__simple_statements_repeat1] = STATE(89),
    [sym__newline] = ACTIONS(153),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(155),
  },
  [11] = {
    [sym__expression] = STATE(95),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(95),
    [sym_boolean_operator] = STATE(95),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(95),
    [sym_lambda] = STATE(95),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(95),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(95),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [12] = {
    [anon_sym_for] = ACTIONS(171),
    [anon_sym_with] = ACTIONS(173),
    [anon_sym_def] = ACTIONS(175),
    [sym_comment] = ACTIONS(69),
  },
  [13] = {
    [sym_variables] = STATE(102),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [14] = {
    [sym__expression] = STATE(104),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(104),
    [sym_boolean_operator] = STATE(104),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(104),
    [sym_lambda] = STATE(104),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(104),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(104),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [15] = {
    [anon_sym_COLON] = ACTIONS(185),
    [sym_comment] = ACTIONS(69),
  },
  [16] = {
    [sym_with_item] = STATE(111),
    [sym__expression] = STATE(112),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(112),
    [sym_boolean_operator] = STATE(112),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(112),
    [sym_lambda] = STATE(112),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(112),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(112),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [17] = {
    [sym_identifier] = ACTIONS(201),
    [sym_comment] = ACTIONS(69),
  },
  [18] = {
    [sym_identifier] = ACTIONS(203),
    [sym_comment] = ACTIONS(69),
  },
  [19] = {
    [sym_identifier] = ACTIONS(205),
    [sym_comment] = ACTIONS(69),
  },
  [20] = {
    [sym__newline] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_STAR] = ACTIONS(107),
    [anon_sym_GT_GT] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(105),
    [anon_sym_in] = ACTIONS(105),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(107),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_and] = ACTIONS(105),
    [anon_sym_or] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(107),
    [anon_sym_SLASH] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(107),
    [anon_sym_SLASH_SLASH] = ACTIONS(107),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(107),
    [anon_sym_AMP] = ACTIONS(107),
    [anon_sym_CARET] = ACTIONS(107),
    [anon_sym_LT_LT] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(105),
    [anon_sym_EQ_EQ] = ACTIONS(105),
    [anon_sym_BANG_EQ] = ACTIONS(105),
    [anon_sym_GT_EQ] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(107),
    [anon_sym_LT_GT] = ACTIONS(105),
    [anon_sym_is] = ACTIONS(105),
    [anon_sym_PLUS_EQ] = ACTIONS(105),
    [anon_sym_DASH_EQ] = ACTIONS(105),
    [anon_sym_STAR_EQ] = ACTIONS(105),
    [anon_sym_SLASH_EQ] = ACTIONS(105),
    [anon_sym_AT_EQ] = ACTIONS(105),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(105),
    [anon_sym_PERCENT_EQ] = ACTIONS(105),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(105),
    [anon_sym_GT_GT_EQ] = ACTIONS(105),
    [anon_sym_LT_LT_EQ] = ACTIONS(105),
    [anon_sym_AMP_EQ] = ACTIONS(105),
    [anon_sym_CARET_EQ] = ACTIONS(105),
    [anon_sym_PIPE_EQ] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(105),
    [sym_string] = ACTIONS(207),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(105),
  },
  [21] = {
    [sym_identifier] = ACTIONS(209),
    [sym_comment] = ACTIONS(69),
  },
  [22] = {
    [sym_dotted_name] = STATE(120),
    [sym_identifier] = ACTIONS(211),
    [sym_comment] = ACTIONS(69),
  },
  [23] = {
    [sym__expression] = STATE(122),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(122),
    [sym_boolean_operator] = STATE(122),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(122),
    [sym_lambda] = STATE(122),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(122),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(122),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [24] = {
    [sym__primary_expression] = STATE(123),
    [sym_binary_operator] = STATE(123),
    [sym_unary_operator] = STATE(123),
    [sym_attribute] = STATE(123),
    [sym_subscript] = STATE(123),
    [sym_call] = STATE(123),
    [sym_list] = STATE(123),
    [sym_list_comprehension] = STATE(123),
    [sym_dictionary] = STATE(123),
    [sym_dictionary_comprehension] = STATE(123),
    [sym_set] = STATE(123),
    [sym_set_comprehension] = STATE(123),
    [sym_parenthesized_expression] = STATE(123),
    [sym_tuple] = STATE(123),
    [sym_generator_expression] = STATE(123),
    [sym_concatenated_string] = STATE(123),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(215),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(217),
    [sym_float] = ACTIONS(217),
    [sym_identifier] = ACTIONS(217),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [sym_none] = ACTIONS(217),
    [sym_comment] = ACTIONS(69),
  },
  [25] = {
    [sym_lambda_parameters] = STATE(129),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(225),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [26] = {
    [sym_expression_list] = STATE(134),
    [sym__expression] = STATE(76),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(76),
    [sym_boolean_operator] = STATE(76),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(76),
    [sym_lambda] = STATE(76),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(76),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(76),
    [sym__newline] = ACTIONS(229),
    [anon_sym_from] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(229),
  },
  [27] = {
    [sym_list_splat] = STATE(143),
    [sym__expression] = STATE(144),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(144),
    [sym_boolean_operator] = STATE(144),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(144),
    [sym_lambda] = STATE(144),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(144),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(144),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(243),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [28] = {
    [sym_list_splat] = STATE(154),
    [sym_dictionary_splat] = STATE(155),
    [sym__expression] = STATE(156),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(156),
    [sym_boolean_operator] = STATE(156),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(156),
    [sym_lambda] = STATE(156),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_pair] = STATE(158),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(156),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(156),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(255),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(265),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [29] = {
    [aux_sym_concatenated_string_repeat1] = STATE(159),
    [sym__newline] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(275),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(275),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(275),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(275),
    [anon_sym_SLASH_SLASH] = ACTIONS(275),
    [anon_sym_STAR_STAR] = ACTIONS(275),
    [anon_sym_PIPE] = ACTIONS(275),
    [anon_sym_AMP] = ACTIONS(275),
    [anon_sym_CARET] = ACTIONS(275),
    [anon_sym_LT_LT] = ACTIONS(275),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AT_EQ] = ACTIONS(273),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(277),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(273),
  },
  [30] = {
    [sym__expression] = STATE(160),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(160),
    [sym_boolean_operator] = STATE(160),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(160),
    [sym_lambda] = STATE(160),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(160),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(160),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [31] = {
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym_comment] = ACTIONS(69),
  },
  [32] = {
    [anon_sym_COLON] = ACTIONS(281),
    [anon_sym_EQ] = ACTIONS(283),
    [anon_sym_PLUS_EQ] = ACTIONS(285),
    [anon_sym_DASH_EQ] = ACTIONS(285),
    [anon_sym_STAR_EQ] = ACTIONS(285),
    [anon_sym_SLASH_EQ] = ACTIONS(285),
    [anon_sym_AT_EQ] = ACTIONS(285),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(285),
    [anon_sym_PERCENT_EQ] = ACTIONS(285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(285),
    [anon_sym_GT_GT_EQ] = ACTIONS(285),
    [anon_sym_LT_LT_EQ] = ACTIONS(285),
    [anon_sym_AMP_EQ] = ACTIONS(285),
    [anon_sym_CARET_EQ] = ACTIONS(285),
    [anon_sym_PIPE_EQ] = ACTIONS(285),
    [sym_comment] = ACTIONS(69),
  },
  [33] = {
    [aux_sym_print_statement_repeat1] = STATE(168),
    [sym__newline] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_COLON] = ACTIONS(293),
    [anon_sym_EQ] = ACTIONS(293),
    [anon_sym_and] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_AT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(293),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(287),
  },
  [34] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [aux_sym_comparison_operator_repeat1] = STATE(183),
    [sym__newline] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_GT_GT] = ACTIONS(307),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_not] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_SLASH_SLASH] = ACTIONS(305),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(319),
    [anon_sym_AMP] = ACTIONS(321),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(309),
    [anon_sym_EQ_EQ] = ACTIONS(309),
    [anon_sym_BANG_EQ] = ACTIONS(309),
    [anon_sym_GT_EQ] = ACTIONS(309),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_LT_GT] = ACTIONS(309),
    [anon_sym_is] = ACTIONS(327),
    [anon_sym_PLUS_EQ] = ACTIONS(299),
    [anon_sym_DASH_EQ] = ACTIONS(299),
    [anon_sym_STAR_EQ] = ACTIONS(299),
    [anon_sym_SLASH_EQ] = ACTIONS(299),
    [anon_sym_AT_EQ] = ACTIONS(299),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(299),
    [anon_sym_PERCENT_EQ] = ACTIONS(299),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(299),
    [anon_sym_GT_GT_EQ] = ACTIONS(299),
    [anon_sym_LT_LT_EQ] = ACTIONS(299),
    [anon_sym_AMP_EQ] = ACTIONS(299),
    [anon_sym_CARET_EQ] = ACTIONS(299),
    [anon_sym_PIPE_EQ] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(329),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(299),
  },
  [35] = {
    [sym__newline] = ACTIONS(287),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(287),
  },
  [36] = {
    [sym__statement] = STATE(184),
    [sym__simple_statements] = STATE(184),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_if_statement] = STATE(184),
    [sym_for_statement] = STATE(184),
    [sym_while_statement] = STATE(184),
    [sym_try_statement] = STATE(184),
    [sym_with_statement] = STATE(184),
    [sym_function_definition] = STATE(184),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym_class_definition] = STATE(184),
    [sym_decorated_definition] = STATE(184),
    [sym_decorator] = STATE(37),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(184),
    [aux_sym_decorated_definition_repeat1] = STATE(37),
    [ts_builtin_sym_end] = ACTIONS(331),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_async] = ACTIONS(27),
    [anon_sym_for] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_def] = ACTIONS(37),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(45),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [37] = {
    [sym_function_definition] = STATE(186),
    [sym_class_definition] = STATE(186),
    [sym_decorator] = STATE(187),
    [aux_sym_decorated_definition_repeat1] = STATE(187),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_def] = ACTIONS(335),
    [anon_sym_class] = ACTIONS(337),
    [anon_sym_AT] = ACTIONS(47),
    [sym_comment] = ACTIONS(69),
  },
  [38] = {
    [aux_sym_dotted_name_repeat1] = STATE(189),
    [sym__newline] = ACTIONS(339),
    [anon_sym_DOT] = ACTIONS(341),
    [anon_sym_COMMA] = ACTIONS(339),
    [anon_sym_as] = ACTIONS(339),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(339),
  },
  [39] = {
    [sym__newline] = ACTIONS(343),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(343),
  },
  [40] = {
    [aux_sym__import_list_repeat1] = STATE(191),
    [sym__newline] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(347),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(345),
  },
  [41] = {
    [aux_sym__import_list_repeat1] = STATE(191),
    [sym__newline] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(347),
    [anon_sym_as] = ACTIONS(349),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(345),
  },
  [42] = {
    [aux_sym_dotted_name_repeat1] = STATE(194),
    [anon_sym_import] = ACTIONS(339),
    [anon_sym_DOT] = ACTIONS(351),
    [sym_comment] = ACTIONS(69),
  },
  [43] = {
    [sym_dotted_name] = STATE(195),
    [anon_sym_import] = ACTIONS(353),
    [sym_identifier] = ACTIONS(355),
    [sym_comment] = ACTIONS(69),
  },
  [44] = {
    [anon_sym_import] = ACTIONS(357),
    [sym_comment] = ACTIONS(69),
  },
  [45] = {
    [aux_sym_import_prefix_repeat1] = STATE(197),
    [anon_sym_import] = ACTIONS(359),
    [anon_sym_DOT] = ACTIONS(361),
    [sym_identifier] = ACTIONS(359),
    [sym_comment] = ACTIONS(69),
  },
  [46] = {
    [sym__expression] = STATE(200),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(200),
    [sym_boolean_operator] = STATE(200),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(200),
    [sym_lambda] = STATE(200),
    [sym_yield] = STATE(201),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(200),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(200),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [47] = {
    [sym__newline] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(367),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_COMMA] = ACTIONS(367),
    [anon_sym_STAR] = ACTIONS(369),
    [anon_sym_GT_GT] = ACTIONS(369),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(369),
    [anon_sym_not] = ACTIONS(367),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_or] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(369),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_SLASH] = ACTIONS(369),
    [anon_sym_PERCENT] = ACTIONS(369),
    [anon_sym_SLASH_SLASH] = ACTIONS(369),
    [anon_sym_STAR_STAR] = ACTIONS(369),
    [anon_sym_PIPE] = ACTIONS(369),
    [anon_sym_AMP] = ACTIONS(369),
    [anon_sym_CARET] = ACTIONS(369),
    [anon_sym_LT_LT] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(369),
    [anon_sym_LT_EQ] = ACTIONS(367),
    [anon_sym_EQ_EQ] = ACTIONS(367),
    [anon_sym_BANG_EQ] = ACTIONS(367),
    [anon_sym_GT_EQ] = ACTIONS(367),
    [anon_sym_GT] = ACTIONS(369),
    [anon_sym_LT_GT] = ACTIONS(367),
    [anon_sym_is] = ACTIONS(367),
    [anon_sym_PLUS_EQ] = ACTIONS(367),
    [anon_sym_DASH_EQ] = ACTIONS(367),
    [anon_sym_STAR_EQ] = ACTIONS(367),
    [anon_sym_SLASH_EQ] = ACTIONS(367),
    [anon_sym_AT_EQ] = ACTIONS(367),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(367),
    [anon_sym_PERCENT_EQ] = ACTIONS(367),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(367),
    [anon_sym_GT_GT_EQ] = ACTIONS(367),
    [anon_sym_LT_LT_EQ] = ACTIONS(367),
    [anon_sym_AMP_EQ] = ACTIONS(367),
    [anon_sym_CARET_EQ] = ACTIONS(367),
    [anon_sym_PIPE_EQ] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(367),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(367),
  },
  [48] = {
    [anon_sym_RPAREN] = ACTIONS(371),
    [sym_comment] = ACTIONS(69),
  },
  [49] = {
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_RPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_as] = ACTIONS(107),
    [anon_sym_STAR] = ACTIONS(107),
    [anon_sym_GT_GT] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(105),
    [anon_sym_async] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(105),
    [anon_sym_in] = ACTIONS(105),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(105),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_and] = ACTIONS(105),
    [anon_sym_or] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(105),
    [anon_sym_DASH] = ACTIONS(105),
    [anon_sym_SLASH] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(105),
    [anon_sym_SLASH_SLASH] = ACTIONS(105),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_PIPE] = ACTIONS(105),
    [anon_sym_AMP] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [anon_sym_LT_LT] = ACTIONS(105),
    [anon_sym_LT] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(105),
    [anon_sym_EQ_EQ] = ACTIONS(105),
    [anon_sym_BANG_EQ] = ACTIONS(105),
    [anon_sym_GT_EQ] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(107),
    [anon_sym_LT_GT] = ACTIONS(105),
    [anon_sym_is] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(105),
    [anon_sym_RBRACK] = ACTIONS(105),
    [anon_sym_RBRACE] = ACTIONS(105),
    [sym_comment] = ACTIONS(69),
  },
  [50] = {
    [sym__expression] = STATE(203),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(203),
    [sym_boolean_operator] = STATE(203),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(203),
    [sym_lambda] = STATE(203),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(203),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(203),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [51] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [52] = {
    [sym_lambda_parameters] = STATE(206),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(377),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [53] = {
    [sym_expression_list] = STATE(213),
    [sym__expression] = STATE(214),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(214),
    [sym_boolean_operator] = STATE(214),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(214),
    [sym_lambda] = STATE(214),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(214),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(214),
    [anon_sym_from] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [54] = {
    [sym_list_splat] = STATE(218),
    [sym__expression] = STATE(219),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(219),
    [sym_boolean_operator] = STATE(219),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(219),
    [sym_lambda] = STATE(219),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(219),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(219),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(397),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [55] = {
    [sym_list_splat] = STATE(222),
    [sym_dictionary_splat] = STATE(223),
    [sym__expression] = STATE(224),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(224),
    [sym_boolean_operator] = STATE(224),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(224),
    [sym_lambda] = STATE(224),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_pair] = STATE(225),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(224),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(224),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(399),
    [anon_sym_STAR] = ACTIONS(255),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(401),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [56] = {
    [aux_sym_concatenated_string_repeat1] = STATE(226),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(403),
    [sym_comment] = ACTIONS(69),
  },
  [57] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [58] = {
    [sym__comprehension_body] = STATE(235),
    [sym_for_in_clause] = STATE(236),
    [aux_sym_tuple_repeat1] = STATE(237),
    [anon_sym_RPAREN] = ACTIONS(405),
    [anon_sym_COMMA] = ACTIONS(407),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [59] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(252),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(427),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_SLASH_SLASH] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(437),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_CARET] = ACTIONS(441),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(427),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_GT] = ACTIONS(443),
    [anon_sym_LT_GT] = ACTIONS(427),
    [anon_sym_is] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [60] = {
    [aux_sym_tuple_repeat1] = STATE(237),
    [anon_sym_RPAREN] = ACTIONS(405),
    [anon_sym_COMMA] = ACTIONS(407),
    [sym_comment] = ACTIONS(69),
  },
  [61] = {
    [sym__expression] = STATE(255),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(255),
    [sym_boolean_operator] = STATE(255),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(255),
    [sym_lambda] = STATE(255),
    [sym_yield] = STATE(256),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(255),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(255),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(449),
    [anon_sym_COMMA] = ACTIONS(451),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [62] = {
    [sym__newline] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_from] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_STAR] = ACTIONS(107),
    [anon_sym_GT_GT] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(105),
    [anon_sym_in] = ACTIONS(105),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(105),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_and] = ACTIONS(105),
    [anon_sym_or] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(105),
    [anon_sym_DASH] = ACTIONS(105),
    [anon_sym_SLASH] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(105),
    [anon_sym_SLASH_SLASH] = ACTIONS(105),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_PIPE] = ACTIONS(105),
    [anon_sym_AMP] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [anon_sym_LT_LT] = ACTIONS(105),
    [anon_sym_LT] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(105),
    [anon_sym_EQ_EQ] = ACTIONS(105),
    [anon_sym_BANG_EQ] = ACTIONS(105),
    [anon_sym_GT_EQ] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(107),
    [anon_sym_LT_GT] = ACTIONS(105),
    [anon_sym_is] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(105),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(105),
  },
  [63] = {
    [sym__expression] = STATE(257),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(257),
    [sym_boolean_operator] = STATE(257),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(257),
    [sym_lambda] = STATE(257),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(257),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(257),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [64] = {
    [sym__expression] = STATE(258),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(258),
    [sym_boolean_operator] = STATE(258),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(258),
    [sym_lambda] = STATE(258),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(258),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(258),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [65] = {
    [sym__primary_expression] = STATE(259),
    [sym_binary_operator] = STATE(259),
    [sym_unary_operator] = STATE(259),
    [sym_attribute] = STATE(259),
    [sym_subscript] = STATE(259),
    [sym_call] = STATE(259),
    [sym_list] = STATE(259),
    [sym_list_comprehension] = STATE(259),
    [sym_dictionary] = STATE(259),
    [sym_dictionary_comprehension] = STATE(259),
    [sym_set] = STATE(259),
    [sym_set_comprehension] = STATE(259),
    [sym_parenthesized_expression] = STATE(259),
    [sym_tuple] = STATE(259),
    [sym_generator_expression] = STATE(259),
    [sym_concatenated_string] = STATE(259),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(455),
    [sym_float] = ACTIONS(455),
    [sym_identifier] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_none] = ACTIONS(455),
    [sym_comment] = ACTIONS(69),
  },
  [66] = {
    [sym_lambda_parameters] = STATE(261),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(457),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [67] = {
    [sym_list_splat] = STATE(264),
    [sym__expression] = STATE(265),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(265),
    [sym_boolean_operator] = STATE(265),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(265),
    [sym_lambda] = STATE(265),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(265),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(265),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(461),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [68] = {
    [sym_list_splat] = STATE(268),
    [sym_dictionary_splat] = STATE(269),
    [sym__expression] = STATE(270),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(270),
    [sym_boolean_operator] = STATE(270),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(270),
    [sym_lambda] = STATE(270),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_pair] = STATE(271),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(270),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(270),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(255),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(465),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [69] = {
    [aux_sym_concatenated_string_repeat1] = STATE(272),
    [sym__newline] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(467),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(273),
  },
  [70] = {
    [sym__expression] = STATE(160),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(160),
    [sym_boolean_operator] = STATE(160),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(160),
    [sym_lambda] = STATE(160),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(160),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(160),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [71] = {
    [aux_sym_print_statement_repeat1] = STATE(274),
    [sym__newline] = ACTIONS(469),
    [anon_sym_COMMA] = ACTIONS(471),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(469),
  },
  [72] = {
    [aux_sym_print_statement_repeat1] = STATE(274),
    [sym__newline] = ACTIONS(469),
    [anon_sym_COMMA] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(469),
  },
  [73] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [aux_sym_comparison_operator_repeat1] = STATE(292),
    [sym__newline] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(487),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_not] = ACTIONS(491),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(489),
    [anon_sym_SLASH_SLASH] = ACTIONS(489),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(497),
    [anon_sym_AMP] = ACTIONS(499),
    [anon_sym_CARET] = ACTIONS(501),
    [anon_sym_LT_LT] = ACTIONS(485),
    [anon_sym_LT] = ACTIONS(503),
    [anon_sym_LT_EQ] = ACTIONS(487),
    [anon_sym_EQ_EQ] = ACTIONS(487),
    [anon_sym_BANG_EQ] = ACTIONS(487),
    [anon_sym_GT_EQ] = ACTIONS(487),
    [anon_sym_GT] = ACTIONS(503),
    [anon_sym_LT_GT] = ACTIONS(487),
    [anon_sym_is] = ACTIONS(505),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(299),
  },
  [74] = {
    [aux_sym_print_statement_repeat1] = STATE(294),
    [sym__newline] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(509),
  },
  [75] = {
    [sym__newline] = ACTIONS(513),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(513),
  },
  [76] = {
    [aux_sym_print_statement_repeat1] = STATE(296),
    [sym__newline] = ACTIONS(293),
    [anon_sym_COMMA] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(293),
  },
  [77] = {
    [sym__newline] = ACTIONS(517),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(517),
  },
  [78] = {
    [sym__expression] = STATE(302),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(302),
    [sym_boolean_operator] = STATE(302),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(302),
    [sym_lambda] = STATE(302),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(302),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(302),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [79] = {
    [sym__expression] = STATE(304),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(304),
    [sym_boolean_operator] = STATE(304),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(304),
    [sym_lambda] = STATE(304),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(304),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(304),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
  },
  [80] = {
    [sym__primary_expression] = STATE(259),
    [sym_binary_operator] = STATE(259),
    [sym_unary_operator] = STATE(259),
    [sym_attribute] = STATE(259),
    [sym_subscript] = STATE(259),
    [sym_call] = STATE(259),
    [sym_list] = STATE(259),
    [sym_list_comprehension] = STATE(259),
    [sym_dictionary] = STATE(259),
    [sym_dictionary_comprehension] = STATE(259),
    [sym_set] = STATE(259),
    [sym_set_comprehension] = STATE(259),
    [sym_parenthesized_expression] = STATE(259),
    [sym_tuple] = STATE(259),
    [sym_generator_expression] = STATE(259),
    [sym_concatenated_string] = STATE(259),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(455),
    [sym_float] = ACTIONS(455),
    [sym_identifier] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_none] = ACTIONS(455),
    [sym_comment] = ACTIONS(69),
  },
  [81] = {
    [sym_lambda_parameters] = STATE(306),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [82] = {
    [aux_sym_concatenated_string_repeat1] = STATE(307),
    [sym__newline] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_from] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(535),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(273),
  },
  [83] = {
    [sym__expression] = STATE(160),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(160),
    [sym_boolean_operator] = STATE(160),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(160),
    [sym_lambda] = STATE(160),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(160),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(160),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
  },
  [84] = {
    [sym__newline] = ACTIONS(537),
    [anon_sym_from] = ACTIONS(539),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(537),
  },
  [85] = {
    [aux_sym_print_statement_repeat1] = STATE(313),
    [sym__newline] = ACTIONS(293),
    [anon_sym_from] = ACTIONS(293),
    [anon_sym_COMMA] = ACTIONS(541),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_and] = ACTIONS(545),
    [anon_sym_or] = ACTIONS(547),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(293),
  },
  [86] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [aux_sym_comparison_operator_repeat1] = STATE(324),
    [sym__newline] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_from] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(553),
    [anon_sym_AT] = ACTIONS(555),
    [anon_sym_not] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_SLASH_SLASH] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(563),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(551),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(553),
    [anon_sym_EQ_EQ] = ACTIONS(553),
    [anon_sym_BANG_EQ] = ACTIONS(553),
    [anon_sym_GT_EQ] = ACTIONS(553),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_LT_GT] = ACTIONS(553),
    [anon_sym_is] = ACTIONS(571),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(299),
  },
  [87] = {
    [ts_builtin_sym_end] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [88] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(577),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [89] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(577),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(581),
  },
  [90] = {
    [sym__expression] = STATE(329),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(329),
    [sym_boolean_operator] = STATE(329),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(329),
    [sym_lambda] = STATE(329),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(329),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(329),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [91] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [92] = {
    [sym_lambda_parameters] = STATE(331),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(583),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [93] = {
    [aux_sym_concatenated_string_repeat1] = STATE(332),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(585),
    [sym_comment] = ACTIONS(69),
  },
  [94] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [95] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [96] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(347),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(599),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_not] = ACTIONS(603),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(601),
    [anon_sym_SLASH_SLASH] = ACTIONS(601),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(597),
    [anon_sym_LT] = ACTIONS(615),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(615),
    [anon_sym_LT_GT] = ACTIONS(599),
    [anon_sym_is] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [97] = {
    [sym_variables] = STATE(348),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [98] = {
    [sym_with_item] = STATE(349),
    [sym__expression] = STATE(112),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(112),
    [sym_boolean_operator] = STATE(112),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(112),
    [sym_lambda] = STATE(112),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(112),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(112),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [99] = {
    [sym_identifier] = ACTIONS(619),
    [sym_comment] = ACTIONS(69),
  },
  [100] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [101] = {
    [aux_sym_concatenated_string_repeat1] = STATE(351),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(621),
    [sym_comment] = ACTIONS(69),
  },
  [102] = {
    [anon_sym_in] = ACTIONS(623),
    [sym_comment] = ACTIONS(69),
  },
  [103] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_variables_repeat1] = STATE(361),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(631),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_PLUS] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_PERCENT] = ACTIONS(633),
    [anon_sym_SLASH_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(641),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [104] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(645),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [105] = {
    [sym__simple_statements] = STATE(365),
    [sym_import_statement] = STATE(364),
    [sym_import_from_statement] = STATE(364),
    [sym_print_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_expression_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_delete_statement] = STATE(364),
    [sym_raise_statement] = STATE(364),
    [sym_global_statement] = STATE(364),
    [sym_nonlocal_statement] = STATE(364),
    [sym_exec_statement] = STATE(364),
    [sym__suite] = STATE(365),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(649),
    [sym_break_statement] = ACTIONS(649),
    [sym_continue_statement] = ACTIONS(649),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [106] = {
    [sym__expression] = STATE(366),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(366),
    [sym_boolean_operator] = STATE(366),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(366),
    [sym_lambda] = STATE(366),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(366),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(366),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [107] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [108] = {
    [sym_lambda_parameters] = STATE(368),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(651),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [109] = {
    [aux_sym_concatenated_string_repeat1] = STATE(369),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_as] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(653),
    [sym_comment] = ACTIONS(69),
  },
  [110] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [111] = {
    [aux_sym_with_statement_repeat1] = STATE(372),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(657),
    [sym_comment] = ACTIONS(69),
  },
  [112] = {
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(659),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(667),
    [sym_comment] = ACTIONS(69),
  },
  [113] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(387),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_as] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(677),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(675),
    [anon_sym_SLASH_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_AMP] = ACTIONS(685),
    [anon_sym_CARET] = ACTIONS(687),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(689),
    [anon_sym_LT_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(673),
    [anon_sym_BANG_EQ] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(673),
    [anon_sym_GT] = ACTIONS(689),
    [anon_sym_LT_GT] = ACTIONS(673),
    [anon_sym_is] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [114] = {
    [sym_parameters] = STATE(389),
    [anon_sym_LPAREN] = ACTIONS(693),
    [sym_comment] = ACTIONS(69),
  },
  [115] = {
    [aux_sym_global_statement_repeat1] = STATE(391),
    [sym__newline] = ACTIONS(695),
    [anon_sym_COMMA] = ACTIONS(697),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(695),
  },
  [116] = {
    [aux_sym_global_statement_repeat1] = STATE(392),
    [sym__newline] = ACTIONS(699),
    [anon_sym_COMMA] = ACTIONS(697),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(699),
  },
  [117] = {
    [sym__newline] = ACTIONS(701),
    [anon_sym_in] = ACTIONS(703),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(701),
  },
  [118] = {
    [sym_argument_list] = STATE(396),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_COLON] = ACTIONS(707),
    [sym_comment] = ACTIONS(69),
  },
  [119] = {
    [aux_sym_dotted_name_repeat1] = STATE(397),
    [sym__newline] = ACTIONS(339),
    [anon_sym_DOT] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(339),
    [sym_comment] = ACTIONS(69),
  },
  [120] = {
    [sym_argument_list] = STATE(400),
    [sym__newline] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(711),
    [sym_comment] = ACTIONS(69),
  },
  [121] = {
    [sym__newline] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_STAR] = ACTIONS(107),
    [anon_sym_GT_GT] = ACTIONS(107),
    [anon_sym_if] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(105),
    [anon_sym_in] = ACTIONS(105),
    [anon_sym_EQ] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(107),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_and] = ACTIONS(105),
    [anon_sym_or] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(107),
    [anon_sym_SLASH] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(107),
    [anon_sym_SLASH_SLASH] = ACTIONS(107),
    [anon_sym_STAR_STAR] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(107),
    [anon_sym_AMP] = ACTIONS(107),
    [anon_sym_CARET] = ACTIONS(107),
    [anon_sym_LT_LT] = ACTIONS(107),
    [anon_sym_LT] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(105),
    [anon_sym_EQ_EQ] = ACTIONS(105),
    [anon_sym_BANG_EQ] = ACTIONS(105),
    [anon_sym_GT_EQ] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(107),
    [anon_sym_LT_GT] = ACTIONS(105),
    [anon_sym_is] = ACTIONS(105),
    [anon_sym_PLUS_EQ] = ACTIONS(105),
    [anon_sym_DASH_EQ] = ACTIONS(105),
    [anon_sym_STAR_EQ] = ACTIONS(105),
    [anon_sym_SLASH_EQ] = ACTIONS(105),
    [anon_sym_AT_EQ] = ACTIONS(105),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(105),
    [anon_sym_PERCENT_EQ] = ACTIONS(105),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(105),
    [anon_sym_GT_GT_EQ] = ACTIONS(105),
    [anon_sym_LT_LT_EQ] = ACTIONS(105),
    [anon_sym_AMP_EQ] = ACTIONS(105),
    [anon_sym_CARET_EQ] = ACTIONS(105),
    [anon_sym_PIPE_EQ] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(105),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(105),
  },
  [122] = {
    [sym__newline] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(713),
    [anon_sym_DASH_EQ] = ACTIONS(713),
    [anon_sym_STAR_EQ] = ACTIONS(713),
    [anon_sym_SLASH_EQ] = ACTIONS(713),
    [anon_sym_AT_EQ] = ACTIONS(713),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(713),
    [anon_sym_PERCENT_EQ] = ACTIONS(713),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(713),
    [anon_sym_GT_GT_EQ] = ACTIONS(713),
    [anon_sym_LT_LT_EQ] = ACTIONS(713),
    [anon_sym_AMP_EQ] = ACTIONS(713),
    [anon_sym_CARET_EQ] = ACTIONS(713),
    [anon_sym_PIPE_EQ] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(713),
  },
  [123] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(715),
    [anon_sym_DOT] = ACTIONS(715),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(715),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_GT_GT] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_COLON] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(715),
    [anon_sym_EQ] = ACTIONS(717),
    [anon_sym_AT] = ACTIONS(717),
    [anon_sym_not] = ACTIONS(715),
    [anon_sym_and] = ACTIONS(715),
    [anon_sym_or] = ACTIONS(715),
    [anon_sym_PLUS] = ACTIONS(717),
    [anon_sym_DASH] = ACTIONS(717),
    [anon_sym_SLASH] = ACTIONS(717),
    [anon_sym_PERCENT] = ACTIONS(717),
    [anon_sym_SLASH_SLASH] = ACTIONS(717),
    [anon_sym_STAR_STAR] = ACTIONS(717),
    [anon_sym_PIPE] = ACTIONS(717),
    [anon_sym_AMP] = ACTIONS(717),
    [anon_sym_CARET] = ACTIONS(717),
    [anon_sym_LT_LT] = ACTIONS(717),
    [anon_sym_LT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(715),
    [anon_sym_EQ_EQ] = ACTIONS(715),
    [anon_sym_BANG_EQ] = ACTIONS(715),
    [anon_sym_GT_EQ] = ACTIONS(715),
    [anon_sym_GT] = ACTIONS(717),
    [anon_sym_LT_GT] = ACTIONS(715),
    [anon_sym_is] = ACTIONS(715),
    [anon_sym_PLUS_EQ] = ACTIONS(715),
    [anon_sym_DASH_EQ] = ACTIONS(715),
    [anon_sym_STAR_EQ] = ACTIONS(715),
    [anon_sym_SLASH_EQ] = ACTIONS(715),
    [anon_sym_AT_EQ] = ACTIONS(715),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(715),
    [anon_sym_PERCENT_EQ] = ACTIONS(715),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(715),
    [anon_sym_GT_GT_EQ] = ACTIONS(715),
    [anon_sym_LT_LT_EQ] = ACTIONS(715),
    [anon_sym_AMP_EQ] = ACTIONS(715),
    [anon_sym_CARET_EQ] = ACTIONS(715),
    [anon_sym_PIPE_EQ] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(715),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(715),
  },
  [124] = {
    [sym__expression] = STATE(401),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(401),
    [sym_boolean_operator] = STATE(401),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(401),
    [sym_lambda] = STATE(401),
    [sym_yield] = STATE(402),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(401),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(401),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [125] = {
    [sym__expression] = STATE(409),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(409),
    [sym_boolean_operator] = STATE(409),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(409),
    [sym_lambda] = STATE(409),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(409),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(409),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_STAR] = ACTIONS(721),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(719),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [126] = {
    [aux_sym__parameters_repeat1] = STATE(414),
    [anon_sym_COMMA] = ACTIONS(737),
    [anon_sym_COLON] = ACTIONS(739),
    [anon_sym_EQ] = ACTIONS(741),
    [sym_comment] = ACTIONS(69),
  },
  [127] = {
    [sym__expression] = STATE(415),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(415),
    [sym_boolean_operator] = STATE(415),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(415),
    [sym_lambda] = STATE(415),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(415),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(415),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [128] = {
    [aux_sym__parameters_repeat1] = STATE(419),
    [anon_sym_COMMA] = ACTIONS(743),
    [anon_sym_COLON] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(747),
    [sym_comment] = ACTIONS(69),
  },
  [129] = {
    [anon_sym_COLON] = ACTIONS(749),
    [sym_comment] = ACTIONS(69),
  },
  [130] = {
    [anon_sym_COLON] = ACTIONS(751),
    [sym_comment] = ACTIONS(69),
  },
  [131] = {
    [aux_sym__parameters_repeat1] = STATE(419),
    [anon_sym_COMMA] = ACTIONS(743),
    [anon_sym_COLON] = ACTIONS(745),
    [sym_comment] = ACTIONS(69),
  },
  [132] = {
    [aux_sym__parameters_repeat1] = STATE(419),
    [anon_sym_COMMA] = ACTIONS(743),
    [anon_sym_COLON] = ACTIONS(745),
    [sym_comment] = ACTIONS(69),
  },
  [133] = {
    [sym__expression] = STATE(422),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(422),
    [sym_boolean_operator] = STATE(422),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(422),
    [sym_lambda] = STATE(422),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(422),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(422),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [134] = {
    [sym__newline] = ACTIONS(753),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(753),
  },
  [135] = {
    [anon_sym_RBRACK] = ACTIONS(755),
    [sym_comment] = ACTIONS(69),
  },
  [136] = {
    [sym__expression] = STATE(429),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(429),
    [sym_boolean_operator] = STATE(429),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(429),
    [sym_lambda] = STATE(429),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(429),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(429),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(719),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [137] = {
    [sym__expression] = STATE(431),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(431),
    [sym_boolean_operator] = STATE(431),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(431),
    [sym_lambda] = STATE(431),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(431),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(431),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [138] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [139] = {
    [sym_lambda_parameters] = STATE(433),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [140] = {
    [sym__newline] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(773),
    [anon_sym_in] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_not] = ACTIONS(773),
    [anon_sym_and] = ACTIONS(773),
    [anon_sym_or] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_SLASH_SLASH] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_LT_GT] = ACTIONS(773),
    [anon_sym_is] = ACTIONS(773),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_AT_EQ] = ACTIONS(773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(773),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(773),
  },
  [141] = {
    [aux_sym_concatenated_string_repeat1] = STATE(434),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_RBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(777),
    [sym_comment] = ACTIONS(69),
  },
  [142] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [143] = {
    [aux_sym_list_repeat1] = STATE(436),
    [anon_sym_COMMA] = ACTIONS(779),
    [anon_sym_RBRACK] = ACTIONS(755),
    [sym_comment] = ACTIONS(69),
  },
  [144] = {
    [sym__comprehension_body] = STATE(442),
    [sym_for_in_clause] = STATE(443),
    [aux_sym_list_repeat1] = STATE(436),
    [anon_sym_COMMA] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(755),
    [sym_comment] = ACTIONS(69),
  },
  [145] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(454),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(799),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_SLASH_SLASH] = ACTIONS(797),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(811),
    [anon_sym_LT_EQ] = ACTIONS(795),
    [anon_sym_EQ_EQ] = ACTIONS(795),
    [anon_sym_BANG_EQ] = ACTIONS(795),
    [anon_sym_GT_EQ] = ACTIONS(795),
    [anon_sym_GT] = ACTIONS(811),
    [anon_sym_LT_GT] = ACTIONS(795),
    [anon_sym_is] = ACTIONS(813),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(299),
    [sym_comment] = ACTIONS(69),
  },
  [146] = {
    [anon_sym_RBRACE] = ACTIONS(815),
    [sym_comment] = ACTIONS(69),
  },
  [147] = {
    [sym__expression] = STATE(462),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(462),
    [sym_boolean_operator] = STATE(462),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(462),
    [sym_lambda] = STATE(462),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(462),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(719),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [148] = {
    [sym__expression] = STATE(464),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(464),
    [sym_boolean_operator] = STATE(464),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(464),
    [sym_lambda] = STATE(464),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(464),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(464),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [149] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [150] = {
    [sym_lambda_parameters] = STATE(466),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [151] = {
    [sym__newline] = ACTIONS(835),
    [anon_sym_DOT] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(835),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(835),
    [anon_sym_COLON] = ACTIONS(835),
    [anon_sym_in] = ACTIONS(835),
    [anon_sym_EQ] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(837),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_and] = ACTIONS(835),
    [anon_sym_or] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_PERCENT] = ACTIONS(837),
    [anon_sym_SLASH_SLASH] = ACTIONS(837),
    [anon_sym_STAR_STAR] = ACTIONS(837),
    [anon_sym_PIPE] = ACTIONS(837),
    [anon_sym_AMP] = ACTIONS(837),
    [anon_sym_CARET] = ACTIONS(837),
    [anon_sym_LT_LT] = ACTIONS(837),
    [anon_sym_LT] = ACTIONS(837),
    [anon_sym_LT_EQ] = ACTIONS(835),
    [anon_sym_EQ_EQ] = ACTIONS(835),
    [anon_sym_BANG_EQ] = ACTIONS(835),
    [anon_sym_GT_EQ] = ACTIONS(835),
    [anon_sym_GT] = ACTIONS(837),
    [anon_sym_LT_GT] = ACTIONS(835),
    [anon_sym_is] = ACTIONS(835),
    [anon_sym_PLUS_EQ] = ACTIONS(835),
    [anon_sym_DASH_EQ] = ACTIONS(835),
    [anon_sym_STAR_EQ] = ACTIONS(835),
    [anon_sym_SLASH_EQ] = ACTIONS(835),
    [anon_sym_AT_EQ] = ACTIONS(835),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(835),
    [anon_sym_PERCENT_EQ] = ACTIONS(835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(835),
    [anon_sym_GT_GT_EQ] = ACTIONS(835),
    [anon_sym_LT_LT_EQ] = ACTIONS(835),
    [anon_sym_AMP_EQ] = ACTIONS(835),
    [anon_sym_CARET_EQ] = ACTIONS(835),
    [anon_sym_PIPE_EQ] = ACTIONS(835),
    [anon_sym_LBRACK] = ACTIONS(835),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(835),
  },
  [152] = {
    [aux_sym_concatenated_string_repeat1] = STATE(467),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_string] = ACTIONS(839),
    [sym_comment] = ACTIONS(69),
  },
  [153] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [154] = {
    [aux_sym_list_repeat1] = STATE(470),
    [anon_sym_COMMA] = ACTIONS(841),
    [anon_sym_RBRACE] = ACTIONS(843),
    [sym_comment] = ACTIONS(69),
  },
  [155] = {
    [aux_sym_dictionary_repeat1] = STATE(472),
    [anon_sym_COMMA] = ACTIONS(845),
    [anon_sym_RBRACE] = ACTIONS(815),
    [sym_comment] = ACTIONS(69),
  },
  [156] = {
    [sym__comprehension_body] = STATE(479),
    [sym_for_in_clause] = STATE(480),
    [aux_sym_list_repeat1] = STATE(470),
    [anon_sym_COMMA] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(849),
    [anon_sym_async] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_and] = ACTIONS(855),
    [anon_sym_or] = ACTIONS(857),
    [anon_sym_RBRACE] = ACTIONS(843),
    [sym_comment] = ACTIONS(69),
  },
  [157] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(491),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(863),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_SLASH_SLASH] = ACTIONS(865),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(873),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_EQ_EQ] = ACTIONS(863),
    [anon_sym_BANG_EQ] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_LT_GT] = ACTIONS(863),
    [anon_sym_is] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(299),
    [sym_comment] = ACTIONS(69),
  },
  [158] = {
    [sym__comprehension_body] = STATE(492),
    [sym_for_in_clause] = STATE(480),
    [aux_sym_dictionary_repeat1] = STATE(472),
    [anon_sym_COMMA] = ACTIONS(845),
    [anon_sym_async] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(815),
    [sym_comment] = ACTIONS(69),
  },
  [159] = {
    [aux_sym_concatenated_string_repeat1] = STATE(493),
    [sym__newline] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(885),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_EQ] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(885),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(885),
    [anon_sym_SLASH_SLASH] = ACTIONS(885),
    [anon_sym_STAR_STAR] = ACTIONS(885),
    [anon_sym_PIPE] = ACTIONS(885),
    [anon_sym_AMP] = ACTIONS(885),
    [anon_sym_CARET] = ACTIONS(885),
    [anon_sym_LT_LT] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_PLUS_EQ] = ACTIONS(883),
    [anon_sym_DASH_EQ] = ACTIONS(883),
    [anon_sym_STAR_EQ] = ACTIONS(883),
    [anon_sym_SLASH_EQ] = ACTIONS(883),
    [anon_sym_AT_EQ] = ACTIONS(883),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(883),
    [anon_sym_PERCENT_EQ] = ACTIONS(883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(883),
    [anon_sym_GT_GT_EQ] = ACTIONS(883),
    [anon_sym_LT_LT_EQ] = ACTIONS(883),
    [anon_sym_AMP_EQ] = ACTIONS(883),
    [anon_sym_CARET_EQ] = ACTIONS(883),
    [anon_sym_PIPE_EQ] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(887),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(883),
  },
  [160] = {
    [sym__newline] = ACTIONS(889),
    [anon_sym_from] = ACTIONS(889),
    [anon_sym_COMMA] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_COLON] = ACTIONS(889),
    [anon_sym_EQ] = ACTIONS(889),
    [anon_sym_and] = ACTIONS(889),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_PLUS_EQ] = ACTIONS(889),
    [anon_sym_DASH_EQ] = ACTIONS(889),
    [anon_sym_STAR_EQ] = ACTIONS(889),
    [anon_sym_SLASH_EQ] = ACTIONS(889),
    [anon_sym_AT_EQ] = ACTIONS(889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(889),
    [anon_sym_PERCENT_EQ] = ACTIONS(889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(889),
    [anon_sym_GT_GT_EQ] = ACTIONS(889),
    [anon_sym_LT_LT_EQ] = ACTIONS(889),
    [anon_sym_AMP_EQ] = ACTIONS(889),
    [anon_sym_CARET_EQ] = ACTIONS(889),
    [anon_sym_PIPE_EQ] = ACTIONS(889),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(889),
  },
  [161] = {
    [sym__expression] = STATE(499),
    [sym__primary_expression] = STATE(500),
    [sym_not_operator] = STATE(499),
    [sym_boolean_operator] = STATE(499),
    [sym_binary_operator] = STATE(500),
    [sym_unary_operator] = STATE(500),
    [sym_comparison_operator] = STATE(499),
    [sym_lambda] = STATE(499),
    [sym_attribute] = STATE(500),
    [sym_subscript] = STATE(500),
    [sym_call] = STATE(500),
    [sym_type] = STATE(501),
    [sym_list] = STATE(500),
    [sym_list_comprehension] = STATE(500),
    [sym_dictionary] = STATE(500),
    [sym_dictionary_comprehension] = STATE(500),
    [sym_set] = STATE(500),
    [sym_set_comprehension] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_tuple] = STATE(500),
    [sym_generator_expression] = STATE(500),
    [sym_conditional_expression] = STATE(499),
    [sym_concatenated_string] = STATE(500),
    [sym_await] = STATE(499),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_lambda] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [sym_identifier] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_none] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(903),
    [sym_comment] = ACTIONS(69),
  },
  [162] = {
    [sym_expression_list] = STATE(502),
    [sym__expression] = STATE(503),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(503),
    [sym_boolean_operator] = STATE(503),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(503),
    [sym_lambda] = STATE(503),
    [sym_assignment] = STATE(504),
    [sym_augmented_assignment] = STATE(504),
    [sym__right_hand_side] = STATE(504),
    [sym_yield] = STATE(504),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(503),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(503),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [163] = {
    [sym_expression_list] = STATE(502),
    [sym__expression] = STATE(503),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(503),
    [sym_boolean_operator] = STATE(503),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(503),
    [sym_lambda] = STATE(503),
    [sym_assignment] = STATE(505),
    [sym_augmented_assignment] = STATE(505),
    [sym__right_hand_side] = STATE(505),
    [sym_yield] = STATE(505),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(503),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(503),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [164] = {
    [sym__expression] = STATE(506),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(506),
    [sym_boolean_operator] = STATE(506),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(506),
    [sym_lambda] = STATE(506),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(506),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(506),
    [sym__newline] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_EQ] = ACTIONS(907),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_AT_EQ] = ACTIONS(907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(905),
  },
  [165] = {
    [sym__expression] = STATE(512),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(512),
    [sym_boolean_operator] = STATE(512),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(512),
    [sym_lambda] = STATE(512),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(512),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(512),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [166] = {
    [sym__expression] = STATE(514),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(514),
    [sym_boolean_operator] = STATE(514),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(514),
    [sym_lambda] = STATE(514),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(514),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(514),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [167] = {
    [sym__expression] = STATE(515),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(515),
    [sym_boolean_operator] = STATE(515),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(515),
    [sym_lambda] = STATE(515),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(515),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(515),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [168] = {
    [aux_sym_print_statement_repeat1] = STATE(517),
    [sym__newline] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(925),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_EQ] = ACTIONS(907),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_AT_EQ] = ACTIONS(907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(905),
  },
  [169] = {
    [sym_identifier] = ACTIONS(927),
    [sym_comment] = ACTIONS(69),
  },
  [170] = {
    [sym_list_splat] = STATE(524),
    [sym_dictionary_splat] = STATE(524),
    [sym__expression] = STATE(525),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(525),
    [sym_boolean_operator] = STATE(525),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(525),
    [sym_lambda] = STATE(525),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_keyword_argument] = STATE(524),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(525),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(525),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [171] = {
    [sym__primary_expression] = STATE(526),
    [sym_binary_operator] = STATE(526),
    [sym_unary_operator] = STATE(526),
    [sym_attribute] = STATE(526),
    [sym_subscript] = STATE(526),
    [sym_call] = STATE(526),
    [sym_list] = STATE(526),
    [sym_list_comprehension] = STATE(526),
    [sym_dictionary] = STATE(526),
    [sym_dictionary_comprehension] = STATE(526),
    [sym_set] = STATE(526),
    [sym_set_comprehension] = STATE(526),
    [sym_parenthesized_expression] = STATE(526),
    [sym_tuple] = STATE(526),
    [sym_generator_expression] = STATE(526),
    [sym_concatenated_string] = STATE(526),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(941),
    [sym_float] = ACTIONS(941),
    [sym_identifier] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_none] = ACTIONS(941),
    [sym_comment] = ACTIONS(69),
  },
  [172] = {
    [sym__primary_expression] = STATE(527),
    [sym_binary_operator] = STATE(527),
    [sym_unary_operator] = STATE(527),
    [sym_attribute] = STATE(527),
    [sym_subscript] = STATE(527),
    [sym_call] = STATE(527),
    [sym_list] = STATE(527),
    [sym_list_comprehension] = STATE(527),
    [sym_dictionary] = STATE(527),
    [sym_dictionary_comprehension] = STATE(527),
    [sym_set] = STATE(527),
    [sym_set_comprehension] = STATE(527),
    [sym_parenthesized_expression] = STATE(527),
    [sym_tuple] = STATE(527),
    [sym_generator_expression] = STATE(527),
    [sym_concatenated_string] = STATE(527),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(945),
    [sym_float] = ACTIONS(945),
    [sym_identifier] = ACTIONS(945),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_none] = ACTIONS(945),
    [sym_comment] = ACTIONS(69),
  },
  [173] = {
    [sym__primary_expression] = STATE(528),
    [sym_binary_operator] = STATE(528),
    [sym_unary_operator] = STATE(528),
    [sym_attribute] = STATE(528),
    [sym_subscript] = STATE(528),
    [sym_call] = STATE(528),
    [sym_list] = STATE(528),
    [sym_list_comprehension] = STATE(528),
    [sym_dictionary] = STATE(528),
    [sym_dictionary_comprehension] = STATE(528),
    [sym_set] = STATE(528),
    [sym_set_comprehension] = STATE(528),
    [sym_parenthesized_expression] = STATE(528),
    [sym_tuple] = STATE(528),
    [sym_generator_expression] = STATE(528),
    [sym_concatenated_string] = STATE(528),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(949),
    [sym_float] = ACTIONS(949),
    [sym_identifier] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_none] = ACTIONS(949),
    [sym_comment] = ACTIONS(69),
  },
  [174] = {
    [anon_sym_in] = ACTIONS(951),
    [sym_comment] = ACTIONS(69),
  },
  [175] = {
    [sym__primary_expression] = STATE(530),
    [sym_binary_operator] = STATE(530),
    [sym_unary_operator] = STATE(530),
    [sym_attribute] = STATE(530),
    [sym_subscript] = STATE(530),
    [sym_call] = STATE(530),
    [sym_list] = STATE(530),
    [sym_list_comprehension] = STATE(530),
    [sym_dictionary] = STATE(530),
    [sym_dictionary_comprehension] = STATE(530),
    [sym_set] = STATE(530),
    [sym_set_comprehension] = STATE(530),
    [sym_parenthesized_expression] = STATE(530),
    [sym_tuple] = STATE(530),
    [sym_generator_expression] = STATE(530),
    [sym_concatenated_string] = STATE(530),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(955),
    [sym_float] = ACTIONS(955),
    [sym_identifier] = ACTIONS(955),
    [sym_true] = ACTIONS(955),
    [sym_false] = ACTIONS(955),
    [sym_none] = ACTIONS(955),
    [sym_comment] = ACTIONS(69),
  },
  [176] = {
    [sym__primary_expression] = STATE(531),
    [sym_binary_operator] = STATE(531),
    [sym_unary_operator] = STATE(531),
    [sym_attribute] = STATE(531),
    [sym_subscript] = STATE(531),
    [sym_call] = STATE(531),
    [sym_list] = STATE(531),
    [sym_list_comprehension] = STATE(531),
    [sym_dictionary] = STATE(531),
    [sym_dictionary_comprehension] = STATE(531),
    [sym_set] = STATE(531),
    [sym_set_comprehension] = STATE(531),
    [sym_parenthesized_expression] = STATE(531),
    [sym_tuple] = STATE(531),
    [sym_generator_expression] = STATE(531),
    [sym_concatenated_string] = STATE(531),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(959),
    [sym_float] = ACTIONS(959),
    [sym_identifier] = ACTIONS(959),
    [sym_true] = ACTIONS(959),
    [sym_false] = ACTIONS(959),
    [sym_none] = ACTIONS(959),
    [sym_comment] = ACTIONS(69),
  },
  [177] = {
    [sym__primary_expression] = STATE(532),
    [sym_binary_operator] = STATE(532),
    [sym_unary_operator] = STATE(532),
    [sym_attribute] = STATE(532),
    [sym_subscript] = STATE(532),
    [sym_call] = STATE(532),
    [sym_list] = STATE(532),
    [sym_list_comprehension] = STATE(532),
    [sym_dictionary] = STATE(532),
    [sym_dictionary_comprehension] = STATE(532),
    [sym_set] = STATE(532),
    [sym_set_comprehension] = STATE(532),
    [sym_parenthesized_expression] = STATE(532),
    [sym_tuple] = STATE(532),
    [sym_generator_expression] = STATE(532),
    [sym_concatenated_string] = STATE(532),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(963),
    [sym_float] = ACTIONS(963),
    [sym_identifier] = ACTIONS(963),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [sym_none] = ACTIONS(963),
    [sym_comment] = ACTIONS(69),
  },
  [178] = {
    [sym__primary_expression] = STATE(533),
    [sym_binary_operator] = STATE(533),
    [sym_unary_operator] = STATE(533),
    [sym_attribute] = STATE(533),
    [sym_subscript] = STATE(533),
    [sym_call] = STATE(533),
    [sym_list] = STATE(533),
    [sym_list_comprehension] = STATE(533),
    [sym_dictionary] = STATE(533),
    [sym_dictionary_comprehension] = STATE(533),
    [sym_set] = STATE(533),
    [sym_set_comprehension] = STATE(533),
    [sym_parenthesized_expression] = STATE(533),
    [sym_tuple] = STATE(533),
    [sym_generator_expression] = STATE(533),
    [sym_concatenated_string] = STATE(533),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(967),
    [sym_float] = ACTIONS(967),
    [sym_identifier] = ACTIONS(967),
    [sym_true] = ACTIONS(967),
    [sym_false] = ACTIONS(967),
    [sym_none] = ACTIONS(967),
    [sym_comment] = ACTIONS(69),
  },
  [179] = {
    [sym__primary_expression] = STATE(534),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_attribute] = STATE(534),
    [sym_subscript] = STATE(534),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_concatenated_string] = STATE(534),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(971),
    [sym_float] = ACTIONS(971),
    [sym_identifier] = ACTIONS(971),
    [sym_true] = ACTIONS(971),
    [sym_false] = ACTIONS(971),
    [sym_none] = ACTIONS(971),
    [sym_comment] = ACTIONS(69),
  },
  [180] = {
    [sym__primary_expression] = STATE(528),
    [sym_binary_operator] = STATE(528),
    [sym_unary_operator] = STATE(528),
    [sym_attribute] = STATE(528),
    [sym_subscript] = STATE(528),
    [sym_call] = STATE(528),
    [sym_list] = STATE(528),
    [sym_list_comprehension] = STATE(528),
    [sym_dictionary] = STATE(528),
    [sym_dictionary_comprehension] = STATE(528),
    [sym_set] = STATE(528),
    [sym_set_comprehension] = STATE(528),
    [sym_parenthesized_expression] = STATE(528),
    [sym_tuple] = STATE(528),
    [sym_generator_expression] = STATE(528),
    [sym_concatenated_string] = STATE(528),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(949),
    [sym_float] = ACTIONS(949),
    [sym_identifier] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_none] = ACTIONS(949),
    [sym_comment] = ACTIONS(69),
  },
  [181] = {
    [sym__expression] = STATE(541),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(541),
    [sym_boolean_operator] = STATE(541),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(541),
    [sym_lambda] = STATE(541),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(543),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(541),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(541),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [182] = {
    [sym__newline] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(991),
    [anon_sym_EQ] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(993),
    [anon_sym_not] = ACTIONS(991),
    [anon_sym_and] = ACTIONS(991),
    [anon_sym_or] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_SLASH] = ACTIONS(993),
    [anon_sym_PERCENT] = ACTIONS(993),
    [anon_sym_SLASH_SLASH] = ACTIONS(993),
    [anon_sym_STAR_STAR] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(993),
    [anon_sym_LT_LT] = ACTIONS(993),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_LT_GT] = ACTIONS(991),
    [anon_sym_is] = ACTIONS(991),
    [anon_sym_PLUS_EQ] = ACTIONS(991),
    [anon_sym_DASH_EQ] = ACTIONS(991),
    [anon_sym_STAR_EQ] = ACTIONS(991),
    [anon_sym_SLASH_EQ] = ACTIONS(991),
    [anon_sym_AT_EQ] = ACTIONS(991),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(991),
    [anon_sym_PERCENT_EQ] = ACTIONS(991),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(991),
    [anon_sym_GT_GT_EQ] = ACTIONS(991),
    [anon_sym_LT_LT_EQ] = ACTIONS(991),
    [anon_sym_AMP_EQ] = ACTIONS(991),
    [anon_sym_CARET_EQ] = ACTIONS(991),
    [anon_sym_PIPE_EQ] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(991),
  },
  [183] = {
    [aux_sym_comparison_operator_repeat1] = STATE(544),
    [sym__newline] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_EQ] = ACTIONS(997),
    [anon_sym_not] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(309),
    [anon_sym_EQ_EQ] = ACTIONS(309),
    [anon_sym_BANG_EQ] = ACTIONS(309),
    [anon_sym_GT_EQ] = ACTIONS(309),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_LT_GT] = ACTIONS(309),
    [anon_sym_is] = ACTIONS(327),
    [anon_sym_PLUS_EQ] = ACTIONS(995),
    [anon_sym_DASH_EQ] = ACTIONS(995),
    [anon_sym_STAR_EQ] = ACTIONS(995),
    [anon_sym_SLASH_EQ] = ACTIONS(995),
    [anon_sym_AT_EQ] = ACTIONS(995),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(995),
    [anon_sym_PERCENT_EQ] = ACTIONS(995),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(995),
    [anon_sym_GT_GT_EQ] = ACTIONS(995),
    [anon_sym_LT_LT_EQ] = ACTIONS(995),
    [anon_sym_AMP_EQ] = ACTIONS(995),
    [anon_sym_CARET_EQ] = ACTIONS(995),
    [anon_sym_PIPE_EQ] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(995),
  },
  [184] = {
    [sym__statement] = STATE(184),
    [sym__simple_statements] = STATE(184),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_if_statement] = STATE(184),
    [sym_for_statement] = STATE(184),
    [sym_while_statement] = STATE(184),
    [sym_try_statement] = STATE(184),
    [sym_with_statement] = STATE(184),
    [sym_function_definition] = STATE(184),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym_class_definition] = STATE(184),
    [sym_decorated_definition] = STATE(184),
    [sym_decorator] = STATE(37),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(184),
    [aux_sym_decorated_definition_repeat1] = STATE(37),
    [ts_builtin_sym_end] = ACTIONS(999),
    [anon_sym_import] = ACTIONS(1001),
    [anon_sym_from] = ACTIONS(1004),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_print] = ACTIONS(1010),
    [anon_sym_assert] = ACTIONS(1013),
    [anon_sym_return] = ACTIONS(1016),
    [anon_sym_del] = ACTIONS(1019),
    [anon_sym_raise] = ACTIONS(1022),
    [sym_pass_statement] = ACTIONS(1025),
    [sym_break_statement] = ACTIONS(1025),
    [sym_continue_statement] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1028),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_for] = ACTIONS(1034),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1040),
    [anon_sym_with] = ACTIONS(1043),
    [anon_sym_def] = ACTIONS(1046),
    [anon_sym_global] = ACTIONS(1049),
    [anon_sym_nonlocal] = ACTIONS(1052),
    [anon_sym_exec] = ACTIONS(1055),
    [anon_sym_class] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1061),
    [anon_sym_not] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_lambda] = ACTIONS(1070),
    [anon_sym_yield] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [sym_ellipsis] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [sym_string] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [sym_identifier] = ACTIONS(1088),
    [sym_true] = ACTIONS(1088),
    [sym_false] = ACTIONS(1088),
    [sym_none] = ACTIONS(1088),
    [anon_sym_await] = ACTIONS(1091),
    [sym_comment] = ACTIONS(69),
  },
  [185] = {
    [anon_sym_def] = ACTIONS(175),
    [sym_comment] = ACTIONS(69),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(1096),
    [anon_sym_from] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [anon_sym_print] = ACTIONS(1096),
    [anon_sym_assert] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_del] = ACTIONS(1096),
    [anon_sym_raise] = ACTIONS(1096),
    [sym_pass_statement] = ACTIONS(1096),
    [sym_break_statement] = ACTIONS(1096),
    [sym_continue_statement] = ACTIONS(1096),
    [anon_sym_if] = ACTIONS(1096),
    [anon_sym_async] = ACTIONS(1096),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_while] = ACTIONS(1096),
    [anon_sym_try] = ACTIONS(1096),
    [anon_sym_with] = ACTIONS(1096),
    [anon_sym_def] = ACTIONS(1096),
    [anon_sym_global] = ACTIONS(1096),
    [anon_sym_nonlocal] = ACTIONS(1096),
    [anon_sym_exec] = ACTIONS(1096),
    [anon_sym_class] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1094),
    [anon_sym_not] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_lambda] = ACTIONS(1096),
    [anon_sym_yield] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [sym_ellipsis] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [sym_string] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [sym_identifier] = ACTIONS(1096),
    [sym_true] = ACTIONS(1096),
    [sym_false] = ACTIONS(1096),
    [sym_none] = ACTIONS(1096),
    [anon_sym_await] = ACTIONS(1096),
    [sym_comment] = ACTIONS(69),
  },
  [187] = {
    [sym_decorator] = STATE(187),
    [aux_sym_decorated_definition_repeat1] = STATE(187),
    [anon_sym_async] = ACTIONS(1098),
    [anon_sym_def] = ACTIONS(1098),
    [anon_sym_class] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1100),
    [sym_comment] = ACTIONS(69),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1103),
    [sym_comment] = ACTIONS(69),
  },
  [189] = {
    [aux_sym_dotted_name_repeat1] = STATE(546),
    [sym__newline] = ACTIONS(1105),
    [anon_sym_DOT] = ACTIONS(341),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_as] = ACTIONS(1105),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1105),
  },
  [190] = {
    [sym_aliased_import] = STATE(547),
    [sym_dotted_name] = STATE(548),
    [sym__newline] = ACTIONS(1107),
    [sym_identifier] = ACTIONS(71),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1107),
  },
  [191] = {
    [aux_sym__import_list_repeat1] = STATE(550),
    [sym__newline] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1109),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1107),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1111),
    [sym_comment] = ACTIONS(69),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1113),
    [sym_comment] = ACTIONS(69),
  },
  [194] = {
    [aux_sym_dotted_name_repeat1] = STATE(553),
    [anon_sym_import] = ACTIONS(1105),
    [anon_sym_DOT] = ACTIONS(351),
    [sym_comment] = ACTIONS(69),
  },
  [195] = {
    [anon_sym_import] = ACTIONS(1115),
    [sym_comment] = ACTIONS(69),
  },
  [196] = {
    [sym__import_list] = STATE(556),
    [sym_aliased_import] = STATE(40),
    [sym_wildcard_import] = STATE(556),
    [sym_dotted_name] = STATE(41),
    [anon_sym_LPAREN] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(71),
    [sym_comment] = ACTIONS(69),
  },
  [197] = {
    [aux_sym_import_prefix_repeat1] = STATE(197),
    [anon_sym_import] = ACTIONS(1121),
    [anon_sym_DOT] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1121),
    [sym_comment] = ACTIONS(69),
  },
  [198] = {
    [anon_sym_DOT] = ACTIONS(367),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_RPAREN] = ACTIONS(367),
    [anon_sym_COMMA] = ACTIONS(367),
    [anon_sym_as] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(369),
    [anon_sym_GT_GT] = ACTIONS(367),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_COLON] = ACTIONS(367),
    [anon_sym_else] = ACTIONS(367),
    [anon_sym_async] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(367),
    [anon_sym_not] = ACTIONS(367),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_or] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_SLASH] = ACTIONS(369),
    [anon_sym_PERCENT] = ACTIONS(367),
    [anon_sym_SLASH_SLASH] = ACTIONS(367),
    [anon_sym_STAR_STAR] = ACTIONS(367),
    [anon_sym_PIPE] = ACTIONS(367),
    [anon_sym_AMP] = ACTIONS(367),
    [anon_sym_CARET] = ACTIONS(367),
    [anon_sym_LT_LT] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(369),
    [anon_sym_LT_EQ] = ACTIONS(367),
    [anon_sym_EQ_EQ] = ACTIONS(367),
    [anon_sym_BANG_EQ] = ACTIONS(367),
    [anon_sym_GT_EQ] = ACTIONS(367),
    [anon_sym_GT] = ACTIONS(369),
    [anon_sym_LT_GT] = ACTIONS(367),
    [anon_sym_is] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_RBRACK] = ACTIONS(367),
    [anon_sym_RBRACE] = ACTIONS(367),
    [sym_comment] = ACTIONS(69),
  },
  [199] = {
    [anon_sym_RPAREN] = ACTIONS(1126),
    [sym_comment] = ACTIONS(69),
  },
  [200] = {
    [sym__comprehension_body] = STATE(560),
    [sym_for_in_clause] = STATE(236),
    [aux_sym_tuple_repeat1] = STATE(561),
    [anon_sym_RPAREN] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [201] = {
    [aux_sym_tuple_repeat1] = STATE(561),
    [anon_sym_RPAREN] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1130),
    [sym_comment] = ACTIONS(69),
  },
  [202] = {
    [sym__newline] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_COLON] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_EQ] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_SLASH_SLASH] = ACTIONS(1134),
    [anon_sym_STAR_STAR] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT_GT] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_PLUS_EQ] = ACTIONS(1132),
    [anon_sym_DASH_EQ] = ACTIONS(1132),
    [anon_sym_STAR_EQ] = ACTIONS(1132),
    [anon_sym_SLASH_EQ] = ACTIONS(1132),
    [anon_sym_AT_EQ] = ACTIONS(1132),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1132),
    [anon_sym_PERCENT_EQ] = ACTIONS(1132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1132),
    [anon_sym_GT_GT_EQ] = ACTIONS(1132),
    [anon_sym_LT_LT_EQ] = ACTIONS(1132),
    [anon_sym_AMP_EQ] = ACTIONS(1132),
    [anon_sym_CARET_EQ] = ACTIONS(1132),
    [anon_sym_PIPE_EQ] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1132),
  },
  [203] = {
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [204] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(715),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(715),
    [anon_sym_as] = ACTIONS(717),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_GT_GT] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_COLON] = ACTIONS(715),
    [anon_sym_else] = ACTIONS(715),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(715),
    [anon_sym_EQ] = ACTIONS(717),
    [anon_sym_AT] = ACTIONS(715),
    [anon_sym_not] = ACTIONS(715),
    [anon_sym_and] = ACTIONS(715),
    [anon_sym_or] = ACTIONS(715),
    [anon_sym_PLUS] = ACTIONS(715),
    [anon_sym_DASH] = ACTIONS(715),
    [anon_sym_SLASH] = ACTIONS(717),
    [anon_sym_PERCENT] = ACTIONS(715),
    [anon_sym_SLASH_SLASH] = ACTIONS(715),
    [anon_sym_STAR_STAR] = ACTIONS(715),
    [anon_sym_PIPE] = ACTIONS(715),
    [anon_sym_AMP] = ACTIONS(715),
    [anon_sym_CARET] = ACTIONS(715),
    [anon_sym_LT_LT] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(715),
    [anon_sym_EQ_EQ] = ACTIONS(715),
    [anon_sym_BANG_EQ] = ACTIONS(715),
    [anon_sym_GT_EQ] = ACTIONS(715),
    [anon_sym_GT] = ACTIONS(717),
    [anon_sym_LT_GT] = ACTIONS(715),
    [anon_sym_is] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_RBRACK] = ACTIONS(715),
    [anon_sym_RBRACE] = ACTIONS(715),
    [sym_comment] = ACTIONS(69),
  },
  [205] = {
    [sym__expression] = STATE(562),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(562),
    [sym_boolean_operator] = STATE(562),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(562),
    [sym_lambda] = STATE(562),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(562),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [206] = {
    [anon_sym_COLON] = ACTIONS(1136),
    [sym_comment] = ACTIONS(69),
  },
  [207] = {
    [sym__expression] = STATE(564),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(564),
    [sym_boolean_operator] = STATE(564),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(564),
    [sym_lambda] = STATE(564),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(564),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(564),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [208] = {
    [sym__expression] = STATE(565),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(565),
    [sym_boolean_operator] = STATE(565),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(565),
    [sym_lambda] = STATE(565),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(565),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(565),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [209] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [210] = {
    [sym_lambda_parameters] = STATE(567),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(1138),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [211] = {
    [aux_sym_concatenated_string_repeat1] = STATE(568),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(1140),
    [sym_comment] = ACTIONS(69),
  },
  [212] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [213] = {
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_COMMA] = ACTIONS(753),
    [sym_comment] = ACTIONS(69),
  },
  [214] = {
    [aux_sym_print_statement_repeat1] = STATE(573),
    [anon_sym_RPAREN] = ACTIONS(293),
    [anon_sym_COMMA] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [215] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(584),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_GT_GT] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_not] = ACTIONS(1158),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1150),
    [anon_sym_PERCENT] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1166),
    [anon_sym_CARET] = ACTIONS(1168),
    [anon_sym_LT_LT] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1170),
    [anon_sym_LT_EQ] = ACTIONS(1154),
    [anon_sym_EQ_EQ] = ACTIONS(1154),
    [anon_sym_BANG_EQ] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1154),
    [anon_sym_GT] = ACTIONS(1170),
    [anon_sym_LT_GT] = ACTIONS(1154),
    [anon_sym_is] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [216] = {
    [anon_sym_RBRACK] = ACTIONS(1174),
    [sym_comment] = ACTIONS(69),
  },
  [217] = {
    [anon_sym_DOT] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_as] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(773),
    [anon_sym_async] = ACTIONS(773),
    [anon_sym_for] = ACTIONS(773),
    [anon_sym_in] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(773),
    [anon_sym_and] = ACTIONS(773),
    [anon_sym_or] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(773),
    [anon_sym_SLASH_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(773),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_CARET] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_LT_GT] = ACTIONS(773),
    [anon_sym_is] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(773),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [sym_comment] = ACTIONS(69),
  },
  [218] = {
    [aux_sym_list_repeat1] = STATE(587),
    [anon_sym_COMMA] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1174),
    [sym_comment] = ACTIONS(69),
  },
  [219] = {
    [sym__comprehension_body] = STATE(588),
    [sym_for_in_clause] = STATE(443),
    [aux_sym_list_repeat1] = STATE(587),
    [anon_sym_COMMA] = ACTIONS(1176),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(1174),
    [sym_comment] = ACTIONS(69),
  },
  [220] = {
    [anon_sym_RBRACE] = ACTIONS(1178),
    [sym_comment] = ACTIONS(69),
  },
  [221] = {
    [anon_sym_DOT] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(835),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(837),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(835),
    [anon_sym_COLON] = ACTIONS(835),
    [anon_sym_else] = ACTIONS(835),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_for] = ACTIONS(835),
    [anon_sym_in] = ACTIONS(835),
    [anon_sym_EQ] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(835),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_and] = ACTIONS(835),
    [anon_sym_or] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(835),
    [anon_sym_DASH] = ACTIONS(835),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_PERCENT] = ACTIONS(835),
    [anon_sym_SLASH_SLASH] = ACTIONS(835),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_PIPE] = ACTIONS(835),
    [anon_sym_AMP] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [anon_sym_LT_LT] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(837),
    [anon_sym_LT_EQ] = ACTIONS(835),
    [anon_sym_EQ_EQ] = ACTIONS(835),
    [anon_sym_BANG_EQ] = ACTIONS(835),
    [anon_sym_GT_EQ] = ACTIONS(835),
    [anon_sym_GT] = ACTIONS(837),
    [anon_sym_LT_GT] = ACTIONS(835),
    [anon_sym_is] = ACTIONS(835),
    [anon_sym_LBRACK] = ACTIONS(835),
    [anon_sym_RBRACK] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(835),
    [sym_comment] = ACTIONS(69),
  },
  [222] = {
    [aux_sym_list_repeat1] = STATE(592),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [sym_comment] = ACTIONS(69),
  },
  [223] = {
    [aux_sym_dictionary_repeat1] = STATE(594),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [sym_comment] = ACTIONS(69),
  },
  [224] = {
    [sym__comprehension_body] = STATE(595),
    [sym_for_in_clause] = STATE(480),
    [aux_sym_list_repeat1] = STATE(592),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(849),
    [anon_sym_async] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_and] = ACTIONS(855),
    [anon_sym_or] = ACTIONS(857),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [sym_comment] = ACTIONS(69),
  },
  [225] = {
    [sym__comprehension_body] = STATE(596),
    [sym_for_in_clause] = STATE(480),
    [aux_sym_dictionary_repeat1] = STATE(594),
    [anon_sym_COMMA] = ACTIONS(1184),
    [anon_sym_async] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [sym_comment] = ACTIONS(69),
  },
  [226] = {
    [aux_sym_concatenated_string_repeat1] = STATE(597),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(1186),
    [sym_comment] = ACTIONS(69),
  },
  [227] = {
    [anon_sym_RPAREN] = ACTIONS(889),
    [anon_sym_COMMA] = ACTIONS(889),
    [anon_sym_as] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_COLON] = ACTIONS(889),
    [anon_sym_else] = ACTIONS(889),
    [anon_sym_async] = ACTIONS(889),
    [anon_sym_for] = ACTIONS(889),
    [anon_sym_EQ] = ACTIONS(889),
    [anon_sym_and] = ACTIONS(889),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_RBRACK] = ACTIONS(889),
    [anon_sym_RBRACE] = ACTIONS(889),
    [sym_comment] = ACTIONS(69),
  },
  [228] = {
    [sym__newline] = ACTIONS(1190),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_COLON] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_EQ] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [anon_sym_not] = ACTIONS(1190),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_or] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_SLASH_SLASH] = ACTIONS(1192),
    [anon_sym_STAR_STAR] = ACTIONS(1192),
    [anon_sym_PIPE] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1192),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1192),
    [anon_sym_LT_GT] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_PLUS_EQ] = ACTIONS(1190),
    [anon_sym_DASH_EQ] = ACTIONS(1190),
    [anon_sym_STAR_EQ] = ACTIONS(1190),
    [anon_sym_SLASH_EQ] = ACTIONS(1190),
    [anon_sym_AT_EQ] = ACTIONS(1190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1190),
    [anon_sym_PERCENT_EQ] = ACTIONS(1190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1190),
    [anon_sym_GT_GT_EQ] = ACTIONS(1190),
    [anon_sym_LT_LT_EQ] = ACTIONS(1190),
    [anon_sym_AMP_EQ] = ACTIONS(1190),
    [anon_sym_CARET_EQ] = ACTIONS(1190),
    [anon_sym_PIPE_EQ] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1190),
  },
  [229] = {
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_yield] = STATE(600),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(599),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(1194),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [230] = {
    [sym__expression] = STATE(601),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(601),
    [sym_boolean_operator] = STATE(601),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(601),
    [sym_lambda] = STATE(601),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(601),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(601),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [231] = {
    [anon_sym_for] = ACTIONS(1196),
    [sym_comment] = ACTIONS(69),
  },
  [232] = {
    [sym_variables] = STATE(603),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [233] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [234] = {
    [sym__expression] = STATE(605),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(605),
    [sym_boolean_operator] = STATE(605),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(605),
    [sym_lambda] = STATE(605),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(605),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(605),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [235] = {
    [anon_sym_RPAREN] = ACTIONS(1198),
    [sym_comment] = ACTIONS(69),
  },
  [236] = {
    [sym_for_in_clause] = STATE(608),
    [sym_if_clause] = STATE(608),
    [aux_sym__comprehension_body_repeat1] = STATE(608),
    [anon_sym_RPAREN] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_async] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [sym_comment] = ACTIONS(69),
  },
  [237] = {
    [aux_sym_tuple_repeat1] = STATE(610),
    [anon_sym_RPAREN] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1204),
    [sym_comment] = ACTIONS(69),
  },
  [238] = {
    [sym_identifier] = ACTIONS(1206),
    [sym_comment] = ACTIONS(69),
  },
  [239] = {
    [sym_list_splat] = STATE(614),
    [sym_dictionary_splat] = STATE(614),
    [sym__expression] = STATE(615),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(615),
    [sym_boolean_operator] = STATE(615),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(615),
    [sym_lambda] = STATE(615),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_keyword_argument] = STATE(614),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(615),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(615),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [240] = {
    [sym__primary_expression] = STATE(616),
    [sym_binary_operator] = STATE(616),
    [sym_unary_operator] = STATE(616),
    [sym_attribute] = STATE(616),
    [sym_subscript] = STATE(616),
    [sym_call] = STATE(616),
    [sym_list] = STATE(616),
    [sym_list_comprehension] = STATE(616),
    [sym_dictionary] = STATE(616),
    [sym_dictionary_comprehension] = STATE(616),
    [sym_set] = STATE(616),
    [sym_set_comprehension] = STATE(616),
    [sym_parenthesized_expression] = STATE(616),
    [sym_tuple] = STATE(616),
    [sym_generator_expression] = STATE(616),
    [sym_concatenated_string] = STATE(616),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [sym_identifier] = ACTIONS(1214),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [sym_none] = ACTIONS(1214),
    [sym_comment] = ACTIONS(69),
  },
  [241] = {
    [sym__primary_expression] = STATE(617),
    [sym_binary_operator] = STATE(617),
    [sym_unary_operator] = STATE(617),
    [sym_attribute] = STATE(617),
    [sym_subscript] = STATE(617),
    [sym_call] = STATE(617),
    [sym_list] = STATE(617),
    [sym_list_comprehension] = STATE(617),
    [sym_dictionary] = STATE(617),
    [sym_dictionary_comprehension] = STATE(617),
    [sym_set] = STATE(617),
    [sym_set_comprehension] = STATE(617),
    [sym_parenthesized_expression] = STATE(617),
    [sym_tuple] = STATE(617),
    [sym_generator_expression] = STATE(617),
    [sym_concatenated_string] = STATE(617),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1218),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [sym_none] = ACTIONS(1218),
    [sym_comment] = ACTIONS(69),
  },
  [242] = {
    [sym__primary_expression] = STATE(618),
    [sym_binary_operator] = STATE(618),
    [sym_unary_operator] = STATE(618),
    [sym_attribute] = STATE(618),
    [sym_subscript] = STATE(618),
    [sym_call] = STATE(618),
    [sym_list] = STATE(618),
    [sym_list_comprehension] = STATE(618),
    [sym_dictionary] = STATE(618),
    [sym_dictionary_comprehension] = STATE(618),
    [sym_set] = STATE(618),
    [sym_set_comprehension] = STATE(618),
    [sym_parenthesized_expression] = STATE(618),
    [sym_tuple] = STATE(618),
    [sym_generator_expression] = STATE(618),
    [sym_concatenated_string] = STATE(618),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1222),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [sym_none] = ACTIONS(1222),
    [sym_comment] = ACTIONS(69),
  },
  [243] = {
    [anon_sym_in] = ACTIONS(1224),
    [sym_comment] = ACTIONS(69),
  },
  [244] = {
    [sym__primary_expression] = STATE(620),
    [sym_binary_operator] = STATE(620),
    [sym_unary_operator] = STATE(620),
    [sym_attribute] = STATE(620),
    [sym_subscript] = STATE(620),
    [sym_call] = STATE(620),
    [sym_list] = STATE(620),
    [sym_list_comprehension] = STATE(620),
    [sym_dictionary] = STATE(620),
    [sym_dictionary_comprehension] = STATE(620),
    [sym_set] = STATE(620),
    [sym_set_comprehension] = STATE(620),
    [sym_parenthesized_expression] = STATE(620),
    [sym_tuple] = STATE(620),
    [sym_generator_expression] = STATE(620),
    [sym_concatenated_string] = STATE(620),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [sym_identifier] = ACTIONS(1228),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [sym_none] = ACTIONS(1228),
    [sym_comment] = ACTIONS(69),
  },
  [245] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [246] = {
    [sym__primary_expression] = STATE(622),
    [sym_binary_operator] = STATE(622),
    [sym_unary_operator] = STATE(622),
    [sym_attribute] = STATE(622),
    [sym_subscript] = STATE(622),
    [sym_call] = STATE(622),
    [sym_list] = STATE(622),
    [sym_list_comprehension] = STATE(622),
    [sym_dictionary] = STATE(622),
    [sym_dictionary_comprehension] = STATE(622),
    [sym_set] = STATE(622),
    [sym_set_comprehension] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym_tuple] = STATE(622),
    [sym_generator_expression] = STATE(622),
    [sym_concatenated_string] = STATE(622),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [sym_identifier] = ACTIONS(1236),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [sym_none] = ACTIONS(1236),
    [sym_comment] = ACTIONS(69),
  },
  [247] = {
    [sym__primary_expression] = STATE(623),
    [sym_binary_operator] = STATE(623),
    [sym_unary_operator] = STATE(623),
    [sym_attribute] = STATE(623),
    [sym_subscript] = STATE(623),
    [sym_call] = STATE(623),
    [sym_list] = STATE(623),
    [sym_list_comprehension] = STATE(623),
    [sym_dictionary] = STATE(623),
    [sym_dictionary_comprehension] = STATE(623),
    [sym_set] = STATE(623),
    [sym_set_comprehension] = STATE(623),
    [sym_parenthesized_expression] = STATE(623),
    [sym_tuple] = STATE(623),
    [sym_generator_expression] = STATE(623),
    [sym_concatenated_string] = STATE(623),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [sym_identifier] = ACTIONS(1240),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [sym_none] = ACTIONS(1240),
    [sym_comment] = ACTIONS(69),
  },
  [248] = {
    [sym__primary_expression] = STATE(624),
    [sym_binary_operator] = STATE(624),
    [sym_unary_operator] = STATE(624),
    [sym_attribute] = STATE(624),
    [sym_subscript] = STATE(624),
    [sym_call] = STATE(624),
    [sym_list] = STATE(624),
    [sym_list_comprehension] = STATE(624),
    [sym_dictionary] = STATE(624),
    [sym_dictionary_comprehension] = STATE(624),
    [sym_set] = STATE(624),
    [sym_set_comprehension] = STATE(624),
    [sym_parenthesized_expression] = STATE(624),
    [sym_tuple] = STATE(624),
    [sym_generator_expression] = STATE(624),
    [sym_concatenated_string] = STATE(624),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [sym_identifier] = ACTIONS(1244),
    [sym_true] = ACTIONS(1244),
    [sym_false] = ACTIONS(1244),
    [sym_none] = ACTIONS(1244),
    [sym_comment] = ACTIONS(69),
  },
  [249] = {
    [sym__primary_expression] = STATE(618),
    [sym_binary_operator] = STATE(618),
    [sym_unary_operator] = STATE(618),
    [sym_attribute] = STATE(618),
    [sym_subscript] = STATE(618),
    [sym_call] = STATE(618),
    [sym_list] = STATE(618),
    [sym_list_comprehension] = STATE(618),
    [sym_dictionary] = STATE(618),
    [sym_dictionary_comprehension] = STATE(618),
    [sym_set] = STATE(618),
    [sym_set_comprehension] = STATE(618),
    [sym_parenthesized_expression] = STATE(618),
    [sym_tuple] = STATE(618),
    [sym_generator_expression] = STATE(618),
    [sym_concatenated_string] = STATE(618),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1222),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [sym_none] = ACTIONS(1222),
    [sym_comment] = ACTIONS(69),
  },
  [250] = {
    [sym__expression] = STATE(625),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(625),
    [sym_boolean_operator] = STATE(625),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(625),
    [sym_lambda] = STATE(625),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(626),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(625),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(625),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [251] = {
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_RPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_as] = ACTIONS(993),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_COLON] = ACTIONS(991),
    [anon_sym_else] = ACTIONS(991),
    [anon_sym_async] = ACTIONS(991),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(991),
    [anon_sym_EQ] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_not] = ACTIONS(991),
    [anon_sym_and] = ACTIONS(991),
    [anon_sym_or] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_SLASH] = ACTIONS(993),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_SLASH_SLASH] = ACTIONS(991),
    [anon_sym_STAR_STAR] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_LT_GT] = ACTIONS(991),
    [anon_sym_is] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_RBRACK] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [sym_comment] = ACTIONS(69),
  },
  [252] = {
    [aux_sym_comparison_operator_repeat1] = STATE(627),
    [anon_sym_RPAREN] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(427),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(427),
    [anon_sym_EQ_EQ] = ACTIONS(427),
    [anon_sym_BANG_EQ] = ACTIONS(427),
    [anon_sym_GT_EQ] = ACTIONS(427),
    [anon_sym_GT] = ACTIONS(443),
    [anon_sym_LT_GT] = ACTIONS(427),
    [anon_sym_is] = ACTIONS(445),
    [sym_comment] = ACTIONS(69),
  },
  [253] = {
    [sym__newline] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(367),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_COMMA] = ACTIONS(367),
    [anon_sym_STAR] = ACTIONS(369),
    [anon_sym_GT_GT] = ACTIONS(367),
    [anon_sym_if] = ACTIONS(367),
    [anon_sym_in] = ACTIONS(367),
    [anon_sym_EQ] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(367),
    [anon_sym_not] = ACTIONS(367),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_or] = ACTIONS(367),
    [anon_sym_PLUS] = ACTIONS(367),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_SLASH] = ACTIONS(369),
    [anon_sym_PERCENT] = ACTIONS(367),
    [anon_sym_SLASH_SLASH] = ACTIONS(367),
    [anon_sym_STAR_STAR] = ACTIONS(367),
    [anon_sym_PIPE] = ACTIONS(367),
    [anon_sym_AMP] = ACTIONS(367),
    [anon_sym_CARET] = ACTIONS(367),
    [anon_sym_LT_LT] = ACTIONS(367),
    [anon_sym_LT] = ACTIONS(369),
    [anon_sym_LT_EQ] = ACTIONS(367),
    [anon_sym_EQ_EQ] = ACTIONS(367),
    [anon_sym_BANG_EQ] = ACTIONS(367),
    [anon_sym_GT_EQ] = ACTIONS(367),
    [anon_sym_GT] = ACTIONS(369),
    [anon_sym_LT_GT] = ACTIONS(367),
    [anon_sym_is] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(367),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(367),
  },
  [254] = {
    [anon_sym_RPAREN] = ACTIONS(1248),
    [sym_comment] = ACTIONS(69),
  },
  [255] = {
    [sym__comprehension_body] = STATE(631),
    [sym_for_in_clause] = STATE(236),
    [aux_sym_tuple_repeat1] = STATE(632),
    [anon_sym_RPAREN] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [256] = {
    [aux_sym_tuple_repeat1] = STATE(632),
    [anon_sym_RPAREN] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1252),
    [sym_comment] = ACTIONS(69),
  },
  [257] = {
    [sym__newline] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1254),
  },
  [258] = {
    [sym__newline] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(713),
  },
  [259] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(715),
    [anon_sym_DOT] = ACTIONS(715),
    [anon_sym_from] = ACTIONS(715),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(715),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_GT_GT] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(715),
    [anon_sym_EQ] = ACTIONS(717),
    [anon_sym_AT] = ACTIONS(715),
    [anon_sym_not] = ACTIONS(715),
    [anon_sym_and] = ACTIONS(715),
    [anon_sym_or] = ACTIONS(715),
    [anon_sym_PLUS] = ACTIONS(715),
    [anon_sym_DASH] = ACTIONS(715),
    [anon_sym_SLASH] = ACTIONS(717),
    [anon_sym_PERCENT] = ACTIONS(715),
    [anon_sym_SLASH_SLASH] = ACTIONS(715),
    [anon_sym_STAR_STAR] = ACTIONS(715),
    [anon_sym_PIPE] = ACTIONS(715),
    [anon_sym_AMP] = ACTIONS(715),
    [anon_sym_CARET] = ACTIONS(715),
    [anon_sym_LT_LT] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(717),
    [anon_sym_LT_EQ] = ACTIONS(715),
    [anon_sym_EQ_EQ] = ACTIONS(715),
    [anon_sym_BANG_EQ] = ACTIONS(715),
    [anon_sym_GT_EQ] = ACTIONS(715),
    [anon_sym_GT] = ACTIONS(717),
    [anon_sym_LT_GT] = ACTIONS(715),
    [anon_sym_is] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(715),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(715),
  },
  [260] = {
    [sym__expression] = STATE(633),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(633),
    [sym_boolean_operator] = STATE(633),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(633),
    [sym_lambda] = STATE(633),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(633),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(633),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [261] = {
    [anon_sym_COLON] = ACTIONS(1256),
    [sym_comment] = ACTIONS(69),
  },
  [262] = {
    [anon_sym_RBRACK] = ACTIONS(1258),
    [sym_comment] = ACTIONS(69),
  },
  [263] = {
    [sym__newline] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_in] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(773),
    [anon_sym_and] = ACTIONS(773),
    [anon_sym_or] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(773),
    [anon_sym_SLASH_SLASH] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(773),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_CARET] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_LT_GT] = ACTIONS(773),
    [anon_sym_is] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(773),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(773),
  },
  [264] = {
    [aux_sym_list_repeat1] = STATE(637),
    [anon_sym_COMMA] = ACTIONS(1260),
    [anon_sym_RBRACK] = ACTIONS(1258),
    [sym_comment] = ACTIONS(69),
  },
  [265] = {
    [sym__comprehension_body] = STATE(638),
    [sym_for_in_clause] = STATE(443),
    [aux_sym_list_repeat1] = STATE(637),
    [anon_sym_COMMA] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(1258),
    [sym_comment] = ACTIONS(69),
  },
  [266] = {
    [anon_sym_RBRACE] = ACTIONS(1262),
    [sym_comment] = ACTIONS(69),
  },
  [267] = {
    [sym__newline] = ACTIONS(835),
    [anon_sym_DOT] = ACTIONS(835),
    [anon_sym_from] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(835),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(835),
    [anon_sym_in] = ACTIONS(835),
    [anon_sym_EQ] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(835),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_and] = ACTIONS(835),
    [anon_sym_or] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(835),
    [anon_sym_DASH] = ACTIONS(835),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_PERCENT] = ACTIONS(835),
    [anon_sym_SLASH_SLASH] = ACTIONS(835),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_PIPE] = ACTIONS(835),
    [anon_sym_AMP] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(835),
    [anon_sym_LT_LT] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(837),
    [anon_sym_LT_EQ] = ACTIONS(835),
    [anon_sym_EQ_EQ] = ACTIONS(835),
    [anon_sym_BANG_EQ] = ACTIONS(835),
    [anon_sym_GT_EQ] = ACTIONS(835),
    [anon_sym_GT] = ACTIONS(837),
    [anon_sym_LT_GT] = ACTIONS(835),
    [anon_sym_is] = ACTIONS(835),
    [anon_sym_LBRACK] = ACTIONS(835),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(835),
  },
  [268] = {
    [aux_sym_list_repeat1] = STATE(642),
    [anon_sym_COMMA] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [sym_comment] = ACTIONS(69),
  },
  [269] = {
    [aux_sym_dictionary_repeat1] = STATE(644),
    [anon_sym_COMMA] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [sym_comment] = ACTIONS(69),
  },
  [270] = {
    [sym__comprehension_body] = STATE(645),
    [sym_for_in_clause] = STATE(480),
    [aux_sym_list_repeat1] = STATE(642),
    [anon_sym_COMMA] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(849),
    [anon_sym_async] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_and] = ACTIONS(855),
    [anon_sym_or] = ACTIONS(857),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [sym_comment] = ACTIONS(69),
  },
  [271] = {
    [sym__comprehension_body] = STATE(646),
    [sym_for_in_clause] = STATE(480),
    [aux_sym_dictionary_repeat1] = STATE(644),
    [anon_sym_COMMA] = ACTIONS(1268),
    [anon_sym_async] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [sym_comment] = ACTIONS(69),
  },
  [272] = {
    [aux_sym_concatenated_string_repeat1] = STATE(647),
    [sym__newline] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(1270),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(883),
  },
  [273] = {
    [sym__expression] = STATE(648),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(648),
    [sym_boolean_operator] = STATE(648),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(648),
    [sym_lambda] = STATE(648),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(648),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(648),
    [sym__newline] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1272),
  },
  [274] = {
    [aux_sym_print_statement_repeat1] = STATE(650),
    [sym__newline] = ACTIONS(1272),
    [anon_sym_COMMA] = ACTIONS(1274),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1272),
  },
  [275] = {
    [sym__expression] = STATE(651),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(651),
    [sym_boolean_operator] = STATE(651),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(651),
    [sym_lambda] = STATE(651),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(651),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(651),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [276] = {
    [sym__expression] = STATE(514),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(514),
    [sym_boolean_operator] = STATE(514),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(514),
    [sym_lambda] = STATE(514),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(514),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(514),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [277] = {
    [sym__expression] = STATE(652),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(652),
    [sym_boolean_operator] = STATE(652),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(652),
    [sym_lambda] = STATE(652),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(652),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(652),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1276),
    [sym_comment] = ACTIONS(69),
  },
  [279] = {
    [sym_list_splat] = STATE(656),
    [sym_dictionary_splat] = STATE(656),
    [sym__expression] = STATE(657),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(657),
    [sym_boolean_operator] = STATE(657),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(657),
    [sym_lambda] = STATE(657),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_keyword_argument] = STATE(656),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(657),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(657),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(1278),
    [anon_sym_COMMA] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [280] = {
    [sym__primary_expression] = STATE(658),
    [sym_binary_operator] = STATE(658),
    [sym_unary_operator] = STATE(658),
    [sym_attribute] = STATE(658),
    [sym_subscript] = STATE(658),
    [sym_call] = STATE(658),
    [sym_list] = STATE(658),
    [sym_list_comprehension] = STATE(658),
    [sym_dictionary] = STATE(658),
    [sym_dictionary_comprehension] = STATE(658),
    [sym_set] = STATE(658),
    [sym_set_comprehension] = STATE(658),
    [sym_parenthesized_expression] = STATE(658),
    [sym_tuple] = STATE(658),
    [sym_generator_expression] = STATE(658),
    [sym_concatenated_string] = STATE(658),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [sym_identifier] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [sym_false] = ACTIONS(1284),
    [sym_none] = ACTIONS(1284),
    [sym_comment] = ACTIONS(69),
  },
  [281] = {
    [sym__primary_expression] = STATE(659),
    [sym_binary_operator] = STATE(659),
    [sym_unary_operator] = STATE(659),
    [sym_attribute] = STATE(659),
    [sym_subscript] = STATE(659),
    [sym_call] = STATE(659),
    [sym_list] = STATE(659),
    [sym_list_comprehension] = STATE(659),
    [sym_dictionary] = STATE(659),
    [sym_dictionary_comprehension] = STATE(659),
    [sym_set] = STATE(659),
    [sym_set_comprehension] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_tuple] = STATE(659),
    [sym_generator_expression] = STATE(659),
    [sym_concatenated_string] = STATE(659),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [sym_identifier] = ACTIONS(1288),
    [sym_true] = ACTIONS(1288),
    [sym_false] = ACTIONS(1288),
    [sym_none] = ACTIONS(1288),
    [sym_comment] = ACTIONS(69),
  },
  [282] = {
    [sym__primary_expression] = STATE(660),
    [sym_binary_operator] = STATE(660),
    [sym_unary_operator] = STATE(660),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(660),
    [sym_list] = STATE(660),
    [sym_list_comprehension] = STATE(660),
    [sym_dictionary] = STATE(660),
    [sym_dictionary_comprehension] = STATE(660),
    [sym_set] = STATE(660),
    [sym_set_comprehension] = STATE(660),
    [sym_parenthesized_expression] = STATE(660),
    [sym_tuple] = STATE(660),
    [sym_generator_expression] = STATE(660),
    [sym_concatenated_string] = STATE(660),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [sym_identifier] = ACTIONS(1292),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [sym_none] = ACTIONS(1292),
    [sym_comment] = ACTIONS(69),
  },
  [283] = {
    [anon_sym_in] = ACTIONS(1294),
    [sym_comment] = ACTIONS(69),
  },
  [284] = {
    [sym__primary_expression] = STATE(662),
    [sym_binary_operator] = STATE(662),
    [sym_unary_operator] = STATE(662),
    [sym_attribute] = STATE(662),
    [sym_subscript] = STATE(662),
    [sym_call] = STATE(662),
    [sym_list] = STATE(662),
    [sym_list_comprehension] = STATE(662),
    [sym_dictionary] = STATE(662),
    [sym_dictionary_comprehension] = STATE(662),
    [sym_set] = STATE(662),
    [sym_set_comprehension] = STATE(662),
    [sym_parenthesized_expression] = STATE(662),
    [sym_tuple] = STATE(662),
    [sym_generator_expression] = STATE(662),
    [sym_concatenated_string] = STATE(662),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [sym_identifier] = ACTIONS(1298),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [sym_none] = ACTIONS(1298),
    [sym_comment] = ACTIONS(69),
  },
  [285] = {
    [sym__primary_expression] = STATE(663),
    [sym_binary_operator] = STATE(663),
    [sym_unary_operator] = STATE(663),
    [sym_attribute] = STATE(663),
    [sym_subscript] = STATE(663),
    [sym_call] = STATE(663),
    [sym_list] = STATE(663),
    [sym_list_comprehension] = STATE(663),
    [sym_dictionary] = STATE(663),
    [sym_dictionary_comprehension] = STATE(663),
    [sym_set] = STATE(663),
    [sym_set_comprehension] = STATE(663),
    [sym_parenthesized_expression] = STATE(663),
    [sym_tuple] = STATE(663),
    [sym_generator_expression] = STATE(663),
    [sym_concatenated_string] = STATE(663),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1302),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [sym_none] = ACTIONS(1302),
    [sym_comment] = ACTIONS(69),
  },
  [286] = {
    [sym__primary_expression] = STATE(664),
    [sym_binary_operator] = STATE(664),
    [sym_unary_operator] = STATE(664),
    [sym_attribute] = STATE(664),
    [sym_subscript] = STATE(664),
    [sym_call] = STATE(664),
    [sym_list] = STATE(664),
    [sym_list_comprehension] = STATE(664),
    [sym_dictionary] = STATE(664),
    [sym_dictionary_comprehension] = STATE(664),
    [sym_set] = STATE(664),
    [sym_set_comprehension] = STATE(664),
    [sym_parenthesized_expression] = STATE(664),
    [sym_tuple] = STATE(664),
    [sym_generator_expression] = STATE(664),
    [sym_concatenated_string] = STATE(664),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1306),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [sym_none] = ACTIONS(1306),
    [sym_comment] = ACTIONS(69),
  },
  [287] = {
    [sym__primary_expression] = STATE(665),
    [sym_binary_operator] = STATE(665),
    [sym_unary_operator] = STATE(665),
    [sym_attribute] = STATE(665),
    [sym_subscript] = STATE(665),
    [sym_call] = STATE(665),
    [sym_list] = STATE(665),
    [sym_list_comprehension] = STATE(665),
    [sym_dictionary] = STATE(665),
    [sym_dictionary_comprehension] = STATE(665),
    [sym_set] = STATE(665),
    [sym_set_comprehension] = STATE(665),
    [sym_parenthesized_expression] = STATE(665),
    [sym_tuple] = STATE(665),
    [sym_generator_expression] = STATE(665),
    [sym_concatenated_string] = STATE(665),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1310),
    [sym_true] = ACTIONS(1310),
    [sym_false] = ACTIONS(1310),
    [sym_none] = ACTIONS(1310),
    [sym_comment] = ACTIONS(69),
  },
  [288] = {
    [sym__primary_expression] = STATE(666),
    [sym_binary_operator] = STATE(666),
    [sym_unary_operator] = STATE(666),
    [sym_attribute] = STATE(666),
    [sym_subscript] = STATE(666),
    [sym_call] = STATE(666),
    [sym_list] = STATE(666),
    [sym_list_comprehension] = STATE(666),
    [sym_dictionary] = STATE(666),
    [sym_dictionary_comprehension] = STATE(666),
    [sym_set] = STATE(666),
    [sym_set_comprehension] = STATE(666),
    [sym_parenthesized_expression] = STATE(666),
    [sym_tuple] = STATE(666),
    [sym_generator_expression] = STATE(666),
    [sym_concatenated_string] = STATE(666),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1314),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [sym_none] = ACTIONS(1314),
    [sym_comment] = ACTIONS(69),
  },
  [289] = {
    [sym__primary_expression] = STATE(660),
    [sym_binary_operator] = STATE(660),
    [sym_unary_operator] = STATE(660),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(660),
    [sym_list] = STATE(660),
    [sym_list_comprehension] = STATE(660),
    [sym_dictionary] = STATE(660),
    [sym_dictionary_comprehension] = STATE(660),
    [sym_set] = STATE(660),
    [sym_set_comprehension] = STATE(660),
    [sym_parenthesized_expression] = STATE(660),
    [sym_tuple] = STATE(660),
    [sym_generator_expression] = STATE(660),
    [sym_concatenated_string] = STATE(660),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [sym_identifier] = ACTIONS(1292),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [sym_none] = ACTIONS(1292),
    [sym_comment] = ACTIONS(69),
  },
  [290] = {
    [sym__expression] = STATE(667),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(667),
    [sym_boolean_operator] = STATE(667),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(667),
    [sym_lambda] = STATE(667),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(668),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(667),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(667),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [291] = {
    [sym__newline] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(991),
    [anon_sym_from] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_in] = ACTIONS(991),
    [anon_sym_EQ] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_not] = ACTIONS(991),
    [anon_sym_and] = ACTIONS(991),
    [anon_sym_or] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_SLASH] = ACTIONS(993),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_SLASH_SLASH] = ACTIONS(991),
    [anon_sym_STAR_STAR] = ACTIONS(991),
    [anon_sym_PIPE] = ACTIONS(991),
    [anon_sym_AMP] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_LT_GT] = ACTIONS(991),
    [anon_sym_is] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(991),
  },
  [292] = {
    [aux_sym_comparison_operator_repeat1] = STATE(669),
    [sym__newline] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(487),
    [anon_sym_not] = ACTIONS(491),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(503),
    [anon_sym_LT_EQ] = ACTIONS(487),
    [anon_sym_EQ_EQ] = ACTIONS(487),
    [anon_sym_BANG_EQ] = ACTIONS(487),
    [anon_sym_GT_EQ] = ACTIONS(487),
    [anon_sym_GT] = ACTIONS(503),
    [anon_sym_LT_GT] = ACTIONS(487),
    [anon_sym_is] = ACTIONS(505),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(995),
  },
  [293] = {
    [sym__expression] = STATE(648),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(648),
    [sym_boolean_operator] = STATE(648),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(648),
    [sym_lambda] = STATE(648),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(648),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(648),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [294] = {
    [aux_sym_print_statement_repeat1] = STATE(650),
    [sym__newline] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(511),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1318),
  },
  [295] = {
    [sym__expression] = STATE(648),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(648),
    [sym_boolean_operator] = STATE(648),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(648),
    [sym_lambda] = STATE(648),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(648),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(648),
    [sym__newline] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(907),
  },
  [296] = {
    [aux_sym_print_statement_repeat1] = STATE(650),
    [sym__newline] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(1320),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(907),
  },
  [297] = {
    [sym__expression] = STATE(671),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(671),
    [sym_boolean_operator] = STATE(671),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(671),
    [sym_lambda] = STATE(671),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(671),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(671),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [298] = {
    [sym__primary_expression] = STATE(259),
    [sym_binary_operator] = STATE(259),
    [sym_unary_operator] = STATE(259),
    [sym_attribute] = STATE(259),
    [sym_subscript] = STATE(259),
    [sym_call] = STATE(259),
    [sym_list] = STATE(259),
    [sym_list_comprehension] = STATE(259),
    [sym_dictionary] = STATE(259),
    [sym_dictionary_comprehension] = STATE(259),
    [sym_set] = STATE(259),
    [sym_set_comprehension] = STATE(259),
    [sym_parenthesized_expression] = STATE(259),
    [sym_tuple] = STATE(259),
    [sym_generator_expression] = STATE(259),
    [sym_concatenated_string] = STATE(259),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(455),
    [sym_float] = ACTIONS(455),
    [sym_identifier] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_none] = ACTIONS(455),
    [sym_comment] = ACTIONS(69),
  },
  [299] = {
    [sym_lambda_parameters] = STATE(673),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(1322),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [300] = {
    [aux_sym_concatenated_string_repeat1] = STATE(674),
    [sym__newline] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(1324),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(273),
  },
  [301] = {
    [sym__expression] = STATE(160),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(160),
    [sym_boolean_operator] = STATE(160),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(160),
    [sym_lambda] = STATE(160),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(160),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(160),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [302] = {
    [sym__newline] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_and] = ACTIONS(1330),
    [anon_sym_or] = ACTIONS(1332),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1326),
  },
  [303] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [aux_sym_comparison_operator_repeat1] = STATE(688),
    [sym__newline] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(1342),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(1340),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1338),
    [anon_sym_EQ_EQ] = ACTIONS(1338),
    [anon_sym_BANG_EQ] = ACTIONS(1338),
    [anon_sym_GT_EQ] = ACTIONS(1338),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1338),
    [anon_sym_is] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(299),
  },
  [304] = {
    [sym__newline] = ACTIONS(713),
    [anon_sym_from] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(545),
    [anon_sym_or] = ACTIONS(547),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(713),
  },
  [305] = {
    [sym__expression] = STATE(689),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(689),
    [sym_boolean_operator] = STATE(689),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(689),
    [sym_lambda] = STATE(689),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(689),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(689),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
  },
  [306] = {
    [anon_sym_COLON] = ACTIONS(1358),
    [sym_comment] = ACTIONS(69),
  },
  [307] = {
    [aux_sym_concatenated_string_repeat1] = STATE(691),
    [sym__newline] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_from] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(1360),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(883),
  },
  [308] = {
    [sym__expression] = STATE(692),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(692),
    [sym_boolean_operator] = STATE(692),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(692),
    [sym_lambda] = STATE(692),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(692),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(692),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [309] = {
    [sym__expression] = STATE(693),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(693),
    [sym_boolean_operator] = STATE(693),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(693),
    [sym_lambda] = STATE(693),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(693),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(693),
    [sym__newline] = ACTIONS(907),
    [anon_sym_from] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(907),
  },
  [310] = {
    [sym__expression] = STATE(694),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(694),
    [sym_boolean_operator] = STATE(694),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(694),
    [sym_lambda] = STATE(694),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(694),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(694),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [311] = {
    [sym__expression] = STATE(514),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(514),
    [sym_boolean_operator] = STATE(514),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(514),
    [sym_lambda] = STATE(514),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(514),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(514),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
  },
  [312] = {
    [sym__expression] = STATE(695),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(695),
    [sym_boolean_operator] = STATE(695),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(695),
    [sym_lambda] = STATE(695),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(695),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(695),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
  },
  [313] = {
    [aux_sym_print_statement_repeat1] = STATE(697),
    [sym__newline] = ACTIONS(907),
    [anon_sym_from] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(1364),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(907),
  },
  [314] = {
    [sym__primary_expression] = STATE(698),
    [sym_binary_operator] = STATE(698),
    [sym_unary_operator] = STATE(698),
    [sym_attribute] = STATE(698),
    [sym_subscript] = STATE(698),
    [sym_call] = STATE(698),
    [sym_list] = STATE(698),
    [sym_list_comprehension] = STATE(698),
    [sym_dictionary] = STATE(698),
    [sym_dictionary_comprehension] = STATE(698),
    [sym_set] = STATE(698),
    [sym_set_comprehension] = STATE(698),
    [sym_parenthesized_expression] = STATE(698),
    [sym_tuple] = STATE(698),
    [sym_generator_expression] = STATE(698),
    [sym_concatenated_string] = STATE(698),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [sym_identifier] = ACTIONS(1368),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [sym_none] = ACTIONS(1368),
    [sym_comment] = ACTIONS(69),
  },
  [315] = {
    [sym__primary_expression] = STATE(699),
    [sym_binary_operator] = STATE(699),
    [sym_unary_operator] = STATE(699),
    [sym_attribute] = STATE(699),
    [sym_subscript] = STATE(699),
    [sym_call] = STATE(699),
    [sym_list] = STATE(699),
    [sym_list_comprehension] = STATE(699),
    [sym_dictionary] = STATE(699),
    [sym_dictionary_comprehension] = STATE(699),
    [sym_set] = STATE(699),
    [sym_set_comprehension] = STATE(699),
    [sym_parenthesized_expression] = STATE(699),
    [sym_tuple] = STATE(699),
    [sym_generator_expression] = STATE(699),
    [sym_concatenated_string] = STATE(699),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [sym_identifier] = ACTIONS(1372),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [sym_none] = ACTIONS(1372),
    [sym_comment] = ACTIONS(69),
  },
  [316] = {
    [sym__primary_expression] = STATE(700),
    [sym_binary_operator] = STATE(700),
    [sym_unary_operator] = STATE(700),
    [sym_attribute] = STATE(700),
    [sym_subscript] = STATE(700),
    [sym_call] = STATE(700),
    [sym_list] = STATE(700),
    [sym_list_comprehension] = STATE(700),
    [sym_dictionary] = STATE(700),
    [sym_dictionary_comprehension] = STATE(700),
    [sym_set] = STATE(700),
    [sym_set_comprehension] = STATE(700),
    [sym_parenthesized_expression] = STATE(700),
    [sym_tuple] = STATE(700),
    [sym_generator_expression] = STATE(700),
    [sym_concatenated_string] = STATE(700),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(1376),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [sym_none] = ACTIONS(1376),
    [sym_comment] = ACTIONS(69),
  },
  [317] = {
    [anon_sym_in] = ACTIONS(1378),
    [sym_comment] = ACTIONS(69),
  },
  [318] = {
    [sym__primary_expression] = STATE(702),
    [sym_binary_operator] = STATE(702),
    [sym_unary_operator] = STATE(702),
    [sym_attribute] = STATE(702),
    [sym_subscript] = STATE(702),
    [sym_call] = STATE(702),
    [sym_list] = STATE(702),
    [sym_list_comprehension] = STATE(702),
    [sym_dictionary] = STATE(702),
    [sym_dictionary_comprehension] = STATE(702),
    [sym_set] = STATE(702),
    [sym_set_comprehension] = STATE(702),
    [sym_parenthesized_expression] = STATE(702),
    [sym_tuple] = STATE(702),
    [sym_generator_expression] = STATE(702),
    [sym_concatenated_string] = STATE(702),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [sym_identifier] = ACTIONS(1382),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [sym_none] = ACTIONS(1382),
    [sym_comment] = ACTIONS(69),
  },
  [319] = {
    [sym__primary_expression] = STATE(663),
    [sym_binary_operator] = STATE(663),
    [sym_unary_operator] = STATE(663),
    [sym_attribute] = STATE(663),
    [sym_subscript] = STATE(663),
    [sym_call] = STATE(663),
    [sym_list] = STATE(663),
    [sym_list_comprehension] = STATE(663),
    [sym_dictionary] = STATE(663),
    [sym_dictionary_comprehension] = STATE(663),
    [sym_set] = STATE(663),
    [sym_set_comprehension] = STATE(663),
    [sym_parenthesized_expression] = STATE(663),
    [sym_tuple] = STATE(663),
    [sym_generator_expression] = STATE(663),
    [sym_concatenated_string] = STATE(663),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1302),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [sym_none] = ACTIONS(1302),
    [sym_comment] = ACTIONS(69),
  },
  [320] = {
    [sym__primary_expression] = STATE(703),
    [sym_binary_operator] = STATE(703),
    [sym_unary_operator] = STATE(703),
    [sym_attribute] = STATE(703),
    [sym_subscript] = STATE(703),
    [sym_call] = STATE(703),
    [sym_list] = STATE(703),
    [sym_list_comprehension] = STATE(703),
    [sym_dictionary] = STATE(703),
    [sym_dictionary_comprehension] = STATE(703),
    [sym_set] = STATE(703),
    [sym_set_comprehension] = STATE(703),
    [sym_parenthesized_expression] = STATE(703),
    [sym_tuple] = STATE(703),
    [sym_generator_expression] = STATE(703),
    [sym_concatenated_string] = STATE(703),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [sym_identifier] = ACTIONS(1386),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [sym_none] = ACTIONS(1386),
    [sym_comment] = ACTIONS(69),
  },
  [321] = {
    [sym__primary_expression] = STATE(704),
    [sym_binary_operator] = STATE(704),
    [sym_unary_operator] = STATE(704),
    [sym_attribute] = STATE(704),
    [sym_subscript] = STATE(704),
    [sym_call] = STATE(704),
    [sym_list] = STATE(704),
    [sym_list_comprehension] = STATE(704),
    [sym_dictionary] = STATE(704),
    [sym_dictionary_comprehension] = STATE(704),
    [sym_set] = STATE(704),
    [sym_set_comprehension] = STATE(704),
    [sym_parenthesized_expression] = STATE(704),
    [sym_tuple] = STATE(704),
    [sym_generator_expression] = STATE(704),
    [sym_concatenated_string] = STATE(704),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1390),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [sym_none] = ACTIONS(1390),
    [sym_comment] = ACTIONS(69),
  },
  [322] = {
    [sym__primary_expression] = STATE(705),
    [sym_binary_operator] = STATE(705),
    [sym_unary_operator] = STATE(705),
    [sym_attribute] = STATE(705),
    [sym_subscript] = STATE(705),
    [sym_call] = STATE(705),
    [sym_list] = STATE(705),
    [sym_list_comprehension] = STATE(705),
    [sym_dictionary] = STATE(705),
    [sym_dictionary_comprehension] = STATE(705),
    [sym_set] = STATE(705),
    [sym_set_comprehension] = STATE(705),
    [sym_parenthesized_expression] = STATE(705),
    [sym_tuple] = STATE(705),
    [sym_generator_expression] = STATE(705),
    [sym_concatenated_string] = STATE(705),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [sym_identifier] = ACTIONS(1394),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [sym_none] = ACTIONS(1394),
    [sym_comment] = ACTIONS(69),
  },
  [323] = {
    [sym__primary_expression] = STATE(700),
    [sym_binary_operator] = STATE(700),
    [sym_unary_operator] = STATE(700),
    [sym_attribute] = STATE(700),
    [sym_subscript] = STATE(700),
    [sym_call] = STATE(700),
    [sym_list] = STATE(700),
    [sym_list_comprehension] = STATE(700),
    [sym_dictionary] = STATE(700),
    [sym_dictionary_comprehension] = STATE(700),
    [sym_set] = STATE(700),
    [sym_set_comprehension] = STATE(700),
    [sym_parenthesized_expression] = STATE(700),
    [sym_tuple] = STATE(700),
    [sym_generator_expression] = STATE(700),
    [sym_concatenated_string] = STATE(700),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(1376),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [sym_none] = ACTIONS(1376),
    [sym_comment] = ACTIONS(69),
  },
  [324] = {
    [aux_sym_comparison_operator_repeat1] = STATE(706),
    [sym__newline] = ACTIONS(995),
    [anon_sym_from] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(553),
    [anon_sym_not] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(553),
    [anon_sym_EQ_EQ] = ACTIONS(553),
    [anon_sym_BANG_EQ] = ACTIONS(553),
    [anon_sym_GT_EQ] = ACTIONS(553),
    [anon_sym_GT] = ACTIONS(569),
    [anon_sym_LT_GT] = ACTIONS(553),
    [anon_sym_is] = ACTIONS(571),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(995),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [326] = {
    [sym__newline] = ACTIONS(1402),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1402),
  },
  [327] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(1404),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [328] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(1402),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1406),
  },
  [329] = {
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [330] = {
    [sym__expression] = STATE(709),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(709),
    [sym_boolean_operator] = STATE(709),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(709),
    [sym_lambda] = STATE(709),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(709),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(709),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [331] = {
    [anon_sym_COLON] = ACTIONS(1409),
    [sym_comment] = ACTIONS(69),
  },
  [332] = {
    [aux_sym_concatenated_string_repeat1] = STATE(711),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(1411),
    [sym_comment] = ACTIONS(69),
  },
  [333] = {
    [sym__expression] = STATE(712),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(712),
    [sym_boolean_operator] = STATE(712),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(712),
    [sym_lambda] = STATE(712),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(712),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(712),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [334] = {
    [sym__simple_statements] = STATE(715),
    [sym_import_statement] = STATE(714),
    [sym_import_from_statement] = STATE(714),
    [sym_print_statement] = STATE(714),
    [sym_assert_statement] = STATE(714),
    [sym_expression_statement] = STATE(714),
    [sym_return_statement] = STATE(714),
    [sym_delete_statement] = STATE(714),
    [sym_raise_statement] = STATE(714),
    [sym_global_statement] = STATE(714),
    [sym_nonlocal_statement] = STATE(714),
    [sym_exec_statement] = STATE(714),
    [sym__suite] = STATE(715),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1415),
    [sym_break_statement] = ACTIONS(1415),
    [sym_continue_statement] = ACTIONS(1415),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [335] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [336] = {
    [sym__expression] = STATE(716),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(716),
    [sym_boolean_operator] = STATE(716),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(716),
    [sym_lambda] = STATE(716),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(716),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(716),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [337] = {
    [sym__primary_expression] = STATE(717),
    [sym_binary_operator] = STATE(717),
    [sym_unary_operator] = STATE(717),
    [sym_attribute] = STATE(717),
    [sym_subscript] = STATE(717),
    [sym_call] = STATE(717),
    [sym_list] = STATE(717),
    [sym_list_comprehension] = STATE(717),
    [sym_dictionary] = STATE(717),
    [sym_dictionary_comprehension] = STATE(717),
    [sym_set] = STATE(717),
    [sym_set_comprehension] = STATE(717),
    [sym_parenthesized_expression] = STATE(717),
    [sym_tuple] = STATE(717),
    [sym_generator_expression] = STATE(717),
    [sym_concatenated_string] = STATE(717),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1417),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1419),
    [sym_float] = ACTIONS(1419),
    [sym_identifier] = ACTIONS(1419),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_none] = ACTIONS(1419),
    [sym_comment] = ACTIONS(69),
  },
  [338] = {
    [sym__primary_expression] = STATE(718),
    [sym_binary_operator] = STATE(718),
    [sym_unary_operator] = STATE(718),
    [sym_attribute] = STATE(718),
    [sym_subscript] = STATE(718),
    [sym_call] = STATE(718),
    [sym_list] = STATE(718),
    [sym_list_comprehension] = STATE(718),
    [sym_dictionary] = STATE(718),
    [sym_dictionary_comprehension] = STATE(718),
    [sym_set] = STATE(718),
    [sym_set_comprehension] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_tuple] = STATE(718),
    [sym_generator_expression] = STATE(718),
    [sym_concatenated_string] = STATE(718),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1423),
    [sym_float] = ACTIONS(1423),
    [sym_identifier] = ACTIONS(1423),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [sym_none] = ACTIONS(1423),
    [sym_comment] = ACTIONS(69),
  },
  [339] = {
    [sym__primary_expression] = STATE(719),
    [sym_binary_operator] = STATE(719),
    [sym_unary_operator] = STATE(719),
    [sym_attribute] = STATE(719),
    [sym_subscript] = STATE(719),
    [sym_call] = STATE(719),
    [sym_list] = STATE(719),
    [sym_list_comprehension] = STATE(719),
    [sym_dictionary] = STATE(719),
    [sym_dictionary_comprehension] = STATE(719),
    [sym_set] = STATE(719),
    [sym_set_comprehension] = STATE(719),
    [sym_parenthesized_expression] = STATE(719),
    [sym_tuple] = STATE(719),
    [sym_generator_expression] = STATE(719),
    [sym_concatenated_string] = STATE(719),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1427),
    [sym_float] = ACTIONS(1427),
    [sym_identifier] = ACTIONS(1427),
    [sym_true] = ACTIONS(1427),
    [sym_false] = ACTIONS(1427),
    [sym_none] = ACTIONS(1427),
    [sym_comment] = ACTIONS(69),
  },
  [340] = {
    [anon_sym_in] = ACTIONS(1429),
    [sym_comment] = ACTIONS(69),
  },
  [341] = {
    [sym__primary_expression] = STATE(721),
    [sym_binary_operator] = STATE(721),
    [sym_unary_operator] = STATE(721),
    [sym_attribute] = STATE(721),
    [sym_subscript] = STATE(721),
    [sym_call] = STATE(721),
    [sym_list] = STATE(721),
    [sym_list_comprehension] = STATE(721),
    [sym_dictionary] = STATE(721),
    [sym_dictionary_comprehension] = STATE(721),
    [sym_set] = STATE(721),
    [sym_set_comprehension] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym_tuple] = STATE(721),
    [sym_generator_expression] = STATE(721),
    [sym_concatenated_string] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1433),
    [sym_float] = ACTIONS(1433),
    [sym_identifier] = ACTIONS(1433),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [sym_none] = ACTIONS(1433),
    [sym_comment] = ACTIONS(69),
  },
  [342] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [343] = {
    [sym__primary_expression] = STATE(722),
    [sym_binary_operator] = STATE(722),
    [sym_unary_operator] = STATE(722),
    [sym_attribute] = STATE(722),
    [sym_subscript] = STATE(722),
    [sym_call] = STATE(722),
    [sym_list] = STATE(722),
    [sym_list_comprehension] = STATE(722),
    [sym_dictionary] = STATE(722),
    [sym_dictionary_comprehension] = STATE(722),
    [sym_set] = STATE(722),
    [sym_set_comprehension] = STATE(722),
    [sym_parenthesized_expression] = STATE(722),
    [sym_tuple] = STATE(722),
    [sym_generator_expression] = STATE(722),
    [sym_concatenated_string] = STATE(722),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1437),
    [sym_float] = ACTIONS(1437),
    [sym_identifier] = ACTIONS(1437),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [sym_none] = ACTIONS(1437),
    [sym_comment] = ACTIONS(69),
  },
  [344] = {
    [sym__primary_expression] = STATE(723),
    [sym_binary_operator] = STATE(723),
    [sym_unary_operator] = STATE(723),
    [sym_attribute] = STATE(723),
    [sym_subscript] = STATE(723),
    [sym_call] = STATE(723),
    [sym_list] = STATE(723),
    [sym_list_comprehension] = STATE(723),
    [sym_dictionary] = STATE(723),
    [sym_dictionary_comprehension] = STATE(723),
    [sym_set] = STATE(723),
    [sym_set_comprehension] = STATE(723),
    [sym_parenthesized_expression] = STATE(723),
    [sym_tuple] = STATE(723),
    [sym_generator_expression] = STATE(723),
    [sym_concatenated_string] = STATE(723),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1441),
    [sym_float] = ACTIONS(1441),
    [sym_identifier] = ACTIONS(1441),
    [sym_true] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
    [sym_none] = ACTIONS(1441),
    [sym_comment] = ACTIONS(69),
  },
  [345] = {
    [sym__primary_expression] = STATE(724),
    [sym_binary_operator] = STATE(724),
    [sym_unary_operator] = STATE(724),
    [sym_attribute] = STATE(724),
    [sym_subscript] = STATE(724),
    [sym_call] = STATE(724),
    [sym_list] = STATE(724),
    [sym_list_comprehension] = STATE(724),
    [sym_dictionary] = STATE(724),
    [sym_dictionary_comprehension] = STATE(724),
    [sym_set] = STATE(724),
    [sym_set_comprehension] = STATE(724),
    [sym_parenthesized_expression] = STATE(724),
    [sym_tuple] = STATE(724),
    [sym_generator_expression] = STATE(724),
    [sym_concatenated_string] = STATE(724),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1445),
    [sym_float] = ACTIONS(1445),
    [sym_identifier] = ACTIONS(1445),
    [sym_true] = ACTIONS(1445),
    [sym_false] = ACTIONS(1445),
    [sym_none] = ACTIONS(1445),
    [sym_comment] = ACTIONS(69),
  },
  [346] = {
    [sym__primary_expression] = STATE(719),
    [sym_binary_operator] = STATE(719),
    [sym_unary_operator] = STATE(719),
    [sym_attribute] = STATE(719),
    [sym_subscript] = STATE(719),
    [sym_call] = STATE(719),
    [sym_list] = STATE(719),
    [sym_list_comprehension] = STATE(719),
    [sym_dictionary] = STATE(719),
    [sym_dictionary_comprehension] = STATE(719),
    [sym_set] = STATE(719),
    [sym_set_comprehension] = STATE(719),
    [sym_parenthesized_expression] = STATE(719),
    [sym_tuple] = STATE(719),
    [sym_generator_expression] = STATE(719),
    [sym_concatenated_string] = STATE(719),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1447),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(1427),
    [sym_float] = ACTIONS(1427),
    [sym_identifier] = ACTIONS(1427),
    [sym_true] = ACTIONS(1427),
    [sym_false] = ACTIONS(1427),
    [sym_none] = ACTIONS(1427),
    [sym_comment] = ACTIONS(69),
  },
  [347] = {
    [aux_sym_comparison_operator_repeat1] = STATE(725),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(599),
    [anon_sym_not] = ACTIONS(603),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(615),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(615),
    [anon_sym_LT_GT] = ACTIONS(599),
    [anon_sym_is] = ACTIONS(617),
    [sym_comment] = ACTIONS(69),
  },
  [348] = {
    [anon_sym_in] = ACTIONS(1449),
    [sym_comment] = ACTIONS(69),
  },
  [349] = {
    [aux_sym_with_statement_repeat1] = STATE(728),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(1451),
    [sym_comment] = ACTIONS(69),
  },
  [350] = {
    [sym_parameters] = STATE(729),
    [anon_sym_LPAREN] = ACTIONS(693),
    [sym_comment] = ACTIONS(69),
  },
  [351] = {
    [aux_sym_concatenated_string_repeat1] = STATE(730),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(1453),
    [sym_comment] = ACTIONS(69),
  },
  [352] = {
    [sym_expression_list] = STATE(731),
    [sym__expression] = STATE(732),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(732),
    [sym_boolean_operator] = STATE(732),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(732),
    [sym_lambda] = STATE(732),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(732),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(732),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [353] = {
    [sym__primary_expression] = STATE(733),
    [sym_binary_operator] = STATE(733),
    [sym_unary_operator] = STATE(733),
    [sym_attribute] = STATE(733),
    [sym_subscript] = STATE(733),
    [sym_call] = STATE(733),
    [sym_list] = STATE(733),
    [sym_list_comprehension] = STATE(733),
    [sym_dictionary] = STATE(733),
    [sym_dictionary_comprehension] = STATE(733),
    [sym_set] = STATE(733),
    [sym_set_comprehension] = STATE(733),
    [sym_parenthesized_expression] = STATE(733),
    [sym_tuple] = STATE(733),
    [sym_generator_expression] = STATE(733),
    [sym_concatenated_string] = STATE(733),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_in] = ACTIONS(1455),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1459),
    [sym_float] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1459),
    [sym_true] = ACTIONS(1459),
    [sym_false] = ACTIONS(1459),
    [sym_none] = ACTIONS(1459),
    [sym_comment] = ACTIONS(69),
  },
  [354] = {
    [sym__primary_expression] = STATE(734),
    [sym_binary_operator] = STATE(734),
    [sym_unary_operator] = STATE(734),
    [sym_attribute] = STATE(734),
    [sym_subscript] = STATE(734),
    [sym_call] = STATE(734),
    [sym_list] = STATE(734),
    [sym_list_comprehension] = STATE(734),
    [sym_dictionary] = STATE(734),
    [sym_dictionary_comprehension] = STATE(734),
    [sym_set] = STATE(734),
    [sym_set_comprehension] = STATE(734),
    [sym_parenthesized_expression] = STATE(734),
    [sym_tuple] = STATE(734),
    [sym_generator_expression] = STATE(734),
    [sym_concatenated_string] = STATE(734),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1463),
    [sym_float] = ACTIONS(1463),
    [sym_identifier] = ACTIONS(1463),
    [sym_true] = ACTIONS(1463),
    [sym_false] = ACTIONS(1463),
    [sym_none] = ACTIONS(1463),
    [sym_comment] = ACTIONS(69),
  },
  [355] = {
    [sym__primary_expression] = STATE(735),
    [sym_binary_operator] = STATE(735),
    [sym_unary_operator] = STATE(735),
    [sym_attribute] = STATE(735),
    [sym_subscript] = STATE(735),
    [sym_call] = STATE(735),
    [sym_list] = STATE(735),
    [sym_list_comprehension] = STATE(735),
    [sym_dictionary] = STATE(735),
    [sym_dictionary_comprehension] = STATE(735),
    [sym_set] = STATE(735),
    [sym_set_comprehension] = STATE(735),
    [sym_parenthesized_expression] = STATE(735),
    [sym_tuple] = STATE(735),
    [sym_generator_expression] = STATE(735),
    [sym_concatenated_string] = STATE(735),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1467),
    [sym_float] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1467),
    [sym_true] = ACTIONS(1467),
    [sym_false] = ACTIONS(1467),
    [sym_none] = ACTIONS(1467),
    [sym_comment] = ACTIONS(69),
  },
  [356] = {
    [sym__primary_expression] = STATE(736),
    [sym_binary_operator] = STATE(736),
    [sym_unary_operator] = STATE(736),
    [sym_attribute] = STATE(736),
    [sym_subscript] = STATE(736),
    [sym_call] = STATE(736),
    [sym_list] = STATE(736),
    [sym_list_comprehension] = STATE(736),
    [sym_dictionary] = STATE(736),
    [sym_dictionary_comprehension] = STATE(736),
    [sym_set] = STATE(736),
    [sym_set_comprehension] = STATE(736),
    [sym_parenthesized_expression] = STATE(736),
    [sym_tuple] = STATE(736),
    [sym_generator_expression] = STATE(736),
    [sym_concatenated_string] = STATE(736),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1471),
    [sym_float] = ACTIONS(1471),
    [sym_identifier] = ACTIONS(1471),
    [sym_true] = ACTIONS(1471),
    [sym_false] = ACTIONS(1471),
    [sym_none] = ACTIONS(1471),
    [sym_comment] = ACTIONS(69),
  },
  [357] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [358] = {
    [sym__primary_expression] = STATE(737),
    [sym_binary_operator] = STATE(737),
    [sym_unary_operator] = STATE(737),
    [sym_attribute] = STATE(737),
    [sym_subscript] = STATE(737),
    [sym_call] = STATE(737),
    [sym_list] = STATE(737),
    [sym_list_comprehension] = STATE(737),
    [sym_dictionary] = STATE(737),
    [sym_dictionary_comprehension] = STATE(737),
    [sym_set] = STATE(737),
    [sym_set_comprehension] = STATE(737),
    [sym_parenthesized_expression] = STATE(737),
    [sym_tuple] = STATE(737),
    [sym_generator_expression] = STATE(737),
    [sym_concatenated_string] = STATE(737),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1473),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1475),
    [sym_float] = ACTIONS(1475),
    [sym_identifier] = ACTIONS(1475),
    [sym_true] = ACTIONS(1475),
    [sym_false] = ACTIONS(1475),
    [sym_none] = ACTIONS(1475),
    [sym_comment] = ACTIONS(69),
  },
  [359] = {
    [sym__primary_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_attribute] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_generator_expression] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1479),
    [sym_float] = ACTIONS(1479),
    [sym_identifier] = ACTIONS(1479),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_none] = ACTIONS(1479),
    [sym_comment] = ACTIONS(69),
  },
  [360] = {
    [sym__primary_expression] = STATE(739),
    [sym_binary_operator] = STATE(739),
    [sym_unary_operator] = STATE(739),
    [sym_attribute] = STATE(739),
    [sym_subscript] = STATE(739),
    [sym_call] = STATE(739),
    [sym_list] = STATE(739),
    [sym_list_comprehension] = STATE(739),
    [sym_dictionary] = STATE(739),
    [sym_dictionary_comprehension] = STATE(739),
    [sym_set] = STATE(739),
    [sym_set_comprehension] = STATE(739),
    [sym_parenthesized_expression] = STATE(739),
    [sym_tuple] = STATE(739),
    [sym_generator_expression] = STATE(739),
    [sym_concatenated_string] = STATE(739),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1483),
    [sym_float] = ACTIONS(1483),
    [sym_identifier] = ACTIONS(1483),
    [sym_true] = ACTIONS(1483),
    [sym_false] = ACTIONS(1483),
    [sym_none] = ACTIONS(1483),
    [sym_comment] = ACTIONS(69),
  },
  [361] = {
    [aux_sym_variables_repeat1] = STATE(741),
    [anon_sym_COMMA] = ACTIONS(1485),
    [anon_sym_in] = ACTIONS(1487),
    [sym_comment] = ACTIONS(69),
  },
  [362] = {
    [sym__simple_statements] = STATE(744),
    [sym_import_statement] = STATE(743),
    [sym_import_from_statement] = STATE(743),
    [sym_print_statement] = STATE(743),
    [sym_assert_statement] = STATE(743),
    [sym_expression_statement] = STATE(743),
    [sym_return_statement] = STATE(743),
    [sym_delete_statement] = STATE(743),
    [sym_raise_statement] = STATE(743),
    [sym_global_statement] = STATE(743),
    [sym_nonlocal_statement] = STATE(743),
    [sym_exec_statement] = STATE(743),
    [sym__suite] = STATE(744),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1489),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1491),
    [sym_break_statement] = ACTIONS(1491),
    [sym_continue_statement] = ACTIONS(1491),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [363] = {
    [sym__statement] = STATE(755),
    [sym__simple_statements] = STATE(755),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(755),
    [sym_for_statement] = STATE(755),
    [sym_while_statement] = STATE(755),
    [sym_try_statement] = STATE(755),
    [sym_with_statement] = STATE(755),
    [sym_function_definition] = STATE(755),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(755),
    [sym_decorated_definition] = STATE(755),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(755),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(1493),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [364] = {
    [aux_sym__simple_statements_repeat1] = STATE(759),
    [sym__newline] = ACTIONS(1513),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1515),
  },
  [365] = {
    [sym_except_clause] = STATE(763),
    [sym_finally_clause] = STATE(762),
    [aux_sym_try_statement_repeat1] = STATE(763),
    [anon_sym_except] = ACTIONS(1517),
    [anon_sym_finally] = ACTIONS(1519),
    [sym_comment] = ACTIONS(69),
  },
  [366] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_as] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(667),
    [sym_comment] = ACTIONS(69),
  },
  [367] = {
    [sym__expression] = STATE(764),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(764),
    [sym_boolean_operator] = STATE(764),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(764),
    [sym_lambda] = STATE(764),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(764),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(764),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [368] = {
    [anon_sym_COLON] = ACTIONS(1521),
    [sym_comment] = ACTIONS(69),
  },
  [369] = {
    [aux_sym_concatenated_string_repeat1] = STATE(766),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_as] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(1523),
    [sym_comment] = ACTIONS(69),
  },
  [370] = {
    [sym_with_item] = STATE(767),
    [sym__expression] = STATE(112),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(112),
    [sym_boolean_operator] = STATE(112),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(112),
    [sym_lambda] = STATE(112),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(112),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(112),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [371] = {
    [sym__simple_statements] = STATE(769),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(769),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [372] = {
    [aux_sym_with_statement_repeat1] = STATE(770),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(1451),
    [sym_comment] = ACTIONS(69),
  },
  [373] = {
    [sym__expression] = STATE(771),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(771),
    [sym_boolean_operator] = STATE(771),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(771),
    [sym_lambda] = STATE(771),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(771),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(771),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [374] = {
    [sym__expression] = STATE(772),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(772),
    [sym_boolean_operator] = STATE(772),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(772),
    [sym_lambda] = STATE(772),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(772),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(772),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [375] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [376] = {
    [sym__expression] = STATE(773),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(773),
    [sym_boolean_operator] = STATE(773),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(773),
    [sym_lambda] = STATE(773),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(773),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(773),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [377] = {
    [sym__primary_expression] = STATE(774),
    [sym_binary_operator] = STATE(774),
    [sym_unary_operator] = STATE(774),
    [sym_attribute] = STATE(774),
    [sym_subscript] = STATE(774),
    [sym_call] = STATE(774),
    [sym_list] = STATE(774),
    [sym_list_comprehension] = STATE(774),
    [sym_dictionary] = STATE(774),
    [sym_dictionary_comprehension] = STATE(774),
    [sym_set] = STATE(774),
    [sym_set_comprehension] = STATE(774),
    [sym_parenthesized_expression] = STATE(774),
    [sym_tuple] = STATE(774),
    [sym_generator_expression] = STATE(774),
    [sym_concatenated_string] = STATE(774),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1529),
    [sym_float] = ACTIONS(1529),
    [sym_identifier] = ACTIONS(1529),
    [sym_true] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [sym_none] = ACTIONS(1529),
    [sym_comment] = ACTIONS(69),
  },
  [378] = {
    [sym__primary_expression] = STATE(775),
    [sym_binary_operator] = STATE(775),
    [sym_unary_operator] = STATE(775),
    [sym_attribute] = STATE(775),
    [sym_subscript] = STATE(775),
    [sym_call] = STATE(775),
    [sym_list] = STATE(775),
    [sym_list_comprehension] = STATE(775),
    [sym_dictionary] = STATE(775),
    [sym_dictionary_comprehension] = STATE(775),
    [sym_set] = STATE(775),
    [sym_set_comprehension] = STATE(775),
    [sym_parenthesized_expression] = STATE(775),
    [sym_tuple] = STATE(775),
    [sym_generator_expression] = STATE(775),
    [sym_concatenated_string] = STATE(775),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1531),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1533),
    [sym_float] = ACTIONS(1533),
    [sym_identifier] = ACTIONS(1533),
    [sym_true] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [sym_none] = ACTIONS(1533),
    [sym_comment] = ACTIONS(69),
  },
  [379] = {
    [sym__primary_expression] = STATE(776),
    [sym_binary_operator] = STATE(776),
    [sym_unary_operator] = STATE(776),
    [sym_attribute] = STATE(776),
    [sym_subscript] = STATE(776),
    [sym_call] = STATE(776),
    [sym_list] = STATE(776),
    [sym_list_comprehension] = STATE(776),
    [sym_dictionary] = STATE(776),
    [sym_dictionary_comprehension] = STATE(776),
    [sym_set] = STATE(776),
    [sym_set_comprehension] = STATE(776),
    [sym_parenthesized_expression] = STATE(776),
    [sym_tuple] = STATE(776),
    [sym_generator_expression] = STATE(776),
    [sym_concatenated_string] = STATE(776),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_identifier] = ACTIONS(1537),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [sym_none] = ACTIONS(1537),
    [sym_comment] = ACTIONS(69),
  },
  [380] = {
    [anon_sym_in] = ACTIONS(1539),
    [sym_comment] = ACTIONS(69),
  },
  [381] = {
    [sym__primary_expression] = STATE(778),
    [sym_binary_operator] = STATE(778),
    [sym_unary_operator] = STATE(778),
    [sym_attribute] = STATE(778),
    [sym_subscript] = STATE(778),
    [sym_call] = STATE(778),
    [sym_list] = STATE(778),
    [sym_list_comprehension] = STATE(778),
    [sym_dictionary] = STATE(778),
    [sym_dictionary_comprehension] = STATE(778),
    [sym_set] = STATE(778),
    [sym_set_comprehension] = STATE(778),
    [sym_parenthesized_expression] = STATE(778),
    [sym_tuple] = STATE(778),
    [sym_generator_expression] = STATE(778),
    [sym_concatenated_string] = STATE(778),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1543),
    [sym_float] = ACTIONS(1543),
    [sym_identifier] = ACTIONS(1543),
    [sym_true] = ACTIONS(1543),
    [sym_false] = ACTIONS(1543),
    [sym_none] = ACTIONS(1543),
    [sym_comment] = ACTIONS(69),
  },
  [382] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [383] = {
    [sym__primary_expression] = STATE(779),
    [sym_binary_operator] = STATE(779),
    [sym_unary_operator] = STATE(779),
    [sym_attribute] = STATE(779),
    [sym_subscript] = STATE(779),
    [sym_call] = STATE(779),
    [sym_list] = STATE(779),
    [sym_list_comprehension] = STATE(779),
    [sym_dictionary] = STATE(779),
    [sym_dictionary_comprehension] = STATE(779),
    [sym_set] = STATE(779),
    [sym_set_comprehension] = STATE(779),
    [sym_parenthesized_expression] = STATE(779),
    [sym_tuple] = STATE(779),
    [sym_generator_expression] = STATE(779),
    [sym_concatenated_string] = STATE(779),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1547),
    [sym_float] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1547),
    [sym_true] = ACTIONS(1547),
    [sym_false] = ACTIONS(1547),
    [sym_none] = ACTIONS(1547),
    [sym_comment] = ACTIONS(69),
  },
  [384] = {
    [sym__primary_expression] = STATE(780),
    [sym_binary_operator] = STATE(780),
    [sym_unary_operator] = STATE(780),
    [sym_attribute] = STATE(780),
    [sym_subscript] = STATE(780),
    [sym_call] = STATE(780),
    [sym_list] = STATE(780),
    [sym_list_comprehension] = STATE(780),
    [sym_dictionary] = STATE(780),
    [sym_dictionary_comprehension] = STATE(780),
    [sym_set] = STATE(780),
    [sym_set_comprehension] = STATE(780),
    [sym_parenthesized_expression] = STATE(780),
    [sym_tuple] = STATE(780),
    [sym_generator_expression] = STATE(780),
    [sym_concatenated_string] = STATE(780),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1551),
    [sym_float] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1551),
    [sym_true] = ACTIONS(1551),
    [sym_false] = ACTIONS(1551),
    [sym_none] = ACTIONS(1551),
    [sym_comment] = ACTIONS(69),
  },
  [385] = {
    [sym__primary_expression] = STATE(781),
    [sym_binary_operator] = STATE(781),
    [sym_unary_operator] = STATE(781),
    [sym_attribute] = STATE(781),
    [sym_subscript] = STATE(781),
    [sym_call] = STATE(781),
    [sym_list] = STATE(781),
    [sym_list_comprehension] = STATE(781),
    [sym_dictionary] = STATE(781),
    [sym_dictionary_comprehension] = STATE(781),
    [sym_set] = STATE(781),
    [sym_set_comprehension] = STATE(781),
    [sym_parenthesized_expression] = STATE(781),
    [sym_tuple] = STATE(781),
    [sym_generator_expression] = STATE(781),
    [sym_concatenated_string] = STATE(781),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1555),
    [sym_float] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1555),
    [sym_true] = ACTIONS(1555),
    [sym_false] = ACTIONS(1555),
    [sym_none] = ACTIONS(1555),
    [sym_comment] = ACTIONS(69),
  },
  [386] = {
    [sym__primary_expression] = STATE(776),
    [sym_binary_operator] = STATE(776),
    [sym_unary_operator] = STATE(776),
    [sym_attribute] = STATE(776),
    [sym_subscript] = STATE(776),
    [sym_call] = STATE(776),
    [sym_list] = STATE(776),
    [sym_list_comprehension] = STATE(776),
    [sym_dictionary] = STATE(776),
    [sym_dictionary_comprehension] = STATE(776),
    [sym_set] = STATE(776),
    [sym_set_comprehension] = STATE(776),
    [sym_parenthesized_expression] = STATE(776),
    [sym_tuple] = STATE(776),
    [sym_generator_expression] = STATE(776),
    [sym_concatenated_string] = STATE(776),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_identifier] = ACTIONS(1537),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [sym_none] = ACTIONS(1537),
    [sym_comment] = ACTIONS(69),
  },
  [387] = {
    [aux_sym_comparison_operator_repeat1] = STATE(782),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(673),
    [anon_sym_not] = ACTIONS(677),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(689),
    [anon_sym_LT_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(673),
    [anon_sym_BANG_EQ] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(673),
    [anon_sym_GT] = ACTIONS(689),
    [anon_sym_LT_GT] = ACTIONS(673),
    [anon_sym_is] = ACTIONS(691),
    [sym_comment] = ACTIONS(69),
  },
  [388] = {
    [sym__parameters] = STATE(787),
    [sym_default_parameter] = STATE(788),
    [sym_typed_default_parameter] = STATE(788),
    [sym_list_splat] = STATE(789),
    [sym_dictionary_splat] = STATE(789),
    [sym_typed_parameter] = STATE(788),
    [sym_tuple] = STATE(788),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_RPAREN] = ACTIONS(1559),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_print] = ACTIONS(1563),
    [anon_sym_exec] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_comment] = ACTIONS(69),
  },
  [389] = {
    [anon_sym_COLON] = ACTIONS(1567),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [sym_comment] = ACTIONS(69),
  },
  [390] = {
    [sym_identifier] = ACTIONS(1571),
    [sym_comment] = ACTIONS(69),
  },
  [391] = {
    [aux_sym_global_statement_repeat1] = STATE(793),
    [sym__newline] = ACTIONS(1573),
    [anon_sym_COMMA] = ACTIONS(697),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1573),
  },
  [392] = {
    [aux_sym_global_statement_repeat1] = STATE(793),
    [sym__newline] = ACTIONS(1575),
    [anon_sym_COMMA] = ACTIONS(697),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1575),
  },
  [393] = {
    [sym__expression] = STATE(794),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(794),
    [sym_boolean_operator] = STATE(794),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(794),
    [sym_lambda] = STATE(794),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(794),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(794),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [394] = {
    [sym_list_splat] = STATE(614),
    [sym_dictionary_splat] = STATE(614),
    [sym__expression] = STATE(795),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(795),
    [sym_boolean_operator] = STATE(795),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(795),
    [sym_lambda] = STATE(795),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(614),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(795),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(795),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [395] = {
    [sym__simple_statements] = STATE(796),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(796),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [396] = {
    [anon_sym_COLON] = ACTIONS(1577),
    [sym_comment] = ACTIONS(69),
  },
  [397] = {
    [aux_sym_dotted_name_repeat1] = STATE(798),
    [sym__newline] = ACTIONS(1105),
    [anon_sym_DOT] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [sym_comment] = ACTIONS(69),
  },
  [398] = {
    [anon_sym_async] = ACTIONS(1579),
    [anon_sym_def] = ACTIONS(1579),
    [anon_sym_class] = ACTIONS(1579),
    [anon_sym_AT] = ACTIONS(1579),
    [sym_comment] = ACTIONS(69),
  },
  [399] = {
    [sym_list_splat] = STATE(524),
    [sym_dictionary_splat] = STATE(524),
    [sym__expression] = STATE(799),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(799),
    [sym_boolean_operator] = STATE(799),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(799),
    [sym_lambda] = STATE(799),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(524),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(799),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(799),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [400] = {
    [sym__newline] = ACTIONS(1581),
    [sym_comment] = ACTIONS(69),
  },
  [401] = {
    [aux_sym_tuple_repeat1] = STATE(561),
    [anon_sym_RPAREN] = ACTIONS(1126),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [402] = {
    [aux_sym_tuple_repeat1] = STATE(561),
    [anon_sym_RPAREN] = ACTIONS(1126),
    [anon_sym_COMMA] = ACTIONS(1130),
    [sym_comment] = ACTIONS(69),
  },
  [403] = {
    [sym__expression] = STATE(801),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(801),
    [sym_boolean_operator] = STATE(801),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(801),
    [sym_lambda] = STATE(801),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(801),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(801),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [404] = {
    [sym__expression] = STATE(802),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(802),
    [sym_boolean_operator] = STATE(802),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(802),
    [sym_lambda] = STATE(802),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(802),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(802),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [405] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [406] = {
    [sym_lambda_parameters] = STATE(804),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(1583),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [407] = {
    [aux_sym_concatenated_string_repeat1] = STATE(805),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(1585),
    [sym_comment] = ACTIONS(69),
  },
  [408] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [409] = {
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(1587),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [410] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(819),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(1603),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1611),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1615),
    [anon_sym_LT_GT] = ACTIONS(1599),
    [anon_sym_is] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [411] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(823),
    [sym_dictionary_splat] = STATE(823),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(1619),
    [anon_sym_COLON] = ACTIONS(1621),
    [anon_sym_exec] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(1623),
    [sym_comment] = ACTIONS(69),
  },
  [412] = {
    [sym__expression] = STATE(829),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(829),
    [sym_boolean_operator] = STATE(829),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(829),
    [sym_lambda] = STATE(829),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_type] = STATE(831),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(829),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(829),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [413] = {
    [sym__expression] = STATE(832),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(832),
    [sym_boolean_operator] = STATE(832),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(832),
    [sym_lambda] = STATE(832),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(832),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(832),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [414] = {
    [aux_sym__parameters_repeat1] = STATE(834),
    [anon_sym_COMMA] = ACTIONS(1639),
    [anon_sym_COLON] = ACTIONS(1621),
    [sym_comment] = ACTIONS(69),
  },
  [415] = {
    [sym__newline] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_EQ] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(1641),
    [anon_sym_DASH_EQ] = ACTIONS(1641),
    [anon_sym_STAR_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_AT_EQ] = ACTIONS(1641),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1641),
    [anon_sym_PERCENT_EQ] = ACTIONS(1641),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1641),
    [anon_sym_GT_GT_EQ] = ACTIONS(1641),
    [anon_sym_LT_LT_EQ] = ACTIONS(1641),
    [anon_sym_AMP_EQ] = ACTIONS(1641),
    [anon_sym_CARET_EQ] = ACTIONS(1641),
    [anon_sym_PIPE_EQ] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1641),
  },
  [416] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(823),
    [sym_dictionary_splat] = STATE(823),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(1619),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_exec] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(1623),
    [sym_comment] = ACTIONS(69),
  },
  [417] = {
    [sym__expression] = STATE(840),
    [sym__primary_expression] = STATE(841),
    [sym_not_operator] = STATE(840),
    [sym_boolean_operator] = STATE(840),
    [sym_binary_operator] = STATE(841),
    [sym_unary_operator] = STATE(841),
    [sym_comparison_operator] = STATE(840),
    [sym_lambda] = STATE(840),
    [sym_attribute] = STATE(841),
    [sym_subscript] = STATE(841),
    [sym_call] = STATE(841),
    [sym_type] = STATE(842),
    [sym_list] = STATE(841),
    [sym_list_comprehension] = STATE(841),
    [sym_dictionary] = STATE(841),
    [sym_dictionary_comprehension] = STATE(841),
    [sym_set] = STATE(841),
    [sym_set_comprehension] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_tuple] = STATE(841),
    [sym_generator_expression] = STATE(841),
    [sym_conditional_expression] = STATE(840),
    [sym_concatenated_string] = STATE(841),
    [sym_await] = STATE(840),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_lambda] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_none] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [sym_comment] = ACTIONS(69),
  },
  [418] = {
    [sym__expression] = STATE(843),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(843),
    [sym_boolean_operator] = STATE(843),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(843),
    [sym_lambda] = STATE(843),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(843),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(843),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [419] = {
    [aux_sym__parameters_repeat1] = STATE(834),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1643),
    [sym_comment] = ACTIONS(69),
  },
  [420] = {
    [sym__expression] = STATE(845),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(845),
    [sym_boolean_operator] = STATE(845),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(845),
    [sym_lambda] = STATE(845),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(845),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(845),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [421] = {
    [sym__expression] = STATE(846),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(846),
    [sym_boolean_operator] = STATE(846),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(846),
    [sym_lambda] = STATE(846),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_type] = STATE(847),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(846),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(846),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [422] = {
    [sym__newline] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_and] = ACTIONS(1330),
    [anon_sym_or] = ACTIONS(1332),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1661),
  },
  [423] = {
    [sym__newline] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1665),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_COLON] = ACTIONS(1663),
    [anon_sym_in] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_not] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1665),
    [anon_sym_SLASH_SLASH] = ACTIONS(1665),
    [anon_sym_STAR_STAR] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1663),
    [anon_sym_is] = ACTIONS(1663),
    [anon_sym_PLUS_EQ] = ACTIONS(1663),
    [anon_sym_DASH_EQ] = ACTIONS(1663),
    [anon_sym_STAR_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_AT_EQ] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1663),
    [anon_sym_PERCENT_EQ] = ACTIONS(1663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1663),
    [anon_sym_GT_GT_EQ] = ACTIONS(1663),
    [anon_sym_LT_LT_EQ] = ACTIONS(1663),
    [anon_sym_AMP_EQ] = ACTIONS(1663),
    [anon_sym_CARET_EQ] = ACTIONS(1663),
    [anon_sym_PIPE_EQ] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1663),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1663),
  },
  [424] = {
    [sym__expression] = STATE(848),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(848),
    [sym_boolean_operator] = STATE(848),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(848),
    [sym_lambda] = STATE(848),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(848),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(848),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [425] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [426] = {
    [sym_lambda_parameters] = STATE(850),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(1667),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [427] = {
    [aux_sym_concatenated_string_repeat1] = STATE(851),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_RBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(1669),
    [sym_comment] = ACTIONS(69),
  },
  [428] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [429] = {
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(1587),
    [sym_comment] = ACTIONS(69),
  },
  [430] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(865),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(1681),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_not] = ACTIONS(1685),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_EQ_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_is] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(299),
    [sym_comment] = ACTIONS(69),
  },
  [431] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
  },
  [432] = {
    [sym__expression] = STATE(866),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(866),
    [sym_boolean_operator] = STATE(866),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(866),
    [sym_lambda] = STATE(866),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(866),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(866),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [433] = {
    [anon_sym_COLON] = ACTIONS(1701),
    [sym_comment] = ACTIONS(69),
  },
  [434] = {
    [aux_sym_concatenated_string_repeat1] = STATE(868),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_RBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(1703),
    [sym_comment] = ACTIONS(69),
  },
  [435] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(871),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(871),
    [sym_boolean_operator] = STATE(871),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(871),
    [sym_lambda] = STATE(871),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(871),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(871),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(1705),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [436] = {
    [aux_sym_list_repeat1] = STATE(873),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RBRACK] = ACTIONS(1705),
    [sym_comment] = ACTIONS(69),
  },
  [437] = {
    [sym__expression] = STATE(874),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(874),
    [sym_boolean_operator] = STATE(874),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(874),
    [sym_lambda] = STATE(874),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(874),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(874),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [438] = {
    [anon_sym_for] = ACTIONS(1709),
    [sym_comment] = ACTIONS(69),
  },
  [439] = {
    [sym_variables] = STATE(876),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [440] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [441] = {
    [sym__expression] = STATE(877),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(877),
    [sym_boolean_operator] = STATE(877),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(877),
    [sym_lambda] = STATE(877),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(877),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(877),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [442] = {
    [anon_sym_RBRACK] = ACTIONS(1711),
    [sym_comment] = ACTIONS(69),
  },
  [443] = {
    [sym_for_in_clause] = STATE(880),
    [sym_if_clause] = STATE(880),
    [aux_sym__comprehension_body_repeat1] = STATE(880),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_RBRACK] = ACTIONS(1200),
    [sym_comment] = ACTIONS(69),
  },
  [444] = {
    [sym__primary_expression] = STATE(881),
    [sym_binary_operator] = STATE(881),
    [sym_unary_operator] = STATE(881),
    [sym_attribute] = STATE(881),
    [sym_subscript] = STATE(881),
    [sym_call] = STATE(881),
    [sym_list] = STATE(881),
    [sym_list_comprehension] = STATE(881),
    [sym_dictionary] = STATE(881),
    [sym_dictionary_comprehension] = STATE(881),
    [sym_set] = STATE(881),
    [sym_set_comprehension] = STATE(881),
    [sym_parenthesized_expression] = STATE(881),
    [sym_tuple] = STATE(881),
    [sym_generator_expression] = STATE(881),
    [sym_concatenated_string] = STATE(881),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1717),
    [sym_float] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1717),
    [sym_true] = ACTIONS(1717),
    [sym_false] = ACTIONS(1717),
    [sym_none] = ACTIONS(1717),
    [sym_comment] = ACTIONS(69),
  },
  [445] = {
    [sym__primary_expression] = STATE(882),
    [sym_binary_operator] = STATE(882),
    [sym_unary_operator] = STATE(882),
    [sym_attribute] = STATE(882),
    [sym_subscript] = STATE(882),
    [sym_call] = STATE(882),
    [sym_list] = STATE(882),
    [sym_list_comprehension] = STATE(882),
    [sym_dictionary] = STATE(882),
    [sym_dictionary_comprehension] = STATE(882),
    [sym_set] = STATE(882),
    [sym_set_comprehension] = STATE(882),
    [sym_parenthesized_expression] = STATE(882),
    [sym_tuple] = STATE(882),
    [sym_generator_expression] = STATE(882),
    [sym_concatenated_string] = STATE(882),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1721),
    [sym_float] = ACTIONS(1721),
    [sym_identifier] = ACTIONS(1721),
    [sym_true] = ACTIONS(1721),
    [sym_false] = ACTIONS(1721),
    [sym_none] = ACTIONS(1721),
    [sym_comment] = ACTIONS(69),
  },
  [446] = {
    [sym__primary_expression] = STATE(883),
    [sym_binary_operator] = STATE(883),
    [sym_unary_operator] = STATE(883),
    [sym_attribute] = STATE(883),
    [sym_subscript] = STATE(883),
    [sym_call] = STATE(883),
    [sym_list] = STATE(883),
    [sym_list_comprehension] = STATE(883),
    [sym_dictionary] = STATE(883),
    [sym_dictionary_comprehension] = STATE(883),
    [sym_set] = STATE(883),
    [sym_set_comprehension] = STATE(883),
    [sym_parenthesized_expression] = STATE(883),
    [sym_tuple] = STATE(883),
    [sym_generator_expression] = STATE(883),
    [sym_concatenated_string] = STATE(883),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1725),
    [sym_float] = ACTIONS(1725),
    [sym_identifier] = ACTIONS(1725),
    [sym_true] = ACTIONS(1725),
    [sym_false] = ACTIONS(1725),
    [sym_none] = ACTIONS(1725),
    [sym_comment] = ACTIONS(69),
  },
  [447] = {
    [anon_sym_in] = ACTIONS(1727),
    [sym_comment] = ACTIONS(69),
  },
  [448] = {
    [sym__primary_expression] = STATE(885),
    [sym_binary_operator] = STATE(885),
    [sym_unary_operator] = STATE(885),
    [sym_attribute] = STATE(885),
    [sym_subscript] = STATE(885),
    [sym_call] = STATE(885),
    [sym_list] = STATE(885),
    [sym_list_comprehension] = STATE(885),
    [sym_dictionary] = STATE(885),
    [sym_dictionary_comprehension] = STATE(885),
    [sym_set] = STATE(885),
    [sym_set_comprehension] = STATE(885),
    [sym_parenthesized_expression] = STATE(885),
    [sym_tuple] = STATE(885),
    [sym_generator_expression] = STATE(885),
    [sym_concatenated_string] = STATE(885),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1731),
    [sym_float] = ACTIONS(1731),
    [sym_identifier] = ACTIONS(1731),
    [sym_true] = ACTIONS(1731),
    [sym_false] = ACTIONS(1731),
    [sym_none] = ACTIONS(1731),
    [sym_comment] = ACTIONS(69),
  },
  [449] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [450] = {
    [sym__primary_expression] = STATE(886),
    [sym_binary_operator] = STATE(886),
    [sym_unary_operator] = STATE(886),
    [sym_attribute] = STATE(886),
    [sym_subscript] = STATE(886),
    [sym_call] = STATE(886),
    [sym_list] = STATE(886),
    [sym_list_comprehension] = STATE(886),
    [sym_dictionary] = STATE(886),
    [sym_dictionary_comprehension] = STATE(886),
    [sym_set] = STATE(886),
    [sym_set_comprehension] = STATE(886),
    [sym_parenthesized_expression] = STATE(886),
    [sym_tuple] = STATE(886),
    [sym_generator_expression] = STATE(886),
    [sym_concatenated_string] = STATE(886),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1735),
    [sym_float] = ACTIONS(1735),
    [sym_identifier] = ACTIONS(1735),
    [sym_true] = ACTIONS(1735),
    [sym_false] = ACTIONS(1735),
    [sym_none] = ACTIONS(1735),
    [sym_comment] = ACTIONS(69),
  },
  [451] = {
    [sym__primary_expression] = STATE(887),
    [sym_binary_operator] = STATE(887),
    [sym_unary_operator] = STATE(887),
    [sym_attribute] = STATE(887),
    [sym_subscript] = STATE(887),
    [sym_call] = STATE(887),
    [sym_list] = STATE(887),
    [sym_list_comprehension] = STATE(887),
    [sym_dictionary] = STATE(887),
    [sym_dictionary_comprehension] = STATE(887),
    [sym_set] = STATE(887),
    [sym_set_comprehension] = STATE(887),
    [sym_parenthesized_expression] = STATE(887),
    [sym_tuple] = STATE(887),
    [sym_generator_expression] = STATE(887),
    [sym_concatenated_string] = STATE(887),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1739),
    [sym_float] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1739),
    [sym_true] = ACTIONS(1739),
    [sym_false] = ACTIONS(1739),
    [sym_none] = ACTIONS(1739),
    [sym_comment] = ACTIONS(69),
  },
  [452] = {
    [sym__primary_expression] = STATE(888),
    [sym_binary_operator] = STATE(888),
    [sym_unary_operator] = STATE(888),
    [sym_attribute] = STATE(888),
    [sym_subscript] = STATE(888),
    [sym_call] = STATE(888),
    [sym_list] = STATE(888),
    [sym_list_comprehension] = STATE(888),
    [sym_dictionary] = STATE(888),
    [sym_dictionary_comprehension] = STATE(888),
    [sym_set] = STATE(888),
    [sym_set_comprehension] = STATE(888),
    [sym_parenthesized_expression] = STATE(888),
    [sym_tuple] = STATE(888),
    [sym_generator_expression] = STATE(888),
    [sym_concatenated_string] = STATE(888),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1743),
    [sym_float] = ACTIONS(1743),
    [sym_identifier] = ACTIONS(1743),
    [sym_true] = ACTIONS(1743),
    [sym_false] = ACTIONS(1743),
    [sym_none] = ACTIONS(1743),
    [sym_comment] = ACTIONS(69),
  },
  [453] = {
    [sym__primary_expression] = STATE(883),
    [sym_binary_operator] = STATE(883),
    [sym_unary_operator] = STATE(883),
    [sym_attribute] = STATE(883),
    [sym_subscript] = STATE(883),
    [sym_call] = STATE(883),
    [sym_list] = STATE(883),
    [sym_list_comprehension] = STATE(883),
    [sym_dictionary] = STATE(883),
    [sym_dictionary_comprehension] = STATE(883),
    [sym_set] = STATE(883),
    [sym_set_comprehension] = STATE(883),
    [sym_parenthesized_expression] = STATE(883),
    [sym_tuple] = STATE(883),
    [sym_generator_expression] = STATE(883),
    [sym_concatenated_string] = STATE(883),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(1725),
    [sym_float] = ACTIONS(1725),
    [sym_identifier] = ACTIONS(1725),
    [sym_true] = ACTIONS(1725),
    [sym_false] = ACTIONS(1725),
    [sym_none] = ACTIONS(1725),
    [sym_comment] = ACTIONS(69),
  },
  [454] = {
    [aux_sym_comparison_operator_repeat1] = STATE(889),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(795),
    [anon_sym_not] = ACTIONS(799),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(811),
    [anon_sym_LT_EQ] = ACTIONS(795),
    [anon_sym_EQ_EQ] = ACTIONS(795),
    [anon_sym_BANG_EQ] = ACTIONS(795),
    [anon_sym_GT_EQ] = ACTIONS(795),
    [anon_sym_GT] = ACTIONS(811),
    [anon_sym_LT_GT] = ACTIONS(795),
    [anon_sym_is] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
  },
  [455] = {
    [sym__newline] = ACTIONS(1747),
    [anon_sym_DOT] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [anon_sym_STAR] = ACTIONS(1749),
    [anon_sym_GT_GT] = ACTIONS(1749),
    [anon_sym_if] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(1747),
    [anon_sym_in] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(1749),
    [anon_sym_not] = ACTIONS(1747),
    [anon_sym_and] = ACTIONS(1747),
    [anon_sym_or] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PERCENT] = ACTIONS(1749),
    [anon_sym_SLASH_SLASH] = ACTIONS(1749),
    [anon_sym_STAR_STAR] = ACTIONS(1749),
    [anon_sym_PIPE] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1749),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_LT_LT] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_EQ_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_GT] = ACTIONS(1749),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_is] = ACTIONS(1747),
    [anon_sym_PLUS_EQ] = ACTIONS(1747),
    [anon_sym_DASH_EQ] = ACTIONS(1747),
    [anon_sym_STAR_EQ] = ACTIONS(1747),
    [anon_sym_SLASH_EQ] = ACTIONS(1747),
    [anon_sym_AT_EQ] = ACTIONS(1747),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1747),
    [anon_sym_PERCENT_EQ] = ACTIONS(1747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1747),
    [anon_sym_GT_GT_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT_EQ] = ACTIONS(1747),
    [anon_sym_AMP_EQ] = ACTIONS(1747),
    [anon_sym_CARET_EQ] = ACTIONS(1747),
    [anon_sym_PIPE_EQ] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1747),
  },
  [456] = {
    [sym__expression] = STATE(890),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(890),
    [sym_boolean_operator] = STATE(890),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(890),
    [sym_lambda] = STATE(890),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(890),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(890),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [457] = {
    [sym__expression] = STATE(891),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(891),
    [sym_boolean_operator] = STATE(891),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(891),
    [sym_lambda] = STATE(891),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(891),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(891),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [458] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [459] = {
    [sym_lambda_parameters] = STATE(893),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(1751),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [460] = {
    [aux_sym_concatenated_string_repeat1] = STATE(894),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_string] = ACTIONS(1753),
    [sym_comment] = ACTIONS(69),
  },
  [461] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [462] = {
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [sym_comment] = ACTIONS(69),
  },
  [463] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(908),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_GT] = ACTIONS(1765),
    [anon_sym_is] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(299),
    [sym_comment] = ACTIONS(69),
  },
  [464] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(855),
    [anon_sym_or] = ACTIONS(857),
    [anon_sym_RBRACE] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
  },
  [465] = {
    [sym__expression] = STATE(909),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(909),
    [sym_boolean_operator] = STATE(909),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(909),
    [sym_lambda] = STATE(909),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(909),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(909),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [466] = {
    [anon_sym_COLON] = ACTIONS(1785),
    [sym_comment] = ACTIONS(69),
  },
  [467] = {
    [aux_sym_concatenated_string_repeat1] = STATE(911),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_RBRACE] = ACTIONS(883),
    [sym_string] = ACTIONS(1787),
    [sym_comment] = ACTIONS(69),
  },
  [468] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(914),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(914),
    [sym_boolean_operator] = STATE(914),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(914),
    [sym_lambda] = STATE(914),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(914),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [469] = {
    [sym__newline] = ACTIONS(1793),
    [anon_sym_DOT] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_if] = ACTIONS(1793),
    [anon_sym_COLON] = ACTIONS(1793),
    [anon_sym_in] = ACTIONS(1793),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1795),
    [anon_sym_not] = ACTIONS(1793),
    [anon_sym_and] = ACTIONS(1793),
    [anon_sym_or] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_PERCENT] = ACTIONS(1795),
    [anon_sym_SLASH_SLASH] = ACTIONS(1795),
    [anon_sym_STAR_STAR] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1793),
    [anon_sym_EQ_EQ] = ACTIONS(1793),
    [anon_sym_BANG_EQ] = ACTIONS(1793),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1793),
    [anon_sym_is] = ACTIONS(1793),
    [anon_sym_PLUS_EQ] = ACTIONS(1793),
    [anon_sym_DASH_EQ] = ACTIONS(1793),
    [anon_sym_STAR_EQ] = ACTIONS(1793),
    [anon_sym_SLASH_EQ] = ACTIONS(1793),
    [anon_sym_AT_EQ] = ACTIONS(1793),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1793),
    [anon_sym_PERCENT_EQ] = ACTIONS(1793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1793),
    [anon_sym_GT_GT_EQ] = ACTIONS(1793),
    [anon_sym_LT_LT_EQ] = ACTIONS(1793),
    [anon_sym_AMP_EQ] = ACTIONS(1793),
    [anon_sym_CARET_EQ] = ACTIONS(1793),
    [anon_sym_PIPE_EQ] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1793),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1793),
  },
  [470] = {
    [aux_sym_list_repeat1] = STATE(916),
    [anon_sym_COMMA] = ACTIONS(1797),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [sym_comment] = ACTIONS(69),
  },
  [471] = {
    [sym_dictionary_splat] = STATE(919),
    [sym__expression] = STATE(920),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(920),
    [sym_boolean_operator] = STATE(920),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(920),
    [sym_lambda] = STATE(920),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_pair] = STATE(919),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(920),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(1801),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [472] = {
    [aux_sym_dictionary_repeat1] = STATE(922),
    [anon_sym_COMMA] = ACTIONS(1803),
    [anon_sym_RBRACE] = ACTIONS(1801),
    [sym_comment] = ACTIONS(69),
  },
  [473] = {
    [sym__expression] = STATE(923),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(923),
    [sym_boolean_operator] = STATE(923),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(923),
    [sym_lambda] = STATE(923),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(923),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(923),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [474] = {
    [sym__expression] = STATE(929),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(929),
    [sym_boolean_operator] = STATE(929),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(929),
    [sym_lambda] = STATE(929),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(929),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(929),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [475] = {
    [anon_sym_for] = ACTIONS(1819),
    [sym_comment] = ACTIONS(69),
  },
  [476] = {
    [sym_variables] = STATE(932),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [477] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [478] = {
    [sym__expression] = STATE(933),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(933),
    [sym_boolean_operator] = STATE(933),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(933),
    [sym_lambda] = STATE(933),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(933),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(933),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [479] = {
    [anon_sym_RBRACE] = ACTIONS(1821),
    [sym_comment] = ACTIONS(69),
  },
  [480] = {
    [sym_for_in_clause] = STATE(936),
    [sym_if_clause] = STATE(936),
    [aux_sym__comprehension_body_repeat1] = STATE(936),
    [anon_sym_if] = ACTIONS(1823),
    [anon_sym_async] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [sym_comment] = ACTIONS(69),
  },
  [481] = {
    [sym__primary_expression] = STATE(937),
    [sym_binary_operator] = STATE(937),
    [sym_unary_operator] = STATE(937),
    [sym_attribute] = STATE(937),
    [sym_subscript] = STATE(937),
    [sym_call] = STATE(937),
    [sym_list] = STATE(937),
    [sym_list_comprehension] = STATE(937),
    [sym_dictionary] = STATE(937),
    [sym_dictionary_comprehension] = STATE(937),
    [sym_set] = STATE(937),
    [sym_set_comprehension] = STATE(937),
    [sym_parenthesized_expression] = STATE(937),
    [sym_tuple] = STATE(937),
    [sym_generator_expression] = STATE(937),
    [sym_concatenated_string] = STATE(937),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1827),
    [sym_float] = ACTIONS(1827),
    [sym_identifier] = ACTIONS(1827),
    [sym_true] = ACTIONS(1827),
    [sym_false] = ACTIONS(1827),
    [sym_none] = ACTIONS(1827),
    [sym_comment] = ACTIONS(69),
  },
  [482] = {
    [sym__primary_expression] = STATE(938),
    [sym_binary_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_attribute] = STATE(938),
    [sym_subscript] = STATE(938),
    [sym_call] = STATE(938),
    [sym_list] = STATE(938),
    [sym_list_comprehension] = STATE(938),
    [sym_dictionary] = STATE(938),
    [sym_dictionary_comprehension] = STATE(938),
    [sym_set] = STATE(938),
    [sym_set_comprehension] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym_tuple] = STATE(938),
    [sym_generator_expression] = STATE(938),
    [sym_concatenated_string] = STATE(938),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1829),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1831),
    [sym_float] = ACTIONS(1831),
    [sym_identifier] = ACTIONS(1831),
    [sym_true] = ACTIONS(1831),
    [sym_false] = ACTIONS(1831),
    [sym_none] = ACTIONS(1831),
    [sym_comment] = ACTIONS(69),
  },
  [483] = {
    [sym__primary_expression] = STATE(939),
    [sym_binary_operator] = STATE(939),
    [sym_unary_operator] = STATE(939),
    [sym_attribute] = STATE(939),
    [sym_subscript] = STATE(939),
    [sym_call] = STATE(939),
    [sym_list] = STATE(939),
    [sym_list_comprehension] = STATE(939),
    [sym_dictionary] = STATE(939),
    [sym_dictionary_comprehension] = STATE(939),
    [sym_set] = STATE(939),
    [sym_set_comprehension] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_tuple] = STATE(939),
    [sym_generator_expression] = STATE(939),
    [sym_concatenated_string] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1833),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1835),
    [sym_float] = ACTIONS(1835),
    [sym_identifier] = ACTIONS(1835),
    [sym_true] = ACTIONS(1835),
    [sym_false] = ACTIONS(1835),
    [sym_none] = ACTIONS(1835),
    [sym_comment] = ACTIONS(69),
  },
  [484] = {
    [anon_sym_in] = ACTIONS(1837),
    [sym_comment] = ACTIONS(69),
  },
  [485] = {
    [sym__primary_expression] = STATE(941),
    [sym_binary_operator] = STATE(941),
    [sym_unary_operator] = STATE(941),
    [sym_attribute] = STATE(941),
    [sym_subscript] = STATE(941),
    [sym_call] = STATE(941),
    [sym_list] = STATE(941),
    [sym_list_comprehension] = STATE(941),
    [sym_dictionary] = STATE(941),
    [sym_dictionary_comprehension] = STATE(941),
    [sym_set] = STATE(941),
    [sym_set_comprehension] = STATE(941),
    [sym_parenthesized_expression] = STATE(941),
    [sym_tuple] = STATE(941),
    [sym_generator_expression] = STATE(941),
    [sym_concatenated_string] = STATE(941),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [sym_identifier] = ACTIONS(1841),
    [sym_true] = ACTIONS(1841),
    [sym_false] = ACTIONS(1841),
    [sym_none] = ACTIONS(1841),
    [sym_comment] = ACTIONS(69),
  },
  [486] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [487] = {
    [sym__primary_expression] = STATE(942),
    [sym_binary_operator] = STATE(942),
    [sym_unary_operator] = STATE(942),
    [sym_attribute] = STATE(942),
    [sym_subscript] = STATE(942),
    [sym_call] = STATE(942),
    [sym_list] = STATE(942),
    [sym_list_comprehension] = STATE(942),
    [sym_dictionary] = STATE(942),
    [sym_dictionary_comprehension] = STATE(942),
    [sym_set] = STATE(942),
    [sym_set_comprehension] = STATE(942),
    [sym_parenthesized_expression] = STATE(942),
    [sym_tuple] = STATE(942),
    [sym_generator_expression] = STATE(942),
    [sym_concatenated_string] = STATE(942),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1845),
    [sym_float] = ACTIONS(1845),
    [sym_identifier] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_none] = ACTIONS(1845),
    [sym_comment] = ACTIONS(69),
  },
  [488] = {
    [sym__primary_expression] = STATE(943),
    [sym_binary_operator] = STATE(943),
    [sym_unary_operator] = STATE(943),
    [sym_attribute] = STATE(943),
    [sym_subscript] = STATE(943),
    [sym_call] = STATE(943),
    [sym_list] = STATE(943),
    [sym_list_comprehension] = STATE(943),
    [sym_dictionary] = STATE(943),
    [sym_dictionary_comprehension] = STATE(943),
    [sym_set] = STATE(943),
    [sym_set_comprehension] = STATE(943),
    [sym_parenthesized_expression] = STATE(943),
    [sym_tuple] = STATE(943),
    [sym_generator_expression] = STATE(943),
    [sym_concatenated_string] = STATE(943),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1849),
    [sym_float] = ACTIONS(1849),
    [sym_identifier] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_none] = ACTIONS(1849),
    [sym_comment] = ACTIONS(69),
  },
  [489] = {
    [sym__primary_expression] = STATE(944),
    [sym_binary_operator] = STATE(944),
    [sym_unary_operator] = STATE(944),
    [sym_attribute] = STATE(944),
    [sym_subscript] = STATE(944),
    [sym_call] = STATE(944),
    [sym_list] = STATE(944),
    [sym_list_comprehension] = STATE(944),
    [sym_dictionary] = STATE(944),
    [sym_dictionary_comprehension] = STATE(944),
    [sym_set] = STATE(944),
    [sym_set_comprehension] = STATE(944),
    [sym_parenthesized_expression] = STATE(944),
    [sym_tuple] = STATE(944),
    [sym_generator_expression] = STATE(944),
    [sym_concatenated_string] = STATE(944),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1853),
    [sym_float] = ACTIONS(1853),
    [sym_identifier] = ACTIONS(1853),
    [sym_true] = ACTIONS(1853),
    [sym_false] = ACTIONS(1853),
    [sym_none] = ACTIONS(1853),
    [sym_comment] = ACTIONS(69),
  },
  [490] = {
    [sym__primary_expression] = STATE(939),
    [sym_binary_operator] = STATE(939),
    [sym_unary_operator] = STATE(939),
    [sym_attribute] = STATE(939),
    [sym_subscript] = STATE(939),
    [sym_call] = STATE(939),
    [sym_list] = STATE(939),
    [sym_list_comprehension] = STATE(939),
    [sym_dictionary] = STATE(939),
    [sym_dictionary_comprehension] = STATE(939),
    [sym_set] = STATE(939),
    [sym_set_comprehension] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym_tuple] = STATE(939),
    [sym_generator_expression] = STATE(939),
    [sym_concatenated_string] = STATE(939),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1833),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(1835),
    [sym_float] = ACTIONS(1835),
    [sym_identifier] = ACTIONS(1835),
    [sym_true] = ACTIONS(1835),
    [sym_false] = ACTIONS(1835),
    [sym_none] = ACTIONS(1835),
    [sym_comment] = ACTIONS(69),
  },
  [491] = {
    [aux_sym_comparison_operator_repeat1] = STATE(945),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(863),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_EQ_EQ] = ACTIONS(863),
    [anon_sym_BANG_EQ] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(863),
    [anon_sym_GT] = ACTIONS(879),
    [anon_sym_LT_GT] = ACTIONS(863),
    [anon_sym_is] = ACTIONS(881),
    [anon_sym_RBRACE] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
  },
  [492] = {
    [anon_sym_RBRACE] = ACTIONS(1857),
    [sym_comment] = ACTIONS(69),
  },
  [493] = {
    [aux_sym_concatenated_string_repeat1] = STATE(493),
    [sym__newline] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(1863),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1859),
  },
  [494] = {
    [sym__expression] = STATE(947),
    [sym__primary_expression] = STATE(500),
    [sym_not_operator] = STATE(947),
    [sym_boolean_operator] = STATE(947),
    [sym_binary_operator] = STATE(500),
    [sym_unary_operator] = STATE(500),
    [sym_comparison_operator] = STATE(947),
    [sym_lambda] = STATE(947),
    [sym_attribute] = STATE(500),
    [sym_subscript] = STATE(500),
    [sym_call] = STATE(500),
    [sym_list] = STATE(500),
    [sym_list_comprehension] = STATE(500),
    [sym_dictionary] = STATE(500),
    [sym_dictionary_comprehension] = STATE(500),
    [sym_set] = STATE(500),
    [sym_set_comprehension] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_tuple] = STATE(500),
    [sym_generator_expression] = STATE(500),
    [sym_conditional_expression] = STATE(947),
    [sym_concatenated_string] = STATE(500),
    [sym_await] = STATE(947),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_lambda] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [sym_identifier] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_none] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(903),
    [sym_comment] = ACTIONS(69),
  },
  [495] = {
    [sym__primary_expression] = STATE(259),
    [sym_binary_operator] = STATE(259),
    [sym_unary_operator] = STATE(259),
    [sym_attribute] = STATE(259),
    [sym_subscript] = STATE(259),
    [sym_call] = STATE(259),
    [sym_list] = STATE(259),
    [sym_list_comprehension] = STATE(259),
    [sym_dictionary] = STATE(259),
    [sym_dictionary_comprehension] = STATE(259),
    [sym_set] = STATE(259),
    [sym_set_comprehension] = STATE(259),
    [sym_parenthesized_expression] = STATE(259),
    [sym_tuple] = STATE(259),
    [sym_generator_expression] = STATE(259),
    [sym_concatenated_string] = STATE(259),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(455),
    [sym_float] = ACTIONS(455),
    [sym_identifier] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_none] = ACTIONS(455),
    [sym_comment] = ACTIONS(69),
  },
  [496] = {
    [sym_lambda_parameters] = STATE(949),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(1866),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [497] = {
    [aux_sym_concatenated_string_repeat1] = STATE(950),
    [sym__newline] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(1868),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(273),
  },
  [498] = {
    [sym__expression] = STATE(160),
    [sym__primary_expression] = STATE(500),
    [sym_not_operator] = STATE(160),
    [sym_boolean_operator] = STATE(160),
    [sym_binary_operator] = STATE(500),
    [sym_unary_operator] = STATE(500),
    [sym_comparison_operator] = STATE(160),
    [sym_lambda] = STATE(160),
    [sym_attribute] = STATE(500),
    [sym_subscript] = STATE(500),
    [sym_call] = STATE(500),
    [sym_list] = STATE(500),
    [sym_list_comprehension] = STATE(500),
    [sym_dictionary] = STATE(500),
    [sym_dictionary_comprehension] = STATE(500),
    [sym_set] = STATE(500),
    [sym_set_comprehension] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_tuple] = STATE(500),
    [sym_generator_expression] = STATE(500),
    [sym_conditional_expression] = STATE(160),
    [sym_concatenated_string] = STATE(500),
    [sym_await] = STATE(160),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_lambda] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [sym_identifier] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_none] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(903),
    [sym_comment] = ACTIONS(69),
  },
  [499] = {
    [sym__newline] = ACTIONS(1870),
    [anon_sym_if] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_or] = ACTIONS(1876),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1870),
  },
  [500] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [aux_sym_comparison_operator_repeat1] = STATE(964),
    [sym__newline] = ACTIONS(299),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(1882),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1886),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1892),
    [anon_sym_AMP] = ACTIONS(1894),
    [anon_sym_CARET] = ACTIONS(1896),
    [anon_sym_LT_LT] = ACTIONS(1880),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(1882),
    [anon_sym_EQ_EQ] = ACTIONS(1882),
    [anon_sym_BANG_EQ] = ACTIONS(1882),
    [anon_sym_GT_EQ] = ACTIONS(1882),
    [anon_sym_GT] = ACTIONS(1898),
    [anon_sym_LT_GT] = ACTIONS(1882),
    [anon_sym_is] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(299),
  },
  [501] = {
    [sym__newline] = ACTIONS(1902),
    [anon_sym_EQ] = ACTIONS(1904),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1902),
  },
  [502] = {
    [sym__newline] = ACTIONS(1906),
    [anon_sym_COLON] = ACTIONS(281),
    [anon_sym_EQ] = ACTIONS(283),
    [anon_sym_PLUS_EQ] = ACTIONS(285),
    [anon_sym_DASH_EQ] = ACTIONS(285),
    [anon_sym_STAR_EQ] = ACTIONS(285),
    [anon_sym_SLASH_EQ] = ACTIONS(285),
    [anon_sym_AT_EQ] = ACTIONS(285),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(285),
    [anon_sym_PERCENT_EQ] = ACTIONS(285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(285),
    [anon_sym_GT_GT_EQ] = ACTIONS(285),
    [anon_sym_LT_LT_EQ] = ACTIONS(285),
    [anon_sym_AMP_EQ] = ACTIONS(285),
    [anon_sym_CARET_EQ] = ACTIONS(285),
    [anon_sym_PIPE_EQ] = ACTIONS(285),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1906),
  },
  [503] = {
    [aux_sym_print_statement_repeat1] = STATE(967),
    [sym__newline] = ACTIONS(293),
    [anon_sym_COMMA] = ACTIONS(1908),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_COLON] = ACTIONS(293),
    [anon_sym_EQ] = ACTIONS(293),
    [anon_sym_and] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(293),
    [anon_sym_DASH_EQ] = ACTIONS(293),
    [anon_sym_STAR_EQ] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(293),
    [anon_sym_AT_EQ] = ACTIONS(293),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(293),
    [anon_sym_PERCENT_EQ] = ACTIONS(293),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(293),
    [anon_sym_GT_GT_EQ] = ACTIONS(293),
    [anon_sym_LT_LT_EQ] = ACTIONS(293),
    [anon_sym_AMP_EQ] = ACTIONS(293),
    [anon_sym_CARET_EQ] = ACTIONS(293),
    [anon_sym_PIPE_EQ] = ACTIONS(293),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(293),
  },
  [504] = {
    [sym__newline] = ACTIONS(1902),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1902),
  },
  [505] = {
    [sym__newline] = ACTIONS(1910),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1910),
  },
  [506] = {
    [sym__newline] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_COLON] = ACTIONS(1912),
    [anon_sym_EQ] = ACTIONS(1912),
    [anon_sym_and] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(1912),
    [anon_sym_DASH_EQ] = ACTIONS(1912),
    [anon_sym_STAR_EQ] = ACTIONS(1912),
    [anon_sym_SLASH_EQ] = ACTIONS(1912),
    [anon_sym_AT_EQ] = ACTIONS(1912),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1912),
    [anon_sym_PERCENT_EQ] = ACTIONS(1912),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1912),
    [anon_sym_GT_GT_EQ] = ACTIONS(1912),
    [anon_sym_LT_LT_EQ] = ACTIONS(1912),
    [anon_sym_AMP_EQ] = ACTIONS(1912),
    [anon_sym_CARET_EQ] = ACTIONS(1912),
    [anon_sym_PIPE_EQ] = ACTIONS(1912),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1912),
  },
  [507] = {
    [sym__expression] = STATE(968),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(968),
    [sym_boolean_operator] = STATE(968),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(968),
    [sym_lambda] = STATE(968),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(968),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(968),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [508] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [509] = {
    [sym_lambda_parameters] = STATE(970),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(1914),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [510] = {
    [aux_sym_concatenated_string_repeat1] = STATE(971),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(1916),
    [sym_comment] = ACTIONS(69),
  },
  [511] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [512] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1920),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [513] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(986),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_else] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_not] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_CARET] = ACTIONS(1944),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1946),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1930),
    [anon_sym_BANG_EQ] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1930),
    [anon_sym_GT] = ACTIONS(1946),
    [anon_sym_LT_GT] = ACTIONS(1930),
    [anon_sym_is] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [514] = {
    [sym__newline] = ACTIONS(1950),
    [anon_sym_from] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1950),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_PLUS_EQ] = ACTIONS(1950),
    [anon_sym_DASH_EQ] = ACTIONS(1950),
    [anon_sym_STAR_EQ] = ACTIONS(1950),
    [anon_sym_SLASH_EQ] = ACTIONS(1950),
    [anon_sym_AT_EQ] = ACTIONS(1950),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1950),
    [anon_sym_PERCENT_EQ] = ACTIONS(1950),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1950),
    [anon_sym_GT_GT_EQ] = ACTIONS(1950),
    [anon_sym_LT_LT_EQ] = ACTIONS(1950),
    [anon_sym_AMP_EQ] = ACTIONS(1950),
    [anon_sym_CARET_EQ] = ACTIONS(1950),
    [anon_sym_PIPE_EQ] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1950),
  },
  [515] = {
    [sym__newline] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_PLUS_EQ] = ACTIONS(1950),
    [anon_sym_DASH_EQ] = ACTIONS(1950),
    [anon_sym_STAR_EQ] = ACTIONS(1950),
    [anon_sym_SLASH_EQ] = ACTIONS(1950),
    [anon_sym_AT_EQ] = ACTIONS(1950),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1950),
    [anon_sym_PERCENT_EQ] = ACTIONS(1950),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1950),
    [anon_sym_GT_GT_EQ] = ACTIONS(1950),
    [anon_sym_LT_LT_EQ] = ACTIONS(1950),
    [anon_sym_AMP_EQ] = ACTIONS(1950),
    [anon_sym_CARET_EQ] = ACTIONS(1950),
    [anon_sym_PIPE_EQ] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1950),
  },
  [516] = {
    [sym__expression] = STATE(506),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(506),
    [sym_boolean_operator] = STATE(506),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(506),
    [sym_lambda] = STATE(506),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(506),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(506),
    [sym__newline] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(1954),
    [anon_sym_EQ] = ACTIONS(1954),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_PLUS_EQ] = ACTIONS(1954),
    [anon_sym_DASH_EQ] = ACTIONS(1954),
    [anon_sym_STAR_EQ] = ACTIONS(1954),
    [anon_sym_SLASH_EQ] = ACTIONS(1954),
    [anon_sym_AT_EQ] = ACTIONS(1954),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1954),
    [anon_sym_PERCENT_EQ] = ACTIONS(1954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1954),
    [anon_sym_GT_GT_EQ] = ACTIONS(1954),
    [anon_sym_LT_LT_EQ] = ACTIONS(1954),
    [anon_sym_AMP_EQ] = ACTIONS(1954),
    [anon_sym_CARET_EQ] = ACTIONS(1954),
    [anon_sym_PIPE_EQ] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1952),
  },
  [517] = {
    [aux_sym_print_statement_repeat1] = STATE(517),
    [sym__newline] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(1912),
    [anon_sym_EQ] = ACTIONS(1912),
    [anon_sym_PLUS_EQ] = ACTIONS(1912),
    [anon_sym_DASH_EQ] = ACTIONS(1912),
    [anon_sym_STAR_EQ] = ACTIONS(1912),
    [anon_sym_SLASH_EQ] = ACTIONS(1912),
    [anon_sym_AT_EQ] = ACTIONS(1912),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1912),
    [anon_sym_PERCENT_EQ] = ACTIONS(1912),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1912),
    [anon_sym_GT_GT_EQ] = ACTIONS(1912),
    [anon_sym_LT_LT_EQ] = ACTIONS(1912),
    [anon_sym_AMP_EQ] = ACTIONS(1912),
    [anon_sym_CARET_EQ] = ACTIONS(1912),
    [anon_sym_PIPE_EQ] = ACTIONS(1912),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1912),
  },
  [518] = {
    [sym__newline] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(1959),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_COMMA] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_GT_GT] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1959),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_AT] = ACTIONS(1961),
    [anon_sym_not] = ACTIONS(1959),
    [anon_sym_and] = ACTIONS(1959),
    [anon_sym_or] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1961),
    [anon_sym_PERCENT] = ACTIONS(1961),
    [anon_sym_SLASH_SLASH] = ACTIONS(1961),
    [anon_sym_STAR_STAR] = ACTIONS(1961),
    [anon_sym_PIPE] = ACTIONS(1961),
    [anon_sym_AMP] = ACTIONS(1961),
    [anon_sym_CARET] = ACTIONS(1961),
    [anon_sym_LT_LT] = ACTIONS(1961),
    [anon_sym_LT] = ACTIONS(1961),
    [anon_sym_LT_EQ] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1959),
    [anon_sym_BANG_EQ] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1959),
    [anon_sym_GT] = ACTIONS(1961),
    [anon_sym_LT_GT] = ACTIONS(1959),
    [anon_sym_is] = ACTIONS(1959),
    [anon_sym_PLUS_EQ] = ACTIONS(1959),
    [anon_sym_DASH_EQ] = ACTIONS(1959),
    [anon_sym_STAR_EQ] = ACTIONS(1959),
    [anon_sym_SLASH_EQ] = ACTIONS(1959),
    [anon_sym_AT_EQ] = ACTIONS(1959),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1959),
    [anon_sym_PERCENT_EQ] = ACTIONS(1959),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1959),
    [anon_sym_GT_GT_EQ] = ACTIONS(1959),
    [anon_sym_LT_LT_EQ] = ACTIONS(1959),
    [anon_sym_AMP_EQ] = ACTIONS(1959),
    [anon_sym_CARET_EQ] = ACTIONS(1959),
    [anon_sym_PIPE_EQ] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1959),
  },
  [519] = {
    [sym__newline] = ACTIONS(1963),
    [anon_sym_DOT] = ACTIONS(1963),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1965),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1963),
    [anon_sym_in] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1965),
    [anon_sym_AT] = ACTIONS(1965),
    [anon_sym_not] = ACTIONS(1963),
    [anon_sym_and] = ACTIONS(1963),
    [anon_sym_or] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1965),
    [anon_sym_PERCENT] = ACTIONS(1965),
    [anon_sym_SLASH_SLASH] = ACTIONS(1965),
    [anon_sym_STAR_STAR] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_LT_LT] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1963),
    [anon_sym_BANG_EQ] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(1965),
    [anon_sym_LT_GT] = ACTIONS(1963),
    [anon_sym_is] = ACTIONS(1963),
    [anon_sym_PLUS_EQ] = ACTIONS(1963),
    [anon_sym_DASH_EQ] = ACTIONS(1963),
    [anon_sym_STAR_EQ] = ACTIONS(1963),
    [anon_sym_SLASH_EQ] = ACTIONS(1963),
    [anon_sym_AT_EQ] = ACTIONS(1963),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1963),
    [anon_sym_PERCENT_EQ] = ACTIONS(1963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1963),
    [anon_sym_GT_GT_EQ] = ACTIONS(1963),
    [anon_sym_LT_LT_EQ] = ACTIONS(1963),
    [anon_sym_AMP_EQ] = ACTIONS(1963),
    [anon_sym_CARET_EQ] = ACTIONS(1963),
    [anon_sym_PIPE_EQ] = ACTIONS(1963),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1963),
  },
  [520] = {
    [anon_sym_RPAREN] = ACTIONS(1967),
    [sym_comment] = ACTIONS(69),
  },
  [521] = {
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(990),
    [sym_boolean_operator] = STATE(990),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(990),
    [sym_lambda] = STATE(990),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(990),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(990),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [522] = {
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_RPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(105),
    [anon_sym_STAR] = ACTIONS(107),
    [anon_sym_GT_GT] = ACTIONS(105),
    [anon_sym_if] = ACTIONS(105),
    [anon_sym_async] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(105),
    [anon_sym_in] = ACTIONS(105),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(105),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_and] = ACTIONS(105),
    [anon_sym_or] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(105),
    [anon_sym_DASH] = ACTIONS(105),
    [anon_sym_SLASH] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(105),
    [anon_sym_SLASH_SLASH] = ACTIONS(105),
    [anon_sym_STAR_STAR] = ACTIONS(105),
    [anon_sym_PIPE] = ACTIONS(105),
    [anon_sym_AMP] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(105),
    [anon_sym_LT_LT] = ACTIONS(105),
    [anon_sym_LT] = ACTIONS(107),
    [anon_sym_LT_EQ] = ACTIONS(105),
    [anon_sym_EQ_EQ] = ACTIONS(105),
    [anon_sym_BANG_EQ] = ACTIONS(105),
    [anon_sym_GT_EQ] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(107),
    [anon_sym_LT_GT] = ACTIONS(105),
    [anon_sym_is] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(105),
    [sym_comment] = ACTIONS(69),
  },
  [523] = {
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(1973),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_comment] = ACTIONS(69),
  },
  [524] = {
    [aux_sym_argument_list_repeat1] = STATE(994),
    [anon_sym_RPAREN] = ACTIONS(1967),
    [anon_sym_COMMA] = ACTIONS(1975),
    [sym_comment] = ACTIONS(69),
  },
  [525] = {
    [sym__comprehension_body] = STATE(235),
    [sym_for_in_clause] = STATE(236),
    [aux_sym_argument_list_repeat1] = STATE(994),
    [anon_sym_RPAREN] = ACTIONS(1967),
    [anon_sym_COMMA] = ACTIONS(1975),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [526] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1979),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1979),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1979),
    [anon_sym_SLASH_SLASH] = ACTIONS(1979),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1979),
    [anon_sym_LT_LT] = ACTIONS(1979),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_AT_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [527] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_GT_GT] = ACTIONS(1979),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_SLASH_SLASH] = ACTIONS(305),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1979),
    [anon_sym_LT_LT] = ACTIONS(1979),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_AT_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [528] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_GT_GT] = ACTIONS(307),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_SLASH_SLASH] = ACTIONS(305),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(319),
    [anon_sym_AMP] = ACTIONS(321),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_PLUS_EQ] = ACTIONS(1981),
    [anon_sym_DASH_EQ] = ACTIONS(1981),
    [anon_sym_STAR_EQ] = ACTIONS(1981),
    [anon_sym_SLASH_EQ] = ACTIONS(1981),
    [anon_sym_AT_EQ] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1981),
    [anon_sym_PERCENT_EQ] = ACTIONS(1981),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1981),
    [anon_sym_GT_GT_EQ] = ACTIONS(1981),
    [anon_sym_LT_LT_EQ] = ACTIONS(1981),
    [anon_sym_AMP_EQ] = ACTIONS(1981),
    [anon_sym_CARET_EQ] = ACTIONS(1981),
    [anon_sym_PIPE_EQ] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(329),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [529] = {
    [sym__primary_expression] = STATE(995),
    [sym_binary_operator] = STATE(995),
    [sym_unary_operator] = STATE(995),
    [sym_attribute] = STATE(995),
    [sym_subscript] = STATE(995),
    [sym_call] = STATE(995),
    [sym_list] = STATE(995),
    [sym_list_comprehension] = STATE(995),
    [sym_dictionary] = STATE(995),
    [sym_dictionary_comprehension] = STATE(995),
    [sym_set] = STATE(995),
    [sym_set_comprehension] = STATE(995),
    [sym_parenthesized_expression] = STATE(995),
    [sym_tuple] = STATE(995),
    [sym_generator_expression] = STATE(995),
    [sym_concatenated_string] = STATE(995),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(1987),
    [sym_float] = ACTIONS(1987),
    [sym_identifier] = ACTIONS(1987),
    [sym_true] = ACTIONS(1987),
    [sym_false] = ACTIONS(1987),
    [sym_none] = ACTIONS(1987),
    [sym_comment] = ACTIONS(69),
  },
  [530] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_GT_GT] = ACTIONS(1979),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_SLASH_SLASH] = ACTIONS(305),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1979),
    [anon_sym_LT_LT] = ACTIONS(1979),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_AT_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [531] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1979),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1979),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1979),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1979),
    [anon_sym_SLASH_SLASH] = ACTIONS(1979),
    [anon_sym_STAR_STAR] = ACTIONS(1979),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1979),
    [anon_sym_LT_LT] = ACTIONS(1979),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_AT_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [532] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_GT_GT] = ACTIONS(307),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_SLASH_SLASH] = ACTIONS(305),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_AMP] = ACTIONS(321),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_AT_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [533] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_GT_GT] = ACTIONS(307),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_SLASH_SLASH] = ACTIONS(305),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_AT_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [534] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_GT_GT] = ACTIONS(307),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_SLASH_SLASH] = ACTIONS(305),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(1979),
    [anon_sym_AMP] = ACTIONS(1979),
    [anon_sym_CARET] = ACTIONS(1979),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_PLUS_EQ] = ACTIONS(1977),
    [anon_sym_DASH_EQ] = ACTIONS(1977),
    [anon_sym_STAR_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_AT_EQ] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1977),
    [anon_sym_PERCENT_EQ] = ACTIONS(1977),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1977),
    [anon_sym_GT_GT_EQ] = ACTIONS(1977),
    [anon_sym_LT_LT_EQ] = ACTIONS(1977),
    [anon_sym_AMP_EQ] = ACTIONS(1977),
    [anon_sym_CARET_EQ] = ACTIONS(1977),
    [anon_sym_PIPE_EQ] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [535] = {
    [sym__expression] = STATE(997),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(997),
    [sym_boolean_operator] = STATE(997),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(997),
    [sym_lambda] = STATE(997),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(997),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(997),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [536] = {
    [sym__expression] = STATE(998),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(998),
    [sym_boolean_operator] = STATE(998),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(998),
    [sym_lambda] = STATE(998),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(998),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(998),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [537] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [538] = {
    [sym_lambda_parameters] = STATE(1000),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(1993),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [539] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1001),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_RBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(1995),
    [sym_comment] = ACTIONS(69),
  },
  [540] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [541] = {
    [aux_sym_subscript_repeat1] = STATE(1008),
    [anon_sym_COMMA] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(2001),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2007),
    [sym_comment] = ACTIONS(69),
  },
  [542] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1019),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(2011),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_not] = ACTIONS(2017),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH] = ACTIONS(2015),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(2023),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_CARET] = ACTIONS(2027),
    [anon_sym_LT_LT] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2029),
    [anon_sym_LT_EQ] = ACTIONS(2013),
    [anon_sym_EQ_EQ] = ACTIONS(2013),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_GT_EQ] = ACTIONS(2013),
    [anon_sym_GT] = ACTIONS(2029),
    [anon_sym_LT_GT] = ACTIONS(2013),
    [anon_sym_is] = ACTIONS(2031),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(299),
    [sym_comment] = ACTIONS(69),
  },
  [543] = {
    [aux_sym_subscript_repeat1] = STATE(1008),
    [anon_sym_COMMA] = ACTIONS(1997),
    [anon_sym_RBRACK] = ACTIONS(2007),
    [sym_comment] = ACTIONS(69),
  },
  [544] = {
    [aux_sym_comparison_operator_repeat1] = STATE(544),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(2033),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_not] = ACTIONS(2036),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_LT_EQ] = ACTIONS(2033),
    [anon_sym_EQ_EQ] = ACTIONS(2033),
    [anon_sym_BANG_EQ] = ACTIONS(2033),
    [anon_sym_GT_EQ] = ACTIONS(2033),
    [anon_sym_GT] = ACTIONS(2039),
    [anon_sym_LT_GT] = ACTIONS(2033),
    [anon_sym_is] = ACTIONS(2042),
    [anon_sym_PLUS_EQ] = ACTIONS(1981),
    [anon_sym_DASH_EQ] = ACTIONS(1981),
    [anon_sym_STAR_EQ] = ACTIONS(1981),
    [anon_sym_SLASH_EQ] = ACTIONS(1981),
    [anon_sym_AT_EQ] = ACTIONS(1981),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1981),
    [anon_sym_PERCENT_EQ] = ACTIONS(1981),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1981),
    [anon_sym_GT_GT_EQ] = ACTIONS(1981),
    [anon_sym_LT_LT_EQ] = ACTIONS(1981),
    [anon_sym_AMP_EQ] = ACTIONS(1981),
    [anon_sym_CARET_EQ] = ACTIONS(1981),
    [anon_sym_PIPE_EQ] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [545] = {
    [sym__newline] = ACTIONS(2045),
    [anon_sym_DOT] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(2045),
    [anon_sym_as] = ACTIONS(2045),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2045),
  },
  [546] = {
    [aux_sym_dotted_name_repeat1] = STATE(546),
    [sym__newline] = ACTIONS(2045),
    [anon_sym_DOT] = ACTIONS(2047),
    [anon_sym_COMMA] = ACTIONS(2045),
    [anon_sym_as] = ACTIONS(2045),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2045),
  },
  [547] = {
    [sym__newline] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2050),
  },
  [548] = {
    [sym__newline] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_as] = ACTIONS(349),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2050),
  },
  [549] = {
    [sym_aliased_import] = STATE(547),
    [sym_dotted_name] = STATE(548),
    [sym__newline] = ACTIONS(2052),
    [sym_identifier] = ACTIONS(71),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2052),
  },
  [550] = {
    [aux_sym__import_list_repeat1] = STATE(550),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2050),
  },
  [551] = {
    [sym__newline] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2057),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2057),
  },
  [552] = {
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_DOT] = ACTIONS(2045),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(2045),
    [anon_sym_as] = ACTIONS(2045),
    [sym_comment] = ACTIONS(69),
  },
  [553] = {
    [aux_sym_dotted_name_repeat1] = STATE(553),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_DOT] = ACTIONS(2059),
    [sym_comment] = ACTIONS(69),
  },
  [554] = {
    [sym__import_list] = STATE(1022),
    [sym_aliased_import] = STATE(1023),
    [sym_dotted_name] = STATE(1024),
    [sym_identifier] = ACTIONS(2062),
    [sym_comment] = ACTIONS(69),
  },
  [555] = {
    [sym__newline] = ACTIONS(2064),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2064),
  },
  [556] = {
    [sym__newline] = ACTIONS(2066),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2066),
  },
  [557] = {
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_RPAREN] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_as] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_COLON] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_EQ] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1132),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_SLASH_SLASH] = ACTIONS(1132),
    [anon_sym_STAR_STAR] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT_GT] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_RBRACK] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [sym_comment] = ACTIONS(69),
  },
  [558] = {
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_RPAREN] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [anon_sym_as] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_COLON] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_async] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_EQ] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [anon_sym_not] = ACTIONS(1190),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_or] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_SLASH_SLASH] = ACTIONS(1190),
    [anon_sym_STAR_STAR] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1192),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1192),
    [anon_sym_LT_GT] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_RBRACK] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [sym_comment] = ACTIONS(69),
  },
  [559] = {
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_yield] = STATE(600),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(599),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(2068),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [560] = {
    [anon_sym_RPAREN] = ACTIONS(2070),
    [sym_comment] = ACTIONS(69),
  },
  [561] = {
    [aux_sym_tuple_repeat1] = STATE(610),
    [anon_sym_RPAREN] = ACTIONS(2068),
    [anon_sym_COMMA] = ACTIONS(2072),
    [sym_comment] = ACTIONS(69),
  },
  [562] = {
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [563] = {
    [sym__expression] = STATE(1028),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1028),
    [sym_boolean_operator] = STATE(1028),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1028),
    [sym_lambda] = STATE(1028),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1028),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1028),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [564] = {
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [565] = {
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [566] = {
    [sym__expression] = STATE(1029),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1029),
    [sym_boolean_operator] = STATE(1029),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1029),
    [sym_lambda] = STATE(1029),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1029),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1029),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [567] = {
    [anon_sym_COLON] = ACTIONS(2074),
    [sym_comment] = ACTIONS(69),
  },
  [568] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1031),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(2076),
    [sym_comment] = ACTIONS(69),
  },
  [569] = {
    [sym__expression] = STATE(1032),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1032),
    [sym_boolean_operator] = STATE(1032),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1032),
    [sym_lambda] = STATE(1032),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1032),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1032),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [570] = {
    [sym__expression] = STATE(1033),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1033),
    [sym_boolean_operator] = STATE(1033),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1033),
    [sym_lambda] = STATE(1033),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1033),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1033),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [571] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [572] = {
    [sym__expression] = STATE(1034),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1034),
    [sym_boolean_operator] = STATE(1034),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1034),
    [sym_lambda] = STATE(1034),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1034),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1034),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [573] = {
    [aux_sym_print_statement_repeat1] = STATE(1036),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(2078),
    [sym_comment] = ACTIONS(69),
  },
  [574] = {
    [sym__primary_expression] = STATE(1037),
    [sym_binary_operator] = STATE(1037),
    [sym_unary_operator] = STATE(1037),
    [sym_attribute] = STATE(1037),
    [sym_subscript] = STATE(1037),
    [sym_call] = STATE(1037),
    [sym_list] = STATE(1037),
    [sym_list_comprehension] = STATE(1037),
    [sym_dictionary] = STATE(1037),
    [sym_dictionary_comprehension] = STATE(1037),
    [sym_set] = STATE(1037),
    [sym_set_comprehension] = STATE(1037),
    [sym_parenthesized_expression] = STATE(1037),
    [sym_tuple] = STATE(1037),
    [sym_generator_expression] = STATE(1037),
    [sym_concatenated_string] = STATE(1037),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2080),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(2082),
    [sym_float] = ACTIONS(2082),
    [sym_identifier] = ACTIONS(2082),
    [sym_true] = ACTIONS(2082),
    [sym_false] = ACTIONS(2082),
    [sym_none] = ACTIONS(2082),
    [sym_comment] = ACTIONS(69),
  },
  [575] = {
    [sym__primary_expression] = STATE(1038),
    [sym_binary_operator] = STATE(1038),
    [sym_unary_operator] = STATE(1038),
    [sym_attribute] = STATE(1038),
    [sym_subscript] = STATE(1038),
    [sym_call] = STATE(1038),
    [sym_list] = STATE(1038),
    [sym_list_comprehension] = STATE(1038),
    [sym_dictionary] = STATE(1038),
    [sym_dictionary_comprehension] = STATE(1038),
    [sym_set] = STATE(1038),
    [sym_set_comprehension] = STATE(1038),
    [sym_parenthesized_expression] = STATE(1038),
    [sym_tuple] = STATE(1038),
    [sym_generator_expression] = STATE(1038),
    [sym_concatenated_string] = STATE(1038),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(2086),
    [sym_float] = ACTIONS(2086),
    [sym_identifier] = ACTIONS(2086),
    [sym_true] = ACTIONS(2086),
    [sym_false] = ACTIONS(2086),
    [sym_none] = ACTIONS(2086),
    [sym_comment] = ACTIONS(69),
  },
  [576] = {
    [sym__primary_expression] = STATE(1039),
    [sym_binary_operator] = STATE(1039),
    [sym_unary_operator] = STATE(1039),
    [sym_attribute] = STATE(1039),
    [sym_subscript] = STATE(1039),
    [sym_call] = STATE(1039),
    [sym_list] = STATE(1039),
    [sym_list_comprehension] = STATE(1039),
    [sym_dictionary] = STATE(1039),
    [sym_dictionary_comprehension] = STATE(1039),
    [sym_set] = STATE(1039),
    [sym_set_comprehension] = STATE(1039),
    [sym_parenthesized_expression] = STATE(1039),
    [sym_tuple] = STATE(1039),
    [sym_generator_expression] = STATE(1039),
    [sym_concatenated_string] = STATE(1039),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(2090),
    [sym_float] = ACTIONS(2090),
    [sym_identifier] = ACTIONS(2090),
    [sym_true] = ACTIONS(2090),
    [sym_false] = ACTIONS(2090),
    [sym_none] = ACTIONS(2090),
    [sym_comment] = ACTIONS(69),
  },
  [577] = {
    [anon_sym_in] = ACTIONS(2092),
    [sym_comment] = ACTIONS(69),
  },
  [578] = {
    [sym__primary_expression] = STATE(1041),
    [sym_binary_operator] = STATE(1041),
    [sym_unary_operator] = STATE(1041),
    [sym_attribute] = STATE(1041),
    [sym_subscript] = STATE(1041),
    [sym_call] = STATE(1041),
    [sym_list] = STATE(1041),
    [sym_list_comprehension] = STATE(1041),
    [sym_dictionary] = STATE(1041),
    [sym_dictionary_comprehension] = STATE(1041),
    [sym_set] = STATE(1041),
    [sym_set_comprehension] = STATE(1041),
    [sym_parenthesized_expression] = STATE(1041),
    [sym_tuple] = STATE(1041),
    [sym_generator_expression] = STATE(1041),
    [sym_concatenated_string] = STATE(1041),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2094),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(2096),
    [sym_float] = ACTIONS(2096),
    [sym_identifier] = ACTIONS(2096),
    [sym_true] = ACTIONS(2096),
    [sym_false] = ACTIONS(2096),
    [sym_none] = ACTIONS(2096),
    [sym_comment] = ACTIONS(69),
  },
  [579] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [580] = {
    [sym__primary_expression] = STATE(1042),
    [sym_binary_operator] = STATE(1042),
    [sym_unary_operator] = STATE(1042),
    [sym_attribute] = STATE(1042),
    [sym_subscript] = STATE(1042),
    [sym_call] = STATE(1042),
    [sym_list] = STATE(1042),
    [sym_list_comprehension] = STATE(1042),
    [sym_dictionary] = STATE(1042),
    [sym_dictionary_comprehension] = STATE(1042),
    [sym_set] = STATE(1042),
    [sym_set_comprehension] = STATE(1042),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_tuple] = STATE(1042),
    [sym_generator_expression] = STATE(1042),
    [sym_concatenated_string] = STATE(1042),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2098),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(2100),
    [sym_float] = ACTIONS(2100),
    [sym_identifier] = ACTIONS(2100),
    [sym_true] = ACTIONS(2100),
    [sym_false] = ACTIONS(2100),
    [sym_none] = ACTIONS(2100),
    [sym_comment] = ACTIONS(69),
  },
  [581] = {
    [sym__primary_expression] = STATE(1043),
    [sym_binary_operator] = STATE(1043),
    [sym_unary_operator] = STATE(1043),
    [sym_attribute] = STATE(1043),
    [sym_subscript] = STATE(1043),
    [sym_call] = STATE(1043),
    [sym_list] = STATE(1043),
    [sym_list_comprehension] = STATE(1043),
    [sym_dictionary] = STATE(1043),
    [sym_dictionary_comprehension] = STATE(1043),
    [sym_set] = STATE(1043),
    [sym_set_comprehension] = STATE(1043),
    [sym_parenthesized_expression] = STATE(1043),
    [sym_tuple] = STATE(1043),
    [sym_generator_expression] = STATE(1043),
    [sym_concatenated_string] = STATE(1043),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2102),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(2104),
    [sym_float] = ACTIONS(2104),
    [sym_identifier] = ACTIONS(2104),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [sym_none] = ACTIONS(2104),
    [sym_comment] = ACTIONS(69),
  },
  [582] = {
    [sym__primary_expression] = STATE(1044),
    [sym_binary_operator] = STATE(1044),
    [sym_unary_operator] = STATE(1044),
    [sym_attribute] = STATE(1044),
    [sym_subscript] = STATE(1044),
    [sym_call] = STATE(1044),
    [sym_list] = STATE(1044),
    [sym_list_comprehension] = STATE(1044),
    [sym_dictionary] = STATE(1044),
    [sym_dictionary_comprehension] = STATE(1044),
    [sym_set] = STATE(1044),
    [sym_set_comprehension] = STATE(1044),
    [sym_parenthesized_expression] = STATE(1044),
    [sym_tuple] = STATE(1044),
    [sym_generator_expression] = STATE(1044),
    [sym_concatenated_string] = STATE(1044),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2106),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(2108),
    [sym_float] = ACTIONS(2108),
    [sym_identifier] = ACTIONS(2108),
    [sym_true] = ACTIONS(2108),
    [sym_false] = ACTIONS(2108),
    [sym_none] = ACTIONS(2108),
    [sym_comment] = ACTIONS(69),
  },
  [583] = {
    [sym__primary_expression] = STATE(1039),
    [sym_binary_operator] = STATE(1039),
    [sym_unary_operator] = STATE(1039),
    [sym_attribute] = STATE(1039),
    [sym_subscript] = STATE(1039),
    [sym_call] = STATE(1039),
    [sym_list] = STATE(1039),
    [sym_list_comprehension] = STATE(1039),
    [sym_dictionary] = STATE(1039),
    [sym_dictionary_comprehension] = STATE(1039),
    [sym_set] = STATE(1039),
    [sym_set_comprehension] = STATE(1039),
    [sym_parenthesized_expression] = STATE(1039),
    [sym_tuple] = STATE(1039),
    [sym_generator_expression] = STATE(1039),
    [sym_concatenated_string] = STATE(1039),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2110),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(2090),
    [sym_float] = ACTIONS(2090),
    [sym_identifier] = ACTIONS(2090),
    [sym_true] = ACTIONS(2090),
    [sym_false] = ACTIONS(2090),
    [sym_none] = ACTIONS(2090),
    [sym_comment] = ACTIONS(69),
  },
  [584] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1045),
    [anon_sym_RPAREN] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_not] = ACTIONS(1158),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(1170),
    [anon_sym_LT_EQ] = ACTIONS(1154),
    [anon_sym_EQ_EQ] = ACTIONS(1154),
    [anon_sym_BANG_EQ] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1154),
    [anon_sym_GT] = ACTIONS(1170),
    [anon_sym_LT_GT] = ACTIONS(1154),
    [anon_sym_is] = ACTIONS(1172),
    [sym_comment] = ACTIONS(69),
  },
  [585] = {
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_as] = ACTIONS(1665),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_COLON] = ACTIONS(1663),
    [anon_sym_else] = ACTIONS(1663),
    [anon_sym_async] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_in] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1663),
    [anon_sym_is] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1663),
    [anon_sym_RBRACK] = ACTIONS(1663),
    [anon_sym_RBRACE] = ACTIONS(1663),
    [sym_comment] = ACTIONS(69),
  },
  [586] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(871),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(871),
    [sym_boolean_operator] = STATE(871),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(871),
    [sym_lambda] = STATE(871),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(871),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(871),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(2112),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [587] = {
    [aux_sym_list_repeat1] = STATE(873),
    [anon_sym_COMMA] = ACTIONS(2114),
    [anon_sym_RBRACK] = ACTIONS(2112),
    [sym_comment] = ACTIONS(69),
  },
  [588] = {
    [anon_sym_RBRACK] = ACTIONS(2116),
    [sym_comment] = ACTIONS(69),
  },
  [589] = {
    [anon_sym_DOT] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [anon_sym_as] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1749),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_if] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(1747),
    [anon_sym_else] = ACTIONS(1747),
    [anon_sym_async] = ACTIONS(1747),
    [anon_sym_for] = ACTIONS(1747),
    [anon_sym_in] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(1747),
    [anon_sym_not] = ACTIONS(1747),
    [anon_sym_and] = ACTIONS(1747),
    [anon_sym_or] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_SLASH_SLASH] = ACTIONS(1747),
    [anon_sym_STAR_STAR] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_EQ_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_GT] = ACTIONS(1749),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_is] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [anon_sym_RBRACK] = ACTIONS(1747),
    [anon_sym_RBRACE] = ACTIONS(1747),
    [sym_comment] = ACTIONS(69),
  },
  [590] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(914),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(914),
    [sym_boolean_operator] = STATE(914),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(914),
    [sym_lambda] = STATE(914),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(914),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(2118),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [591] = {
    [anon_sym_DOT] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_RPAREN] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1793),
    [anon_sym_as] = ACTIONS(1795),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1793),
    [anon_sym_if] = ACTIONS(1793),
    [anon_sym_COLON] = ACTIONS(1793),
    [anon_sym_else] = ACTIONS(1793),
    [anon_sym_async] = ACTIONS(1793),
    [anon_sym_for] = ACTIONS(1793),
    [anon_sym_in] = ACTIONS(1793),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1793),
    [anon_sym_and] = ACTIONS(1793),
    [anon_sym_or] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1793),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_PERCENT] = ACTIONS(1793),
    [anon_sym_SLASH_SLASH] = ACTIONS(1793),
    [anon_sym_STAR_STAR] = ACTIONS(1793),
    [anon_sym_PIPE] = ACTIONS(1793),
    [anon_sym_AMP] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1793),
    [anon_sym_LT_LT] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1793),
    [anon_sym_EQ_EQ] = ACTIONS(1793),
    [anon_sym_BANG_EQ] = ACTIONS(1793),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1793),
    [anon_sym_is] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1793),
    [anon_sym_RBRACK] = ACTIONS(1793),
    [anon_sym_RBRACE] = ACTIONS(1793),
    [sym_comment] = ACTIONS(69),
  },
  [592] = {
    [aux_sym_list_repeat1] = STATE(916),
    [anon_sym_COMMA] = ACTIONS(2120),
    [anon_sym_RBRACE] = ACTIONS(2118),
    [sym_comment] = ACTIONS(69),
  },
  [593] = {
    [sym_dictionary_splat] = STATE(919),
    [sym__expression] = STATE(920),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(920),
    [sym_boolean_operator] = STATE(920),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(920),
    [sym_lambda] = STATE(920),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_pair] = STATE(919),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(920),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [594] = {
    [aux_sym_dictionary_repeat1] = STATE(922),
    [anon_sym_COMMA] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [sym_comment] = ACTIONS(69),
  },
  [595] = {
    [anon_sym_RBRACE] = ACTIONS(2126),
    [sym_comment] = ACTIONS(69),
  },
  [596] = {
    [anon_sym_RBRACE] = ACTIONS(2128),
    [sym_comment] = ACTIONS(69),
  },
  [597] = {
    [aux_sym_concatenated_string_repeat1] = STATE(597),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(2130),
    [sym_comment] = ACTIONS(69),
  },
  [598] = {
    [sym__newline] = ACTIONS(2133),
    [anon_sym_DOT] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_COMMA] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_COLON] = ACTIONS(2133),
    [anon_sym_in] = ACTIONS(2133),
    [anon_sym_EQ] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_not] = ACTIONS(2133),
    [anon_sym_and] = ACTIONS(2133),
    [anon_sym_or] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2135),
    [anon_sym_SLASH_SLASH] = ACTIONS(2135),
    [anon_sym_STAR_STAR] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2135),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_CARET] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2133),
    [anon_sym_EQ_EQ] = ACTIONS(2133),
    [anon_sym_BANG_EQ] = ACTIONS(2133),
    [anon_sym_GT_EQ] = ACTIONS(2133),
    [anon_sym_GT] = ACTIONS(2135),
    [anon_sym_LT_GT] = ACTIONS(2133),
    [anon_sym_is] = ACTIONS(2133),
    [anon_sym_PLUS_EQ] = ACTIONS(2133),
    [anon_sym_DASH_EQ] = ACTIONS(2133),
    [anon_sym_STAR_EQ] = ACTIONS(2133),
    [anon_sym_SLASH_EQ] = ACTIONS(2133),
    [anon_sym_AT_EQ] = ACTIONS(2133),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2133),
    [anon_sym_PERCENT_EQ] = ACTIONS(2133),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2133),
    [anon_sym_GT_GT_EQ] = ACTIONS(2133),
    [anon_sym_LT_LT_EQ] = ACTIONS(2133),
    [anon_sym_AMP_EQ] = ACTIONS(2133),
    [anon_sym_CARET_EQ] = ACTIONS(2133),
    [anon_sym_PIPE_EQ] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2133),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2133),
  },
  [599] = {
    [anon_sym_RPAREN] = ACTIONS(2137),
    [anon_sym_COMMA] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [600] = {
    [anon_sym_RPAREN] = ACTIONS(2137),
    [anon_sym_COMMA] = ACTIONS(2137),
    [sym_comment] = ACTIONS(69),
  },
  [601] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(2139),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [602] = {
    [sym_variables] = STATE(1056),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [603] = {
    [anon_sym_in] = ACTIONS(2141),
    [sym_comment] = ACTIONS(69),
  },
  [604] = {
    [anon_sym_RPAREN] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_as] = ACTIONS(2143),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_else] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1950),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACK] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [605] = {
    [anon_sym_RPAREN] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [606] = {
    [sym__newline] = ACTIONS(2145),
    [anon_sym_DOT] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2147),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_COLON] = ACTIONS(2145),
    [anon_sym_in] = ACTIONS(2145),
    [anon_sym_EQ] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_not] = ACTIONS(2145),
    [anon_sym_and] = ACTIONS(2145),
    [anon_sym_or] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2147),
    [anon_sym_DASH] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2147),
    [anon_sym_SLASH_SLASH] = ACTIONS(2147),
    [anon_sym_STAR_STAR] = ACTIONS(2147),
    [anon_sym_PIPE] = ACTIONS(2147),
    [anon_sym_AMP] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2147),
    [anon_sym_LT_LT] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_LT_GT] = ACTIONS(2145),
    [anon_sym_is] = ACTIONS(2145),
    [anon_sym_PLUS_EQ] = ACTIONS(2145),
    [anon_sym_DASH_EQ] = ACTIONS(2145),
    [anon_sym_STAR_EQ] = ACTIONS(2145),
    [anon_sym_SLASH_EQ] = ACTIONS(2145),
    [anon_sym_AT_EQ] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2145),
    [anon_sym_PERCENT_EQ] = ACTIONS(2145),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2145),
    [anon_sym_GT_GT_EQ] = ACTIONS(2145),
    [anon_sym_LT_LT_EQ] = ACTIONS(2145),
    [anon_sym_AMP_EQ] = ACTIONS(2145),
    [anon_sym_CARET_EQ] = ACTIONS(2145),
    [anon_sym_PIPE_EQ] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2145),
  },
  [607] = {
    [sym__expression] = STATE(1063),
    [sym__primary_expression] = STATE(1064),
    [sym_not_operator] = STATE(1063),
    [sym_boolean_operator] = STATE(1063),
    [sym_binary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_comparison_operator] = STATE(1063),
    [sym_lambda] = STATE(1063),
    [sym_attribute] = STATE(1064),
    [sym_subscript] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym_list] = STATE(1064),
    [sym_list_comprehension] = STATE(1064),
    [sym_dictionary] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(1064),
    [sym_set] = STATE(1064),
    [sym_set_comprehension] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_generator_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(1063),
    [sym_concatenated_string] = STATE(1064),
    [sym_await] = STATE(1063),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_lambda] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [sym_comment] = ACTIONS(69),
  },
  [608] = {
    [sym_for_in_clause] = STATE(1065),
    [sym_if_clause] = STATE(1065),
    [aux_sym__comprehension_body_repeat1] = STATE(1065),
    [anon_sym_RPAREN] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_async] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [sym_comment] = ACTIONS(69),
  },
  [609] = {
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_yield] = STATE(600),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(599),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(2165),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [610] = {
    [aux_sym_tuple_repeat1] = STATE(610),
    [anon_sym_RPAREN] = ACTIONS(2137),
    [anon_sym_COMMA] = ACTIONS(2167),
    [sym_comment] = ACTIONS(69),
  },
  [611] = {
    [anon_sym_DOT] = ACTIONS(1959),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_RPAREN] = ACTIONS(1959),
    [anon_sym_COMMA] = ACTIONS(1959),
    [anon_sym_as] = ACTIONS(1961),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_if] = ACTIONS(1959),
    [anon_sym_COLON] = ACTIONS(1959),
    [anon_sym_else] = ACTIONS(1959),
    [anon_sym_async] = ACTIONS(1959),
    [anon_sym_for] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_AT] = ACTIONS(1959),
    [anon_sym_not] = ACTIONS(1959),
    [anon_sym_and] = ACTIONS(1959),
    [anon_sym_or] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_SLASH] = ACTIONS(1961),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_SLASH_SLASH] = ACTIONS(1959),
    [anon_sym_STAR_STAR] = ACTIONS(1959),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(1961),
    [anon_sym_LT_EQ] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1959),
    [anon_sym_BANG_EQ] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1959),
    [anon_sym_GT] = ACTIONS(1961),
    [anon_sym_LT_GT] = ACTIONS(1959),
    [anon_sym_is] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_RBRACK] = ACTIONS(1959),
    [anon_sym_RBRACE] = ACTIONS(1959),
    [sym_comment] = ACTIONS(69),
  },
  [612] = {
    [anon_sym_DOT] = ACTIONS(1963),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_RPAREN] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1963),
    [anon_sym_as] = ACTIONS(1965),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(1963),
    [anon_sym_async] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1963),
    [anon_sym_in] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1965),
    [anon_sym_AT] = ACTIONS(1963),
    [anon_sym_not] = ACTIONS(1963),
    [anon_sym_and] = ACTIONS(1963),
    [anon_sym_or] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1965),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_SLASH_SLASH] = ACTIONS(1963),
    [anon_sym_STAR_STAR] = ACTIONS(1963),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_LT] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1963),
    [anon_sym_BANG_EQ] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(1965),
    [anon_sym_LT_GT] = ACTIONS(1963),
    [anon_sym_is] = ACTIONS(1963),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(1963),
    [anon_sym_RBRACE] = ACTIONS(1963),
    [sym_comment] = ACTIONS(69),
  },
  [613] = {
    [anon_sym_RPAREN] = ACTIONS(2170),
    [sym_comment] = ACTIONS(69),
  },
  [614] = {
    [aux_sym_argument_list_repeat1] = STATE(1070),
    [anon_sym_RPAREN] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2172),
    [sym_comment] = ACTIONS(69),
  },
  [615] = {
    [sym__comprehension_body] = STATE(560),
    [sym_for_in_clause] = STATE(236),
    [aux_sym_argument_list_repeat1] = STATE(1070),
    [anon_sym_RPAREN] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [616] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [617] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_SLASH_SLASH] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [618] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_SLASH_SLASH] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(437),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_CARET] = ACTIONS(441),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [619] = {
    [sym__primary_expression] = STATE(1071),
    [sym_binary_operator] = STATE(1071),
    [sym_unary_operator] = STATE(1071),
    [sym_attribute] = STATE(1071),
    [sym_subscript] = STATE(1071),
    [sym_call] = STATE(1071),
    [sym_list] = STATE(1071),
    [sym_list_comprehension] = STATE(1071),
    [sym_dictionary] = STATE(1071),
    [sym_dictionary_comprehension] = STATE(1071),
    [sym_set] = STATE(1071),
    [sym_set_comprehension] = STATE(1071),
    [sym_parenthesized_expression] = STATE(1071),
    [sym_tuple] = STATE(1071),
    [sym_generator_expression] = STATE(1071),
    [sym_concatenated_string] = STATE(1071),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(2176),
    [sym_float] = ACTIONS(2176),
    [sym_identifier] = ACTIONS(2176),
    [sym_true] = ACTIONS(2176),
    [sym_false] = ACTIONS(2176),
    [sym_none] = ACTIONS(2176),
    [sym_comment] = ACTIONS(69),
  },
  [620] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_SLASH_SLASH] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [621] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_as] = ACTIONS(1979),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1977),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [622] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_SLASH_SLASH] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_CARET] = ACTIONS(441),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [623] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_SLASH_SLASH] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(441),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [624] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_SLASH_SLASH] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [625] = {
    [aux_sym_subscript_repeat1] = STATE(1074),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(2001),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2180),
    [sym_comment] = ACTIONS(69),
  },
  [626] = {
    [aux_sym_subscript_repeat1] = STATE(1074),
    [anon_sym_COMMA] = ACTIONS(2178),
    [anon_sym_RBRACK] = ACTIONS(2180),
    [sym_comment] = ACTIONS(69),
  },
  [627] = {
    [aux_sym_comparison_operator_repeat1] = STATE(627),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2185),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2182),
    [anon_sym_EQ_EQ] = ACTIONS(2182),
    [anon_sym_BANG_EQ] = ACTIONS(2182),
    [anon_sym_GT_EQ] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2188),
    [anon_sym_LT_GT] = ACTIONS(2182),
    [anon_sym_is] = ACTIONS(2191),
    [sym_comment] = ACTIONS(69),
  },
  [628] = {
    [sym__newline] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_from] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1132),
    [anon_sym_EQ] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1132),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_SLASH_SLASH] = ACTIONS(1132),
    [anon_sym_STAR_STAR] = ACTIONS(1132),
    [anon_sym_PIPE] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT_GT] = ACTIONS(1132),
    [anon_sym_is] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1132),
  },
  [629] = {
    [sym__newline] = ACTIONS(1190),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_from] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_EQ] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [anon_sym_not] = ACTIONS(1190),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_or] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_SLASH_SLASH] = ACTIONS(1190),
    [anon_sym_STAR_STAR] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1192),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1192),
    [anon_sym_LT_GT] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1190),
  },
  [630] = {
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_yield] = STATE(600),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(599),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(2194),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [631] = {
    [anon_sym_RPAREN] = ACTIONS(2196),
    [sym_comment] = ACTIONS(69),
  },
  [632] = {
    [aux_sym_tuple_repeat1] = STATE(610),
    [anon_sym_RPAREN] = ACTIONS(2194),
    [anon_sym_COMMA] = ACTIONS(2198),
    [sym_comment] = ACTIONS(69),
  },
  [633] = {
    [sym__newline] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1641),
  },
  [634] = {
    [sym__expression] = STATE(1078),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(1078),
    [sym_boolean_operator] = STATE(1078),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(1078),
    [sym_lambda] = STATE(1078),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(1078),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(1078),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [635] = {
    [sym__newline] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_from] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_in] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(1663),
    [anon_sym_not] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_EQ_EQ] = ACTIONS(1663),
    [anon_sym_BANG_EQ] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1663),
    [anon_sym_is] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1663),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1663),
  },
  [636] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(871),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(871),
    [sym_boolean_operator] = STATE(871),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(871),
    [sym_lambda] = STATE(871),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(871),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(871),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(2200),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [637] = {
    [aux_sym_list_repeat1] = STATE(873),
    [anon_sym_COMMA] = ACTIONS(2202),
    [anon_sym_RBRACK] = ACTIONS(2200),
    [sym_comment] = ACTIONS(69),
  },
  [638] = {
    [anon_sym_RBRACK] = ACTIONS(2204),
    [sym_comment] = ACTIONS(69),
  },
  [639] = {
    [sym__newline] = ACTIONS(1747),
    [anon_sym_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [anon_sym_STAR] = ACTIONS(1749),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_if] = ACTIONS(1747),
    [anon_sym_in] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(1747),
    [anon_sym_not] = ACTIONS(1747),
    [anon_sym_and] = ACTIONS(1747),
    [anon_sym_or] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PERCENT] = ACTIONS(1747),
    [anon_sym_SLASH_SLASH] = ACTIONS(1747),
    [anon_sym_STAR_STAR] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_EQ_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_GT] = ACTIONS(1749),
    [anon_sym_LT_GT] = ACTIONS(1747),
    [anon_sym_is] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1747),
  },
  [640] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(914),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(914),
    [sym_boolean_operator] = STATE(914),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(914),
    [sym_lambda] = STATE(914),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(914),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [641] = {
    [sym__newline] = ACTIONS(1793),
    [anon_sym_DOT] = ACTIONS(1793),
    [anon_sym_from] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_GT_GT] = ACTIONS(1793),
    [anon_sym_if] = ACTIONS(1793),
    [anon_sym_in] = ACTIONS(1793),
    [anon_sym_EQ] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1793),
    [anon_sym_not] = ACTIONS(1793),
    [anon_sym_and] = ACTIONS(1793),
    [anon_sym_or] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1793),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_PERCENT] = ACTIONS(1793),
    [anon_sym_SLASH_SLASH] = ACTIONS(1793),
    [anon_sym_STAR_STAR] = ACTIONS(1793),
    [anon_sym_PIPE] = ACTIONS(1793),
    [anon_sym_AMP] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1793),
    [anon_sym_LT_LT] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1793),
    [anon_sym_EQ_EQ] = ACTIONS(1793),
    [anon_sym_BANG_EQ] = ACTIONS(1793),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_LT_GT] = ACTIONS(1793),
    [anon_sym_is] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1793),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1793),
  },
  [642] = {
    [aux_sym_list_repeat1] = STATE(916),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [sym_comment] = ACTIONS(69),
  },
  [643] = {
    [sym_dictionary_splat] = STATE(919),
    [sym__expression] = STATE(920),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(920),
    [sym_boolean_operator] = STATE(920),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(920),
    [sym_lambda] = STATE(920),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_pair] = STATE(919),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(920),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [644] = {
    [aux_sym_dictionary_repeat1] = STATE(922),
    [anon_sym_COMMA] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [sym_comment] = ACTIONS(69),
  },
  [645] = {
    [anon_sym_RBRACE] = ACTIONS(2214),
    [sym_comment] = ACTIONS(69),
  },
  [646] = {
    [anon_sym_RBRACE] = ACTIONS(2216),
    [sym_comment] = ACTIONS(69),
  },
  [647] = {
    [aux_sym_concatenated_string_repeat1] = STATE(647),
    [sym__newline] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(2218),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1859),
  },
  [648] = {
    [sym__newline] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1912),
  },
  [649] = {
    [sym__expression] = STATE(648),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(648),
    [sym_boolean_operator] = STATE(648),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(648),
    [sym_lambda] = STATE(648),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(648),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(648),
    [sym__newline] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2221),
  },
  [650] = {
    [aux_sym_print_statement_repeat1] = STATE(650),
    [sym__newline] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(2223),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1912),
  },
  [651] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [652] = {
    [sym__newline] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1950),
  },
  [653] = {
    [sym__newline] = ACTIONS(1959),
    [anon_sym_DOT] = ACTIONS(1959),
    [anon_sym_from] = ACTIONS(1959),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_COMMA] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_GT_GT] = ACTIONS(1959),
    [anon_sym_if] = ACTIONS(1959),
    [anon_sym_in] = ACTIONS(1959),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_AT] = ACTIONS(1959),
    [anon_sym_not] = ACTIONS(1959),
    [anon_sym_and] = ACTIONS(1959),
    [anon_sym_or] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_SLASH] = ACTIONS(1961),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_SLASH_SLASH] = ACTIONS(1959),
    [anon_sym_STAR_STAR] = ACTIONS(1959),
    [anon_sym_PIPE] = ACTIONS(1959),
    [anon_sym_AMP] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1959),
    [anon_sym_LT_LT] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(1961),
    [anon_sym_LT_EQ] = ACTIONS(1959),
    [anon_sym_EQ_EQ] = ACTIONS(1959),
    [anon_sym_BANG_EQ] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1959),
    [anon_sym_GT] = ACTIONS(1961),
    [anon_sym_LT_GT] = ACTIONS(1959),
    [anon_sym_is] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1959),
  },
  [654] = {
    [sym__newline] = ACTIONS(1963),
    [anon_sym_DOT] = ACTIONS(1963),
    [anon_sym_from] = ACTIONS(1963),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_in] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1965),
    [anon_sym_AT] = ACTIONS(1963),
    [anon_sym_not] = ACTIONS(1963),
    [anon_sym_and] = ACTIONS(1963),
    [anon_sym_or] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1965),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_SLASH_SLASH] = ACTIONS(1963),
    [anon_sym_STAR_STAR] = ACTIONS(1963),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_LT] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1963),
    [anon_sym_BANG_EQ] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(1965),
    [anon_sym_LT_GT] = ACTIONS(1963),
    [anon_sym_is] = ACTIONS(1963),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1963),
  },
  [655] = {
    [anon_sym_RPAREN] = ACTIONS(2228),
    [sym_comment] = ACTIONS(69),
  },
  [656] = {
    [aux_sym_argument_list_repeat1] = STATE(1091),
    [anon_sym_RPAREN] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [sym_comment] = ACTIONS(69),
  },
  [657] = {
    [sym__comprehension_body] = STATE(631),
    [sym_for_in_clause] = STATE(236),
    [aux_sym_argument_list_repeat1] = STATE(1091),
    [anon_sym_RPAREN] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [658] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [659] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(489),
    [anon_sym_SLASH_SLASH] = ACTIONS(489),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [660] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(489),
    [anon_sym_SLASH_SLASH] = ACTIONS(489),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(497),
    [anon_sym_AMP] = ACTIONS(499),
    [anon_sym_CARET] = ACTIONS(501),
    [anon_sym_LT_LT] = ACTIONS(485),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [661] = {
    [sym__primary_expression] = STATE(1092),
    [sym_binary_operator] = STATE(1092),
    [sym_unary_operator] = STATE(1092),
    [sym_attribute] = STATE(1092),
    [sym_subscript] = STATE(1092),
    [sym_call] = STATE(1092),
    [sym_list] = STATE(1092),
    [sym_list_comprehension] = STATE(1092),
    [sym_dictionary] = STATE(1092),
    [sym_dictionary_comprehension] = STATE(1092),
    [sym_set] = STATE(1092),
    [sym_set_comprehension] = STATE(1092),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_tuple] = STATE(1092),
    [sym_generator_expression] = STATE(1092),
    [sym_concatenated_string] = STATE(1092),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2232),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(2234),
    [sym_float] = ACTIONS(2234),
    [sym_identifier] = ACTIONS(2234),
    [sym_true] = ACTIONS(2234),
    [sym_false] = ACTIONS(2234),
    [sym_none] = ACTIONS(2234),
    [sym_comment] = ACTIONS(69),
  },
  [662] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(489),
    [anon_sym_SLASH_SLASH] = ACTIONS(489),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [663] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_from] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1977),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [664] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(489),
    [anon_sym_SLASH_SLASH] = ACTIONS(489),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(499),
    [anon_sym_CARET] = ACTIONS(501),
    [anon_sym_LT_LT] = ACTIONS(485),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [665] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(489),
    [anon_sym_SLASH_SLASH] = ACTIONS(489),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(501),
    [anon_sym_LT_LT] = ACTIONS(485),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [666] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(489),
    [anon_sym_SLASH_SLASH] = ACTIONS(489),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(485),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [667] = {
    [aux_sym_subscript_repeat1] = STATE(1095),
    [anon_sym_COMMA] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(2001),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2238),
    [sym_comment] = ACTIONS(69),
  },
  [668] = {
    [aux_sym_subscript_repeat1] = STATE(1095),
    [anon_sym_COMMA] = ACTIONS(2236),
    [anon_sym_RBRACK] = ACTIONS(2238),
    [sym_comment] = ACTIONS(69),
  },
  [669] = {
    [aux_sym_comparison_operator_repeat1] = STATE(669),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(2240),
    [anon_sym_not] = ACTIONS(2243),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_EQ_EQ] = ACTIONS(2240),
    [anon_sym_BANG_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_LT_GT] = ACTIONS(2240),
    [anon_sym_is] = ACTIONS(2249),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [670] = {
    [sym__expression] = STATE(648),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(648),
    [sym_boolean_operator] = STATE(648),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(648),
    [sym_lambda] = STATE(648),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(648),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(648),
    [sym__newline] = ACTIONS(1954),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1954),
  },
  [671] = {
    [sym__newline] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(1330),
    [anon_sym_or] = ACTIONS(1332),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(713),
  },
  [672] = {
    [sym__expression] = STATE(1096),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(1096),
    [sym_boolean_operator] = STATE(1096),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(1096),
    [sym_lambda] = STATE(1096),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(1096),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(1096),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [673] = {
    [anon_sym_COLON] = ACTIONS(2252),
    [sym_comment] = ACTIONS(69),
  },
  [674] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1098),
    [sym__newline] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(2254),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(883),
  },
  [675] = {
    [sym__expression] = STATE(1099),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1099),
    [sym_boolean_operator] = STATE(1099),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1099),
    [sym_lambda] = STATE(1099),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1099),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1099),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [676] = {
    [sym__expression] = STATE(514),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(514),
    [sym_boolean_operator] = STATE(514),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(514),
    [sym_lambda] = STATE(514),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(514),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(514),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [677] = {
    [sym__expression] = STATE(1100),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(1100),
    [sym_boolean_operator] = STATE(1100),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(1100),
    [sym_lambda] = STATE(1100),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(1100),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(1100),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [678] = {
    [sym__primary_expression] = STATE(1101),
    [sym_binary_operator] = STATE(1101),
    [sym_unary_operator] = STATE(1101),
    [sym_attribute] = STATE(1101),
    [sym_subscript] = STATE(1101),
    [sym_call] = STATE(1101),
    [sym_list] = STATE(1101),
    [sym_list_comprehension] = STATE(1101),
    [sym_dictionary] = STATE(1101),
    [sym_dictionary_comprehension] = STATE(1101),
    [sym_set] = STATE(1101),
    [sym_set_comprehension] = STATE(1101),
    [sym_parenthesized_expression] = STATE(1101),
    [sym_tuple] = STATE(1101),
    [sym_generator_expression] = STATE(1101),
    [sym_concatenated_string] = STATE(1101),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2256),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(2258),
    [sym_float] = ACTIONS(2258),
    [sym_identifier] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_none] = ACTIONS(2258),
    [sym_comment] = ACTIONS(69),
  },
  [679] = {
    [sym__primary_expression] = STATE(1102),
    [sym_binary_operator] = STATE(1102),
    [sym_unary_operator] = STATE(1102),
    [sym_attribute] = STATE(1102),
    [sym_subscript] = STATE(1102),
    [sym_call] = STATE(1102),
    [sym_list] = STATE(1102),
    [sym_list_comprehension] = STATE(1102),
    [sym_dictionary] = STATE(1102),
    [sym_dictionary_comprehension] = STATE(1102),
    [sym_set] = STATE(1102),
    [sym_set_comprehension] = STATE(1102),
    [sym_parenthesized_expression] = STATE(1102),
    [sym_tuple] = STATE(1102),
    [sym_generator_expression] = STATE(1102),
    [sym_concatenated_string] = STATE(1102),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(2262),
    [sym_float] = ACTIONS(2262),
    [sym_identifier] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_none] = ACTIONS(2262),
    [sym_comment] = ACTIONS(69),
  },
  [680] = {
    [sym__primary_expression] = STATE(1103),
    [sym_binary_operator] = STATE(1103),
    [sym_unary_operator] = STATE(1103),
    [sym_attribute] = STATE(1103),
    [sym_subscript] = STATE(1103),
    [sym_call] = STATE(1103),
    [sym_list] = STATE(1103),
    [sym_list_comprehension] = STATE(1103),
    [sym_dictionary] = STATE(1103),
    [sym_dictionary_comprehension] = STATE(1103),
    [sym_set] = STATE(1103),
    [sym_set_comprehension] = STATE(1103),
    [sym_parenthesized_expression] = STATE(1103),
    [sym_tuple] = STATE(1103),
    [sym_generator_expression] = STATE(1103),
    [sym_concatenated_string] = STATE(1103),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(2266),
    [sym_float] = ACTIONS(2266),
    [sym_identifier] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_none] = ACTIONS(2266),
    [sym_comment] = ACTIONS(69),
  },
  [681] = {
    [anon_sym_in] = ACTIONS(2268),
    [sym_comment] = ACTIONS(69),
  },
  [682] = {
    [sym__primary_expression] = STATE(1105),
    [sym_binary_operator] = STATE(1105),
    [sym_unary_operator] = STATE(1105),
    [sym_attribute] = STATE(1105),
    [sym_subscript] = STATE(1105),
    [sym_call] = STATE(1105),
    [sym_list] = STATE(1105),
    [sym_list_comprehension] = STATE(1105),
    [sym_dictionary] = STATE(1105),
    [sym_dictionary_comprehension] = STATE(1105),
    [sym_set] = STATE(1105),
    [sym_set_comprehension] = STATE(1105),
    [sym_parenthesized_expression] = STATE(1105),
    [sym_tuple] = STATE(1105),
    [sym_generator_expression] = STATE(1105),
    [sym_concatenated_string] = STATE(1105),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2270),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(2272),
    [sym_float] = ACTIONS(2272),
    [sym_identifier] = ACTIONS(2272),
    [sym_true] = ACTIONS(2272),
    [sym_false] = ACTIONS(2272),
    [sym_none] = ACTIONS(2272),
    [sym_comment] = ACTIONS(69),
  },
  [683] = {
    [sym__primary_expression] = STATE(663),
    [sym_binary_operator] = STATE(663),
    [sym_unary_operator] = STATE(663),
    [sym_attribute] = STATE(663),
    [sym_subscript] = STATE(663),
    [sym_call] = STATE(663),
    [sym_list] = STATE(663),
    [sym_list_comprehension] = STATE(663),
    [sym_dictionary] = STATE(663),
    [sym_dictionary_comprehension] = STATE(663),
    [sym_set] = STATE(663),
    [sym_set_comprehension] = STATE(663),
    [sym_parenthesized_expression] = STATE(663),
    [sym_tuple] = STATE(663),
    [sym_generator_expression] = STATE(663),
    [sym_concatenated_string] = STATE(663),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1302),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [sym_none] = ACTIONS(1302),
    [sym_comment] = ACTIONS(69),
  },
  [684] = {
    [sym__primary_expression] = STATE(1106),
    [sym_binary_operator] = STATE(1106),
    [sym_unary_operator] = STATE(1106),
    [sym_attribute] = STATE(1106),
    [sym_subscript] = STATE(1106),
    [sym_call] = STATE(1106),
    [sym_list] = STATE(1106),
    [sym_list_comprehension] = STATE(1106),
    [sym_dictionary] = STATE(1106),
    [sym_dictionary_comprehension] = STATE(1106),
    [sym_set] = STATE(1106),
    [sym_set_comprehension] = STATE(1106),
    [sym_parenthesized_expression] = STATE(1106),
    [sym_tuple] = STATE(1106),
    [sym_generator_expression] = STATE(1106),
    [sym_concatenated_string] = STATE(1106),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(2276),
    [sym_float] = ACTIONS(2276),
    [sym_identifier] = ACTIONS(2276),
    [sym_true] = ACTIONS(2276),
    [sym_false] = ACTIONS(2276),
    [sym_none] = ACTIONS(2276),
    [sym_comment] = ACTIONS(69),
  },
  [685] = {
    [sym__primary_expression] = STATE(1107),
    [sym_binary_operator] = STATE(1107),
    [sym_unary_operator] = STATE(1107),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1107),
    [sym_call] = STATE(1107),
    [sym_list] = STATE(1107),
    [sym_list_comprehension] = STATE(1107),
    [sym_dictionary] = STATE(1107),
    [sym_dictionary_comprehension] = STATE(1107),
    [sym_set] = STATE(1107),
    [sym_set_comprehension] = STATE(1107),
    [sym_parenthesized_expression] = STATE(1107),
    [sym_tuple] = STATE(1107),
    [sym_generator_expression] = STATE(1107),
    [sym_concatenated_string] = STATE(1107),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2278),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(2280),
    [sym_float] = ACTIONS(2280),
    [sym_identifier] = ACTIONS(2280),
    [sym_true] = ACTIONS(2280),
    [sym_false] = ACTIONS(2280),
    [sym_none] = ACTIONS(2280),
    [sym_comment] = ACTIONS(69),
  },
  [686] = {
    [sym__primary_expression] = STATE(1108),
    [sym_binary_operator] = STATE(1108),
    [sym_unary_operator] = STATE(1108),
    [sym_attribute] = STATE(1108),
    [sym_subscript] = STATE(1108),
    [sym_call] = STATE(1108),
    [sym_list] = STATE(1108),
    [sym_list_comprehension] = STATE(1108),
    [sym_dictionary] = STATE(1108),
    [sym_dictionary_comprehension] = STATE(1108),
    [sym_set] = STATE(1108),
    [sym_set_comprehension] = STATE(1108),
    [sym_parenthesized_expression] = STATE(1108),
    [sym_tuple] = STATE(1108),
    [sym_generator_expression] = STATE(1108),
    [sym_concatenated_string] = STATE(1108),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2282),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(2284),
    [sym_float] = ACTIONS(2284),
    [sym_identifier] = ACTIONS(2284),
    [sym_true] = ACTIONS(2284),
    [sym_false] = ACTIONS(2284),
    [sym_none] = ACTIONS(2284),
    [sym_comment] = ACTIONS(69),
  },
  [687] = {
    [sym__primary_expression] = STATE(1103),
    [sym_binary_operator] = STATE(1103),
    [sym_unary_operator] = STATE(1103),
    [sym_attribute] = STATE(1103),
    [sym_subscript] = STATE(1103),
    [sym_call] = STATE(1103),
    [sym_list] = STATE(1103),
    [sym_list_comprehension] = STATE(1103),
    [sym_dictionary] = STATE(1103),
    [sym_dictionary_comprehension] = STATE(1103),
    [sym_set] = STATE(1103),
    [sym_set_comprehension] = STATE(1103),
    [sym_parenthesized_expression] = STATE(1103),
    [sym_tuple] = STATE(1103),
    [sym_generator_expression] = STATE(1103),
    [sym_concatenated_string] = STATE(1103),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(2286),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(2266),
    [sym_float] = ACTIONS(2266),
    [sym_identifier] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_none] = ACTIONS(2266),
    [sym_comment] = ACTIONS(69),
  },
  [688] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1109),
    [sym__newline] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(1338),
    [anon_sym_not] = ACTIONS(1342),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1338),
    [anon_sym_EQ_EQ] = ACTIONS(1338),
    [anon_sym_BANG_EQ] = ACTIONS(1338),
    [anon_sym_GT_EQ] = ACTIONS(1338),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT_GT] = ACTIONS(1338),
    [anon_sym_is] = ACTIONS(1356),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(995),
  },
  [689] = {
    [sym__newline] = ACTIONS(1641),
    [anon_sym_from] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_and] = ACTIONS(545),
    [anon_sym_or] = ACTIONS(547),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1641),
  },
  [690] = {
    [sym__expression] = STATE(1110),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(1110),
    [sym_boolean_operator] = STATE(1110),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(1110),
    [sym_lambda] = STATE(1110),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(1110),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(1110),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
  },
  [691] = {
    [aux_sym_concatenated_string_repeat1] = STATE(691),
    [sym__newline] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_from] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(2288),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1859),
  },
  [692] = {
    [sym__newline] = ACTIONS(2291),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_and] = ACTIONS(1330),
    [anon_sym_or] = ACTIONS(1332),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2291),
  },
  [693] = {
    [sym__newline] = ACTIONS(1912),
    [anon_sym_from] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_and] = ACTIONS(545),
    [anon_sym_or] = ACTIONS(547),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1912),
  },
  [694] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(2293),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [695] = {
    [sym__newline] = ACTIONS(1950),
    [anon_sym_from] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(545),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1950),
  },
  [696] = {
    [sym__expression] = STATE(693),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(693),
    [sym_boolean_operator] = STATE(693),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(693),
    [sym_lambda] = STATE(693),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(693),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(693),
    [sym__newline] = ACTIONS(1954),
    [anon_sym_from] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1954),
  },
  [697] = {
    [aux_sym_print_statement_repeat1] = STATE(697),
    [sym__newline] = ACTIONS(1912),
    [anon_sym_from] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(2297),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1912),
  },
  [698] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_from] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [699] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_from] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(555),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_SLASH_SLASH] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [700] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_from] = ACTIONS(1981),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(555),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_SLASH_SLASH] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(563),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(551),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [701] = {
    [sym__primary_expression] = STATE(1113),
    [sym_binary_operator] = STATE(1113),
    [sym_unary_operator] = STATE(1113),
    [sym_attribute] = STATE(1113),
    [sym_subscript] = STATE(1113),
    [sym_call] = STATE(1113),
    [sym_list] = STATE(1113),
    [sym_list_comprehension] = STATE(1113),
    [sym_dictionary] = STATE(1113),
    [sym_dictionary_comprehension] = STATE(1113),
    [sym_set] = STATE(1113),
    [sym_set_comprehension] = STATE(1113),
    [sym_parenthesized_expression] = STATE(1113),
    [sym_tuple] = STATE(1113),
    [sym_generator_expression] = STATE(1113),
    [sym_concatenated_string] = STATE(1113),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2300),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(2302),
    [sym_float] = ACTIONS(2302),
    [sym_identifier] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_none] = ACTIONS(2302),
    [sym_comment] = ACTIONS(69),
  },
  [702] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_from] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(555),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_SLASH_SLASH] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [703] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_from] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(555),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_SLASH_SLASH] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(551),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [704] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_from] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(555),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_SLASH_SLASH] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(551),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [705] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_from] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(555),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_SLASH_SLASH] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(551),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [706] = {
    [aux_sym_comparison_operator_repeat1] = STATE(706),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_from] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(2304),
    [anon_sym_not] = ACTIONS(2307),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_EQ_EQ] = ACTIONS(2304),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_LT_GT] = ACTIONS(2304),
    [anon_sym_is] = ACTIONS(2313),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [708] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [709] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [710] = {
    [sym__expression] = STATE(1114),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1114),
    [sym_boolean_operator] = STATE(1114),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1114),
    [sym_lambda] = STATE(1114),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1114),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1114),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [711] = {
    [aux_sym_concatenated_string_repeat1] = STATE(711),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(2320),
    [sym_comment] = ACTIONS(69),
  },
  [712] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(2323),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [713] = {
    [sym__statement] = STATE(1117),
    [sym__simple_statements] = STATE(1117),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1117),
    [sym_for_statement] = STATE(1117),
    [sym_while_statement] = STATE(1117),
    [sym_try_statement] = STATE(1117),
    [sym_with_statement] = STATE(1117),
    [sym_function_definition] = STATE(1117),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1117),
    [sym_decorated_definition] = STATE(1117),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1117),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(2325),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [714] = {
    [aux_sym__simple_statements_repeat1] = STATE(1120),
    [sym__newline] = ACTIONS(2327),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2329),
  },
  [715] = {
    [sym_elif_clause] = STATE(1124),
    [sym_else_clause] = STATE(1123),
    [aux_sym_if_statement_repeat1] = STATE(1124),
    [ts_builtin_sym_end] = ACTIONS(2331),
    [anon_sym_import] = ACTIONS(2333),
    [anon_sym_from] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2331),
    [anon_sym_print] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_del] = ACTIONS(2333),
    [anon_sym_raise] = ACTIONS(2333),
    [sym_pass_statement] = ACTIONS(2333),
    [sym_break_statement] = ACTIONS(2333),
    [sym_continue_statement] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_elif] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2337),
    [anon_sym_async] = ACTIONS(2333),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_def] = ACTIONS(2333),
    [anon_sym_global] = ACTIONS(2333),
    [anon_sym_nonlocal] = ACTIONS(2333),
    [anon_sym_exec] = ACTIONS(2333),
    [anon_sym_class] = ACTIONS(2333),
    [anon_sym_AT] = ACTIONS(2331),
    [anon_sym_not] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2331),
    [anon_sym_DASH] = ACTIONS(2331),
    [anon_sym_TILDE] = ACTIONS(2331),
    [anon_sym_lambda] = ACTIONS(2333),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2331),
    [sym_ellipsis] = ACTIONS(2331),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [sym_string] = ACTIONS(2331),
    [sym_integer] = ACTIONS(2333),
    [sym_float] = ACTIONS(2333),
    [sym_identifier] = ACTIONS(2333),
    [sym_true] = ACTIONS(2333),
    [sym_false] = ACTIONS(2333),
    [sym_none] = ACTIONS(2333),
    [anon_sym_await] = ACTIONS(2333),
    [sym_comment] = ACTIONS(69),
  },
  [716] = {
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [717] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [718] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(601),
    [anon_sym_SLASH_SLASH] = ACTIONS(601),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [719] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(601),
    [anon_sym_SLASH_SLASH] = ACTIONS(601),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(597),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [720] = {
    [sym__primary_expression] = STATE(1125),
    [sym_binary_operator] = STATE(1125),
    [sym_unary_operator] = STATE(1125),
    [sym_attribute] = STATE(1125),
    [sym_subscript] = STATE(1125),
    [sym_call] = STATE(1125),
    [sym_list] = STATE(1125),
    [sym_list_comprehension] = STATE(1125),
    [sym_dictionary] = STATE(1125),
    [sym_dictionary_comprehension] = STATE(1125),
    [sym_set] = STATE(1125),
    [sym_set_comprehension] = STATE(1125),
    [sym_parenthesized_expression] = STATE(1125),
    [sym_tuple] = STATE(1125),
    [sym_generator_expression] = STATE(1125),
    [sym_concatenated_string] = STATE(1125),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(2341),
    [sym_float] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2341),
    [sym_true] = ACTIONS(2341),
    [sym_false] = ACTIONS(2341),
    [sym_none] = ACTIONS(2341),
    [sym_comment] = ACTIONS(69),
  },
  [721] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(601),
    [anon_sym_SLASH_SLASH] = ACTIONS(601),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [722] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(601),
    [anon_sym_SLASH_SLASH] = ACTIONS(601),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(597),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [723] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(601),
    [anon_sym_SLASH_SLASH] = ACTIONS(601),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(597),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [724] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(601),
    [anon_sym_SLASH_SLASH] = ACTIONS(601),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(597),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [725] = {
    [aux_sym_comparison_operator_repeat1] = STATE(725),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_not] = ACTIONS(2346),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2343),
    [anon_sym_EQ_EQ] = ACTIONS(2343),
    [anon_sym_BANG_EQ] = ACTIONS(2343),
    [anon_sym_GT_EQ] = ACTIONS(2343),
    [anon_sym_GT] = ACTIONS(2349),
    [anon_sym_LT_GT] = ACTIONS(2343),
    [anon_sym_is] = ACTIONS(2352),
    [sym_comment] = ACTIONS(69),
  },
  [726] = {
    [sym_expression_list] = STATE(1126),
    [sym__expression] = STATE(732),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(732),
    [sym_boolean_operator] = STATE(732),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(732),
    [sym_lambda] = STATE(732),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(732),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(732),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [727] = {
    [sym__simple_statements] = STATE(1127),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1127),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [728] = {
    [aux_sym_with_statement_repeat1] = STATE(770),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(2355),
    [sym_comment] = ACTIONS(69),
  },
  [729] = {
    [anon_sym_COLON] = ACTIONS(2357),
    [anon_sym_DASH_GT] = ACTIONS(2359),
    [sym_comment] = ACTIONS(69),
  },
  [730] = {
    [aux_sym_concatenated_string_repeat1] = STATE(730),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(2361),
    [sym_comment] = ACTIONS(69),
  },
  [731] = {
    [anon_sym_COLON] = ACTIONS(2364),
    [sym_comment] = ACTIONS(69),
  },
  [732] = {
    [aux_sym_print_statement_repeat1] = STATE(1133),
    [anon_sym_COMMA] = ACTIONS(2366),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(293),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [733] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_PLUS] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_PERCENT] = ACTIONS(633),
    [anon_sym_SLASH_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(641),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [734] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [735] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_PLUS] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_PERCENT] = ACTIONS(633),
    [anon_sym_SLASH_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [736] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_PERCENT] = ACTIONS(633),
    [anon_sym_SLASH_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [737] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_PLUS] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_PERCENT] = ACTIONS(633),
    [anon_sym_SLASH_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(641),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [738] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_PLUS] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_PERCENT] = ACTIONS(633),
    [anon_sym_SLASH_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [739] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(633),
    [anon_sym_PLUS] = ACTIONS(635),
    [anon_sym_DASH] = ACTIONS(635),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_PERCENT] = ACTIONS(633),
    [anon_sym_SLASH_SLASH] = ACTIONS(633),
    [anon_sym_STAR_STAR] = ACTIONS(637),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [740] = {
    [sym__primary_expression] = STATE(733),
    [sym_binary_operator] = STATE(733),
    [sym_unary_operator] = STATE(733),
    [sym_attribute] = STATE(733),
    [sym_subscript] = STATE(733),
    [sym_call] = STATE(733),
    [sym_list] = STATE(733),
    [sym_list_comprehension] = STATE(733),
    [sym_dictionary] = STATE(733),
    [sym_dictionary_comprehension] = STATE(733),
    [sym_set] = STATE(733),
    [sym_set_comprehension] = STATE(733),
    [sym_parenthesized_expression] = STATE(733),
    [sym_tuple] = STATE(733),
    [sym_generator_expression] = STATE(733),
    [sym_concatenated_string] = STATE(733),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1459),
    [sym_float] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1459),
    [sym_true] = ACTIONS(1459),
    [sym_false] = ACTIONS(1459),
    [sym_none] = ACTIONS(1459),
    [sym_comment] = ACTIONS(69),
  },
  [741] = {
    [aux_sym_variables_repeat1] = STATE(741),
    [anon_sym_COMMA] = ACTIONS(2372),
    [anon_sym_in] = ACTIONS(2368),
    [sym_comment] = ACTIONS(69),
  },
  [742] = {
    [sym__statement] = STATE(1136),
    [sym__simple_statements] = STATE(1136),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1136),
    [sym_for_statement] = STATE(1136),
    [sym_while_statement] = STATE(1136),
    [sym_try_statement] = STATE(1136),
    [sym_with_statement] = STATE(1136),
    [sym_function_definition] = STATE(1136),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1136),
    [sym_decorated_definition] = STATE(1136),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1136),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(2375),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [743] = {
    [aux_sym__simple_statements_repeat1] = STATE(1139),
    [sym__newline] = ACTIONS(2377),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2379),
  },
  [744] = {
    [sym_else_clause] = STATE(1140),
    [ts_builtin_sym_end] = ACTIONS(2381),
    [anon_sym_import] = ACTIONS(2383),
    [anon_sym_from] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2381),
    [anon_sym_print] = ACTIONS(2383),
    [anon_sym_assert] = ACTIONS(2383),
    [anon_sym_return] = ACTIONS(2383),
    [anon_sym_del] = ACTIONS(2383),
    [anon_sym_raise] = ACTIONS(2383),
    [sym_pass_statement] = ACTIONS(2383),
    [sym_break_statement] = ACTIONS(2383),
    [sym_continue_statement] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2337),
    [anon_sym_async] = ACTIONS(2383),
    [anon_sym_for] = ACTIONS(2383),
    [anon_sym_while] = ACTIONS(2383),
    [anon_sym_try] = ACTIONS(2383),
    [anon_sym_with] = ACTIONS(2383),
    [anon_sym_def] = ACTIONS(2383),
    [anon_sym_global] = ACTIONS(2383),
    [anon_sym_nonlocal] = ACTIONS(2383),
    [anon_sym_exec] = ACTIONS(2383),
    [anon_sym_class] = ACTIONS(2383),
    [anon_sym_AT] = ACTIONS(2381),
    [anon_sym_not] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2381),
    [anon_sym_DASH] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2381),
    [anon_sym_lambda] = ACTIONS(2383),
    [anon_sym_yield] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2381),
    [sym_ellipsis] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [sym_string] = ACTIONS(2381),
    [sym_integer] = ACTIONS(2383),
    [sym_float] = ACTIONS(2383),
    [sym_identifier] = ACTIONS(2383),
    [sym_true] = ACTIONS(2383),
    [sym_false] = ACTIONS(2383),
    [sym_none] = ACTIONS(2383),
    [anon_sym_await] = ACTIONS(2383),
    [sym_comment] = ACTIONS(69),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_except] = ACTIONS(2387),
    [anon_sym_finally] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [746] = {
    [aux_sym__simple_statements_repeat1] = STATE(1143),
    [sym__newline] = ACTIONS(2389),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2391),
  },
  [747] = {
    [sym__expression] = STATE(1144),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1144),
    [sym_boolean_operator] = STATE(1144),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1144),
    [sym_lambda] = STATE(1144),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1144),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1144),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [748] = {
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_with] = ACTIONS(2395),
    [anon_sym_def] = ACTIONS(2397),
    [sym_comment] = ACTIONS(69),
  },
  [749] = {
    [sym_variables] = STATE(1148),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [750] = {
    [sym__expression] = STATE(1149),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1149),
    [sym_boolean_operator] = STATE(1149),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1149),
    [sym_lambda] = STATE(1149),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1149),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1149),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [751] = {
    [anon_sym_COLON] = ACTIONS(2399),
    [sym_comment] = ACTIONS(69),
  },
  [752] = {
    [sym_with_item] = STATE(1151),
    [sym__expression] = STATE(112),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(112),
    [sym_boolean_operator] = STATE(112),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(112),
    [sym_lambda] = STATE(112),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(112),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(112),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [753] = {
    [sym_identifier] = ACTIONS(2401),
    [sym_comment] = ACTIONS(69),
  },
  [754] = {
    [sym_identifier] = ACTIONS(2403),
    [sym_comment] = ACTIONS(69),
  },
  [755] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(2405),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [756] = {
    [sym_function_definition] = STATE(1157),
    [sym_class_definition] = STATE(1157),
    [sym_decorator] = STATE(187),
    [aux_sym_decorated_definition_repeat1] = STATE(187),
    [anon_sym_async] = ACTIONS(2407),
    [anon_sym_def] = ACTIONS(2409),
    [anon_sym_class] = ACTIONS(2411),
    [anon_sym_AT] = ACTIONS(47),
    [sym_comment] = ACTIONS(69),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_else] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_except] = ACTIONS(575),
    [anon_sym_finally] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [758] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(2413),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [759] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(2413),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2415),
  },
  [760] = {
    [sym__expression] = STATE(1161),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(1161),
    [sym_boolean_operator] = STATE(1161),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(1161),
    [sym_lambda] = STATE(1161),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(1161),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(1161),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(2417),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [761] = {
    [anon_sym_COLON] = ACTIONS(2419),
    [sym_comment] = ACTIONS(69),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(2421),
    [anon_sym_import] = ACTIONS(2423),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2421),
    [anon_sym_print] = ACTIONS(2423),
    [anon_sym_assert] = ACTIONS(2423),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_del] = ACTIONS(2423),
    [anon_sym_raise] = ACTIONS(2423),
    [sym_pass_statement] = ACTIONS(2423),
    [sym_break_statement] = ACTIONS(2423),
    [sym_continue_statement] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_with] = ACTIONS(2423),
    [anon_sym_def] = ACTIONS(2423),
    [anon_sym_global] = ACTIONS(2423),
    [anon_sym_nonlocal] = ACTIONS(2423),
    [anon_sym_exec] = ACTIONS(2423),
    [anon_sym_class] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_TILDE] = ACTIONS(2421),
    [anon_sym_lambda] = ACTIONS(2423),
    [anon_sym_yield] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [sym_ellipsis] = ACTIONS(2421),
    [anon_sym_LBRACE] = ACTIONS(2421),
    [sym_string] = ACTIONS(2421),
    [sym_integer] = ACTIONS(2423),
    [sym_float] = ACTIONS(2423),
    [sym_identifier] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_none] = ACTIONS(2423),
    [anon_sym_await] = ACTIONS(2423),
    [sym_comment] = ACTIONS(69),
  },
  [763] = {
    [sym_else_clause] = STATE(1164),
    [sym_except_clause] = STATE(1166),
    [sym_finally_clause] = STATE(1165),
    [aux_sym_try_statement_repeat1] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(2421),
    [anon_sym_import] = ACTIONS(2423),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2421),
    [anon_sym_print] = ACTIONS(2423),
    [anon_sym_assert] = ACTIONS(2423),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_del] = ACTIONS(2423),
    [anon_sym_raise] = ACTIONS(2423),
    [sym_pass_statement] = ACTIONS(2423),
    [sym_break_statement] = ACTIONS(2423),
    [sym_continue_statement] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_else] = ACTIONS(2425),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_except] = ACTIONS(2427),
    [anon_sym_finally] = ACTIONS(2429),
    [anon_sym_with] = ACTIONS(2423),
    [anon_sym_def] = ACTIONS(2423),
    [anon_sym_global] = ACTIONS(2423),
    [anon_sym_nonlocal] = ACTIONS(2423),
    [anon_sym_exec] = ACTIONS(2423),
    [anon_sym_class] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_TILDE] = ACTIONS(2421),
    [anon_sym_lambda] = ACTIONS(2423),
    [anon_sym_yield] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [sym_ellipsis] = ACTIONS(2421),
    [anon_sym_LBRACE] = ACTIONS(2421),
    [sym_string] = ACTIONS(2421),
    [sym_integer] = ACTIONS(2423),
    [sym_float] = ACTIONS(2423),
    [sym_identifier] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_none] = ACTIONS(2423),
    [anon_sym_await] = ACTIONS(2423),
    [sym_comment] = ACTIONS(69),
  },
  [764] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_as] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(667),
    [sym_comment] = ACTIONS(69),
  },
  [765] = {
    [sym__expression] = STATE(1167),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(1167),
    [sym_boolean_operator] = STATE(1167),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(1167),
    [sym_lambda] = STATE(1167),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(1167),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(1167),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [766] = {
    [aux_sym_concatenated_string_repeat1] = STATE(766),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_as] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(2431),
    [sym_comment] = ACTIONS(69),
  },
  [767] = {
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_COLON] = ACTIONS(2434),
    [sym_comment] = ACTIONS(69),
  },
  [768] = {
    [sym__statement] = STATE(1169),
    [sym__simple_statements] = STATE(1169),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1169),
    [sym_for_statement] = STATE(1169),
    [sym_while_statement] = STATE(1169),
    [sym_try_statement] = STATE(1169),
    [sym_with_statement] = STATE(1169),
    [sym_function_definition] = STATE(1169),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1169),
    [sym_decorated_definition] = STATE(1169),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1169),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(2436),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2440),
    [anon_sym_from] = ACTIONS(2440),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_print] = ACTIONS(2440),
    [anon_sym_assert] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_del] = ACTIONS(2440),
    [anon_sym_raise] = ACTIONS(2440),
    [sym_pass_statement] = ACTIONS(2440),
    [sym_break_statement] = ACTIONS(2440),
    [sym_continue_statement] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2440),
    [anon_sym_def] = ACTIONS(2440),
    [anon_sym_global] = ACTIONS(2440),
    [anon_sym_nonlocal] = ACTIONS(2440),
    [anon_sym_exec] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_lambda] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [sym_ellipsis] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [sym_string] = ACTIONS(2438),
    [sym_integer] = ACTIONS(2440),
    [sym_float] = ACTIONS(2440),
    [sym_identifier] = ACTIONS(2440),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [sym_none] = ACTIONS(2440),
    [anon_sym_await] = ACTIONS(2440),
    [sym_comment] = ACTIONS(69),
  },
  [770] = {
    [aux_sym_with_statement_repeat1] = STATE(770),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_COLON] = ACTIONS(2434),
    [sym_comment] = ACTIONS(69),
  },
  [771] = {
    [anon_sym_COMMA] = ACTIONS(2445),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(2445),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [772] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(2447),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [773] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_as] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [774] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_as] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [775] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_as] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(675),
    [anon_sym_SLASH_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [776] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_as] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(675),
    [anon_sym_SLASH_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_AMP] = ACTIONS(685),
    [anon_sym_CARET] = ACTIONS(687),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [777] = {
    [sym__primary_expression] = STATE(1171),
    [sym_binary_operator] = STATE(1171),
    [sym_unary_operator] = STATE(1171),
    [sym_attribute] = STATE(1171),
    [sym_subscript] = STATE(1171),
    [sym_call] = STATE(1171),
    [sym_list] = STATE(1171),
    [sym_list_comprehension] = STATE(1171),
    [sym_dictionary] = STATE(1171),
    [sym_dictionary_comprehension] = STATE(1171),
    [sym_set] = STATE(1171),
    [sym_set_comprehension] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1171),
    [sym_tuple] = STATE(1171),
    [sym_generator_expression] = STATE(1171),
    [sym_concatenated_string] = STATE(1171),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(2451),
    [sym_float] = ACTIONS(2451),
    [sym_identifier] = ACTIONS(2451),
    [sym_true] = ACTIONS(2451),
    [sym_false] = ACTIONS(2451),
    [sym_none] = ACTIONS(2451),
    [sym_comment] = ACTIONS(69),
  },
  [778] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_as] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(675),
    [anon_sym_SLASH_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [779] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_as] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(675),
    [anon_sym_SLASH_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(685),
    [anon_sym_CARET] = ACTIONS(687),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [780] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_as] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(675),
    [anon_sym_SLASH_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(687),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [781] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_as] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(675),
    [anon_sym_SLASH_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [782] = {
    [aux_sym_comparison_operator_repeat1] = STATE(782),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_as] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(2453),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2453),
    [anon_sym_EQ_EQ] = ACTIONS(2453),
    [anon_sym_BANG_EQ] = ACTIONS(2453),
    [anon_sym_GT_EQ] = ACTIONS(2453),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_LT_GT] = ACTIONS(2453),
    [anon_sym_is] = ACTIONS(2462),
    [sym_comment] = ACTIONS(69),
  },
  [783] = {
    [anon_sym_COLON] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2465),
    [sym_comment] = ACTIONS(69),
  },
  [784] = {
    [sym__expression] = STATE(1178),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(1178),
    [sym_boolean_operator] = STATE(1178),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(1178),
    [sym_lambda] = STATE(1178),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1178),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(1178),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_STAR] = ACTIONS(2467),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(719),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [785] = {
    [aux_sym__parameters_repeat1] = STATE(1183),
    [anon_sym_RPAREN] = ACTIONS(739),
    [anon_sym_COMMA] = ACTIONS(2483),
    [anon_sym_COLON] = ACTIONS(2485),
    [anon_sym_EQ] = ACTIONS(2487),
    [sym_comment] = ACTIONS(69),
  },
  [786] = {
    [aux_sym__parameters_repeat1] = STATE(1187),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(2489),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_EQ] = ACTIONS(2493),
    [sym_comment] = ACTIONS(69),
  },
  [787] = {
    [anon_sym_RPAREN] = ACTIONS(2495),
    [sym_comment] = ACTIONS(69),
  },
  [788] = {
    [aux_sym__parameters_repeat1] = STATE(1187),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(2489),
    [sym_comment] = ACTIONS(69),
  },
  [789] = {
    [aux_sym__parameters_repeat1] = STATE(1187),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_COMMA] = ACTIONS(2489),
    [anon_sym_COLON] = ACTIONS(2497),
    [sym_comment] = ACTIONS(69),
  },
  [790] = {
    [sym__simple_statements] = STATE(1190),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1190),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [791] = {
    [sym__expression] = STATE(1191),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1191),
    [sym_boolean_operator] = STATE(1191),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1191),
    [sym_lambda] = STATE(1191),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_type] = STATE(1192),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1191),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1191),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [792] = {
    [sym__newline] = ACTIONS(2499),
    [anon_sym_COMMA] = ACTIONS(2499),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2499),
  },
  [793] = {
    [aux_sym_global_statement_repeat1] = STATE(793),
    [sym__newline] = ACTIONS(2499),
    [anon_sym_COMMA] = ACTIONS(2501),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2499),
  },
  [794] = {
    [aux_sym_print_statement_repeat1] = STATE(1193),
    [sym__newline] = ACTIONS(2504),
    [anon_sym_COMMA] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2504),
  },
  [795] = {
    [aux_sym_argument_list_repeat1] = STATE(1070),
    [anon_sym_RPAREN] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [anon_sym_import] = ACTIONS(2508),
    [anon_sym_from] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_print] = ACTIONS(2508),
    [anon_sym_assert] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_del] = ACTIONS(2508),
    [anon_sym_raise] = ACTIONS(2508),
    [sym_pass_statement] = ACTIONS(2508),
    [sym_break_statement] = ACTIONS(2508),
    [sym_continue_statement] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_async] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_with] = ACTIONS(2508),
    [anon_sym_def] = ACTIONS(2508),
    [anon_sym_global] = ACTIONS(2508),
    [anon_sym_nonlocal] = ACTIONS(2508),
    [anon_sym_exec] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_AT] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_lambda] = ACTIONS(2508),
    [anon_sym_yield] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [sym_string] = ACTIONS(2506),
    [sym_integer] = ACTIONS(2508),
    [sym_float] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2508),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [sym_none] = ACTIONS(2508),
    [anon_sym_await] = ACTIONS(2508),
    [sym_comment] = ACTIONS(69),
  },
  [797] = {
    [sym__simple_statements] = STATE(1194),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1194),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [798] = {
    [aux_sym_dotted_name_repeat1] = STATE(798),
    [sym__newline] = ACTIONS(2045),
    [anon_sym_DOT] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [sym_comment] = ACTIONS(69),
  },
  [799] = {
    [aux_sym_argument_list_repeat1] = STATE(994),
    [anon_sym_RPAREN] = ACTIONS(1967),
    [anon_sym_COMMA] = ACTIONS(1975),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [800] = {
    [anon_sym_async] = ACTIONS(2510),
    [anon_sym_def] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(69),
  },
  [801] = {
    [anon_sym_COMMA] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(2512),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [802] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [803] = {
    [sym__expression] = STATE(1195),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1195),
    [sym_boolean_operator] = STATE(1195),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1195),
    [sym_lambda] = STATE(1195),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1195),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1195),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [804] = {
    [anon_sym_COLON] = ACTIONS(2514),
    [sym_comment] = ACTIONS(69),
  },
  [805] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1197),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(2516),
    [sym_comment] = ACTIONS(69),
  },
  [806] = {
    [sym__expression] = STATE(1198),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1198),
    [sym_boolean_operator] = STATE(1198),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1198),
    [sym_lambda] = STATE(1198),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1198),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1198),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [807] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [808] = {
    [sym__expression] = STATE(1199),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1199),
    [sym_boolean_operator] = STATE(1199),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1199),
    [sym_lambda] = STATE(1199),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1199),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1199),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [809] = {
    [sym__primary_expression] = STATE(1200),
    [sym_binary_operator] = STATE(1200),
    [sym_unary_operator] = STATE(1200),
    [sym_attribute] = STATE(1200),
    [sym_subscript] = STATE(1200),
    [sym_call] = STATE(1200),
    [sym_list] = STATE(1200),
    [sym_list_comprehension] = STATE(1200),
    [sym_dictionary] = STATE(1200),
    [sym_dictionary_comprehension] = STATE(1200),
    [sym_set] = STATE(1200),
    [sym_set_comprehension] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_tuple] = STATE(1200),
    [sym_generator_expression] = STATE(1200),
    [sym_concatenated_string] = STATE(1200),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(2520),
    [sym_float] = ACTIONS(2520),
    [sym_identifier] = ACTIONS(2520),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [sym_none] = ACTIONS(2520),
    [sym_comment] = ACTIONS(69),
  },
  [810] = {
    [sym__primary_expression] = STATE(1201),
    [sym_binary_operator] = STATE(1201),
    [sym_unary_operator] = STATE(1201),
    [sym_attribute] = STATE(1201),
    [sym_subscript] = STATE(1201),
    [sym_call] = STATE(1201),
    [sym_list] = STATE(1201),
    [sym_list_comprehension] = STATE(1201),
    [sym_dictionary] = STATE(1201),
    [sym_dictionary_comprehension] = STATE(1201),
    [sym_set] = STATE(1201),
    [sym_set_comprehension] = STATE(1201),
    [sym_parenthesized_expression] = STATE(1201),
    [sym_tuple] = STATE(1201),
    [sym_generator_expression] = STATE(1201),
    [sym_concatenated_string] = STATE(1201),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(2524),
    [sym_float] = ACTIONS(2524),
    [sym_identifier] = ACTIONS(2524),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [sym_none] = ACTIONS(2524),
    [sym_comment] = ACTIONS(69),
  },
  [811] = {
    [sym__primary_expression] = STATE(1202),
    [sym_binary_operator] = STATE(1202),
    [sym_unary_operator] = STATE(1202),
    [sym_attribute] = STATE(1202),
    [sym_subscript] = STATE(1202),
    [sym_call] = STATE(1202),
    [sym_list] = STATE(1202),
    [sym_list_comprehension] = STATE(1202),
    [sym_dictionary] = STATE(1202),
    [sym_dictionary_comprehension] = STATE(1202),
    [sym_set] = STATE(1202),
    [sym_set_comprehension] = STATE(1202),
    [sym_parenthesized_expression] = STATE(1202),
    [sym_tuple] = STATE(1202),
    [sym_generator_expression] = STATE(1202),
    [sym_concatenated_string] = STATE(1202),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(2528),
    [sym_float] = ACTIONS(2528),
    [sym_identifier] = ACTIONS(2528),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [sym_none] = ACTIONS(2528),
    [sym_comment] = ACTIONS(69),
  },
  [812] = {
    [anon_sym_in] = ACTIONS(2530),
    [sym_comment] = ACTIONS(69),
  },
  [813] = {
    [sym__primary_expression] = STATE(1204),
    [sym_binary_operator] = STATE(1204),
    [sym_unary_operator] = STATE(1204),
    [sym_attribute] = STATE(1204),
    [sym_subscript] = STATE(1204),
    [sym_call] = STATE(1204),
    [sym_list] = STATE(1204),
    [sym_list_comprehension] = STATE(1204),
    [sym_dictionary] = STATE(1204),
    [sym_dictionary_comprehension] = STATE(1204),
    [sym_set] = STATE(1204),
    [sym_set_comprehension] = STATE(1204),
    [sym_parenthesized_expression] = STATE(1204),
    [sym_tuple] = STATE(1204),
    [sym_generator_expression] = STATE(1204),
    [sym_concatenated_string] = STATE(1204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(2534),
    [sym_float] = ACTIONS(2534),
    [sym_identifier] = ACTIONS(2534),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_none] = ACTIONS(2534),
    [sym_comment] = ACTIONS(69),
  },
  [814] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [815] = {
    [sym__primary_expression] = STATE(1205),
    [sym_binary_operator] = STATE(1205),
    [sym_unary_operator] = STATE(1205),
    [sym_attribute] = STATE(1205),
    [sym_subscript] = STATE(1205),
    [sym_call] = STATE(1205),
    [sym_list] = STATE(1205),
    [sym_list_comprehension] = STATE(1205),
    [sym_dictionary] = STATE(1205),
    [sym_dictionary_comprehension] = STATE(1205),
    [sym_set] = STATE(1205),
    [sym_set_comprehension] = STATE(1205),
    [sym_parenthesized_expression] = STATE(1205),
    [sym_tuple] = STATE(1205),
    [sym_generator_expression] = STATE(1205),
    [sym_concatenated_string] = STATE(1205),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(2538),
    [sym_float] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2538),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [sym_none] = ACTIONS(2538),
    [sym_comment] = ACTIONS(69),
  },
  [816] = {
    [sym__primary_expression] = STATE(1206),
    [sym_binary_operator] = STATE(1206),
    [sym_unary_operator] = STATE(1206),
    [sym_attribute] = STATE(1206),
    [sym_subscript] = STATE(1206),
    [sym_call] = STATE(1206),
    [sym_list] = STATE(1206),
    [sym_list_comprehension] = STATE(1206),
    [sym_dictionary] = STATE(1206),
    [sym_dictionary_comprehension] = STATE(1206),
    [sym_set] = STATE(1206),
    [sym_set_comprehension] = STATE(1206),
    [sym_parenthesized_expression] = STATE(1206),
    [sym_tuple] = STATE(1206),
    [sym_generator_expression] = STATE(1206),
    [sym_concatenated_string] = STATE(1206),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(2542),
    [sym_float] = ACTIONS(2542),
    [sym_identifier] = ACTIONS(2542),
    [sym_true] = ACTIONS(2542),
    [sym_false] = ACTIONS(2542),
    [sym_none] = ACTIONS(2542),
    [sym_comment] = ACTIONS(69),
  },
  [817] = {
    [sym__primary_expression] = STATE(1207),
    [sym_binary_operator] = STATE(1207),
    [sym_unary_operator] = STATE(1207),
    [sym_attribute] = STATE(1207),
    [sym_subscript] = STATE(1207),
    [sym_call] = STATE(1207),
    [sym_list] = STATE(1207),
    [sym_list_comprehension] = STATE(1207),
    [sym_dictionary] = STATE(1207),
    [sym_dictionary_comprehension] = STATE(1207),
    [sym_set] = STATE(1207),
    [sym_set_comprehension] = STATE(1207),
    [sym_parenthesized_expression] = STATE(1207),
    [sym_tuple] = STATE(1207),
    [sym_generator_expression] = STATE(1207),
    [sym_concatenated_string] = STATE(1207),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(2546),
    [sym_float] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2546),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [sym_none] = ACTIONS(2546),
    [sym_comment] = ACTIONS(69),
  },
  [818] = {
    [sym__primary_expression] = STATE(1202),
    [sym_binary_operator] = STATE(1202),
    [sym_unary_operator] = STATE(1202),
    [sym_attribute] = STATE(1202),
    [sym_subscript] = STATE(1202),
    [sym_call] = STATE(1202),
    [sym_list] = STATE(1202),
    [sym_list_comprehension] = STATE(1202),
    [sym_dictionary] = STATE(1202),
    [sym_dictionary_comprehension] = STATE(1202),
    [sym_set] = STATE(1202),
    [sym_set_comprehension] = STATE(1202),
    [sym_parenthesized_expression] = STATE(1202),
    [sym_tuple] = STATE(1202),
    [sym_generator_expression] = STATE(1202),
    [sym_concatenated_string] = STATE(1202),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(2528),
    [sym_float] = ACTIONS(2528),
    [sym_identifier] = ACTIONS(2528),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [sym_none] = ACTIONS(2528),
    [sym_comment] = ACTIONS(69),
  },
  [819] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1208),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_not] = ACTIONS(1603),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(1615),
    [anon_sym_LT_EQ] = ACTIONS(1599),
    [anon_sym_EQ_EQ] = ACTIONS(1599),
    [anon_sym_BANG_EQ] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1599),
    [anon_sym_GT] = ACTIONS(1615),
    [anon_sym_LT_GT] = ACTIONS(1599),
    [anon_sym_is] = ACTIONS(1617),
    [sym_comment] = ACTIONS(69),
  },
  [820] = {
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(741),
    [sym_comment] = ACTIONS(69),
  },
  [821] = {
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_COLON] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(747),
    [sym_comment] = ACTIONS(69),
  },
  [822] = {
    [anon_sym_RPAREN] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_COLON] = ACTIONS(2552),
    [sym_comment] = ACTIONS(69),
  },
  [823] = {
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_COLON] = ACTIONS(2552),
    [sym_comment] = ACTIONS(69),
  },
  [824] = {
    [sym__expression] = STATE(1209),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(1209),
    [sym_boolean_operator] = STATE(1209),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(1209),
    [sym_lambda] = STATE(1209),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(1209),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(1209),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [825] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [826] = {
    [sym_lambda_parameters] = STATE(1211),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(2554),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [827] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1212),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(2556),
    [sym_comment] = ACTIONS(69),
  },
  [828] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [829] = {
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_and] = ACTIONS(2560),
    [anon_sym_or] = ACTIONS(2562),
    [sym_comment] = ACTIONS(69),
  },
  [830] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1226),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2568),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_GT] = ACTIONS(2584),
    [anon_sym_LT_GT] = ACTIONS(2568),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [831] = {
    [anon_sym_EQ] = ACTIONS(2588),
    [sym_comment] = ACTIONS(69),
  },
  [832] = {
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [833] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(823),
    [sym_dictionary_splat] = STATE(823),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(1619),
    [anon_sym_COLON] = ACTIONS(2592),
    [anon_sym_exec] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(1623),
    [sym_comment] = ACTIONS(69),
  },
  [834] = {
    [aux_sym__parameters_repeat1] = STATE(834),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_COLON] = ACTIONS(2552),
    [sym_comment] = ACTIONS(69),
  },
  [835] = {
    [sym__expression] = STATE(1229),
    [sym__primary_expression] = STATE(841),
    [sym_not_operator] = STATE(1229),
    [sym_boolean_operator] = STATE(1229),
    [sym_binary_operator] = STATE(841),
    [sym_unary_operator] = STATE(841),
    [sym_comparison_operator] = STATE(1229),
    [sym_lambda] = STATE(1229),
    [sym_attribute] = STATE(841),
    [sym_subscript] = STATE(841),
    [sym_call] = STATE(841),
    [sym_list] = STATE(841),
    [sym_list_comprehension] = STATE(841),
    [sym_dictionary] = STATE(841),
    [sym_dictionary_comprehension] = STATE(841),
    [sym_set] = STATE(841),
    [sym_set_comprehension] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_tuple] = STATE(841),
    [sym_generator_expression] = STATE(841),
    [sym_conditional_expression] = STATE(1229),
    [sym_concatenated_string] = STATE(841),
    [sym_await] = STATE(1229),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_lambda] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_none] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [sym_comment] = ACTIONS(69),
  },
  [836] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [837] = {
    [sym_lambda_parameters] = STATE(1231),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(2597),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [838] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1232),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(2599),
    [sym_comment] = ACTIONS(69),
  },
  [839] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(841),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(841),
    [sym_unary_operator] = STATE(841),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(841),
    [sym_subscript] = STATE(841),
    [sym_call] = STATE(841),
    [sym_list] = STATE(841),
    [sym_list_comprehension] = STATE(841),
    [sym_dictionary] = STATE(841),
    [sym_dictionary_comprehension] = STATE(841),
    [sym_set] = STATE(841),
    [sym_set_comprehension] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_tuple] = STATE(841),
    [sym_generator_expression] = STATE(841),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(841),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_lambda] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_none] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [sym_comment] = ACTIONS(69),
  },
  [840] = {
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_COLON] = ACTIONS(1870),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_and] = ACTIONS(2603),
    [anon_sym_or] = ACTIONS(2605),
    [sym_comment] = ACTIONS(69),
  },
  [841] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1246),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_GT_GT] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(2611),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2615),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH] = ACTIONS(2613),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2611),
    [anon_sym_EQ_EQ] = ACTIONS(2611),
    [anon_sym_BANG_EQ] = ACTIONS(2611),
    [anon_sym_GT_EQ] = ACTIONS(2611),
    [anon_sym_GT] = ACTIONS(2627),
    [anon_sym_LT_GT] = ACTIONS(2611),
    [anon_sym_is] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [842] = {
    [anon_sym_COMMA] = ACTIONS(2631),
    [anon_sym_COLON] = ACTIONS(2631),
    [anon_sym_EQ] = ACTIONS(2633),
    [sym_comment] = ACTIONS(69),
  },
  [843] = {
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(2635),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [844] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(823),
    [sym_dictionary_splat] = STATE(823),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(1619),
    [anon_sym_COLON] = ACTIONS(2637),
    [anon_sym_exec] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(1623),
    [sym_comment] = ACTIONS(69),
  },
  [845] = {
    [sym__newline] = ACTIONS(2639),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_COLON] = ACTIONS(2639),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(2639),
    [anon_sym_DASH_EQ] = ACTIONS(2639),
    [anon_sym_STAR_EQ] = ACTIONS(2639),
    [anon_sym_SLASH_EQ] = ACTIONS(2639),
    [anon_sym_AT_EQ] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2639),
    [anon_sym_PERCENT_EQ] = ACTIONS(2639),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2639),
    [anon_sym_GT_GT_EQ] = ACTIONS(2639),
    [anon_sym_LT_LT_EQ] = ACTIONS(2639),
    [anon_sym_AMP_EQ] = ACTIONS(2639),
    [anon_sym_CARET_EQ] = ACTIONS(2639),
    [anon_sym_PIPE_EQ] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2639),
  },
  [846] = {
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(1870),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [847] = {
    [anon_sym_RPAREN] = ACTIONS(2631),
    [anon_sym_COMMA] = ACTIONS(2631),
    [anon_sym_COLON] = ACTIONS(2631),
    [sym_comment] = ACTIONS(69),
  },
  [848] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
  },
  [849] = {
    [sym__expression] = STATE(1248),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(1248),
    [sym_boolean_operator] = STATE(1248),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(1248),
    [sym_lambda] = STATE(1248),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(1248),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(1248),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [850] = {
    [anon_sym_COLON] = ACTIONS(2641),
    [sym_comment] = ACTIONS(69),
  },
  [851] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1250),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_RBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(2643),
    [sym_comment] = ACTIONS(69),
  },
  [852] = {
    [sym__expression] = STATE(1251),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1251),
    [sym_boolean_operator] = STATE(1251),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1251),
    [sym_lambda] = STATE(1251),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1251),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1251),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [853] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [854] = {
    [sym__expression] = STATE(1252),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(1252),
    [sym_boolean_operator] = STATE(1252),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(1252),
    [sym_lambda] = STATE(1252),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(1252),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(1252),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [855] = {
    [sym__primary_expression] = STATE(1253),
    [sym_binary_operator] = STATE(1253),
    [sym_unary_operator] = STATE(1253),
    [sym_attribute] = STATE(1253),
    [sym_subscript] = STATE(1253),
    [sym_call] = STATE(1253),
    [sym_list] = STATE(1253),
    [sym_list_comprehension] = STATE(1253),
    [sym_dictionary] = STATE(1253),
    [sym_dictionary_comprehension] = STATE(1253),
    [sym_set] = STATE(1253),
    [sym_set_comprehension] = STATE(1253),
    [sym_parenthesized_expression] = STATE(1253),
    [sym_tuple] = STATE(1253),
    [sym_generator_expression] = STATE(1253),
    [sym_concatenated_string] = STATE(1253),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(2647),
    [sym_float] = ACTIONS(2647),
    [sym_identifier] = ACTIONS(2647),
    [sym_true] = ACTIONS(2647),
    [sym_false] = ACTIONS(2647),
    [sym_none] = ACTIONS(2647),
    [sym_comment] = ACTIONS(69),
  },
  [856] = {
    [sym__primary_expression] = STATE(1254),
    [sym_binary_operator] = STATE(1254),
    [sym_unary_operator] = STATE(1254),
    [sym_attribute] = STATE(1254),
    [sym_subscript] = STATE(1254),
    [sym_call] = STATE(1254),
    [sym_list] = STATE(1254),
    [sym_list_comprehension] = STATE(1254),
    [sym_dictionary] = STATE(1254),
    [sym_dictionary_comprehension] = STATE(1254),
    [sym_set] = STATE(1254),
    [sym_set_comprehension] = STATE(1254),
    [sym_parenthesized_expression] = STATE(1254),
    [sym_tuple] = STATE(1254),
    [sym_generator_expression] = STATE(1254),
    [sym_concatenated_string] = STATE(1254),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(2651),
    [sym_float] = ACTIONS(2651),
    [sym_identifier] = ACTIONS(2651),
    [sym_true] = ACTIONS(2651),
    [sym_false] = ACTIONS(2651),
    [sym_none] = ACTIONS(2651),
    [sym_comment] = ACTIONS(69),
  },
  [857] = {
    [sym__primary_expression] = STATE(1255),
    [sym_binary_operator] = STATE(1255),
    [sym_unary_operator] = STATE(1255),
    [sym_attribute] = STATE(1255),
    [sym_subscript] = STATE(1255),
    [sym_call] = STATE(1255),
    [sym_list] = STATE(1255),
    [sym_list_comprehension] = STATE(1255),
    [sym_dictionary] = STATE(1255),
    [sym_dictionary_comprehension] = STATE(1255),
    [sym_set] = STATE(1255),
    [sym_set_comprehension] = STATE(1255),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_tuple] = STATE(1255),
    [sym_generator_expression] = STATE(1255),
    [sym_concatenated_string] = STATE(1255),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(2655),
    [sym_float] = ACTIONS(2655),
    [sym_identifier] = ACTIONS(2655),
    [sym_true] = ACTIONS(2655),
    [sym_false] = ACTIONS(2655),
    [sym_none] = ACTIONS(2655),
    [sym_comment] = ACTIONS(69),
  },
  [858] = {
    [anon_sym_in] = ACTIONS(2657),
    [sym_comment] = ACTIONS(69),
  },
  [859] = {
    [sym__primary_expression] = STATE(1257),
    [sym_binary_operator] = STATE(1257),
    [sym_unary_operator] = STATE(1257),
    [sym_attribute] = STATE(1257),
    [sym_subscript] = STATE(1257),
    [sym_call] = STATE(1257),
    [sym_list] = STATE(1257),
    [sym_list_comprehension] = STATE(1257),
    [sym_dictionary] = STATE(1257),
    [sym_dictionary_comprehension] = STATE(1257),
    [sym_set] = STATE(1257),
    [sym_set_comprehension] = STATE(1257),
    [sym_parenthesized_expression] = STATE(1257),
    [sym_tuple] = STATE(1257),
    [sym_generator_expression] = STATE(1257),
    [sym_concatenated_string] = STATE(1257),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_identifier] = ACTIONS(2661),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [sym_none] = ACTIONS(2661),
    [sym_comment] = ACTIONS(69),
  },
  [860] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [861] = {
    [sym__primary_expression] = STATE(1258),
    [sym_binary_operator] = STATE(1258),
    [sym_unary_operator] = STATE(1258),
    [sym_attribute] = STATE(1258),
    [sym_subscript] = STATE(1258),
    [sym_call] = STATE(1258),
    [sym_list] = STATE(1258),
    [sym_list_comprehension] = STATE(1258),
    [sym_dictionary] = STATE(1258),
    [sym_dictionary_comprehension] = STATE(1258),
    [sym_set] = STATE(1258),
    [sym_set_comprehension] = STATE(1258),
    [sym_parenthesized_expression] = STATE(1258),
    [sym_tuple] = STATE(1258),
    [sym_generator_expression] = STATE(1258),
    [sym_concatenated_string] = STATE(1258),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(2665),
    [sym_float] = ACTIONS(2665),
    [sym_identifier] = ACTIONS(2665),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [sym_none] = ACTIONS(2665),
    [sym_comment] = ACTIONS(69),
  },
  [862] = {
    [sym__primary_expression] = STATE(1259),
    [sym_binary_operator] = STATE(1259),
    [sym_unary_operator] = STATE(1259),
    [sym_attribute] = STATE(1259),
    [sym_subscript] = STATE(1259),
    [sym_call] = STATE(1259),
    [sym_list] = STATE(1259),
    [sym_list_comprehension] = STATE(1259),
    [sym_dictionary] = STATE(1259),
    [sym_dictionary_comprehension] = STATE(1259),
    [sym_set] = STATE(1259),
    [sym_set_comprehension] = STATE(1259),
    [sym_parenthesized_expression] = STATE(1259),
    [sym_tuple] = STATE(1259),
    [sym_generator_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1259),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(2669),
    [sym_float] = ACTIONS(2669),
    [sym_identifier] = ACTIONS(2669),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [sym_none] = ACTIONS(2669),
    [sym_comment] = ACTIONS(69),
  },
  [863] = {
    [sym__primary_expression] = STATE(1260),
    [sym_binary_operator] = STATE(1260),
    [sym_unary_operator] = STATE(1260),
    [sym_attribute] = STATE(1260),
    [sym_subscript] = STATE(1260),
    [sym_call] = STATE(1260),
    [sym_list] = STATE(1260),
    [sym_list_comprehension] = STATE(1260),
    [sym_dictionary] = STATE(1260),
    [sym_dictionary_comprehension] = STATE(1260),
    [sym_set] = STATE(1260),
    [sym_set_comprehension] = STATE(1260),
    [sym_parenthesized_expression] = STATE(1260),
    [sym_tuple] = STATE(1260),
    [sym_generator_expression] = STATE(1260),
    [sym_concatenated_string] = STATE(1260),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2671),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(2673),
    [sym_float] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_none] = ACTIONS(2673),
    [sym_comment] = ACTIONS(69),
  },
  [864] = {
    [sym__primary_expression] = STATE(1255),
    [sym_binary_operator] = STATE(1255),
    [sym_unary_operator] = STATE(1255),
    [sym_attribute] = STATE(1255),
    [sym_subscript] = STATE(1255),
    [sym_call] = STATE(1255),
    [sym_list] = STATE(1255),
    [sym_list_comprehension] = STATE(1255),
    [sym_dictionary] = STATE(1255),
    [sym_dictionary_comprehension] = STATE(1255),
    [sym_set] = STATE(1255),
    [sym_set_comprehension] = STATE(1255),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_tuple] = STATE(1255),
    [sym_generator_expression] = STATE(1255),
    [sym_concatenated_string] = STATE(1255),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2675),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(2655),
    [sym_float] = ACTIONS(2655),
    [sym_identifier] = ACTIONS(2655),
    [sym_true] = ACTIONS(2655),
    [sym_false] = ACTIONS(2655),
    [sym_none] = ACTIONS(2655),
    [sym_comment] = ACTIONS(69),
  },
  [865] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1261),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(1681),
    [anon_sym_not] = ACTIONS(1685),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1681),
    [anon_sym_EQ_EQ] = ACTIONS(1681),
    [anon_sym_BANG_EQ] = ACTIONS(1681),
    [anon_sym_GT_EQ] = ACTIONS(1681),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1681),
    [anon_sym_is] = ACTIONS(1699),
    [anon_sym_RBRACK] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
  },
  [866] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
  },
  [867] = {
    [sym__expression] = STATE(1262),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1262),
    [sym_boolean_operator] = STATE(1262),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1262),
    [sym_lambda] = STATE(1262),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1262),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1262),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [868] = {
    [aux_sym_concatenated_string_repeat1] = STATE(868),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(2677),
    [sym_comment] = ACTIONS(69),
  },
  [869] = {
    [sym__newline] = ACTIONS(2680),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_GT_GT] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_in] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_AT] = ACTIONS(2682),
    [anon_sym_not] = ACTIONS(2680),
    [anon_sym_and] = ACTIONS(2680),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_PERCENT] = ACTIONS(2682),
    [anon_sym_SLASH_SLASH] = ACTIONS(2682),
    [anon_sym_STAR_STAR] = ACTIONS(2682),
    [anon_sym_PIPE] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2682),
    [anon_sym_CARET] = ACTIONS(2682),
    [anon_sym_LT_LT] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_LT_EQ] = ACTIONS(2680),
    [anon_sym_EQ_EQ] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_LT_GT] = ACTIONS(2680),
    [anon_sym_is] = ACTIONS(2680),
    [anon_sym_PLUS_EQ] = ACTIONS(2680),
    [anon_sym_DASH_EQ] = ACTIONS(2680),
    [anon_sym_STAR_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_AT_EQ] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2680),
    [anon_sym_PERCENT_EQ] = ACTIONS(2680),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2680),
    [anon_sym_GT_GT_EQ] = ACTIONS(2680),
    [anon_sym_LT_LT_EQ] = ACTIONS(2680),
    [anon_sym_AMP_EQ] = ACTIONS(2680),
    [anon_sym_CARET_EQ] = ACTIONS(2680),
    [anon_sym_PIPE_EQ] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2680),
  },
  [870] = {
    [anon_sym_COMMA] = ACTIONS(2684),
    [anon_sym_RBRACK] = ACTIONS(2684),
    [anon_sym_RBRACE] = ACTIONS(2684),
    [sym_comment] = ACTIONS(69),
  },
  [871] = {
    [anon_sym_COMMA] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(2684),
    [sym_comment] = ACTIONS(69),
  },
  [872] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(871),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(871),
    [sym_boolean_operator] = STATE(871),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(871),
    [sym_lambda] = STATE(871),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(871),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(871),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(2686),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [873] = {
    [aux_sym_list_repeat1] = STATE(873),
    [anon_sym_COMMA] = ACTIONS(2688),
    [anon_sym_RBRACK] = ACTIONS(2684),
    [sym_comment] = ACTIONS(69),
  },
  [874] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(2691),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [875] = {
    [sym_variables] = STATE(1266),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [876] = {
    [anon_sym_in] = ACTIONS(2693),
    [sym_comment] = ACTIONS(69),
  },
  [877] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACK] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [878] = {
    [sym__newline] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_GT_GT] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_COLON] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2695),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2697),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_and] = ACTIONS(2695),
    [anon_sym_or] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_SLASH_SLASH] = ACTIONS(2697),
    [anon_sym_STAR_STAR] = ACTIONS(2697),
    [anon_sym_PIPE] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_CARET] = ACTIONS(2697),
    [anon_sym_LT_LT] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LT_GT] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2695),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_AT_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2695),
    [anon_sym_GT_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_LT_EQ] = ACTIONS(2695),
    [anon_sym_AMP_EQ] = ACTIONS(2695),
    [anon_sym_CARET_EQ] = ACTIONS(2695),
    [anon_sym_PIPE_EQ] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2695),
  },
  [879] = {
    [sym__expression] = STATE(1273),
    [sym__primary_expression] = STATE(1274),
    [sym_not_operator] = STATE(1273),
    [sym_boolean_operator] = STATE(1273),
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_comparison_operator] = STATE(1273),
    [sym_lambda] = STATE(1273),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_list] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_conditional_expression] = STATE(1273),
    [sym_concatenated_string] = STATE(1274),
    [sym_await] = STATE(1273),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_lambda] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(2709),
    [sym_float] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(69),
  },
  [880] = {
    [sym_for_in_clause] = STATE(1275),
    [sym_if_clause] = STATE(1275),
    [aux_sym__comprehension_body_repeat1] = STATE(1275),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_RBRACK] = ACTIONS(2163),
    [sym_comment] = ACTIONS(69),
  },
  [881] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [882] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_SLASH_SLASH] = ACTIONS(797),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [883] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_SLASH_SLASH] = ACTIONS(797),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [884] = {
    [sym__primary_expression] = STATE(1276),
    [sym_binary_operator] = STATE(1276),
    [sym_unary_operator] = STATE(1276),
    [sym_attribute] = STATE(1276),
    [sym_subscript] = STATE(1276),
    [sym_call] = STATE(1276),
    [sym_list] = STATE(1276),
    [sym_list_comprehension] = STATE(1276),
    [sym_dictionary] = STATE(1276),
    [sym_dictionary_comprehension] = STATE(1276),
    [sym_set] = STATE(1276),
    [sym_set_comprehension] = STATE(1276),
    [sym_parenthesized_expression] = STATE(1276),
    [sym_tuple] = STATE(1276),
    [sym_generator_expression] = STATE(1276),
    [sym_concatenated_string] = STATE(1276),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(2715),
    [sym_float] = ACTIONS(2715),
    [sym_identifier] = ACTIONS(2715),
    [sym_true] = ACTIONS(2715),
    [sym_false] = ACTIONS(2715),
    [sym_none] = ACTIONS(2715),
    [sym_comment] = ACTIONS(69),
  },
  [885] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_SLASH_SLASH] = ACTIONS(797),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [886] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_SLASH_SLASH] = ACTIONS(797),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [887] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_SLASH_SLASH] = ACTIONS(797),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [888] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_SLASH_SLASH] = ACTIONS(797),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [889] = {
    [aux_sym_comparison_operator_repeat1] = STATE(889),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(2717),
    [anon_sym_not] = ACTIONS(2720),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(2723),
    [anon_sym_LT_EQ] = ACTIONS(2717),
    [anon_sym_EQ_EQ] = ACTIONS(2717),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_GT] = ACTIONS(2723),
    [anon_sym_LT_GT] = ACTIONS(2717),
    [anon_sym_is] = ACTIONS(2726),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [890] = {
    [anon_sym_COMMA] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(2512),
    [sym_comment] = ACTIONS(69),
  },
  [891] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
  },
  [892] = {
    [sym__expression] = STATE(1277),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(1277),
    [sym_boolean_operator] = STATE(1277),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(1277),
    [sym_lambda] = STATE(1277),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(1277),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(1277),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [893] = {
    [anon_sym_COLON] = ACTIONS(2729),
    [sym_comment] = ACTIONS(69),
  },
  [894] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1279),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_RBRACE] = ACTIONS(883),
    [sym_string] = ACTIONS(2731),
    [sym_comment] = ACTIONS(69),
  },
  [895] = {
    [sym__expression] = STATE(1280),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1280),
    [sym_boolean_operator] = STATE(1280),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1280),
    [sym_lambda] = STATE(1280),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1280),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1280),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [896] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [897] = {
    [sym__expression] = STATE(1281),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(1281),
    [sym_boolean_operator] = STATE(1281),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(1281),
    [sym_lambda] = STATE(1281),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(1281),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(1281),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [898] = {
    [sym__primary_expression] = STATE(1282),
    [sym_binary_operator] = STATE(1282),
    [sym_unary_operator] = STATE(1282),
    [sym_attribute] = STATE(1282),
    [sym_subscript] = STATE(1282),
    [sym_call] = STATE(1282),
    [sym_list] = STATE(1282),
    [sym_list_comprehension] = STATE(1282),
    [sym_dictionary] = STATE(1282),
    [sym_dictionary_comprehension] = STATE(1282),
    [sym_set] = STATE(1282),
    [sym_set_comprehension] = STATE(1282),
    [sym_parenthesized_expression] = STATE(1282),
    [sym_tuple] = STATE(1282),
    [sym_generator_expression] = STATE(1282),
    [sym_concatenated_string] = STATE(1282),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(2735),
    [sym_float] = ACTIONS(2735),
    [sym_identifier] = ACTIONS(2735),
    [sym_true] = ACTIONS(2735),
    [sym_false] = ACTIONS(2735),
    [sym_none] = ACTIONS(2735),
    [sym_comment] = ACTIONS(69),
  },
  [899] = {
    [sym__primary_expression] = STATE(1283),
    [sym_binary_operator] = STATE(1283),
    [sym_unary_operator] = STATE(1283),
    [sym_attribute] = STATE(1283),
    [sym_subscript] = STATE(1283),
    [sym_call] = STATE(1283),
    [sym_list] = STATE(1283),
    [sym_list_comprehension] = STATE(1283),
    [sym_dictionary] = STATE(1283),
    [sym_dictionary_comprehension] = STATE(1283),
    [sym_set] = STATE(1283),
    [sym_set_comprehension] = STATE(1283),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_tuple] = STATE(1283),
    [sym_generator_expression] = STATE(1283),
    [sym_concatenated_string] = STATE(1283),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2737),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(2739),
    [sym_float] = ACTIONS(2739),
    [sym_identifier] = ACTIONS(2739),
    [sym_true] = ACTIONS(2739),
    [sym_false] = ACTIONS(2739),
    [sym_none] = ACTIONS(2739),
    [sym_comment] = ACTIONS(69),
  },
  [900] = {
    [sym__primary_expression] = STATE(1284),
    [sym_binary_operator] = STATE(1284),
    [sym_unary_operator] = STATE(1284),
    [sym_attribute] = STATE(1284),
    [sym_subscript] = STATE(1284),
    [sym_call] = STATE(1284),
    [sym_list] = STATE(1284),
    [sym_list_comprehension] = STATE(1284),
    [sym_dictionary] = STATE(1284),
    [sym_dictionary_comprehension] = STATE(1284),
    [sym_set] = STATE(1284),
    [sym_set_comprehension] = STATE(1284),
    [sym_parenthesized_expression] = STATE(1284),
    [sym_tuple] = STATE(1284),
    [sym_generator_expression] = STATE(1284),
    [sym_concatenated_string] = STATE(1284),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(2743),
    [sym_float] = ACTIONS(2743),
    [sym_identifier] = ACTIONS(2743),
    [sym_true] = ACTIONS(2743),
    [sym_false] = ACTIONS(2743),
    [sym_none] = ACTIONS(2743),
    [sym_comment] = ACTIONS(69),
  },
  [901] = {
    [anon_sym_in] = ACTIONS(2745),
    [sym_comment] = ACTIONS(69),
  },
  [902] = {
    [sym__primary_expression] = STATE(1286),
    [sym_binary_operator] = STATE(1286),
    [sym_unary_operator] = STATE(1286),
    [sym_attribute] = STATE(1286),
    [sym_subscript] = STATE(1286),
    [sym_call] = STATE(1286),
    [sym_list] = STATE(1286),
    [sym_list_comprehension] = STATE(1286),
    [sym_dictionary] = STATE(1286),
    [sym_dictionary_comprehension] = STATE(1286),
    [sym_set] = STATE(1286),
    [sym_set_comprehension] = STATE(1286),
    [sym_parenthesized_expression] = STATE(1286),
    [sym_tuple] = STATE(1286),
    [sym_generator_expression] = STATE(1286),
    [sym_concatenated_string] = STATE(1286),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(2749),
    [sym_float] = ACTIONS(2749),
    [sym_identifier] = ACTIONS(2749),
    [sym_true] = ACTIONS(2749),
    [sym_false] = ACTIONS(2749),
    [sym_none] = ACTIONS(2749),
    [sym_comment] = ACTIONS(69),
  },
  [903] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [904] = {
    [sym__primary_expression] = STATE(1287),
    [sym_binary_operator] = STATE(1287),
    [sym_unary_operator] = STATE(1287),
    [sym_attribute] = STATE(1287),
    [sym_subscript] = STATE(1287),
    [sym_call] = STATE(1287),
    [sym_list] = STATE(1287),
    [sym_list_comprehension] = STATE(1287),
    [sym_dictionary] = STATE(1287),
    [sym_dictionary_comprehension] = STATE(1287),
    [sym_set] = STATE(1287),
    [sym_set_comprehension] = STATE(1287),
    [sym_parenthesized_expression] = STATE(1287),
    [sym_tuple] = STATE(1287),
    [sym_generator_expression] = STATE(1287),
    [sym_concatenated_string] = STATE(1287),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2751),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(2753),
    [sym_float] = ACTIONS(2753),
    [sym_identifier] = ACTIONS(2753),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [sym_none] = ACTIONS(2753),
    [sym_comment] = ACTIONS(69),
  },
  [905] = {
    [sym__primary_expression] = STATE(1288),
    [sym_binary_operator] = STATE(1288),
    [sym_unary_operator] = STATE(1288),
    [sym_attribute] = STATE(1288),
    [sym_subscript] = STATE(1288),
    [sym_call] = STATE(1288),
    [sym_list] = STATE(1288),
    [sym_list_comprehension] = STATE(1288),
    [sym_dictionary] = STATE(1288),
    [sym_dictionary_comprehension] = STATE(1288),
    [sym_set] = STATE(1288),
    [sym_set_comprehension] = STATE(1288),
    [sym_parenthesized_expression] = STATE(1288),
    [sym_tuple] = STATE(1288),
    [sym_generator_expression] = STATE(1288),
    [sym_concatenated_string] = STATE(1288),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(2757),
    [sym_float] = ACTIONS(2757),
    [sym_identifier] = ACTIONS(2757),
    [sym_true] = ACTIONS(2757),
    [sym_false] = ACTIONS(2757),
    [sym_none] = ACTIONS(2757),
    [sym_comment] = ACTIONS(69),
  },
  [906] = {
    [sym__primary_expression] = STATE(1289),
    [sym_binary_operator] = STATE(1289),
    [sym_unary_operator] = STATE(1289),
    [sym_attribute] = STATE(1289),
    [sym_subscript] = STATE(1289),
    [sym_call] = STATE(1289),
    [sym_list] = STATE(1289),
    [sym_list_comprehension] = STATE(1289),
    [sym_dictionary] = STATE(1289),
    [sym_dictionary_comprehension] = STATE(1289),
    [sym_set] = STATE(1289),
    [sym_set_comprehension] = STATE(1289),
    [sym_parenthesized_expression] = STATE(1289),
    [sym_tuple] = STATE(1289),
    [sym_generator_expression] = STATE(1289),
    [sym_concatenated_string] = STATE(1289),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(2761),
    [sym_float] = ACTIONS(2761),
    [sym_identifier] = ACTIONS(2761),
    [sym_true] = ACTIONS(2761),
    [sym_false] = ACTIONS(2761),
    [sym_none] = ACTIONS(2761),
    [sym_comment] = ACTIONS(69),
  },
  [907] = {
    [sym__primary_expression] = STATE(1284),
    [sym_binary_operator] = STATE(1284),
    [sym_unary_operator] = STATE(1284),
    [sym_attribute] = STATE(1284),
    [sym_subscript] = STATE(1284),
    [sym_call] = STATE(1284),
    [sym_list] = STATE(1284),
    [sym_list_comprehension] = STATE(1284),
    [sym_dictionary] = STATE(1284),
    [sym_dictionary_comprehension] = STATE(1284),
    [sym_set] = STATE(1284),
    [sym_set_comprehension] = STATE(1284),
    [sym_parenthesized_expression] = STATE(1284),
    [sym_tuple] = STATE(1284),
    [sym_generator_expression] = STATE(1284),
    [sym_concatenated_string] = STATE(1284),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(2743),
    [sym_float] = ACTIONS(2743),
    [sym_identifier] = ACTIONS(2743),
    [sym_true] = ACTIONS(2743),
    [sym_false] = ACTIONS(2743),
    [sym_none] = ACTIONS(2743),
    [sym_comment] = ACTIONS(69),
  },
  [908] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1290),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_not] = ACTIONS(1769),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_GT] = ACTIONS(1765),
    [anon_sym_is] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
  },
  [909] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(855),
    [anon_sym_or] = ACTIONS(857),
    [anon_sym_RBRACE] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
  },
  [910] = {
    [sym__expression] = STATE(1291),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(1291),
    [sym_boolean_operator] = STATE(1291),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(1291),
    [sym_lambda] = STATE(1291),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(1291),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(1291),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [911] = {
    [aux_sym_concatenated_string_repeat1] = STATE(911),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [sym_string] = ACTIONS(2765),
    [sym_comment] = ACTIONS(69),
  },
  [912] = {
    [sym__expression] = STATE(462),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(462),
    [sym_boolean_operator] = STATE(462),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(462),
    [sym_lambda] = STATE(462),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(462),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(462),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(719),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(719),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [913] = {
    [sym__newline] = ACTIONS(2768),
    [anon_sym_DOT] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_COLON] = ACTIONS(2768),
    [anon_sym_in] = ACTIONS(2768),
    [anon_sym_EQ] = ACTIONS(2770),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2768),
    [anon_sym_and] = ACTIONS(2768),
    [anon_sym_or] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_SLASH] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2770),
    [anon_sym_SLASH_SLASH] = ACTIONS(2770),
    [anon_sym_STAR_STAR] = ACTIONS(2770),
    [anon_sym_PIPE] = ACTIONS(2770),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_CARET] = ACTIONS(2770),
    [anon_sym_LT_LT] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_LT_EQ] = ACTIONS(2768),
    [anon_sym_EQ_EQ] = ACTIONS(2768),
    [anon_sym_BANG_EQ] = ACTIONS(2768),
    [anon_sym_GT_EQ] = ACTIONS(2768),
    [anon_sym_GT] = ACTIONS(2770),
    [anon_sym_LT_GT] = ACTIONS(2768),
    [anon_sym_is] = ACTIONS(2768),
    [anon_sym_PLUS_EQ] = ACTIONS(2768),
    [anon_sym_DASH_EQ] = ACTIONS(2768),
    [anon_sym_STAR_EQ] = ACTIONS(2768),
    [anon_sym_SLASH_EQ] = ACTIONS(2768),
    [anon_sym_AT_EQ] = ACTIONS(2768),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2768),
    [anon_sym_PERCENT_EQ] = ACTIONS(2768),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2768),
    [anon_sym_GT_GT_EQ] = ACTIONS(2768),
    [anon_sym_LT_LT_EQ] = ACTIONS(2768),
    [anon_sym_AMP_EQ] = ACTIONS(2768),
    [anon_sym_CARET_EQ] = ACTIONS(2768),
    [anon_sym_PIPE_EQ] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2768),
  },
  [914] = {
    [anon_sym_COMMA] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(2684),
    [sym_comment] = ACTIONS(69),
  },
  [915] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(914),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(914),
    [sym_boolean_operator] = STATE(914),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(914),
    [sym_lambda] = STATE(914),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(914),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [916] = {
    [aux_sym_list_repeat1] = STATE(916),
    [anon_sym_COMMA] = ACTIONS(2774),
    [anon_sym_RBRACE] = ACTIONS(2684),
    [sym_comment] = ACTIONS(69),
  },
  [917] = {
    [anon_sym_STAR] = ACTIONS(817),
    [sym_comment] = ACTIONS(69),
  },
  [918] = {
    [sym__newline] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_GT_GT] = ACTIONS(2779),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_AT] = ACTIONS(2779),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_and] = ACTIONS(2777),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2779),
    [anon_sym_PERCENT] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(2779),
    [anon_sym_STAR_STAR] = ACTIONS(2779),
    [anon_sym_PIPE] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_CARET] = ACTIONS(2779),
    [anon_sym_LT_LT] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_LT_EQ] = ACTIONS(2777),
    [anon_sym_EQ_EQ] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2777),
    [anon_sym_GT_EQ] = ACTIONS(2777),
    [anon_sym_GT] = ACTIONS(2779),
    [anon_sym_LT_GT] = ACTIONS(2777),
    [anon_sym_is] = ACTIONS(2777),
    [anon_sym_PLUS_EQ] = ACTIONS(2777),
    [anon_sym_DASH_EQ] = ACTIONS(2777),
    [anon_sym_STAR_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_AT_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_PERCENT_EQ] = ACTIONS(2777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2777),
    [anon_sym_GT_GT_EQ] = ACTIONS(2777),
    [anon_sym_LT_LT_EQ] = ACTIONS(2777),
    [anon_sym_AMP_EQ] = ACTIONS(2777),
    [anon_sym_CARET_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2777),
  },
  [919] = {
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [sym_comment] = ACTIONS(69),
  },
  [920] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(2783),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [921] = {
    [sym_dictionary_splat] = STATE(919),
    [sym__expression] = STATE(920),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(920),
    [sym_boolean_operator] = STATE(920),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(920),
    [sym_lambda] = STATE(920),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_pair] = STATE(919),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(920),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [922] = {
    [aux_sym_dictionary_repeat1] = STATE(922),
    [anon_sym_COMMA] = ACTIONS(2787),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [sym_comment] = ACTIONS(69),
  },
  [923] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [924] = {
    [sym__expression] = STATE(1298),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1298),
    [sym_boolean_operator] = STATE(1298),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1298),
    [sym_lambda] = STATE(1298),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1298),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1298),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [925] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [926] = {
    [sym_lambda_parameters] = STATE(1300),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(2792),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [927] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1301),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_string] = ACTIONS(2794),
    [sym_comment] = ACTIONS(69),
  },
  [928] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [929] = {
    [anon_sym_COMMA] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2796),
    [anon_sym_for] = ACTIONS(2796),
    [anon_sym_and] = ACTIONS(2800),
    [anon_sym_or] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [sym_comment] = ACTIONS(69),
  },
  [930] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1315),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(2808),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_SLASH_SLASH] = ACTIONS(2810),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(2824),
    [anon_sym_LT_EQ] = ACTIONS(2808),
    [anon_sym_EQ_EQ] = ACTIONS(2808),
    [anon_sym_BANG_EQ] = ACTIONS(2808),
    [anon_sym_GT_EQ] = ACTIONS(2808),
    [anon_sym_GT] = ACTIONS(2824),
    [anon_sym_LT_GT] = ACTIONS(2808),
    [anon_sym_is] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(299),
    [sym_comment] = ACTIONS(69),
  },
  [931] = {
    [sym_variables] = STATE(1316),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [932] = {
    [anon_sym_in] = ACTIONS(2828),
    [sym_comment] = ACTIONS(69),
  },
  [933] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(855),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [934] = {
    [sym__newline] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_GT_GT] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_COLON] = ACTIONS(2830),
    [anon_sym_in] = ACTIONS(2830),
    [anon_sym_EQ] = ACTIONS(2832),
    [anon_sym_AT] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_and] = ACTIONS(2830),
    [anon_sym_or] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_PERCENT] = ACTIONS(2832),
    [anon_sym_SLASH_SLASH] = ACTIONS(2832),
    [anon_sym_STAR_STAR] = ACTIONS(2832),
    [anon_sym_PIPE] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_CARET] = ACTIONS(2832),
    [anon_sym_LT_LT] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2830),
    [anon_sym_EQ_EQ] = ACTIONS(2830),
    [anon_sym_BANG_EQ] = ACTIONS(2830),
    [anon_sym_GT_EQ] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2832),
    [anon_sym_LT_GT] = ACTIONS(2830),
    [anon_sym_is] = ACTIONS(2830),
    [anon_sym_PLUS_EQ] = ACTIONS(2830),
    [anon_sym_DASH_EQ] = ACTIONS(2830),
    [anon_sym_STAR_EQ] = ACTIONS(2830),
    [anon_sym_SLASH_EQ] = ACTIONS(2830),
    [anon_sym_AT_EQ] = ACTIONS(2830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2830),
    [anon_sym_PERCENT_EQ] = ACTIONS(2830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2830),
    [anon_sym_GT_GT_EQ] = ACTIONS(2830),
    [anon_sym_LT_LT_EQ] = ACTIONS(2830),
    [anon_sym_AMP_EQ] = ACTIONS(2830),
    [anon_sym_CARET_EQ] = ACTIONS(2830),
    [anon_sym_PIPE_EQ] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2830),
  },
  [935] = {
    [sym__expression] = STATE(1323),
    [sym__primary_expression] = STATE(1324),
    [sym_not_operator] = STATE(1323),
    [sym_boolean_operator] = STATE(1323),
    [sym_binary_operator] = STATE(1324),
    [sym_unary_operator] = STATE(1324),
    [sym_comparison_operator] = STATE(1323),
    [sym_lambda] = STATE(1323),
    [sym_attribute] = STATE(1324),
    [sym_subscript] = STATE(1324),
    [sym_call] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_list_comprehension] = STATE(1324),
    [sym_dictionary] = STATE(1324),
    [sym_dictionary_comprehension] = STATE(1324),
    [sym_set] = STATE(1324),
    [sym_set_comprehension] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_tuple] = STATE(1324),
    [sym_generator_expression] = STATE(1324),
    [sym_conditional_expression] = STATE(1323),
    [sym_concatenated_string] = STATE(1324),
    [sym_await] = STATE(1323),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_lambda] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(2844),
    [sym_float] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_none] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [sym_comment] = ACTIONS(69),
  },
  [936] = {
    [sym_for_in_clause] = STATE(1325),
    [sym_if_clause] = STATE(1325),
    [aux_sym__comprehension_body_repeat1] = STATE(1325),
    [anon_sym_if] = ACTIONS(1823),
    [anon_sym_async] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [sym_comment] = ACTIONS(69),
  },
  [937] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [938] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_SLASH_SLASH] = ACTIONS(865),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [939] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_SLASH_SLASH] = ACTIONS(865),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(873),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [940] = {
    [sym__primary_expression] = STATE(1326),
    [sym_binary_operator] = STATE(1326),
    [sym_unary_operator] = STATE(1326),
    [sym_attribute] = STATE(1326),
    [sym_subscript] = STATE(1326),
    [sym_call] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_list_comprehension] = STATE(1326),
    [sym_dictionary] = STATE(1326),
    [sym_dictionary_comprehension] = STATE(1326),
    [sym_set] = STATE(1326),
    [sym_set_comprehension] = STATE(1326),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_tuple] = STATE(1326),
    [sym_generator_expression] = STATE(1326),
    [sym_concatenated_string] = STATE(1326),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(2850),
    [sym_float] = ACTIONS(2850),
    [sym_identifier] = ACTIONS(2850),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [sym_none] = ACTIONS(2850),
    [sym_comment] = ACTIONS(69),
  },
  [941] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_SLASH_SLASH] = ACTIONS(865),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [942] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_SLASH_SLASH] = ACTIONS(865),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [943] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_SLASH_SLASH] = ACTIONS(865),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [944] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_SLASH_SLASH] = ACTIONS(865),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [945] = {
    [aux_sym_comparison_operator_repeat1] = STATE(945),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2855),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_LT_EQ] = ACTIONS(2852),
    [anon_sym_EQ_EQ] = ACTIONS(2852),
    [anon_sym_BANG_EQ] = ACTIONS(2852),
    [anon_sym_GT_EQ] = ACTIONS(2852),
    [anon_sym_GT] = ACTIONS(2858),
    [anon_sym_LT_GT] = ACTIONS(2852),
    [anon_sym_is] = ACTIONS(2861),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [946] = {
    [sym__newline] = ACTIONS(2864),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_in] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2866),
    [anon_sym_not] = ACTIONS(2864),
    [anon_sym_and] = ACTIONS(2864),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_SLASH] = ACTIONS(2866),
    [anon_sym_PERCENT] = ACTIONS(2866),
    [anon_sym_SLASH_SLASH] = ACTIONS(2866),
    [anon_sym_STAR_STAR] = ACTIONS(2866),
    [anon_sym_PIPE] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2866),
    [anon_sym_LT_LT] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2864),
    [anon_sym_EQ_EQ] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2864),
    [anon_sym_GT_EQ] = ACTIONS(2864),
    [anon_sym_GT] = ACTIONS(2866),
    [anon_sym_LT_GT] = ACTIONS(2864),
    [anon_sym_is] = ACTIONS(2864),
    [anon_sym_PLUS_EQ] = ACTIONS(2864),
    [anon_sym_DASH_EQ] = ACTIONS(2864),
    [anon_sym_STAR_EQ] = ACTIONS(2864),
    [anon_sym_SLASH_EQ] = ACTIONS(2864),
    [anon_sym_AT_EQ] = ACTIONS(2864),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2864),
    [anon_sym_PERCENT_EQ] = ACTIONS(2864),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2864),
    [anon_sym_GT_GT_EQ] = ACTIONS(2864),
    [anon_sym_LT_LT_EQ] = ACTIONS(2864),
    [anon_sym_AMP_EQ] = ACTIONS(2864),
    [anon_sym_CARET_EQ] = ACTIONS(2864),
    [anon_sym_PIPE_EQ] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2864),
  },
  [947] = {
    [sym__newline] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_or] = ACTIONS(1876),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(713),
  },
  [948] = {
    [sym__expression] = STATE(1327),
    [sym__primary_expression] = STATE(500),
    [sym_not_operator] = STATE(1327),
    [sym_boolean_operator] = STATE(1327),
    [sym_binary_operator] = STATE(500),
    [sym_unary_operator] = STATE(500),
    [sym_comparison_operator] = STATE(1327),
    [sym_lambda] = STATE(1327),
    [sym_attribute] = STATE(500),
    [sym_subscript] = STATE(500),
    [sym_call] = STATE(500),
    [sym_list] = STATE(500),
    [sym_list_comprehension] = STATE(500),
    [sym_dictionary] = STATE(500),
    [sym_dictionary_comprehension] = STATE(500),
    [sym_set] = STATE(500),
    [sym_set_comprehension] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_tuple] = STATE(500),
    [sym_generator_expression] = STATE(500),
    [sym_conditional_expression] = STATE(1327),
    [sym_concatenated_string] = STATE(500),
    [sym_await] = STATE(1327),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_lambda] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [sym_identifier] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_none] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(903),
    [sym_comment] = ACTIONS(69),
  },
  [949] = {
    [anon_sym_COLON] = ACTIONS(2868),
    [sym_comment] = ACTIONS(69),
  },
  [950] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1329),
    [sym__newline] = ACTIONS(883),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_EQ] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(2870),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(883),
  },
  [951] = {
    [sym__expression] = STATE(1330),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1330),
    [sym_boolean_operator] = STATE(1330),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1330),
    [sym_lambda] = STATE(1330),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1330),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1330),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [952] = {
    [sym__expression] = STATE(514),
    [sym__primary_expression] = STATE(500),
    [sym_not_operator] = STATE(514),
    [sym_boolean_operator] = STATE(514),
    [sym_binary_operator] = STATE(500),
    [sym_unary_operator] = STATE(500),
    [sym_comparison_operator] = STATE(514),
    [sym_lambda] = STATE(514),
    [sym_attribute] = STATE(500),
    [sym_subscript] = STATE(500),
    [sym_call] = STATE(500),
    [sym_list] = STATE(500),
    [sym_list_comprehension] = STATE(500),
    [sym_dictionary] = STATE(500),
    [sym_dictionary_comprehension] = STATE(500),
    [sym_set] = STATE(500),
    [sym_set_comprehension] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_tuple] = STATE(500),
    [sym_generator_expression] = STATE(500),
    [sym_conditional_expression] = STATE(514),
    [sym_concatenated_string] = STATE(500),
    [sym_await] = STATE(514),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_lambda] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [sym_identifier] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_none] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(903),
    [sym_comment] = ACTIONS(69),
  },
  [953] = {
    [sym__expression] = STATE(1331),
    [sym__primary_expression] = STATE(500),
    [sym_not_operator] = STATE(1331),
    [sym_boolean_operator] = STATE(1331),
    [sym_binary_operator] = STATE(500),
    [sym_unary_operator] = STATE(500),
    [sym_comparison_operator] = STATE(1331),
    [sym_lambda] = STATE(1331),
    [sym_attribute] = STATE(500),
    [sym_subscript] = STATE(500),
    [sym_call] = STATE(500),
    [sym_list] = STATE(500),
    [sym_list_comprehension] = STATE(500),
    [sym_dictionary] = STATE(500),
    [sym_dictionary_comprehension] = STATE(500),
    [sym_set] = STATE(500),
    [sym_set_comprehension] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_tuple] = STATE(500),
    [sym_generator_expression] = STATE(500),
    [sym_conditional_expression] = STATE(1331),
    [sym_concatenated_string] = STATE(500),
    [sym_await] = STATE(1331),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_lambda] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [sym_identifier] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_none] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(903),
    [sym_comment] = ACTIONS(69),
  },
  [954] = {
    [sym__primary_expression] = STATE(1332),
    [sym_binary_operator] = STATE(1332),
    [sym_unary_operator] = STATE(1332),
    [sym_attribute] = STATE(1332),
    [sym_subscript] = STATE(1332),
    [sym_call] = STATE(1332),
    [sym_list] = STATE(1332),
    [sym_list_comprehension] = STATE(1332),
    [sym_dictionary] = STATE(1332),
    [sym_dictionary_comprehension] = STATE(1332),
    [sym_set] = STATE(1332),
    [sym_set_comprehension] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1332),
    [sym_tuple] = STATE(1332),
    [sym_generator_expression] = STATE(1332),
    [sym_concatenated_string] = STATE(1332),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(2874),
    [sym_float] = ACTIONS(2874),
    [sym_identifier] = ACTIONS(2874),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [sym_none] = ACTIONS(2874),
    [sym_comment] = ACTIONS(69),
  },
  [955] = {
    [sym__primary_expression] = STATE(1333),
    [sym_binary_operator] = STATE(1333),
    [sym_unary_operator] = STATE(1333),
    [sym_attribute] = STATE(1333),
    [sym_subscript] = STATE(1333),
    [sym_call] = STATE(1333),
    [sym_list] = STATE(1333),
    [sym_list_comprehension] = STATE(1333),
    [sym_dictionary] = STATE(1333),
    [sym_dictionary_comprehension] = STATE(1333),
    [sym_set] = STATE(1333),
    [sym_set_comprehension] = STATE(1333),
    [sym_parenthesized_expression] = STATE(1333),
    [sym_tuple] = STATE(1333),
    [sym_generator_expression] = STATE(1333),
    [sym_concatenated_string] = STATE(1333),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(2878),
    [sym_float] = ACTIONS(2878),
    [sym_identifier] = ACTIONS(2878),
    [sym_true] = ACTIONS(2878),
    [sym_false] = ACTIONS(2878),
    [sym_none] = ACTIONS(2878),
    [sym_comment] = ACTIONS(69),
  },
  [956] = {
    [sym__primary_expression] = STATE(1334),
    [sym_binary_operator] = STATE(1334),
    [sym_unary_operator] = STATE(1334),
    [sym_attribute] = STATE(1334),
    [sym_subscript] = STATE(1334),
    [sym_call] = STATE(1334),
    [sym_list] = STATE(1334),
    [sym_list_comprehension] = STATE(1334),
    [sym_dictionary] = STATE(1334),
    [sym_dictionary_comprehension] = STATE(1334),
    [sym_set] = STATE(1334),
    [sym_set_comprehension] = STATE(1334),
    [sym_parenthesized_expression] = STATE(1334),
    [sym_tuple] = STATE(1334),
    [sym_generator_expression] = STATE(1334),
    [sym_concatenated_string] = STATE(1334),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(2882),
    [sym_float] = ACTIONS(2882),
    [sym_identifier] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [sym_none] = ACTIONS(2882),
    [sym_comment] = ACTIONS(69),
  },
  [957] = {
    [anon_sym_in] = ACTIONS(2884),
    [sym_comment] = ACTIONS(69),
  },
  [958] = {
    [sym__primary_expression] = STATE(1336),
    [sym_binary_operator] = STATE(1336),
    [sym_unary_operator] = STATE(1336),
    [sym_attribute] = STATE(1336),
    [sym_subscript] = STATE(1336),
    [sym_call] = STATE(1336),
    [sym_list] = STATE(1336),
    [sym_list_comprehension] = STATE(1336),
    [sym_dictionary] = STATE(1336),
    [sym_dictionary_comprehension] = STATE(1336),
    [sym_set] = STATE(1336),
    [sym_set_comprehension] = STATE(1336),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_tuple] = STATE(1336),
    [sym_generator_expression] = STATE(1336),
    [sym_concatenated_string] = STATE(1336),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(2888),
    [sym_float] = ACTIONS(2888),
    [sym_identifier] = ACTIONS(2888),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [sym_none] = ACTIONS(2888),
    [sym_comment] = ACTIONS(69),
  },
  [959] = {
    [sym__primary_expression] = STATE(663),
    [sym_binary_operator] = STATE(663),
    [sym_unary_operator] = STATE(663),
    [sym_attribute] = STATE(663),
    [sym_subscript] = STATE(663),
    [sym_call] = STATE(663),
    [sym_list] = STATE(663),
    [sym_list_comprehension] = STATE(663),
    [sym_dictionary] = STATE(663),
    [sym_dictionary_comprehension] = STATE(663),
    [sym_set] = STATE(663),
    [sym_set_comprehension] = STATE(663),
    [sym_parenthesized_expression] = STATE(663),
    [sym_tuple] = STATE(663),
    [sym_generator_expression] = STATE(663),
    [sym_concatenated_string] = STATE(663),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1302),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [sym_none] = ACTIONS(1302),
    [sym_comment] = ACTIONS(69),
  },
  [960] = {
    [sym__primary_expression] = STATE(1337),
    [sym_binary_operator] = STATE(1337),
    [sym_unary_operator] = STATE(1337),
    [sym_attribute] = STATE(1337),
    [sym_subscript] = STATE(1337),
    [sym_call] = STATE(1337),
    [sym_list] = STATE(1337),
    [sym_list_comprehension] = STATE(1337),
    [sym_dictionary] = STATE(1337),
    [sym_dictionary_comprehension] = STATE(1337),
    [sym_set] = STATE(1337),
    [sym_set_comprehension] = STATE(1337),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_tuple] = STATE(1337),
    [sym_generator_expression] = STATE(1337),
    [sym_concatenated_string] = STATE(1337),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(2892),
    [sym_float] = ACTIONS(2892),
    [sym_identifier] = ACTIONS(2892),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [sym_none] = ACTIONS(2892),
    [sym_comment] = ACTIONS(69),
  },
  [961] = {
    [sym__primary_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_attribute] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_generator_expression] = STATE(1338),
    [sym_concatenated_string] = STATE(1338),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(2896),
    [sym_float] = ACTIONS(2896),
    [sym_identifier] = ACTIONS(2896),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [sym_none] = ACTIONS(2896),
    [sym_comment] = ACTIONS(69),
  },
  [962] = {
    [sym__primary_expression] = STATE(1339),
    [sym_binary_operator] = STATE(1339),
    [sym_unary_operator] = STATE(1339),
    [sym_attribute] = STATE(1339),
    [sym_subscript] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_list] = STATE(1339),
    [sym_list_comprehension] = STATE(1339),
    [sym_dictionary] = STATE(1339),
    [sym_dictionary_comprehension] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_set_comprehension] = STATE(1339),
    [sym_parenthesized_expression] = STATE(1339),
    [sym_tuple] = STATE(1339),
    [sym_generator_expression] = STATE(1339),
    [sym_concatenated_string] = STATE(1339),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(2900),
    [sym_float] = ACTIONS(2900),
    [sym_identifier] = ACTIONS(2900),
    [sym_true] = ACTIONS(2900),
    [sym_false] = ACTIONS(2900),
    [sym_none] = ACTIONS(2900),
    [sym_comment] = ACTIONS(69),
  },
  [963] = {
    [sym__primary_expression] = STATE(1334),
    [sym_binary_operator] = STATE(1334),
    [sym_unary_operator] = STATE(1334),
    [sym_attribute] = STATE(1334),
    [sym_subscript] = STATE(1334),
    [sym_call] = STATE(1334),
    [sym_list] = STATE(1334),
    [sym_list_comprehension] = STATE(1334),
    [sym_dictionary] = STATE(1334),
    [sym_dictionary_comprehension] = STATE(1334),
    [sym_set] = STATE(1334),
    [sym_set_comprehension] = STATE(1334),
    [sym_parenthesized_expression] = STATE(1334),
    [sym_tuple] = STATE(1334),
    [sym_generator_expression] = STATE(1334),
    [sym_concatenated_string] = STATE(1334),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(2902),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(2882),
    [sym_float] = ACTIONS(2882),
    [sym_identifier] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [sym_none] = ACTIONS(2882),
    [sym_comment] = ACTIONS(69),
  },
  [964] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1340),
    [sym__newline] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(1882),
    [anon_sym_EQ] = ACTIONS(997),
    [anon_sym_not] = ACTIONS(1886),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_LT_EQ] = ACTIONS(1882),
    [anon_sym_EQ_EQ] = ACTIONS(1882),
    [anon_sym_BANG_EQ] = ACTIONS(1882),
    [anon_sym_GT_EQ] = ACTIONS(1882),
    [anon_sym_GT] = ACTIONS(1898),
    [anon_sym_LT_GT] = ACTIONS(1882),
    [anon_sym_is] = ACTIONS(1900),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(995),
  },
  [965] = {
    [sym_expression_list] = STATE(502),
    [sym__expression] = STATE(503),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(503),
    [sym_boolean_operator] = STATE(503),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(503),
    [sym_lambda] = STATE(503),
    [sym_assignment] = STATE(1341),
    [sym_augmented_assignment] = STATE(1341),
    [sym__right_hand_side] = STATE(1341),
    [sym_yield] = STATE(1341),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(503),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(503),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [966] = {
    [sym__expression] = STATE(506),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(506),
    [sym_boolean_operator] = STATE(506),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(506),
    [sym_lambda] = STATE(506),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(506),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(506),
    [sym__newline] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_EQ] = ACTIONS(907),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_AT_EQ] = ACTIONS(907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(907),
  },
  [967] = {
    [aux_sym_print_statement_repeat1] = STATE(517),
    [sym__newline] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(2904),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_EQ] = ACTIONS(907),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_AT_EQ] = ACTIONS(907),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(907),
  },
  [968] = {
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_else] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [969] = {
    [sym__expression] = STATE(1343),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1343),
    [sym_boolean_operator] = STATE(1343),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1343),
    [sym_lambda] = STATE(1343),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1343),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1343),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [970] = {
    [anon_sym_COLON] = ACTIONS(2906),
    [sym_comment] = ACTIONS(69),
  },
  [971] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1345),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_else] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(2908),
    [sym_comment] = ACTIONS(69),
  },
  [972] = {
    [sym__expression] = STATE(1346),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1346),
    [sym_boolean_operator] = STATE(1346),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1346),
    [sym_lambda] = STATE(1346),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1346),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1346),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [973] = {
    [sym__expression] = STATE(1347),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(1347),
    [sym_boolean_operator] = STATE(1347),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(1347),
    [sym_lambda] = STATE(1347),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(1347),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(1347),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [974] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [975] = {
    [sym__expression] = STATE(1348),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1348),
    [sym_boolean_operator] = STATE(1348),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1348),
    [sym_lambda] = STATE(1348),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1348),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1348),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [976] = {
    [sym__primary_expression] = STATE(1349),
    [sym_binary_operator] = STATE(1349),
    [sym_unary_operator] = STATE(1349),
    [sym_attribute] = STATE(1349),
    [sym_subscript] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_list] = STATE(1349),
    [sym_list_comprehension] = STATE(1349),
    [sym_dictionary] = STATE(1349),
    [sym_dictionary_comprehension] = STATE(1349),
    [sym_set] = STATE(1349),
    [sym_set_comprehension] = STATE(1349),
    [sym_parenthesized_expression] = STATE(1349),
    [sym_tuple] = STATE(1349),
    [sym_generator_expression] = STATE(1349),
    [sym_concatenated_string] = STATE(1349),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(2912),
    [sym_float] = ACTIONS(2912),
    [sym_identifier] = ACTIONS(2912),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [sym_none] = ACTIONS(2912),
    [sym_comment] = ACTIONS(69),
  },
  [977] = {
    [sym__primary_expression] = STATE(1350),
    [sym_binary_operator] = STATE(1350),
    [sym_unary_operator] = STATE(1350),
    [sym_attribute] = STATE(1350),
    [sym_subscript] = STATE(1350),
    [sym_call] = STATE(1350),
    [sym_list] = STATE(1350),
    [sym_list_comprehension] = STATE(1350),
    [sym_dictionary] = STATE(1350),
    [sym_dictionary_comprehension] = STATE(1350),
    [sym_set] = STATE(1350),
    [sym_set_comprehension] = STATE(1350),
    [sym_parenthesized_expression] = STATE(1350),
    [sym_tuple] = STATE(1350),
    [sym_generator_expression] = STATE(1350),
    [sym_concatenated_string] = STATE(1350),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(2916),
    [sym_float] = ACTIONS(2916),
    [sym_identifier] = ACTIONS(2916),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [sym_none] = ACTIONS(2916),
    [sym_comment] = ACTIONS(69),
  },
  [978] = {
    [sym__primary_expression] = STATE(1351),
    [sym_binary_operator] = STATE(1351),
    [sym_unary_operator] = STATE(1351),
    [sym_attribute] = STATE(1351),
    [sym_subscript] = STATE(1351),
    [sym_call] = STATE(1351),
    [sym_list] = STATE(1351),
    [sym_list_comprehension] = STATE(1351),
    [sym_dictionary] = STATE(1351),
    [sym_dictionary_comprehension] = STATE(1351),
    [sym_set] = STATE(1351),
    [sym_set_comprehension] = STATE(1351),
    [sym_parenthesized_expression] = STATE(1351),
    [sym_tuple] = STATE(1351),
    [sym_generator_expression] = STATE(1351),
    [sym_concatenated_string] = STATE(1351),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(2920),
    [sym_float] = ACTIONS(2920),
    [sym_identifier] = ACTIONS(2920),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [sym_none] = ACTIONS(2920),
    [sym_comment] = ACTIONS(69),
  },
  [979] = {
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(69),
  },
  [980] = {
    [sym__primary_expression] = STATE(1353),
    [sym_binary_operator] = STATE(1353),
    [sym_unary_operator] = STATE(1353),
    [sym_attribute] = STATE(1353),
    [sym_subscript] = STATE(1353),
    [sym_call] = STATE(1353),
    [sym_list] = STATE(1353),
    [sym_list_comprehension] = STATE(1353),
    [sym_dictionary] = STATE(1353),
    [sym_dictionary_comprehension] = STATE(1353),
    [sym_set] = STATE(1353),
    [sym_set_comprehension] = STATE(1353),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_tuple] = STATE(1353),
    [sym_generator_expression] = STATE(1353),
    [sym_concatenated_string] = STATE(1353),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(2926),
    [sym_float] = ACTIONS(2926),
    [sym_identifier] = ACTIONS(2926),
    [sym_true] = ACTIONS(2926),
    [sym_false] = ACTIONS(2926),
    [sym_none] = ACTIONS(2926),
    [sym_comment] = ACTIONS(69),
  },
  [981] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [982] = {
    [sym__primary_expression] = STATE(1354),
    [sym_binary_operator] = STATE(1354),
    [sym_unary_operator] = STATE(1354),
    [sym_attribute] = STATE(1354),
    [sym_subscript] = STATE(1354),
    [sym_call] = STATE(1354),
    [sym_list] = STATE(1354),
    [sym_list_comprehension] = STATE(1354),
    [sym_dictionary] = STATE(1354),
    [sym_dictionary_comprehension] = STATE(1354),
    [sym_set] = STATE(1354),
    [sym_set_comprehension] = STATE(1354),
    [sym_parenthesized_expression] = STATE(1354),
    [sym_tuple] = STATE(1354),
    [sym_generator_expression] = STATE(1354),
    [sym_concatenated_string] = STATE(1354),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(2930),
    [sym_float] = ACTIONS(2930),
    [sym_identifier] = ACTIONS(2930),
    [sym_true] = ACTIONS(2930),
    [sym_false] = ACTIONS(2930),
    [sym_none] = ACTIONS(2930),
    [sym_comment] = ACTIONS(69),
  },
  [983] = {
    [sym__primary_expression] = STATE(1355),
    [sym_binary_operator] = STATE(1355),
    [sym_unary_operator] = STATE(1355),
    [sym_attribute] = STATE(1355),
    [sym_subscript] = STATE(1355),
    [sym_call] = STATE(1355),
    [sym_list] = STATE(1355),
    [sym_list_comprehension] = STATE(1355),
    [sym_dictionary] = STATE(1355),
    [sym_dictionary_comprehension] = STATE(1355),
    [sym_set] = STATE(1355),
    [sym_set_comprehension] = STATE(1355),
    [sym_parenthesized_expression] = STATE(1355),
    [sym_tuple] = STATE(1355),
    [sym_generator_expression] = STATE(1355),
    [sym_concatenated_string] = STATE(1355),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(2934),
    [sym_float] = ACTIONS(2934),
    [sym_identifier] = ACTIONS(2934),
    [sym_true] = ACTIONS(2934),
    [sym_false] = ACTIONS(2934),
    [sym_none] = ACTIONS(2934),
    [sym_comment] = ACTIONS(69),
  },
  [984] = {
    [sym__primary_expression] = STATE(1356),
    [sym_binary_operator] = STATE(1356),
    [sym_unary_operator] = STATE(1356),
    [sym_attribute] = STATE(1356),
    [sym_subscript] = STATE(1356),
    [sym_call] = STATE(1356),
    [sym_list] = STATE(1356),
    [sym_list_comprehension] = STATE(1356),
    [sym_dictionary] = STATE(1356),
    [sym_dictionary_comprehension] = STATE(1356),
    [sym_set] = STATE(1356),
    [sym_set_comprehension] = STATE(1356),
    [sym_parenthesized_expression] = STATE(1356),
    [sym_tuple] = STATE(1356),
    [sym_generator_expression] = STATE(1356),
    [sym_concatenated_string] = STATE(1356),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(2938),
    [sym_float] = ACTIONS(2938),
    [sym_identifier] = ACTIONS(2938),
    [sym_true] = ACTIONS(2938),
    [sym_false] = ACTIONS(2938),
    [sym_none] = ACTIONS(2938),
    [sym_comment] = ACTIONS(69),
  },
  [985] = {
    [sym__primary_expression] = STATE(1351),
    [sym_binary_operator] = STATE(1351),
    [sym_unary_operator] = STATE(1351),
    [sym_attribute] = STATE(1351),
    [sym_subscript] = STATE(1351),
    [sym_call] = STATE(1351),
    [sym_list] = STATE(1351),
    [sym_list_comprehension] = STATE(1351),
    [sym_dictionary] = STATE(1351),
    [sym_dictionary_comprehension] = STATE(1351),
    [sym_set] = STATE(1351),
    [sym_set_comprehension] = STATE(1351),
    [sym_parenthesized_expression] = STATE(1351),
    [sym_tuple] = STATE(1351),
    [sym_generator_expression] = STATE(1351),
    [sym_concatenated_string] = STATE(1351),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(2920),
    [sym_float] = ACTIONS(2920),
    [sym_identifier] = ACTIONS(2920),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [sym_none] = ACTIONS(2920),
    [sym_comment] = ACTIONS(69),
  },
  [986] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1357),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_else] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(1930),
    [anon_sym_not] = ACTIONS(1934),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(1946),
    [anon_sym_LT_EQ] = ACTIONS(1930),
    [anon_sym_EQ_EQ] = ACTIONS(1930),
    [anon_sym_BANG_EQ] = ACTIONS(1930),
    [anon_sym_GT_EQ] = ACTIONS(1930),
    [anon_sym_GT] = ACTIONS(1946),
    [anon_sym_LT_GT] = ACTIONS(1930),
    [anon_sym_is] = ACTIONS(1948),
    [sym_comment] = ACTIONS(69),
  },
  [987] = {
    [sym__expression] = STATE(506),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(506),
    [sym_boolean_operator] = STATE(506),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(506),
    [sym_lambda] = STATE(506),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(506),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(506),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [988] = {
    [sym__newline] = ACTIONS(2942),
    [anon_sym_DOT] = ACTIONS(2942),
    [anon_sym_LPAREN] = ACTIONS(2942),
    [anon_sym_COMMA] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2944),
    [anon_sym_GT_GT] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2942),
    [anon_sym_COLON] = ACTIONS(2942),
    [anon_sym_in] = ACTIONS(2942),
    [anon_sym_EQ] = ACTIONS(2944),
    [anon_sym_AT] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2942),
    [anon_sym_and] = ACTIONS(2942),
    [anon_sym_or] = ACTIONS(2942),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_SLASH] = ACTIONS(2944),
    [anon_sym_PERCENT] = ACTIONS(2944),
    [anon_sym_SLASH_SLASH] = ACTIONS(2944),
    [anon_sym_STAR_STAR] = ACTIONS(2944),
    [anon_sym_PIPE] = ACTIONS(2944),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_CARET] = ACTIONS(2944),
    [anon_sym_LT_LT] = ACTIONS(2944),
    [anon_sym_LT] = ACTIONS(2944),
    [anon_sym_LT_EQ] = ACTIONS(2942),
    [anon_sym_EQ_EQ] = ACTIONS(2942),
    [anon_sym_BANG_EQ] = ACTIONS(2942),
    [anon_sym_GT_EQ] = ACTIONS(2942),
    [anon_sym_GT] = ACTIONS(2944),
    [anon_sym_LT_GT] = ACTIONS(2942),
    [anon_sym_is] = ACTIONS(2942),
    [anon_sym_PLUS_EQ] = ACTIONS(2942),
    [anon_sym_DASH_EQ] = ACTIONS(2942),
    [anon_sym_STAR_EQ] = ACTIONS(2942),
    [anon_sym_SLASH_EQ] = ACTIONS(2942),
    [anon_sym_AT_EQ] = ACTIONS(2942),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2942),
    [anon_sym_PERCENT_EQ] = ACTIONS(2942),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2942),
    [anon_sym_GT_GT_EQ] = ACTIONS(2942),
    [anon_sym_LT_LT_EQ] = ACTIONS(2942),
    [anon_sym_AMP_EQ] = ACTIONS(2942),
    [anon_sym_CARET_EQ] = ACTIONS(2942),
    [anon_sym_PIPE_EQ] = ACTIONS(2942),
    [anon_sym_LBRACK] = ACTIONS(2942),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2942),
  },
  [989] = {
    [sym__expression] = STATE(1358),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1358),
    [sym_boolean_operator] = STATE(1358),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1358),
    [sym_lambda] = STATE(1358),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1358),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1358),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [990] = {
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [991] = {
    [sym__expression] = STATE(1359),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1359),
    [sym_boolean_operator] = STATE(1359),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1359),
    [sym_lambda] = STATE(1359),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1359),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1359),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [992] = {
    [sym__expression] = STATE(1360),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1360),
    [sym_boolean_operator] = STATE(1360),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1360),
    [sym_lambda] = STATE(1360),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1360),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1360),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [993] = {
    [sym_list_splat] = STATE(1362),
    [sym_dictionary_splat] = STATE(1362),
    [sym__expression] = STATE(1363),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1363),
    [sym_boolean_operator] = STATE(1363),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1363),
    [sym_lambda] = STATE(1363),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(1362),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1363),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1363),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [994] = {
    [aux_sym_argument_list_repeat1] = STATE(1365),
    [anon_sym_RPAREN] = ACTIONS(2946),
    [anon_sym_COMMA] = ACTIONS(2948),
    [sym_comment] = ACTIONS(69),
  },
  [995] = {
    [sym_argument_list] = STATE(182),
    [sym_generator_expression] = STATE(182),
    [sym__newline] = ACTIONS(2950),
    [anon_sym_DOT] = ACTIONS(301),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(305),
    [anon_sym_GT_GT] = ACTIONS(307),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_COLON] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_EQ] = ACTIONS(2952),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_SLASH] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(305),
    [anon_sym_SLASH_SLASH] = ACTIONS(305),
    [anon_sym_STAR_STAR] = ACTIONS(317),
    [anon_sym_PIPE] = ACTIONS(319),
    [anon_sym_AMP] = ACTIONS(321),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(307),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_PLUS_EQ] = ACTIONS(2950),
    [anon_sym_DASH_EQ] = ACTIONS(2950),
    [anon_sym_STAR_EQ] = ACTIONS(2950),
    [anon_sym_SLASH_EQ] = ACTIONS(2950),
    [anon_sym_AT_EQ] = ACTIONS(2950),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2950),
    [anon_sym_PERCENT_EQ] = ACTIONS(2950),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2950),
    [anon_sym_GT_GT_EQ] = ACTIONS(2950),
    [anon_sym_LT_LT_EQ] = ACTIONS(2950),
    [anon_sym_AMP_EQ] = ACTIONS(2950),
    [anon_sym_CARET_EQ] = ACTIONS(2950),
    [anon_sym_PIPE_EQ] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(329),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2950),
  },
  [996] = {
    [sym__expression] = STATE(1366),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(1366),
    [sym_boolean_operator] = STATE(1366),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(1366),
    [sym_lambda] = STATE(1366),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(1366),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(1366),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(2954),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(2954),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [997] = {
    [anon_sym_COMMA] = ACTIONS(2954),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(2956),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2954),
    [sym_comment] = ACTIONS(69),
  },
  [998] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
  },
  [999] = {
    [sym__expression] = STATE(1368),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1368),
    [sym_boolean_operator] = STATE(1368),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1368),
    [sym_lambda] = STATE(1368),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1368),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1368),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1000] = {
    [anon_sym_COLON] = ACTIONS(2958),
    [sym_comment] = ACTIONS(69),
  },
  [1001] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1370),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_RBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(2960),
    [sym_comment] = ACTIONS(69),
  },
  [1002] = {
    [sym__expression] = STATE(1372),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1372),
    [sym_boolean_operator] = STATE(1372),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1372),
    [sym_lambda] = STATE(1372),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(1373),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1372),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1372),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(2962),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1003] = {
    [sym__expression] = STATE(1374),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1374),
    [sym_boolean_operator] = STATE(1374),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1374),
    [sym_lambda] = STATE(1374),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1374),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1374),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1004] = {
    [sym__expression] = STATE(1375),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1375),
    [sym_boolean_operator] = STATE(1375),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1375),
    [sym_lambda] = STATE(1375),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1375),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1375),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(2954),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(2956),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(2954),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1005] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1006] = {
    [sym__expression] = STATE(1376),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1376),
    [sym_boolean_operator] = STATE(1376),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1376),
    [sym_lambda] = STATE(1376),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1376),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1376),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1007] = {
    [sym__newline] = ACTIONS(2964),
    [anon_sym_DOT] = ACTIONS(2964),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_COMMA] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_GT_GT] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_COLON] = ACTIONS(2964),
    [anon_sym_in] = ACTIONS(2964),
    [anon_sym_EQ] = ACTIONS(2966),
    [anon_sym_AT] = ACTIONS(2966),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_and] = ACTIONS(2964),
    [anon_sym_or] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_SLASH] = ACTIONS(2966),
    [anon_sym_PERCENT] = ACTIONS(2966),
    [anon_sym_SLASH_SLASH] = ACTIONS(2966),
    [anon_sym_STAR_STAR] = ACTIONS(2966),
    [anon_sym_PIPE] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2966),
    [anon_sym_CARET] = ACTIONS(2966),
    [anon_sym_LT_LT] = ACTIONS(2966),
    [anon_sym_LT] = ACTIONS(2966),
    [anon_sym_LT_EQ] = ACTIONS(2964),
    [anon_sym_EQ_EQ] = ACTIONS(2964),
    [anon_sym_BANG_EQ] = ACTIONS(2964),
    [anon_sym_GT_EQ] = ACTIONS(2964),
    [anon_sym_GT] = ACTIONS(2966),
    [anon_sym_LT_GT] = ACTIONS(2964),
    [anon_sym_is] = ACTIONS(2964),
    [anon_sym_PLUS_EQ] = ACTIONS(2964),
    [anon_sym_DASH_EQ] = ACTIONS(2964),
    [anon_sym_STAR_EQ] = ACTIONS(2964),
    [anon_sym_SLASH_EQ] = ACTIONS(2964),
    [anon_sym_AT_EQ] = ACTIONS(2964),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2964),
    [anon_sym_PERCENT_EQ] = ACTIONS(2964),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2964),
    [anon_sym_GT_GT_EQ] = ACTIONS(2964),
    [anon_sym_LT_LT_EQ] = ACTIONS(2964),
    [anon_sym_AMP_EQ] = ACTIONS(2964),
    [anon_sym_CARET_EQ] = ACTIONS(2964),
    [anon_sym_PIPE_EQ] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2964),
  },
  [1008] = {
    [aux_sym_subscript_repeat1] = STATE(1378),
    [anon_sym_COMMA] = ACTIONS(2968),
    [anon_sym_RBRACK] = ACTIONS(2962),
    [sym_comment] = ACTIONS(69),
  },
  [1009] = {
    [sym__primary_expression] = STATE(1379),
    [sym_binary_operator] = STATE(1379),
    [sym_unary_operator] = STATE(1379),
    [sym_attribute] = STATE(1379),
    [sym_subscript] = STATE(1379),
    [sym_call] = STATE(1379),
    [sym_list] = STATE(1379),
    [sym_list_comprehension] = STATE(1379),
    [sym_dictionary] = STATE(1379),
    [sym_dictionary_comprehension] = STATE(1379),
    [sym_set] = STATE(1379),
    [sym_set_comprehension] = STATE(1379),
    [sym_parenthesized_expression] = STATE(1379),
    [sym_tuple] = STATE(1379),
    [sym_generator_expression] = STATE(1379),
    [sym_concatenated_string] = STATE(1379),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(2972),
    [sym_float] = ACTIONS(2972),
    [sym_identifier] = ACTIONS(2972),
    [sym_true] = ACTIONS(2972),
    [sym_false] = ACTIONS(2972),
    [sym_none] = ACTIONS(2972),
    [sym_comment] = ACTIONS(69),
  },
  [1010] = {
    [sym__primary_expression] = STATE(1380),
    [sym_binary_operator] = STATE(1380),
    [sym_unary_operator] = STATE(1380),
    [sym_attribute] = STATE(1380),
    [sym_subscript] = STATE(1380),
    [sym_call] = STATE(1380),
    [sym_list] = STATE(1380),
    [sym_list_comprehension] = STATE(1380),
    [sym_dictionary] = STATE(1380),
    [sym_dictionary_comprehension] = STATE(1380),
    [sym_set] = STATE(1380),
    [sym_set_comprehension] = STATE(1380),
    [sym_parenthesized_expression] = STATE(1380),
    [sym_tuple] = STATE(1380),
    [sym_generator_expression] = STATE(1380),
    [sym_concatenated_string] = STATE(1380),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2974),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(2976),
    [sym_float] = ACTIONS(2976),
    [sym_identifier] = ACTIONS(2976),
    [sym_true] = ACTIONS(2976),
    [sym_false] = ACTIONS(2976),
    [sym_none] = ACTIONS(2976),
    [sym_comment] = ACTIONS(69),
  },
  [1011] = {
    [sym__primary_expression] = STATE(1381),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2978),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(2980),
    [sym_float] = ACTIONS(2980),
    [sym_identifier] = ACTIONS(2980),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [sym_none] = ACTIONS(2980),
    [sym_comment] = ACTIONS(69),
  },
  [1012] = {
    [anon_sym_in] = ACTIONS(2982),
    [sym_comment] = ACTIONS(69),
  },
  [1013] = {
    [sym__primary_expression] = STATE(1383),
    [sym_binary_operator] = STATE(1383),
    [sym_unary_operator] = STATE(1383),
    [sym_attribute] = STATE(1383),
    [sym_subscript] = STATE(1383),
    [sym_call] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_list_comprehension] = STATE(1383),
    [sym_dictionary] = STATE(1383),
    [sym_dictionary_comprehension] = STATE(1383),
    [sym_set] = STATE(1383),
    [sym_set_comprehension] = STATE(1383),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_tuple] = STATE(1383),
    [sym_generator_expression] = STATE(1383),
    [sym_concatenated_string] = STATE(1383),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2984),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(2986),
    [sym_float] = ACTIONS(2986),
    [sym_identifier] = ACTIONS(2986),
    [sym_true] = ACTIONS(2986),
    [sym_false] = ACTIONS(2986),
    [sym_none] = ACTIONS(2986),
    [sym_comment] = ACTIONS(69),
  },
  [1014] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1015] = {
    [sym__primary_expression] = STATE(1384),
    [sym_binary_operator] = STATE(1384),
    [sym_unary_operator] = STATE(1384),
    [sym_attribute] = STATE(1384),
    [sym_subscript] = STATE(1384),
    [sym_call] = STATE(1384),
    [sym_list] = STATE(1384),
    [sym_list_comprehension] = STATE(1384),
    [sym_dictionary] = STATE(1384),
    [sym_dictionary_comprehension] = STATE(1384),
    [sym_set] = STATE(1384),
    [sym_set_comprehension] = STATE(1384),
    [sym_parenthesized_expression] = STATE(1384),
    [sym_tuple] = STATE(1384),
    [sym_generator_expression] = STATE(1384),
    [sym_concatenated_string] = STATE(1384),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2988),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(2990),
    [sym_float] = ACTIONS(2990),
    [sym_identifier] = ACTIONS(2990),
    [sym_true] = ACTIONS(2990),
    [sym_false] = ACTIONS(2990),
    [sym_none] = ACTIONS(2990),
    [sym_comment] = ACTIONS(69),
  },
  [1016] = {
    [sym__primary_expression] = STATE(1385),
    [sym_binary_operator] = STATE(1385),
    [sym_unary_operator] = STATE(1385),
    [sym_attribute] = STATE(1385),
    [sym_subscript] = STATE(1385),
    [sym_call] = STATE(1385),
    [sym_list] = STATE(1385),
    [sym_list_comprehension] = STATE(1385),
    [sym_dictionary] = STATE(1385),
    [sym_dictionary_comprehension] = STATE(1385),
    [sym_set] = STATE(1385),
    [sym_set_comprehension] = STATE(1385),
    [sym_parenthesized_expression] = STATE(1385),
    [sym_tuple] = STATE(1385),
    [sym_generator_expression] = STATE(1385),
    [sym_concatenated_string] = STATE(1385),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(2994),
    [sym_float] = ACTIONS(2994),
    [sym_identifier] = ACTIONS(2994),
    [sym_true] = ACTIONS(2994),
    [sym_false] = ACTIONS(2994),
    [sym_none] = ACTIONS(2994),
    [sym_comment] = ACTIONS(69),
  },
  [1017] = {
    [sym__primary_expression] = STATE(1386),
    [sym_binary_operator] = STATE(1386),
    [sym_unary_operator] = STATE(1386),
    [sym_attribute] = STATE(1386),
    [sym_subscript] = STATE(1386),
    [sym_call] = STATE(1386),
    [sym_list] = STATE(1386),
    [sym_list_comprehension] = STATE(1386),
    [sym_dictionary] = STATE(1386),
    [sym_dictionary_comprehension] = STATE(1386),
    [sym_set] = STATE(1386),
    [sym_set_comprehension] = STATE(1386),
    [sym_parenthesized_expression] = STATE(1386),
    [sym_tuple] = STATE(1386),
    [sym_generator_expression] = STATE(1386),
    [sym_concatenated_string] = STATE(1386),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(2998),
    [sym_float] = ACTIONS(2998),
    [sym_identifier] = ACTIONS(2998),
    [sym_true] = ACTIONS(2998),
    [sym_false] = ACTIONS(2998),
    [sym_none] = ACTIONS(2998),
    [sym_comment] = ACTIONS(69),
  },
  [1018] = {
    [sym__primary_expression] = STATE(1381),
    [sym_binary_operator] = STATE(1381),
    [sym_unary_operator] = STATE(1381),
    [sym_attribute] = STATE(1381),
    [sym_subscript] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_list] = STATE(1381),
    [sym_list_comprehension] = STATE(1381),
    [sym_dictionary] = STATE(1381),
    [sym_dictionary_comprehension] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_set_comprehension] = STATE(1381),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_tuple] = STATE(1381),
    [sym_generator_expression] = STATE(1381),
    [sym_concatenated_string] = STATE(1381),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2978),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(2980),
    [sym_float] = ACTIONS(2980),
    [sym_identifier] = ACTIONS(2980),
    [sym_true] = ACTIONS(2980),
    [sym_false] = ACTIONS(2980),
    [sym_none] = ACTIONS(2980),
    [sym_comment] = ACTIONS(69),
  },
  [1019] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1387),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(2013),
    [anon_sym_not] = ACTIONS(2017),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(2029),
    [anon_sym_LT_EQ] = ACTIONS(2013),
    [anon_sym_EQ_EQ] = ACTIONS(2013),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_GT_EQ] = ACTIONS(2013),
    [anon_sym_GT] = ACTIONS(2029),
    [anon_sym_LT_GT] = ACTIONS(2013),
    [anon_sym_is] = ACTIONS(2031),
    [anon_sym_RBRACK] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
  },
  [1020] = {
    [sym_aliased_import] = STATE(547),
    [sym_dotted_name] = STATE(548),
    [sym_identifier] = ACTIONS(71),
    [sym_comment] = ACTIONS(69),
  },
  [1021] = {
    [aux_sym_dotted_name_repeat1] = STATE(1388),
    [anon_sym_DOT] = ACTIONS(351),
    [anon_sym_RPAREN] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(339),
    [anon_sym_as] = ACTIONS(339),
    [sym_comment] = ACTIONS(69),
  },
  [1022] = {
    [anon_sym_RPAREN] = ACTIONS(3002),
    [sym_comment] = ACTIONS(69),
  },
  [1023] = {
    [aux_sym__import_list_repeat1] = STATE(1391),
    [anon_sym_RPAREN] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(3004),
    [sym_comment] = ACTIONS(69),
  },
  [1024] = {
    [aux_sym__import_list_repeat1] = STATE(1391),
    [anon_sym_RPAREN] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_as] = ACTIONS(3006),
    [sym_comment] = ACTIONS(69),
  },
  [1025] = {
    [anon_sym_DOT] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_RPAREN] = ACTIONS(2133),
    [anon_sym_COMMA] = ACTIONS(2133),
    [anon_sym_as] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_COLON] = ACTIONS(2133),
    [anon_sym_else] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_in] = ACTIONS(2133),
    [anon_sym_EQ] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2133),
    [anon_sym_not] = ACTIONS(2133),
    [anon_sym_and] = ACTIONS(2133),
    [anon_sym_or] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2133),
    [anon_sym_SLASH_SLASH] = ACTIONS(2133),
    [anon_sym_STAR_STAR] = ACTIONS(2133),
    [anon_sym_PIPE] = ACTIONS(2133),
    [anon_sym_AMP] = ACTIONS(2133),
    [anon_sym_CARET] = ACTIONS(2133),
    [anon_sym_LT_LT] = ACTIONS(2133),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2133),
    [anon_sym_EQ_EQ] = ACTIONS(2133),
    [anon_sym_BANG_EQ] = ACTIONS(2133),
    [anon_sym_GT_EQ] = ACTIONS(2133),
    [anon_sym_GT] = ACTIONS(2135),
    [anon_sym_LT_GT] = ACTIONS(2133),
    [anon_sym_is] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2133),
    [anon_sym_RBRACK] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2133),
    [sym_comment] = ACTIONS(69),
  },
  [1026] = {
    [anon_sym_DOT] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_as] = ACTIONS(2147),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_COLON] = ACTIONS(2145),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_in] = ACTIONS(2145),
    [anon_sym_EQ] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_not] = ACTIONS(2145),
    [anon_sym_and] = ACTIONS(2145),
    [anon_sym_or] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH] = ACTIONS(2145),
    [anon_sym_STAR_STAR] = ACTIONS(2145),
    [anon_sym_PIPE] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_LT_GT] = ACTIONS(2145),
    [anon_sym_is] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_RBRACK] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [sym_comment] = ACTIONS(69),
  },
  [1027] = {
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_yield] = STATE(600),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(599),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(3008),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1028] = {
    [anon_sym_RPAREN] = ACTIONS(2639),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [1029] = {
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1030] = {
    [sym__expression] = STATE(1394),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1394),
    [sym_boolean_operator] = STATE(1394),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1394),
    [sym_lambda] = STATE(1394),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1394),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1394),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1031] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1031),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3010),
    [sym_comment] = ACTIONS(69),
  },
  [1032] = {
    [anon_sym_RPAREN] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1033] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3013),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1034] = {
    [anon_sym_RPAREN] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1035] = {
    [sym__expression] = STATE(1032),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1032),
    [sym_boolean_operator] = STATE(1032),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1032),
    [sym_lambda] = STATE(1032),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1032),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1032),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1036] = {
    [aux_sym_print_statement_repeat1] = STATE(1036),
    [anon_sym_RPAREN] = ACTIONS(1912),
    [anon_sym_COMMA] = ACTIONS(3015),
    [sym_comment] = ACTIONS(69),
  },
  [1037] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1038] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1150),
    [anon_sym_PERCENT] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1039] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_GT_GT] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1150),
    [anon_sym_PERCENT] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1166),
    [anon_sym_CARET] = ACTIONS(1168),
    [anon_sym_LT_LT] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1040] = {
    [sym__primary_expression] = STATE(1397),
    [sym_binary_operator] = STATE(1397),
    [sym_unary_operator] = STATE(1397),
    [sym_attribute] = STATE(1397),
    [sym_subscript] = STATE(1397),
    [sym_call] = STATE(1397),
    [sym_list] = STATE(1397),
    [sym_list_comprehension] = STATE(1397),
    [sym_dictionary] = STATE(1397),
    [sym_dictionary_comprehension] = STATE(1397),
    [sym_set] = STATE(1397),
    [sym_set_comprehension] = STATE(1397),
    [sym_parenthesized_expression] = STATE(1397),
    [sym_tuple] = STATE(1397),
    [sym_generator_expression] = STATE(1397),
    [sym_concatenated_string] = STATE(1397),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(3020),
    [sym_float] = ACTIONS(3020),
    [sym_identifier] = ACTIONS(3020),
    [sym_true] = ACTIONS(3020),
    [sym_false] = ACTIONS(3020),
    [sym_none] = ACTIONS(3020),
    [sym_comment] = ACTIONS(69),
  },
  [1041] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1150),
    [anon_sym_PERCENT] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1042] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_GT_GT] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1150),
    [anon_sym_PERCENT] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1166),
    [anon_sym_CARET] = ACTIONS(1168),
    [anon_sym_LT_LT] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1043] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_GT_GT] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1150),
    [anon_sym_PERCENT] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1168),
    [anon_sym_LT_LT] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1044] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_GT_GT] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1150),
    [anon_sym_PERCENT] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1045] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1045),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_not] = ACTIONS(3025),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_GT_EQ] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3028),
    [anon_sym_LT_GT] = ACTIONS(3022),
    [anon_sym_is] = ACTIONS(3031),
    [sym_comment] = ACTIONS(69),
  },
  [1046] = {
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_RPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_as] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_GT_GT] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_COLON] = ACTIONS(2680),
    [anon_sym_else] = ACTIONS(2680),
    [anon_sym_async] = ACTIONS(2680),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_in] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_AT] = ACTIONS(2680),
    [anon_sym_not] = ACTIONS(2680),
    [anon_sym_and] = ACTIONS(2680),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH] = ACTIONS(2680),
    [anon_sym_STAR_STAR] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_LT_LT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_LT_EQ] = ACTIONS(2680),
    [anon_sym_EQ_EQ] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_LT_GT] = ACTIONS(2680),
    [anon_sym_is] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_RBRACK] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [sym_comment] = ACTIONS(69),
  },
  [1047] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(871),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(871),
    [sym_boolean_operator] = STATE(871),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(871),
    [sym_lambda] = STATE(871),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(871),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(871),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(3034),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [1048] = {
    [anon_sym_DOT] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_RPAREN] = ACTIONS(2695),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_GT_GT] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_COLON] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2695),
    [anon_sym_async] = ACTIONS(2695),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2695),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_and] = ACTIONS(2695),
    [anon_sym_or] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH] = ACTIONS(2695),
    [anon_sym_STAR_STAR] = ACTIONS(2695),
    [anon_sym_PIPE] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LT_GT] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_RBRACK] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [sym_comment] = ACTIONS(69),
  },
  [1049] = {
    [anon_sym_DOT] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_RPAREN] = ACTIONS(2768),
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_as] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_COLON] = ACTIONS(2768),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_in] = ACTIONS(2768),
    [anon_sym_EQ] = ACTIONS(2770),
    [anon_sym_AT] = ACTIONS(2768),
    [anon_sym_not] = ACTIONS(2768),
    [anon_sym_and] = ACTIONS(2768),
    [anon_sym_or] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_SLASH] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2768),
    [anon_sym_SLASH_SLASH] = ACTIONS(2768),
    [anon_sym_STAR_STAR] = ACTIONS(2768),
    [anon_sym_PIPE] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_CARET] = ACTIONS(2768),
    [anon_sym_LT_LT] = ACTIONS(2768),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_LT_EQ] = ACTIONS(2768),
    [anon_sym_EQ_EQ] = ACTIONS(2768),
    [anon_sym_BANG_EQ] = ACTIONS(2768),
    [anon_sym_GT_EQ] = ACTIONS(2768),
    [anon_sym_GT] = ACTIONS(2770),
    [anon_sym_LT_GT] = ACTIONS(2768),
    [anon_sym_is] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym_RBRACK] = ACTIONS(2768),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [sym_comment] = ACTIONS(69),
  },
  [1050] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(914),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(914),
    [sym_boolean_operator] = STATE(914),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(914),
    [sym_lambda] = STATE(914),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(914),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(3036),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [1051] = {
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_RPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2777),
    [anon_sym_as] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_GT_GT] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_async] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_AT] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_and] = ACTIONS(2777),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2779),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH] = ACTIONS(2777),
    [anon_sym_STAR_STAR] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_LT_LT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_LT_EQ] = ACTIONS(2777),
    [anon_sym_EQ_EQ] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2777),
    [anon_sym_GT_EQ] = ACTIONS(2777),
    [anon_sym_GT] = ACTIONS(2779),
    [anon_sym_LT_GT] = ACTIONS(2777),
    [anon_sym_is] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_RBRACK] = ACTIONS(2777),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [sym_comment] = ACTIONS(69),
  },
  [1052] = {
    [sym_dictionary_splat] = STATE(919),
    [sym__expression] = STATE(920),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(920),
    [sym_boolean_operator] = STATE(920),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(920),
    [sym_lambda] = STATE(920),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_pair] = STATE(919),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(920),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1053] = {
    [anon_sym_DOT] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2830),
    [anon_sym_RPAREN] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2830),
    [anon_sym_as] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_GT_GT] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_COLON] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_in] = ACTIONS(2830),
    [anon_sym_EQ] = ACTIONS(2832),
    [anon_sym_AT] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_and] = ACTIONS(2830),
    [anon_sym_or] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_PERCENT] = ACTIONS(2830),
    [anon_sym_SLASH_SLASH] = ACTIONS(2830),
    [anon_sym_STAR_STAR] = ACTIONS(2830),
    [anon_sym_PIPE] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_LT_LT] = ACTIONS(2830),
    [anon_sym_LT] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2830),
    [anon_sym_EQ_EQ] = ACTIONS(2830),
    [anon_sym_BANG_EQ] = ACTIONS(2830),
    [anon_sym_GT_EQ] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2832),
    [anon_sym_LT_GT] = ACTIONS(2830),
    [anon_sym_is] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_RBRACK] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [sym_comment] = ACTIONS(69),
  },
  [1054] = {
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_RPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2864),
    [anon_sym_as] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_COLON] = ACTIONS(2864),
    [anon_sym_else] = ACTIONS(2864),
    [anon_sym_async] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_in] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2864),
    [anon_sym_not] = ACTIONS(2864),
    [anon_sym_and] = ACTIONS(2864),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_SLASH] = ACTIONS(2866),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_SLASH_SLASH] = ACTIONS(2864),
    [anon_sym_STAR_STAR] = ACTIONS(2864),
    [anon_sym_PIPE] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_CARET] = ACTIONS(2864),
    [anon_sym_LT_LT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2864),
    [anon_sym_EQ_EQ] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2864),
    [anon_sym_GT_EQ] = ACTIONS(2864),
    [anon_sym_GT] = ACTIONS(2866),
    [anon_sym_LT_GT] = ACTIONS(2864),
    [anon_sym_is] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_RBRACK] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2864),
    [sym_comment] = ACTIONS(69),
  },
  [1055] = {
    [sym__expression] = STATE(1401),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1401),
    [sym_boolean_operator] = STATE(1401),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1401),
    [sym_lambda] = STATE(1401),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1401),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1401),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1056] = {
    [anon_sym_in] = ACTIONS(3040),
    [sym_comment] = ACTIONS(69),
  },
  [1057] = {
    [sym__expression_within_for_in_clause] = STATE(1404),
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1058] = {
    [sym__expression] = STATE(1407),
    [sym__primary_expression] = STATE(1064),
    [sym_not_operator] = STATE(1407),
    [sym_boolean_operator] = STATE(1407),
    [sym_binary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_comparison_operator] = STATE(1407),
    [sym_lambda] = STATE(1407),
    [sym_attribute] = STATE(1064),
    [sym_subscript] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym_list] = STATE(1064),
    [sym_list_comprehension] = STATE(1064),
    [sym_dictionary] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(1064),
    [sym_set] = STATE(1064),
    [sym_set_comprehension] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_generator_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(1407),
    [sym_concatenated_string] = STATE(1064),
    [sym_await] = STATE(1407),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_lambda] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [sym_comment] = ACTIONS(69),
  },
  [1059] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [1060] = {
    [sym_lambda_parameters] = STATE(1409),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(3044),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [1061] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1410),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(3046),
    [sym_comment] = ACTIONS(69),
  },
  [1062] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(1064),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(1064),
    [sym_subscript] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym_list] = STATE(1064),
    [sym_list_comprehension] = STATE(1064),
    [sym_dictionary] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(1064),
    [sym_set] = STATE(1064),
    [sym_set_comprehension] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_generator_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(1064),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_lambda] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [sym_comment] = ACTIONS(69),
  },
  [1063] = {
    [anon_sym_RPAREN] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_async] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3052),
    [sym_comment] = ACTIONS(69),
  },
  [1064] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1424),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_GT_GT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(3058),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LT_GT] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1065] = {
    [sym_for_in_clause] = STATE(1065),
    [sym_if_clause] = STATE(1065),
    [aux_sym__comprehension_body_repeat1] = STATE(1065),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_async] = ACTIONS(3083),
    [anon_sym_for] = ACTIONS(3086),
    [sym_comment] = ACTIONS(69),
  },
  [1066] = {
    [sym__newline] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(3089),
    [anon_sym_COMMA] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_GT_GT] = ACTIONS(3091),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_COLON] = ACTIONS(3089),
    [anon_sym_in] = ACTIONS(3089),
    [anon_sym_EQ] = ACTIONS(3091),
    [anon_sym_AT] = ACTIONS(3091),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_and] = ACTIONS(3089),
    [anon_sym_or] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3091),
    [anon_sym_SLASH] = ACTIONS(3091),
    [anon_sym_PERCENT] = ACTIONS(3091),
    [anon_sym_SLASH_SLASH] = ACTIONS(3091),
    [anon_sym_STAR_STAR] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_CARET] = ACTIONS(3091),
    [anon_sym_LT_LT] = ACTIONS(3091),
    [anon_sym_LT] = ACTIONS(3091),
    [anon_sym_LT_EQ] = ACTIONS(3089),
    [anon_sym_EQ_EQ] = ACTIONS(3089),
    [anon_sym_BANG_EQ] = ACTIONS(3089),
    [anon_sym_GT_EQ] = ACTIONS(3089),
    [anon_sym_GT] = ACTIONS(3091),
    [anon_sym_LT_GT] = ACTIONS(3089),
    [anon_sym_is] = ACTIONS(3089),
    [anon_sym_PLUS_EQ] = ACTIONS(3089),
    [anon_sym_DASH_EQ] = ACTIONS(3089),
    [anon_sym_STAR_EQ] = ACTIONS(3089),
    [anon_sym_SLASH_EQ] = ACTIONS(3089),
    [anon_sym_AT_EQ] = ACTIONS(3089),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3089),
    [anon_sym_PERCENT_EQ] = ACTIONS(3089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3089),
    [anon_sym_GT_GT_EQ] = ACTIONS(3089),
    [anon_sym_LT_LT_EQ] = ACTIONS(3089),
    [anon_sym_AMP_EQ] = ACTIONS(3089),
    [anon_sym_CARET_EQ] = ACTIONS(3089),
    [anon_sym_PIPE_EQ] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3089),
  },
  [1067] = {
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_yield] = STATE(600),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(599),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1068] = {
    [anon_sym_DOT] = ACTIONS(2942),
    [anon_sym_LPAREN] = ACTIONS(2942),
    [anon_sym_RPAREN] = ACTIONS(2942),
    [anon_sym_COMMA] = ACTIONS(2942),
    [anon_sym_as] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2944),
    [anon_sym_GT_GT] = ACTIONS(2942),
    [anon_sym_if] = ACTIONS(2942),
    [anon_sym_COLON] = ACTIONS(2942),
    [anon_sym_else] = ACTIONS(2942),
    [anon_sym_async] = ACTIONS(2942),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_in] = ACTIONS(2942),
    [anon_sym_EQ] = ACTIONS(2944),
    [anon_sym_AT] = ACTIONS(2942),
    [anon_sym_not] = ACTIONS(2942),
    [anon_sym_and] = ACTIONS(2942),
    [anon_sym_or] = ACTIONS(2942),
    [anon_sym_PLUS] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2942),
    [anon_sym_SLASH] = ACTIONS(2944),
    [anon_sym_PERCENT] = ACTIONS(2942),
    [anon_sym_SLASH_SLASH] = ACTIONS(2942),
    [anon_sym_STAR_STAR] = ACTIONS(2942),
    [anon_sym_PIPE] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2942),
    [anon_sym_CARET] = ACTIONS(2942),
    [anon_sym_LT_LT] = ACTIONS(2942),
    [anon_sym_LT] = ACTIONS(2944),
    [anon_sym_LT_EQ] = ACTIONS(2942),
    [anon_sym_EQ_EQ] = ACTIONS(2942),
    [anon_sym_BANG_EQ] = ACTIONS(2942),
    [anon_sym_GT_EQ] = ACTIONS(2942),
    [anon_sym_GT] = ACTIONS(2944),
    [anon_sym_LT_GT] = ACTIONS(2942),
    [anon_sym_is] = ACTIONS(2942),
    [anon_sym_LBRACK] = ACTIONS(2942),
    [anon_sym_RBRACK] = ACTIONS(2942),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [sym_comment] = ACTIONS(69),
  },
  [1069] = {
    [sym_list_splat] = STATE(1362),
    [sym_dictionary_splat] = STATE(1362),
    [sym__expression] = STATE(1363),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1363),
    [sym_boolean_operator] = STATE(1363),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1363),
    [sym_lambda] = STATE(1363),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(1362),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1363),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1363),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1070] = {
    [aux_sym_argument_list_repeat1] = STATE(1365),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_COMMA] = ACTIONS(3095),
    [sym_comment] = ACTIONS(69),
  },
  [1071] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(2950),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(425),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(433),
    [anon_sym_DASH] = ACTIONS(433),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_SLASH_SLASH] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(435),
    [anon_sym_PIPE] = ACTIONS(437),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_CARET] = ACTIONS(441),
    [anon_sym_LT_LT] = ACTIONS(425),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1072] = {
    [sym__expression] = STATE(1372),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1372),
    [sym_boolean_operator] = STATE(1372),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1372),
    [sym_lambda] = STATE(1372),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(1373),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1372),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1372),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(3097),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1073] = {
    [anon_sym_DOT] = ACTIONS(2964),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_RPAREN] = ACTIONS(2964),
    [anon_sym_COMMA] = ACTIONS(2964),
    [anon_sym_as] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_GT_GT] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_COLON] = ACTIONS(2964),
    [anon_sym_else] = ACTIONS(2964),
    [anon_sym_async] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_in] = ACTIONS(2964),
    [anon_sym_EQ] = ACTIONS(2966),
    [anon_sym_AT] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_and] = ACTIONS(2964),
    [anon_sym_or] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_SLASH] = ACTIONS(2966),
    [anon_sym_PERCENT] = ACTIONS(2964),
    [anon_sym_SLASH_SLASH] = ACTIONS(2964),
    [anon_sym_STAR_STAR] = ACTIONS(2964),
    [anon_sym_PIPE] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_CARET] = ACTIONS(2964),
    [anon_sym_LT_LT] = ACTIONS(2964),
    [anon_sym_LT] = ACTIONS(2966),
    [anon_sym_LT_EQ] = ACTIONS(2964),
    [anon_sym_EQ_EQ] = ACTIONS(2964),
    [anon_sym_BANG_EQ] = ACTIONS(2964),
    [anon_sym_GT_EQ] = ACTIONS(2964),
    [anon_sym_GT] = ACTIONS(2966),
    [anon_sym_LT_GT] = ACTIONS(2964),
    [anon_sym_is] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_RBRACK] = ACTIONS(2964),
    [anon_sym_RBRACE] = ACTIONS(2964),
    [sym_comment] = ACTIONS(69),
  },
  [1074] = {
    [aux_sym_subscript_repeat1] = STATE(1378),
    [anon_sym_COMMA] = ACTIONS(3099),
    [anon_sym_RBRACK] = ACTIONS(3097),
    [sym_comment] = ACTIONS(69),
  },
  [1075] = {
    [sym__newline] = ACTIONS(2133),
    [anon_sym_DOT] = ACTIONS(2133),
    [anon_sym_from] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_COMMA] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(2135),
    [anon_sym_GT_GT] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_in] = ACTIONS(2133),
    [anon_sym_EQ] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(2133),
    [anon_sym_not] = ACTIONS(2133),
    [anon_sym_and] = ACTIONS(2133),
    [anon_sym_or] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_SLASH] = ACTIONS(2135),
    [anon_sym_PERCENT] = ACTIONS(2133),
    [anon_sym_SLASH_SLASH] = ACTIONS(2133),
    [anon_sym_STAR_STAR] = ACTIONS(2133),
    [anon_sym_PIPE] = ACTIONS(2133),
    [anon_sym_AMP] = ACTIONS(2133),
    [anon_sym_CARET] = ACTIONS(2133),
    [anon_sym_LT_LT] = ACTIONS(2133),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_LT_EQ] = ACTIONS(2133),
    [anon_sym_EQ_EQ] = ACTIONS(2133),
    [anon_sym_BANG_EQ] = ACTIONS(2133),
    [anon_sym_GT_EQ] = ACTIONS(2133),
    [anon_sym_GT] = ACTIONS(2135),
    [anon_sym_LT_GT] = ACTIONS(2133),
    [anon_sym_is] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2133),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2133),
  },
  [1076] = {
    [sym__newline] = ACTIONS(2145),
    [anon_sym_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_STAR] = ACTIONS(2147),
    [anon_sym_GT_GT] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_in] = ACTIONS(2145),
    [anon_sym_EQ] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_not] = ACTIONS(2145),
    [anon_sym_and] = ACTIONS(2145),
    [anon_sym_or] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_SLASH] = ACTIONS(2147),
    [anon_sym_PERCENT] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH] = ACTIONS(2145),
    [anon_sym_STAR_STAR] = ACTIONS(2145),
    [anon_sym_PIPE] = ACTIONS(2145),
    [anon_sym_AMP] = ACTIONS(2145),
    [anon_sym_CARET] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_LT_EQ] = ACTIONS(2145),
    [anon_sym_EQ_EQ] = ACTIONS(2145),
    [anon_sym_BANG_EQ] = ACTIONS(2145),
    [anon_sym_GT_EQ] = ACTIONS(2145),
    [anon_sym_GT] = ACTIONS(2147),
    [anon_sym_LT_GT] = ACTIONS(2145),
    [anon_sym_is] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2145),
  },
  [1077] = {
    [sym__expression] = STATE(599),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(599),
    [sym_boolean_operator] = STATE(599),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(599),
    [sym_lambda] = STATE(599),
    [sym_yield] = STATE(600),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(599),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(599),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(3101),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_yield] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1078] = {
    [sym__newline] = ACTIONS(2639),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2639),
  },
  [1079] = {
    [sym__newline] = ACTIONS(2680),
    [anon_sym_DOT] = ACTIONS(2680),
    [anon_sym_from] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_COMMA] = ACTIONS(2680),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_GT_GT] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_in] = ACTIONS(2680),
    [anon_sym_EQ] = ACTIONS(2682),
    [anon_sym_AT] = ACTIONS(2680),
    [anon_sym_not] = ACTIONS(2680),
    [anon_sym_and] = ACTIONS(2680),
    [anon_sym_or] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_PERCENT] = ACTIONS(2680),
    [anon_sym_SLASH_SLASH] = ACTIONS(2680),
    [anon_sym_STAR_STAR] = ACTIONS(2680),
    [anon_sym_PIPE] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_LT_LT] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_LT_EQ] = ACTIONS(2680),
    [anon_sym_EQ_EQ] = ACTIONS(2680),
    [anon_sym_BANG_EQ] = ACTIONS(2680),
    [anon_sym_GT_EQ] = ACTIONS(2680),
    [anon_sym_GT] = ACTIONS(2682),
    [anon_sym_LT_GT] = ACTIONS(2680),
    [anon_sym_is] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2680),
  },
  [1080] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(871),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(871),
    [sym_boolean_operator] = STATE(871),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(871),
    [sym_lambda] = STATE(871),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(871),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(871),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(3103),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [1081] = {
    [sym__newline] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2695),
    [anon_sym_from] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_GT_GT] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2695),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_not] = ACTIONS(2695),
    [anon_sym_and] = ACTIONS(2695),
    [anon_sym_or] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH] = ACTIONS(2695),
    [anon_sym_STAR_STAR] = ACTIONS(2695),
    [anon_sym_PIPE] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LT_GT] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2695),
  },
  [1082] = {
    [sym__newline] = ACTIONS(2768),
    [anon_sym_DOT] = ACTIONS(2768),
    [anon_sym_from] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2770),
    [anon_sym_GT_GT] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_in] = ACTIONS(2768),
    [anon_sym_EQ] = ACTIONS(2770),
    [anon_sym_AT] = ACTIONS(2768),
    [anon_sym_not] = ACTIONS(2768),
    [anon_sym_and] = ACTIONS(2768),
    [anon_sym_or] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_SLASH] = ACTIONS(2770),
    [anon_sym_PERCENT] = ACTIONS(2768),
    [anon_sym_SLASH_SLASH] = ACTIONS(2768),
    [anon_sym_STAR_STAR] = ACTIONS(2768),
    [anon_sym_PIPE] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_CARET] = ACTIONS(2768),
    [anon_sym_LT_LT] = ACTIONS(2768),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_LT_EQ] = ACTIONS(2768),
    [anon_sym_EQ_EQ] = ACTIONS(2768),
    [anon_sym_BANG_EQ] = ACTIONS(2768),
    [anon_sym_GT_EQ] = ACTIONS(2768),
    [anon_sym_GT] = ACTIONS(2770),
    [anon_sym_LT_GT] = ACTIONS(2768),
    [anon_sym_is] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2768),
  },
  [1083] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(914),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(914),
    [sym_boolean_operator] = STATE(914),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(914),
    [sym_lambda] = STATE(914),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(914),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [1084] = {
    [sym__newline] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_from] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_GT_GT] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_in] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_AT] = ACTIONS(2777),
    [anon_sym_not] = ACTIONS(2777),
    [anon_sym_and] = ACTIONS(2777),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2779),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH] = ACTIONS(2777),
    [anon_sym_STAR_STAR] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_LT_LT] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_LT_EQ] = ACTIONS(2777),
    [anon_sym_EQ_EQ] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2777),
    [anon_sym_GT_EQ] = ACTIONS(2777),
    [anon_sym_GT] = ACTIONS(2779),
    [anon_sym_LT_GT] = ACTIONS(2777),
    [anon_sym_is] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2777),
  },
  [1085] = {
    [sym_dictionary_splat] = STATE(919),
    [sym__expression] = STATE(920),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(920),
    [sym_boolean_operator] = STATE(920),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(920),
    [sym_lambda] = STATE(920),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_pair] = STATE(919),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(920),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1086] = {
    [sym__newline] = ACTIONS(2830),
    [anon_sym_DOT] = ACTIONS(2830),
    [anon_sym_from] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2830),
    [anon_sym_COMMA] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_GT_GT] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_in] = ACTIONS(2830),
    [anon_sym_EQ] = ACTIONS(2832),
    [anon_sym_AT] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_and] = ACTIONS(2830),
    [anon_sym_or] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_PERCENT] = ACTIONS(2830),
    [anon_sym_SLASH_SLASH] = ACTIONS(2830),
    [anon_sym_STAR_STAR] = ACTIONS(2830),
    [anon_sym_PIPE] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_LT_LT] = ACTIONS(2830),
    [anon_sym_LT] = ACTIONS(2832),
    [anon_sym_LT_EQ] = ACTIONS(2830),
    [anon_sym_EQ_EQ] = ACTIONS(2830),
    [anon_sym_BANG_EQ] = ACTIONS(2830),
    [anon_sym_GT_EQ] = ACTIONS(2830),
    [anon_sym_GT] = ACTIONS(2832),
    [anon_sym_LT_GT] = ACTIONS(2830),
    [anon_sym_is] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2830),
  },
  [1087] = {
    [sym__newline] = ACTIONS(2864),
    [anon_sym_DOT] = ACTIONS(2864),
    [anon_sym_from] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_COMMA] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_GT_GT] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_in] = ACTIONS(2864),
    [anon_sym_EQ] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2864),
    [anon_sym_not] = ACTIONS(2864),
    [anon_sym_and] = ACTIONS(2864),
    [anon_sym_or] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_SLASH] = ACTIONS(2866),
    [anon_sym_PERCENT] = ACTIONS(2864),
    [anon_sym_SLASH_SLASH] = ACTIONS(2864),
    [anon_sym_STAR_STAR] = ACTIONS(2864),
    [anon_sym_PIPE] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_CARET] = ACTIONS(2864),
    [anon_sym_LT_LT] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_LT_EQ] = ACTIONS(2864),
    [anon_sym_EQ_EQ] = ACTIONS(2864),
    [anon_sym_BANG_EQ] = ACTIONS(2864),
    [anon_sym_GT_EQ] = ACTIONS(2864),
    [anon_sym_GT] = ACTIONS(2866),
    [anon_sym_LT_GT] = ACTIONS(2864),
    [anon_sym_is] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2864),
  },
  [1088] = {
    [sym__expression] = STATE(1433),
    [sym__primary_expression] = STATE(73),
    [sym_not_operator] = STATE(1433),
    [sym_boolean_operator] = STATE(1433),
    [sym_binary_operator] = STATE(73),
    [sym_unary_operator] = STATE(73),
    [sym_comparison_operator] = STATE(1433),
    [sym_lambda] = STATE(1433),
    [sym_attribute] = STATE(73),
    [sym_subscript] = STATE(73),
    [sym_call] = STATE(73),
    [sym_list] = STATE(73),
    [sym_list_comprehension] = STATE(73),
    [sym_dictionary] = STATE(73),
    [sym_dictionary_comprehension] = STATE(73),
    [sym_set] = STATE(73),
    [sym_set_comprehension] = STATE(73),
    [sym_parenthesized_expression] = STATE(73),
    [sym_tuple] = STATE(73),
    [sym_generator_expression] = STATE(73),
    [sym_conditional_expression] = STATE(1433),
    [sym_concatenated_string] = STATE(73),
    [sym_await] = STATE(1433),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(113),
    [anon_sym_lambda] = ACTIONS(115),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(121),
    [sym_integer] = ACTIONS(123),
    [sym_float] = ACTIONS(123),
    [sym_identifier] = ACTIONS(123),
    [sym_true] = ACTIONS(123),
    [sym_false] = ACTIONS(123),
    [sym_none] = ACTIONS(123),
    [anon_sym_await] = ACTIONS(125),
    [sym_comment] = ACTIONS(69),
  },
  [1089] = {
    [sym__newline] = ACTIONS(2942),
    [anon_sym_DOT] = ACTIONS(2942),
    [anon_sym_from] = ACTIONS(2942),
    [anon_sym_LPAREN] = ACTIONS(2942),
    [anon_sym_COMMA] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2944),
    [anon_sym_GT_GT] = ACTIONS(2942),
    [anon_sym_if] = ACTIONS(2942),
    [anon_sym_in] = ACTIONS(2942),
    [anon_sym_EQ] = ACTIONS(2944),
    [anon_sym_AT] = ACTIONS(2942),
    [anon_sym_not] = ACTIONS(2942),
    [anon_sym_and] = ACTIONS(2942),
    [anon_sym_or] = ACTIONS(2942),
    [anon_sym_PLUS] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2942),
    [anon_sym_SLASH] = ACTIONS(2944),
    [anon_sym_PERCENT] = ACTIONS(2942),
    [anon_sym_SLASH_SLASH] = ACTIONS(2942),
    [anon_sym_STAR_STAR] = ACTIONS(2942),
    [anon_sym_PIPE] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2942),
    [anon_sym_CARET] = ACTIONS(2942),
    [anon_sym_LT_LT] = ACTIONS(2942),
    [anon_sym_LT] = ACTIONS(2944),
    [anon_sym_LT_EQ] = ACTIONS(2942),
    [anon_sym_EQ_EQ] = ACTIONS(2942),
    [anon_sym_BANG_EQ] = ACTIONS(2942),
    [anon_sym_GT_EQ] = ACTIONS(2942),
    [anon_sym_GT] = ACTIONS(2944),
    [anon_sym_LT_GT] = ACTIONS(2942),
    [anon_sym_is] = ACTIONS(2942),
    [anon_sym_LBRACK] = ACTIONS(2942),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2942),
  },
  [1090] = {
    [sym_list_splat] = STATE(1362),
    [sym_dictionary_splat] = STATE(1362),
    [sym__expression] = STATE(1363),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1363),
    [sym_boolean_operator] = STATE(1363),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1363),
    [sym_lambda] = STATE(1363),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(1362),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1363),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1363),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1091] = {
    [aux_sym_argument_list_repeat1] = STATE(1365),
    [anon_sym_RPAREN] = ACTIONS(3109),
    [anon_sym_COMMA] = ACTIONS(3111),
    [sym_comment] = ACTIONS(69),
  },
  [1092] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(2950),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(493),
    [anon_sym_DASH] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(489),
    [anon_sym_SLASH_SLASH] = ACTIONS(489),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(497),
    [anon_sym_AMP] = ACTIONS(499),
    [anon_sym_CARET] = ACTIONS(501),
    [anon_sym_LT_LT] = ACTIONS(485),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2950),
  },
  [1093] = {
    [sym__expression] = STATE(1372),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1372),
    [sym_boolean_operator] = STATE(1372),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1372),
    [sym_lambda] = STATE(1372),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(1373),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1372),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1372),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(3113),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1094] = {
    [sym__newline] = ACTIONS(2964),
    [anon_sym_DOT] = ACTIONS(2964),
    [anon_sym_from] = ACTIONS(2964),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_COMMA] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_GT_GT] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_in] = ACTIONS(2964),
    [anon_sym_EQ] = ACTIONS(2966),
    [anon_sym_AT] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_and] = ACTIONS(2964),
    [anon_sym_or] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_SLASH] = ACTIONS(2966),
    [anon_sym_PERCENT] = ACTIONS(2964),
    [anon_sym_SLASH_SLASH] = ACTIONS(2964),
    [anon_sym_STAR_STAR] = ACTIONS(2964),
    [anon_sym_PIPE] = ACTIONS(2964),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_CARET] = ACTIONS(2964),
    [anon_sym_LT_LT] = ACTIONS(2964),
    [anon_sym_LT] = ACTIONS(2966),
    [anon_sym_LT_EQ] = ACTIONS(2964),
    [anon_sym_EQ_EQ] = ACTIONS(2964),
    [anon_sym_BANG_EQ] = ACTIONS(2964),
    [anon_sym_GT_EQ] = ACTIONS(2964),
    [anon_sym_GT] = ACTIONS(2966),
    [anon_sym_LT_GT] = ACTIONS(2964),
    [anon_sym_is] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2964),
  },
  [1095] = {
    [aux_sym_subscript_repeat1] = STATE(1378),
    [anon_sym_COMMA] = ACTIONS(3115),
    [anon_sym_RBRACK] = ACTIONS(3113),
    [sym_comment] = ACTIONS(69),
  },
  [1096] = {
    [sym__newline] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_and] = ACTIONS(1330),
    [anon_sym_or] = ACTIONS(1332),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1641),
  },
  [1097] = {
    [sym__expression] = STATE(1438),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(1438),
    [sym_boolean_operator] = STATE(1438),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(1438),
    [sym_lambda] = STATE(1438),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(1438),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(1438),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [1098] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1098),
    [sym__newline] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3117),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1859),
  },
  [1099] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3120),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1100] = {
    [sym__newline] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1330),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1950),
  },
  [1101] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1102] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(1340),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1103] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(1340),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [1104] = {
    [sym__primary_expression] = STATE(1440),
    [sym_binary_operator] = STATE(1440),
    [sym_unary_operator] = STATE(1440),
    [sym_attribute] = STATE(1440),
    [sym_subscript] = STATE(1440),
    [sym_call] = STATE(1440),
    [sym_list] = STATE(1440),
    [sym_list_comprehension] = STATE(1440),
    [sym_dictionary] = STATE(1440),
    [sym_dictionary_comprehension] = STATE(1440),
    [sym_set] = STATE(1440),
    [sym_set_comprehension] = STATE(1440),
    [sym_parenthesized_expression] = STATE(1440),
    [sym_tuple] = STATE(1440),
    [sym_generator_expression] = STATE(1440),
    [sym_concatenated_string] = STATE(1440),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(3124),
    [sym_float] = ACTIONS(3124),
    [sym_identifier] = ACTIONS(3124),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [sym_none] = ACTIONS(3124),
    [sym_comment] = ACTIONS(69),
  },
  [1105] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(1340),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1106] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(1340),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1107] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(1340),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1108] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(1340),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1109] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1109),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3129),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3126),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_GT] = ACTIONS(3126),
    [anon_sym_is] = ACTIONS(3135),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [1110] = {
    [sym__newline] = ACTIONS(2639),
    [anon_sym_from] = ACTIONS(2639),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_and] = ACTIONS(545),
    [anon_sym_or] = ACTIONS(547),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2639),
  },
  [1111] = {
    [sym__expression] = STATE(1441),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(1441),
    [sym_boolean_operator] = STATE(1441),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(1441),
    [sym_lambda] = STATE(1441),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(1441),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(1441),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
  },
  [1112] = {
    [sym__expression] = STATE(693),
    [sym__primary_expression] = STATE(86),
    [sym_not_operator] = STATE(693),
    [sym_boolean_operator] = STATE(693),
    [sym_binary_operator] = STATE(86),
    [sym_unary_operator] = STATE(86),
    [sym_comparison_operator] = STATE(693),
    [sym_lambda] = STATE(693),
    [sym_attribute] = STATE(86),
    [sym_subscript] = STATE(86),
    [sym_call] = STATE(86),
    [sym_list] = STATE(86),
    [sym_list_comprehension] = STATE(86),
    [sym_dictionary] = STATE(86),
    [sym_dictionary_comprehension] = STATE(86),
    [sym_set] = STATE(86),
    [sym_set_comprehension] = STATE(86),
    [sym_parenthesized_expression] = STATE(86),
    [sym_tuple] = STATE(86),
    [sym_generator_expression] = STATE(86),
    [sym_conditional_expression] = STATE(693),
    [sym_concatenated_string] = STATE(86),
    [sym_await] = STATE(693),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_lambda] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(147),
    [sym_integer] = ACTIONS(149),
    [sym_float] = ACTIONS(149),
    [sym_identifier] = ACTIONS(149),
    [sym_true] = ACTIONS(149),
    [sym_false] = ACTIONS(149),
    [sym_none] = ACTIONS(149),
    [anon_sym_await] = ACTIONS(151),
    [sym_comment] = ACTIONS(69),
  },
  [1113] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(2950),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_from] = ACTIONS(2950),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(549),
    [anon_sym_GT_GT] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(555),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(555),
    [anon_sym_SLASH_SLASH] = ACTIONS(555),
    [anon_sym_STAR_STAR] = ACTIONS(561),
    [anon_sym_PIPE] = ACTIONS(563),
    [anon_sym_AMP] = ACTIONS(565),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(551),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2950),
  },
  [1114] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1115] = {
    [sym__expression] = STATE(1442),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1442),
    [sym_boolean_operator] = STATE(1442),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1442),
    [sym_lambda] = STATE(1442),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1442),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1442),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1116] = {
    [ts_builtin_sym_end] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_elif] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1117] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(3138),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1118] = {
    [ts_builtin_sym_end] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_elif] = ACTIONS(575),
    [anon_sym_else] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [1119] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(3140),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1120] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(3140),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3142),
  },
  [1121] = {
    [sym__expression] = STATE(1446),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1446),
    [sym_boolean_operator] = STATE(1446),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1446),
    [sym_lambda] = STATE(1446),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1446),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1446),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1122] = {
    [anon_sym_COLON] = ACTIONS(3144),
    [sym_comment] = ACTIONS(69),
  },
  [1123] = {
    [ts_builtin_sym_end] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_from] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_print] = ACTIONS(3148),
    [anon_sym_assert] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_del] = ACTIONS(3148),
    [anon_sym_raise] = ACTIONS(3148),
    [sym_pass_statement] = ACTIONS(3148),
    [sym_break_statement] = ACTIONS(3148),
    [sym_continue_statement] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_def] = ACTIONS(3148),
    [anon_sym_global] = ACTIONS(3148),
    [anon_sym_nonlocal] = ACTIONS(3148),
    [anon_sym_exec] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_lambda] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [sym_ellipsis] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [sym_string] = ACTIONS(3146),
    [sym_integer] = ACTIONS(3148),
    [sym_float] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_none] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [sym_comment] = ACTIONS(69),
  },
  [1124] = {
    [sym_elif_clause] = STATE(1449),
    [sym_else_clause] = STATE(1448),
    [aux_sym_if_statement_repeat1] = STATE(1449),
    [ts_builtin_sym_end] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_from] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_print] = ACTIONS(3148),
    [anon_sym_assert] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_del] = ACTIONS(3148),
    [anon_sym_raise] = ACTIONS(3148),
    [sym_pass_statement] = ACTIONS(3148),
    [sym_break_statement] = ACTIONS(3148),
    [sym_continue_statement] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_elif] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2337),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_def] = ACTIONS(3148),
    [anon_sym_global] = ACTIONS(3148),
    [anon_sym_nonlocal] = ACTIONS(3148),
    [anon_sym_exec] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_lambda] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [sym_ellipsis] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [sym_string] = ACTIONS(3146),
    [sym_integer] = ACTIONS(3148),
    [sym_float] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_none] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [sym_comment] = ACTIONS(69),
  },
  [1125] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_GT_GT] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_COLON] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(601),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(601),
    [anon_sym_SLASH_SLASH] = ACTIONS(601),
    [anon_sym_STAR_STAR] = ACTIONS(607),
    [anon_sym_PIPE] = ACTIONS(609),
    [anon_sym_AMP] = ACTIONS(611),
    [anon_sym_CARET] = ACTIONS(613),
    [anon_sym_LT_LT] = ACTIONS(597),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1126] = {
    [anon_sym_COLON] = ACTIONS(3150),
    [sym_comment] = ACTIONS(69),
  },
  [1127] = {
    [ts_builtin_sym_end] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_from] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_print] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_del] = ACTIONS(3154),
    [anon_sym_raise] = ACTIONS(3154),
    [sym_pass_statement] = ACTIONS(3154),
    [sym_break_statement] = ACTIONS(3154),
    [sym_continue_statement] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_def] = ACTIONS(3154),
    [anon_sym_global] = ACTIONS(3154),
    [anon_sym_nonlocal] = ACTIONS(3154),
    [anon_sym_exec] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_lambda] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [sym_ellipsis] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [sym_string] = ACTIONS(3152),
    [sym_integer] = ACTIONS(3154),
    [sym_float] = ACTIONS(3154),
    [sym_identifier] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_none] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [sym_comment] = ACTIONS(69),
  },
  [1128] = {
    [sym__simple_statements] = STATE(1451),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1451),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1129] = {
    [sym__simple_statements] = STATE(1452),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1452),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1130] = {
    [sym__expression] = STATE(1191),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1191),
    [sym_boolean_operator] = STATE(1191),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1191),
    [sym_lambda] = STATE(1191),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_type] = STATE(1453),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1191),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1191),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1131] = {
    [sym__simple_statements] = STATE(1454),
    [sym_import_statement] = STATE(743),
    [sym_import_from_statement] = STATE(743),
    [sym_print_statement] = STATE(743),
    [sym_assert_statement] = STATE(743),
    [sym_expression_statement] = STATE(743),
    [sym_return_statement] = STATE(743),
    [sym_delete_statement] = STATE(743),
    [sym_raise_statement] = STATE(743),
    [sym_global_statement] = STATE(743),
    [sym_nonlocal_statement] = STATE(743),
    [sym_exec_statement] = STATE(743),
    [sym__suite] = STATE(1454),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1489),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1491),
    [sym_break_statement] = ACTIONS(1491),
    [sym_continue_statement] = ACTIONS(1491),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1132] = {
    [sym__expression] = STATE(1455),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1455),
    [sym_boolean_operator] = STATE(1455),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1455),
    [sym_lambda] = STATE(1455),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1455),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1455),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1133] = {
    [aux_sym_print_statement_repeat1] = STATE(1457),
    [anon_sym_COMMA] = ACTIONS(3156),
    [anon_sym_COLON] = ACTIONS(907),
    [sym_comment] = ACTIONS(69),
  },
  [1134] = {
    [sym__primary_expression] = STATE(733),
    [sym_binary_operator] = STATE(733),
    [sym_unary_operator] = STATE(733),
    [sym_attribute] = STATE(733),
    [sym_subscript] = STATE(733),
    [sym_call] = STATE(733),
    [sym_list] = STATE(733),
    [sym_list_comprehension] = STATE(733),
    [sym_dictionary] = STATE(733),
    [sym_dictionary_comprehension] = STATE(733),
    [sym_set] = STATE(733),
    [sym_set_comprehension] = STATE(733),
    [sym_parenthesized_expression] = STATE(733),
    [sym_tuple] = STATE(733),
    [sym_generator_expression] = STATE(733),
    [sym_concatenated_string] = STATE(733),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(1459),
    [sym_float] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1459),
    [sym_true] = ACTIONS(1459),
    [sym_false] = ACTIONS(1459),
    [sym_none] = ACTIONS(1459),
    [sym_comment] = ACTIONS(69),
  },
  [1135] = {
    [ts_builtin_sym_end] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1136] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(3158),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1137] = {
    [ts_builtin_sym_end] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_else] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [1138] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1139] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(3160),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3162),
  },
  [1140] = {
    [ts_builtin_sym_end] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_from] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_print] = ACTIONS(3166),
    [anon_sym_assert] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_del] = ACTIONS(3166),
    [anon_sym_raise] = ACTIONS(3166),
    [sym_pass_statement] = ACTIONS(3166),
    [sym_break_statement] = ACTIONS(3166),
    [sym_continue_statement] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_def] = ACTIONS(3166),
    [anon_sym_global] = ACTIONS(3166),
    [anon_sym_nonlocal] = ACTIONS(3166),
    [anon_sym_exec] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_lambda] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [sym_ellipsis] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [sym_string] = ACTIONS(3164),
    [sym_integer] = ACTIONS(3166),
    [sym_float] = ACTIONS(3166),
    [sym_identifier] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_none] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [sym_comment] = ACTIONS(69),
  },
  [1141] = {
    [sym__dedent] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [1142] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(3168),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1143] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(3168),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3170),
  },
  [1144] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(3172),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1145] = {
    [sym_variables] = STATE(1464),
    [sym__primary_expression] = STATE(103),
    [sym_binary_operator] = STATE(103),
    [sym_unary_operator] = STATE(103),
    [sym_attribute] = STATE(103),
    [sym_subscript] = STATE(103),
    [sym_call] = STATE(103),
    [sym_list] = STATE(103),
    [sym_list_comprehension] = STATE(103),
    [sym_dictionary] = STATE(103),
    [sym_dictionary_comprehension] = STATE(103),
    [sym_set] = STATE(103),
    [sym_set_comprehension] = STATE(103),
    [sym_parenthesized_expression] = STATE(103),
    [sym_tuple] = STATE(103),
    [sym_generator_expression] = STATE(103),
    [sym_concatenated_string] = STATE(103),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_TILDE] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(181),
    [sym_integer] = ACTIONS(183),
    [sym_float] = ACTIONS(183),
    [sym_identifier] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_none] = ACTIONS(183),
    [sym_comment] = ACTIONS(69),
  },
  [1146] = {
    [sym_with_item] = STATE(1465),
    [sym__expression] = STATE(112),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(112),
    [sym_boolean_operator] = STATE(112),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(112),
    [sym_lambda] = STATE(112),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(112),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(112),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [1147] = {
    [sym_identifier] = ACTIONS(3174),
    [sym_comment] = ACTIONS(69),
  },
  [1148] = {
    [anon_sym_in] = ACTIONS(3176),
    [sym_comment] = ACTIONS(69),
  },
  [1149] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(3178),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1150] = {
    [sym__simple_statements] = STATE(1469),
    [sym_import_statement] = STATE(364),
    [sym_import_from_statement] = STATE(364),
    [sym_print_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_expression_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_delete_statement] = STATE(364),
    [sym_raise_statement] = STATE(364),
    [sym_global_statement] = STATE(364),
    [sym_nonlocal_statement] = STATE(364),
    [sym_exec_statement] = STATE(364),
    [sym__suite] = STATE(1469),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(649),
    [sym_break_statement] = ACTIONS(649),
    [sym_continue_statement] = ACTIONS(649),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1151] = {
    [aux_sym_with_statement_repeat1] = STATE(1471),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(3180),
    [sym_comment] = ACTIONS(69),
  },
  [1152] = {
    [sym_parameters] = STATE(1472),
    [anon_sym_LPAREN] = ACTIONS(693),
    [sym_comment] = ACTIONS(69),
  },
  [1153] = {
    [sym_argument_list] = STATE(1474),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_COLON] = ACTIONS(3182),
    [sym_comment] = ACTIONS(69),
  },
  [1154] = {
    [ts_builtin_sym_end] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_except] = ACTIONS(3186),
    [anon_sym_finally] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1155] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(999),
    [anon_sym_import] = ACTIONS(1001),
    [anon_sym_from] = ACTIONS(1004),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_print] = ACTIONS(1010),
    [anon_sym_assert] = ACTIONS(1013),
    [anon_sym_return] = ACTIONS(1016),
    [anon_sym_del] = ACTIONS(1019),
    [anon_sym_raise] = ACTIONS(1022),
    [sym_pass_statement] = ACTIONS(3188),
    [sym_break_statement] = ACTIONS(3188),
    [sym_continue_statement] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3191),
    [anon_sym_async] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_def] = ACTIONS(3209),
    [anon_sym_global] = ACTIONS(1049),
    [anon_sym_nonlocal] = ACTIONS(1052),
    [anon_sym_exec] = ACTIONS(1055),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(1061),
    [anon_sym_not] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_lambda] = ACTIONS(1070),
    [anon_sym_yield] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [sym_ellipsis] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [sym_string] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [sym_identifier] = ACTIONS(1088),
    [sym_true] = ACTIONS(1088),
    [sym_false] = ACTIONS(1088),
    [sym_none] = ACTIONS(1088),
    [anon_sym_await] = ACTIONS(1091),
    [sym_comment] = ACTIONS(69),
  },
  [1156] = {
    [anon_sym_def] = ACTIONS(2397),
    [sym_comment] = ACTIONS(69),
  },
  [1157] = {
    [sym__dedent] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(1096),
    [anon_sym_from] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [anon_sym_print] = ACTIONS(1096),
    [anon_sym_assert] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_del] = ACTIONS(1096),
    [anon_sym_raise] = ACTIONS(1096),
    [sym_pass_statement] = ACTIONS(1096),
    [sym_break_statement] = ACTIONS(1096),
    [sym_continue_statement] = ACTIONS(1096),
    [anon_sym_if] = ACTIONS(1096),
    [anon_sym_async] = ACTIONS(1096),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_while] = ACTIONS(1096),
    [anon_sym_try] = ACTIONS(1096),
    [anon_sym_with] = ACTIONS(1096),
    [anon_sym_def] = ACTIONS(1096),
    [anon_sym_global] = ACTIONS(1096),
    [anon_sym_nonlocal] = ACTIONS(1096),
    [anon_sym_exec] = ACTIONS(1096),
    [anon_sym_class] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1094),
    [anon_sym_not] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_lambda] = ACTIONS(1096),
    [anon_sym_yield] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [sym_ellipsis] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [sym_string] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [sym_identifier] = ACTIONS(1096),
    [sym_true] = ACTIONS(1096),
    [sym_false] = ACTIONS(1096),
    [sym_none] = ACTIONS(1096),
    [anon_sym_await] = ACTIONS(1096),
    [sym_comment] = ACTIONS(69),
  },
  [1158] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_except] = ACTIONS(1400),
    [anon_sym_finally] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1159] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(3215),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1160] = {
    [sym__simple_statements] = STATE(1476),
    [sym_import_statement] = STATE(364),
    [sym_import_from_statement] = STATE(364),
    [sym_print_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_expression_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_delete_statement] = STATE(364),
    [sym_raise_statement] = STATE(364),
    [sym_global_statement] = STATE(364),
    [sym_nonlocal_statement] = STATE(364),
    [sym_exec_statement] = STATE(364),
    [sym__suite] = STATE(1476),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(649),
    [sym_break_statement] = ACTIONS(649),
    [sym_continue_statement] = ACTIONS(649),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1161] = {
    [anon_sym_COMMA] = ACTIONS(3217),
    [anon_sym_as] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(3219),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(667),
    [sym_comment] = ACTIONS(69),
  },
  [1162] = {
    [sym__simple_statements] = STATE(1479),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1479),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1163] = {
    [anon_sym_COLON] = ACTIONS(3221),
    [sym_comment] = ACTIONS(69),
  },
  [1164] = {
    [sym_finally_clause] = STATE(1481),
    [ts_builtin_sym_end] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_from] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_print] = ACTIONS(3225),
    [anon_sym_assert] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_del] = ACTIONS(3225),
    [anon_sym_raise] = ACTIONS(3225),
    [sym_pass_statement] = ACTIONS(3225),
    [sym_break_statement] = ACTIONS(3225),
    [sym_continue_statement] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_finally] = ACTIONS(2429),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_def] = ACTIONS(3225),
    [anon_sym_global] = ACTIONS(3225),
    [anon_sym_nonlocal] = ACTIONS(3225),
    [anon_sym_exec] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_lambda] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [sym_ellipsis] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [sym_string] = ACTIONS(3223),
    [sym_integer] = ACTIONS(3225),
    [sym_float] = ACTIONS(3225),
    [sym_identifier] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_none] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [sym_comment] = ACTIONS(69),
  },
  [1165] = {
    [ts_builtin_sym_end] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_from] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_print] = ACTIONS(3225),
    [anon_sym_assert] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_del] = ACTIONS(3225),
    [anon_sym_raise] = ACTIONS(3225),
    [sym_pass_statement] = ACTIONS(3225),
    [sym_break_statement] = ACTIONS(3225),
    [sym_continue_statement] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_def] = ACTIONS(3225),
    [anon_sym_global] = ACTIONS(3225),
    [anon_sym_nonlocal] = ACTIONS(3225),
    [anon_sym_exec] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_lambda] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [sym_ellipsis] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [sym_string] = ACTIONS(3223),
    [sym_integer] = ACTIONS(3225),
    [sym_float] = ACTIONS(3225),
    [sym_identifier] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_none] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [sym_comment] = ACTIONS(69),
  },
  [1166] = {
    [sym_except_clause] = STATE(1166),
    [aux_sym_try_statement_repeat1] = STATE(1166),
    [ts_builtin_sym_end] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_from] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_print] = ACTIONS(3229),
    [anon_sym_assert] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_del] = ACTIONS(3229),
    [anon_sym_raise] = ACTIONS(3229),
    [sym_pass_statement] = ACTIONS(3229),
    [sym_break_statement] = ACTIONS(3229),
    [sym_continue_statement] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_except] = ACTIONS(3231),
    [anon_sym_finally] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_def] = ACTIONS(3229),
    [anon_sym_global] = ACTIONS(3229),
    [anon_sym_nonlocal] = ACTIONS(3229),
    [anon_sym_exec] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_not] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_lambda] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [sym_ellipsis] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [sym_string] = ACTIONS(3227),
    [sym_integer] = ACTIONS(3229),
    [sym_float] = ACTIONS(3229),
    [sym_identifier] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_none] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [sym_comment] = ACTIONS(69),
  },
  [1167] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_as] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(667),
    [sym_comment] = ACTIONS(69),
  },
  [1168] = {
    [ts_builtin_sym_end] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1169] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(3234),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1170] = {
    [sym__expression] = STATE(1483),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(1483),
    [sym_boolean_operator] = STATE(1483),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(1483),
    [sym_lambda] = STATE(1483),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(1483),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(1483),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [1171] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_as] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_COLON] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(675),
    [anon_sym_SLASH_SLASH] = ACTIONS(675),
    [anon_sym_STAR_STAR] = ACTIONS(681),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_AMP] = ACTIONS(685),
    [anon_sym_CARET] = ACTIONS(687),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1172] = {
    [sym__expression] = STATE(1484),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(1484),
    [sym_boolean_operator] = STATE(1484),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(1484),
    [sym_lambda] = STATE(1484),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1484),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(1484),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [1173] = {
    [sym__expression] = STATE(1485),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(1485),
    [sym_boolean_operator] = STATE(1485),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(1485),
    [sym_lambda] = STATE(1485),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1485),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(1485),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [1174] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [1175] = {
    [sym_lambda_parameters] = STATE(1487),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(3236),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [1176] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1488),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(3238),
    [sym_comment] = ACTIONS(69),
  },
  [1177] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [1178] = {
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_COLON] = ACTIONS(1587),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3244),
    [sym_comment] = ACTIONS(69),
  },
  [1179] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1502),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3254),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3262),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_LT_EQ] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3250),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_GT] = ACTIONS(3266),
    [anon_sym_LT_GT] = ACTIONS(3250),
    [anon_sym_is] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1180] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(1505),
    [sym_dictionary_splat] = STATE(1505),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_print] = ACTIONS(3270),
    [anon_sym_exec] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3272),
    [sym_comment] = ACTIONS(69),
  },
  [1181] = {
    [sym__expression] = STATE(829),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(829),
    [sym_boolean_operator] = STATE(829),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(829),
    [sym_lambda] = STATE(829),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_type] = STATE(1506),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(829),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(829),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [1182] = {
    [sym__expression] = STATE(1507),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1507),
    [sym_boolean_operator] = STATE(1507),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1507),
    [sym_lambda] = STATE(1507),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1507),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1507),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1183] = {
    [aux_sym__parameters_repeat1] = STATE(1509),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_COMMA] = ACTIONS(3274),
    [sym_comment] = ACTIONS(69),
  },
  [1184] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(1505),
    [sym_dictionary_splat] = STATE(1505),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_print] = ACTIONS(3270),
    [anon_sym_exec] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3272),
    [sym_comment] = ACTIONS(69),
  },
  [1185] = {
    [sym__expression] = STATE(1515),
    [sym__primary_expression] = STATE(1516),
    [sym_not_operator] = STATE(1515),
    [sym_boolean_operator] = STATE(1515),
    [sym_binary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_comparison_operator] = STATE(1515),
    [sym_lambda] = STATE(1515),
    [sym_attribute] = STATE(1516),
    [sym_subscript] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym_type] = STATE(1517),
    [sym_list] = STATE(1516),
    [sym_list_comprehension] = STATE(1516),
    [sym_dictionary] = STATE(1516),
    [sym_dictionary_comprehension] = STATE(1516),
    [sym_set] = STATE(1516),
    [sym_set_comprehension] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_generator_expression] = STATE(1516),
    [sym_conditional_expression] = STATE(1515),
    [sym_concatenated_string] = STATE(1516),
    [sym_await] = STATE(1515),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_lambda] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(3286),
    [sym_float] = ACTIONS(3286),
    [sym_identifier] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_none] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3288),
    [sym_comment] = ACTIONS(69),
  },
  [1186] = {
    [sym__expression] = STATE(1518),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1518),
    [sym_boolean_operator] = STATE(1518),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1518),
    [sym_lambda] = STATE(1518),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1518),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1518),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1187] = {
    [aux_sym__parameters_repeat1] = STATE(1509),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(3290),
    [sym_comment] = ACTIONS(69),
  },
  [1188] = {
    [anon_sym_COLON] = ACTIONS(3292),
    [anon_sym_DASH_GT] = ACTIONS(3292),
    [sym_comment] = ACTIONS(69),
  },
  [1189] = {
    [sym__expression] = STATE(1520),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1520),
    [sym_boolean_operator] = STATE(1520),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1520),
    [sym_lambda] = STATE(1520),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_type] = STATE(847),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1520),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1520),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1190] = {
    [ts_builtin_sym_end] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_from] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_print] = ACTIONS(3296),
    [anon_sym_assert] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_del] = ACTIONS(3296),
    [anon_sym_raise] = ACTIONS(3296),
    [sym_pass_statement] = ACTIONS(3296),
    [sym_break_statement] = ACTIONS(3296),
    [sym_continue_statement] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_def] = ACTIONS(3296),
    [anon_sym_global] = ACTIONS(3296),
    [anon_sym_nonlocal] = ACTIONS(3296),
    [anon_sym_exec] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_lambda] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [sym_ellipsis] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [sym_string] = ACTIONS(3294),
    [sym_integer] = ACTIONS(3296),
    [sym_float] = ACTIONS(3296),
    [sym_identifier] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_none] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [sym_comment] = ACTIONS(69),
  },
  [1191] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(1870),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1192] = {
    [anon_sym_COLON] = ACTIONS(3298),
    [sym_comment] = ACTIONS(69),
  },
  [1193] = {
    [aux_sym_print_statement_repeat1] = STATE(650),
    [sym__newline] = ACTIONS(3300),
    [anon_sym_COMMA] = ACTIONS(511),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3300),
  },
  [1194] = {
    [ts_builtin_sym_end] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_from] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_print] = ACTIONS(3304),
    [anon_sym_assert] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_del] = ACTIONS(3304),
    [anon_sym_raise] = ACTIONS(3304),
    [sym_pass_statement] = ACTIONS(3304),
    [sym_break_statement] = ACTIONS(3304),
    [sym_continue_statement] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_def] = ACTIONS(3304),
    [anon_sym_global] = ACTIONS(3304),
    [anon_sym_nonlocal] = ACTIONS(3304),
    [anon_sym_exec] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_lambda] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [sym_ellipsis] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [sym_string] = ACTIONS(3302),
    [sym_integer] = ACTIONS(3304),
    [sym_float] = ACTIONS(3304),
    [sym_identifier] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_none] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [sym_comment] = ACTIONS(69),
  },
  [1195] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [1196] = {
    [sym__expression] = STATE(1522),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1522),
    [sym_boolean_operator] = STATE(1522),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1522),
    [sym_lambda] = STATE(1522),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1522),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1522),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1197] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1197),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3306),
    [sym_comment] = ACTIONS(69),
  },
  [1198] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1199] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1200] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1201] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1202] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1611),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1203] = {
    [sym__primary_expression] = STATE(1524),
    [sym_binary_operator] = STATE(1524),
    [sym_unary_operator] = STATE(1524),
    [sym_attribute] = STATE(1524),
    [sym_subscript] = STATE(1524),
    [sym_call] = STATE(1524),
    [sym_list] = STATE(1524),
    [sym_list_comprehension] = STATE(1524),
    [sym_dictionary] = STATE(1524),
    [sym_dictionary_comprehension] = STATE(1524),
    [sym_set] = STATE(1524),
    [sym_set_comprehension] = STATE(1524),
    [sym_parenthesized_expression] = STATE(1524),
    [sym_tuple] = STATE(1524),
    [sym_generator_expression] = STATE(1524),
    [sym_concatenated_string] = STATE(1524),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(3313),
    [sym_float] = ACTIONS(3313),
    [sym_identifier] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [sym_none] = ACTIONS(3313),
    [sym_comment] = ACTIONS(69),
  },
  [1204] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1205] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1611),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1206] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1207] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1208] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1208),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3315),
    [anon_sym_not] = ACTIONS(3318),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3321),
    [anon_sym_LT_EQ] = ACTIONS(3315),
    [anon_sym_EQ_EQ] = ACTIONS(3315),
    [anon_sym_BANG_EQ] = ACTIONS(3315),
    [anon_sym_GT_EQ] = ACTIONS(3315),
    [anon_sym_GT] = ACTIONS(3321),
    [anon_sym_LT_GT] = ACTIONS(3315),
    [anon_sym_is] = ACTIONS(3324),
    [sym_comment] = ACTIONS(69),
  },
  [1209] = {
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(2560),
    [anon_sym_or] = ACTIONS(2562),
    [sym_comment] = ACTIONS(69),
  },
  [1210] = {
    [sym__expression] = STATE(1525),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(1525),
    [sym_boolean_operator] = STATE(1525),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(1525),
    [sym_lambda] = STATE(1525),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(1525),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(1525),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [1211] = {
    [anon_sym_COLON] = ACTIONS(3327),
    [sym_comment] = ACTIONS(69),
  },
  [1212] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1527),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_EQ] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(3329),
    [sym_comment] = ACTIONS(69),
  },
  [1213] = {
    [sym__expression] = STATE(1528),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1528),
    [sym_boolean_operator] = STATE(1528),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1528),
    [sym_lambda] = STATE(1528),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1528),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1528),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1214] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [1215] = {
    [sym__expression] = STATE(1529),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(1529),
    [sym_boolean_operator] = STATE(1529),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(1529),
    [sym_lambda] = STATE(1529),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(1529),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(1529),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [1216] = {
    [sym__primary_expression] = STATE(1530),
    [sym_binary_operator] = STATE(1530),
    [sym_unary_operator] = STATE(1530),
    [sym_attribute] = STATE(1530),
    [sym_subscript] = STATE(1530),
    [sym_call] = STATE(1530),
    [sym_list] = STATE(1530),
    [sym_list_comprehension] = STATE(1530),
    [sym_dictionary] = STATE(1530),
    [sym_dictionary_comprehension] = STATE(1530),
    [sym_set] = STATE(1530),
    [sym_set_comprehension] = STATE(1530),
    [sym_parenthesized_expression] = STATE(1530),
    [sym_tuple] = STATE(1530),
    [sym_generator_expression] = STATE(1530),
    [sym_concatenated_string] = STATE(1530),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3333),
    [sym_float] = ACTIONS(3333),
    [sym_identifier] = ACTIONS(3333),
    [sym_true] = ACTIONS(3333),
    [sym_false] = ACTIONS(3333),
    [sym_none] = ACTIONS(3333),
    [sym_comment] = ACTIONS(69),
  },
  [1217] = {
    [sym__primary_expression] = STATE(1531),
    [sym_binary_operator] = STATE(1531),
    [sym_unary_operator] = STATE(1531),
    [sym_attribute] = STATE(1531),
    [sym_subscript] = STATE(1531),
    [sym_call] = STATE(1531),
    [sym_list] = STATE(1531),
    [sym_list_comprehension] = STATE(1531),
    [sym_dictionary] = STATE(1531),
    [sym_dictionary_comprehension] = STATE(1531),
    [sym_set] = STATE(1531),
    [sym_set_comprehension] = STATE(1531),
    [sym_parenthesized_expression] = STATE(1531),
    [sym_tuple] = STATE(1531),
    [sym_generator_expression] = STATE(1531),
    [sym_concatenated_string] = STATE(1531),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3337),
    [sym_float] = ACTIONS(3337),
    [sym_identifier] = ACTIONS(3337),
    [sym_true] = ACTIONS(3337),
    [sym_false] = ACTIONS(3337),
    [sym_none] = ACTIONS(3337),
    [sym_comment] = ACTIONS(69),
  },
  [1218] = {
    [sym__primary_expression] = STATE(1532),
    [sym_binary_operator] = STATE(1532),
    [sym_unary_operator] = STATE(1532),
    [sym_attribute] = STATE(1532),
    [sym_subscript] = STATE(1532),
    [sym_call] = STATE(1532),
    [sym_list] = STATE(1532),
    [sym_list_comprehension] = STATE(1532),
    [sym_dictionary] = STATE(1532),
    [sym_dictionary_comprehension] = STATE(1532),
    [sym_set] = STATE(1532),
    [sym_set_comprehension] = STATE(1532),
    [sym_parenthesized_expression] = STATE(1532),
    [sym_tuple] = STATE(1532),
    [sym_generator_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(1532),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3341),
    [sym_float] = ACTIONS(3341),
    [sym_identifier] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_none] = ACTIONS(3341),
    [sym_comment] = ACTIONS(69),
  },
  [1219] = {
    [anon_sym_in] = ACTIONS(3343),
    [sym_comment] = ACTIONS(69),
  },
  [1220] = {
    [sym__primary_expression] = STATE(1534),
    [sym_binary_operator] = STATE(1534),
    [sym_unary_operator] = STATE(1534),
    [sym_attribute] = STATE(1534),
    [sym_subscript] = STATE(1534),
    [sym_call] = STATE(1534),
    [sym_list] = STATE(1534),
    [sym_list_comprehension] = STATE(1534),
    [sym_dictionary] = STATE(1534),
    [sym_dictionary_comprehension] = STATE(1534),
    [sym_set] = STATE(1534),
    [sym_set_comprehension] = STATE(1534),
    [sym_parenthesized_expression] = STATE(1534),
    [sym_tuple] = STATE(1534),
    [sym_generator_expression] = STATE(1534),
    [sym_concatenated_string] = STATE(1534),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3347),
    [sym_float] = ACTIONS(3347),
    [sym_identifier] = ACTIONS(3347),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [sym_none] = ACTIONS(3347),
    [sym_comment] = ACTIONS(69),
  },
  [1221] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1222] = {
    [sym__primary_expression] = STATE(1535),
    [sym_binary_operator] = STATE(1535),
    [sym_unary_operator] = STATE(1535),
    [sym_attribute] = STATE(1535),
    [sym_subscript] = STATE(1535),
    [sym_call] = STATE(1535),
    [sym_list] = STATE(1535),
    [sym_list_comprehension] = STATE(1535),
    [sym_dictionary] = STATE(1535),
    [sym_dictionary_comprehension] = STATE(1535),
    [sym_set] = STATE(1535),
    [sym_set_comprehension] = STATE(1535),
    [sym_parenthesized_expression] = STATE(1535),
    [sym_tuple] = STATE(1535),
    [sym_generator_expression] = STATE(1535),
    [sym_concatenated_string] = STATE(1535),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3351),
    [sym_float] = ACTIONS(3351),
    [sym_identifier] = ACTIONS(3351),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [sym_none] = ACTIONS(3351),
    [sym_comment] = ACTIONS(69),
  },
  [1223] = {
    [sym__primary_expression] = STATE(1536),
    [sym_binary_operator] = STATE(1536),
    [sym_unary_operator] = STATE(1536),
    [sym_attribute] = STATE(1536),
    [sym_subscript] = STATE(1536),
    [sym_call] = STATE(1536),
    [sym_list] = STATE(1536),
    [sym_list_comprehension] = STATE(1536),
    [sym_dictionary] = STATE(1536),
    [sym_dictionary_comprehension] = STATE(1536),
    [sym_set] = STATE(1536),
    [sym_set_comprehension] = STATE(1536),
    [sym_parenthesized_expression] = STATE(1536),
    [sym_tuple] = STATE(1536),
    [sym_generator_expression] = STATE(1536),
    [sym_concatenated_string] = STATE(1536),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3355),
    [sym_float] = ACTIONS(3355),
    [sym_identifier] = ACTIONS(3355),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [sym_none] = ACTIONS(3355),
    [sym_comment] = ACTIONS(69),
  },
  [1224] = {
    [sym__primary_expression] = STATE(1537),
    [sym_binary_operator] = STATE(1537),
    [sym_unary_operator] = STATE(1537),
    [sym_attribute] = STATE(1537),
    [sym_subscript] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_list] = STATE(1537),
    [sym_list_comprehension] = STATE(1537),
    [sym_dictionary] = STATE(1537),
    [sym_dictionary_comprehension] = STATE(1537),
    [sym_set] = STATE(1537),
    [sym_set_comprehension] = STATE(1537),
    [sym_parenthesized_expression] = STATE(1537),
    [sym_tuple] = STATE(1537),
    [sym_generator_expression] = STATE(1537),
    [sym_concatenated_string] = STATE(1537),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3359),
    [sym_float] = ACTIONS(3359),
    [sym_identifier] = ACTIONS(3359),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [sym_none] = ACTIONS(3359),
    [sym_comment] = ACTIONS(69),
  },
  [1225] = {
    [sym__primary_expression] = STATE(1532),
    [sym_binary_operator] = STATE(1532),
    [sym_unary_operator] = STATE(1532),
    [sym_attribute] = STATE(1532),
    [sym_subscript] = STATE(1532),
    [sym_call] = STATE(1532),
    [sym_list] = STATE(1532),
    [sym_list_comprehension] = STATE(1532),
    [sym_dictionary] = STATE(1532),
    [sym_dictionary_comprehension] = STATE(1532),
    [sym_set] = STATE(1532),
    [sym_set_comprehension] = STATE(1532),
    [sym_parenthesized_expression] = STATE(1532),
    [sym_tuple] = STATE(1532),
    [sym_generator_expression] = STATE(1532),
    [sym_concatenated_string] = STATE(1532),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3341),
    [sym_float] = ACTIONS(3341),
    [sym_identifier] = ACTIONS(3341),
    [sym_true] = ACTIONS(3341),
    [sym_false] = ACTIONS(3341),
    [sym_none] = ACTIONS(3341),
    [sym_comment] = ACTIONS(69),
  },
  [1226] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1538),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(997),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2568),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_GT] = ACTIONS(2584),
    [anon_sym_LT_GT] = ACTIONS(2568),
    [anon_sym_is] = ACTIONS(2586),
    [sym_comment] = ACTIONS(69),
  },
  [1227] = {
    [sym__expression] = STATE(1539),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1539),
    [sym_boolean_operator] = STATE(1539),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1539),
    [sym_lambda] = STATE(1539),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1539),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1539),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1228] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(823),
    [sym_dictionary_splat] = STATE(823),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(1619),
    [anon_sym_exec] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(1623),
    [sym_comment] = ACTIONS(69),
  },
  [1229] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(2603),
    [anon_sym_or] = ACTIONS(2605),
    [sym_comment] = ACTIONS(69),
  },
  [1230] = {
    [sym__expression] = STATE(1540),
    [sym__primary_expression] = STATE(841),
    [sym_not_operator] = STATE(1540),
    [sym_boolean_operator] = STATE(1540),
    [sym_binary_operator] = STATE(841),
    [sym_unary_operator] = STATE(841),
    [sym_comparison_operator] = STATE(1540),
    [sym_lambda] = STATE(1540),
    [sym_attribute] = STATE(841),
    [sym_subscript] = STATE(841),
    [sym_call] = STATE(841),
    [sym_list] = STATE(841),
    [sym_list_comprehension] = STATE(841),
    [sym_dictionary] = STATE(841),
    [sym_dictionary_comprehension] = STATE(841),
    [sym_set] = STATE(841),
    [sym_set_comprehension] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_tuple] = STATE(841),
    [sym_generator_expression] = STATE(841),
    [sym_conditional_expression] = STATE(1540),
    [sym_concatenated_string] = STATE(841),
    [sym_await] = STATE(1540),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_lambda] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_none] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [sym_comment] = ACTIONS(69),
  },
  [1231] = {
    [anon_sym_COLON] = ACTIONS(3363),
    [sym_comment] = ACTIONS(69),
  },
  [1232] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1542),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_EQ] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(3365),
    [sym_comment] = ACTIONS(69),
  },
  [1233] = {
    [sym__expression] = STATE(1543),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1543),
    [sym_boolean_operator] = STATE(1543),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1543),
    [sym_lambda] = STATE(1543),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1543),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1543),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1234] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(841),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(841),
    [sym_unary_operator] = STATE(841),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(841),
    [sym_subscript] = STATE(841),
    [sym_call] = STATE(841),
    [sym_list] = STATE(841),
    [sym_list_comprehension] = STATE(841),
    [sym_dictionary] = STATE(841),
    [sym_dictionary_comprehension] = STATE(841),
    [sym_set] = STATE(841),
    [sym_set_comprehension] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_tuple] = STATE(841),
    [sym_generator_expression] = STATE(841),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(841),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_lambda] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_none] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [sym_comment] = ACTIONS(69),
  },
  [1235] = {
    [sym__expression] = STATE(1544),
    [sym__primary_expression] = STATE(841),
    [sym_not_operator] = STATE(1544),
    [sym_boolean_operator] = STATE(1544),
    [sym_binary_operator] = STATE(841),
    [sym_unary_operator] = STATE(841),
    [sym_comparison_operator] = STATE(1544),
    [sym_lambda] = STATE(1544),
    [sym_attribute] = STATE(841),
    [sym_subscript] = STATE(841),
    [sym_call] = STATE(841),
    [sym_list] = STATE(841),
    [sym_list_comprehension] = STATE(841),
    [sym_dictionary] = STATE(841),
    [sym_dictionary_comprehension] = STATE(841),
    [sym_set] = STATE(841),
    [sym_set_comprehension] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_tuple] = STATE(841),
    [sym_generator_expression] = STATE(841),
    [sym_conditional_expression] = STATE(1544),
    [sym_concatenated_string] = STATE(841),
    [sym_await] = STATE(1544),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_lambda] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_none] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [sym_comment] = ACTIONS(69),
  },
  [1236] = {
    [sym__primary_expression] = STATE(1545),
    [sym_binary_operator] = STATE(1545),
    [sym_unary_operator] = STATE(1545),
    [sym_attribute] = STATE(1545),
    [sym_subscript] = STATE(1545),
    [sym_call] = STATE(1545),
    [sym_list] = STATE(1545),
    [sym_list_comprehension] = STATE(1545),
    [sym_dictionary] = STATE(1545),
    [sym_dictionary_comprehension] = STATE(1545),
    [sym_set] = STATE(1545),
    [sym_set_comprehension] = STATE(1545),
    [sym_parenthesized_expression] = STATE(1545),
    [sym_tuple] = STATE(1545),
    [sym_generator_expression] = STATE(1545),
    [sym_concatenated_string] = STATE(1545),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3369),
    [sym_float] = ACTIONS(3369),
    [sym_identifier] = ACTIONS(3369),
    [sym_true] = ACTIONS(3369),
    [sym_false] = ACTIONS(3369),
    [sym_none] = ACTIONS(3369),
    [sym_comment] = ACTIONS(69),
  },
  [1237] = {
    [sym__primary_expression] = STATE(1546),
    [sym_binary_operator] = STATE(1546),
    [sym_unary_operator] = STATE(1546),
    [sym_attribute] = STATE(1546),
    [sym_subscript] = STATE(1546),
    [sym_call] = STATE(1546),
    [sym_list] = STATE(1546),
    [sym_list_comprehension] = STATE(1546),
    [sym_dictionary] = STATE(1546),
    [sym_dictionary_comprehension] = STATE(1546),
    [sym_set] = STATE(1546),
    [sym_set_comprehension] = STATE(1546),
    [sym_parenthesized_expression] = STATE(1546),
    [sym_tuple] = STATE(1546),
    [sym_generator_expression] = STATE(1546),
    [sym_concatenated_string] = STATE(1546),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3373),
    [sym_float] = ACTIONS(3373),
    [sym_identifier] = ACTIONS(3373),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [sym_none] = ACTIONS(3373),
    [sym_comment] = ACTIONS(69),
  },
  [1238] = {
    [sym__primary_expression] = STATE(1547),
    [sym_binary_operator] = STATE(1547),
    [sym_unary_operator] = STATE(1547),
    [sym_attribute] = STATE(1547),
    [sym_subscript] = STATE(1547),
    [sym_call] = STATE(1547),
    [sym_list] = STATE(1547),
    [sym_list_comprehension] = STATE(1547),
    [sym_dictionary] = STATE(1547),
    [sym_dictionary_comprehension] = STATE(1547),
    [sym_set] = STATE(1547),
    [sym_set_comprehension] = STATE(1547),
    [sym_parenthesized_expression] = STATE(1547),
    [sym_tuple] = STATE(1547),
    [sym_generator_expression] = STATE(1547),
    [sym_concatenated_string] = STATE(1547),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3377),
    [sym_float] = ACTIONS(3377),
    [sym_identifier] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_none] = ACTIONS(3377),
    [sym_comment] = ACTIONS(69),
  },
  [1239] = {
    [anon_sym_in] = ACTIONS(3379),
    [sym_comment] = ACTIONS(69),
  },
  [1240] = {
    [sym__primary_expression] = STATE(1549),
    [sym_binary_operator] = STATE(1549),
    [sym_unary_operator] = STATE(1549),
    [sym_attribute] = STATE(1549),
    [sym_subscript] = STATE(1549),
    [sym_call] = STATE(1549),
    [sym_list] = STATE(1549),
    [sym_list_comprehension] = STATE(1549),
    [sym_dictionary] = STATE(1549),
    [sym_dictionary_comprehension] = STATE(1549),
    [sym_set] = STATE(1549),
    [sym_set_comprehension] = STATE(1549),
    [sym_parenthesized_expression] = STATE(1549),
    [sym_tuple] = STATE(1549),
    [sym_generator_expression] = STATE(1549),
    [sym_concatenated_string] = STATE(1549),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3383),
    [sym_float] = ACTIONS(3383),
    [sym_identifier] = ACTIONS(3383),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [sym_none] = ACTIONS(3383),
    [sym_comment] = ACTIONS(69),
  },
  [1241] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1242] = {
    [sym__primary_expression] = STATE(1550),
    [sym_binary_operator] = STATE(1550),
    [sym_unary_operator] = STATE(1550),
    [sym_attribute] = STATE(1550),
    [sym_subscript] = STATE(1550),
    [sym_call] = STATE(1550),
    [sym_list] = STATE(1550),
    [sym_list_comprehension] = STATE(1550),
    [sym_dictionary] = STATE(1550),
    [sym_dictionary_comprehension] = STATE(1550),
    [sym_set] = STATE(1550),
    [sym_set_comprehension] = STATE(1550),
    [sym_parenthesized_expression] = STATE(1550),
    [sym_tuple] = STATE(1550),
    [sym_generator_expression] = STATE(1550),
    [sym_concatenated_string] = STATE(1550),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3387),
    [sym_float] = ACTIONS(3387),
    [sym_identifier] = ACTIONS(3387),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [sym_none] = ACTIONS(3387),
    [sym_comment] = ACTIONS(69),
  },
  [1243] = {
    [sym__primary_expression] = STATE(1551),
    [sym_binary_operator] = STATE(1551),
    [sym_unary_operator] = STATE(1551),
    [sym_attribute] = STATE(1551),
    [sym_subscript] = STATE(1551),
    [sym_call] = STATE(1551),
    [sym_list] = STATE(1551),
    [sym_list_comprehension] = STATE(1551),
    [sym_dictionary] = STATE(1551),
    [sym_dictionary_comprehension] = STATE(1551),
    [sym_set] = STATE(1551),
    [sym_set_comprehension] = STATE(1551),
    [sym_parenthesized_expression] = STATE(1551),
    [sym_tuple] = STATE(1551),
    [sym_generator_expression] = STATE(1551),
    [sym_concatenated_string] = STATE(1551),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3391),
    [sym_float] = ACTIONS(3391),
    [sym_identifier] = ACTIONS(3391),
    [sym_true] = ACTIONS(3391),
    [sym_false] = ACTIONS(3391),
    [sym_none] = ACTIONS(3391),
    [sym_comment] = ACTIONS(69),
  },
  [1244] = {
    [sym__primary_expression] = STATE(1552),
    [sym_binary_operator] = STATE(1552),
    [sym_unary_operator] = STATE(1552),
    [sym_attribute] = STATE(1552),
    [sym_subscript] = STATE(1552),
    [sym_call] = STATE(1552),
    [sym_list] = STATE(1552),
    [sym_list_comprehension] = STATE(1552),
    [sym_dictionary] = STATE(1552),
    [sym_dictionary_comprehension] = STATE(1552),
    [sym_set] = STATE(1552),
    [sym_set_comprehension] = STATE(1552),
    [sym_parenthesized_expression] = STATE(1552),
    [sym_tuple] = STATE(1552),
    [sym_generator_expression] = STATE(1552),
    [sym_concatenated_string] = STATE(1552),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3395),
    [sym_float] = ACTIONS(3395),
    [sym_identifier] = ACTIONS(3395),
    [sym_true] = ACTIONS(3395),
    [sym_false] = ACTIONS(3395),
    [sym_none] = ACTIONS(3395),
    [sym_comment] = ACTIONS(69),
  },
  [1245] = {
    [sym__primary_expression] = STATE(1547),
    [sym_binary_operator] = STATE(1547),
    [sym_unary_operator] = STATE(1547),
    [sym_attribute] = STATE(1547),
    [sym_subscript] = STATE(1547),
    [sym_call] = STATE(1547),
    [sym_list] = STATE(1547),
    [sym_list_comprehension] = STATE(1547),
    [sym_dictionary] = STATE(1547),
    [sym_dictionary_comprehension] = STATE(1547),
    [sym_set] = STATE(1547),
    [sym_set_comprehension] = STATE(1547),
    [sym_parenthesized_expression] = STATE(1547),
    [sym_tuple] = STATE(1547),
    [sym_generator_expression] = STATE(1547),
    [sym_concatenated_string] = STATE(1547),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3377),
    [sym_float] = ACTIONS(3377),
    [sym_identifier] = ACTIONS(3377),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [sym_none] = ACTIONS(3377),
    [sym_comment] = ACTIONS(69),
  },
  [1246] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1553),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(2611),
    [anon_sym_EQ] = ACTIONS(997),
    [anon_sym_not] = ACTIONS(2615),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2611),
    [anon_sym_EQ_EQ] = ACTIONS(2611),
    [anon_sym_BANG_EQ] = ACTIONS(2611),
    [anon_sym_GT_EQ] = ACTIONS(2611),
    [anon_sym_GT] = ACTIONS(2627),
    [anon_sym_LT_GT] = ACTIONS(2611),
    [anon_sym_is] = ACTIONS(2629),
    [sym_comment] = ACTIONS(69),
  },
  [1247] = {
    [sym__expression] = STATE(1554),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1554),
    [sym_boolean_operator] = STATE(1554),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1554),
    [sym_lambda] = STATE(1554),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1554),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1554),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1248] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
  },
  [1249] = {
    [sym__expression] = STATE(1555),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(1555),
    [sym_boolean_operator] = STATE(1555),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(1555),
    [sym_lambda] = STATE(1555),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(1555),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(1555),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [1250] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1250),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3399),
    [sym_comment] = ACTIONS(69),
  },
  [1251] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3402),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1252] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACK] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1253] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1254] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1255] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1256] = {
    [sym__primary_expression] = STATE(1557),
    [sym_binary_operator] = STATE(1557),
    [sym_unary_operator] = STATE(1557),
    [sym_attribute] = STATE(1557),
    [sym_subscript] = STATE(1557),
    [sym_call] = STATE(1557),
    [sym_list] = STATE(1557),
    [sym_list_comprehension] = STATE(1557),
    [sym_dictionary] = STATE(1557),
    [sym_dictionary_comprehension] = STATE(1557),
    [sym_set] = STATE(1557),
    [sym_set_comprehension] = STATE(1557),
    [sym_parenthesized_expression] = STATE(1557),
    [sym_tuple] = STATE(1557),
    [sym_generator_expression] = STATE(1557),
    [sym_concatenated_string] = STATE(1557),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3404),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(3406),
    [sym_float] = ACTIONS(3406),
    [sym_identifier] = ACTIONS(3406),
    [sym_true] = ACTIONS(3406),
    [sym_false] = ACTIONS(3406),
    [sym_none] = ACTIONS(3406),
    [sym_comment] = ACTIONS(69),
  },
  [1257] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1258] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1259] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1260] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1261] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1261),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3408),
    [anon_sym_not] = ACTIONS(3411),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3414),
    [anon_sym_LT_EQ] = ACTIONS(3408),
    [anon_sym_EQ_EQ] = ACTIONS(3408),
    [anon_sym_BANG_EQ] = ACTIONS(3408),
    [anon_sym_GT_EQ] = ACTIONS(3408),
    [anon_sym_GT] = ACTIONS(3414),
    [anon_sym_LT_GT] = ACTIONS(3408),
    [anon_sym_is] = ACTIONS(3417),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1262] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
  },
  [1263] = {
    [sym__newline] = ACTIONS(3420),
    [anon_sym_DOT] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(3420),
    [anon_sym_COMMA] = ACTIONS(3420),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_GT_GT] = ACTIONS(3422),
    [anon_sym_if] = ACTIONS(3420),
    [anon_sym_COLON] = ACTIONS(3420),
    [anon_sym_in] = ACTIONS(3420),
    [anon_sym_EQ] = ACTIONS(3422),
    [anon_sym_AT] = ACTIONS(3422),
    [anon_sym_not] = ACTIONS(3420),
    [anon_sym_and] = ACTIONS(3420),
    [anon_sym_or] = ACTIONS(3420),
    [anon_sym_PLUS] = ACTIONS(3422),
    [anon_sym_DASH] = ACTIONS(3422),
    [anon_sym_SLASH] = ACTIONS(3422),
    [anon_sym_PERCENT] = ACTIONS(3422),
    [anon_sym_SLASH_SLASH] = ACTIONS(3422),
    [anon_sym_STAR_STAR] = ACTIONS(3422),
    [anon_sym_PIPE] = ACTIONS(3422),
    [anon_sym_AMP] = ACTIONS(3422),
    [anon_sym_CARET] = ACTIONS(3422),
    [anon_sym_LT_LT] = ACTIONS(3422),
    [anon_sym_LT] = ACTIONS(3422),
    [anon_sym_LT_EQ] = ACTIONS(3420),
    [anon_sym_EQ_EQ] = ACTIONS(3420),
    [anon_sym_BANG_EQ] = ACTIONS(3420),
    [anon_sym_GT_EQ] = ACTIONS(3420),
    [anon_sym_GT] = ACTIONS(3422),
    [anon_sym_LT_GT] = ACTIONS(3420),
    [anon_sym_is] = ACTIONS(3420),
    [anon_sym_PLUS_EQ] = ACTIONS(3420),
    [anon_sym_DASH_EQ] = ACTIONS(3420),
    [anon_sym_STAR_EQ] = ACTIONS(3420),
    [anon_sym_SLASH_EQ] = ACTIONS(3420),
    [anon_sym_AT_EQ] = ACTIONS(3420),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3420),
    [anon_sym_PERCENT_EQ] = ACTIONS(3420),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3420),
    [anon_sym_GT_GT_EQ] = ACTIONS(3420),
    [anon_sym_LT_LT_EQ] = ACTIONS(3420),
    [anon_sym_AMP_EQ] = ACTIONS(3420),
    [anon_sym_CARET_EQ] = ACTIONS(3420),
    [anon_sym_PIPE_EQ] = ACTIONS(3420),
    [anon_sym_LBRACK] = ACTIONS(3420),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3420),
  },
  [1264] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(871),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(871),
    [sym_boolean_operator] = STATE(871),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(871),
    [sym_lambda] = STATE(871),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(871),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(871),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [1265] = {
    [sym__expression] = STATE(1558),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1558),
    [sym_boolean_operator] = STATE(1558),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1558),
    [sym_lambda] = STATE(1558),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1558),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1558),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(241),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1266] = {
    [anon_sym_in] = ACTIONS(3424),
    [sym_comment] = ACTIONS(69),
  },
  [1267] = {
    [sym__expression_within_for_in_clause] = STATE(1561),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1562),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1268] = {
    [sym__expression] = STATE(1563),
    [sym__primary_expression] = STATE(1274),
    [sym_not_operator] = STATE(1563),
    [sym_boolean_operator] = STATE(1563),
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_comparison_operator] = STATE(1563),
    [sym_lambda] = STATE(1563),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_list] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_conditional_expression] = STATE(1563),
    [sym_concatenated_string] = STATE(1274),
    [sym_await] = STATE(1563),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_lambda] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(2709),
    [sym_float] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(69),
  },
  [1269] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [1270] = {
    [sym_lambda_parameters] = STATE(1565),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(3428),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [1271] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1566),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_RBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(3430),
    [sym_comment] = ACTIONS(69),
  },
  [1272] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(1274),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_list] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(1274),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_lambda] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(2709),
    [sym_float] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(69),
  },
  [1273] = {
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_async] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_and] = ACTIONS(3432),
    [anon_sym_or] = ACTIONS(3434),
    [anon_sym_RBRACK] = ACTIONS(3048),
    [sym_comment] = ACTIONS(69),
  },
  [1274] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1580),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3436),
    [anon_sym_GT_GT] = ACTIONS(3438),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(3440),
    [anon_sym_AT] = ACTIONS(3442),
    [anon_sym_not] = ACTIONS(3444),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_SLASH] = ACTIONS(3436),
    [anon_sym_PERCENT] = ACTIONS(3442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3442),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(3450),
    [anon_sym_AMP] = ACTIONS(3452),
    [anon_sym_CARET] = ACTIONS(3454),
    [anon_sym_LT_LT] = ACTIONS(3438),
    [anon_sym_LT] = ACTIONS(3456),
    [anon_sym_LT_EQ] = ACTIONS(3440),
    [anon_sym_EQ_EQ] = ACTIONS(3440),
    [anon_sym_BANG_EQ] = ACTIONS(3440),
    [anon_sym_GT_EQ] = ACTIONS(3440),
    [anon_sym_GT] = ACTIONS(3456),
    [anon_sym_LT_GT] = ACTIONS(3440),
    [anon_sym_is] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(299),
    [sym_comment] = ACTIONS(69),
  },
  [1275] = {
    [sym_for_in_clause] = STATE(1275),
    [sym_if_clause] = STATE(1275),
    [aux_sym__comprehension_body_repeat1] = STATE(1275),
    [anon_sym_if] = ACTIONS(3460),
    [anon_sym_async] = ACTIONS(3463),
    [anon_sym_for] = ACTIONS(3466),
    [anon_sym_RBRACK] = ACTIONS(3078),
    [sym_comment] = ACTIONS(69),
  },
  [1276] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(791),
    [anon_sym_GT_GT] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_SLASH] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_SLASH_SLASH] = ACTIONS(797),
    [anon_sym_STAR_STAR] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(2950),
    [sym_comment] = ACTIONS(69),
  },
  [1277] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
  },
  [1278] = {
    [sym__expression] = STATE(1581),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(1581),
    [sym_lambda] = STATE(1581),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(1581),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(1581),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [1279] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1279),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [sym_string] = ACTIONS(3469),
    [sym_comment] = ACTIONS(69),
  },
  [1280] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3472),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1281] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1282] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1283] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1284] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1285] = {
    [sym__primary_expression] = STATE(1583),
    [sym_binary_operator] = STATE(1583),
    [sym_unary_operator] = STATE(1583),
    [sym_attribute] = STATE(1583),
    [sym_subscript] = STATE(1583),
    [sym_call] = STATE(1583),
    [sym_list] = STATE(1583),
    [sym_list_comprehension] = STATE(1583),
    [sym_dictionary] = STATE(1583),
    [sym_dictionary_comprehension] = STATE(1583),
    [sym_set] = STATE(1583),
    [sym_set_comprehension] = STATE(1583),
    [sym_parenthesized_expression] = STATE(1583),
    [sym_tuple] = STATE(1583),
    [sym_generator_expression] = STATE(1583),
    [sym_concatenated_string] = STATE(1583),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3474),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(3476),
    [sym_float] = ACTIONS(3476),
    [sym_identifier] = ACTIONS(3476),
    [sym_true] = ACTIONS(3476),
    [sym_false] = ACTIONS(3476),
    [sym_none] = ACTIONS(3476),
    [sym_comment] = ACTIONS(69),
  },
  [1286] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1287] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1288] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1289] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1290] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1290),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3478),
    [anon_sym_not] = ACTIONS(3481),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3484),
    [anon_sym_LT_EQ] = ACTIONS(3478),
    [anon_sym_EQ_EQ] = ACTIONS(3478),
    [anon_sym_BANG_EQ] = ACTIONS(3478),
    [anon_sym_GT_EQ] = ACTIONS(3478),
    [anon_sym_GT] = ACTIONS(3484),
    [anon_sym_LT_GT] = ACTIONS(3478),
    [anon_sym_is] = ACTIONS(3487),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1291] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(2639),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(855),
    [anon_sym_or] = ACTIONS(857),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
  },
  [1292] = {
    [sym__newline] = ACTIONS(3490),
    [anon_sym_DOT] = ACTIONS(3490),
    [anon_sym_LPAREN] = ACTIONS(3490),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_STAR] = ACTIONS(3492),
    [anon_sym_GT_GT] = ACTIONS(3492),
    [anon_sym_if] = ACTIONS(3490),
    [anon_sym_COLON] = ACTIONS(3490),
    [anon_sym_in] = ACTIONS(3490),
    [anon_sym_EQ] = ACTIONS(3492),
    [anon_sym_AT] = ACTIONS(3492),
    [anon_sym_not] = ACTIONS(3490),
    [anon_sym_and] = ACTIONS(3490),
    [anon_sym_or] = ACTIONS(3490),
    [anon_sym_PLUS] = ACTIONS(3492),
    [anon_sym_DASH] = ACTIONS(3492),
    [anon_sym_SLASH] = ACTIONS(3492),
    [anon_sym_PERCENT] = ACTIONS(3492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3492),
    [anon_sym_STAR_STAR] = ACTIONS(3492),
    [anon_sym_PIPE] = ACTIONS(3492),
    [anon_sym_AMP] = ACTIONS(3492),
    [anon_sym_CARET] = ACTIONS(3492),
    [anon_sym_LT_LT] = ACTIONS(3492),
    [anon_sym_LT] = ACTIONS(3492),
    [anon_sym_LT_EQ] = ACTIONS(3490),
    [anon_sym_EQ_EQ] = ACTIONS(3490),
    [anon_sym_BANG_EQ] = ACTIONS(3490),
    [anon_sym_GT_EQ] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(3492),
    [anon_sym_LT_GT] = ACTIONS(3490),
    [anon_sym_is] = ACTIONS(3490),
    [anon_sym_PLUS_EQ] = ACTIONS(3490),
    [anon_sym_DASH_EQ] = ACTIONS(3490),
    [anon_sym_STAR_EQ] = ACTIONS(3490),
    [anon_sym_SLASH_EQ] = ACTIONS(3490),
    [anon_sym_AT_EQ] = ACTIONS(3490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3490),
    [anon_sym_PERCENT_EQ] = ACTIONS(3490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3490),
    [anon_sym_GT_GT_EQ] = ACTIONS(3490),
    [anon_sym_LT_LT_EQ] = ACTIONS(3490),
    [anon_sym_AMP_EQ] = ACTIONS(3490),
    [anon_sym_CARET_EQ] = ACTIONS(3490),
    [anon_sym_PIPE_EQ] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3490),
  },
  [1293] = {
    [sym_list_splat] = STATE(870),
    [sym__expression] = STATE(914),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(914),
    [sym_boolean_operator] = STATE(914),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(914),
    [sym_lambda] = STATE(914),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(914),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(914),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [1294] = {
    [sym__expression] = STATE(1584),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(1584),
    [sym_boolean_operator] = STATE(1584),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(1584),
    [sym_lambda] = STATE(1584),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(1584),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(1584),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [1295] = {
    [sym__newline] = ACTIONS(3494),
    [anon_sym_DOT] = ACTIONS(3494),
    [anon_sym_LPAREN] = ACTIONS(3494),
    [anon_sym_COMMA] = ACTIONS(3494),
    [anon_sym_STAR] = ACTIONS(3496),
    [anon_sym_GT_GT] = ACTIONS(3496),
    [anon_sym_if] = ACTIONS(3494),
    [anon_sym_COLON] = ACTIONS(3494),
    [anon_sym_in] = ACTIONS(3494),
    [anon_sym_EQ] = ACTIONS(3496),
    [anon_sym_AT] = ACTIONS(3496),
    [anon_sym_not] = ACTIONS(3494),
    [anon_sym_and] = ACTIONS(3494),
    [anon_sym_or] = ACTIONS(3494),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_SLASH] = ACTIONS(3496),
    [anon_sym_PERCENT] = ACTIONS(3496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3496),
    [anon_sym_STAR_STAR] = ACTIONS(3496),
    [anon_sym_PIPE] = ACTIONS(3496),
    [anon_sym_AMP] = ACTIONS(3496),
    [anon_sym_CARET] = ACTIONS(3496),
    [anon_sym_LT_LT] = ACTIONS(3496),
    [anon_sym_LT] = ACTIONS(3496),
    [anon_sym_LT_EQ] = ACTIONS(3494),
    [anon_sym_EQ_EQ] = ACTIONS(3494),
    [anon_sym_BANG_EQ] = ACTIONS(3494),
    [anon_sym_GT_EQ] = ACTIONS(3494),
    [anon_sym_GT] = ACTIONS(3496),
    [anon_sym_LT_GT] = ACTIONS(3494),
    [anon_sym_is] = ACTIONS(3494),
    [anon_sym_PLUS_EQ] = ACTIONS(3494),
    [anon_sym_DASH_EQ] = ACTIONS(3494),
    [anon_sym_STAR_EQ] = ACTIONS(3494),
    [anon_sym_SLASH_EQ] = ACTIONS(3494),
    [anon_sym_AT_EQ] = ACTIONS(3494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3494),
    [anon_sym_PERCENT_EQ] = ACTIONS(3494),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3494),
    [anon_sym_GT_GT_EQ] = ACTIONS(3494),
    [anon_sym_LT_LT_EQ] = ACTIONS(3494),
    [anon_sym_AMP_EQ] = ACTIONS(3494),
    [anon_sym_CARET_EQ] = ACTIONS(3494),
    [anon_sym_PIPE_EQ] = ACTIONS(3494),
    [anon_sym_LBRACK] = ACTIONS(3494),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3494),
  },
  [1296] = {
    [sym_dictionary_splat] = STATE(919),
    [sym__expression] = STATE(920),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(920),
    [sym_boolean_operator] = STATE(920),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(920),
    [sym_lambda] = STATE(920),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_pair] = STATE(919),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(920),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1297] = {
    [sym__expression] = STATE(1585),
    [sym__primary_expression] = STATE(157),
    [sym_not_operator] = STATE(1585),
    [sym_boolean_operator] = STATE(1585),
    [sym_binary_operator] = STATE(157),
    [sym_unary_operator] = STATE(157),
    [sym_comparison_operator] = STATE(1585),
    [sym_lambda] = STATE(1585),
    [sym_attribute] = STATE(157),
    [sym_subscript] = STATE(157),
    [sym_call] = STATE(157),
    [sym_list] = STATE(157),
    [sym_list_comprehension] = STATE(157),
    [sym_dictionary] = STATE(157),
    [sym_dictionary_comprehension] = STATE(157),
    [sym_set] = STATE(157),
    [sym_set_comprehension] = STATE(157),
    [sym_parenthesized_expression] = STATE(157),
    [sym_tuple] = STATE(157),
    [sym_generator_expression] = STATE(157),
    [sym_conditional_expression] = STATE(1585),
    [sym_concatenated_string] = STATE(157),
    [sym_await] = STATE(1585),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(259),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(267),
    [sym_integer] = ACTIONS(269),
    [sym_float] = ACTIONS(269),
    [sym_identifier] = ACTIONS(269),
    [sym_true] = ACTIONS(269),
    [sym_false] = ACTIONS(269),
    [sym_none] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(271),
    [sym_comment] = ACTIONS(69),
  },
  [1298] = {
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(2800),
    [anon_sym_or] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
  },
  [1299] = {
    [sym__expression] = STATE(1586),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1586),
    [sym_boolean_operator] = STATE(1586),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1586),
    [sym_lambda] = STATE(1586),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1586),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1586),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1300] = {
    [anon_sym_COLON] = ACTIONS(3498),
    [sym_comment] = ACTIONS(69),
  },
  [1301] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1588),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_RBRACE] = ACTIONS(883),
    [sym_string] = ACTIONS(3500),
    [sym_comment] = ACTIONS(69),
  },
  [1302] = {
    [sym__expression] = STATE(1589),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1589),
    [sym_boolean_operator] = STATE(1589),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1589),
    [sym_lambda] = STATE(1589),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1589),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1589),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1303] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1304] = {
    [sym__expression] = STATE(1590),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1590),
    [sym_boolean_operator] = STATE(1590),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1590),
    [sym_lambda] = STATE(1590),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1590),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1590),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1305] = {
    [sym__primary_expression] = STATE(1591),
    [sym_binary_operator] = STATE(1591),
    [sym_unary_operator] = STATE(1591),
    [sym_attribute] = STATE(1591),
    [sym_subscript] = STATE(1591),
    [sym_call] = STATE(1591),
    [sym_list] = STATE(1591),
    [sym_list_comprehension] = STATE(1591),
    [sym_dictionary] = STATE(1591),
    [sym_dictionary_comprehension] = STATE(1591),
    [sym_set] = STATE(1591),
    [sym_set_comprehension] = STATE(1591),
    [sym_parenthesized_expression] = STATE(1591),
    [sym_tuple] = STATE(1591),
    [sym_generator_expression] = STATE(1591),
    [sym_concatenated_string] = STATE(1591),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3504),
    [sym_float] = ACTIONS(3504),
    [sym_identifier] = ACTIONS(3504),
    [sym_true] = ACTIONS(3504),
    [sym_false] = ACTIONS(3504),
    [sym_none] = ACTIONS(3504),
    [sym_comment] = ACTIONS(69),
  },
  [1306] = {
    [sym__primary_expression] = STATE(1592),
    [sym_binary_operator] = STATE(1592),
    [sym_unary_operator] = STATE(1592),
    [sym_attribute] = STATE(1592),
    [sym_subscript] = STATE(1592),
    [sym_call] = STATE(1592),
    [sym_list] = STATE(1592),
    [sym_list_comprehension] = STATE(1592),
    [sym_dictionary] = STATE(1592),
    [sym_dictionary_comprehension] = STATE(1592),
    [sym_set] = STATE(1592),
    [sym_set_comprehension] = STATE(1592),
    [sym_parenthesized_expression] = STATE(1592),
    [sym_tuple] = STATE(1592),
    [sym_generator_expression] = STATE(1592),
    [sym_concatenated_string] = STATE(1592),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3508),
    [sym_float] = ACTIONS(3508),
    [sym_identifier] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_none] = ACTIONS(3508),
    [sym_comment] = ACTIONS(69),
  },
  [1307] = {
    [sym__primary_expression] = STATE(1593),
    [sym_binary_operator] = STATE(1593),
    [sym_unary_operator] = STATE(1593),
    [sym_attribute] = STATE(1593),
    [sym_subscript] = STATE(1593),
    [sym_call] = STATE(1593),
    [sym_list] = STATE(1593),
    [sym_list_comprehension] = STATE(1593),
    [sym_dictionary] = STATE(1593),
    [sym_dictionary_comprehension] = STATE(1593),
    [sym_set] = STATE(1593),
    [sym_set_comprehension] = STATE(1593),
    [sym_parenthesized_expression] = STATE(1593),
    [sym_tuple] = STATE(1593),
    [sym_generator_expression] = STATE(1593),
    [sym_concatenated_string] = STATE(1593),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3510),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3512),
    [sym_float] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_true] = ACTIONS(3512),
    [sym_false] = ACTIONS(3512),
    [sym_none] = ACTIONS(3512),
    [sym_comment] = ACTIONS(69),
  },
  [1308] = {
    [anon_sym_in] = ACTIONS(3514),
    [sym_comment] = ACTIONS(69),
  },
  [1309] = {
    [sym__primary_expression] = STATE(1595),
    [sym_binary_operator] = STATE(1595),
    [sym_unary_operator] = STATE(1595),
    [sym_attribute] = STATE(1595),
    [sym_subscript] = STATE(1595),
    [sym_call] = STATE(1595),
    [sym_list] = STATE(1595),
    [sym_list_comprehension] = STATE(1595),
    [sym_dictionary] = STATE(1595),
    [sym_dictionary_comprehension] = STATE(1595),
    [sym_set] = STATE(1595),
    [sym_set_comprehension] = STATE(1595),
    [sym_parenthesized_expression] = STATE(1595),
    [sym_tuple] = STATE(1595),
    [sym_generator_expression] = STATE(1595),
    [sym_concatenated_string] = STATE(1595),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3516),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3518),
    [sym_float] = ACTIONS(3518),
    [sym_identifier] = ACTIONS(3518),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_none] = ACTIONS(3518),
    [sym_comment] = ACTIONS(69),
  },
  [1310] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1311] = {
    [sym__primary_expression] = STATE(1596),
    [sym_binary_operator] = STATE(1596),
    [sym_unary_operator] = STATE(1596),
    [sym_attribute] = STATE(1596),
    [sym_subscript] = STATE(1596),
    [sym_call] = STATE(1596),
    [sym_list] = STATE(1596),
    [sym_list_comprehension] = STATE(1596),
    [sym_dictionary] = STATE(1596),
    [sym_dictionary_comprehension] = STATE(1596),
    [sym_set] = STATE(1596),
    [sym_set_comprehension] = STATE(1596),
    [sym_parenthesized_expression] = STATE(1596),
    [sym_tuple] = STATE(1596),
    [sym_generator_expression] = STATE(1596),
    [sym_concatenated_string] = STATE(1596),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3520),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3522),
    [sym_float] = ACTIONS(3522),
    [sym_identifier] = ACTIONS(3522),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_none] = ACTIONS(3522),
    [sym_comment] = ACTIONS(69),
  },
  [1312] = {
    [sym__primary_expression] = STATE(1597),
    [sym_binary_operator] = STATE(1597),
    [sym_unary_operator] = STATE(1597),
    [sym_attribute] = STATE(1597),
    [sym_subscript] = STATE(1597),
    [sym_call] = STATE(1597),
    [sym_list] = STATE(1597),
    [sym_list_comprehension] = STATE(1597),
    [sym_dictionary] = STATE(1597),
    [sym_dictionary_comprehension] = STATE(1597),
    [sym_set] = STATE(1597),
    [sym_set_comprehension] = STATE(1597),
    [sym_parenthesized_expression] = STATE(1597),
    [sym_tuple] = STATE(1597),
    [sym_generator_expression] = STATE(1597),
    [sym_concatenated_string] = STATE(1597),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3526),
    [sym_float] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3526),
    [sym_true] = ACTIONS(3526),
    [sym_false] = ACTIONS(3526),
    [sym_none] = ACTIONS(3526),
    [sym_comment] = ACTIONS(69),
  },
  [1313] = {
    [sym__primary_expression] = STATE(1598),
    [sym_binary_operator] = STATE(1598),
    [sym_unary_operator] = STATE(1598),
    [sym_attribute] = STATE(1598),
    [sym_subscript] = STATE(1598),
    [sym_call] = STATE(1598),
    [sym_list] = STATE(1598),
    [sym_list_comprehension] = STATE(1598),
    [sym_dictionary] = STATE(1598),
    [sym_dictionary_comprehension] = STATE(1598),
    [sym_set] = STATE(1598),
    [sym_set_comprehension] = STATE(1598),
    [sym_parenthesized_expression] = STATE(1598),
    [sym_tuple] = STATE(1598),
    [sym_generator_expression] = STATE(1598),
    [sym_concatenated_string] = STATE(1598),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3530),
    [sym_float] = ACTIONS(3530),
    [sym_identifier] = ACTIONS(3530),
    [sym_true] = ACTIONS(3530),
    [sym_false] = ACTIONS(3530),
    [sym_none] = ACTIONS(3530),
    [sym_comment] = ACTIONS(69),
  },
  [1314] = {
    [sym__primary_expression] = STATE(1593),
    [sym_binary_operator] = STATE(1593),
    [sym_unary_operator] = STATE(1593),
    [sym_attribute] = STATE(1593),
    [sym_subscript] = STATE(1593),
    [sym_call] = STATE(1593),
    [sym_list] = STATE(1593),
    [sym_list_comprehension] = STATE(1593),
    [sym_dictionary] = STATE(1593),
    [sym_dictionary_comprehension] = STATE(1593),
    [sym_set] = STATE(1593),
    [sym_set_comprehension] = STATE(1593),
    [sym_parenthesized_expression] = STATE(1593),
    [sym_tuple] = STATE(1593),
    [sym_generator_expression] = STATE(1593),
    [sym_concatenated_string] = STATE(1593),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3532),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3510),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3512),
    [sym_float] = ACTIONS(3512),
    [sym_identifier] = ACTIONS(3512),
    [sym_true] = ACTIONS(3512),
    [sym_false] = ACTIONS(3512),
    [sym_none] = ACTIONS(3512),
    [sym_comment] = ACTIONS(69),
  },
  [1315] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1599),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(2824),
    [anon_sym_LT_EQ] = ACTIONS(2808),
    [anon_sym_EQ_EQ] = ACTIONS(2808),
    [anon_sym_BANG_EQ] = ACTIONS(2808),
    [anon_sym_GT_EQ] = ACTIONS(2808),
    [anon_sym_GT] = ACTIONS(2824),
    [anon_sym_LT_GT] = ACTIONS(2808),
    [anon_sym_is] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
  },
  [1316] = {
    [anon_sym_in] = ACTIONS(3534),
    [sym_comment] = ACTIONS(69),
  },
  [1317] = {
    [sym__expression_within_for_in_clause] = STATE(1602),
    [sym__expression] = STATE(1603),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1603),
    [sym_boolean_operator] = STATE(1603),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1603),
    [sym_lambda] = STATE(1603),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1603),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1603),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1318] = {
    [sym__expression] = STATE(1604),
    [sym__primary_expression] = STATE(1324),
    [sym_not_operator] = STATE(1604),
    [sym_boolean_operator] = STATE(1604),
    [sym_binary_operator] = STATE(1324),
    [sym_unary_operator] = STATE(1324),
    [sym_comparison_operator] = STATE(1604),
    [sym_lambda] = STATE(1604),
    [sym_attribute] = STATE(1324),
    [sym_subscript] = STATE(1324),
    [sym_call] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_list_comprehension] = STATE(1324),
    [sym_dictionary] = STATE(1324),
    [sym_dictionary_comprehension] = STATE(1324),
    [sym_set] = STATE(1324),
    [sym_set_comprehension] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_tuple] = STATE(1324),
    [sym_generator_expression] = STATE(1324),
    [sym_conditional_expression] = STATE(1604),
    [sym_concatenated_string] = STATE(1324),
    [sym_await] = STATE(1604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_lambda] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(2844),
    [sym_float] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_none] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [sym_comment] = ACTIONS(69),
  },
  [1319] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [1320] = {
    [sym_lambda_parameters] = STATE(1606),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(3538),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [1321] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1607),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_async] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_string] = ACTIONS(3540),
    [sym_comment] = ACTIONS(69),
  },
  [1322] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(1324),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(1324),
    [sym_unary_operator] = STATE(1324),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(1324),
    [sym_subscript] = STATE(1324),
    [sym_call] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_list_comprehension] = STATE(1324),
    [sym_dictionary] = STATE(1324),
    [sym_dictionary_comprehension] = STATE(1324),
    [sym_set] = STATE(1324),
    [sym_set_comprehension] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_tuple] = STATE(1324),
    [sym_generator_expression] = STATE(1324),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(1324),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_lambda] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(2844),
    [sym_float] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_none] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [sym_comment] = ACTIONS(69),
  },
  [1323] = {
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_async] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(3048),
    [sym_comment] = ACTIONS(69),
  },
  [1324] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1621),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_GT_GT] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(3550),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(3554),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3552),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(3560),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym_CARET] = ACTIONS(3564),
    [anon_sym_LT_LT] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(3566),
    [anon_sym_LT_EQ] = ACTIONS(3550),
    [anon_sym_EQ_EQ] = ACTIONS(3550),
    [anon_sym_BANG_EQ] = ACTIONS(3550),
    [anon_sym_GT_EQ] = ACTIONS(3550),
    [anon_sym_GT] = ACTIONS(3566),
    [anon_sym_LT_GT] = ACTIONS(3550),
    [anon_sym_is] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(299),
    [sym_comment] = ACTIONS(69),
  },
  [1325] = {
    [sym_for_in_clause] = STATE(1325),
    [sym_if_clause] = STATE(1325),
    [aux_sym__comprehension_body_repeat1] = STATE(1325),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3573),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [sym_comment] = ACTIONS(69),
  },
  [1326] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_COLON] = ACTIONS(2950),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_SLASH_SLASH] = ACTIONS(865),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(873),
    [anon_sym_AMP] = ACTIONS(875),
    [anon_sym_CARET] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(69),
  },
  [1327] = {
    [sym__newline] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_or] = ACTIONS(1876),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1641),
  },
  [1328] = {
    [sym__expression] = STATE(1622),
    [sym__primary_expression] = STATE(500),
    [sym_not_operator] = STATE(1622),
    [sym_boolean_operator] = STATE(1622),
    [sym_binary_operator] = STATE(500),
    [sym_unary_operator] = STATE(500),
    [sym_comparison_operator] = STATE(1622),
    [sym_lambda] = STATE(1622),
    [sym_attribute] = STATE(500),
    [sym_subscript] = STATE(500),
    [sym_call] = STATE(500),
    [sym_list] = STATE(500),
    [sym_list_comprehension] = STATE(500),
    [sym_dictionary] = STATE(500),
    [sym_dictionary_comprehension] = STATE(500),
    [sym_set] = STATE(500),
    [sym_set_comprehension] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_tuple] = STATE(500),
    [sym_generator_expression] = STATE(500),
    [sym_conditional_expression] = STATE(1622),
    [sym_concatenated_string] = STATE(500),
    [sym_await] = STATE(1622),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_lambda] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [sym_identifier] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_none] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(903),
    [sym_comment] = ACTIONS(69),
  },
  [1329] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1329),
    [sym__newline] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3579),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1859),
  },
  [1330] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3582),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1331] = {
    [sym__newline] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1950),
  },
  [1332] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1333] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1334] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1892),
    [anon_sym_AMP] = ACTIONS(1894),
    [anon_sym_CARET] = ACTIONS(1896),
    [anon_sym_LT_LT] = ACTIONS(1880),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [1335] = {
    [sym__primary_expression] = STATE(1624),
    [sym_binary_operator] = STATE(1624),
    [sym_unary_operator] = STATE(1624),
    [sym_attribute] = STATE(1624),
    [sym_subscript] = STATE(1624),
    [sym_call] = STATE(1624),
    [sym_list] = STATE(1624),
    [sym_list_comprehension] = STATE(1624),
    [sym_dictionary] = STATE(1624),
    [sym_dictionary_comprehension] = STATE(1624),
    [sym_set] = STATE(1624),
    [sym_set_comprehension] = STATE(1624),
    [sym_parenthesized_expression] = STATE(1624),
    [sym_tuple] = STATE(1624),
    [sym_generator_expression] = STATE(1624),
    [sym_concatenated_string] = STATE(1624),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(3586),
    [sym_float] = ACTIONS(3586),
    [sym_identifier] = ACTIONS(3586),
    [sym_true] = ACTIONS(3586),
    [sym_false] = ACTIONS(3586),
    [sym_none] = ACTIONS(3586),
    [sym_comment] = ACTIONS(69),
  },
  [1336] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1337] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1894),
    [anon_sym_CARET] = ACTIONS(1896),
    [anon_sym_LT_LT] = ACTIONS(1880),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1338] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1896),
    [anon_sym_LT_LT] = ACTIONS(1880),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1339] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1880),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1977),
  },
  [1340] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1340),
    [sym__newline] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3588),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_not] = ACTIONS(3591),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_LT_EQ] = ACTIONS(3588),
    [anon_sym_EQ_EQ] = ACTIONS(3588),
    [anon_sym_BANG_EQ] = ACTIONS(3588),
    [anon_sym_GT_EQ] = ACTIONS(3588),
    [anon_sym_GT] = ACTIONS(3594),
    [anon_sym_LT_GT] = ACTIONS(3588),
    [anon_sym_is] = ACTIONS(3597),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1981),
  },
  [1341] = {
    [sym__newline] = ACTIONS(3600),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3600),
  },
  [1342] = {
    [sym__expression] = STATE(506),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(506),
    [sym_boolean_operator] = STATE(506),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(506),
    [sym_lambda] = STATE(506),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(506),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(506),
    [sym__newline] = ACTIONS(1954),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(1954),
    [anon_sym_EQ] = ACTIONS(1954),
    [anon_sym_exec] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_PLUS_EQ] = ACTIONS(1954),
    [anon_sym_DASH_EQ] = ACTIONS(1954),
    [anon_sym_STAR_EQ] = ACTIONS(1954),
    [anon_sym_SLASH_EQ] = ACTIONS(1954),
    [anon_sym_AT_EQ] = ACTIONS(1954),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1954),
    [anon_sym_PERCENT_EQ] = ACTIONS(1954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1954),
    [anon_sym_GT_GT_EQ] = ACTIONS(1954),
    [anon_sym_LT_LT_EQ] = ACTIONS(1954),
    [anon_sym_AMP_EQ] = ACTIONS(1954),
    [anon_sym_CARET_EQ] = ACTIONS(1954),
    [anon_sym_PIPE_EQ] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(1954),
  },
  [1343] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1344] = {
    [sym__expression] = STATE(1625),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1625),
    [sym_boolean_operator] = STATE(1625),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1625),
    [sym_lambda] = STATE(1625),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1625),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1625),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1345] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1345),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_else] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3602),
    [sym_comment] = ACTIONS(69),
  },
  [1346] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3605),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1347] = {
    [sym__newline] = ACTIONS(3607),
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_COLON] = ACTIONS(3607),
    [anon_sym_EQ] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(297),
    [anon_sym_PLUS_EQ] = ACTIONS(3607),
    [anon_sym_DASH_EQ] = ACTIONS(3607),
    [anon_sym_STAR_EQ] = ACTIONS(3607),
    [anon_sym_SLASH_EQ] = ACTIONS(3607),
    [anon_sym_AT_EQ] = ACTIONS(3607),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3607),
    [anon_sym_PERCENT_EQ] = ACTIONS(3607),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3607),
    [anon_sym_GT_GT_EQ] = ACTIONS(3607),
    [anon_sym_LT_LT_EQ] = ACTIONS(3607),
    [anon_sym_AMP_EQ] = ACTIONS(3607),
    [anon_sym_CARET_EQ] = ACTIONS(3607),
    [anon_sym_PIPE_EQ] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3607),
  },
  [1348] = {
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_else] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1349] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1350] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1351] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_else] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_CARET] = ACTIONS(1944),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1352] = {
    [sym__primary_expression] = STATE(1627),
    [sym_binary_operator] = STATE(1627),
    [sym_unary_operator] = STATE(1627),
    [sym_attribute] = STATE(1627),
    [sym_subscript] = STATE(1627),
    [sym_call] = STATE(1627),
    [sym_list] = STATE(1627),
    [sym_list_comprehension] = STATE(1627),
    [sym_dictionary] = STATE(1627),
    [sym_dictionary_comprehension] = STATE(1627),
    [sym_set] = STATE(1627),
    [sym_set_comprehension] = STATE(1627),
    [sym_parenthesized_expression] = STATE(1627),
    [sym_tuple] = STATE(1627),
    [sym_generator_expression] = STATE(1627),
    [sym_concatenated_string] = STATE(1627),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3609),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(3611),
    [sym_float] = ACTIONS(3611),
    [sym_identifier] = ACTIONS(3611),
    [sym_true] = ACTIONS(3611),
    [sym_false] = ACTIONS(3611),
    [sym_none] = ACTIONS(3611),
    [sym_comment] = ACTIONS(69),
  },
  [1353] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1354] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_CARET] = ACTIONS(1944),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1355] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1944),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1356] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1357] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1357),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_else] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3613),
    [anon_sym_not] = ACTIONS(3616),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3619),
    [anon_sym_LT_EQ] = ACTIONS(3613),
    [anon_sym_EQ_EQ] = ACTIONS(3613),
    [anon_sym_BANG_EQ] = ACTIONS(3613),
    [anon_sym_GT_EQ] = ACTIONS(3613),
    [anon_sym_GT] = ACTIONS(3619),
    [anon_sym_LT_GT] = ACTIONS(3613),
    [anon_sym_is] = ACTIONS(3622),
    [sym_comment] = ACTIONS(69),
  },
  [1358] = {
    [anon_sym_RPAREN] = ACTIONS(2512),
    [anon_sym_COMMA] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1359] = {
    [anon_sym_RPAREN] = ACTIONS(3625),
    [anon_sym_COMMA] = ACTIONS(3625),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1360] = {
    [anon_sym_RPAREN] = ACTIONS(3627),
    [anon_sym_COMMA] = ACTIONS(3627),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1361] = {
    [sym__newline] = ACTIONS(3629),
    [anon_sym_DOT] = ACTIONS(3629),
    [anon_sym_LPAREN] = ACTIONS(3629),
    [anon_sym_COMMA] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_GT_GT] = ACTIONS(3631),
    [anon_sym_if] = ACTIONS(3629),
    [anon_sym_COLON] = ACTIONS(3629),
    [anon_sym_in] = ACTIONS(3629),
    [anon_sym_EQ] = ACTIONS(3631),
    [anon_sym_AT] = ACTIONS(3631),
    [anon_sym_not] = ACTIONS(3629),
    [anon_sym_and] = ACTIONS(3629),
    [anon_sym_or] = ACTIONS(3629),
    [anon_sym_PLUS] = ACTIONS(3631),
    [anon_sym_DASH] = ACTIONS(3631),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3631),
    [anon_sym_SLASH_SLASH] = ACTIONS(3631),
    [anon_sym_STAR_STAR] = ACTIONS(3631),
    [anon_sym_PIPE] = ACTIONS(3631),
    [anon_sym_AMP] = ACTIONS(3631),
    [anon_sym_CARET] = ACTIONS(3631),
    [anon_sym_LT_LT] = ACTIONS(3631),
    [anon_sym_LT] = ACTIONS(3631),
    [anon_sym_LT_EQ] = ACTIONS(3629),
    [anon_sym_EQ_EQ] = ACTIONS(3629),
    [anon_sym_BANG_EQ] = ACTIONS(3629),
    [anon_sym_GT_EQ] = ACTIONS(3629),
    [anon_sym_GT] = ACTIONS(3631),
    [anon_sym_LT_GT] = ACTIONS(3629),
    [anon_sym_is] = ACTIONS(3629),
    [anon_sym_PLUS_EQ] = ACTIONS(3629),
    [anon_sym_DASH_EQ] = ACTIONS(3629),
    [anon_sym_STAR_EQ] = ACTIONS(3629),
    [anon_sym_SLASH_EQ] = ACTIONS(3629),
    [anon_sym_AT_EQ] = ACTIONS(3629),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3629),
    [anon_sym_PERCENT_EQ] = ACTIONS(3629),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3629),
    [anon_sym_GT_GT_EQ] = ACTIONS(3629),
    [anon_sym_LT_LT_EQ] = ACTIONS(3629),
    [anon_sym_AMP_EQ] = ACTIONS(3629),
    [anon_sym_CARET_EQ] = ACTIONS(3629),
    [anon_sym_PIPE_EQ] = ACTIONS(3629),
    [anon_sym_LBRACK] = ACTIONS(3629),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3629),
  },
  [1362] = {
    [anon_sym_RPAREN] = ACTIONS(3633),
    [anon_sym_COMMA] = ACTIONS(3633),
    [sym_comment] = ACTIONS(69),
  },
  [1363] = {
    [anon_sym_RPAREN] = ACTIONS(3633),
    [anon_sym_COMMA] = ACTIONS(3633),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1364] = {
    [sym_list_splat] = STATE(1362),
    [sym_dictionary_splat] = STATE(1362),
    [sym__expression] = STATE(1363),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1363),
    [sym_boolean_operator] = STATE(1363),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1363),
    [sym_lambda] = STATE(1363),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(1362),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1363),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1363),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(3635),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1365] = {
    [aux_sym_argument_list_repeat1] = STATE(1365),
    [anon_sym_RPAREN] = ACTIONS(3633),
    [anon_sym_COMMA] = ACTIONS(3637),
    [sym_comment] = ACTIONS(69),
  },
  [1366] = {
    [anon_sym_COMMA] = ACTIONS(3640),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(3640),
    [sym_comment] = ACTIONS(69),
  },
  [1367] = {
    [sym__expression] = STATE(1630),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(1630),
    [sym_boolean_operator] = STATE(1630),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(1630),
    [sym_lambda] = STATE(1630),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(1630),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(1630),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(3640),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(3640),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [1368] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
  },
  [1369] = {
    [sym__expression] = STATE(1631),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1631),
    [sym_boolean_operator] = STATE(1631),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1631),
    [sym_lambda] = STATE(1631),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1631),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1631),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1370] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1370),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3642),
    [sym_comment] = ACTIONS(69),
  },
  [1371] = {
    [sym__newline] = ACTIONS(3645),
    [anon_sym_DOT] = ACTIONS(3645),
    [anon_sym_LPAREN] = ACTIONS(3645),
    [anon_sym_COMMA] = ACTIONS(3645),
    [anon_sym_STAR] = ACTIONS(3647),
    [anon_sym_GT_GT] = ACTIONS(3647),
    [anon_sym_if] = ACTIONS(3645),
    [anon_sym_COLON] = ACTIONS(3645),
    [anon_sym_in] = ACTIONS(3645),
    [anon_sym_EQ] = ACTIONS(3647),
    [anon_sym_AT] = ACTIONS(3647),
    [anon_sym_not] = ACTIONS(3645),
    [anon_sym_and] = ACTIONS(3645),
    [anon_sym_or] = ACTIONS(3645),
    [anon_sym_PLUS] = ACTIONS(3647),
    [anon_sym_DASH] = ACTIONS(3647),
    [anon_sym_SLASH] = ACTIONS(3647),
    [anon_sym_PERCENT] = ACTIONS(3647),
    [anon_sym_SLASH_SLASH] = ACTIONS(3647),
    [anon_sym_STAR_STAR] = ACTIONS(3647),
    [anon_sym_PIPE] = ACTIONS(3647),
    [anon_sym_AMP] = ACTIONS(3647),
    [anon_sym_CARET] = ACTIONS(3647),
    [anon_sym_LT_LT] = ACTIONS(3647),
    [anon_sym_LT] = ACTIONS(3647),
    [anon_sym_LT_EQ] = ACTIONS(3645),
    [anon_sym_EQ_EQ] = ACTIONS(3645),
    [anon_sym_BANG_EQ] = ACTIONS(3645),
    [anon_sym_GT_EQ] = ACTIONS(3645),
    [anon_sym_GT] = ACTIONS(3647),
    [anon_sym_LT_GT] = ACTIONS(3645),
    [anon_sym_is] = ACTIONS(3645),
    [anon_sym_PLUS_EQ] = ACTIONS(3645),
    [anon_sym_DASH_EQ] = ACTIONS(3645),
    [anon_sym_STAR_EQ] = ACTIONS(3645),
    [anon_sym_SLASH_EQ] = ACTIONS(3645),
    [anon_sym_AT_EQ] = ACTIONS(3645),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3645),
    [anon_sym_PERCENT_EQ] = ACTIONS(3645),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3645),
    [anon_sym_GT_GT_EQ] = ACTIONS(3645),
    [anon_sym_LT_LT_EQ] = ACTIONS(3645),
    [anon_sym_AMP_EQ] = ACTIONS(3645),
    [anon_sym_CARET_EQ] = ACTIONS(3645),
    [anon_sym_PIPE_EQ] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(3645),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3645),
  },
  [1372] = {
    [anon_sym_COMMA] = ACTIONS(3649),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(2001),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(3649),
    [sym_comment] = ACTIONS(69),
  },
  [1373] = {
    [anon_sym_COMMA] = ACTIONS(3649),
    [anon_sym_RBRACK] = ACTIONS(3649),
    [sym_comment] = ACTIONS(69),
  },
  [1374] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3651),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1375] = {
    [anon_sym_COMMA] = ACTIONS(3640),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(3653),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(3640),
    [sym_comment] = ACTIONS(69),
  },
  [1376] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACK] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1377] = {
    [sym__expression] = STATE(1372),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1372),
    [sym_boolean_operator] = STATE(1372),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1372),
    [sym_lambda] = STATE(1372),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(1373),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1372),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1372),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(3655),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1378] = {
    [aux_sym_subscript_repeat1] = STATE(1378),
    [anon_sym_COMMA] = ACTIONS(3657),
    [anon_sym_RBRACK] = ACTIONS(3649),
    [sym_comment] = ACTIONS(69),
  },
  [1379] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1380] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH] = ACTIONS(2015),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1381] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(2011),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH] = ACTIONS(2015),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(2023),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_CARET] = ACTIONS(2027),
    [anon_sym_LT_LT] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1382] = {
    [sym__primary_expression] = STATE(1636),
    [sym_binary_operator] = STATE(1636),
    [sym_unary_operator] = STATE(1636),
    [sym_attribute] = STATE(1636),
    [sym_subscript] = STATE(1636),
    [sym_call] = STATE(1636),
    [sym_list] = STATE(1636),
    [sym_list_comprehension] = STATE(1636),
    [sym_dictionary] = STATE(1636),
    [sym_dictionary_comprehension] = STATE(1636),
    [sym_set] = STATE(1636),
    [sym_set_comprehension] = STATE(1636),
    [sym_parenthesized_expression] = STATE(1636),
    [sym_tuple] = STATE(1636),
    [sym_generator_expression] = STATE(1636),
    [sym_concatenated_string] = STATE(1636),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(3662),
    [sym_float] = ACTIONS(3662),
    [sym_identifier] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_none] = ACTIONS(3662),
    [sym_comment] = ACTIONS(69),
  },
  [1383] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH] = ACTIONS(2015),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1384] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(2011),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH] = ACTIONS(2015),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_CARET] = ACTIONS(2027),
    [anon_sym_LT_LT] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1385] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(2011),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH] = ACTIONS(2015),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(2027),
    [anon_sym_LT_LT] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1386] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(2011),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH] = ACTIONS(2015),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1387] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1387),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3664),
    [anon_sym_not] = ACTIONS(3667),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3670),
    [anon_sym_LT_EQ] = ACTIONS(3664),
    [anon_sym_EQ_EQ] = ACTIONS(3664),
    [anon_sym_BANG_EQ] = ACTIONS(3664),
    [anon_sym_GT_EQ] = ACTIONS(3664),
    [anon_sym_GT] = ACTIONS(3670),
    [anon_sym_LT_GT] = ACTIONS(3664),
    [anon_sym_is] = ACTIONS(3673),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1388] = {
    [aux_sym_dotted_name_repeat1] = STATE(1637),
    [anon_sym_DOT] = ACTIONS(351),
    [anon_sym_RPAREN] = ACTIONS(1105),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_as] = ACTIONS(1105),
    [sym_comment] = ACTIONS(69),
  },
  [1389] = {
    [sym__newline] = ACTIONS(3676),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3676),
  },
  [1390] = {
    [sym_aliased_import] = STATE(1638),
    [sym_dotted_name] = STATE(1639),
    [anon_sym_RPAREN] = ACTIONS(1107),
    [sym_identifier] = ACTIONS(2062),
    [sym_comment] = ACTIONS(69),
  },
  [1391] = {
    [aux_sym__import_list_repeat1] = STATE(1641),
    [anon_sym_RPAREN] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(3678),
    [sym_comment] = ACTIONS(69),
  },
  [1392] = {
    [sym_identifier] = ACTIONS(3680),
    [sym_comment] = ACTIONS(69),
  },
  [1393] = {
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(3089),
    [anon_sym_RPAREN] = ACTIONS(3089),
    [anon_sym_COMMA] = ACTIONS(3089),
    [anon_sym_as] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_GT_GT] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_COLON] = ACTIONS(3089),
    [anon_sym_else] = ACTIONS(3089),
    [anon_sym_async] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_in] = ACTIONS(3089),
    [anon_sym_EQ] = ACTIONS(3091),
    [anon_sym_AT] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_and] = ACTIONS(3089),
    [anon_sym_or] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_SLASH] = ACTIONS(3091),
    [anon_sym_PERCENT] = ACTIONS(3089),
    [anon_sym_SLASH_SLASH] = ACTIONS(3089),
    [anon_sym_STAR_STAR] = ACTIONS(3089),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_CARET] = ACTIONS(3089),
    [anon_sym_LT_LT] = ACTIONS(3089),
    [anon_sym_LT] = ACTIONS(3091),
    [anon_sym_LT_EQ] = ACTIONS(3089),
    [anon_sym_EQ_EQ] = ACTIONS(3089),
    [anon_sym_BANG_EQ] = ACTIONS(3089),
    [anon_sym_GT_EQ] = ACTIONS(3089),
    [anon_sym_GT] = ACTIONS(3091),
    [anon_sym_LT_GT] = ACTIONS(3089),
    [anon_sym_is] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_RBRACK] = ACTIONS(3089),
    [anon_sym_RBRACE] = ACTIONS(3089),
    [sym_comment] = ACTIONS(69),
  },
  [1394] = {
    [anon_sym_RPAREN] = ACTIONS(2639),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1395] = {
    [sym__expression] = STATE(1643),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1643),
    [sym_boolean_operator] = STATE(1643),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1643),
    [sym_lambda] = STATE(1643),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1643),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1643),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1396] = {
    [sym__expression] = STATE(1032),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1032),
    [sym_boolean_operator] = STATE(1032),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1032),
    [sym_lambda] = STATE(1032),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1032),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1032),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1397] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(2950),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(1150),
    [anon_sym_GT_GT] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1150),
    [anon_sym_PERCENT] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_STAR_STAR] = ACTIONS(1162),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1166),
    [anon_sym_CARET] = ACTIONS(1168),
    [anon_sym_LT_LT] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1398] = {
    [anon_sym_DOT] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(3420),
    [anon_sym_RPAREN] = ACTIONS(3420),
    [anon_sym_COMMA] = ACTIONS(3420),
    [anon_sym_as] = ACTIONS(3422),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_GT_GT] = ACTIONS(3420),
    [anon_sym_if] = ACTIONS(3420),
    [anon_sym_COLON] = ACTIONS(3420),
    [anon_sym_else] = ACTIONS(3420),
    [anon_sym_async] = ACTIONS(3420),
    [anon_sym_for] = ACTIONS(3420),
    [anon_sym_in] = ACTIONS(3420),
    [anon_sym_EQ] = ACTIONS(3422),
    [anon_sym_AT] = ACTIONS(3420),
    [anon_sym_not] = ACTIONS(3420),
    [anon_sym_and] = ACTIONS(3420),
    [anon_sym_or] = ACTIONS(3420),
    [anon_sym_PLUS] = ACTIONS(3420),
    [anon_sym_DASH] = ACTIONS(3420),
    [anon_sym_SLASH] = ACTIONS(3422),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [anon_sym_SLASH_SLASH] = ACTIONS(3420),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_PIPE] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3420),
    [anon_sym_CARET] = ACTIONS(3420),
    [anon_sym_LT_LT] = ACTIONS(3420),
    [anon_sym_LT] = ACTIONS(3422),
    [anon_sym_LT_EQ] = ACTIONS(3420),
    [anon_sym_EQ_EQ] = ACTIONS(3420),
    [anon_sym_BANG_EQ] = ACTIONS(3420),
    [anon_sym_GT_EQ] = ACTIONS(3420),
    [anon_sym_GT] = ACTIONS(3422),
    [anon_sym_LT_GT] = ACTIONS(3420),
    [anon_sym_is] = ACTIONS(3420),
    [anon_sym_LBRACK] = ACTIONS(3420),
    [anon_sym_RBRACK] = ACTIONS(3420),
    [anon_sym_RBRACE] = ACTIONS(3420),
    [sym_comment] = ACTIONS(69),
  },
  [1399] = {
    [anon_sym_DOT] = ACTIONS(3490),
    [anon_sym_LPAREN] = ACTIONS(3490),
    [anon_sym_RPAREN] = ACTIONS(3490),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_as] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3492),
    [anon_sym_GT_GT] = ACTIONS(3490),
    [anon_sym_if] = ACTIONS(3490),
    [anon_sym_COLON] = ACTIONS(3490),
    [anon_sym_else] = ACTIONS(3490),
    [anon_sym_async] = ACTIONS(3490),
    [anon_sym_for] = ACTIONS(3490),
    [anon_sym_in] = ACTIONS(3490),
    [anon_sym_EQ] = ACTIONS(3492),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(3490),
    [anon_sym_and] = ACTIONS(3490),
    [anon_sym_or] = ACTIONS(3490),
    [anon_sym_PLUS] = ACTIONS(3490),
    [anon_sym_DASH] = ACTIONS(3490),
    [anon_sym_SLASH] = ACTIONS(3492),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_STAR_STAR] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_CARET] = ACTIONS(3490),
    [anon_sym_LT_LT] = ACTIONS(3490),
    [anon_sym_LT] = ACTIONS(3492),
    [anon_sym_LT_EQ] = ACTIONS(3490),
    [anon_sym_EQ_EQ] = ACTIONS(3490),
    [anon_sym_BANG_EQ] = ACTIONS(3490),
    [anon_sym_GT_EQ] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(3492),
    [anon_sym_LT_GT] = ACTIONS(3490),
    [anon_sym_is] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [anon_sym_RBRACK] = ACTIONS(3490),
    [anon_sym_RBRACE] = ACTIONS(3490),
    [sym_comment] = ACTIONS(69),
  },
  [1400] = {
    [anon_sym_DOT] = ACTIONS(3494),
    [anon_sym_LPAREN] = ACTIONS(3494),
    [anon_sym_RPAREN] = ACTIONS(3494),
    [anon_sym_COMMA] = ACTIONS(3494),
    [anon_sym_as] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(3496),
    [anon_sym_GT_GT] = ACTIONS(3494),
    [anon_sym_if] = ACTIONS(3494),
    [anon_sym_COLON] = ACTIONS(3494),
    [anon_sym_else] = ACTIONS(3494),
    [anon_sym_async] = ACTIONS(3494),
    [anon_sym_for] = ACTIONS(3494),
    [anon_sym_in] = ACTIONS(3494),
    [anon_sym_EQ] = ACTIONS(3496),
    [anon_sym_AT] = ACTIONS(3494),
    [anon_sym_not] = ACTIONS(3494),
    [anon_sym_and] = ACTIONS(3494),
    [anon_sym_or] = ACTIONS(3494),
    [anon_sym_PLUS] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3494),
    [anon_sym_SLASH] = ACTIONS(3496),
    [anon_sym_PERCENT] = ACTIONS(3494),
    [anon_sym_SLASH_SLASH] = ACTIONS(3494),
    [anon_sym_STAR_STAR] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3494),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_CARET] = ACTIONS(3494),
    [anon_sym_LT_LT] = ACTIONS(3494),
    [anon_sym_LT] = ACTIONS(3496),
    [anon_sym_LT_EQ] = ACTIONS(3494),
    [anon_sym_EQ_EQ] = ACTIONS(3494),
    [anon_sym_BANG_EQ] = ACTIONS(3494),
    [anon_sym_GT_EQ] = ACTIONS(3494),
    [anon_sym_GT] = ACTIONS(3496),
    [anon_sym_LT_GT] = ACTIONS(3494),
    [anon_sym_is] = ACTIONS(3494),
    [anon_sym_LBRACK] = ACTIONS(3494),
    [anon_sym_RBRACK] = ACTIONS(3494),
    [anon_sym_RBRACE] = ACTIONS(3494),
    [sym_comment] = ACTIONS(69),
  },
  [1401] = {
    [anon_sym_RPAREN] = ACTIONS(3607),
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [1402] = {
    [sym__expression_within_for_in_clause] = STATE(1644),
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1403] = {
    [sym_lambda_parameters] = STATE(1646),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(3682),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [1404] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1648),
    [anon_sym_RPAREN] = ACTIONS(3684),
    [anon_sym_COMMA] = ACTIONS(3686),
    [anon_sym_if] = ACTIONS(3684),
    [anon_sym_async] = ACTIONS(3684),
    [anon_sym_for] = ACTIONS(3684),
    [sym_comment] = ACTIONS(69),
  },
  [1405] = {
    [anon_sym_RPAREN] = ACTIONS(3688),
    [anon_sym_COMMA] = ACTIONS(3688),
    [anon_sym_if] = ACTIONS(3688),
    [anon_sym_async] = ACTIONS(3688),
    [anon_sym_for] = ACTIONS(3688),
    [anon_sym_and] = ACTIONS(415),
    [anon_sym_or] = ACTIONS(417),
    [sym_comment] = ACTIONS(69),
  },
  [1406] = {
    [anon_sym_RPAREN] = ACTIONS(3690),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_if] = ACTIONS(3690),
    [anon_sym_async] = ACTIONS(3690),
    [anon_sym_for] = ACTIONS(3690),
    [anon_sym_RBRACK] = ACTIONS(3690),
    [anon_sym_RBRACE] = ACTIONS(3690),
    [sym_comment] = ACTIONS(69),
  },
  [1407] = {
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3052),
    [sym_comment] = ACTIONS(69),
  },
  [1408] = {
    [sym__expression] = STATE(1649),
    [sym__primary_expression] = STATE(1064),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_binary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_comparison_operator] = STATE(1649),
    [sym_lambda] = STATE(1649),
    [sym_attribute] = STATE(1064),
    [sym_subscript] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym_list] = STATE(1064),
    [sym_list_comprehension] = STATE(1064),
    [sym_dictionary] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(1064),
    [sym_set] = STATE(1064),
    [sym_set_comprehension] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_generator_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(1649),
    [sym_concatenated_string] = STATE(1064),
    [sym_await] = STATE(1649),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_lambda] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [sym_comment] = ACTIONS(69),
  },
  [1409] = {
    [anon_sym_COLON] = ACTIONS(3692),
    [sym_comment] = ACTIONS(69),
  },
  [1410] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1651),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(3694),
    [sym_comment] = ACTIONS(69),
  },
  [1411] = {
    [sym__expression] = STATE(1652),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1652),
    [sym_boolean_operator] = STATE(1652),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1652),
    [sym_lambda] = STATE(1652),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1652),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1652),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1412] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(1064),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(1064),
    [sym_subscript] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym_list] = STATE(1064),
    [sym_list_comprehension] = STATE(1064),
    [sym_dictionary] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(1064),
    [sym_set] = STATE(1064),
    [sym_set_comprehension] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_generator_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(1064),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_lambda] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [sym_comment] = ACTIONS(69),
  },
  [1413] = {
    [sym__expression] = STATE(1653),
    [sym__primary_expression] = STATE(1064),
    [sym_not_operator] = STATE(1653),
    [sym_boolean_operator] = STATE(1653),
    [sym_binary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_comparison_operator] = STATE(1653),
    [sym_lambda] = STATE(1653),
    [sym_attribute] = STATE(1064),
    [sym_subscript] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym_list] = STATE(1064),
    [sym_list_comprehension] = STATE(1064),
    [sym_dictionary] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(1064),
    [sym_set] = STATE(1064),
    [sym_set_comprehension] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_generator_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(1653),
    [sym_concatenated_string] = STATE(1064),
    [sym_await] = STATE(1653),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_lambda] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [sym_comment] = ACTIONS(69),
  },
  [1414] = {
    [sym__primary_expression] = STATE(1654),
    [sym_binary_operator] = STATE(1654),
    [sym_unary_operator] = STATE(1654),
    [sym_attribute] = STATE(1654),
    [sym_subscript] = STATE(1654),
    [sym_call] = STATE(1654),
    [sym_list] = STATE(1654),
    [sym_list_comprehension] = STATE(1654),
    [sym_dictionary] = STATE(1654),
    [sym_dictionary_comprehension] = STATE(1654),
    [sym_set] = STATE(1654),
    [sym_set_comprehension] = STATE(1654),
    [sym_parenthesized_expression] = STATE(1654),
    [sym_tuple] = STATE(1654),
    [sym_generator_expression] = STATE(1654),
    [sym_concatenated_string] = STATE(1654),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3696),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(3698),
    [sym_float] = ACTIONS(3698),
    [sym_identifier] = ACTIONS(3698),
    [sym_true] = ACTIONS(3698),
    [sym_false] = ACTIONS(3698),
    [sym_none] = ACTIONS(3698),
    [sym_comment] = ACTIONS(69),
  },
  [1415] = {
    [sym__primary_expression] = STATE(1655),
    [sym_binary_operator] = STATE(1655),
    [sym_unary_operator] = STATE(1655),
    [sym_attribute] = STATE(1655),
    [sym_subscript] = STATE(1655),
    [sym_call] = STATE(1655),
    [sym_list] = STATE(1655),
    [sym_list_comprehension] = STATE(1655),
    [sym_dictionary] = STATE(1655),
    [sym_dictionary_comprehension] = STATE(1655),
    [sym_set] = STATE(1655),
    [sym_set_comprehension] = STATE(1655),
    [sym_parenthesized_expression] = STATE(1655),
    [sym_tuple] = STATE(1655),
    [sym_generator_expression] = STATE(1655),
    [sym_concatenated_string] = STATE(1655),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3700),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(3702),
    [sym_float] = ACTIONS(3702),
    [sym_identifier] = ACTIONS(3702),
    [sym_true] = ACTIONS(3702),
    [sym_false] = ACTIONS(3702),
    [sym_none] = ACTIONS(3702),
    [sym_comment] = ACTIONS(69),
  },
  [1416] = {
    [sym__primary_expression] = STATE(1656),
    [sym_binary_operator] = STATE(1656),
    [sym_unary_operator] = STATE(1656),
    [sym_attribute] = STATE(1656),
    [sym_subscript] = STATE(1656),
    [sym_call] = STATE(1656),
    [sym_list] = STATE(1656),
    [sym_list_comprehension] = STATE(1656),
    [sym_dictionary] = STATE(1656),
    [sym_dictionary_comprehension] = STATE(1656),
    [sym_set] = STATE(1656),
    [sym_set_comprehension] = STATE(1656),
    [sym_parenthesized_expression] = STATE(1656),
    [sym_tuple] = STATE(1656),
    [sym_generator_expression] = STATE(1656),
    [sym_concatenated_string] = STATE(1656),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3704),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(3706),
    [sym_float] = ACTIONS(3706),
    [sym_identifier] = ACTIONS(3706),
    [sym_true] = ACTIONS(3706),
    [sym_false] = ACTIONS(3706),
    [sym_none] = ACTIONS(3706),
    [sym_comment] = ACTIONS(69),
  },
  [1417] = {
    [anon_sym_in] = ACTIONS(3708),
    [sym_comment] = ACTIONS(69),
  },
  [1418] = {
    [sym__primary_expression] = STATE(1658),
    [sym_binary_operator] = STATE(1658),
    [sym_unary_operator] = STATE(1658),
    [sym_attribute] = STATE(1658),
    [sym_subscript] = STATE(1658),
    [sym_call] = STATE(1658),
    [sym_list] = STATE(1658),
    [sym_list_comprehension] = STATE(1658),
    [sym_dictionary] = STATE(1658),
    [sym_dictionary_comprehension] = STATE(1658),
    [sym_set] = STATE(1658),
    [sym_set_comprehension] = STATE(1658),
    [sym_parenthesized_expression] = STATE(1658),
    [sym_tuple] = STATE(1658),
    [sym_generator_expression] = STATE(1658),
    [sym_concatenated_string] = STATE(1658),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3710),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(3712),
    [sym_float] = ACTIONS(3712),
    [sym_identifier] = ACTIONS(3712),
    [sym_true] = ACTIONS(3712),
    [sym_false] = ACTIONS(3712),
    [sym_none] = ACTIONS(3712),
    [sym_comment] = ACTIONS(69),
  },
  [1419] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1420] = {
    [sym__primary_expression] = STATE(1659),
    [sym_binary_operator] = STATE(1659),
    [sym_unary_operator] = STATE(1659),
    [sym_attribute] = STATE(1659),
    [sym_subscript] = STATE(1659),
    [sym_call] = STATE(1659),
    [sym_list] = STATE(1659),
    [sym_list_comprehension] = STATE(1659),
    [sym_dictionary] = STATE(1659),
    [sym_dictionary_comprehension] = STATE(1659),
    [sym_set] = STATE(1659),
    [sym_set_comprehension] = STATE(1659),
    [sym_parenthesized_expression] = STATE(1659),
    [sym_tuple] = STATE(1659),
    [sym_generator_expression] = STATE(1659),
    [sym_concatenated_string] = STATE(1659),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3714),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(3716),
    [sym_float] = ACTIONS(3716),
    [sym_identifier] = ACTIONS(3716),
    [sym_true] = ACTIONS(3716),
    [sym_false] = ACTIONS(3716),
    [sym_none] = ACTIONS(3716),
    [sym_comment] = ACTIONS(69),
  },
  [1421] = {
    [sym__primary_expression] = STATE(1660),
    [sym_binary_operator] = STATE(1660),
    [sym_unary_operator] = STATE(1660),
    [sym_attribute] = STATE(1660),
    [sym_subscript] = STATE(1660),
    [sym_call] = STATE(1660),
    [sym_list] = STATE(1660),
    [sym_list_comprehension] = STATE(1660),
    [sym_dictionary] = STATE(1660),
    [sym_dictionary_comprehension] = STATE(1660),
    [sym_set] = STATE(1660),
    [sym_set_comprehension] = STATE(1660),
    [sym_parenthesized_expression] = STATE(1660),
    [sym_tuple] = STATE(1660),
    [sym_generator_expression] = STATE(1660),
    [sym_concatenated_string] = STATE(1660),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3718),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(3720),
    [sym_float] = ACTIONS(3720),
    [sym_identifier] = ACTIONS(3720),
    [sym_true] = ACTIONS(3720),
    [sym_false] = ACTIONS(3720),
    [sym_none] = ACTIONS(3720),
    [sym_comment] = ACTIONS(69),
  },
  [1422] = {
    [sym__primary_expression] = STATE(1661),
    [sym_binary_operator] = STATE(1661),
    [sym_unary_operator] = STATE(1661),
    [sym_attribute] = STATE(1661),
    [sym_subscript] = STATE(1661),
    [sym_call] = STATE(1661),
    [sym_list] = STATE(1661),
    [sym_list_comprehension] = STATE(1661),
    [sym_dictionary] = STATE(1661),
    [sym_dictionary_comprehension] = STATE(1661),
    [sym_set] = STATE(1661),
    [sym_set_comprehension] = STATE(1661),
    [sym_parenthesized_expression] = STATE(1661),
    [sym_tuple] = STATE(1661),
    [sym_generator_expression] = STATE(1661),
    [sym_concatenated_string] = STATE(1661),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3722),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(3724),
    [sym_float] = ACTIONS(3724),
    [sym_identifier] = ACTIONS(3724),
    [sym_true] = ACTIONS(3724),
    [sym_false] = ACTIONS(3724),
    [sym_none] = ACTIONS(3724),
    [sym_comment] = ACTIONS(69),
  },
  [1423] = {
    [sym__primary_expression] = STATE(1656),
    [sym_binary_operator] = STATE(1656),
    [sym_unary_operator] = STATE(1656),
    [sym_attribute] = STATE(1656),
    [sym_subscript] = STATE(1656),
    [sym_call] = STATE(1656),
    [sym_list] = STATE(1656),
    [sym_list_comprehension] = STATE(1656),
    [sym_dictionary] = STATE(1656),
    [sym_dictionary_comprehension] = STATE(1656),
    [sym_set] = STATE(1656),
    [sym_set_comprehension] = STATE(1656),
    [sym_parenthesized_expression] = STATE(1656),
    [sym_tuple] = STATE(1656),
    [sym_generator_expression] = STATE(1656),
    [sym_concatenated_string] = STATE(1656),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3726),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3704),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(3706),
    [sym_float] = ACTIONS(3706),
    [sym_identifier] = ACTIONS(3706),
    [sym_true] = ACTIONS(3706),
    [sym_false] = ACTIONS(3706),
    [sym_none] = ACTIONS(3706),
    [sym_comment] = ACTIONS(69),
  },
  [1424] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1662),
    [anon_sym_RPAREN] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(3058),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LT_GT] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3076),
    [sym_comment] = ACTIONS(69),
  },
  [1425] = {
    [anon_sym_DOT] = ACTIONS(3629),
    [anon_sym_LPAREN] = ACTIONS(3629),
    [anon_sym_RPAREN] = ACTIONS(3629),
    [anon_sym_COMMA] = ACTIONS(3629),
    [anon_sym_as] = ACTIONS(3631),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_GT_GT] = ACTIONS(3629),
    [anon_sym_if] = ACTIONS(3629),
    [anon_sym_COLON] = ACTIONS(3629),
    [anon_sym_else] = ACTIONS(3629),
    [anon_sym_async] = ACTIONS(3629),
    [anon_sym_for] = ACTIONS(3629),
    [anon_sym_in] = ACTIONS(3629),
    [anon_sym_EQ] = ACTIONS(3631),
    [anon_sym_AT] = ACTIONS(3629),
    [anon_sym_not] = ACTIONS(3629),
    [anon_sym_and] = ACTIONS(3629),
    [anon_sym_or] = ACTIONS(3629),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3629),
    [anon_sym_SLASH_SLASH] = ACTIONS(3629),
    [anon_sym_STAR_STAR] = ACTIONS(3629),
    [anon_sym_PIPE] = ACTIONS(3629),
    [anon_sym_AMP] = ACTIONS(3629),
    [anon_sym_CARET] = ACTIONS(3629),
    [anon_sym_LT_LT] = ACTIONS(3629),
    [anon_sym_LT] = ACTIONS(3631),
    [anon_sym_LT_EQ] = ACTIONS(3629),
    [anon_sym_EQ_EQ] = ACTIONS(3629),
    [anon_sym_BANG_EQ] = ACTIONS(3629),
    [anon_sym_GT_EQ] = ACTIONS(3629),
    [anon_sym_GT] = ACTIONS(3631),
    [anon_sym_LT_GT] = ACTIONS(3629),
    [anon_sym_is] = ACTIONS(3629),
    [anon_sym_LBRACK] = ACTIONS(3629),
    [anon_sym_RBRACK] = ACTIONS(3629),
    [anon_sym_RBRACE] = ACTIONS(3629),
    [sym_comment] = ACTIONS(69),
  },
  [1426] = {
    [sym_list_splat] = STATE(1362),
    [sym_dictionary_splat] = STATE(1362),
    [sym__expression] = STATE(1363),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1363),
    [sym_boolean_operator] = STATE(1363),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1363),
    [sym_lambda] = STATE(1363),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(1362),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1363),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1363),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(3728),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1427] = {
    [anon_sym_DOT] = ACTIONS(3645),
    [anon_sym_LPAREN] = ACTIONS(3645),
    [anon_sym_RPAREN] = ACTIONS(3645),
    [anon_sym_COMMA] = ACTIONS(3645),
    [anon_sym_as] = ACTIONS(3647),
    [anon_sym_STAR] = ACTIONS(3647),
    [anon_sym_GT_GT] = ACTIONS(3645),
    [anon_sym_if] = ACTIONS(3645),
    [anon_sym_COLON] = ACTIONS(3645),
    [anon_sym_else] = ACTIONS(3645),
    [anon_sym_async] = ACTIONS(3645),
    [anon_sym_for] = ACTIONS(3645),
    [anon_sym_in] = ACTIONS(3645),
    [anon_sym_EQ] = ACTIONS(3647),
    [anon_sym_AT] = ACTIONS(3645),
    [anon_sym_not] = ACTIONS(3645),
    [anon_sym_and] = ACTIONS(3645),
    [anon_sym_or] = ACTIONS(3645),
    [anon_sym_PLUS] = ACTIONS(3645),
    [anon_sym_DASH] = ACTIONS(3645),
    [anon_sym_SLASH] = ACTIONS(3647),
    [anon_sym_PERCENT] = ACTIONS(3645),
    [anon_sym_SLASH_SLASH] = ACTIONS(3645),
    [anon_sym_STAR_STAR] = ACTIONS(3645),
    [anon_sym_PIPE] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(3645),
    [anon_sym_CARET] = ACTIONS(3645),
    [anon_sym_LT_LT] = ACTIONS(3645),
    [anon_sym_LT] = ACTIONS(3647),
    [anon_sym_LT_EQ] = ACTIONS(3645),
    [anon_sym_EQ_EQ] = ACTIONS(3645),
    [anon_sym_BANG_EQ] = ACTIONS(3645),
    [anon_sym_GT_EQ] = ACTIONS(3645),
    [anon_sym_GT] = ACTIONS(3647),
    [anon_sym_LT_GT] = ACTIONS(3645),
    [anon_sym_is] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(3645),
    [anon_sym_RBRACK] = ACTIONS(3645),
    [anon_sym_RBRACE] = ACTIONS(3645),
    [sym_comment] = ACTIONS(69),
  },
  [1428] = {
    [sym__expression] = STATE(1372),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1372),
    [sym_boolean_operator] = STATE(1372),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1372),
    [sym_lambda] = STATE(1372),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(1373),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1372),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1372),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(3730),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1429] = {
    [sym__newline] = ACTIONS(3089),
    [anon_sym_DOT] = ACTIONS(3089),
    [anon_sym_from] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(3089),
    [anon_sym_COMMA] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_GT_GT] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_in] = ACTIONS(3089),
    [anon_sym_EQ] = ACTIONS(3091),
    [anon_sym_AT] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_and] = ACTIONS(3089),
    [anon_sym_or] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_SLASH] = ACTIONS(3091),
    [anon_sym_PERCENT] = ACTIONS(3089),
    [anon_sym_SLASH_SLASH] = ACTIONS(3089),
    [anon_sym_STAR_STAR] = ACTIONS(3089),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_CARET] = ACTIONS(3089),
    [anon_sym_LT_LT] = ACTIONS(3089),
    [anon_sym_LT] = ACTIONS(3091),
    [anon_sym_LT_EQ] = ACTIONS(3089),
    [anon_sym_EQ_EQ] = ACTIONS(3089),
    [anon_sym_BANG_EQ] = ACTIONS(3089),
    [anon_sym_GT_EQ] = ACTIONS(3089),
    [anon_sym_GT] = ACTIONS(3091),
    [anon_sym_LT_GT] = ACTIONS(3089),
    [anon_sym_is] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3089),
  },
  [1430] = {
    [sym__newline] = ACTIONS(3420),
    [anon_sym_DOT] = ACTIONS(3420),
    [anon_sym_from] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(3420),
    [anon_sym_COMMA] = ACTIONS(3420),
    [anon_sym_STAR] = ACTIONS(3422),
    [anon_sym_GT_GT] = ACTIONS(3420),
    [anon_sym_if] = ACTIONS(3420),
    [anon_sym_in] = ACTIONS(3420),
    [anon_sym_EQ] = ACTIONS(3422),
    [anon_sym_AT] = ACTIONS(3420),
    [anon_sym_not] = ACTIONS(3420),
    [anon_sym_and] = ACTIONS(3420),
    [anon_sym_or] = ACTIONS(3420),
    [anon_sym_PLUS] = ACTIONS(3420),
    [anon_sym_DASH] = ACTIONS(3420),
    [anon_sym_SLASH] = ACTIONS(3422),
    [anon_sym_PERCENT] = ACTIONS(3420),
    [anon_sym_SLASH_SLASH] = ACTIONS(3420),
    [anon_sym_STAR_STAR] = ACTIONS(3420),
    [anon_sym_PIPE] = ACTIONS(3420),
    [anon_sym_AMP] = ACTIONS(3420),
    [anon_sym_CARET] = ACTIONS(3420),
    [anon_sym_LT_LT] = ACTIONS(3420),
    [anon_sym_LT] = ACTIONS(3422),
    [anon_sym_LT_EQ] = ACTIONS(3420),
    [anon_sym_EQ_EQ] = ACTIONS(3420),
    [anon_sym_BANG_EQ] = ACTIONS(3420),
    [anon_sym_GT_EQ] = ACTIONS(3420),
    [anon_sym_GT] = ACTIONS(3422),
    [anon_sym_LT_GT] = ACTIONS(3420),
    [anon_sym_is] = ACTIONS(3420),
    [anon_sym_LBRACK] = ACTIONS(3420),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3420),
  },
  [1431] = {
    [sym__newline] = ACTIONS(3490),
    [anon_sym_DOT] = ACTIONS(3490),
    [anon_sym_from] = ACTIONS(3490),
    [anon_sym_LPAREN] = ACTIONS(3490),
    [anon_sym_COMMA] = ACTIONS(3490),
    [anon_sym_STAR] = ACTIONS(3492),
    [anon_sym_GT_GT] = ACTIONS(3490),
    [anon_sym_if] = ACTIONS(3490),
    [anon_sym_in] = ACTIONS(3490),
    [anon_sym_EQ] = ACTIONS(3492),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(3490),
    [anon_sym_and] = ACTIONS(3490),
    [anon_sym_or] = ACTIONS(3490),
    [anon_sym_PLUS] = ACTIONS(3490),
    [anon_sym_DASH] = ACTIONS(3490),
    [anon_sym_SLASH] = ACTIONS(3492),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_STAR_STAR] = ACTIONS(3490),
    [anon_sym_PIPE] = ACTIONS(3490),
    [anon_sym_AMP] = ACTIONS(3490),
    [anon_sym_CARET] = ACTIONS(3490),
    [anon_sym_LT_LT] = ACTIONS(3490),
    [anon_sym_LT] = ACTIONS(3492),
    [anon_sym_LT_EQ] = ACTIONS(3490),
    [anon_sym_EQ_EQ] = ACTIONS(3490),
    [anon_sym_BANG_EQ] = ACTIONS(3490),
    [anon_sym_GT_EQ] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(3492),
    [anon_sym_LT_GT] = ACTIONS(3490),
    [anon_sym_is] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(3490),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3490),
  },
  [1432] = {
    [sym__newline] = ACTIONS(3494),
    [anon_sym_DOT] = ACTIONS(3494),
    [anon_sym_from] = ACTIONS(3494),
    [anon_sym_LPAREN] = ACTIONS(3494),
    [anon_sym_COMMA] = ACTIONS(3494),
    [anon_sym_STAR] = ACTIONS(3496),
    [anon_sym_GT_GT] = ACTIONS(3494),
    [anon_sym_if] = ACTIONS(3494),
    [anon_sym_in] = ACTIONS(3494),
    [anon_sym_EQ] = ACTIONS(3496),
    [anon_sym_AT] = ACTIONS(3494),
    [anon_sym_not] = ACTIONS(3494),
    [anon_sym_and] = ACTIONS(3494),
    [anon_sym_or] = ACTIONS(3494),
    [anon_sym_PLUS] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3494),
    [anon_sym_SLASH] = ACTIONS(3496),
    [anon_sym_PERCENT] = ACTIONS(3494),
    [anon_sym_SLASH_SLASH] = ACTIONS(3494),
    [anon_sym_STAR_STAR] = ACTIONS(3494),
    [anon_sym_PIPE] = ACTIONS(3494),
    [anon_sym_AMP] = ACTIONS(3494),
    [anon_sym_CARET] = ACTIONS(3494),
    [anon_sym_LT_LT] = ACTIONS(3494),
    [anon_sym_LT] = ACTIONS(3496),
    [anon_sym_LT_EQ] = ACTIONS(3494),
    [anon_sym_EQ_EQ] = ACTIONS(3494),
    [anon_sym_BANG_EQ] = ACTIONS(3494),
    [anon_sym_GT_EQ] = ACTIONS(3494),
    [anon_sym_GT] = ACTIONS(3496),
    [anon_sym_LT_GT] = ACTIONS(3494),
    [anon_sym_is] = ACTIONS(3494),
    [anon_sym_LBRACK] = ACTIONS(3494),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3494),
  },
  [1433] = {
    [sym__newline] = ACTIONS(3607),
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(475),
    [anon_sym_or] = ACTIONS(477),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3607),
  },
  [1434] = {
    [sym__newline] = ACTIONS(3629),
    [anon_sym_DOT] = ACTIONS(3629),
    [anon_sym_from] = ACTIONS(3629),
    [anon_sym_LPAREN] = ACTIONS(3629),
    [anon_sym_COMMA] = ACTIONS(3629),
    [anon_sym_STAR] = ACTIONS(3631),
    [anon_sym_GT_GT] = ACTIONS(3629),
    [anon_sym_if] = ACTIONS(3629),
    [anon_sym_in] = ACTIONS(3629),
    [anon_sym_EQ] = ACTIONS(3631),
    [anon_sym_AT] = ACTIONS(3629),
    [anon_sym_not] = ACTIONS(3629),
    [anon_sym_and] = ACTIONS(3629),
    [anon_sym_or] = ACTIONS(3629),
    [anon_sym_PLUS] = ACTIONS(3629),
    [anon_sym_DASH] = ACTIONS(3629),
    [anon_sym_SLASH] = ACTIONS(3631),
    [anon_sym_PERCENT] = ACTIONS(3629),
    [anon_sym_SLASH_SLASH] = ACTIONS(3629),
    [anon_sym_STAR_STAR] = ACTIONS(3629),
    [anon_sym_PIPE] = ACTIONS(3629),
    [anon_sym_AMP] = ACTIONS(3629),
    [anon_sym_CARET] = ACTIONS(3629),
    [anon_sym_LT_LT] = ACTIONS(3629),
    [anon_sym_LT] = ACTIONS(3631),
    [anon_sym_LT_EQ] = ACTIONS(3629),
    [anon_sym_EQ_EQ] = ACTIONS(3629),
    [anon_sym_BANG_EQ] = ACTIONS(3629),
    [anon_sym_GT_EQ] = ACTIONS(3629),
    [anon_sym_GT] = ACTIONS(3631),
    [anon_sym_LT_GT] = ACTIONS(3629),
    [anon_sym_is] = ACTIONS(3629),
    [anon_sym_LBRACK] = ACTIONS(3629),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3629),
  },
  [1435] = {
    [sym_list_splat] = STATE(1362),
    [sym_dictionary_splat] = STATE(1362),
    [sym__expression] = STATE(1363),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1363),
    [sym_boolean_operator] = STATE(1363),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1363),
    [sym_lambda] = STATE(1363),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(1362),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1363),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1363),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1436] = {
    [sym__newline] = ACTIONS(3645),
    [anon_sym_DOT] = ACTIONS(3645),
    [anon_sym_from] = ACTIONS(3645),
    [anon_sym_LPAREN] = ACTIONS(3645),
    [anon_sym_COMMA] = ACTIONS(3645),
    [anon_sym_STAR] = ACTIONS(3647),
    [anon_sym_GT_GT] = ACTIONS(3645),
    [anon_sym_if] = ACTIONS(3645),
    [anon_sym_in] = ACTIONS(3645),
    [anon_sym_EQ] = ACTIONS(3647),
    [anon_sym_AT] = ACTIONS(3645),
    [anon_sym_not] = ACTIONS(3645),
    [anon_sym_and] = ACTIONS(3645),
    [anon_sym_or] = ACTIONS(3645),
    [anon_sym_PLUS] = ACTIONS(3645),
    [anon_sym_DASH] = ACTIONS(3645),
    [anon_sym_SLASH] = ACTIONS(3647),
    [anon_sym_PERCENT] = ACTIONS(3645),
    [anon_sym_SLASH_SLASH] = ACTIONS(3645),
    [anon_sym_STAR_STAR] = ACTIONS(3645),
    [anon_sym_PIPE] = ACTIONS(3645),
    [anon_sym_AMP] = ACTIONS(3645),
    [anon_sym_CARET] = ACTIONS(3645),
    [anon_sym_LT_LT] = ACTIONS(3645),
    [anon_sym_LT] = ACTIONS(3647),
    [anon_sym_LT_EQ] = ACTIONS(3645),
    [anon_sym_EQ_EQ] = ACTIONS(3645),
    [anon_sym_BANG_EQ] = ACTIONS(3645),
    [anon_sym_GT_EQ] = ACTIONS(3645),
    [anon_sym_GT] = ACTIONS(3647),
    [anon_sym_LT_GT] = ACTIONS(3645),
    [anon_sym_is] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(3645),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3645),
  },
  [1437] = {
    [sym__expression] = STATE(1372),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1372),
    [sym_boolean_operator] = STATE(1372),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1372),
    [sym_lambda] = STATE(1372),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(1373),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1372),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1372),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(3734),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1438] = {
    [sym__newline] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_and] = ACTIONS(1330),
    [anon_sym_or] = ACTIONS(1332),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2639),
  },
  [1439] = {
    [sym__expression] = STATE(1667),
    [sym__primary_expression] = STATE(303),
    [sym_not_operator] = STATE(1667),
    [sym_boolean_operator] = STATE(1667),
    [sym_binary_operator] = STATE(303),
    [sym_unary_operator] = STATE(303),
    [sym_comparison_operator] = STATE(1667),
    [sym_lambda] = STATE(1667),
    [sym_attribute] = STATE(303),
    [sym_subscript] = STATE(303),
    [sym_call] = STATE(303),
    [sym_list] = STATE(303),
    [sym_list_comprehension] = STATE(303),
    [sym_dictionary] = STATE(303),
    [sym_dictionary_comprehension] = STATE(303),
    [sym_set] = STATE(303),
    [sym_set_comprehension] = STATE(303),
    [sym_parenthesized_expression] = STATE(303),
    [sym_tuple] = STATE(303),
    [sym_generator_expression] = STATE(303),
    [sym_conditional_expression] = STATE(1667),
    [sym_concatenated_string] = STATE(303),
    [sym_await] = STATE(1667),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_TILDE] = ACTIONS(521),
    [anon_sym_lambda] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(525),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(527),
    [sym_integer] = ACTIONS(529),
    [sym_float] = ACTIONS(529),
    [sym_identifier] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_none] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(531),
    [sym_comment] = ACTIONS(69),
  },
  [1440] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(2950),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_GT_GT] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(1340),
    [anon_sym_STAR_STAR] = ACTIONS(1346),
    [anon_sym_PIPE] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_LT_LT] = ACTIONS(1336),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2950),
  },
  [1441] = {
    [sym__newline] = ACTIONS(3607),
    [anon_sym_from] = ACTIONS(3607),
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_and] = ACTIONS(545),
    [anon_sym_or] = ACTIONS(547),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3607),
  },
  [1442] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1443] = {
    [ts_builtin_sym_end] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_elif] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1444] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_elif] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1445] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(3736),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1446] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(3738),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1447] = {
    [sym__simple_statements] = STATE(1670),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1670),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1448] = {
    [ts_builtin_sym_end] = ACTIONS(3740),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3740),
    [anon_sym_print] = ACTIONS(3742),
    [anon_sym_assert] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_del] = ACTIONS(3742),
    [anon_sym_raise] = ACTIONS(3742),
    [sym_pass_statement] = ACTIONS(3742),
    [sym_break_statement] = ACTIONS(3742),
    [sym_continue_statement] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_def] = ACTIONS(3742),
    [anon_sym_global] = ACTIONS(3742),
    [anon_sym_nonlocal] = ACTIONS(3742),
    [anon_sym_exec] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3740),
    [anon_sym_DASH] = ACTIONS(3740),
    [anon_sym_TILDE] = ACTIONS(3740),
    [anon_sym_lambda] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3740),
    [sym_ellipsis] = ACTIONS(3740),
    [anon_sym_LBRACE] = ACTIONS(3740),
    [sym_string] = ACTIONS(3740),
    [sym_integer] = ACTIONS(3742),
    [sym_float] = ACTIONS(3742),
    [sym_identifier] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_none] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [sym_comment] = ACTIONS(69),
  },
  [1449] = {
    [sym_elif_clause] = STATE(1449),
    [aux_sym_if_statement_repeat1] = STATE(1449),
    [ts_builtin_sym_end] = ACTIONS(3744),
    [anon_sym_import] = ACTIONS(3746),
    [anon_sym_from] = ACTIONS(3746),
    [anon_sym_LPAREN] = ACTIONS(3744),
    [anon_sym_print] = ACTIONS(3746),
    [anon_sym_assert] = ACTIONS(3746),
    [anon_sym_return] = ACTIONS(3746),
    [anon_sym_del] = ACTIONS(3746),
    [anon_sym_raise] = ACTIONS(3746),
    [sym_pass_statement] = ACTIONS(3746),
    [sym_break_statement] = ACTIONS(3746),
    [sym_continue_statement] = ACTIONS(3746),
    [anon_sym_if] = ACTIONS(3746),
    [anon_sym_elif] = ACTIONS(3748),
    [anon_sym_else] = ACTIONS(3746),
    [anon_sym_async] = ACTIONS(3746),
    [anon_sym_for] = ACTIONS(3746),
    [anon_sym_while] = ACTIONS(3746),
    [anon_sym_try] = ACTIONS(3746),
    [anon_sym_with] = ACTIONS(3746),
    [anon_sym_def] = ACTIONS(3746),
    [anon_sym_global] = ACTIONS(3746),
    [anon_sym_nonlocal] = ACTIONS(3746),
    [anon_sym_exec] = ACTIONS(3746),
    [anon_sym_class] = ACTIONS(3746),
    [anon_sym_AT] = ACTIONS(3744),
    [anon_sym_not] = ACTIONS(3746),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_DASH] = ACTIONS(3744),
    [anon_sym_TILDE] = ACTIONS(3744),
    [anon_sym_lambda] = ACTIONS(3746),
    [anon_sym_yield] = ACTIONS(3746),
    [anon_sym_LBRACK] = ACTIONS(3744),
    [sym_ellipsis] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3744),
    [sym_string] = ACTIONS(3744),
    [sym_integer] = ACTIONS(3746),
    [sym_float] = ACTIONS(3746),
    [sym_identifier] = ACTIONS(3746),
    [sym_true] = ACTIONS(3746),
    [sym_false] = ACTIONS(3746),
    [sym_none] = ACTIONS(3746),
    [anon_sym_await] = ACTIONS(3746),
    [sym_comment] = ACTIONS(69),
  },
  [1450] = {
    [sym__simple_statements] = STATE(1671),
    [sym_import_statement] = STATE(743),
    [sym_import_from_statement] = STATE(743),
    [sym_print_statement] = STATE(743),
    [sym_assert_statement] = STATE(743),
    [sym_expression_statement] = STATE(743),
    [sym_return_statement] = STATE(743),
    [sym_delete_statement] = STATE(743),
    [sym_raise_statement] = STATE(743),
    [sym_global_statement] = STATE(743),
    [sym_nonlocal_statement] = STATE(743),
    [sym_exec_statement] = STATE(743),
    [sym__suite] = STATE(1671),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1489),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1491),
    [sym_break_statement] = ACTIONS(1491),
    [sym_continue_statement] = ACTIONS(1491),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1451] = {
    [ts_builtin_sym_end] = ACTIONS(3751),
    [anon_sym_import] = ACTIONS(3753),
    [anon_sym_from] = ACTIONS(3753),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_print] = ACTIONS(3753),
    [anon_sym_assert] = ACTIONS(3753),
    [anon_sym_return] = ACTIONS(3753),
    [anon_sym_del] = ACTIONS(3753),
    [anon_sym_raise] = ACTIONS(3753),
    [sym_pass_statement] = ACTIONS(3753),
    [sym_break_statement] = ACTIONS(3753),
    [sym_continue_statement] = ACTIONS(3753),
    [anon_sym_if] = ACTIONS(3753),
    [anon_sym_async] = ACTIONS(3753),
    [anon_sym_for] = ACTIONS(3753),
    [anon_sym_while] = ACTIONS(3753),
    [anon_sym_try] = ACTIONS(3753),
    [anon_sym_with] = ACTIONS(3753),
    [anon_sym_def] = ACTIONS(3753),
    [anon_sym_global] = ACTIONS(3753),
    [anon_sym_nonlocal] = ACTIONS(3753),
    [anon_sym_exec] = ACTIONS(3753),
    [anon_sym_class] = ACTIONS(3753),
    [anon_sym_AT] = ACTIONS(3751),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3751),
    [anon_sym_DASH] = ACTIONS(3751),
    [anon_sym_TILDE] = ACTIONS(3751),
    [anon_sym_lambda] = ACTIONS(3753),
    [anon_sym_yield] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3751),
    [sym_ellipsis] = ACTIONS(3751),
    [anon_sym_LBRACE] = ACTIONS(3751),
    [sym_string] = ACTIONS(3751),
    [sym_integer] = ACTIONS(3753),
    [sym_float] = ACTIONS(3753),
    [sym_identifier] = ACTIONS(3753),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [sym_none] = ACTIONS(3753),
    [anon_sym_await] = ACTIONS(3753),
    [sym_comment] = ACTIONS(69),
  },
  [1452] = {
    [ts_builtin_sym_end] = ACTIONS(3755),
    [anon_sym_import] = ACTIONS(3757),
    [anon_sym_from] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(3755),
    [anon_sym_print] = ACTIONS(3757),
    [anon_sym_assert] = ACTIONS(3757),
    [anon_sym_return] = ACTIONS(3757),
    [anon_sym_del] = ACTIONS(3757),
    [anon_sym_raise] = ACTIONS(3757),
    [sym_pass_statement] = ACTIONS(3757),
    [sym_break_statement] = ACTIONS(3757),
    [sym_continue_statement] = ACTIONS(3757),
    [anon_sym_if] = ACTIONS(3757),
    [anon_sym_async] = ACTIONS(3757),
    [anon_sym_for] = ACTIONS(3757),
    [anon_sym_while] = ACTIONS(3757),
    [anon_sym_try] = ACTIONS(3757),
    [anon_sym_with] = ACTIONS(3757),
    [anon_sym_def] = ACTIONS(3757),
    [anon_sym_global] = ACTIONS(3757),
    [anon_sym_nonlocal] = ACTIONS(3757),
    [anon_sym_exec] = ACTIONS(3757),
    [anon_sym_class] = ACTIONS(3757),
    [anon_sym_AT] = ACTIONS(3755),
    [anon_sym_not] = ACTIONS(3757),
    [anon_sym_PLUS] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_lambda] = ACTIONS(3757),
    [anon_sym_yield] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [sym_ellipsis] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3755),
    [sym_string] = ACTIONS(3755),
    [sym_integer] = ACTIONS(3757),
    [sym_float] = ACTIONS(3757),
    [sym_identifier] = ACTIONS(3757),
    [sym_true] = ACTIONS(3757),
    [sym_false] = ACTIONS(3757),
    [sym_none] = ACTIONS(3757),
    [anon_sym_await] = ACTIONS(3757),
    [sym_comment] = ACTIONS(69),
  },
  [1453] = {
    [anon_sym_COLON] = ACTIONS(3759),
    [sym_comment] = ACTIONS(69),
  },
  [1454] = {
    [sym_else_clause] = STATE(1673),
    [ts_builtin_sym_end] = ACTIONS(3761),
    [anon_sym_import] = ACTIONS(3763),
    [anon_sym_from] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(3761),
    [anon_sym_print] = ACTIONS(3763),
    [anon_sym_assert] = ACTIONS(3763),
    [anon_sym_return] = ACTIONS(3763),
    [anon_sym_del] = ACTIONS(3763),
    [anon_sym_raise] = ACTIONS(3763),
    [sym_pass_statement] = ACTIONS(3763),
    [sym_break_statement] = ACTIONS(3763),
    [sym_continue_statement] = ACTIONS(3763),
    [anon_sym_if] = ACTIONS(3763),
    [anon_sym_else] = ACTIONS(2337),
    [anon_sym_async] = ACTIONS(3763),
    [anon_sym_for] = ACTIONS(3763),
    [anon_sym_while] = ACTIONS(3763),
    [anon_sym_try] = ACTIONS(3763),
    [anon_sym_with] = ACTIONS(3763),
    [anon_sym_def] = ACTIONS(3763),
    [anon_sym_global] = ACTIONS(3763),
    [anon_sym_nonlocal] = ACTIONS(3763),
    [anon_sym_exec] = ACTIONS(3763),
    [anon_sym_class] = ACTIONS(3763),
    [anon_sym_AT] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3763),
    [anon_sym_PLUS] = ACTIONS(3761),
    [anon_sym_DASH] = ACTIONS(3761),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_lambda] = ACTIONS(3763),
    [anon_sym_yield] = ACTIONS(3763),
    [anon_sym_LBRACK] = ACTIONS(3761),
    [sym_ellipsis] = ACTIONS(3761),
    [anon_sym_LBRACE] = ACTIONS(3761),
    [sym_string] = ACTIONS(3761),
    [sym_integer] = ACTIONS(3763),
    [sym_float] = ACTIONS(3763),
    [sym_identifier] = ACTIONS(3763),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [sym_none] = ACTIONS(3763),
    [anon_sym_await] = ACTIONS(3763),
    [sym_comment] = ACTIONS(69),
  },
  [1455] = {
    [anon_sym_COMMA] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(1912),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [1456] = {
    [sym__expression] = STATE(1455),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1455),
    [sym_boolean_operator] = STATE(1455),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1455),
    [sym_lambda] = STATE(1455),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1455),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1455),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(1954),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1457] = {
    [aux_sym_print_statement_repeat1] = STATE(1457),
    [anon_sym_COMMA] = ACTIONS(3765),
    [anon_sym_COLON] = ACTIONS(1912),
    [sym_comment] = ACTIONS(69),
  },
  [1458] = {
    [ts_builtin_sym_end] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1459] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1460] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(3768),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1461] = {
    [sym__dedent] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1462] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(3770),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1463] = {
    [sym__simple_statements] = STATE(1679),
    [sym_import_statement] = STATE(1678),
    [sym_import_from_statement] = STATE(1678),
    [sym_print_statement] = STATE(1678),
    [sym_assert_statement] = STATE(1678),
    [sym_expression_statement] = STATE(1678),
    [sym_return_statement] = STATE(1678),
    [sym_delete_statement] = STATE(1678),
    [sym_raise_statement] = STATE(1678),
    [sym_global_statement] = STATE(1678),
    [sym_nonlocal_statement] = STATE(1678),
    [sym_exec_statement] = STATE(1678),
    [sym__suite] = STATE(1679),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3772),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(3774),
    [sym_break_statement] = ACTIONS(3774),
    [sym_continue_statement] = ACTIONS(3774),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1464] = {
    [anon_sym_in] = ACTIONS(3776),
    [sym_comment] = ACTIONS(69),
  },
  [1465] = {
    [aux_sym_with_statement_repeat1] = STATE(1682),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(3778),
    [sym_comment] = ACTIONS(69),
  },
  [1466] = {
    [sym_parameters] = STATE(1683),
    [anon_sym_LPAREN] = ACTIONS(693),
    [sym_comment] = ACTIONS(69),
  },
  [1467] = {
    [sym_expression_list] = STATE(1684),
    [sym__expression] = STATE(732),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(732),
    [sym_boolean_operator] = STATE(732),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(732),
    [sym_lambda] = STATE(732),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(732),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(732),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1468] = {
    [sym__simple_statements] = STATE(1687),
    [sym_import_statement] = STATE(1686),
    [sym_import_from_statement] = STATE(1686),
    [sym_print_statement] = STATE(1686),
    [sym_assert_statement] = STATE(1686),
    [sym_expression_statement] = STATE(1686),
    [sym_return_statement] = STATE(1686),
    [sym_delete_statement] = STATE(1686),
    [sym_raise_statement] = STATE(1686),
    [sym_global_statement] = STATE(1686),
    [sym_nonlocal_statement] = STATE(1686),
    [sym_exec_statement] = STATE(1686),
    [sym__suite] = STATE(1687),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3780),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(3782),
    [sym_break_statement] = ACTIONS(3782),
    [sym_continue_statement] = ACTIONS(3782),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1469] = {
    [sym_except_clause] = STATE(1691),
    [sym_finally_clause] = STATE(1690),
    [aux_sym_try_statement_repeat1] = STATE(1691),
    [anon_sym_except] = ACTIONS(3784),
    [anon_sym_finally] = ACTIONS(3786),
    [sym_comment] = ACTIONS(69),
  },
  [1470] = {
    [sym__simple_statements] = STATE(1693),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1693),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1471] = {
    [aux_sym_with_statement_repeat1] = STATE(770),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(3778),
    [sym_comment] = ACTIONS(69),
  },
  [1472] = {
    [anon_sym_COLON] = ACTIONS(3790),
    [anon_sym_DASH_GT] = ACTIONS(3792),
    [sym_comment] = ACTIONS(69),
  },
  [1473] = {
    [sym__simple_statements] = STATE(1696),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1696),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1474] = {
    [anon_sym_COLON] = ACTIONS(3794),
    [sym_comment] = ACTIONS(69),
  },
  [1475] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_except] = ACTIONS(2318),
    [anon_sym_finally] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [1476] = {
    [ts_builtin_sym_end] = ACTIONS(3796),
    [anon_sym_import] = ACTIONS(3798),
    [anon_sym_from] = ACTIONS(3798),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_print] = ACTIONS(3798),
    [anon_sym_assert] = ACTIONS(3798),
    [anon_sym_return] = ACTIONS(3798),
    [anon_sym_del] = ACTIONS(3798),
    [anon_sym_raise] = ACTIONS(3798),
    [sym_pass_statement] = ACTIONS(3798),
    [sym_break_statement] = ACTIONS(3798),
    [sym_continue_statement] = ACTIONS(3798),
    [anon_sym_if] = ACTIONS(3798),
    [anon_sym_else] = ACTIONS(3798),
    [anon_sym_async] = ACTIONS(3798),
    [anon_sym_for] = ACTIONS(3798),
    [anon_sym_while] = ACTIONS(3798),
    [anon_sym_try] = ACTIONS(3798),
    [anon_sym_except] = ACTIONS(3798),
    [anon_sym_finally] = ACTIONS(3798),
    [anon_sym_with] = ACTIONS(3798),
    [anon_sym_def] = ACTIONS(3798),
    [anon_sym_global] = ACTIONS(3798),
    [anon_sym_nonlocal] = ACTIONS(3798),
    [anon_sym_exec] = ACTIONS(3798),
    [anon_sym_class] = ACTIONS(3798),
    [anon_sym_AT] = ACTIONS(3796),
    [anon_sym_not] = ACTIONS(3798),
    [anon_sym_PLUS] = ACTIONS(3796),
    [anon_sym_DASH] = ACTIONS(3796),
    [anon_sym_TILDE] = ACTIONS(3796),
    [anon_sym_lambda] = ACTIONS(3798),
    [anon_sym_yield] = ACTIONS(3798),
    [anon_sym_LBRACK] = ACTIONS(3796),
    [sym_ellipsis] = ACTIONS(3796),
    [anon_sym_LBRACE] = ACTIONS(3796),
    [sym_string] = ACTIONS(3796),
    [sym_integer] = ACTIONS(3798),
    [sym_float] = ACTIONS(3798),
    [sym_identifier] = ACTIONS(3798),
    [sym_true] = ACTIONS(3798),
    [sym_false] = ACTIONS(3798),
    [sym_none] = ACTIONS(3798),
    [anon_sym_await] = ACTIONS(3798),
    [sym_comment] = ACTIONS(69),
  },
  [1477] = {
    [sym__expression] = STATE(1698),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1698),
    [sym_boolean_operator] = STATE(1698),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1698),
    [sym_lambda] = STATE(1698),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1698),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1698),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1478] = {
    [sym__simple_statements] = STATE(1699),
    [sym_import_statement] = STATE(364),
    [sym_import_from_statement] = STATE(364),
    [sym_print_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_expression_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_delete_statement] = STATE(364),
    [sym_raise_statement] = STATE(364),
    [sym_global_statement] = STATE(364),
    [sym_nonlocal_statement] = STATE(364),
    [sym_exec_statement] = STATE(364),
    [sym__suite] = STATE(1699),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(649),
    [sym_break_statement] = ACTIONS(649),
    [sym_continue_statement] = ACTIONS(649),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1479] = {
    [ts_builtin_sym_end] = ACTIONS(3800),
    [anon_sym_import] = ACTIONS(3802),
    [anon_sym_from] = ACTIONS(3802),
    [anon_sym_LPAREN] = ACTIONS(3800),
    [anon_sym_print] = ACTIONS(3802),
    [anon_sym_assert] = ACTIONS(3802),
    [anon_sym_return] = ACTIONS(3802),
    [anon_sym_del] = ACTIONS(3802),
    [anon_sym_raise] = ACTIONS(3802),
    [sym_pass_statement] = ACTIONS(3802),
    [sym_break_statement] = ACTIONS(3802),
    [sym_continue_statement] = ACTIONS(3802),
    [anon_sym_if] = ACTIONS(3802),
    [anon_sym_async] = ACTIONS(3802),
    [anon_sym_for] = ACTIONS(3802),
    [anon_sym_while] = ACTIONS(3802),
    [anon_sym_try] = ACTIONS(3802),
    [anon_sym_with] = ACTIONS(3802),
    [anon_sym_def] = ACTIONS(3802),
    [anon_sym_global] = ACTIONS(3802),
    [anon_sym_nonlocal] = ACTIONS(3802),
    [anon_sym_exec] = ACTIONS(3802),
    [anon_sym_class] = ACTIONS(3802),
    [anon_sym_AT] = ACTIONS(3800),
    [anon_sym_not] = ACTIONS(3802),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_TILDE] = ACTIONS(3800),
    [anon_sym_lambda] = ACTIONS(3802),
    [anon_sym_yield] = ACTIONS(3802),
    [anon_sym_LBRACK] = ACTIONS(3800),
    [sym_ellipsis] = ACTIONS(3800),
    [anon_sym_LBRACE] = ACTIONS(3800),
    [sym_string] = ACTIONS(3800),
    [sym_integer] = ACTIONS(3802),
    [sym_float] = ACTIONS(3802),
    [sym_identifier] = ACTIONS(3802),
    [sym_true] = ACTIONS(3802),
    [sym_false] = ACTIONS(3802),
    [sym_none] = ACTIONS(3802),
    [anon_sym_await] = ACTIONS(3802),
    [sym_comment] = ACTIONS(69),
  },
  [1480] = {
    [sym__simple_statements] = STATE(1702),
    [sym_import_statement] = STATE(1701),
    [sym_import_from_statement] = STATE(1701),
    [sym_print_statement] = STATE(1701),
    [sym_assert_statement] = STATE(1701),
    [sym_expression_statement] = STATE(1701),
    [sym_return_statement] = STATE(1701),
    [sym_delete_statement] = STATE(1701),
    [sym_raise_statement] = STATE(1701),
    [sym_global_statement] = STATE(1701),
    [sym_nonlocal_statement] = STATE(1701),
    [sym_exec_statement] = STATE(1701),
    [sym__suite] = STATE(1702),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3804),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(3806),
    [sym_break_statement] = ACTIONS(3806),
    [sym_continue_statement] = ACTIONS(3806),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1481] = {
    [ts_builtin_sym_end] = ACTIONS(3808),
    [anon_sym_import] = ACTIONS(3810),
    [anon_sym_from] = ACTIONS(3810),
    [anon_sym_LPAREN] = ACTIONS(3808),
    [anon_sym_print] = ACTIONS(3810),
    [anon_sym_assert] = ACTIONS(3810),
    [anon_sym_return] = ACTIONS(3810),
    [anon_sym_del] = ACTIONS(3810),
    [anon_sym_raise] = ACTIONS(3810),
    [sym_pass_statement] = ACTIONS(3810),
    [sym_break_statement] = ACTIONS(3810),
    [sym_continue_statement] = ACTIONS(3810),
    [anon_sym_if] = ACTIONS(3810),
    [anon_sym_async] = ACTIONS(3810),
    [anon_sym_for] = ACTIONS(3810),
    [anon_sym_while] = ACTIONS(3810),
    [anon_sym_try] = ACTIONS(3810),
    [anon_sym_with] = ACTIONS(3810),
    [anon_sym_def] = ACTIONS(3810),
    [anon_sym_global] = ACTIONS(3810),
    [anon_sym_nonlocal] = ACTIONS(3810),
    [anon_sym_exec] = ACTIONS(3810),
    [anon_sym_class] = ACTIONS(3810),
    [anon_sym_AT] = ACTIONS(3808),
    [anon_sym_not] = ACTIONS(3810),
    [anon_sym_PLUS] = ACTIONS(3808),
    [anon_sym_DASH] = ACTIONS(3808),
    [anon_sym_TILDE] = ACTIONS(3808),
    [anon_sym_lambda] = ACTIONS(3810),
    [anon_sym_yield] = ACTIONS(3810),
    [anon_sym_LBRACK] = ACTIONS(3808),
    [sym_ellipsis] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3808),
    [sym_string] = ACTIONS(3808),
    [sym_integer] = ACTIONS(3810),
    [sym_float] = ACTIONS(3810),
    [sym_identifier] = ACTIONS(3810),
    [sym_true] = ACTIONS(3810),
    [sym_false] = ACTIONS(3810),
    [sym_none] = ACTIONS(3810),
    [anon_sym_await] = ACTIONS(3810),
    [sym_comment] = ACTIONS(69),
  },
  [1482] = {
    [ts_builtin_sym_end] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1483] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_as] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(667),
    [sym_comment] = ACTIONS(69),
  },
  [1484] = {
    [anon_sym_RPAREN] = ACTIONS(2512),
    [anon_sym_COMMA] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_COLON] = ACTIONS(2512),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3244),
    [sym_comment] = ACTIONS(69),
  },
  [1485] = {
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3244),
    [sym_comment] = ACTIONS(69),
  },
  [1486] = {
    [sym__expression] = STATE(1703),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(1703),
    [sym_boolean_operator] = STATE(1703),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(1703),
    [sym_lambda] = STATE(1703),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1703),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(1703),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [1487] = {
    [anon_sym_COLON] = ACTIONS(3812),
    [sym_comment] = ACTIONS(69),
  },
  [1488] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1705),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(3814),
    [sym_comment] = ACTIONS(69),
  },
  [1489] = {
    [sym__expression] = STATE(1706),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1706),
    [sym_boolean_operator] = STATE(1706),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1706),
    [sym_lambda] = STATE(1706),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1706),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1706),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1490] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [1491] = {
    [sym__expression] = STATE(1707),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(1707),
    [sym_boolean_operator] = STATE(1707),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(1707),
    [sym_lambda] = STATE(1707),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1707),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(1707),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [1492] = {
    [sym__primary_expression] = STATE(1708),
    [sym_binary_operator] = STATE(1708),
    [sym_unary_operator] = STATE(1708),
    [sym_attribute] = STATE(1708),
    [sym_subscript] = STATE(1708),
    [sym_call] = STATE(1708),
    [sym_list] = STATE(1708),
    [sym_list_comprehension] = STATE(1708),
    [sym_dictionary] = STATE(1708),
    [sym_dictionary_comprehension] = STATE(1708),
    [sym_set] = STATE(1708),
    [sym_set_comprehension] = STATE(1708),
    [sym_parenthesized_expression] = STATE(1708),
    [sym_tuple] = STATE(1708),
    [sym_generator_expression] = STATE(1708),
    [sym_concatenated_string] = STATE(1708),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3816),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(3818),
    [sym_float] = ACTIONS(3818),
    [sym_identifier] = ACTIONS(3818),
    [sym_true] = ACTIONS(3818),
    [sym_false] = ACTIONS(3818),
    [sym_none] = ACTIONS(3818),
    [sym_comment] = ACTIONS(69),
  },
  [1493] = {
    [sym__primary_expression] = STATE(1709),
    [sym_binary_operator] = STATE(1709),
    [sym_unary_operator] = STATE(1709),
    [sym_attribute] = STATE(1709),
    [sym_subscript] = STATE(1709),
    [sym_call] = STATE(1709),
    [sym_list] = STATE(1709),
    [sym_list_comprehension] = STATE(1709),
    [sym_dictionary] = STATE(1709),
    [sym_dictionary_comprehension] = STATE(1709),
    [sym_set] = STATE(1709),
    [sym_set_comprehension] = STATE(1709),
    [sym_parenthesized_expression] = STATE(1709),
    [sym_tuple] = STATE(1709),
    [sym_generator_expression] = STATE(1709),
    [sym_concatenated_string] = STATE(1709),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3820),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(3822),
    [sym_float] = ACTIONS(3822),
    [sym_identifier] = ACTIONS(3822),
    [sym_true] = ACTIONS(3822),
    [sym_false] = ACTIONS(3822),
    [sym_none] = ACTIONS(3822),
    [sym_comment] = ACTIONS(69),
  },
  [1494] = {
    [sym__primary_expression] = STATE(1710),
    [sym_binary_operator] = STATE(1710),
    [sym_unary_operator] = STATE(1710),
    [sym_attribute] = STATE(1710),
    [sym_subscript] = STATE(1710),
    [sym_call] = STATE(1710),
    [sym_list] = STATE(1710),
    [sym_list_comprehension] = STATE(1710),
    [sym_dictionary] = STATE(1710),
    [sym_dictionary_comprehension] = STATE(1710),
    [sym_set] = STATE(1710),
    [sym_set_comprehension] = STATE(1710),
    [sym_parenthesized_expression] = STATE(1710),
    [sym_tuple] = STATE(1710),
    [sym_generator_expression] = STATE(1710),
    [sym_concatenated_string] = STATE(1710),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3824),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(3826),
    [sym_float] = ACTIONS(3826),
    [sym_identifier] = ACTIONS(3826),
    [sym_true] = ACTIONS(3826),
    [sym_false] = ACTIONS(3826),
    [sym_none] = ACTIONS(3826),
    [sym_comment] = ACTIONS(69),
  },
  [1495] = {
    [anon_sym_in] = ACTIONS(3828),
    [sym_comment] = ACTIONS(69),
  },
  [1496] = {
    [sym__primary_expression] = STATE(1712),
    [sym_binary_operator] = STATE(1712),
    [sym_unary_operator] = STATE(1712),
    [sym_attribute] = STATE(1712),
    [sym_subscript] = STATE(1712),
    [sym_call] = STATE(1712),
    [sym_list] = STATE(1712),
    [sym_list_comprehension] = STATE(1712),
    [sym_dictionary] = STATE(1712),
    [sym_dictionary_comprehension] = STATE(1712),
    [sym_set] = STATE(1712),
    [sym_set_comprehension] = STATE(1712),
    [sym_parenthesized_expression] = STATE(1712),
    [sym_tuple] = STATE(1712),
    [sym_generator_expression] = STATE(1712),
    [sym_concatenated_string] = STATE(1712),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3830),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(3832),
    [sym_float] = ACTIONS(3832),
    [sym_identifier] = ACTIONS(3832),
    [sym_true] = ACTIONS(3832),
    [sym_false] = ACTIONS(3832),
    [sym_none] = ACTIONS(3832),
    [sym_comment] = ACTIONS(69),
  },
  [1497] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1498] = {
    [sym__primary_expression] = STATE(1713),
    [sym_binary_operator] = STATE(1713),
    [sym_unary_operator] = STATE(1713),
    [sym_attribute] = STATE(1713),
    [sym_subscript] = STATE(1713),
    [sym_call] = STATE(1713),
    [sym_list] = STATE(1713),
    [sym_list_comprehension] = STATE(1713),
    [sym_dictionary] = STATE(1713),
    [sym_dictionary_comprehension] = STATE(1713),
    [sym_set] = STATE(1713),
    [sym_set_comprehension] = STATE(1713),
    [sym_parenthesized_expression] = STATE(1713),
    [sym_tuple] = STATE(1713),
    [sym_generator_expression] = STATE(1713),
    [sym_concatenated_string] = STATE(1713),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3834),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(3836),
    [sym_float] = ACTIONS(3836),
    [sym_identifier] = ACTIONS(3836),
    [sym_true] = ACTIONS(3836),
    [sym_false] = ACTIONS(3836),
    [sym_none] = ACTIONS(3836),
    [sym_comment] = ACTIONS(69),
  },
  [1499] = {
    [sym__primary_expression] = STATE(1714),
    [sym_binary_operator] = STATE(1714),
    [sym_unary_operator] = STATE(1714),
    [sym_attribute] = STATE(1714),
    [sym_subscript] = STATE(1714),
    [sym_call] = STATE(1714),
    [sym_list] = STATE(1714),
    [sym_list_comprehension] = STATE(1714),
    [sym_dictionary] = STATE(1714),
    [sym_dictionary_comprehension] = STATE(1714),
    [sym_set] = STATE(1714),
    [sym_set_comprehension] = STATE(1714),
    [sym_parenthesized_expression] = STATE(1714),
    [sym_tuple] = STATE(1714),
    [sym_generator_expression] = STATE(1714),
    [sym_concatenated_string] = STATE(1714),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3838),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(3840),
    [sym_float] = ACTIONS(3840),
    [sym_identifier] = ACTIONS(3840),
    [sym_true] = ACTIONS(3840),
    [sym_false] = ACTIONS(3840),
    [sym_none] = ACTIONS(3840),
    [sym_comment] = ACTIONS(69),
  },
  [1500] = {
    [sym__primary_expression] = STATE(1715),
    [sym_binary_operator] = STATE(1715),
    [sym_unary_operator] = STATE(1715),
    [sym_attribute] = STATE(1715),
    [sym_subscript] = STATE(1715),
    [sym_call] = STATE(1715),
    [sym_list] = STATE(1715),
    [sym_list_comprehension] = STATE(1715),
    [sym_dictionary] = STATE(1715),
    [sym_dictionary_comprehension] = STATE(1715),
    [sym_set] = STATE(1715),
    [sym_set_comprehension] = STATE(1715),
    [sym_parenthesized_expression] = STATE(1715),
    [sym_tuple] = STATE(1715),
    [sym_generator_expression] = STATE(1715),
    [sym_concatenated_string] = STATE(1715),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3842),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(3844),
    [sym_float] = ACTIONS(3844),
    [sym_identifier] = ACTIONS(3844),
    [sym_true] = ACTIONS(3844),
    [sym_false] = ACTIONS(3844),
    [sym_none] = ACTIONS(3844),
    [sym_comment] = ACTIONS(69),
  },
  [1501] = {
    [sym__primary_expression] = STATE(1710),
    [sym_binary_operator] = STATE(1710),
    [sym_unary_operator] = STATE(1710),
    [sym_attribute] = STATE(1710),
    [sym_subscript] = STATE(1710),
    [sym_call] = STATE(1710),
    [sym_list] = STATE(1710),
    [sym_list_comprehension] = STATE(1710),
    [sym_dictionary] = STATE(1710),
    [sym_dictionary_comprehension] = STATE(1710),
    [sym_set] = STATE(1710),
    [sym_set_comprehension] = STATE(1710),
    [sym_parenthesized_expression] = STATE(1710),
    [sym_tuple] = STATE(1710),
    [sym_generator_expression] = STATE(1710),
    [sym_concatenated_string] = STATE(1710),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3846),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3824),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(3826),
    [sym_float] = ACTIONS(3826),
    [sym_identifier] = ACTIONS(3826),
    [sym_true] = ACTIONS(3826),
    [sym_false] = ACTIONS(3826),
    [sym_none] = ACTIONS(3826),
    [sym_comment] = ACTIONS(69),
  },
  [1502] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1716),
    [anon_sym_RPAREN] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(3250),
    [anon_sym_not] = ACTIONS(3254),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(3266),
    [anon_sym_LT_EQ] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3250),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_GT] = ACTIONS(3266),
    [anon_sym_LT_GT] = ACTIONS(3250),
    [anon_sym_is] = ACTIONS(3268),
    [sym_comment] = ACTIONS(69),
  },
  [1503] = {
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2485),
    [anon_sym_EQ] = ACTIONS(2487),
    [sym_comment] = ACTIONS(69),
  },
  [1504] = {
    [anon_sym_RPAREN] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_COLON] = ACTIONS(2491),
    [anon_sym_EQ] = ACTIONS(2493),
    [sym_comment] = ACTIONS(69),
  },
  [1505] = {
    [anon_sym_RPAREN] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_COLON] = ACTIONS(2497),
    [sym_comment] = ACTIONS(69),
  },
  [1506] = {
    [anon_sym_EQ] = ACTIONS(3848),
    [sym_comment] = ACTIONS(69),
  },
  [1507] = {
    [anon_sym_RPAREN] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1508] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(1505),
    [sym_dictionary_splat] = STATE(1505),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_print] = ACTIONS(3270),
    [anon_sym_exec] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3272),
    [sym_comment] = ACTIONS(69),
  },
  [1509] = {
    [aux_sym__parameters_repeat1] = STATE(1509),
    [anon_sym_RPAREN] = ACTIONS(2552),
    [anon_sym_COMMA] = ACTIONS(3850),
    [sym_comment] = ACTIONS(69),
  },
  [1510] = {
    [sym__expression] = STATE(1719),
    [sym__primary_expression] = STATE(1516),
    [sym_not_operator] = STATE(1719),
    [sym_boolean_operator] = STATE(1719),
    [sym_binary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_comparison_operator] = STATE(1719),
    [sym_lambda] = STATE(1719),
    [sym_attribute] = STATE(1516),
    [sym_subscript] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym_list] = STATE(1516),
    [sym_list_comprehension] = STATE(1516),
    [sym_dictionary] = STATE(1516),
    [sym_dictionary_comprehension] = STATE(1516),
    [sym_set] = STATE(1516),
    [sym_set_comprehension] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_generator_expression] = STATE(1516),
    [sym_conditional_expression] = STATE(1719),
    [sym_concatenated_string] = STATE(1516),
    [sym_await] = STATE(1719),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_lambda] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(3286),
    [sym_float] = ACTIONS(3286),
    [sym_identifier] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_none] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3288),
    [sym_comment] = ACTIONS(69),
  },
  [1511] = {
    [sym__primary_expression] = STATE(204),
    [sym_binary_operator] = STATE(204),
    [sym_unary_operator] = STATE(204),
    [sym_attribute] = STATE(204),
    [sym_subscript] = STATE(204),
    [sym_call] = STATE(204),
    [sym_list] = STATE(204),
    [sym_list_comprehension] = STATE(204),
    [sym_dictionary] = STATE(204),
    [sym_dictionary_comprehension] = STATE(204),
    [sym_set] = STATE(204),
    [sym_set_comprehension] = STATE(204),
    [sym_parenthesized_expression] = STATE(204),
    [sym_tuple] = STATE(204),
    [sym_generator_expression] = STATE(204),
    [sym_concatenated_string] = STATE(204),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(373),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(375),
    [sym_float] = ACTIONS(375),
    [sym_identifier] = ACTIONS(375),
    [sym_true] = ACTIONS(375),
    [sym_false] = ACTIONS(375),
    [sym_none] = ACTIONS(375),
    [sym_comment] = ACTIONS(69),
  },
  [1512] = {
    [sym_lambda_parameters] = STATE(1721),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(3853),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [1513] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1722),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(275),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(273),
    [anon_sym_and] = ACTIONS(273),
    [anon_sym_or] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(275),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_SLASH_SLASH] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(275),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(275),
    [anon_sym_LT_GT] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [sym_string] = ACTIONS(3855),
    [sym_comment] = ACTIONS(69),
  },
  [1514] = {
    [sym__expression] = STATE(227),
    [sym__primary_expression] = STATE(1516),
    [sym_not_operator] = STATE(227),
    [sym_boolean_operator] = STATE(227),
    [sym_binary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_comparison_operator] = STATE(227),
    [sym_lambda] = STATE(227),
    [sym_attribute] = STATE(1516),
    [sym_subscript] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym_list] = STATE(1516),
    [sym_list_comprehension] = STATE(1516),
    [sym_dictionary] = STATE(1516),
    [sym_dictionary_comprehension] = STATE(1516),
    [sym_set] = STATE(1516),
    [sym_set_comprehension] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_generator_expression] = STATE(1516),
    [sym_conditional_expression] = STATE(227),
    [sym_concatenated_string] = STATE(1516),
    [sym_await] = STATE(227),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_lambda] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(3286),
    [sym_float] = ACTIONS(3286),
    [sym_identifier] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_none] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3288),
    [sym_comment] = ACTIONS(69),
  },
  [1515] = {
    [anon_sym_RPAREN] = ACTIONS(1870),
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_and] = ACTIONS(3859),
    [anon_sym_or] = ACTIONS(3861),
    [sym_comment] = ACTIONS(69),
  },
  [1516] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [aux_sym_comparison_operator_repeat1] = STATE(1736),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_GT_GT] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_in] = ACTIONS(3867),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(3871),
    [anon_sym_and] = ACTIONS(299),
    [anon_sym_or] = ACTIONS(299),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_SLASH] = ACTIONS(3863),
    [anon_sym_PERCENT] = ACTIONS(3869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3869),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_AMP] = ACTIONS(3879),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_LT_LT] = ACTIONS(3865),
    [anon_sym_LT] = ACTIONS(3883),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_EQ_EQ] = ACTIONS(3867),
    [anon_sym_BANG_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3867),
    [anon_sym_GT] = ACTIONS(3883),
    [anon_sym_LT_GT] = ACTIONS(3867),
    [anon_sym_is] = ACTIONS(3885),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1517] = {
    [anon_sym_RPAREN] = ACTIONS(2631),
    [anon_sym_COMMA] = ACTIONS(2631),
    [anon_sym_EQ] = ACTIONS(3887),
    [sym_comment] = ACTIONS(69),
  },
  [1518] = {
    [anon_sym_RPAREN] = ACTIONS(2635),
    [anon_sym_COMMA] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1519] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(1505),
    [sym_dictionary_splat] = STATE(1505),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_RPAREN] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_print] = ACTIONS(3270),
    [anon_sym_exec] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3272),
    [sym_comment] = ACTIONS(69),
  },
  [1520] = {
    [anon_sym_RPAREN] = ACTIONS(1870),
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1521] = {
    [sym__simple_statements] = STATE(1738),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1738),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1522] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [1523] = {
    [sym__expression] = STATE(1739),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1739),
    [sym_boolean_operator] = STATE(1739),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1739),
    [sym_lambda] = STATE(1739),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1739),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1739),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1524] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_COLON] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(1601),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1611),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1525] = {
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(2560),
    [anon_sym_or] = ACTIONS(2562),
    [sym_comment] = ACTIONS(69),
  },
  [1526] = {
    [sym__expression] = STATE(1740),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(1740),
    [sym_boolean_operator] = STATE(1740),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(1740),
    [sym_lambda] = STATE(1740),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(1740),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [1527] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1527),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3889),
    [sym_comment] = ACTIONS(69),
  },
  [1528] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3892),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1529] = {
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(2560),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1530] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1531] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1532] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1533] = {
    [sym__primary_expression] = STATE(1742),
    [sym_binary_operator] = STATE(1742),
    [sym_unary_operator] = STATE(1742),
    [sym_attribute] = STATE(1742),
    [sym_subscript] = STATE(1742),
    [sym_call] = STATE(1742),
    [sym_list] = STATE(1742),
    [sym_list_comprehension] = STATE(1742),
    [sym_dictionary] = STATE(1742),
    [sym_dictionary_comprehension] = STATE(1742),
    [sym_set] = STATE(1742),
    [sym_set_comprehension] = STATE(1742),
    [sym_parenthesized_expression] = STATE(1742),
    [sym_tuple] = STATE(1742),
    [sym_generator_expression] = STATE(1742),
    [sym_concatenated_string] = STATE(1742),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3894),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(3896),
    [sym_float] = ACTIONS(3896),
    [sym_identifier] = ACTIONS(3896),
    [sym_true] = ACTIONS(3896),
    [sym_false] = ACTIONS(3896),
    [sym_none] = ACTIONS(3896),
    [sym_comment] = ACTIONS(69),
  },
  [1534] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1535] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1536] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1537] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1538] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1538),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3898),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_not] = ACTIONS(3901),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3904),
    [anon_sym_LT_EQ] = ACTIONS(3898),
    [anon_sym_EQ_EQ] = ACTIONS(3898),
    [anon_sym_BANG_EQ] = ACTIONS(3898),
    [anon_sym_GT_EQ] = ACTIONS(3898),
    [anon_sym_GT] = ACTIONS(3904),
    [anon_sym_LT_GT] = ACTIONS(3898),
    [anon_sym_is] = ACTIONS(3907),
    [sym_comment] = ACTIONS(69),
  },
  [1539] = {
    [anon_sym_COMMA] = ACTIONS(3910),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(3910),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [1540] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_EQ] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(2603),
    [anon_sym_or] = ACTIONS(2605),
    [sym_comment] = ACTIONS(69),
  },
  [1541] = {
    [sym__expression] = STATE(1743),
    [sym__primary_expression] = STATE(841),
    [sym_not_operator] = STATE(1743),
    [sym_boolean_operator] = STATE(1743),
    [sym_binary_operator] = STATE(841),
    [sym_unary_operator] = STATE(841),
    [sym_comparison_operator] = STATE(1743),
    [sym_lambda] = STATE(1743),
    [sym_attribute] = STATE(841),
    [sym_subscript] = STATE(841),
    [sym_call] = STATE(841),
    [sym_list] = STATE(841),
    [sym_list_comprehension] = STATE(841),
    [sym_dictionary] = STATE(841),
    [sym_dictionary_comprehension] = STATE(841),
    [sym_set] = STATE(841),
    [sym_set_comprehension] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_tuple] = STATE(841),
    [sym_generator_expression] = STATE(841),
    [sym_conditional_expression] = STATE(1743),
    [sym_concatenated_string] = STATE(841),
    [sym_await] = STATE(1743),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_lambda] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_none] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [sym_comment] = ACTIONS(69),
  },
  [1542] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1542),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(3912),
    [sym_comment] = ACTIONS(69),
  },
  [1543] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3915),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1544] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(2603),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1545] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1546] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH] = ACTIONS(2613),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1547] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_GT_GT] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH] = ACTIONS(2613),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1548] = {
    [sym__primary_expression] = STATE(1745),
    [sym_binary_operator] = STATE(1745),
    [sym_unary_operator] = STATE(1745),
    [sym_attribute] = STATE(1745),
    [sym_subscript] = STATE(1745),
    [sym_call] = STATE(1745),
    [sym_list] = STATE(1745),
    [sym_list_comprehension] = STATE(1745),
    [sym_dictionary] = STATE(1745),
    [sym_dictionary_comprehension] = STATE(1745),
    [sym_set] = STATE(1745),
    [sym_set_comprehension] = STATE(1745),
    [sym_parenthesized_expression] = STATE(1745),
    [sym_tuple] = STATE(1745),
    [sym_generator_expression] = STATE(1745),
    [sym_concatenated_string] = STATE(1745),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(3919),
    [sym_float] = ACTIONS(3919),
    [sym_identifier] = ACTIONS(3919),
    [sym_true] = ACTIONS(3919),
    [sym_false] = ACTIONS(3919),
    [sym_none] = ACTIONS(3919),
    [sym_comment] = ACTIONS(69),
  },
  [1549] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH] = ACTIONS(2613),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1550] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_GT_GT] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH] = ACTIONS(2613),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1551] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_GT_GT] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH] = ACTIONS(2613),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1552] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_GT_GT] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH] = ACTIONS(2613),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1553] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1553),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3921),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_not] = ACTIONS(3924),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3927),
    [anon_sym_LT_EQ] = ACTIONS(3921),
    [anon_sym_EQ_EQ] = ACTIONS(3921),
    [anon_sym_BANG_EQ] = ACTIONS(3921),
    [anon_sym_GT_EQ] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3927),
    [anon_sym_LT_GT] = ACTIONS(3921),
    [anon_sym_is] = ACTIONS(3930),
    [sym_comment] = ACTIONS(69),
  },
  [1554] = {
    [anon_sym_COMMA] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(3933),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [1555] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
  },
  [1556] = {
    [sym__expression] = STATE(1746),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(1746),
    [sym_boolean_operator] = STATE(1746),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(1746),
    [sym_lambda] = STATE(1746),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(1746),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(1746),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [1557] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_GT_GT] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(1683),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1683),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_PIPE] = ACTIONS(1691),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(2950),
    [sym_comment] = ACTIONS(69),
  },
  [1558] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
  },
  [1559] = {
    [sym__expression_within_for_in_clause] = STATE(1747),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1562),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1560] = {
    [sym_lambda_parameters] = STATE(1749),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(3935),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [1561] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1751),
    [anon_sym_COMMA] = ACTIONS(3937),
    [anon_sym_if] = ACTIONS(3684),
    [anon_sym_async] = ACTIONS(3684),
    [anon_sym_for] = ACTIONS(3684),
    [anon_sym_RBRACK] = ACTIONS(3684),
    [sym_comment] = ACTIONS(69),
  },
  [1562] = {
    [anon_sym_COMMA] = ACTIONS(3688),
    [anon_sym_if] = ACTIONS(3688),
    [anon_sym_async] = ACTIONS(3688),
    [anon_sym_for] = ACTIONS(3688),
    [anon_sym_and] = ACTIONS(787),
    [anon_sym_or] = ACTIONS(789),
    [anon_sym_RBRACK] = ACTIONS(3688),
    [sym_comment] = ACTIONS(69),
  },
  [1563] = {
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(3432),
    [anon_sym_or] = ACTIONS(3434),
    [anon_sym_RBRACK] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
  },
  [1564] = {
    [sym__expression] = STATE(1752),
    [sym__primary_expression] = STATE(1274),
    [sym_not_operator] = STATE(1752),
    [sym_boolean_operator] = STATE(1752),
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_comparison_operator] = STATE(1752),
    [sym_lambda] = STATE(1752),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_list] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_conditional_expression] = STATE(1752),
    [sym_concatenated_string] = STATE(1274),
    [sym_await] = STATE(1752),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_lambda] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(2709),
    [sym_float] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(69),
  },
  [1565] = {
    [anon_sym_COLON] = ACTIONS(3939),
    [sym_comment] = ACTIONS(69),
  },
  [1566] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1754),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_RBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(3941),
    [sym_comment] = ACTIONS(69),
  },
  [1567] = {
    [sym__expression] = STATE(1755),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1755),
    [sym_boolean_operator] = STATE(1755),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1755),
    [sym_lambda] = STATE(1755),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1755),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1755),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1568] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(1274),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_list] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(1274),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_lambda] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(2709),
    [sym_float] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(69),
  },
  [1569] = {
    [sym__expression] = STATE(1756),
    [sym__primary_expression] = STATE(1274),
    [sym_not_operator] = STATE(1756),
    [sym_boolean_operator] = STATE(1756),
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_comparison_operator] = STATE(1756),
    [sym_lambda] = STATE(1756),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_list] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_conditional_expression] = STATE(1756),
    [sym_concatenated_string] = STATE(1274),
    [sym_await] = STATE(1756),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_lambda] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(2709),
    [sym_float] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(69),
  },
  [1570] = {
    [sym__primary_expression] = STATE(1757),
    [sym_binary_operator] = STATE(1757),
    [sym_unary_operator] = STATE(1757),
    [sym_attribute] = STATE(1757),
    [sym_subscript] = STATE(1757),
    [sym_call] = STATE(1757),
    [sym_list] = STATE(1757),
    [sym_list_comprehension] = STATE(1757),
    [sym_dictionary] = STATE(1757),
    [sym_dictionary_comprehension] = STATE(1757),
    [sym_set] = STATE(1757),
    [sym_set_comprehension] = STATE(1757),
    [sym_parenthesized_expression] = STATE(1757),
    [sym_tuple] = STATE(1757),
    [sym_generator_expression] = STATE(1757),
    [sym_concatenated_string] = STATE(1757),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3943),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(3945),
    [sym_float] = ACTIONS(3945),
    [sym_identifier] = ACTIONS(3945),
    [sym_true] = ACTIONS(3945),
    [sym_false] = ACTIONS(3945),
    [sym_none] = ACTIONS(3945),
    [sym_comment] = ACTIONS(69),
  },
  [1571] = {
    [sym__primary_expression] = STATE(1758),
    [sym_binary_operator] = STATE(1758),
    [sym_unary_operator] = STATE(1758),
    [sym_attribute] = STATE(1758),
    [sym_subscript] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_list] = STATE(1758),
    [sym_list_comprehension] = STATE(1758),
    [sym_dictionary] = STATE(1758),
    [sym_dictionary_comprehension] = STATE(1758),
    [sym_set] = STATE(1758),
    [sym_set_comprehension] = STATE(1758),
    [sym_parenthesized_expression] = STATE(1758),
    [sym_tuple] = STATE(1758),
    [sym_generator_expression] = STATE(1758),
    [sym_concatenated_string] = STATE(1758),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3947),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(3949),
    [sym_float] = ACTIONS(3949),
    [sym_identifier] = ACTIONS(3949),
    [sym_true] = ACTIONS(3949),
    [sym_false] = ACTIONS(3949),
    [sym_none] = ACTIONS(3949),
    [sym_comment] = ACTIONS(69),
  },
  [1572] = {
    [sym__primary_expression] = STATE(1759),
    [sym_binary_operator] = STATE(1759),
    [sym_unary_operator] = STATE(1759),
    [sym_attribute] = STATE(1759),
    [sym_subscript] = STATE(1759),
    [sym_call] = STATE(1759),
    [sym_list] = STATE(1759),
    [sym_list_comprehension] = STATE(1759),
    [sym_dictionary] = STATE(1759),
    [sym_dictionary_comprehension] = STATE(1759),
    [sym_set] = STATE(1759),
    [sym_set_comprehension] = STATE(1759),
    [sym_parenthesized_expression] = STATE(1759),
    [sym_tuple] = STATE(1759),
    [sym_generator_expression] = STATE(1759),
    [sym_concatenated_string] = STATE(1759),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3951),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(3953),
    [sym_float] = ACTIONS(3953),
    [sym_identifier] = ACTIONS(3953),
    [sym_true] = ACTIONS(3953),
    [sym_false] = ACTIONS(3953),
    [sym_none] = ACTIONS(3953),
    [sym_comment] = ACTIONS(69),
  },
  [1573] = {
    [anon_sym_in] = ACTIONS(3955),
    [sym_comment] = ACTIONS(69),
  },
  [1574] = {
    [sym__primary_expression] = STATE(1761),
    [sym_binary_operator] = STATE(1761),
    [sym_unary_operator] = STATE(1761),
    [sym_attribute] = STATE(1761),
    [sym_subscript] = STATE(1761),
    [sym_call] = STATE(1761),
    [sym_list] = STATE(1761),
    [sym_list_comprehension] = STATE(1761),
    [sym_dictionary] = STATE(1761),
    [sym_dictionary_comprehension] = STATE(1761),
    [sym_set] = STATE(1761),
    [sym_set_comprehension] = STATE(1761),
    [sym_parenthesized_expression] = STATE(1761),
    [sym_tuple] = STATE(1761),
    [sym_generator_expression] = STATE(1761),
    [sym_concatenated_string] = STATE(1761),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(3959),
    [sym_float] = ACTIONS(3959),
    [sym_identifier] = ACTIONS(3959),
    [sym_true] = ACTIONS(3959),
    [sym_false] = ACTIONS(3959),
    [sym_none] = ACTIONS(3959),
    [sym_comment] = ACTIONS(69),
  },
  [1575] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1576] = {
    [sym__primary_expression] = STATE(1762),
    [sym_binary_operator] = STATE(1762),
    [sym_unary_operator] = STATE(1762),
    [sym_attribute] = STATE(1762),
    [sym_subscript] = STATE(1762),
    [sym_call] = STATE(1762),
    [sym_list] = STATE(1762),
    [sym_list_comprehension] = STATE(1762),
    [sym_dictionary] = STATE(1762),
    [sym_dictionary_comprehension] = STATE(1762),
    [sym_set] = STATE(1762),
    [sym_set_comprehension] = STATE(1762),
    [sym_parenthesized_expression] = STATE(1762),
    [sym_tuple] = STATE(1762),
    [sym_generator_expression] = STATE(1762),
    [sym_concatenated_string] = STATE(1762),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3961),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(3963),
    [sym_float] = ACTIONS(3963),
    [sym_identifier] = ACTIONS(3963),
    [sym_true] = ACTIONS(3963),
    [sym_false] = ACTIONS(3963),
    [sym_none] = ACTIONS(3963),
    [sym_comment] = ACTIONS(69),
  },
  [1577] = {
    [sym__primary_expression] = STATE(1763),
    [sym_binary_operator] = STATE(1763),
    [sym_unary_operator] = STATE(1763),
    [sym_attribute] = STATE(1763),
    [sym_subscript] = STATE(1763),
    [sym_call] = STATE(1763),
    [sym_list] = STATE(1763),
    [sym_list_comprehension] = STATE(1763),
    [sym_dictionary] = STATE(1763),
    [sym_dictionary_comprehension] = STATE(1763),
    [sym_set] = STATE(1763),
    [sym_set_comprehension] = STATE(1763),
    [sym_parenthesized_expression] = STATE(1763),
    [sym_tuple] = STATE(1763),
    [sym_generator_expression] = STATE(1763),
    [sym_concatenated_string] = STATE(1763),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3965),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(3967),
    [sym_float] = ACTIONS(3967),
    [sym_identifier] = ACTIONS(3967),
    [sym_true] = ACTIONS(3967),
    [sym_false] = ACTIONS(3967),
    [sym_none] = ACTIONS(3967),
    [sym_comment] = ACTIONS(69),
  },
  [1578] = {
    [sym__primary_expression] = STATE(1764),
    [sym_binary_operator] = STATE(1764),
    [sym_unary_operator] = STATE(1764),
    [sym_attribute] = STATE(1764),
    [sym_subscript] = STATE(1764),
    [sym_call] = STATE(1764),
    [sym_list] = STATE(1764),
    [sym_list_comprehension] = STATE(1764),
    [sym_dictionary] = STATE(1764),
    [sym_dictionary_comprehension] = STATE(1764),
    [sym_set] = STATE(1764),
    [sym_set_comprehension] = STATE(1764),
    [sym_parenthesized_expression] = STATE(1764),
    [sym_tuple] = STATE(1764),
    [sym_generator_expression] = STATE(1764),
    [sym_concatenated_string] = STATE(1764),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3969),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(3971),
    [sym_float] = ACTIONS(3971),
    [sym_identifier] = ACTIONS(3971),
    [sym_true] = ACTIONS(3971),
    [sym_false] = ACTIONS(3971),
    [sym_none] = ACTIONS(3971),
    [sym_comment] = ACTIONS(69),
  },
  [1579] = {
    [sym__primary_expression] = STATE(1759),
    [sym_binary_operator] = STATE(1759),
    [sym_unary_operator] = STATE(1759),
    [sym_attribute] = STATE(1759),
    [sym_subscript] = STATE(1759),
    [sym_call] = STATE(1759),
    [sym_list] = STATE(1759),
    [sym_list_comprehension] = STATE(1759),
    [sym_dictionary] = STATE(1759),
    [sym_dictionary_comprehension] = STATE(1759),
    [sym_set] = STATE(1759),
    [sym_set_comprehension] = STATE(1759),
    [sym_parenthesized_expression] = STATE(1759),
    [sym_tuple] = STATE(1759),
    [sym_generator_expression] = STATE(1759),
    [sym_concatenated_string] = STATE(1759),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3973),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3951),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(3953),
    [sym_float] = ACTIONS(3953),
    [sym_identifier] = ACTIONS(3953),
    [sym_true] = ACTIONS(3953),
    [sym_false] = ACTIONS(3953),
    [sym_none] = ACTIONS(3953),
    [sym_comment] = ACTIONS(69),
  },
  [1580] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1765),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(3440),
    [anon_sym_not] = ACTIONS(3444),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(3456),
    [anon_sym_LT_EQ] = ACTIONS(3440),
    [anon_sym_EQ_EQ] = ACTIONS(3440),
    [anon_sym_BANG_EQ] = ACTIONS(3440),
    [anon_sym_GT_EQ] = ACTIONS(3440),
    [anon_sym_GT] = ACTIONS(3456),
    [anon_sym_LT_GT] = ACTIONS(3440),
    [anon_sym_is] = ACTIONS(3458),
    [anon_sym_RBRACK] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
  },
  [1581] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
  },
  [1582] = {
    [sym__expression] = STATE(1766),
    [sym__primary_expression] = STATE(463),
    [sym_not_operator] = STATE(1766),
    [sym_boolean_operator] = STATE(1766),
    [sym_binary_operator] = STATE(463),
    [sym_unary_operator] = STATE(463),
    [sym_comparison_operator] = STATE(1766),
    [sym_lambda] = STATE(1766),
    [sym_attribute] = STATE(463),
    [sym_subscript] = STATE(463),
    [sym_call] = STATE(463),
    [sym_list] = STATE(463),
    [sym_list_comprehension] = STATE(463),
    [sym_dictionary] = STATE(463),
    [sym_dictionary_comprehension] = STATE(463),
    [sym_set] = STATE(463),
    [sym_set_comprehension] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_tuple] = STATE(463),
    [sym_generator_expression] = STATE(463),
    [sym_conditional_expression] = STATE(1766),
    [sym_concatenated_string] = STATE(463),
    [sym_await] = STATE(1766),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(821),
    [anon_sym_lambda] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(827),
    [sym_integer] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [sym_identifier] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_none] = ACTIONS(829),
    [anon_sym_await] = ACTIONS(831),
    [sym_comment] = ACTIONS(69),
  },
  [1583] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1779),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(69),
  },
  [1584] = {
    [anon_sym_COMMA] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [sym_comment] = ACTIONS(69),
  },
  [1585] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(3607),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(855),
    [anon_sym_or] = ACTIONS(857),
    [anon_sym_RBRACE] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
  },
  [1586] = {
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(2800),
    [anon_sym_or] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
  },
  [1587] = {
    [sym__expression] = STATE(1767),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1767),
    [sym_boolean_operator] = STATE(1767),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1767),
    [sym_lambda] = STATE(1767),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1767),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1767),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1588] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1588),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [sym_string] = ACTIONS(3975),
    [sym_comment] = ACTIONS(69),
  },
  [1589] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3978),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1590] = {
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(2800),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1591] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1592] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_SLASH_SLASH] = ACTIONS(2810),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1593] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_SLASH_SLASH] = ACTIONS(2810),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1594] = {
    [sym__primary_expression] = STATE(1769),
    [sym_binary_operator] = STATE(1769),
    [sym_unary_operator] = STATE(1769),
    [sym_attribute] = STATE(1769),
    [sym_subscript] = STATE(1769),
    [sym_call] = STATE(1769),
    [sym_list] = STATE(1769),
    [sym_list_comprehension] = STATE(1769),
    [sym_dictionary] = STATE(1769),
    [sym_dictionary_comprehension] = STATE(1769),
    [sym_set] = STATE(1769),
    [sym_set_comprehension] = STATE(1769),
    [sym_parenthesized_expression] = STATE(1769),
    [sym_tuple] = STATE(1769),
    [sym_generator_expression] = STATE(1769),
    [sym_concatenated_string] = STATE(1769),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3980),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(3982),
    [sym_float] = ACTIONS(3982),
    [sym_identifier] = ACTIONS(3982),
    [sym_true] = ACTIONS(3982),
    [sym_false] = ACTIONS(3982),
    [sym_none] = ACTIONS(3982),
    [sym_comment] = ACTIONS(69),
  },
  [1595] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_SLASH_SLASH] = ACTIONS(2810),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1596] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_SLASH_SLASH] = ACTIONS(2810),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1597] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_SLASH_SLASH] = ACTIONS(2810),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1598] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_SLASH_SLASH] = ACTIONS(2810),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1599] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1599),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(3984),
    [anon_sym_not] = ACTIONS(3987),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(3990),
    [anon_sym_LT_EQ] = ACTIONS(3984),
    [anon_sym_EQ_EQ] = ACTIONS(3984),
    [anon_sym_BANG_EQ] = ACTIONS(3984),
    [anon_sym_GT_EQ] = ACTIONS(3984),
    [anon_sym_GT] = ACTIONS(3990),
    [anon_sym_LT_GT] = ACTIONS(3984),
    [anon_sym_is] = ACTIONS(3993),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1600] = {
    [sym__expression_within_for_in_clause] = STATE(1770),
    [sym__expression] = STATE(1603),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1603),
    [sym_boolean_operator] = STATE(1603),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1603),
    [sym_lambda] = STATE(1603),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1603),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1603),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1601] = {
    [sym_lambda_parameters] = STATE(1772),
    [sym__parameters] = STATE(130),
    [sym_default_parameter] = STATE(131),
    [sym_typed_default_parameter] = STATE(131),
    [sym_list_splat] = STATE(132),
    [sym_dictionary_splat] = STATE(132),
    [sym_typed_parameter] = STATE(131),
    [sym_tuple] = STATE(131),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_print] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(3996),
    [anon_sym_exec] = ACTIONS(223),
    [sym_identifier] = ACTIONS(227),
    [sym_comment] = ACTIONS(69),
  },
  [1602] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1774),
    [anon_sym_COMMA] = ACTIONS(3998),
    [anon_sym_if] = ACTIONS(3684),
    [anon_sym_async] = ACTIONS(3684),
    [anon_sym_for] = ACTIONS(3684),
    [anon_sym_RBRACE] = ACTIONS(3684),
    [sym_comment] = ACTIONS(69),
  },
  [1603] = {
    [anon_sym_COMMA] = ACTIONS(3688),
    [anon_sym_if] = ACTIONS(3688),
    [anon_sym_async] = ACTIONS(3688),
    [anon_sym_for] = ACTIONS(3688),
    [anon_sym_and] = ACTIONS(2800),
    [anon_sym_or] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(3688),
    [sym_comment] = ACTIONS(69),
  },
  [1604] = {
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(713),
    [sym_comment] = ACTIONS(69),
  },
  [1605] = {
    [sym__expression] = STATE(1775),
    [sym__primary_expression] = STATE(1324),
    [sym_not_operator] = STATE(1775),
    [sym_boolean_operator] = STATE(1775),
    [sym_binary_operator] = STATE(1324),
    [sym_unary_operator] = STATE(1324),
    [sym_comparison_operator] = STATE(1775),
    [sym_lambda] = STATE(1775),
    [sym_attribute] = STATE(1324),
    [sym_subscript] = STATE(1324),
    [sym_call] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_list_comprehension] = STATE(1324),
    [sym_dictionary] = STATE(1324),
    [sym_dictionary_comprehension] = STATE(1324),
    [sym_set] = STATE(1324),
    [sym_set_comprehension] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_tuple] = STATE(1324),
    [sym_generator_expression] = STATE(1324),
    [sym_conditional_expression] = STATE(1775),
    [sym_concatenated_string] = STATE(1324),
    [sym_await] = STATE(1775),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_lambda] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(2844),
    [sym_float] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_none] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [sym_comment] = ACTIONS(69),
  },
  [1606] = {
    [anon_sym_COLON] = ACTIONS(4000),
    [sym_comment] = ACTIONS(69),
  },
  [1607] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1777),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_RBRACE] = ACTIONS(883),
    [sym_string] = ACTIONS(4002),
    [sym_comment] = ACTIONS(69),
  },
  [1608] = {
    [sym__expression] = STATE(1778),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1778),
    [sym_boolean_operator] = STATE(1778),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1778),
    [sym_lambda] = STATE(1778),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1778),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1778),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1609] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(1324),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(1324),
    [sym_unary_operator] = STATE(1324),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(1324),
    [sym_subscript] = STATE(1324),
    [sym_call] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_list_comprehension] = STATE(1324),
    [sym_dictionary] = STATE(1324),
    [sym_dictionary_comprehension] = STATE(1324),
    [sym_set] = STATE(1324),
    [sym_set_comprehension] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_tuple] = STATE(1324),
    [sym_generator_expression] = STATE(1324),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(1324),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_lambda] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(2844),
    [sym_float] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_none] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [sym_comment] = ACTIONS(69),
  },
  [1610] = {
    [sym__expression] = STATE(1779),
    [sym__primary_expression] = STATE(1324),
    [sym_not_operator] = STATE(1779),
    [sym_boolean_operator] = STATE(1779),
    [sym_binary_operator] = STATE(1324),
    [sym_unary_operator] = STATE(1324),
    [sym_comparison_operator] = STATE(1779),
    [sym_lambda] = STATE(1779),
    [sym_attribute] = STATE(1324),
    [sym_subscript] = STATE(1324),
    [sym_call] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_list_comprehension] = STATE(1324),
    [sym_dictionary] = STATE(1324),
    [sym_dictionary_comprehension] = STATE(1324),
    [sym_set] = STATE(1324),
    [sym_set_comprehension] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_tuple] = STATE(1324),
    [sym_generator_expression] = STATE(1324),
    [sym_conditional_expression] = STATE(1779),
    [sym_concatenated_string] = STATE(1324),
    [sym_await] = STATE(1779),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_lambda] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(2844),
    [sym_float] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_none] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [sym_comment] = ACTIONS(69),
  },
  [1611] = {
    [sym__primary_expression] = STATE(1780),
    [sym_binary_operator] = STATE(1780),
    [sym_unary_operator] = STATE(1780),
    [sym_attribute] = STATE(1780),
    [sym_subscript] = STATE(1780),
    [sym_call] = STATE(1780),
    [sym_list] = STATE(1780),
    [sym_list_comprehension] = STATE(1780),
    [sym_dictionary] = STATE(1780),
    [sym_dictionary_comprehension] = STATE(1780),
    [sym_set] = STATE(1780),
    [sym_set_comprehension] = STATE(1780),
    [sym_parenthesized_expression] = STATE(1780),
    [sym_tuple] = STATE(1780),
    [sym_generator_expression] = STATE(1780),
    [sym_concatenated_string] = STATE(1780),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4004),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4006),
    [sym_float] = ACTIONS(4006),
    [sym_identifier] = ACTIONS(4006),
    [sym_true] = ACTIONS(4006),
    [sym_false] = ACTIONS(4006),
    [sym_none] = ACTIONS(4006),
    [sym_comment] = ACTIONS(69),
  },
  [1612] = {
    [sym__primary_expression] = STATE(1781),
    [sym_binary_operator] = STATE(1781),
    [sym_unary_operator] = STATE(1781),
    [sym_attribute] = STATE(1781),
    [sym_subscript] = STATE(1781),
    [sym_call] = STATE(1781),
    [sym_list] = STATE(1781),
    [sym_list_comprehension] = STATE(1781),
    [sym_dictionary] = STATE(1781),
    [sym_dictionary_comprehension] = STATE(1781),
    [sym_set] = STATE(1781),
    [sym_set_comprehension] = STATE(1781),
    [sym_parenthesized_expression] = STATE(1781),
    [sym_tuple] = STATE(1781),
    [sym_generator_expression] = STATE(1781),
    [sym_concatenated_string] = STATE(1781),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4008),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4010),
    [sym_float] = ACTIONS(4010),
    [sym_identifier] = ACTIONS(4010),
    [sym_true] = ACTIONS(4010),
    [sym_false] = ACTIONS(4010),
    [sym_none] = ACTIONS(4010),
    [sym_comment] = ACTIONS(69),
  },
  [1613] = {
    [sym__primary_expression] = STATE(1782),
    [sym_binary_operator] = STATE(1782),
    [sym_unary_operator] = STATE(1782),
    [sym_attribute] = STATE(1782),
    [sym_subscript] = STATE(1782),
    [sym_call] = STATE(1782),
    [sym_list] = STATE(1782),
    [sym_list_comprehension] = STATE(1782),
    [sym_dictionary] = STATE(1782),
    [sym_dictionary_comprehension] = STATE(1782),
    [sym_set] = STATE(1782),
    [sym_set_comprehension] = STATE(1782),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_tuple] = STATE(1782),
    [sym_generator_expression] = STATE(1782),
    [sym_concatenated_string] = STATE(1782),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4012),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4014),
    [sym_float] = ACTIONS(4014),
    [sym_identifier] = ACTIONS(4014),
    [sym_true] = ACTIONS(4014),
    [sym_false] = ACTIONS(4014),
    [sym_none] = ACTIONS(4014),
    [sym_comment] = ACTIONS(69),
  },
  [1614] = {
    [anon_sym_in] = ACTIONS(4016),
    [sym_comment] = ACTIONS(69),
  },
  [1615] = {
    [sym__primary_expression] = STATE(1784),
    [sym_binary_operator] = STATE(1784),
    [sym_unary_operator] = STATE(1784),
    [sym_attribute] = STATE(1784),
    [sym_subscript] = STATE(1784),
    [sym_call] = STATE(1784),
    [sym_list] = STATE(1784),
    [sym_list_comprehension] = STATE(1784),
    [sym_dictionary] = STATE(1784),
    [sym_dictionary_comprehension] = STATE(1784),
    [sym_set] = STATE(1784),
    [sym_set_comprehension] = STATE(1784),
    [sym_parenthesized_expression] = STATE(1784),
    [sym_tuple] = STATE(1784),
    [sym_generator_expression] = STATE(1784),
    [sym_concatenated_string] = STATE(1784),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4018),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4020),
    [sym_float] = ACTIONS(4020),
    [sym_identifier] = ACTIONS(4020),
    [sym_true] = ACTIONS(4020),
    [sym_false] = ACTIONS(4020),
    [sym_none] = ACTIONS(4020),
    [sym_comment] = ACTIONS(69),
  },
  [1616] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1617] = {
    [sym__primary_expression] = STATE(1785),
    [sym_binary_operator] = STATE(1785),
    [sym_unary_operator] = STATE(1785),
    [sym_attribute] = STATE(1785),
    [sym_subscript] = STATE(1785),
    [sym_call] = STATE(1785),
    [sym_list] = STATE(1785),
    [sym_list_comprehension] = STATE(1785),
    [sym_dictionary] = STATE(1785),
    [sym_dictionary_comprehension] = STATE(1785),
    [sym_set] = STATE(1785),
    [sym_set_comprehension] = STATE(1785),
    [sym_parenthesized_expression] = STATE(1785),
    [sym_tuple] = STATE(1785),
    [sym_generator_expression] = STATE(1785),
    [sym_concatenated_string] = STATE(1785),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4022),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4024),
    [sym_float] = ACTIONS(4024),
    [sym_identifier] = ACTIONS(4024),
    [sym_true] = ACTIONS(4024),
    [sym_false] = ACTIONS(4024),
    [sym_none] = ACTIONS(4024),
    [sym_comment] = ACTIONS(69),
  },
  [1618] = {
    [sym__primary_expression] = STATE(1786),
    [sym_binary_operator] = STATE(1786),
    [sym_unary_operator] = STATE(1786),
    [sym_attribute] = STATE(1786),
    [sym_subscript] = STATE(1786),
    [sym_call] = STATE(1786),
    [sym_list] = STATE(1786),
    [sym_list_comprehension] = STATE(1786),
    [sym_dictionary] = STATE(1786),
    [sym_dictionary_comprehension] = STATE(1786),
    [sym_set] = STATE(1786),
    [sym_set_comprehension] = STATE(1786),
    [sym_parenthesized_expression] = STATE(1786),
    [sym_tuple] = STATE(1786),
    [sym_generator_expression] = STATE(1786),
    [sym_concatenated_string] = STATE(1786),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4026),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4028),
    [sym_float] = ACTIONS(4028),
    [sym_identifier] = ACTIONS(4028),
    [sym_true] = ACTIONS(4028),
    [sym_false] = ACTIONS(4028),
    [sym_none] = ACTIONS(4028),
    [sym_comment] = ACTIONS(69),
  },
  [1619] = {
    [sym__primary_expression] = STATE(1787),
    [sym_binary_operator] = STATE(1787),
    [sym_unary_operator] = STATE(1787),
    [sym_attribute] = STATE(1787),
    [sym_subscript] = STATE(1787),
    [sym_call] = STATE(1787),
    [sym_list] = STATE(1787),
    [sym_list_comprehension] = STATE(1787),
    [sym_dictionary] = STATE(1787),
    [sym_dictionary_comprehension] = STATE(1787),
    [sym_set] = STATE(1787),
    [sym_set_comprehension] = STATE(1787),
    [sym_parenthesized_expression] = STATE(1787),
    [sym_tuple] = STATE(1787),
    [sym_generator_expression] = STATE(1787),
    [sym_concatenated_string] = STATE(1787),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4030),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4032),
    [sym_float] = ACTIONS(4032),
    [sym_identifier] = ACTIONS(4032),
    [sym_true] = ACTIONS(4032),
    [sym_false] = ACTIONS(4032),
    [sym_none] = ACTIONS(4032),
    [sym_comment] = ACTIONS(69),
  },
  [1620] = {
    [sym__primary_expression] = STATE(1782),
    [sym_binary_operator] = STATE(1782),
    [sym_unary_operator] = STATE(1782),
    [sym_attribute] = STATE(1782),
    [sym_subscript] = STATE(1782),
    [sym_call] = STATE(1782),
    [sym_list] = STATE(1782),
    [sym_list_comprehension] = STATE(1782),
    [sym_dictionary] = STATE(1782),
    [sym_dictionary_comprehension] = STATE(1782),
    [sym_set] = STATE(1782),
    [sym_set_comprehension] = STATE(1782),
    [sym_parenthesized_expression] = STATE(1782),
    [sym_tuple] = STATE(1782),
    [sym_generator_expression] = STATE(1782),
    [sym_concatenated_string] = STATE(1782),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4012),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4014),
    [sym_float] = ACTIONS(4014),
    [sym_identifier] = ACTIONS(4014),
    [sym_true] = ACTIONS(4014),
    [sym_false] = ACTIONS(4014),
    [sym_none] = ACTIONS(4014),
    [sym_comment] = ACTIONS(69),
  },
  [1621] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1788),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_async] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(3554),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(3566),
    [anon_sym_LT_EQ] = ACTIONS(3550),
    [anon_sym_EQ_EQ] = ACTIONS(3550),
    [anon_sym_BANG_EQ] = ACTIONS(3550),
    [anon_sym_GT_EQ] = ACTIONS(3550),
    [anon_sym_GT] = ACTIONS(3566),
    [anon_sym_LT_GT] = ACTIONS(3550),
    [anon_sym_is] = ACTIONS(3568),
    [anon_sym_RBRACE] = ACTIONS(995),
    [sym_comment] = ACTIONS(69),
  },
  [1622] = {
    [sym__newline] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_or] = ACTIONS(1876),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2639),
  },
  [1623] = {
    [sym__expression] = STATE(1789),
    [sym__primary_expression] = STATE(500),
    [sym_not_operator] = STATE(1789),
    [sym_boolean_operator] = STATE(1789),
    [sym_binary_operator] = STATE(500),
    [sym_unary_operator] = STATE(500),
    [sym_comparison_operator] = STATE(1789),
    [sym_lambda] = STATE(1789),
    [sym_attribute] = STATE(500),
    [sym_subscript] = STATE(500),
    [sym_call] = STATE(500),
    [sym_list] = STATE(500),
    [sym_list_comprehension] = STATE(500),
    [sym_dictionary] = STATE(500),
    [sym_dictionary_comprehension] = STATE(500),
    [sym_set] = STATE(500),
    [sym_set_comprehension] = STATE(500),
    [sym_parenthesized_expression] = STATE(500),
    [sym_tuple] = STATE(500),
    [sym_generator_expression] = STATE(500),
    [sym_conditional_expression] = STATE(1789),
    [sym_concatenated_string] = STATE(500),
    [sym_await] = STATE(1789),
    [anon_sym_LPAREN] = ACTIONS(127),
    [anon_sym_print] = ACTIONS(109),
    [anon_sym_exec] = ACTIONS(109),
    [anon_sym_not] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_lambda] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(119),
    [sym_string] = ACTIONS(899),
    [sym_integer] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [sym_identifier] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_none] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(903),
    [sym_comment] = ACTIONS(69),
  },
  [1624] = {
    [sym_argument_list] = STATE(291),
    [sym_generator_expression] = STATE(291),
    [sym__newline] = ACTIONS(2950),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_GT_GT] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_EQ] = ACTIONS(2952),
    [anon_sym_AT] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1878),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1892),
    [anon_sym_AMP] = ACTIONS(1894),
    [anon_sym_CARET] = ACTIONS(1896),
    [anon_sym_LT_LT] = ACTIONS(1880),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(507),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(2950),
  },
  [1625] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1626] = {
    [sym__expression] = STATE(1790),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1790),
    [sym_boolean_operator] = STATE(1790),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1790),
    [sym_lambda] = STATE(1790),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1790),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1790),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1627] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_GT_GT] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_else] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_SLASH] = ACTIONS(1926),
    [anon_sym_PERCENT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_STAR_STAR] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1940),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_CARET] = ACTIONS(1944),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1628] = {
    [sym__newline] = ACTIONS(4036),
    [anon_sym_DOT] = ACTIONS(4036),
    [anon_sym_LPAREN] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_STAR] = ACTIONS(4038),
    [anon_sym_GT_GT] = ACTIONS(4038),
    [anon_sym_if] = ACTIONS(4036),
    [anon_sym_COLON] = ACTIONS(4036),
    [anon_sym_in] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4038),
    [anon_sym_AT] = ACTIONS(4038),
    [anon_sym_not] = ACTIONS(4036),
    [anon_sym_and] = ACTIONS(4036),
    [anon_sym_or] = ACTIONS(4036),
    [anon_sym_PLUS] = ACTIONS(4038),
    [anon_sym_DASH] = ACTIONS(4038),
    [anon_sym_SLASH] = ACTIONS(4038),
    [anon_sym_PERCENT] = ACTIONS(4038),
    [anon_sym_SLASH_SLASH] = ACTIONS(4038),
    [anon_sym_STAR_STAR] = ACTIONS(4038),
    [anon_sym_PIPE] = ACTIONS(4038),
    [anon_sym_AMP] = ACTIONS(4038),
    [anon_sym_CARET] = ACTIONS(4038),
    [anon_sym_LT_LT] = ACTIONS(4038),
    [anon_sym_LT] = ACTIONS(4038),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4038),
    [anon_sym_LT_GT] = ACTIONS(4036),
    [anon_sym_is] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_AT_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4036),
  },
  [1629] = {
    [sym_list_splat] = STATE(1362),
    [sym_dictionary_splat] = STATE(1362),
    [sym__expression] = STATE(1363),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1363),
    [sym_boolean_operator] = STATE(1363),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1363),
    [sym_lambda] = STATE(1363),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_keyword_argument] = STATE(1362),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1363),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1363),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(935),
    [anon_sym_exec] = ACTIONS(935),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(937),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1630] = {
    [anon_sym_COMMA] = ACTIONS(4040),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(4040),
    [sym_comment] = ACTIONS(69),
  },
  [1631] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
  },
  [1632] = {
    [sym__expression] = STATE(1791),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1791),
    [sym_boolean_operator] = STATE(1791),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1791),
    [sym_lambda] = STATE(1791),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1791),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1791),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1633] = {
    [sym__expression] = STATE(1792),
    [sym__primary_expression] = STATE(430),
    [sym_not_operator] = STATE(1792),
    [sym_boolean_operator] = STATE(1792),
    [sym_binary_operator] = STATE(430),
    [sym_unary_operator] = STATE(430),
    [sym_comparison_operator] = STATE(1792),
    [sym_lambda] = STATE(1792),
    [sym_attribute] = STATE(430),
    [sym_subscript] = STATE(430),
    [sym_call] = STATE(430),
    [sym_list] = STATE(430),
    [sym_list_comprehension] = STATE(430),
    [sym_dictionary] = STATE(430),
    [sym_dictionary_comprehension] = STATE(430),
    [sym_set] = STATE(430),
    [sym_set_comprehension] = STATE(430),
    [sym_parenthesized_expression] = STATE(430),
    [sym_tuple] = STATE(430),
    [sym_generator_expression] = STATE(430),
    [sym_conditional_expression] = STATE(1792),
    [sym_concatenated_string] = STATE(430),
    [sym_await] = STATE(1792),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_COMMA] = ACTIONS(4040),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_lambda] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(4040),
    [sym_ellipsis] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(765),
    [sym_integer] = ACTIONS(767),
    [sym_float] = ACTIONS(767),
    [sym_identifier] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_none] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(769),
    [sym_comment] = ACTIONS(69),
  },
  [1634] = {
    [sym__newline] = ACTIONS(4042),
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_COMMA] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(4044),
    [anon_sym_GT_GT] = ACTIONS(4044),
    [anon_sym_if] = ACTIONS(4042),
    [anon_sym_COLON] = ACTIONS(4042),
    [anon_sym_in] = ACTIONS(4042),
    [anon_sym_EQ] = ACTIONS(4044),
    [anon_sym_AT] = ACTIONS(4044),
    [anon_sym_not] = ACTIONS(4042),
    [anon_sym_and] = ACTIONS(4042),
    [anon_sym_or] = ACTIONS(4042),
    [anon_sym_PLUS] = ACTIONS(4044),
    [anon_sym_DASH] = ACTIONS(4044),
    [anon_sym_SLASH] = ACTIONS(4044),
    [anon_sym_PERCENT] = ACTIONS(4044),
    [anon_sym_SLASH_SLASH] = ACTIONS(4044),
    [anon_sym_STAR_STAR] = ACTIONS(4044),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_AMP] = ACTIONS(4044),
    [anon_sym_CARET] = ACTIONS(4044),
    [anon_sym_LT_LT] = ACTIONS(4044),
    [anon_sym_LT] = ACTIONS(4044),
    [anon_sym_LT_EQ] = ACTIONS(4042),
    [anon_sym_EQ_EQ] = ACTIONS(4042),
    [anon_sym_BANG_EQ] = ACTIONS(4042),
    [anon_sym_GT_EQ] = ACTIONS(4042),
    [anon_sym_GT] = ACTIONS(4044),
    [anon_sym_LT_GT] = ACTIONS(4042),
    [anon_sym_is] = ACTIONS(4042),
    [anon_sym_PLUS_EQ] = ACTIONS(4042),
    [anon_sym_DASH_EQ] = ACTIONS(4042),
    [anon_sym_STAR_EQ] = ACTIONS(4042),
    [anon_sym_SLASH_EQ] = ACTIONS(4042),
    [anon_sym_AT_EQ] = ACTIONS(4042),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(4042),
    [anon_sym_PERCENT_EQ] = ACTIONS(4042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4042),
    [anon_sym_GT_GT_EQ] = ACTIONS(4042),
    [anon_sym_LT_LT_EQ] = ACTIONS(4042),
    [anon_sym_AMP_EQ] = ACTIONS(4042),
    [anon_sym_CARET_EQ] = ACTIONS(4042),
    [anon_sym_PIPE_EQ] = ACTIONS(4042),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4042),
  },
  [1635] = {
    [sym__expression] = STATE(1372),
    [sym__primary_expression] = STATE(542),
    [sym_not_operator] = STATE(1372),
    [sym_boolean_operator] = STATE(1372),
    [sym_binary_operator] = STATE(542),
    [sym_unary_operator] = STATE(542),
    [sym_comparison_operator] = STATE(1372),
    [sym_lambda] = STATE(1372),
    [sym_attribute] = STATE(542),
    [sym_subscript] = STATE(542),
    [sym_slice] = STATE(1373),
    [sym_call] = STATE(542),
    [sym_list] = STATE(542),
    [sym_list_comprehension] = STATE(542),
    [sym_dictionary] = STATE(542),
    [sym_dictionary_comprehension] = STATE(542),
    [sym_set] = STATE(542),
    [sym_set_comprehension] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_tuple] = STATE(542),
    [sym_generator_expression] = STATE(542),
    [sym_conditional_expression] = STATE(1372),
    [sym_concatenated_string] = STATE(542),
    [sym_await] = STATE(1372),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_lambda] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(985),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(987),
    [sym_identifier] = ACTIONS(987),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [sym_none] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [sym_comment] = ACTIONS(69),
  },
  [1636] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2009),
    [anon_sym_GT_GT] = ACTIONS(2011),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_COLON] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(2019),
    [anon_sym_DASH] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_SLASH_SLASH] = ACTIONS(2015),
    [anon_sym_STAR_STAR] = ACTIONS(2021),
    [anon_sym_PIPE] = ACTIONS(2023),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_CARET] = ACTIONS(2027),
    [anon_sym_LT_LT] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(2950),
    [sym_comment] = ACTIONS(69),
  },
  [1637] = {
    [aux_sym_dotted_name_repeat1] = STATE(1637),
    [anon_sym_DOT] = ACTIONS(2059),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(2045),
    [anon_sym_as] = ACTIONS(2045),
    [sym_comment] = ACTIONS(69),
  },
  [1638] = {
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(69),
  },
  [1639] = {
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_as] = ACTIONS(3006),
    [sym_comment] = ACTIONS(69),
  },
  [1640] = {
    [sym_aliased_import] = STATE(1638),
    [sym_dotted_name] = STATE(1639),
    [anon_sym_RPAREN] = ACTIONS(2052),
    [sym_identifier] = ACTIONS(2062),
    [sym_comment] = ACTIONS(69),
  },
  [1641] = {
    [aux_sym__import_list_repeat1] = STATE(1641),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(4046),
    [sym_comment] = ACTIONS(69),
  },
  [1642] = {
    [anon_sym_RPAREN] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2057),
    [sym_comment] = ACTIONS(69),
  },
  [1643] = {
    [anon_sym_RPAREN] = ACTIONS(3607),
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1644] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1795),
    [anon_sym_RPAREN] = ACTIONS(4049),
    [anon_sym_COMMA] = ACTIONS(4051),
    [anon_sym_if] = ACTIONS(4049),
    [anon_sym_async] = ACTIONS(4049),
    [anon_sym_for] = ACTIONS(4049),
    [sym_comment] = ACTIONS(69),
  },
  [1645] = {
    [sym__expression_within_for_in_clause] = STATE(1796),
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1646] = {
    [anon_sym_COLON] = ACTIONS(4053),
    [sym_comment] = ACTIONS(69),
  },
  [1647] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(4049),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4055),
    [anon_sym_async] = ACTIONS(4055),
    [anon_sym_for] = ACTIONS(4055),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1648] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1799),
    [anon_sym_RPAREN] = ACTIONS(4049),
    [anon_sym_COMMA] = ACTIONS(4051),
    [anon_sym_if] = ACTIONS(4049),
    [anon_sym_async] = ACTIONS(4049),
    [anon_sym_for] = ACTIONS(4049),
    [sym_comment] = ACTIONS(69),
  },
  [1649] = {
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(4057),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3052),
    [sym_comment] = ACTIONS(69),
  },
  [1650] = {
    [sym__expression] = STATE(1800),
    [sym__primary_expression] = STATE(1064),
    [sym_not_operator] = STATE(1800),
    [sym_boolean_operator] = STATE(1800),
    [sym_binary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_comparison_operator] = STATE(1800),
    [sym_lambda] = STATE(1800),
    [sym_attribute] = STATE(1064),
    [sym_subscript] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym_list] = STATE(1064),
    [sym_list_comprehension] = STATE(1064),
    [sym_dictionary] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(1064),
    [sym_set] = STATE(1064),
    [sym_set_comprehension] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_generator_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(1800),
    [sym_concatenated_string] = STATE(1064),
    [sym_await] = STATE(1800),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_lambda] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [sym_comment] = ACTIONS(69),
  },
  [1651] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1651),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(4059),
    [sym_comment] = ACTIONS(69),
  },
  [1652] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(4062),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1653] = {
    [anon_sym_RPAREN] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1654] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1655] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1656] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_GT_GT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1657] = {
    [sym__primary_expression] = STATE(1802),
    [sym_binary_operator] = STATE(1802),
    [sym_unary_operator] = STATE(1802),
    [sym_attribute] = STATE(1802),
    [sym_subscript] = STATE(1802),
    [sym_call] = STATE(1802),
    [sym_list] = STATE(1802),
    [sym_list_comprehension] = STATE(1802),
    [sym_dictionary] = STATE(1802),
    [sym_dictionary_comprehension] = STATE(1802),
    [sym_set] = STATE(1802),
    [sym_set_comprehension] = STATE(1802),
    [sym_parenthesized_expression] = STATE(1802),
    [sym_tuple] = STATE(1802),
    [sym_generator_expression] = STATE(1802),
    [sym_concatenated_string] = STATE(1802),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4064),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(4066),
    [sym_float] = ACTIONS(4066),
    [sym_identifier] = ACTIONS(4066),
    [sym_true] = ACTIONS(4066),
    [sym_false] = ACTIONS(4066),
    [sym_none] = ACTIONS(4066),
    [sym_comment] = ACTIONS(69),
  },
  [1658] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1659] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_GT_GT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1660] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_GT_GT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1661] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_GT_GT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1662] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1662),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(4068),
    [anon_sym_not] = ACTIONS(4071),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(4074),
    [anon_sym_LT_EQ] = ACTIONS(4068),
    [anon_sym_EQ_EQ] = ACTIONS(4068),
    [anon_sym_BANG_EQ] = ACTIONS(4068),
    [anon_sym_GT_EQ] = ACTIONS(4068),
    [anon_sym_GT] = ACTIONS(4074),
    [anon_sym_LT_GT] = ACTIONS(4068),
    [anon_sym_is] = ACTIONS(4077),
    [sym_comment] = ACTIONS(69),
  },
  [1663] = {
    [anon_sym_DOT] = ACTIONS(4036),
    [anon_sym_LPAREN] = ACTIONS(4036),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_as] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(4038),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym_if] = ACTIONS(4036),
    [anon_sym_COLON] = ACTIONS(4036),
    [anon_sym_else] = ACTIONS(4036),
    [anon_sym_async] = ACTIONS(4036),
    [anon_sym_for] = ACTIONS(4036),
    [anon_sym_in] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4038),
    [anon_sym_AT] = ACTIONS(4036),
    [anon_sym_not] = ACTIONS(4036),
    [anon_sym_and] = ACTIONS(4036),
    [anon_sym_or] = ACTIONS(4036),
    [anon_sym_PLUS] = ACTIONS(4036),
    [anon_sym_DASH] = ACTIONS(4036),
    [anon_sym_SLASH] = ACTIONS(4038),
    [anon_sym_PERCENT] = ACTIONS(4036),
    [anon_sym_SLASH_SLASH] = ACTIONS(4036),
    [anon_sym_STAR_STAR] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4036),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4038),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4038),
    [anon_sym_LT_GT] = ACTIONS(4036),
    [anon_sym_is] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [anon_sym_RBRACK] = ACTIONS(4036),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [sym_comment] = ACTIONS(69),
  },
  [1664] = {
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_RPAREN] = ACTIONS(4042),
    [anon_sym_COMMA] = ACTIONS(4042),
    [anon_sym_as] = ACTIONS(4044),
    [anon_sym_STAR] = ACTIONS(4044),
    [anon_sym_GT_GT] = ACTIONS(4042),
    [anon_sym_if] = ACTIONS(4042),
    [anon_sym_COLON] = ACTIONS(4042),
    [anon_sym_else] = ACTIONS(4042),
    [anon_sym_async] = ACTIONS(4042),
    [anon_sym_for] = ACTIONS(4042),
    [anon_sym_in] = ACTIONS(4042),
    [anon_sym_EQ] = ACTIONS(4044),
    [anon_sym_AT] = ACTIONS(4042),
    [anon_sym_not] = ACTIONS(4042),
    [anon_sym_and] = ACTIONS(4042),
    [anon_sym_or] = ACTIONS(4042),
    [anon_sym_PLUS] = ACTIONS(4042),
    [anon_sym_DASH] = ACTIONS(4042),
    [anon_sym_SLASH] = ACTIONS(4044),
    [anon_sym_PERCENT] = ACTIONS(4042),
    [anon_sym_SLASH_SLASH] = ACTIONS(4042),
    [anon_sym_STAR_STAR] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4042),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_CARET] = ACTIONS(4042),
    [anon_sym_LT_LT] = ACTIONS(4042),
    [anon_sym_LT] = ACTIONS(4044),
    [anon_sym_LT_EQ] = ACTIONS(4042),
    [anon_sym_EQ_EQ] = ACTIONS(4042),
    [anon_sym_BANG_EQ] = ACTIONS(4042),
    [anon_sym_GT_EQ] = ACTIONS(4042),
    [anon_sym_GT] = ACTIONS(4044),
    [anon_sym_LT_GT] = ACTIONS(4042),
    [anon_sym_is] = ACTIONS(4042),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [anon_sym_RBRACK] = ACTIONS(4042),
    [anon_sym_RBRACE] = ACTIONS(4042),
    [sym_comment] = ACTIONS(69),
  },
  [1665] = {
    [sym__newline] = ACTIONS(4036),
    [anon_sym_DOT] = ACTIONS(4036),
    [anon_sym_from] = ACTIONS(4036),
    [anon_sym_LPAREN] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_STAR] = ACTIONS(4038),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym_if] = ACTIONS(4036),
    [anon_sym_in] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4038),
    [anon_sym_AT] = ACTIONS(4036),
    [anon_sym_not] = ACTIONS(4036),
    [anon_sym_and] = ACTIONS(4036),
    [anon_sym_or] = ACTIONS(4036),
    [anon_sym_PLUS] = ACTIONS(4036),
    [anon_sym_DASH] = ACTIONS(4036),
    [anon_sym_SLASH] = ACTIONS(4038),
    [anon_sym_PERCENT] = ACTIONS(4036),
    [anon_sym_SLASH_SLASH] = ACTIONS(4036),
    [anon_sym_STAR_STAR] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4036),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4038),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4038),
    [anon_sym_LT_GT] = ACTIONS(4036),
    [anon_sym_is] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(4036),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4036),
  },
  [1666] = {
    [sym__newline] = ACTIONS(4042),
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_from] = ACTIONS(4042),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_COMMA] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(4044),
    [anon_sym_GT_GT] = ACTIONS(4042),
    [anon_sym_if] = ACTIONS(4042),
    [anon_sym_in] = ACTIONS(4042),
    [anon_sym_EQ] = ACTIONS(4044),
    [anon_sym_AT] = ACTIONS(4042),
    [anon_sym_not] = ACTIONS(4042),
    [anon_sym_and] = ACTIONS(4042),
    [anon_sym_or] = ACTIONS(4042),
    [anon_sym_PLUS] = ACTIONS(4042),
    [anon_sym_DASH] = ACTIONS(4042),
    [anon_sym_SLASH] = ACTIONS(4044),
    [anon_sym_PERCENT] = ACTIONS(4042),
    [anon_sym_SLASH_SLASH] = ACTIONS(4042),
    [anon_sym_STAR_STAR] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4042),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_CARET] = ACTIONS(4042),
    [anon_sym_LT_LT] = ACTIONS(4042),
    [anon_sym_LT] = ACTIONS(4044),
    [anon_sym_LT_EQ] = ACTIONS(4042),
    [anon_sym_EQ_EQ] = ACTIONS(4042),
    [anon_sym_BANG_EQ] = ACTIONS(4042),
    [anon_sym_GT_EQ] = ACTIONS(4042),
    [anon_sym_GT] = ACTIONS(4044),
    [anon_sym_LT_GT] = ACTIONS(4042),
    [anon_sym_is] = ACTIONS(4042),
    [anon_sym_LBRACK] = ACTIONS(4042),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4042),
  },
  [1667] = {
    [sym__newline] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_and] = ACTIONS(1330),
    [anon_sym_or] = ACTIONS(1332),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3607),
  },
  [1668] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_elif] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [1669] = {
    [sym__simple_statements] = STATE(1803),
    [sym_import_statement] = STATE(714),
    [sym_import_from_statement] = STATE(714),
    [sym_print_statement] = STATE(714),
    [sym_assert_statement] = STATE(714),
    [sym_expression_statement] = STATE(714),
    [sym_return_statement] = STATE(714),
    [sym_delete_statement] = STATE(714),
    [sym_raise_statement] = STATE(714),
    [sym_global_statement] = STATE(714),
    [sym_nonlocal_statement] = STATE(714),
    [sym_exec_statement] = STATE(714),
    [sym__suite] = STATE(1803),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1415),
    [sym_break_statement] = ACTIONS(1415),
    [sym_continue_statement] = ACTIONS(1415),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1670] = {
    [ts_builtin_sym_end] = ACTIONS(4080),
    [anon_sym_import] = ACTIONS(4082),
    [anon_sym_from] = ACTIONS(4082),
    [anon_sym_LPAREN] = ACTIONS(4080),
    [anon_sym_print] = ACTIONS(4082),
    [anon_sym_assert] = ACTIONS(4082),
    [anon_sym_return] = ACTIONS(4082),
    [anon_sym_del] = ACTIONS(4082),
    [anon_sym_raise] = ACTIONS(4082),
    [sym_pass_statement] = ACTIONS(4082),
    [sym_break_statement] = ACTIONS(4082),
    [sym_continue_statement] = ACTIONS(4082),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_async] = ACTIONS(4082),
    [anon_sym_for] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(4082),
    [anon_sym_try] = ACTIONS(4082),
    [anon_sym_with] = ACTIONS(4082),
    [anon_sym_def] = ACTIONS(4082),
    [anon_sym_global] = ACTIONS(4082),
    [anon_sym_nonlocal] = ACTIONS(4082),
    [anon_sym_exec] = ACTIONS(4082),
    [anon_sym_class] = ACTIONS(4082),
    [anon_sym_AT] = ACTIONS(4080),
    [anon_sym_not] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4080),
    [anon_sym_DASH] = ACTIONS(4080),
    [anon_sym_TILDE] = ACTIONS(4080),
    [anon_sym_lambda] = ACTIONS(4082),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [sym_ellipsis] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(4080),
    [sym_string] = ACTIONS(4080),
    [sym_integer] = ACTIONS(4082),
    [sym_float] = ACTIONS(4082),
    [sym_identifier] = ACTIONS(4082),
    [sym_true] = ACTIONS(4082),
    [sym_false] = ACTIONS(4082),
    [sym_none] = ACTIONS(4082),
    [anon_sym_await] = ACTIONS(4082),
    [sym_comment] = ACTIONS(69),
  },
  [1671] = {
    [sym_else_clause] = STATE(1804),
    [ts_builtin_sym_end] = ACTIONS(4084),
    [anon_sym_import] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4084),
    [anon_sym_print] = ACTIONS(4086),
    [anon_sym_assert] = ACTIONS(4086),
    [anon_sym_return] = ACTIONS(4086),
    [anon_sym_del] = ACTIONS(4086),
    [anon_sym_raise] = ACTIONS(4086),
    [sym_pass_statement] = ACTIONS(4086),
    [sym_break_statement] = ACTIONS(4086),
    [sym_continue_statement] = ACTIONS(4086),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_else] = ACTIONS(2337),
    [anon_sym_async] = ACTIONS(4086),
    [anon_sym_for] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(4086),
    [anon_sym_try] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4086),
    [anon_sym_def] = ACTIONS(4086),
    [anon_sym_global] = ACTIONS(4086),
    [anon_sym_nonlocal] = ACTIONS(4086),
    [anon_sym_exec] = ACTIONS(4086),
    [anon_sym_class] = ACTIONS(4086),
    [anon_sym_AT] = ACTIONS(4084),
    [anon_sym_not] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4084),
    [anon_sym_DASH] = ACTIONS(4084),
    [anon_sym_TILDE] = ACTIONS(4084),
    [anon_sym_lambda] = ACTIONS(4086),
    [anon_sym_yield] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4084),
    [sym_ellipsis] = ACTIONS(4084),
    [anon_sym_LBRACE] = ACTIONS(4084),
    [sym_string] = ACTIONS(4084),
    [sym_integer] = ACTIONS(4086),
    [sym_float] = ACTIONS(4086),
    [sym_identifier] = ACTIONS(4086),
    [sym_true] = ACTIONS(4086),
    [sym_false] = ACTIONS(4086),
    [sym_none] = ACTIONS(4086),
    [anon_sym_await] = ACTIONS(4086),
    [sym_comment] = ACTIONS(69),
  },
  [1672] = {
    [sym__simple_statements] = STATE(1805),
    [sym_import_statement] = STATE(10),
    [sym_import_from_statement] = STATE(10),
    [sym_print_statement] = STATE(10),
    [sym_assert_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_delete_statement] = STATE(10),
    [sym_raise_statement] = STATE(10),
    [sym_global_statement] = STATE(10),
    [sym_nonlocal_statement] = STATE(10),
    [sym_exec_statement] = STATE(10),
    [sym__suite] = STATE(1805),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(23),
    [sym_break_statement] = ACTIONS(23),
    [sym_continue_statement] = ACTIONS(23),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1673] = {
    [ts_builtin_sym_end] = ACTIONS(4084),
    [anon_sym_import] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4084),
    [anon_sym_print] = ACTIONS(4086),
    [anon_sym_assert] = ACTIONS(4086),
    [anon_sym_return] = ACTIONS(4086),
    [anon_sym_del] = ACTIONS(4086),
    [anon_sym_raise] = ACTIONS(4086),
    [sym_pass_statement] = ACTIONS(4086),
    [sym_break_statement] = ACTIONS(4086),
    [sym_continue_statement] = ACTIONS(4086),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_async] = ACTIONS(4086),
    [anon_sym_for] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(4086),
    [anon_sym_try] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4086),
    [anon_sym_def] = ACTIONS(4086),
    [anon_sym_global] = ACTIONS(4086),
    [anon_sym_nonlocal] = ACTIONS(4086),
    [anon_sym_exec] = ACTIONS(4086),
    [anon_sym_class] = ACTIONS(4086),
    [anon_sym_AT] = ACTIONS(4084),
    [anon_sym_not] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4084),
    [anon_sym_DASH] = ACTIONS(4084),
    [anon_sym_TILDE] = ACTIONS(4084),
    [anon_sym_lambda] = ACTIONS(4086),
    [anon_sym_yield] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4084),
    [sym_ellipsis] = ACTIONS(4084),
    [anon_sym_LBRACE] = ACTIONS(4084),
    [sym_string] = ACTIONS(4084),
    [sym_integer] = ACTIONS(4086),
    [sym_float] = ACTIONS(4086),
    [sym_identifier] = ACTIONS(4086),
    [sym_true] = ACTIONS(4086),
    [sym_false] = ACTIONS(4086),
    [sym_none] = ACTIONS(4086),
    [anon_sym_await] = ACTIONS(4086),
    [sym_comment] = ACTIONS(69),
  },
  [1674] = {
    [sym__expression] = STATE(1455),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(1455),
    [sym_boolean_operator] = STATE(1455),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(1455),
    [sym_lambda] = STATE(1455),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(1455),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(1455),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1675] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [1676] = {
    [sym__dedent] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [1677] = {
    [sym__statement] = STATE(1807),
    [sym__simple_statements] = STATE(1807),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1807),
    [sym_for_statement] = STATE(1807),
    [sym_while_statement] = STATE(1807),
    [sym_try_statement] = STATE(1807),
    [sym_with_statement] = STATE(1807),
    [sym_function_definition] = STATE(1807),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1807),
    [sym_decorated_definition] = STATE(1807),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1807),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4088),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1678] = {
    [aux_sym__simple_statements_repeat1] = STATE(1810),
    [sym__newline] = ACTIONS(4090),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4092),
  },
  [1679] = {
    [sym_elif_clause] = STATE(1814),
    [sym_else_clause] = STATE(1813),
    [aux_sym_if_statement_repeat1] = STATE(1814),
    [sym__dedent] = ACTIONS(2331),
    [anon_sym_import] = ACTIONS(2333),
    [anon_sym_from] = ACTIONS(2333),
    [anon_sym_LPAREN] = ACTIONS(2331),
    [anon_sym_print] = ACTIONS(2333),
    [anon_sym_assert] = ACTIONS(2333),
    [anon_sym_return] = ACTIONS(2333),
    [anon_sym_del] = ACTIONS(2333),
    [anon_sym_raise] = ACTIONS(2333),
    [sym_pass_statement] = ACTIONS(2333),
    [sym_break_statement] = ACTIONS(2333),
    [sym_continue_statement] = ACTIONS(2333),
    [anon_sym_if] = ACTIONS(2333),
    [anon_sym_elif] = ACTIONS(4094),
    [anon_sym_else] = ACTIONS(4096),
    [anon_sym_async] = ACTIONS(2333),
    [anon_sym_for] = ACTIONS(2333),
    [anon_sym_while] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2333),
    [anon_sym_with] = ACTIONS(2333),
    [anon_sym_def] = ACTIONS(2333),
    [anon_sym_global] = ACTIONS(2333),
    [anon_sym_nonlocal] = ACTIONS(2333),
    [anon_sym_exec] = ACTIONS(2333),
    [anon_sym_class] = ACTIONS(2333),
    [anon_sym_AT] = ACTIONS(2331),
    [anon_sym_not] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2331),
    [anon_sym_DASH] = ACTIONS(2331),
    [anon_sym_TILDE] = ACTIONS(2331),
    [anon_sym_lambda] = ACTIONS(2333),
    [anon_sym_yield] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2331),
    [sym_ellipsis] = ACTIONS(2331),
    [anon_sym_LBRACE] = ACTIONS(2331),
    [sym_string] = ACTIONS(2331),
    [sym_integer] = ACTIONS(2333),
    [sym_float] = ACTIONS(2333),
    [sym_identifier] = ACTIONS(2333),
    [sym_true] = ACTIONS(2333),
    [sym_false] = ACTIONS(2333),
    [sym_none] = ACTIONS(2333),
    [anon_sym_await] = ACTIONS(2333),
    [sym_comment] = ACTIONS(69),
  },
  [1680] = {
    [sym_expression_list] = STATE(1815),
    [sym__expression] = STATE(732),
    [sym__primary_expression] = STATE(410),
    [sym_not_operator] = STATE(732),
    [sym_boolean_operator] = STATE(732),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_comparison_operator] = STATE(732),
    [sym_lambda] = STATE(732),
    [sym_attribute] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_generator_expression] = STATE(410),
    [sym_conditional_expression] = STATE(732),
    [sym_concatenated_string] = STATE(410),
    [sym_await] = STATE(732),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_lambda] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(731),
    [sym_integer] = ACTIONS(733),
    [sym_float] = ACTIONS(733),
    [sym_identifier] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_none] = ACTIONS(733),
    [anon_sym_await] = ACTIONS(735),
    [sym_comment] = ACTIONS(69),
  },
  [1681] = {
    [sym__simple_statements] = STATE(1816),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1816),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1682] = {
    [aux_sym_with_statement_repeat1] = STATE(770),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_COLON] = ACTIONS(4098),
    [sym_comment] = ACTIONS(69),
  },
  [1683] = {
    [anon_sym_COLON] = ACTIONS(4100),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [sym_comment] = ACTIONS(69),
  },
  [1684] = {
    [anon_sym_COLON] = ACTIONS(4104),
    [sym_comment] = ACTIONS(69),
  },
  [1685] = {
    [sym__statement] = STATE(1822),
    [sym__simple_statements] = STATE(1822),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1822),
    [sym_for_statement] = STATE(1822),
    [sym_while_statement] = STATE(1822),
    [sym_try_statement] = STATE(1822),
    [sym_with_statement] = STATE(1822),
    [sym_function_definition] = STATE(1822),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1822),
    [sym_decorated_definition] = STATE(1822),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1822),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4106),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1686] = {
    [aux_sym__simple_statements_repeat1] = STATE(1825),
    [sym__newline] = ACTIONS(4108),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4110),
  },
  [1687] = {
    [sym_else_clause] = STATE(1826),
    [sym__dedent] = ACTIONS(2381),
    [anon_sym_import] = ACTIONS(2383),
    [anon_sym_from] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2381),
    [anon_sym_print] = ACTIONS(2383),
    [anon_sym_assert] = ACTIONS(2383),
    [anon_sym_return] = ACTIONS(2383),
    [anon_sym_del] = ACTIONS(2383),
    [anon_sym_raise] = ACTIONS(2383),
    [sym_pass_statement] = ACTIONS(2383),
    [sym_break_statement] = ACTIONS(2383),
    [sym_continue_statement] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(4096),
    [anon_sym_async] = ACTIONS(2383),
    [anon_sym_for] = ACTIONS(2383),
    [anon_sym_while] = ACTIONS(2383),
    [anon_sym_try] = ACTIONS(2383),
    [anon_sym_with] = ACTIONS(2383),
    [anon_sym_def] = ACTIONS(2383),
    [anon_sym_global] = ACTIONS(2383),
    [anon_sym_nonlocal] = ACTIONS(2383),
    [anon_sym_exec] = ACTIONS(2383),
    [anon_sym_class] = ACTIONS(2383),
    [anon_sym_AT] = ACTIONS(2381),
    [anon_sym_not] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2381),
    [anon_sym_DASH] = ACTIONS(2381),
    [anon_sym_TILDE] = ACTIONS(2381),
    [anon_sym_lambda] = ACTIONS(2383),
    [anon_sym_yield] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2381),
    [sym_ellipsis] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2381),
    [sym_string] = ACTIONS(2381),
    [sym_integer] = ACTIONS(2383),
    [sym_float] = ACTIONS(2383),
    [sym_identifier] = ACTIONS(2383),
    [sym_true] = ACTIONS(2383),
    [sym_false] = ACTIONS(2383),
    [sym_none] = ACTIONS(2383),
    [anon_sym_await] = ACTIONS(2383),
    [sym_comment] = ACTIONS(69),
  },
  [1688] = {
    [sym__expression] = STATE(1828),
    [sym__primary_expression] = STATE(113),
    [sym_not_operator] = STATE(1828),
    [sym_boolean_operator] = STATE(1828),
    [sym_binary_operator] = STATE(113),
    [sym_unary_operator] = STATE(113),
    [sym_comparison_operator] = STATE(1828),
    [sym_lambda] = STATE(1828),
    [sym_attribute] = STATE(113),
    [sym_subscript] = STATE(113),
    [sym_call] = STATE(113),
    [sym_list] = STATE(113),
    [sym_list_comprehension] = STATE(113),
    [sym_dictionary] = STATE(113),
    [sym_dictionary_comprehension] = STATE(113),
    [sym_set] = STATE(113),
    [sym_set_comprehension] = STATE(113),
    [sym_parenthesized_expression] = STATE(113),
    [sym_tuple] = STATE(113),
    [sym_generator_expression] = STATE(113),
    [sym_conditional_expression] = STATE(1828),
    [sym_concatenated_string] = STATE(113),
    [sym_await] = STATE(1828),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_COLON] = ACTIONS(4112),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_PLUS] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(189),
    [anon_sym_lambda] = ACTIONS(191),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(195),
    [sym_integer] = ACTIONS(197),
    [sym_float] = ACTIONS(197),
    [sym_identifier] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_none] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [sym_comment] = ACTIONS(69),
  },
  [1689] = {
    [anon_sym_COLON] = ACTIONS(4114),
    [sym_comment] = ACTIONS(69),
  },
  [1690] = {
    [sym__dedent] = ACTIONS(2421),
    [anon_sym_import] = ACTIONS(2423),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2421),
    [anon_sym_print] = ACTIONS(2423),
    [anon_sym_assert] = ACTIONS(2423),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_del] = ACTIONS(2423),
    [anon_sym_raise] = ACTIONS(2423),
    [sym_pass_statement] = ACTIONS(2423),
    [sym_break_statement] = ACTIONS(2423),
    [sym_continue_statement] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_with] = ACTIONS(2423),
    [anon_sym_def] = ACTIONS(2423),
    [anon_sym_global] = ACTIONS(2423),
    [anon_sym_nonlocal] = ACTIONS(2423),
    [anon_sym_exec] = ACTIONS(2423),
    [anon_sym_class] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_TILDE] = ACTIONS(2421),
    [anon_sym_lambda] = ACTIONS(2423),
    [anon_sym_yield] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [sym_ellipsis] = ACTIONS(2421),
    [anon_sym_LBRACE] = ACTIONS(2421),
    [sym_string] = ACTIONS(2421),
    [sym_integer] = ACTIONS(2423),
    [sym_float] = ACTIONS(2423),
    [sym_identifier] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_none] = ACTIONS(2423),
    [anon_sym_await] = ACTIONS(2423),
    [sym_comment] = ACTIONS(69),
  },
  [1691] = {
    [sym_else_clause] = STATE(1831),
    [sym_except_clause] = STATE(1833),
    [sym_finally_clause] = STATE(1832),
    [aux_sym_try_statement_repeat1] = STATE(1833),
    [sym__dedent] = ACTIONS(2421),
    [anon_sym_import] = ACTIONS(2423),
    [anon_sym_from] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2421),
    [anon_sym_print] = ACTIONS(2423),
    [anon_sym_assert] = ACTIONS(2423),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_del] = ACTIONS(2423),
    [anon_sym_raise] = ACTIONS(2423),
    [sym_pass_statement] = ACTIONS(2423),
    [sym_break_statement] = ACTIONS(2423),
    [sym_continue_statement] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_else] = ACTIONS(4116),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_except] = ACTIONS(4118),
    [anon_sym_finally] = ACTIONS(4120),
    [anon_sym_with] = ACTIONS(2423),
    [anon_sym_def] = ACTIONS(2423),
    [anon_sym_global] = ACTIONS(2423),
    [anon_sym_nonlocal] = ACTIONS(2423),
    [anon_sym_exec] = ACTIONS(2423),
    [anon_sym_class] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2421),
    [anon_sym_not] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_TILDE] = ACTIONS(2421),
    [anon_sym_lambda] = ACTIONS(2423),
    [anon_sym_yield] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [sym_ellipsis] = ACTIONS(2421),
    [anon_sym_LBRACE] = ACTIONS(2421),
    [sym_string] = ACTIONS(2421),
    [sym_integer] = ACTIONS(2423),
    [sym_float] = ACTIONS(2423),
    [sym_identifier] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [sym_none] = ACTIONS(2423),
    [anon_sym_await] = ACTIONS(2423),
    [sym_comment] = ACTIONS(69),
  },
  [1692] = {
    [sym__statement] = STATE(1835),
    [sym__simple_statements] = STATE(1835),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1835),
    [sym_for_statement] = STATE(1835),
    [sym_while_statement] = STATE(1835),
    [sym_try_statement] = STATE(1835),
    [sym_with_statement] = STATE(1835),
    [sym_function_definition] = STATE(1835),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1835),
    [sym_decorated_definition] = STATE(1835),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1835),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4122),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1693] = {
    [sym__dedent] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2440),
    [anon_sym_from] = ACTIONS(2440),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_print] = ACTIONS(2440),
    [anon_sym_assert] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_del] = ACTIONS(2440),
    [anon_sym_raise] = ACTIONS(2440),
    [sym_pass_statement] = ACTIONS(2440),
    [sym_break_statement] = ACTIONS(2440),
    [sym_continue_statement] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [anon_sym_with] = ACTIONS(2440),
    [anon_sym_def] = ACTIONS(2440),
    [anon_sym_global] = ACTIONS(2440),
    [anon_sym_nonlocal] = ACTIONS(2440),
    [anon_sym_exec] = ACTIONS(2440),
    [anon_sym_class] = ACTIONS(2440),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_not] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_lambda] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [sym_ellipsis] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [sym_string] = ACTIONS(2438),
    [sym_integer] = ACTIONS(2440),
    [sym_float] = ACTIONS(2440),
    [sym_identifier] = ACTIONS(2440),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [sym_none] = ACTIONS(2440),
    [anon_sym_await] = ACTIONS(2440),
    [sym_comment] = ACTIONS(69),
  },
  [1694] = {
    [sym__simple_statements] = STATE(1836),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1836),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1695] = {
    [sym__expression] = STATE(1191),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1191),
    [sym_boolean_operator] = STATE(1191),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1191),
    [sym_lambda] = STATE(1191),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_type] = STATE(1837),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1191),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1191),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1696] = {
    [sym__dedent] = ACTIONS(2506),
    [anon_sym_import] = ACTIONS(2508),
    [anon_sym_from] = ACTIONS(2508),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_print] = ACTIONS(2508),
    [anon_sym_assert] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_del] = ACTIONS(2508),
    [anon_sym_raise] = ACTIONS(2508),
    [sym_pass_statement] = ACTIONS(2508),
    [sym_break_statement] = ACTIONS(2508),
    [sym_continue_statement] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_async] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_with] = ACTIONS(2508),
    [anon_sym_def] = ACTIONS(2508),
    [anon_sym_global] = ACTIONS(2508),
    [anon_sym_nonlocal] = ACTIONS(2508),
    [anon_sym_exec] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_AT] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_lambda] = ACTIONS(2508),
    [anon_sym_yield] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [sym_string] = ACTIONS(2506),
    [sym_integer] = ACTIONS(2508),
    [sym_float] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2508),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [sym_none] = ACTIONS(2508),
    [anon_sym_await] = ACTIONS(2508),
    [sym_comment] = ACTIONS(69),
  },
  [1697] = {
    [sym__simple_statements] = STATE(1838),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1838),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1698] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(4124),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1699] = {
    [ts_builtin_sym_end] = ACTIONS(4126),
    [anon_sym_import] = ACTIONS(4128),
    [anon_sym_from] = ACTIONS(4128),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_print] = ACTIONS(4128),
    [anon_sym_assert] = ACTIONS(4128),
    [anon_sym_return] = ACTIONS(4128),
    [anon_sym_del] = ACTIONS(4128),
    [anon_sym_raise] = ACTIONS(4128),
    [sym_pass_statement] = ACTIONS(4128),
    [sym_break_statement] = ACTIONS(4128),
    [sym_continue_statement] = ACTIONS(4128),
    [anon_sym_if] = ACTIONS(4128),
    [anon_sym_else] = ACTIONS(4128),
    [anon_sym_async] = ACTIONS(4128),
    [anon_sym_for] = ACTIONS(4128),
    [anon_sym_while] = ACTIONS(4128),
    [anon_sym_try] = ACTIONS(4128),
    [anon_sym_except] = ACTIONS(4128),
    [anon_sym_finally] = ACTIONS(4128),
    [anon_sym_with] = ACTIONS(4128),
    [anon_sym_def] = ACTIONS(4128),
    [anon_sym_global] = ACTIONS(4128),
    [anon_sym_nonlocal] = ACTIONS(4128),
    [anon_sym_exec] = ACTIONS(4128),
    [anon_sym_class] = ACTIONS(4128),
    [anon_sym_AT] = ACTIONS(4126),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4126),
    [anon_sym_DASH] = ACTIONS(4126),
    [anon_sym_TILDE] = ACTIONS(4126),
    [anon_sym_lambda] = ACTIONS(4128),
    [anon_sym_yield] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [sym_ellipsis] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [sym_string] = ACTIONS(4126),
    [sym_integer] = ACTIONS(4128),
    [sym_float] = ACTIONS(4128),
    [sym_identifier] = ACTIONS(4128),
    [sym_true] = ACTIONS(4128),
    [sym_false] = ACTIONS(4128),
    [sym_none] = ACTIONS(4128),
    [anon_sym_await] = ACTIONS(4128),
    [sym_comment] = ACTIONS(69),
  },
  [1700] = {
    [sym__statement] = STATE(1841),
    [sym__simple_statements] = STATE(1841),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1841),
    [sym_for_statement] = STATE(1841),
    [sym_while_statement] = STATE(1841),
    [sym_try_statement] = STATE(1841),
    [sym_with_statement] = STATE(1841),
    [sym_function_definition] = STATE(1841),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1841),
    [sym_decorated_definition] = STATE(1841),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1841),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4130),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1701] = {
    [aux_sym__simple_statements_repeat1] = STATE(1844),
    [sym__newline] = ACTIONS(4132),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4134),
  },
  [1702] = {
    [ts_builtin_sym_end] = ACTIONS(4080),
    [anon_sym_import] = ACTIONS(4082),
    [anon_sym_from] = ACTIONS(4082),
    [anon_sym_LPAREN] = ACTIONS(4080),
    [anon_sym_print] = ACTIONS(4082),
    [anon_sym_assert] = ACTIONS(4082),
    [anon_sym_return] = ACTIONS(4082),
    [anon_sym_del] = ACTIONS(4082),
    [anon_sym_raise] = ACTIONS(4082),
    [sym_pass_statement] = ACTIONS(4082),
    [sym_break_statement] = ACTIONS(4082),
    [sym_continue_statement] = ACTIONS(4082),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_async] = ACTIONS(4082),
    [anon_sym_for] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(4082),
    [anon_sym_try] = ACTIONS(4082),
    [anon_sym_finally] = ACTIONS(4082),
    [anon_sym_with] = ACTIONS(4082),
    [anon_sym_def] = ACTIONS(4082),
    [anon_sym_global] = ACTIONS(4082),
    [anon_sym_nonlocal] = ACTIONS(4082),
    [anon_sym_exec] = ACTIONS(4082),
    [anon_sym_class] = ACTIONS(4082),
    [anon_sym_AT] = ACTIONS(4080),
    [anon_sym_not] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4080),
    [anon_sym_DASH] = ACTIONS(4080),
    [anon_sym_TILDE] = ACTIONS(4080),
    [anon_sym_lambda] = ACTIONS(4082),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [sym_ellipsis] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(4080),
    [sym_string] = ACTIONS(4080),
    [sym_integer] = ACTIONS(4082),
    [sym_float] = ACTIONS(4082),
    [sym_identifier] = ACTIONS(4082),
    [sym_true] = ACTIONS(4082),
    [sym_false] = ACTIONS(4082),
    [sym_none] = ACTIONS(4082),
    [anon_sym_await] = ACTIONS(4082),
    [sym_comment] = ACTIONS(69),
  },
  [1703] = {
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_COLON] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3244),
    [sym_comment] = ACTIONS(69),
  },
  [1704] = {
    [sym__expression] = STATE(1845),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(1845),
    [sym_boolean_operator] = STATE(1845),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(1845),
    [sym_lambda] = STATE(1845),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1845),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(1845),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [1705] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1705),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(4136),
    [sym_comment] = ACTIONS(69),
  },
  [1706] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(4139),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1707] = {
    [anon_sym_RPAREN] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_COLON] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1708] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1709] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1710] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3262),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1711] = {
    [sym__primary_expression] = STATE(1847),
    [sym_binary_operator] = STATE(1847),
    [sym_unary_operator] = STATE(1847),
    [sym_attribute] = STATE(1847),
    [sym_subscript] = STATE(1847),
    [sym_call] = STATE(1847),
    [sym_list] = STATE(1847),
    [sym_list_comprehension] = STATE(1847),
    [sym_dictionary] = STATE(1847),
    [sym_dictionary_comprehension] = STATE(1847),
    [sym_set] = STATE(1847),
    [sym_set_comprehension] = STATE(1847),
    [sym_parenthesized_expression] = STATE(1847),
    [sym_tuple] = STATE(1847),
    [sym_generator_expression] = STATE(1847),
    [sym_concatenated_string] = STATE(1847),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4141),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(4143),
    [sym_float] = ACTIONS(4143),
    [sym_identifier] = ACTIONS(4143),
    [sym_true] = ACTIONS(4143),
    [sym_false] = ACTIONS(4143),
    [sym_none] = ACTIONS(4143),
    [sym_comment] = ACTIONS(69),
  },
  [1712] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1713] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(3262),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1714] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1715] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1716] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1716),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(4145),
    [anon_sym_not] = ACTIONS(4148),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4145),
    [anon_sym_BANG_EQ] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4145),
    [anon_sym_GT] = ACTIONS(4151),
    [anon_sym_LT_GT] = ACTIONS(4145),
    [anon_sym_is] = ACTIONS(4154),
    [sym_comment] = ACTIONS(69),
  },
  [1717] = {
    [sym__expression] = STATE(1848),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1848),
    [sym_boolean_operator] = STATE(1848),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1848),
    [sym_lambda] = STATE(1848),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1848),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1848),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1718] = {
    [sym_default_parameter] = STATE(822),
    [sym_typed_default_parameter] = STATE(822),
    [sym_list_splat] = STATE(1505),
    [sym_dictionary_splat] = STATE(1505),
    [sym_typed_parameter] = STATE(822),
    [sym_tuple] = STATE(822),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_print] = ACTIONS(3270),
    [anon_sym_exec] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3272),
    [sym_comment] = ACTIONS(69),
  },
  [1719] = {
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(3859),
    [anon_sym_or] = ACTIONS(3861),
    [sym_comment] = ACTIONS(69),
  },
  [1720] = {
    [sym__expression] = STATE(1849),
    [sym__primary_expression] = STATE(1516),
    [sym_not_operator] = STATE(1849),
    [sym_boolean_operator] = STATE(1849),
    [sym_binary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_comparison_operator] = STATE(1849),
    [sym_lambda] = STATE(1849),
    [sym_attribute] = STATE(1516),
    [sym_subscript] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym_list] = STATE(1516),
    [sym_list_comprehension] = STATE(1516),
    [sym_dictionary] = STATE(1516),
    [sym_dictionary_comprehension] = STATE(1516),
    [sym_set] = STATE(1516),
    [sym_set_comprehension] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_generator_expression] = STATE(1516),
    [sym_conditional_expression] = STATE(1849),
    [sym_concatenated_string] = STATE(1516),
    [sym_await] = STATE(1849),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_lambda] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(3286),
    [sym_float] = ACTIONS(3286),
    [sym_identifier] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_none] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3288),
    [sym_comment] = ACTIONS(69),
  },
  [1721] = {
    [anon_sym_COLON] = ACTIONS(4157),
    [sym_comment] = ACTIONS(69),
  },
  [1722] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1851),
    [anon_sym_DOT] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(883),
    [anon_sym_STAR] = ACTIONS(885),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(883),
    [anon_sym_EQ] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(883),
    [anon_sym_or] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(885),
    [anon_sym_LT_EQ] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(883),
    [anon_sym_BANG_EQ] = ACTIONS(883),
    [anon_sym_GT_EQ] = ACTIONS(883),
    [anon_sym_GT] = ACTIONS(885),
    [anon_sym_LT_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(883),
    [sym_string] = ACTIONS(4159),
    [sym_comment] = ACTIONS(69),
  },
  [1723] = {
    [sym__expression] = STATE(1852),
    [sym__primary_expression] = STATE(513),
    [sym_not_operator] = STATE(1852),
    [sym_boolean_operator] = STATE(1852),
    [sym_binary_operator] = STATE(513),
    [sym_unary_operator] = STATE(513),
    [sym_comparison_operator] = STATE(1852),
    [sym_lambda] = STATE(1852),
    [sym_attribute] = STATE(513),
    [sym_subscript] = STATE(513),
    [sym_call] = STATE(513),
    [sym_list] = STATE(513),
    [sym_list_comprehension] = STATE(513),
    [sym_dictionary] = STATE(513),
    [sym_dictionary_comprehension] = STATE(513),
    [sym_set] = STATE(513),
    [sym_set_comprehension] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_tuple] = STATE(513),
    [sym_generator_expression] = STATE(513),
    [sym_conditional_expression] = STATE(1852),
    [sym_concatenated_string] = STATE(513),
    [sym_await] = STATE(1852),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(913),
    [anon_sym_lambda] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(919),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_none] = ACTIONS(921),
    [anon_sym_await] = ACTIONS(923),
    [sym_comment] = ACTIONS(69),
  },
  [1724] = {
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(1516),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_binary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_comparison_operator] = STATE(604),
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(1516),
    [sym_subscript] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym_list] = STATE(1516),
    [sym_list_comprehension] = STATE(1516),
    [sym_dictionary] = STATE(1516),
    [sym_dictionary_comprehension] = STATE(1516),
    [sym_set] = STATE(1516),
    [sym_set_comprehension] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_generator_expression] = STATE(1516),
    [sym_conditional_expression] = STATE(604),
    [sym_concatenated_string] = STATE(1516),
    [sym_await] = STATE(604),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_lambda] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(3286),
    [sym_float] = ACTIONS(3286),
    [sym_identifier] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_none] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3288),
    [sym_comment] = ACTIONS(69),
  },
  [1725] = {
    [sym__expression] = STATE(1853),
    [sym__primary_expression] = STATE(1516),
    [sym_not_operator] = STATE(1853),
    [sym_boolean_operator] = STATE(1853),
    [sym_binary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_comparison_operator] = STATE(1853),
    [sym_lambda] = STATE(1853),
    [sym_attribute] = STATE(1516),
    [sym_subscript] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym_list] = STATE(1516),
    [sym_list_comprehension] = STATE(1516),
    [sym_dictionary] = STATE(1516),
    [sym_dictionary_comprehension] = STATE(1516),
    [sym_set] = STATE(1516),
    [sym_set_comprehension] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_generator_expression] = STATE(1516),
    [sym_conditional_expression] = STATE(1853),
    [sym_concatenated_string] = STATE(1516),
    [sym_await] = STATE(1853),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_lambda] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(3286),
    [sym_float] = ACTIONS(3286),
    [sym_identifier] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_none] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3288),
    [sym_comment] = ACTIONS(69),
  },
  [1726] = {
    [sym__primary_expression] = STATE(1854),
    [sym_binary_operator] = STATE(1854),
    [sym_unary_operator] = STATE(1854),
    [sym_attribute] = STATE(1854),
    [sym_subscript] = STATE(1854),
    [sym_call] = STATE(1854),
    [sym_list] = STATE(1854),
    [sym_list_comprehension] = STATE(1854),
    [sym_dictionary] = STATE(1854),
    [sym_dictionary_comprehension] = STATE(1854),
    [sym_set] = STATE(1854),
    [sym_set_comprehension] = STATE(1854),
    [sym_parenthesized_expression] = STATE(1854),
    [sym_tuple] = STATE(1854),
    [sym_generator_expression] = STATE(1854),
    [sym_concatenated_string] = STATE(1854),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4161),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4163),
    [sym_float] = ACTIONS(4163),
    [sym_identifier] = ACTIONS(4163),
    [sym_true] = ACTIONS(4163),
    [sym_false] = ACTIONS(4163),
    [sym_none] = ACTIONS(4163),
    [sym_comment] = ACTIONS(69),
  },
  [1727] = {
    [sym__primary_expression] = STATE(1855),
    [sym_binary_operator] = STATE(1855),
    [sym_unary_operator] = STATE(1855),
    [sym_attribute] = STATE(1855),
    [sym_subscript] = STATE(1855),
    [sym_call] = STATE(1855),
    [sym_list] = STATE(1855),
    [sym_list_comprehension] = STATE(1855),
    [sym_dictionary] = STATE(1855),
    [sym_dictionary_comprehension] = STATE(1855),
    [sym_set] = STATE(1855),
    [sym_set_comprehension] = STATE(1855),
    [sym_parenthesized_expression] = STATE(1855),
    [sym_tuple] = STATE(1855),
    [sym_generator_expression] = STATE(1855),
    [sym_concatenated_string] = STATE(1855),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4165),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4167),
    [sym_float] = ACTIONS(4167),
    [sym_identifier] = ACTIONS(4167),
    [sym_true] = ACTIONS(4167),
    [sym_false] = ACTIONS(4167),
    [sym_none] = ACTIONS(4167),
    [sym_comment] = ACTIONS(69),
  },
  [1728] = {
    [sym__primary_expression] = STATE(1856),
    [sym_binary_operator] = STATE(1856),
    [sym_unary_operator] = STATE(1856),
    [sym_attribute] = STATE(1856),
    [sym_subscript] = STATE(1856),
    [sym_call] = STATE(1856),
    [sym_list] = STATE(1856),
    [sym_list_comprehension] = STATE(1856),
    [sym_dictionary] = STATE(1856),
    [sym_dictionary_comprehension] = STATE(1856),
    [sym_set] = STATE(1856),
    [sym_set_comprehension] = STATE(1856),
    [sym_parenthesized_expression] = STATE(1856),
    [sym_tuple] = STATE(1856),
    [sym_generator_expression] = STATE(1856),
    [sym_concatenated_string] = STATE(1856),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4171),
    [sym_float] = ACTIONS(4171),
    [sym_identifier] = ACTIONS(4171),
    [sym_true] = ACTIONS(4171),
    [sym_false] = ACTIONS(4171),
    [sym_none] = ACTIONS(4171),
    [sym_comment] = ACTIONS(69),
  },
  [1729] = {
    [anon_sym_in] = ACTIONS(4173),
    [sym_comment] = ACTIONS(69),
  },
  [1730] = {
    [sym__primary_expression] = STATE(1858),
    [sym_binary_operator] = STATE(1858),
    [sym_unary_operator] = STATE(1858),
    [sym_attribute] = STATE(1858),
    [sym_subscript] = STATE(1858),
    [sym_call] = STATE(1858),
    [sym_list] = STATE(1858),
    [sym_list_comprehension] = STATE(1858),
    [sym_dictionary] = STATE(1858),
    [sym_dictionary_comprehension] = STATE(1858),
    [sym_set] = STATE(1858),
    [sym_set_comprehension] = STATE(1858),
    [sym_parenthesized_expression] = STATE(1858),
    [sym_tuple] = STATE(1858),
    [sym_generator_expression] = STATE(1858),
    [sym_concatenated_string] = STATE(1858),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4175),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4177),
    [sym_float] = ACTIONS(4177),
    [sym_identifier] = ACTIONS(4177),
    [sym_true] = ACTIONS(4177),
    [sym_false] = ACTIONS(4177),
    [sym_none] = ACTIONS(4177),
    [sym_comment] = ACTIONS(69),
  },
  [1731] = {
    [sym__primary_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_attribute] = STATE(621),
    [sym_subscript] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_none] = ACTIONS(1232),
    [sym_comment] = ACTIONS(69),
  },
  [1732] = {
    [sym__primary_expression] = STATE(1859),
    [sym_binary_operator] = STATE(1859),
    [sym_unary_operator] = STATE(1859),
    [sym_attribute] = STATE(1859),
    [sym_subscript] = STATE(1859),
    [sym_call] = STATE(1859),
    [sym_list] = STATE(1859),
    [sym_list_comprehension] = STATE(1859),
    [sym_dictionary] = STATE(1859),
    [sym_dictionary_comprehension] = STATE(1859),
    [sym_set] = STATE(1859),
    [sym_set_comprehension] = STATE(1859),
    [sym_parenthesized_expression] = STATE(1859),
    [sym_tuple] = STATE(1859),
    [sym_generator_expression] = STATE(1859),
    [sym_concatenated_string] = STATE(1859),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4179),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4181),
    [sym_float] = ACTIONS(4181),
    [sym_identifier] = ACTIONS(4181),
    [sym_true] = ACTIONS(4181),
    [sym_false] = ACTIONS(4181),
    [sym_none] = ACTIONS(4181),
    [sym_comment] = ACTIONS(69),
  },
  [1733] = {
    [sym__primary_expression] = STATE(1860),
    [sym_binary_operator] = STATE(1860),
    [sym_unary_operator] = STATE(1860),
    [sym_attribute] = STATE(1860),
    [sym_subscript] = STATE(1860),
    [sym_call] = STATE(1860),
    [sym_list] = STATE(1860),
    [sym_list_comprehension] = STATE(1860),
    [sym_dictionary] = STATE(1860),
    [sym_dictionary_comprehension] = STATE(1860),
    [sym_set] = STATE(1860),
    [sym_set_comprehension] = STATE(1860),
    [sym_parenthesized_expression] = STATE(1860),
    [sym_tuple] = STATE(1860),
    [sym_generator_expression] = STATE(1860),
    [sym_concatenated_string] = STATE(1860),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4183),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4185),
    [sym_float] = ACTIONS(4185),
    [sym_identifier] = ACTIONS(4185),
    [sym_true] = ACTIONS(4185),
    [sym_false] = ACTIONS(4185),
    [sym_none] = ACTIONS(4185),
    [sym_comment] = ACTIONS(69),
  },
  [1734] = {
    [sym__primary_expression] = STATE(1861),
    [sym_binary_operator] = STATE(1861),
    [sym_unary_operator] = STATE(1861),
    [sym_attribute] = STATE(1861),
    [sym_subscript] = STATE(1861),
    [sym_call] = STATE(1861),
    [sym_list] = STATE(1861),
    [sym_list_comprehension] = STATE(1861),
    [sym_dictionary] = STATE(1861),
    [sym_dictionary_comprehension] = STATE(1861),
    [sym_set] = STATE(1861),
    [sym_set_comprehension] = STATE(1861),
    [sym_parenthesized_expression] = STATE(1861),
    [sym_tuple] = STATE(1861),
    [sym_generator_expression] = STATE(1861),
    [sym_concatenated_string] = STATE(1861),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4189),
    [sym_float] = ACTIONS(4189),
    [sym_identifier] = ACTIONS(4189),
    [sym_true] = ACTIONS(4189),
    [sym_false] = ACTIONS(4189),
    [sym_none] = ACTIONS(4189),
    [sym_comment] = ACTIONS(69),
  },
  [1735] = {
    [sym__primary_expression] = STATE(1856),
    [sym_binary_operator] = STATE(1856),
    [sym_unary_operator] = STATE(1856),
    [sym_attribute] = STATE(1856),
    [sym_subscript] = STATE(1856),
    [sym_call] = STATE(1856),
    [sym_list] = STATE(1856),
    [sym_list_comprehension] = STATE(1856),
    [sym_dictionary] = STATE(1856),
    [sym_dictionary_comprehension] = STATE(1856),
    [sym_set] = STATE(1856),
    [sym_set_comprehension] = STATE(1856),
    [sym_parenthesized_expression] = STATE(1856),
    [sym_tuple] = STATE(1856),
    [sym_generator_expression] = STATE(1856),
    [sym_concatenated_string] = STATE(1856),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(4191),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4171),
    [sym_float] = ACTIONS(4171),
    [sym_identifier] = ACTIONS(4171),
    [sym_true] = ACTIONS(4171),
    [sym_false] = ACTIONS(4171),
    [sym_none] = ACTIONS(4171),
    [sym_comment] = ACTIONS(69),
  },
  [1736] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1862),
    [anon_sym_RPAREN] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_in] = ACTIONS(3867),
    [anon_sym_EQ] = ACTIONS(997),
    [anon_sym_not] = ACTIONS(3871),
    [anon_sym_and] = ACTIONS(995),
    [anon_sym_or] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(3883),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_EQ_EQ] = ACTIONS(3867),
    [anon_sym_BANG_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3867),
    [anon_sym_GT] = ACTIONS(3883),
    [anon_sym_LT_GT] = ACTIONS(3867),
    [anon_sym_is] = ACTIONS(3885),
    [sym_comment] = ACTIONS(69),
  },
  [1737] = {
    [sym__expression] = STATE(1863),
    [sym__primary_expression] = STATE(215),
    [sym_not_operator] = STATE(1863),
    [sym_boolean_operator] = STATE(1863),
    [sym_binary_operator] = STATE(215),
    [sym_unary_operator] = STATE(215),
    [sym_comparison_operator] = STATE(1863),
    [sym_lambda] = STATE(1863),
    [sym_attribute] = STATE(215),
    [sym_subscript] = STATE(215),
    [sym_call] = STATE(215),
    [sym_list] = STATE(215),
    [sym_list_comprehension] = STATE(215),
    [sym_dictionary] = STATE(215),
    [sym_dictionary_comprehension] = STATE(215),
    [sym_set] = STATE(215),
    [sym_set_comprehension] = STATE(215),
    [sym_parenthesized_expression] = STATE(215),
    [sym_tuple] = STATE(215),
    [sym_generator_expression] = STATE(215),
    [sym_conditional_expression] = STATE(1863),
    [sym_concatenated_string] = STATE(215),
    [sym_await] = STATE(1863),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(383),
    [anon_sym_lambda] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(387),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(389),
    [sym_integer] = ACTIONS(391),
    [sym_float] = ACTIONS(391),
    [sym_identifier] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(393),
    [sym_comment] = ACTIONS(69),
  },
  [1738] = {
    [ts_builtin_sym_end] = ACTIONS(4193),
    [anon_sym_import] = ACTIONS(4195),
    [anon_sym_from] = ACTIONS(4195),
    [anon_sym_LPAREN] = ACTIONS(4193),
    [anon_sym_print] = ACTIONS(4195),
    [anon_sym_assert] = ACTIONS(4195),
    [anon_sym_return] = ACTIONS(4195),
    [anon_sym_del] = ACTIONS(4195),
    [anon_sym_raise] = ACTIONS(4195),
    [sym_pass_statement] = ACTIONS(4195),
    [sym_break_statement] = ACTIONS(4195),
    [sym_continue_statement] = ACTIONS(4195),
    [anon_sym_if] = ACTIONS(4195),
    [anon_sym_async] = ACTIONS(4195),
    [anon_sym_for] = ACTIONS(4195),
    [anon_sym_while] = ACTIONS(4195),
    [anon_sym_try] = ACTIONS(4195),
    [anon_sym_with] = ACTIONS(4195),
    [anon_sym_def] = ACTIONS(4195),
    [anon_sym_global] = ACTIONS(4195),
    [anon_sym_nonlocal] = ACTIONS(4195),
    [anon_sym_exec] = ACTIONS(4195),
    [anon_sym_class] = ACTIONS(4195),
    [anon_sym_AT] = ACTIONS(4193),
    [anon_sym_not] = ACTIONS(4195),
    [anon_sym_PLUS] = ACTIONS(4193),
    [anon_sym_DASH] = ACTIONS(4193),
    [anon_sym_TILDE] = ACTIONS(4193),
    [anon_sym_lambda] = ACTIONS(4195),
    [anon_sym_yield] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_ellipsis] = ACTIONS(4193),
    [anon_sym_LBRACE] = ACTIONS(4193),
    [sym_string] = ACTIONS(4193),
    [sym_integer] = ACTIONS(4195),
    [sym_float] = ACTIONS(4195),
    [sym_identifier] = ACTIONS(4195),
    [sym_true] = ACTIONS(4195),
    [sym_false] = ACTIONS(4195),
    [sym_none] = ACTIONS(4195),
    [anon_sym_await] = ACTIONS(4195),
    [sym_comment] = ACTIONS(69),
  },
  [1739] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_COLON] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(1591),
    [anon_sym_or] = ACTIONS(1593),
    [sym_comment] = ACTIONS(69),
  },
  [1740] = {
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(2560),
    [anon_sym_or] = ACTIONS(2562),
    [sym_comment] = ACTIONS(69),
  },
  [1741] = {
    [sym__expression] = STATE(1864),
    [sym__primary_expression] = STATE(830),
    [sym_not_operator] = STATE(1864),
    [sym_boolean_operator] = STATE(1864),
    [sym_binary_operator] = STATE(830),
    [sym_unary_operator] = STATE(830),
    [sym_comparison_operator] = STATE(1864),
    [sym_lambda] = STATE(1864),
    [sym_attribute] = STATE(830),
    [sym_subscript] = STATE(830),
    [sym_call] = STATE(830),
    [sym_list] = STATE(830),
    [sym_list_comprehension] = STATE(830),
    [sym_dictionary] = STATE(830),
    [sym_dictionary_comprehension] = STATE(830),
    [sym_set] = STATE(830),
    [sym_set_comprehension] = STATE(830),
    [sym_parenthesized_expression] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_generator_expression] = STATE(830),
    [sym_conditional_expression] = STATE(1864),
    [sym_concatenated_string] = STATE(830),
    [sym_await] = STATE(1864),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_TILDE] = ACTIONS(1627),
    [anon_sym_lambda] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1635),
    [sym_float] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1635),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [anon_sym_await] = ACTIONS(1637),
    [sym_comment] = ACTIONS(69),
  },
  [1742] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_GT_GT] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_EQ] = ACTIONS(2952),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_LT_LT] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1743] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_COLON] = ACTIONS(2639),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(2603),
    [anon_sym_or] = ACTIONS(2605),
    [sym_comment] = ACTIONS(69),
  },
  [1744] = {
    [sym__expression] = STATE(1865),
    [sym__primary_expression] = STATE(841),
    [sym_not_operator] = STATE(1865),
    [sym_boolean_operator] = STATE(1865),
    [sym_binary_operator] = STATE(841),
    [sym_unary_operator] = STATE(841),
    [sym_comparison_operator] = STATE(1865),
    [sym_lambda] = STATE(1865),
    [sym_attribute] = STATE(841),
    [sym_subscript] = STATE(841),
    [sym_call] = STATE(841),
    [sym_list] = STATE(841),
    [sym_list_comprehension] = STATE(841),
    [sym_dictionary] = STATE(841),
    [sym_dictionary_comprehension] = STATE(841),
    [sym_set] = STATE(841),
    [sym_set_comprehension] = STATE(841),
    [sym_parenthesized_expression] = STATE(841),
    [sym_tuple] = STATE(841),
    [sym_generator_expression] = STATE(841),
    [sym_conditional_expression] = STATE(1865),
    [sym_concatenated_string] = STATE(841),
    [sym_await] = STATE(1865),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_lambda] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1653),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1655),
    [sym_identifier] = ACTIONS(1655),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [sym_none] = ACTIONS(1655),
    [anon_sym_await] = ACTIONS(1657),
    [sym_comment] = ACTIONS(69),
  },
  [1745] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2607),
    [anon_sym_GT_GT] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_COLON] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_EQ] = ACTIONS(2952),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2607),
    [anon_sym_PERCENT] = ACTIONS(2613),
    [anon_sym_SLASH_SLASH] = ACTIONS(2613),
    [anon_sym_STAR_STAR] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1746] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
  },
  [1747] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1867),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_if] = ACTIONS(4049),
    [anon_sym_async] = ACTIONS(4049),
    [anon_sym_for] = ACTIONS(4049),
    [anon_sym_RBRACK] = ACTIONS(4049),
    [sym_comment] = ACTIONS(69),
  },
  [1748] = {
    [sym__expression_within_for_in_clause] = STATE(1796),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1562),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1749] = {
    [anon_sym_COLON] = ACTIONS(4199),
    [sym_comment] = ACTIONS(69),
  },
  [1750] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1562),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4055),
    [anon_sym_async] = ACTIONS(4055),
    [anon_sym_for] = ACTIONS(4055),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(4049),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1751] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1869),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_if] = ACTIONS(4049),
    [anon_sym_async] = ACTIONS(4049),
    [anon_sym_for] = ACTIONS(4049),
    [anon_sym_RBRACK] = ACTIONS(4049),
    [sym_comment] = ACTIONS(69),
  },
  [1752] = {
    [anon_sym_if] = ACTIONS(4201),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(3432),
    [anon_sym_or] = ACTIONS(3434),
    [anon_sym_RBRACK] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
  },
  [1753] = {
    [sym__expression] = STATE(1870),
    [sym__primary_expression] = STATE(1274),
    [sym_not_operator] = STATE(1870),
    [sym_boolean_operator] = STATE(1870),
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_comparison_operator] = STATE(1870),
    [sym_lambda] = STATE(1870),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_list] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_conditional_expression] = STATE(1870),
    [sym_concatenated_string] = STATE(1274),
    [sym_await] = STATE(1870),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_lambda] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(2709),
    [sym_float] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(69),
  },
  [1754] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1754),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(4203),
    [sym_comment] = ACTIONS(69),
  },
  [1755] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(4206),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1756] = {
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(3432),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACK] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1757] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1758] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3436),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3442),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_SLASH] = ACTIONS(3436),
    [anon_sym_PERCENT] = ACTIONS(3442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3442),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1759] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3436),
    [anon_sym_GT_GT] = ACTIONS(3438),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(3442),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_SLASH] = ACTIONS(3436),
    [anon_sym_PERCENT] = ACTIONS(3442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3442),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(3450),
    [anon_sym_AMP] = ACTIONS(3452),
    [anon_sym_CARET] = ACTIONS(3454),
    [anon_sym_LT_LT] = ACTIONS(3438),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1760] = {
    [sym__primary_expression] = STATE(1872),
    [sym_binary_operator] = STATE(1872),
    [sym_unary_operator] = STATE(1872),
    [sym_attribute] = STATE(1872),
    [sym_subscript] = STATE(1872),
    [sym_call] = STATE(1872),
    [sym_list] = STATE(1872),
    [sym_list_comprehension] = STATE(1872),
    [sym_dictionary] = STATE(1872),
    [sym_dictionary_comprehension] = STATE(1872),
    [sym_set] = STATE(1872),
    [sym_set_comprehension] = STATE(1872),
    [sym_parenthesized_expression] = STATE(1872),
    [sym_tuple] = STATE(1872),
    [sym_generator_expression] = STATE(1872),
    [sym_concatenated_string] = STATE(1872),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4208),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(4210),
    [sym_float] = ACTIONS(4210),
    [sym_identifier] = ACTIONS(4210),
    [sym_true] = ACTIONS(4210),
    [sym_false] = ACTIONS(4210),
    [sym_none] = ACTIONS(4210),
    [sym_comment] = ACTIONS(69),
  },
  [1761] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3436),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3442),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(3436),
    [anon_sym_PERCENT] = ACTIONS(3442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3442),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1762] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3436),
    [anon_sym_GT_GT] = ACTIONS(3438),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3442),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_SLASH] = ACTIONS(3436),
    [anon_sym_PERCENT] = ACTIONS(3442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3442),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(3452),
    [anon_sym_CARET] = ACTIONS(3454),
    [anon_sym_LT_LT] = ACTIONS(3438),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1763] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3436),
    [anon_sym_GT_GT] = ACTIONS(3438),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3442),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_SLASH] = ACTIONS(3436),
    [anon_sym_PERCENT] = ACTIONS(3442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3442),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(3454),
    [anon_sym_LT_LT] = ACTIONS(3438),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1764] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3436),
    [anon_sym_GT_GT] = ACTIONS(3438),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3442),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_SLASH] = ACTIONS(3436),
    [anon_sym_PERCENT] = ACTIONS(3442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3442),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(3438),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1765] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1765),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(4212),
    [anon_sym_not] = ACTIONS(4215),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(4218),
    [anon_sym_LT_EQ] = ACTIONS(4212),
    [anon_sym_EQ_EQ] = ACTIONS(4212),
    [anon_sym_BANG_EQ] = ACTIONS(4212),
    [anon_sym_GT_EQ] = ACTIONS(4212),
    [anon_sym_GT] = ACTIONS(4218),
    [anon_sym_LT_GT] = ACTIONS(4212),
    [anon_sym_is] = ACTIONS(4221),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1766] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
  },
  [1767] = {
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(2800),
    [anon_sym_or] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
  },
  [1768] = {
    [sym__expression] = STATE(1873),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1873),
    [sym_boolean_operator] = STATE(1873),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1873),
    [sym_lambda] = STATE(1873),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1873),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1873),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1769] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_GT_GT] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_PERCENT] = ACTIONS(2810),
    [anon_sym_SLASH_SLASH] = ACTIONS(2810),
    [anon_sym_STAR_STAR] = ACTIONS(2816),
    [anon_sym_PIPE] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_LT_LT] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(69),
  },
  [1770] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1875),
    [anon_sym_COMMA] = ACTIONS(4224),
    [anon_sym_if] = ACTIONS(4049),
    [anon_sym_async] = ACTIONS(4049),
    [anon_sym_for] = ACTIONS(4049),
    [anon_sym_RBRACE] = ACTIONS(4049),
    [sym_comment] = ACTIONS(69),
  },
  [1771] = {
    [sym__expression_within_for_in_clause] = STATE(1796),
    [sym__expression] = STATE(1603),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1603),
    [sym_boolean_operator] = STATE(1603),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1603),
    [sym_lambda] = STATE(1603),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1603),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1603),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1772] = {
    [anon_sym_COLON] = ACTIONS(4226),
    [sym_comment] = ACTIONS(69),
  },
  [1773] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1603),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1603),
    [sym_boolean_operator] = STATE(1603),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1603),
    [sym_lambda] = STATE(1603),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1603),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1603),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4055),
    [anon_sym_async] = ACTIONS(4055),
    [anon_sym_for] = ACTIONS(4055),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(4049),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1774] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1877),
    [anon_sym_COMMA] = ACTIONS(4224),
    [anon_sym_if] = ACTIONS(4049),
    [anon_sym_async] = ACTIONS(4049),
    [anon_sym_for] = ACTIONS(4049),
    [anon_sym_RBRACE] = ACTIONS(4049),
    [sym_comment] = ACTIONS(69),
  },
  [1775] = {
    [anon_sym_if] = ACTIONS(4228),
    [anon_sym_async] = ACTIONS(1641),
    [anon_sym_for] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(1641),
    [sym_comment] = ACTIONS(69),
  },
  [1776] = {
    [sym__expression] = STATE(1878),
    [sym__primary_expression] = STATE(1324),
    [sym_not_operator] = STATE(1878),
    [sym_boolean_operator] = STATE(1878),
    [sym_binary_operator] = STATE(1324),
    [sym_unary_operator] = STATE(1324),
    [sym_comparison_operator] = STATE(1878),
    [sym_lambda] = STATE(1878),
    [sym_attribute] = STATE(1324),
    [sym_subscript] = STATE(1324),
    [sym_call] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_list_comprehension] = STATE(1324),
    [sym_dictionary] = STATE(1324),
    [sym_dictionary_comprehension] = STATE(1324),
    [sym_set] = STATE(1324),
    [sym_set_comprehension] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_tuple] = STATE(1324),
    [sym_generator_expression] = STATE(1324),
    [sym_conditional_expression] = STATE(1878),
    [sym_concatenated_string] = STATE(1324),
    [sym_await] = STATE(1878),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_lambda] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(2844),
    [sym_float] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_none] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [sym_comment] = ACTIONS(69),
  },
  [1777] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1777),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [sym_string] = ACTIONS(4230),
    [sym_comment] = ACTIONS(69),
  },
  [1778] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(4233),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1779] = {
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_async] = ACTIONS(1950),
    [anon_sym_for] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1780] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1781] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3552),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1782] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_GT_GT] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3552),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(3560),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym_CARET] = ACTIONS(3564),
    [anon_sym_LT_LT] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1783] = {
    [sym__primary_expression] = STATE(1880),
    [sym_binary_operator] = STATE(1880),
    [sym_unary_operator] = STATE(1880),
    [sym_attribute] = STATE(1880),
    [sym_subscript] = STATE(1880),
    [sym_call] = STATE(1880),
    [sym_list] = STATE(1880),
    [sym_list_comprehension] = STATE(1880),
    [sym_dictionary] = STATE(1880),
    [sym_dictionary_comprehension] = STATE(1880),
    [sym_set] = STATE(1880),
    [sym_set_comprehension] = STATE(1880),
    [sym_parenthesized_expression] = STATE(1880),
    [sym_tuple] = STATE(1880),
    [sym_generator_expression] = STATE(1880),
    [sym_concatenated_string] = STATE(1880),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4235),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(4237),
    [sym_float] = ACTIONS(4237),
    [sym_identifier] = ACTIONS(4237),
    [sym_true] = ACTIONS(4237),
    [sym_false] = ACTIONS(4237),
    [sym_none] = ACTIONS(4237),
    [sym_comment] = ACTIONS(69),
  },
  [1784] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3552),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1785] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_GT_GT] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3552),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym_CARET] = ACTIONS(3564),
    [anon_sym_LT_LT] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1786] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_GT_GT] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3552),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(3564),
    [anon_sym_LT_LT] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1787] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_GT_GT] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3552),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1788] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1788),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(4239),
    [anon_sym_not] = ACTIONS(4242),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(4245),
    [anon_sym_LT_EQ] = ACTIONS(4239),
    [anon_sym_EQ_EQ] = ACTIONS(4239),
    [anon_sym_BANG_EQ] = ACTIONS(4239),
    [anon_sym_GT_EQ] = ACTIONS(4239),
    [anon_sym_GT] = ACTIONS(4245),
    [anon_sym_LT_GT] = ACTIONS(4239),
    [anon_sym_is] = ACTIONS(4248),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [sym_comment] = ACTIONS(69),
  },
  [1789] = {
    [sym__newline] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(1874),
    [anon_sym_or] = ACTIONS(1876),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(3607),
  },
  [1790] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1791] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(2003),
    [anon_sym_or] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
  },
  [1792] = {
    [anon_sym_COMMA] = ACTIONS(4251),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_RBRACK] = ACTIONS(4251),
    [sym_comment] = ACTIONS(69),
  },
  [1793] = {
    [sym_aliased_import] = STATE(1638),
    [sym_dotted_name] = STATE(1639),
    [sym_identifier] = ACTIONS(2062),
    [sym_comment] = ACTIONS(69),
  },
  [1794] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(4253),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4255),
    [anon_sym_async] = ACTIONS(4255),
    [anon_sym_for] = ACTIONS(4255),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1795] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1799),
    [anon_sym_RPAREN] = ACTIONS(4253),
    [anon_sym_COMMA] = ACTIONS(4257),
    [anon_sym_if] = ACTIONS(4253),
    [anon_sym_async] = ACTIONS(4253),
    [anon_sym_for] = ACTIONS(4253),
    [sym_comment] = ACTIONS(69),
  },
  [1796] = {
    [anon_sym_RPAREN] = ACTIONS(4259),
    [anon_sym_COMMA] = ACTIONS(4259),
    [anon_sym_if] = ACTIONS(4259),
    [anon_sym_async] = ACTIONS(4259),
    [anon_sym_for] = ACTIONS(4259),
    [anon_sym_RBRACK] = ACTIONS(4259),
    [anon_sym_RBRACE] = ACTIONS(4259),
    [sym_comment] = ACTIONS(69),
  },
  [1797] = {
    [sym__expression_within_for_in_clause] = STATE(1882),
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1798] = {
    [anon_sym_RPAREN] = ACTIONS(4261),
    [anon_sym_COMMA] = ACTIONS(4261),
    [anon_sym_if] = ACTIONS(4261),
    [anon_sym_async] = ACTIONS(4261),
    [anon_sym_for] = ACTIONS(4261),
    [anon_sym_RBRACK] = ACTIONS(4261),
    [anon_sym_RBRACE] = ACTIONS(4261),
    [sym_comment] = ACTIONS(69),
  },
  [1799] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1799),
    [anon_sym_RPAREN] = ACTIONS(4261),
    [anon_sym_COMMA] = ACTIONS(4263),
    [anon_sym_if] = ACTIONS(4261),
    [anon_sym_async] = ACTIONS(4261),
    [anon_sym_for] = ACTIONS(4261),
    [sym_comment] = ACTIONS(69),
  },
  [1800] = {
    [anon_sym_RPAREN] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(4057),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3052),
    [sym_comment] = ACTIONS(69),
  },
  [1801] = {
    [sym__expression] = STATE(1884),
    [sym__primary_expression] = STATE(1064),
    [sym_not_operator] = STATE(1884),
    [sym_boolean_operator] = STATE(1884),
    [sym_binary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_comparison_operator] = STATE(1884),
    [sym_lambda] = STATE(1884),
    [sym_attribute] = STATE(1064),
    [sym_subscript] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym_list] = STATE(1064),
    [sym_list_comprehension] = STATE(1064),
    [sym_dictionary] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(1064),
    [sym_set] = STATE(1064),
    [sym_set_comprehension] = STATE(1064),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_generator_expression] = STATE(1064),
    [sym_conditional_expression] = STATE(1884),
    [sym_concatenated_string] = STATE(1064),
    [sym_await] = STATE(1884),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2151),
    [anon_sym_DASH] = ACTIONS(2151),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_lambda] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [sym_false] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [sym_comment] = ACTIONS(69),
  },
  [1802] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_GT_GT] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3066),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3070),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1803] = {
    [ts_builtin_sym_end] = ACTIONS(4266),
    [anon_sym_import] = ACTIONS(4268),
    [anon_sym_from] = ACTIONS(4268),
    [anon_sym_LPAREN] = ACTIONS(4266),
    [anon_sym_print] = ACTIONS(4268),
    [anon_sym_assert] = ACTIONS(4268),
    [anon_sym_return] = ACTIONS(4268),
    [anon_sym_del] = ACTIONS(4268),
    [anon_sym_raise] = ACTIONS(4268),
    [sym_pass_statement] = ACTIONS(4268),
    [sym_break_statement] = ACTIONS(4268),
    [sym_continue_statement] = ACTIONS(4268),
    [anon_sym_if] = ACTIONS(4268),
    [anon_sym_elif] = ACTIONS(4268),
    [anon_sym_else] = ACTIONS(4268),
    [anon_sym_async] = ACTIONS(4268),
    [anon_sym_for] = ACTIONS(4268),
    [anon_sym_while] = ACTIONS(4268),
    [anon_sym_try] = ACTIONS(4268),
    [anon_sym_with] = ACTIONS(4268),
    [anon_sym_def] = ACTIONS(4268),
    [anon_sym_global] = ACTIONS(4268),
    [anon_sym_nonlocal] = ACTIONS(4268),
    [anon_sym_exec] = ACTIONS(4268),
    [anon_sym_class] = ACTIONS(4268),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_not] = ACTIONS(4268),
    [anon_sym_PLUS] = ACTIONS(4266),
    [anon_sym_DASH] = ACTIONS(4266),
    [anon_sym_TILDE] = ACTIONS(4266),
    [anon_sym_lambda] = ACTIONS(4268),
    [anon_sym_yield] = ACTIONS(4268),
    [anon_sym_LBRACK] = ACTIONS(4266),
    [sym_ellipsis] = ACTIONS(4266),
    [anon_sym_LBRACE] = ACTIONS(4266),
    [sym_string] = ACTIONS(4266),
    [sym_integer] = ACTIONS(4268),
    [sym_float] = ACTIONS(4268),
    [sym_identifier] = ACTIONS(4268),
    [sym_true] = ACTIONS(4268),
    [sym_false] = ACTIONS(4268),
    [sym_none] = ACTIONS(4268),
    [anon_sym_await] = ACTIONS(4268),
    [sym_comment] = ACTIONS(69),
  },
  [1804] = {
    [ts_builtin_sym_end] = ACTIONS(4270),
    [anon_sym_import] = ACTIONS(4272),
    [anon_sym_from] = ACTIONS(4272),
    [anon_sym_LPAREN] = ACTIONS(4270),
    [anon_sym_print] = ACTIONS(4272),
    [anon_sym_assert] = ACTIONS(4272),
    [anon_sym_return] = ACTIONS(4272),
    [anon_sym_del] = ACTIONS(4272),
    [anon_sym_raise] = ACTIONS(4272),
    [sym_pass_statement] = ACTIONS(4272),
    [sym_break_statement] = ACTIONS(4272),
    [sym_continue_statement] = ACTIONS(4272),
    [anon_sym_if] = ACTIONS(4272),
    [anon_sym_async] = ACTIONS(4272),
    [anon_sym_for] = ACTIONS(4272),
    [anon_sym_while] = ACTIONS(4272),
    [anon_sym_try] = ACTIONS(4272),
    [anon_sym_with] = ACTIONS(4272),
    [anon_sym_def] = ACTIONS(4272),
    [anon_sym_global] = ACTIONS(4272),
    [anon_sym_nonlocal] = ACTIONS(4272),
    [anon_sym_exec] = ACTIONS(4272),
    [anon_sym_class] = ACTIONS(4272),
    [anon_sym_AT] = ACTIONS(4270),
    [anon_sym_not] = ACTIONS(4272),
    [anon_sym_PLUS] = ACTIONS(4270),
    [anon_sym_DASH] = ACTIONS(4270),
    [anon_sym_TILDE] = ACTIONS(4270),
    [anon_sym_lambda] = ACTIONS(4272),
    [anon_sym_yield] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4270),
    [sym_ellipsis] = ACTIONS(4270),
    [anon_sym_LBRACE] = ACTIONS(4270),
    [sym_string] = ACTIONS(4270),
    [sym_integer] = ACTIONS(4272),
    [sym_float] = ACTIONS(4272),
    [sym_identifier] = ACTIONS(4272),
    [sym_true] = ACTIONS(4272),
    [sym_false] = ACTIONS(4272),
    [sym_none] = ACTIONS(4272),
    [anon_sym_await] = ACTIONS(4272),
    [sym_comment] = ACTIONS(69),
  },
  [1805] = {
    [ts_builtin_sym_end] = ACTIONS(4274),
    [anon_sym_import] = ACTIONS(4276),
    [anon_sym_from] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4274),
    [anon_sym_print] = ACTIONS(4276),
    [anon_sym_assert] = ACTIONS(4276),
    [anon_sym_return] = ACTIONS(4276),
    [anon_sym_del] = ACTIONS(4276),
    [anon_sym_raise] = ACTIONS(4276),
    [sym_pass_statement] = ACTIONS(4276),
    [sym_break_statement] = ACTIONS(4276),
    [sym_continue_statement] = ACTIONS(4276),
    [anon_sym_if] = ACTIONS(4276),
    [anon_sym_async] = ACTIONS(4276),
    [anon_sym_for] = ACTIONS(4276),
    [anon_sym_while] = ACTIONS(4276),
    [anon_sym_try] = ACTIONS(4276),
    [anon_sym_with] = ACTIONS(4276),
    [anon_sym_def] = ACTIONS(4276),
    [anon_sym_global] = ACTIONS(4276),
    [anon_sym_nonlocal] = ACTIONS(4276),
    [anon_sym_exec] = ACTIONS(4276),
    [anon_sym_class] = ACTIONS(4276),
    [anon_sym_AT] = ACTIONS(4274),
    [anon_sym_not] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4274),
    [anon_sym_DASH] = ACTIONS(4274),
    [anon_sym_TILDE] = ACTIONS(4274),
    [anon_sym_lambda] = ACTIONS(4276),
    [anon_sym_yield] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [sym_ellipsis] = ACTIONS(4274),
    [anon_sym_LBRACE] = ACTIONS(4274),
    [sym_string] = ACTIONS(4274),
    [sym_integer] = ACTIONS(4276),
    [sym_float] = ACTIONS(4276),
    [sym_identifier] = ACTIONS(4276),
    [sym_true] = ACTIONS(4276),
    [sym_false] = ACTIONS(4276),
    [sym_none] = ACTIONS(4276),
    [anon_sym_await] = ACTIONS(4276),
    [sym_comment] = ACTIONS(69),
  },
  [1806] = {
    [sym__dedent] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_elif] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1807] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4278),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1808] = {
    [sym__dedent] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_elif] = ACTIONS(575),
    [anon_sym_else] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [1809] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4280),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1810] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(4280),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4282),
  },
  [1811] = {
    [sym__expression] = STATE(1888),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1888),
    [sym_boolean_operator] = STATE(1888),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1888),
    [sym_lambda] = STATE(1888),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1888),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1888),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1812] = {
    [anon_sym_COLON] = ACTIONS(4284),
    [sym_comment] = ACTIONS(69),
  },
  [1813] = {
    [sym__dedent] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_from] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_print] = ACTIONS(3148),
    [anon_sym_assert] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_del] = ACTIONS(3148),
    [anon_sym_raise] = ACTIONS(3148),
    [sym_pass_statement] = ACTIONS(3148),
    [sym_break_statement] = ACTIONS(3148),
    [sym_continue_statement] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_def] = ACTIONS(3148),
    [anon_sym_global] = ACTIONS(3148),
    [anon_sym_nonlocal] = ACTIONS(3148),
    [anon_sym_exec] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_lambda] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [sym_ellipsis] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [sym_string] = ACTIONS(3146),
    [sym_integer] = ACTIONS(3148),
    [sym_float] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_none] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [sym_comment] = ACTIONS(69),
  },
  [1814] = {
    [sym_elif_clause] = STATE(1891),
    [sym_else_clause] = STATE(1890),
    [aux_sym_if_statement_repeat1] = STATE(1891),
    [sym__dedent] = ACTIONS(3146),
    [anon_sym_import] = ACTIONS(3148),
    [anon_sym_from] = ACTIONS(3148),
    [anon_sym_LPAREN] = ACTIONS(3146),
    [anon_sym_print] = ACTIONS(3148),
    [anon_sym_assert] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_del] = ACTIONS(3148),
    [anon_sym_raise] = ACTIONS(3148),
    [sym_pass_statement] = ACTIONS(3148),
    [sym_break_statement] = ACTIONS(3148),
    [sym_continue_statement] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_elif] = ACTIONS(4094),
    [anon_sym_else] = ACTIONS(4096),
    [anon_sym_async] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_with] = ACTIONS(3148),
    [anon_sym_def] = ACTIONS(3148),
    [anon_sym_global] = ACTIONS(3148),
    [anon_sym_nonlocal] = ACTIONS(3148),
    [anon_sym_exec] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_lambda] = ACTIONS(3148),
    [anon_sym_yield] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [sym_ellipsis] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [sym_string] = ACTIONS(3146),
    [sym_integer] = ACTIONS(3148),
    [sym_float] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3148),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [sym_none] = ACTIONS(3148),
    [anon_sym_await] = ACTIONS(3148),
    [sym_comment] = ACTIONS(69),
  },
  [1815] = {
    [anon_sym_COLON] = ACTIONS(4286),
    [sym_comment] = ACTIONS(69),
  },
  [1816] = {
    [sym__dedent] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3154),
    [anon_sym_from] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_print] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_del] = ACTIONS(3154),
    [anon_sym_raise] = ACTIONS(3154),
    [sym_pass_statement] = ACTIONS(3154),
    [sym_break_statement] = ACTIONS(3154),
    [sym_continue_statement] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_async] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_with] = ACTIONS(3154),
    [anon_sym_def] = ACTIONS(3154),
    [anon_sym_global] = ACTIONS(3154),
    [anon_sym_nonlocal] = ACTIONS(3154),
    [anon_sym_exec] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_lambda] = ACTIONS(3154),
    [anon_sym_yield] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [sym_ellipsis] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [sym_string] = ACTIONS(3152),
    [sym_integer] = ACTIONS(3154),
    [sym_float] = ACTIONS(3154),
    [sym_identifier] = ACTIONS(3154),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [sym_none] = ACTIONS(3154),
    [anon_sym_await] = ACTIONS(3154),
    [sym_comment] = ACTIONS(69),
  },
  [1817] = {
    [sym__simple_statements] = STATE(1893),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1893),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1818] = {
    [sym__simple_statements] = STATE(1894),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1894),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1819] = {
    [sym__expression] = STATE(1191),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1191),
    [sym_boolean_operator] = STATE(1191),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1191),
    [sym_lambda] = STATE(1191),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_type] = STATE(1895),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1191),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1191),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1820] = {
    [sym__simple_statements] = STATE(1896),
    [sym_import_statement] = STATE(1686),
    [sym_import_from_statement] = STATE(1686),
    [sym_print_statement] = STATE(1686),
    [sym_assert_statement] = STATE(1686),
    [sym_expression_statement] = STATE(1686),
    [sym_return_statement] = STATE(1686),
    [sym_delete_statement] = STATE(1686),
    [sym_raise_statement] = STATE(1686),
    [sym_global_statement] = STATE(1686),
    [sym_nonlocal_statement] = STATE(1686),
    [sym_exec_statement] = STATE(1686),
    [sym__suite] = STATE(1896),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3780),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(3782),
    [sym_break_statement] = ACTIONS(3782),
    [sym_continue_statement] = ACTIONS(3782),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1821] = {
    [sym__dedent] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1822] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4288),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1823] = {
    [sym__dedent] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_else] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [1824] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4290),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1825] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(4290),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4292),
  },
  [1826] = {
    [sym__dedent] = ACTIONS(3164),
    [anon_sym_import] = ACTIONS(3166),
    [anon_sym_from] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_print] = ACTIONS(3166),
    [anon_sym_assert] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_del] = ACTIONS(3166),
    [anon_sym_raise] = ACTIONS(3166),
    [sym_pass_statement] = ACTIONS(3166),
    [sym_break_statement] = ACTIONS(3166),
    [sym_continue_statement] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_async] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_with] = ACTIONS(3166),
    [anon_sym_def] = ACTIONS(3166),
    [anon_sym_global] = ACTIONS(3166),
    [anon_sym_nonlocal] = ACTIONS(3166),
    [anon_sym_exec] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_lambda] = ACTIONS(3166),
    [anon_sym_yield] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [sym_ellipsis] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [sym_string] = ACTIONS(3164),
    [sym_integer] = ACTIONS(3166),
    [sym_float] = ACTIONS(3166),
    [sym_identifier] = ACTIONS(3166),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [sym_none] = ACTIONS(3166),
    [anon_sym_await] = ACTIONS(3166),
    [sym_comment] = ACTIONS(69),
  },
  [1827] = {
    [sym__simple_statements] = STATE(1902),
    [sym_import_statement] = STATE(1901),
    [sym_import_from_statement] = STATE(1901),
    [sym_print_statement] = STATE(1901),
    [sym_assert_statement] = STATE(1901),
    [sym_expression_statement] = STATE(1901),
    [sym_return_statement] = STATE(1901),
    [sym_delete_statement] = STATE(1901),
    [sym_raise_statement] = STATE(1901),
    [sym_global_statement] = STATE(1901),
    [sym_nonlocal_statement] = STATE(1901),
    [sym_exec_statement] = STATE(1901),
    [sym__suite] = STATE(1902),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(4294),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(4296),
    [sym_break_statement] = ACTIONS(4296),
    [sym_continue_statement] = ACTIONS(4296),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1828] = {
    [anon_sym_COMMA] = ACTIONS(4298),
    [anon_sym_as] = ACTIONS(4298),
    [anon_sym_if] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(4300),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(667),
    [sym_comment] = ACTIONS(69),
  },
  [1829] = {
    [sym__simple_statements] = STATE(1905),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1905),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1830] = {
    [anon_sym_COLON] = ACTIONS(4302),
    [sym_comment] = ACTIONS(69),
  },
  [1831] = {
    [sym_finally_clause] = STATE(1907),
    [sym__dedent] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_from] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_print] = ACTIONS(3225),
    [anon_sym_assert] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_del] = ACTIONS(3225),
    [anon_sym_raise] = ACTIONS(3225),
    [sym_pass_statement] = ACTIONS(3225),
    [sym_break_statement] = ACTIONS(3225),
    [sym_continue_statement] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_finally] = ACTIONS(4120),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_def] = ACTIONS(3225),
    [anon_sym_global] = ACTIONS(3225),
    [anon_sym_nonlocal] = ACTIONS(3225),
    [anon_sym_exec] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_lambda] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [sym_ellipsis] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [sym_string] = ACTIONS(3223),
    [sym_integer] = ACTIONS(3225),
    [sym_float] = ACTIONS(3225),
    [sym_identifier] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_none] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [sym_comment] = ACTIONS(69),
  },
  [1832] = {
    [sym__dedent] = ACTIONS(3223),
    [anon_sym_import] = ACTIONS(3225),
    [anon_sym_from] = ACTIONS(3225),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_print] = ACTIONS(3225),
    [anon_sym_assert] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_del] = ACTIONS(3225),
    [anon_sym_raise] = ACTIONS(3225),
    [sym_pass_statement] = ACTIONS(3225),
    [sym_break_statement] = ACTIONS(3225),
    [sym_continue_statement] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_with] = ACTIONS(3225),
    [anon_sym_def] = ACTIONS(3225),
    [anon_sym_global] = ACTIONS(3225),
    [anon_sym_nonlocal] = ACTIONS(3225),
    [anon_sym_exec] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_AT] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_lambda] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [sym_ellipsis] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [sym_string] = ACTIONS(3223),
    [sym_integer] = ACTIONS(3225),
    [sym_float] = ACTIONS(3225),
    [sym_identifier] = ACTIONS(3225),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [sym_none] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [sym_comment] = ACTIONS(69),
  },
  [1833] = {
    [sym_except_clause] = STATE(1833),
    [aux_sym_try_statement_repeat1] = STATE(1833),
    [sym__dedent] = ACTIONS(3227),
    [anon_sym_import] = ACTIONS(3229),
    [anon_sym_from] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_print] = ACTIONS(3229),
    [anon_sym_assert] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_del] = ACTIONS(3229),
    [anon_sym_raise] = ACTIONS(3229),
    [sym_pass_statement] = ACTIONS(3229),
    [sym_break_statement] = ACTIONS(3229),
    [sym_continue_statement] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_except] = ACTIONS(4304),
    [anon_sym_finally] = ACTIONS(3229),
    [anon_sym_with] = ACTIONS(3229),
    [anon_sym_def] = ACTIONS(3229),
    [anon_sym_global] = ACTIONS(3229),
    [anon_sym_nonlocal] = ACTIONS(3229),
    [anon_sym_exec] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_AT] = ACTIONS(3227),
    [anon_sym_not] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_lambda] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [sym_ellipsis] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [sym_string] = ACTIONS(3227),
    [sym_integer] = ACTIONS(3229),
    [sym_float] = ACTIONS(3229),
    [sym_identifier] = ACTIONS(3229),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [sym_none] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [sym_comment] = ACTIONS(69),
  },
  [1834] = {
    [sym__dedent] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1835] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4307),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1836] = {
    [sym__dedent] = ACTIONS(3294),
    [anon_sym_import] = ACTIONS(3296),
    [anon_sym_from] = ACTIONS(3296),
    [anon_sym_LPAREN] = ACTIONS(3294),
    [anon_sym_print] = ACTIONS(3296),
    [anon_sym_assert] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_del] = ACTIONS(3296),
    [anon_sym_raise] = ACTIONS(3296),
    [sym_pass_statement] = ACTIONS(3296),
    [sym_break_statement] = ACTIONS(3296),
    [sym_continue_statement] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_async] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_with] = ACTIONS(3296),
    [anon_sym_def] = ACTIONS(3296),
    [anon_sym_global] = ACTIONS(3296),
    [anon_sym_nonlocal] = ACTIONS(3296),
    [anon_sym_exec] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_lambda] = ACTIONS(3296),
    [anon_sym_yield] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [sym_ellipsis] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [sym_string] = ACTIONS(3294),
    [sym_integer] = ACTIONS(3296),
    [sym_float] = ACTIONS(3296),
    [sym_identifier] = ACTIONS(3296),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [sym_none] = ACTIONS(3296),
    [anon_sym_await] = ACTIONS(3296),
    [sym_comment] = ACTIONS(69),
  },
  [1837] = {
    [anon_sym_COLON] = ACTIONS(4309),
    [sym_comment] = ACTIONS(69),
  },
  [1838] = {
    [sym__dedent] = ACTIONS(3302),
    [anon_sym_import] = ACTIONS(3304),
    [anon_sym_from] = ACTIONS(3304),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_print] = ACTIONS(3304),
    [anon_sym_assert] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_del] = ACTIONS(3304),
    [anon_sym_raise] = ACTIONS(3304),
    [sym_pass_statement] = ACTIONS(3304),
    [sym_break_statement] = ACTIONS(3304),
    [sym_continue_statement] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_async] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_with] = ACTIONS(3304),
    [anon_sym_def] = ACTIONS(3304),
    [anon_sym_global] = ACTIONS(3304),
    [anon_sym_nonlocal] = ACTIONS(3304),
    [anon_sym_exec] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_lambda] = ACTIONS(3304),
    [anon_sym_yield] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [sym_ellipsis] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [sym_string] = ACTIONS(3302),
    [sym_integer] = ACTIONS(3304),
    [sym_float] = ACTIONS(3304),
    [sym_identifier] = ACTIONS(3304),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [sym_none] = ACTIONS(3304),
    [anon_sym_await] = ACTIONS(3304),
    [sym_comment] = ACTIONS(69),
  },
  [1839] = {
    [sym__simple_statements] = STATE(1910),
    [sym_import_statement] = STATE(364),
    [sym_import_from_statement] = STATE(364),
    [sym_print_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_expression_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_delete_statement] = STATE(364),
    [sym_raise_statement] = STATE(364),
    [sym_global_statement] = STATE(364),
    [sym_nonlocal_statement] = STATE(364),
    [sym_exec_statement] = STATE(364),
    [sym__suite] = STATE(1910),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(647),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(649),
    [sym_break_statement] = ACTIONS(649),
    [sym_continue_statement] = ACTIONS(649),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1840] = {
    [ts_builtin_sym_end] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_finally] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1841] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4311),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1842] = {
    [ts_builtin_sym_end] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_finally] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [1843] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4313),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1844] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(4313),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4315),
  },
  [1845] = {
    [anon_sym_RPAREN] = ACTIONS(2639),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_COLON] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3244),
    [sym_comment] = ACTIONS(69),
  },
  [1846] = {
    [sym__expression] = STATE(1914),
    [sym__primary_expression] = STATE(1179),
    [sym_not_operator] = STATE(1914),
    [sym_boolean_operator] = STATE(1914),
    [sym_binary_operator] = STATE(1179),
    [sym_unary_operator] = STATE(1179),
    [sym_comparison_operator] = STATE(1914),
    [sym_lambda] = STATE(1914),
    [sym_attribute] = STATE(1179),
    [sym_subscript] = STATE(1179),
    [sym_call] = STATE(1179),
    [sym_list] = STATE(1179),
    [sym_list_comprehension] = STATE(1179),
    [sym_dictionary] = STATE(1179),
    [sym_dictionary_comprehension] = STATE(1179),
    [sym_set] = STATE(1179),
    [sym_set_comprehension] = STATE(1179),
    [sym_parenthesized_expression] = STATE(1179),
    [sym_tuple] = STATE(1179),
    [sym_generator_expression] = STATE(1179),
    [sym_conditional_expression] = STATE(1914),
    [sym_concatenated_string] = STATE(1179),
    [sym_await] = STATE(1914),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2469),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_lambda] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [sym_comment] = ACTIONS(69),
  },
  [1847] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(2950),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_GT_GT] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_COLON] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3258),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3262),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1848] = {
    [anon_sym_RPAREN] = ACTIONS(3910),
    [anon_sym_COMMA] = ACTIONS(3910),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1849] = {
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(3859),
    [anon_sym_or] = ACTIONS(3861),
    [sym_comment] = ACTIONS(69),
  },
  [1850] = {
    [sym__expression] = STATE(1915),
    [sym__primary_expression] = STATE(1516),
    [sym_not_operator] = STATE(1915),
    [sym_boolean_operator] = STATE(1915),
    [sym_binary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_comparison_operator] = STATE(1915),
    [sym_lambda] = STATE(1915),
    [sym_attribute] = STATE(1516),
    [sym_subscript] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym_list] = STATE(1516),
    [sym_list_comprehension] = STATE(1516),
    [sym_dictionary] = STATE(1516),
    [sym_dictionary_comprehension] = STATE(1516),
    [sym_set] = STATE(1516),
    [sym_set_comprehension] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_generator_expression] = STATE(1516),
    [sym_conditional_expression] = STATE(1915),
    [sym_concatenated_string] = STATE(1516),
    [sym_await] = STATE(1915),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_lambda] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(3286),
    [sym_float] = ACTIONS(3286),
    [sym_identifier] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_none] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3288),
    [sym_comment] = ACTIONS(69),
  },
  [1851] = {
    [aux_sym_concatenated_string_repeat1] = STATE(1851),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_not] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_GT] = ACTIONS(1859),
    [anon_sym_is] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_string] = ACTIONS(4317),
    [sym_comment] = ACTIONS(69),
  },
  [1852] = {
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_else] = ACTIONS(4320),
    [anon_sym_and] = ACTIONS(1922),
    [anon_sym_or] = ACTIONS(1924),
    [sym_comment] = ACTIONS(69),
  },
  [1853] = {
    [anon_sym_RPAREN] = ACTIONS(1950),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_if] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_and] = ACTIONS(3859),
    [anon_sym_or] = ACTIONS(1950),
    [sym_comment] = ACTIONS(69),
  },
  [1854] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1979),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1855] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_SLASH] = ACTIONS(3863),
    [anon_sym_PERCENT] = ACTIONS(3869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3869),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1856] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_GT_GT] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(1981),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_SLASH] = ACTIONS(3863),
    [anon_sym_PERCENT] = ACTIONS(3869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3869),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_AMP] = ACTIONS(3879),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_LT_LT] = ACTIONS(3865),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_EQ_EQ] = ACTIONS(1981),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1981),
    [anon_sym_is] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1857] = {
    [sym__primary_expression] = STATE(1917),
    [sym_binary_operator] = STATE(1917),
    [sym_unary_operator] = STATE(1917),
    [sym_attribute] = STATE(1917),
    [sym_subscript] = STATE(1917),
    [sym_call] = STATE(1917),
    [sym_list] = STATE(1917),
    [sym_list_comprehension] = STATE(1917),
    [sym_dictionary] = STATE(1917),
    [sym_dictionary_comprehension] = STATE(1917),
    [sym_set] = STATE(1917),
    [sym_set_comprehension] = STATE(1917),
    [sym_parenthesized_expression] = STATE(1917),
    [sym_tuple] = STATE(1917),
    [sym_generator_expression] = STATE(1917),
    [sym_concatenated_string] = STATE(1917),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(4322),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(4324),
    [sym_float] = ACTIONS(4324),
    [sym_identifier] = ACTIONS(4324),
    [sym_true] = ACTIONS(4324),
    [sym_false] = ACTIONS(4324),
    [sym_none] = ACTIONS(4324),
    [sym_comment] = ACTIONS(69),
  },
  [1858] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_GT_GT] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(3863),
    [anon_sym_PERCENT] = ACTIONS(3869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3869),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1859] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_GT_GT] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_SLASH] = ACTIONS(3863),
    [anon_sym_PERCENT] = ACTIONS(3869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3869),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(3879),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_LT_LT] = ACTIONS(3865),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1860] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_GT_GT] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_SLASH] = ACTIONS(3863),
    [anon_sym_PERCENT] = ACTIONS(3869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3869),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_LT_LT] = ACTIONS(3865),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1861] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_GT_GT] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_in] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(1977),
    [anon_sym_and] = ACTIONS(1977),
    [anon_sym_or] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_SLASH] = ACTIONS(3863),
    [anon_sym_PERCENT] = ACTIONS(3869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3869),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(3865),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_EQ_EQ] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_GT] = ACTIONS(1977),
    [anon_sym_is] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [sym_comment] = ACTIONS(69),
  },
  [1862] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1862),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_in] = ACTIONS(4326),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_not] = ACTIONS(4329),
    [anon_sym_and] = ACTIONS(1981),
    [anon_sym_or] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(4332),
    [anon_sym_LT_EQ] = ACTIONS(4326),
    [anon_sym_EQ_EQ] = ACTIONS(4326),
    [anon_sym_BANG_EQ] = ACTIONS(4326),
    [anon_sym_GT_EQ] = ACTIONS(4326),
    [anon_sym_GT] = ACTIONS(4332),
    [anon_sym_LT_GT] = ACTIONS(4326),
    [anon_sym_is] = ACTIONS(4335),
    [sym_comment] = ACTIONS(69),
  },
  [1863] = {
    [anon_sym_RPAREN] = ACTIONS(3933),
    [anon_sym_COMMA] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_and] = ACTIONS(1146),
    [anon_sym_or] = ACTIONS(1148),
    [sym_comment] = ACTIONS(69),
  },
  [1864] = {
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(2560),
    [anon_sym_or] = ACTIONS(2562),
    [sym_comment] = ACTIONS(69),
  },
  [1865] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_COLON] = ACTIONS(3607),
    [anon_sym_EQ] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(2603),
    [anon_sym_or] = ACTIONS(2605),
    [sym_comment] = ACTIONS(69),
  },
  [1866] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1562),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4255),
    [anon_sym_async] = ACTIONS(4255),
    [anon_sym_for] = ACTIONS(4255),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(4253),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1867] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1869),
    [anon_sym_COMMA] = ACTIONS(4338),
    [anon_sym_if] = ACTIONS(4253),
    [anon_sym_async] = ACTIONS(4253),
    [anon_sym_for] = ACTIONS(4253),
    [anon_sym_RBRACK] = ACTIONS(4253),
    [sym_comment] = ACTIONS(69),
  },
  [1868] = {
    [sym__expression_within_for_in_clause] = STATE(1882),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1562),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1869] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1869),
    [anon_sym_COMMA] = ACTIONS(4340),
    [anon_sym_if] = ACTIONS(4261),
    [anon_sym_async] = ACTIONS(4261),
    [anon_sym_for] = ACTIONS(4261),
    [anon_sym_RBRACK] = ACTIONS(4261),
    [sym_comment] = ACTIONS(69),
  },
  [1870] = {
    [anon_sym_if] = ACTIONS(4201),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(3432),
    [anon_sym_or] = ACTIONS(3434),
    [anon_sym_RBRACK] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
  },
  [1871] = {
    [sym__expression] = STATE(1920),
    [sym__primary_expression] = STATE(1274),
    [sym_not_operator] = STATE(1920),
    [sym_boolean_operator] = STATE(1920),
    [sym_binary_operator] = STATE(1274),
    [sym_unary_operator] = STATE(1274),
    [sym_comparison_operator] = STATE(1920),
    [sym_lambda] = STATE(1920),
    [sym_attribute] = STATE(1274),
    [sym_subscript] = STATE(1274),
    [sym_call] = STATE(1274),
    [sym_list] = STATE(1274),
    [sym_list_comprehension] = STATE(1274),
    [sym_dictionary] = STATE(1274),
    [sym_dictionary_comprehension] = STATE(1274),
    [sym_set] = STATE(1274),
    [sym_set_comprehension] = STATE(1274),
    [sym_parenthesized_expression] = STATE(1274),
    [sym_tuple] = STATE(1274),
    [sym_generator_expression] = STATE(1274),
    [sym_conditional_expression] = STATE(1920),
    [sym_concatenated_string] = STATE(1274),
    [sym_await] = STATE(1920),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2701),
    [anon_sym_lambda] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2707),
    [sym_integer] = ACTIONS(2709),
    [sym_float] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [anon_sym_await] = ACTIONS(2711),
    [sym_comment] = ACTIONS(69),
  },
  [1872] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3436),
    [anon_sym_GT_GT] = ACTIONS(3438),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(3442),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(3446),
    [anon_sym_DASH] = ACTIONS(3446),
    [anon_sym_SLASH] = ACTIONS(3436),
    [anon_sym_PERCENT] = ACTIONS(3442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3442),
    [anon_sym_STAR_STAR] = ACTIONS(3448),
    [anon_sym_PIPE] = ACTIONS(3450),
    [anon_sym_AMP] = ACTIONS(3452),
    [anon_sym_CARET] = ACTIONS(3454),
    [anon_sym_LT_LT] = ACTIONS(3438),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(2950),
    [sym_comment] = ACTIONS(69),
  },
  [1873] = {
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(2800),
    [anon_sym_or] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
  },
  [1874] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1603),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1603),
    [sym_boolean_operator] = STATE(1603),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1603),
    [sym_lambda] = STATE(1603),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1603),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1603),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4255),
    [anon_sym_async] = ACTIONS(4255),
    [anon_sym_for] = ACTIONS(4255),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(4253),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1875] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1877),
    [anon_sym_COMMA] = ACTIONS(4343),
    [anon_sym_if] = ACTIONS(4253),
    [anon_sym_async] = ACTIONS(4253),
    [anon_sym_for] = ACTIONS(4253),
    [anon_sym_RBRACE] = ACTIONS(4253),
    [sym_comment] = ACTIONS(69),
  },
  [1876] = {
    [sym__expression_within_for_in_clause] = STATE(1882),
    [sym__expression] = STATE(1603),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1603),
    [sym_boolean_operator] = STATE(1603),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1603),
    [sym_lambda] = STATE(1603),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1603),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1603),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1877] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1877),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_if] = ACTIONS(4261),
    [anon_sym_async] = ACTIONS(4261),
    [anon_sym_for] = ACTIONS(4261),
    [anon_sym_RBRACE] = ACTIONS(4261),
    [sym_comment] = ACTIONS(69),
  },
  [1878] = {
    [anon_sym_if] = ACTIONS(4228),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [sym_comment] = ACTIONS(69),
  },
  [1879] = {
    [sym__expression] = STATE(1923),
    [sym__primary_expression] = STATE(1324),
    [sym_not_operator] = STATE(1923),
    [sym_boolean_operator] = STATE(1923),
    [sym_binary_operator] = STATE(1324),
    [sym_unary_operator] = STATE(1324),
    [sym_comparison_operator] = STATE(1923),
    [sym_lambda] = STATE(1923),
    [sym_attribute] = STATE(1324),
    [sym_subscript] = STATE(1324),
    [sym_call] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_list_comprehension] = STATE(1324),
    [sym_dictionary] = STATE(1324),
    [sym_dictionary_comprehension] = STATE(1324),
    [sym_set] = STATE(1324),
    [sym_set_comprehension] = STATE(1324),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_tuple] = STATE(1324),
    [sym_generator_expression] = STATE(1324),
    [sym_conditional_expression] = STATE(1923),
    [sym_concatenated_string] = STATE(1324),
    [sym_await] = STATE(1923),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_lambda] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(2842),
    [sym_integer] = ACTIONS(2844),
    [sym_float] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_none] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [sym_comment] = ACTIONS(69),
  },
  [1880] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_STAR] = ACTIONS(3546),
    [anon_sym_GT_GT] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(3556),
    [anon_sym_DASH] = ACTIONS(3556),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3552),
    [anon_sym_STAR_STAR] = ACTIONS(3558),
    [anon_sym_PIPE] = ACTIONS(3560),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym_CARET] = ACTIONS(3564),
    [anon_sym_LT_LT] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(69),
  },
  [1881] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(4348),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4350),
    [anon_sym_async] = ACTIONS(4350),
    [anon_sym_for] = ACTIONS(4350),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1882] = {
    [anon_sym_RPAREN] = ACTIONS(4352),
    [anon_sym_COMMA] = ACTIONS(4352),
    [anon_sym_if] = ACTIONS(4352),
    [anon_sym_async] = ACTIONS(4352),
    [anon_sym_for] = ACTIONS(4352),
    [anon_sym_RBRACK] = ACTIONS(4352),
    [anon_sym_RBRACE] = ACTIONS(4352),
    [sym_comment] = ACTIONS(69),
  },
  [1883] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1405),
    [sym__primary_expression] = STATE(59),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(59),
    [sym_unary_operator] = STATE(59),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(59),
    [sym_subscript] = STATE(59),
    [sym_call] = STATE(59),
    [sym_list] = STATE(59),
    [sym_list_comprehension] = STATE(59),
    [sym_dictionary] = STATE(59),
    [sym_dictionary_comprehension] = STATE(59),
    [sym_set] = STATE(59),
    [sym_set_comprehension] = STATE(59),
    [sym_parenthesized_expression] = STATE(59),
    [sym_tuple] = STATE(59),
    [sym_generator_expression] = STATE(59),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(59),
    [sym_await] = STATE(1405),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(85),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_lambda] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(99),
    [sym_integer] = ACTIONS(101),
    [sym_float] = ACTIONS(101),
    [sym_identifier] = ACTIONS(101),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [sym_none] = ACTIONS(101),
    [anon_sym_await] = ACTIONS(103),
    [sym_comment] = ACTIONS(69),
  },
  [1884] = {
    [anon_sym_RPAREN] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(4057),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3052),
    [sym_comment] = ACTIONS(69),
  },
  [1885] = {
    [sym__dedent] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_elif] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1886] = {
    [sym__dedent] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_elif] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1887] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4354),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1888] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(4356),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1889] = {
    [sym__simple_statements] = STATE(1926),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1926),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1890] = {
    [sym__dedent] = ACTIONS(3740),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3740),
    [anon_sym_print] = ACTIONS(3742),
    [anon_sym_assert] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_del] = ACTIONS(3742),
    [anon_sym_raise] = ACTIONS(3742),
    [sym_pass_statement] = ACTIONS(3742),
    [sym_break_statement] = ACTIONS(3742),
    [sym_continue_statement] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_def] = ACTIONS(3742),
    [anon_sym_global] = ACTIONS(3742),
    [anon_sym_nonlocal] = ACTIONS(3742),
    [anon_sym_exec] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3740),
    [anon_sym_DASH] = ACTIONS(3740),
    [anon_sym_TILDE] = ACTIONS(3740),
    [anon_sym_lambda] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3740),
    [sym_ellipsis] = ACTIONS(3740),
    [anon_sym_LBRACE] = ACTIONS(3740),
    [sym_string] = ACTIONS(3740),
    [sym_integer] = ACTIONS(3742),
    [sym_float] = ACTIONS(3742),
    [sym_identifier] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_none] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [sym_comment] = ACTIONS(69),
  },
  [1891] = {
    [sym_elif_clause] = STATE(1891),
    [aux_sym_if_statement_repeat1] = STATE(1891),
    [sym__dedent] = ACTIONS(3744),
    [anon_sym_import] = ACTIONS(3746),
    [anon_sym_from] = ACTIONS(3746),
    [anon_sym_LPAREN] = ACTIONS(3744),
    [anon_sym_print] = ACTIONS(3746),
    [anon_sym_assert] = ACTIONS(3746),
    [anon_sym_return] = ACTIONS(3746),
    [anon_sym_del] = ACTIONS(3746),
    [anon_sym_raise] = ACTIONS(3746),
    [sym_pass_statement] = ACTIONS(3746),
    [sym_break_statement] = ACTIONS(3746),
    [sym_continue_statement] = ACTIONS(3746),
    [anon_sym_if] = ACTIONS(3746),
    [anon_sym_elif] = ACTIONS(4358),
    [anon_sym_else] = ACTIONS(3746),
    [anon_sym_async] = ACTIONS(3746),
    [anon_sym_for] = ACTIONS(3746),
    [anon_sym_while] = ACTIONS(3746),
    [anon_sym_try] = ACTIONS(3746),
    [anon_sym_with] = ACTIONS(3746),
    [anon_sym_def] = ACTIONS(3746),
    [anon_sym_global] = ACTIONS(3746),
    [anon_sym_nonlocal] = ACTIONS(3746),
    [anon_sym_exec] = ACTIONS(3746),
    [anon_sym_class] = ACTIONS(3746),
    [anon_sym_AT] = ACTIONS(3744),
    [anon_sym_not] = ACTIONS(3746),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_DASH] = ACTIONS(3744),
    [anon_sym_TILDE] = ACTIONS(3744),
    [anon_sym_lambda] = ACTIONS(3746),
    [anon_sym_yield] = ACTIONS(3746),
    [anon_sym_LBRACK] = ACTIONS(3744),
    [sym_ellipsis] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3744),
    [sym_string] = ACTIONS(3744),
    [sym_integer] = ACTIONS(3746),
    [sym_float] = ACTIONS(3746),
    [sym_identifier] = ACTIONS(3746),
    [sym_true] = ACTIONS(3746),
    [sym_false] = ACTIONS(3746),
    [sym_none] = ACTIONS(3746),
    [anon_sym_await] = ACTIONS(3746),
    [sym_comment] = ACTIONS(69),
  },
  [1892] = {
    [sym__simple_statements] = STATE(1927),
    [sym_import_statement] = STATE(1686),
    [sym_import_from_statement] = STATE(1686),
    [sym_print_statement] = STATE(1686),
    [sym_assert_statement] = STATE(1686),
    [sym_expression_statement] = STATE(1686),
    [sym_return_statement] = STATE(1686),
    [sym_delete_statement] = STATE(1686),
    [sym_raise_statement] = STATE(1686),
    [sym_global_statement] = STATE(1686),
    [sym_nonlocal_statement] = STATE(1686),
    [sym_exec_statement] = STATE(1686),
    [sym__suite] = STATE(1927),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3780),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(3782),
    [sym_break_statement] = ACTIONS(3782),
    [sym_continue_statement] = ACTIONS(3782),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1893] = {
    [sym__dedent] = ACTIONS(3751),
    [anon_sym_import] = ACTIONS(3753),
    [anon_sym_from] = ACTIONS(3753),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_print] = ACTIONS(3753),
    [anon_sym_assert] = ACTIONS(3753),
    [anon_sym_return] = ACTIONS(3753),
    [anon_sym_del] = ACTIONS(3753),
    [anon_sym_raise] = ACTIONS(3753),
    [sym_pass_statement] = ACTIONS(3753),
    [sym_break_statement] = ACTIONS(3753),
    [sym_continue_statement] = ACTIONS(3753),
    [anon_sym_if] = ACTIONS(3753),
    [anon_sym_async] = ACTIONS(3753),
    [anon_sym_for] = ACTIONS(3753),
    [anon_sym_while] = ACTIONS(3753),
    [anon_sym_try] = ACTIONS(3753),
    [anon_sym_with] = ACTIONS(3753),
    [anon_sym_def] = ACTIONS(3753),
    [anon_sym_global] = ACTIONS(3753),
    [anon_sym_nonlocal] = ACTIONS(3753),
    [anon_sym_exec] = ACTIONS(3753),
    [anon_sym_class] = ACTIONS(3753),
    [anon_sym_AT] = ACTIONS(3751),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3751),
    [anon_sym_DASH] = ACTIONS(3751),
    [anon_sym_TILDE] = ACTIONS(3751),
    [anon_sym_lambda] = ACTIONS(3753),
    [anon_sym_yield] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3751),
    [sym_ellipsis] = ACTIONS(3751),
    [anon_sym_LBRACE] = ACTIONS(3751),
    [sym_string] = ACTIONS(3751),
    [sym_integer] = ACTIONS(3753),
    [sym_float] = ACTIONS(3753),
    [sym_identifier] = ACTIONS(3753),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [sym_none] = ACTIONS(3753),
    [anon_sym_await] = ACTIONS(3753),
    [sym_comment] = ACTIONS(69),
  },
  [1894] = {
    [sym__dedent] = ACTIONS(3755),
    [anon_sym_import] = ACTIONS(3757),
    [anon_sym_from] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(3755),
    [anon_sym_print] = ACTIONS(3757),
    [anon_sym_assert] = ACTIONS(3757),
    [anon_sym_return] = ACTIONS(3757),
    [anon_sym_del] = ACTIONS(3757),
    [anon_sym_raise] = ACTIONS(3757),
    [sym_pass_statement] = ACTIONS(3757),
    [sym_break_statement] = ACTIONS(3757),
    [sym_continue_statement] = ACTIONS(3757),
    [anon_sym_if] = ACTIONS(3757),
    [anon_sym_async] = ACTIONS(3757),
    [anon_sym_for] = ACTIONS(3757),
    [anon_sym_while] = ACTIONS(3757),
    [anon_sym_try] = ACTIONS(3757),
    [anon_sym_with] = ACTIONS(3757),
    [anon_sym_def] = ACTIONS(3757),
    [anon_sym_global] = ACTIONS(3757),
    [anon_sym_nonlocal] = ACTIONS(3757),
    [anon_sym_exec] = ACTIONS(3757),
    [anon_sym_class] = ACTIONS(3757),
    [anon_sym_AT] = ACTIONS(3755),
    [anon_sym_not] = ACTIONS(3757),
    [anon_sym_PLUS] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_lambda] = ACTIONS(3757),
    [anon_sym_yield] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [sym_ellipsis] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(3755),
    [sym_string] = ACTIONS(3755),
    [sym_integer] = ACTIONS(3757),
    [sym_float] = ACTIONS(3757),
    [sym_identifier] = ACTIONS(3757),
    [sym_true] = ACTIONS(3757),
    [sym_false] = ACTIONS(3757),
    [sym_none] = ACTIONS(3757),
    [anon_sym_await] = ACTIONS(3757),
    [sym_comment] = ACTIONS(69),
  },
  [1895] = {
    [anon_sym_COLON] = ACTIONS(4361),
    [sym_comment] = ACTIONS(69),
  },
  [1896] = {
    [sym_else_clause] = STATE(1929),
    [sym__dedent] = ACTIONS(3761),
    [anon_sym_import] = ACTIONS(3763),
    [anon_sym_from] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(3761),
    [anon_sym_print] = ACTIONS(3763),
    [anon_sym_assert] = ACTIONS(3763),
    [anon_sym_return] = ACTIONS(3763),
    [anon_sym_del] = ACTIONS(3763),
    [anon_sym_raise] = ACTIONS(3763),
    [sym_pass_statement] = ACTIONS(3763),
    [sym_break_statement] = ACTIONS(3763),
    [sym_continue_statement] = ACTIONS(3763),
    [anon_sym_if] = ACTIONS(3763),
    [anon_sym_else] = ACTIONS(4096),
    [anon_sym_async] = ACTIONS(3763),
    [anon_sym_for] = ACTIONS(3763),
    [anon_sym_while] = ACTIONS(3763),
    [anon_sym_try] = ACTIONS(3763),
    [anon_sym_with] = ACTIONS(3763),
    [anon_sym_def] = ACTIONS(3763),
    [anon_sym_global] = ACTIONS(3763),
    [anon_sym_nonlocal] = ACTIONS(3763),
    [anon_sym_exec] = ACTIONS(3763),
    [anon_sym_class] = ACTIONS(3763),
    [anon_sym_AT] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3763),
    [anon_sym_PLUS] = ACTIONS(3761),
    [anon_sym_DASH] = ACTIONS(3761),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_lambda] = ACTIONS(3763),
    [anon_sym_yield] = ACTIONS(3763),
    [anon_sym_LBRACK] = ACTIONS(3761),
    [sym_ellipsis] = ACTIONS(3761),
    [anon_sym_LBRACE] = ACTIONS(3761),
    [sym_string] = ACTIONS(3761),
    [sym_integer] = ACTIONS(3763),
    [sym_float] = ACTIONS(3763),
    [sym_identifier] = ACTIONS(3763),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [sym_none] = ACTIONS(3763),
    [anon_sym_await] = ACTIONS(3763),
    [sym_comment] = ACTIONS(69),
  },
  [1897] = {
    [sym__dedent] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1898] = {
    [sym__dedent] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1899] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4363),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1900] = {
    [sym__statement] = STATE(1932),
    [sym__simple_statements] = STATE(1932),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1932),
    [sym_for_statement] = STATE(1932),
    [sym_while_statement] = STATE(1932),
    [sym_try_statement] = STATE(1932),
    [sym_with_statement] = STATE(1932),
    [sym_function_definition] = STATE(1932),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1932),
    [sym_decorated_definition] = STATE(1932),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1932),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4365),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1901] = {
    [aux_sym__simple_statements_repeat1] = STATE(1935),
    [sym__newline] = ACTIONS(4367),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4369),
  },
  [1902] = {
    [sym__dedent] = ACTIONS(3796),
    [anon_sym_import] = ACTIONS(3798),
    [anon_sym_from] = ACTIONS(3798),
    [anon_sym_LPAREN] = ACTIONS(3796),
    [anon_sym_print] = ACTIONS(3798),
    [anon_sym_assert] = ACTIONS(3798),
    [anon_sym_return] = ACTIONS(3798),
    [anon_sym_del] = ACTIONS(3798),
    [anon_sym_raise] = ACTIONS(3798),
    [sym_pass_statement] = ACTIONS(3798),
    [sym_break_statement] = ACTIONS(3798),
    [sym_continue_statement] = ACTIONS(3798),
    [anon_sym_if] = ACTIONS(3798),
    [anon_sym_else] = ACTIONS(3798),
    [anon_sym_async] = ACTIONS(3798),
    [anon_sym_for] = ACTIONS(3798),
    [anon_sym_while] = ACTIONS(3798),
    [anon_sym_try] = ACTIONS(3798),
    [anon_sym_except] = ACTIONS(3798),
    [anon_sym_finally] = ACTIONS(3798),
    [anon_sym_with] = ACTIONS(3798),
    [anon_sym_def] = ACTIONS(3798),
    [anon_sym_global] = ACTIONS(3798),
    [anon_sym_nonlocal] = ACTIONS(3798),
    [anon_sym_exec] = ACTIONS(3798),
    [anon_sym_class] = ACTIONS(3798),
    [anon_sym_AT] = ACTIONS(3796),
    [anon_sym_not] = ACTIONS(3798),
    [anon_sym_PLUS] = ACTIONS(3796),
    [anon_sym_DASH] = ACTIONS(3796),
    [anon_sym_TILDE] = ACTIONS(3796),
    [anon_sym_lambda] = ACTIONS(3798),
    [anon_sym_yield] = ACTIONS(3798),
    [anon_sym_LBRACK] = ACTIONS(3796),
    [sym_ellipsis] = ACTIONS(3796),
    [anon_sym_LBRACE] = ACTIONS(3796),
    [sym_string] = ACTIONS(3796),
    [sym_integer] = ACTIONS(3798),
    [sym_float] = ACTIONS(3798),
    [sym_identifier] = ACTIONS(3798),
    [sym_true] = ACTIONS(3798),
    [sym_false] = ACTIONS(3798),
    [sym_none] = ACTIONS(3798),
    [anon_sym_await] = ACTIONS(3798),
    [sym_comment] = ACTIONS(69),
  },
  [1903] = {
    [sym__expression] = STATE(1936),
    [sym__primary_expression] = STATE(96),
    [sym_not_operator] = STATE(1936),
    [sym_boolean_operator] = STATE(1936),
    [sym_binary_operator] = STATE(96),
    [sym_unary_operator] = STATE(96),
    [sym_comparison_operator] = STATE(1936),
    [sym_lambda] = STATE(1936),
    [sym_attribute] = STATE(96),
    [sym_subscript] = STATE(96),
    [sym_call] = STATE(96),
    [sym_list] = STATE(96),
    [sym_list_comprehension] = STATE(96),
    [sym_dictionary] = STATE(96),
    [sym_dictionary_comprehension] = STATE(96),
    [sym_set] = STATE(96),
    [sym_set_comprehension] = STATE(96),
    [sym_parenthesized_expression] = STATE(96),
    [sym_tuple] = STATE(96),
    [sym_generator_expression] = STATE(96),
    [sym_conditional_expression] = STATE(1936),
    [sym_concatenated_string] = STATE(96),
    [sym_await] = STATE(1936),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(165),
    [sym_integer] = ACTIONS(167),
    [sym_float] = ACTIONS(167),
    [sym_identifier] = ACTIONS(167),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [sym_none] = ACTIONS(167),
    [anon_sym_await] = ACTIONS(169),
    [sym_comment] = ACTIONS(69),
  },
  [1904] = {
    [sym__simple_statements] = STATE(1937),
    [sym_import_statement] = STATE(1901),
    [sym_import_from_statement] = STATE(1901),
    [sym_print_statement] = STATE(1901),
    [sym_assert_statement] = STATE(1901),
    [sym_expression_statement] = STATE(1901),
    [sym_return_statement] = STATE(1901),
    [sym_delete_statement] = STATE(1901),
    [sym_raise_statement] = STATE(1901),
    [sym_global_statement] = STATE(1901),
    [sym_nonlocal_statement] = STATE(1901),
    [sym_exec_statement] = STATE(1901),
    [sym__suite] = STATE(1937),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(4294),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(4296),
    [sym_break_statement] = ACTIONS(4296),
    [sym_continue_statement] = ACTIONS(4296),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1905] = {
    [sym__dedent] = ACTIONS(3800),
    [anon_sym_import] = ACTIONS(3802),
    [anon_sym_from] = ACTIONS(3802),
    [anon_sym_LPAREN] = ACTIONS(3800),
    [anon_sym_print] = ACTIONS(3802),
    [anon_sym_assert] = ACTIONS(3802),
    [anon_sym_return] = ACTIONS(3802),
    [anon_sym_del] = ACTIONS(3802),
    [anon_sym_raise] = ACTIONS(3802),
    [sym_pass_statement] = ACTIONS(3802),
    [sym_break_statement] = ACTIONS(3802),
    [sym_continue_statement] = ACTIONS(3802),
    [anon_sym_if] = ACTIONS(3802),
    [anon_sym_async] = ACTIONS(3802),
    [anon_sym_for] = ACTIONS(3802),
    [anon_sym_while] = ACTIONS(3802),
    [anon_sym_try] = ACTIONS(3802),
    [anon_sym_with] = ACTIONS(3802),
    [anon_sym_def] = ACTIONS(3802),
    [anon_sym_global] = ACTIONS(3802),
    [anon_sym_nonlocal] = ACTIONS(3802),
    [anon_sym_exec] = ACTIONS(3802),
    [anon_sym_class] = ACTIONS(3802),
    [anon_sym_AT] = ACTIONS(3800),
    [anon_sym_not] = ACTIONS(3802),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_TILDE] = ACTIONS(3800),
    [anon_sym_lambda] = ACTIONS(3802),
    [anon_sym_yield] = ACTIONS(3802),
    [anon_sym_LBRACK] = ACTIONS(3800),
    [sym_ellipsis] = ACTIONS(3800),
    [anon_sym_LBRACE] = ACTIONS(3800),
    [sym_string] = ACTIONS(3800),
    [sym_integer] = ACTIONS(3802),
    [sym_float] = ACTIONS(3802),
    [sym_identifier] = ACTIONS(3802),
    [sym_true] = ACTIONS(3802),
    [sym_false] = ACTIONS(3802),
    [sym_none] = ACTIONS(3802),
    [anon_sym_await] = ACTIONS(3802),
    [sym_comment] = ACTIONS(69),
  },
  [1906] = {
    [sym__simple_statements] = STATE(1940),
    [sym_import_statement] = STATE(1939),
    [sym_import_from_statement] = STATE(1939),
    [sym_print_statement] = STATE(1939),
    [sym_assert_statement] = STATE(1939),
    [sym_expression_statement] = STATE(1939),
    [sym_return_statement] = STATE(1939),
    [sym_delete_statement] = STATE(1939),
    [sym_raise_statement] = STATE(1939),
    [sym_global_statement] = STATE(1939),
    [sym_nonlocal_statement] = STATE(1939),
    [sym_exec_statement] = STATE(1939),
    [sym__suite] = STATE(1940),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(4371),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(4373),
    [sym_break_statement] = ACTIONS(4373),
    [sym_continue_statement] = ACTIONS(4373),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1907] = {
    [sym__dedent] = ACTIONS(3808),
    [anon_sym_import] = ACTIONS(3810),
    [anon_sym_from] = ACTIONS(3810),
    [anon_sym_LPAREN] = ACTIONS(3808),
    [anon_sym_print] = ACTIONS(3810),
    [anon_sym_assert] = ACTIONS(3810),
    [anon_sym_return] = ACTIONS(3810),
    [anon_sym_del] = ACTIONS(3810),
    [anon_sym_raise] = ACTIONS(3810),
    [sym_pass_statement] = ACTIONS(3810),
    [sym_break_statement] = ACTIONS(3810),
    [sym_continue_statement] = ACTIONS(3810),
    [anon_sym_if] = ACTIONS(3810),
    [anon_sym_async] = ACTIONS(3810),
    [anon_sym_for] = ACTIONS(3810),
    [anon_sym_while] = ACTIONS(3810),
    [anon_sym_try] = ACTIONS(3810),
    [anon_sym_with] = ACTIONS(3810),
    [anon_sym_def] = ACTIONS(3810),
    [anon_sym_global] = ACTIONS(3810),
    [anon_sym_nonlocal] = ACTIONS(3810),
    [anon_sym_exec] = ACTIONS(3810),
    [anon_sym_class] = ACTIONS(3810),
    [anon_sym_AT] = ACTIONS(3808),
    [anon_sym_not] = ACTIONS(3810),
    [anon_sym_PLUS] = ACTIONS(3808),
    [anon_sym_DASH] = ACTIONS(3808),
    [anon_sym_TILDE] = ACTIONS(3808),
    [anon_sym_lambda] = ACTIONS(3810),
    [anon_sym_yield] = ACTIONS(3810),
    [anon_sym_LBRACK] = ACTIONS(3808),
    [sym_ellipsis] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3808),
    [sym_string] = ACTIONS(3808),
    [sym_integer] = ACTIONS(3810),
    [sym_float] = ACTIONS(3810),
    [sym_identifier] = ACTIONS(3810),
    [sym_true] = ACTIONS(3810),
    [sym_false] = ACTIONS(3810),
    [sym_none] = ACTIONS(3810),
    [anon_sym_await] = ACTIONS(3810),
    [sym_comment] = ACTIONS(69),
  },
  [1908] = {
    [sym__dedent] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1909] = {
    [sym__simple_statements] = STATE(1941),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1941),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1910] = {
    [ts_builtin_sym_end] = ACTIONS(4375),
    [anon_sym_import] = ACTIONS(4377),
    [anon_sym_from] = ACTIONS(4377),
    [anon_sym_LPAREN] = ACTIONS(4375),
    [anon_sym_print] = ACTIONS(4377),
    [anon_sym_assert] = ACTIONS(4377),
    [anon_sym_return] = ACTIONS(4377),
    [anon_sym_del] = ACTIONS(4377),
    [anon_sym_raise] = ACTIONS(4377),
    [sym_pass_statement] = ACTIONS(4377),
    [sym_break_statement] = ACTIONS(4377),
    [sym_continue_statement] = ACTIONS(4377),
    [anon_sym_if] = ACTIONS(4377),
    [anon_sym_else] = ACTIONS(4377),
    [anon_sym_async] = ACTIONS(4377),
    [anon_sym_for] = ACTIONS(4377),
    [anon_sym_while] = ACTIONS(4377),
    [anon_sym_try] = ACTIONS(4377),
    [anon_sym_except] = ACTIONS(4377),
    [anon_sym_finally] = ACTIONS(4377),
    [anon_sym_with] = ACTIONS(4377),
    [anon_sym_def] = ACTIONS(4377),
    [anon_sym_global] = ACTIONS(4377),
    [anon_sym_nonlocal] = ACTIONS(4377),
    [anon_sym_exec] = ACTIONS(4377),
    [anon_sym_class] = ACTIONS(4377),
    [anon_sym_AT] = ACTIONS(4375),
    [anon_sym_not] = ACTIONS(4377),
    [anon_sym_PLUS] = ACTIONS(4375),
    [anon_sym_DASH] = ACTIONS(4375),
    [anon_sym_TILDE] = ACTIONS(4375),
    [anon_sym_lambda] = ACTIONS(4377),
    [anon_sym_yield] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4375),
    [sym_ellipsis] = ACTIONS(4375),
    [anon_sym_LBRACE] = ACTIONS(4375),
    [sym_string] = ACTIONS(4375),
    [sym_integer] = ACTIONS(4377),
    [sym_float] = ACTIONS(4377),
    [sym_identifier] = ACTIONS(4377),
    [sym_true] = ACTIONS(4377),
    [sym_false] = ACTIONS(4377),
    [sym_none] = ACTIONS(4377),
    [anon_sym_await] = ACTIONS(4377),
    [sym_comment] = ACTIONS(69),
  },
  [1911] = {
    [ts_builtin_sym_end] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_finally] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1912] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_finally] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1913] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4379),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1914] = {
    [anon_sym_RPAREN] = ACTIONS(3607),
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_COLON] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3244),
    [sym_comment] = ACTIONS(69),
  },
  [1915] = {
    [anon_sym_RPAREN] = ACTIONS(2639),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(2639),
    [anon_sym_and] = ACTIONS(3859),
    [anon_sym_or] = ACTIONS(3861),
    [sym_comment] = ACTIONS(69),
  },
  [1916] = {
    [sym__expression] = STATE(1943),
    [sym__primary_expression] = STATE(1516),
    [sym_not_operator] = STATE(1943),
    [sym_boolean_operator] = STATE(1943),
    [sym_binary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_comparison_operator] = STATE(1943),
    [sym_lambda] = STATE(1943),
    [sym_attribute] = STATE(1516),
    [sym_subscript] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym_list] = STATE(1516),
    [sym_list_comprehension] = STATE(1516),
    [sym_dictionary] = STATE(1516),
    [sym_dictionary_comprehension] = STATE(1516),
    [sym_set] = STATE(1516),
    [sym_set_comprehension] = STATE(1516),
    [sym_parenthesized_expression] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_generator_expression] = STATE(1516),
    [sym_conditional_expression] = STATE(1943),
    [sym_concatenated_string] = STATE(1516),
    [sym_await] = STATE(1943),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_TILDE] = ACTIONS(3278),
    [anon_sym_lambda] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(3284),
    [sym_integer] = ACTIONS(3286),
    [sym_float] = ACTIONS(3286),
    [sym_identifier] = ACTIONS(3286),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [sym_none] = ACTIONS(3286),
    [anon_sym_await] = ACTIONS(3288),
    [sym_comment] = ACTIONS(69),
  },
  [1917] = {
    [sym_argument_list] = STATE(251),
    [sym_generator_expression] = STATE(251),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_RPAREN] = ACTIONS(2950),
    [anon_sym_COMMA] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_GT_GT] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_EQ] = ACTIONS(2952),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_not] = ACTIONS(2950),
    [anon_sym_and] = ACTIONS(2950),
    [anon_sym_or] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_SLASH] = ACTIONS(3863),
    [anon_sym_PERCENT] = ACTIONS(3869),
    [anon_sym_SLASH_SLASH] = ACTIONS(3869),
    [anon_sym_STAR_STAR] = ACTIONS(3875),
    [anon_sym_PIPE] = ACTIONS(3877),
    [anon_sym_AMP] = ACTIONS(3879),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_LT_LT] = ACTIONS(3865),
    [anon_sym_LT] = ACTIONS(2952),
    [anon_sym_LT_EQ] = ACTIONS(2950),
    [anon_sym_EQ_EQ] = ACTIONS(2950),
    [anon_sym_BANG_EQ] = ACTIONS(2950),
    [anon_sym_GT_EQ] = ACTIONS(2950),
    [anon_sym_GT] = ACTIONS(2952),
    [anon_sym_LT_GT] = ACTIONS(2950),
    [anon_sym_is] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(447),
    [sym_comment] = ACTIONS(69),
  },
  [1918] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1562),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4350),
    [anon_sym_async] = ACTIONS(4350),
    [anon_sym_for] = ACTIONS(4350),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_RBRACK] = ACTIONS(4348),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1919] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(145),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_binary_operator] = STATE(145),
    [sym_unary_operator] = STATE(145),
    [sym_comparison_operator] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(145),
    [sym_subscript] = STATE(145),
    [sym_call] = STATE(145),
    [sym_list] = STATE(145),
    [sym_list_comprehension] = STATE(145),
    [sym_dictionary] = STATE(145),
    [sym_dictionary_comprehension] = STATE(145),
    [sym_set] = STATE(145),
    [sym_set_comprehension] = STATE(145),
    [sym_parenthesized_expression] = STATE(145),
    [sym_tuple] = STATE(145),
    [sym_generator_expression] = STATE(145),
    [sym_conditional_expression] = STATE(1562),
    [sym_concatenated_string] = STATE(145),
    [sym_await] = STATE(1562),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(239),
    [anon_sym_TILDE] = ACTIONS(239),
    [anon_sym_lambda] = ACTIONS(3426),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(245),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(247),
    [sym_integer] = ACTIONS(249),
    [sym_float] = ACTIONS(249),
    [sym_identifier] = ACTIONS(249),
    [sym_true] = ACTIONS(249),
    [sym_false] = ACTIONS(249),
    [sym_none] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(251),
    [sym_comment] = ACTIONS(69),
  },
  [1920] = {
    [anon_sym_if] = ACTIONS(4201),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(3432),
    [anon_sym_or] = ACTIONS(3434),
    [anon_sym_RBRACK] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
  },
  [1921] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1603),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1603),
    [sym_boolean_operator] = STATE(1603),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1603),
    [sym_lambda] = STATE(1603),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1603),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1603),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(4350),
    [anon_sym_async] = ACTIONS(4350),
    [anon_sym_for] = ACTIONS(4350),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(4348),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1922] = {
    [sym__expression_within_for_in_clause] = STATE(1798),
    [sym__expression] = STATE(1603),
    [sym__primary_expression] = STATE(930),
    [sym_not_operator] = STATE(1603),
    [sym_boolean_operator] = STATE(1603),
    [sym_binary_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_comparison_operator] = STATE(1603),
    [sym_lambda] = STATE(1603),
    [sym_lambda_within_for_in_clause] = STATE(1406),
    [sym_attribute] = STATE(930),
    [sym_subscript] = STATE(930),
    [sym_call] = STATE(930),
    [sym_list] = STATE(930),
    [sym_list_comprehension] = STATE(930),
    [sym_dictionary] = STATE(930),
    [sym_dictionary_comprehension] = STATE(930),
    [sym_set] = STATE(930),
    [sym_set_comprehension] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym_tuple] = STATE(930),
    [sym_generator_expression] = STATE(930),
    [sym_conditional_expression] = STATE(1603),
    [sym_concatenated_string] = STATE(930),
    [sym_await] = STATE(1603),
    [anon_sym_LPAREN] = ACTIONS(77),
    [anon_sym_print] = ACTIONS(83),
    [anon_sym_exec] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1807),
    [anon_sym_DASH] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_lambda] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(93),
    [sym_ellipsis] = ACTIONS(1811),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_string] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_identifier] = ACTIONS(1815),
    [sym_true] = ACTIONS(1815),
    [sym_false] = ACTIONS(1815),
    [sym_none] = ACTIONS(1815),
    [anon_sym_await] = ACTIONS(1817),
    [sym_comment] = ACTIONS(69),
  },
  [1923] = {
    [anon_sym_if] = ACTIONS(4228),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(3607),
    [sym_comment] = ACTIONS(69),
  },
  [1924] = {
    [sym__dedent] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_elif] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [1925] = {
    [sym__simple_statements] = STATE(1944),
    [sym_import_statement] = STATE(1678),
    [sym_import_from_statement] = STATE(1678),
    [sym_print_statement] = STATE(1678),
    [sym_assert_statement] = STATE(1678),
    [sym_expression_statement] = STATE(1678),
    [sym_return_statement] = STATE(1678),
    [sym_delete_statement] = STATE(1678),
    [sym_raise_statement] = STATE(1678),
    [sym_global_statement] = STATE(1678),
    [sym_nonlocal_statement] = STATE(1678),
    [sym_exec_statement] = STATE(1678),
    [sym__suite] = STATE(1944),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3772),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(3774),
    [sym_break_statement] = ACTIONS(3774),
    [sym_continue_statement] = ACTIONS(3774),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1926] = {
    [sym__dedent] = ACTIONS(4080),
    [anon_sym_import] = ACTIONS(4082),
    [anon_sym_from] = ACTIONS(4082),
    [anon_sym_LPAREN] = ACTIONS(4080),
    [anon_sym_print] = ACTIONS(4082),
    [anon_sym_assert] = ACTIONS(4082),
    [anon_sym_return] = ACTIONS(4082),
    [anon_sym_del] = ACTIONS(4082),
    [anon_sym_raise] = ACTIONS(4082),
    [sym_pass_statement] = ACTIONS(4082),
    [sym_break_statement] = ACTIONS(4082),
    [sym_continue_statement] = ACTIONS(4082),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_async] = ACTIONS(4082),
    [anon_sym_for] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(4082),
    [anon_sym_try] = ACTIONS(4082),
    [anon_sym_with] = ACTIONS(4082),
    [anon_sym_def] = ACTIONS(4082),
    [anon_sym_global] = ACTIONS(4082),
    [anon_sym_nonlocal] = ACTIONS(4082),
    [anon_sym_exec] = ACTIONS(4082),
    [anon_sym_class] = ACTIONS(4082),
    [anon_sym_AT] = ACTIONS(4080),
    [anon_sym_not] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4080),
    [anon_sym_DASH] = ACTIONS(4080),
    [anon_sym_TILDE] = ACTIONS(4080),
    [anon_sym_lambda] = ACTIONS(4082),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [sym_ellipsis] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(4080),
    [sym_string] = ACTIONS(4080),
    [sym_integer] = ACTIONS(4082),
    [sym_float] = ACTIONS(4082),
    [sym_identifier] = ACTIONS(4082),
    [sym_true] = ACTIONS(4082),
    [sym_false] = ACTIONS(4082),
    [sym_none] = ACTIONS(4082),
    [anon_sym_await] = ACTIONS(4082),
    [sym_comment] = ACTIONS(69),
  },
  [1927] = {
    [sym_else_clause] = STATE(1945),
    [sym__dedent] = ACTIONS(4084),
    [anon_sym_import] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4084),
    [anon_sym_print] = ACTIONS(4086),
    [anon_sym_assert] = ACTIONS(4086),
    [anon_sym_return] = ACTIONS(4086),
    [anon_sym_del] = ACTIONS(4086),
    [anon_sym_raise] = ACTIONS(4086),
    [sym_pass_statement] = ACTIONS(4086),
    [sym_break_statement] = ACTIONS(4086),
    [sym_continue_statement] = ACTIONS(4086),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_else] = ACTIONS(4096),
    [anon_sym_async] = ACTIONS(4086),
    [anon_sym_for] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(4086),
    [anon_sym_try] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4086),
    [anon_sym_def] = ACTIONS(4086),
    [anon_sym_global] = ACTIONS(4086),
    [anon_sym_nonlocal] = ACTIONS(4086),
    [anon_sym_exec] = ACTIONS(4086),
    [anon_sym_class] = ACTIONS(4086),
    [anon_sym_AT] = ACTIONS(4084),
    [anon_sym_not] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4084),
    [anon_sym_DASH] = ACTIONS(4084),
    [anon_sym_TILDE] = ACTIONS(4084),
    [anon_sym_lambda] = ACTIONS(4086),
    [anon_sym_yield] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4084),
    [sym_ellipsis] = ACTIONS(4084),
    [anon_sym_LBRACE] = ACTIONS(4084),
    [sym_string] = ACTIONS(4084),
    [sym_integer] = ACTIONS(4086),
    [sym_float] = ACTIONS(4086),
    [sym_identifier] = ACTIONS(4086),
    [sym_true] = ACTIONS(4086),
    [sym_false] = ACTIONS(4086),
    [sym_none] = ACTIONS(4086),
    [anon_sym_await] = ACTIONS(4086),
    [sym_comment] = ACTIONS(69),
  },
  [1928] = {
    [sym__simple_statements] = STATE(1946),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym__suite] = STATE(1946),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(3788),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1929] = {
    [sym__dedent] = ACTIONS(4084),
    [anon_sym_import] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4084),
    [anon_sym_print] = ACTIONS(4086),
    [anon_sym_assert] = ACTIONS(4086),
    [anon_sym_return] = ACTIONS(4086),
    [anon_sym_del] = ACTIONS(4086),
    [anon_sym_raise] = ACTIONS(4086),
    [sym_pass_statement] = ACTIONS(4086),
    [sym_break_statement] = ACTIONS(4086),
    [sym_continue_statement] = ACTIONS(4086),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_async] = ACTIONS(4086),
    [anon_sym_for] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(4086),
    [anon_sym_try] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4086),
    [anon_sym_def] = ACTIONS(4086),
    [anon_sym_global] = ACTIONS(4086),
    [anon_sym_nonlocal] = ACTIONS(4086),
    [anon_sym_exec] = ACTIONS(4086),
    [anon_sym_class] = ACTIONS(4086),
    [anon_sym_AT] = ACTIONS(4084),
    [anon_sym_not] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4084),
    [anon_sym_DASH] = ACTIONS(4084),
    [anon_sym_TILDE] = ACTIONS(4084),
    [anon_sym_lambda] = ACTIONS(4086),
    [anon_sym_yield] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4084),
    [sym_ellipsis] = ACTIONS(4084),
    [anon_sym_LBRACE] = ACTIONS(4084),
    [sym_string] = ACTIONS(4084),
    [sym_integer] = ACTIONS(4086),
    [sym_float] = ACTIONS(4086),
    [sym_identifier] = ACTIONS(4086),
    [sym_true] = ACTIONS(4086),
    [sym_false] = ACTIONS(4086),
    [sym_none] = ACTIONS(4086),
    [anon_sym_await] = ACTIONS(4086),
    [sym_comment] = ACTIONS(69),
  },
  [1930] = {
    [sym__dedent] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [1931] = {
    [sym__dedent] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_except] = ACTIONS(2387),
    [anon_sym_finally] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1932] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4381),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1933] = {
    [sym__dedent] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_else] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_except] = ACTIONS(575),
    [anon_sym_finally] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [1934] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4383),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1935] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(4383),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4385),
  },
  [1936] = {
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_COLON] = ACTIONS(4387),
    [anon_sym_and] = ACTIONS(591),
    [anon_sym_or] = ACTIONS(593),
    [sym_comment] = ACTIONS(69),
  },
  [1937] = {
    [sym__dedent] = ACTIONS(4126),
    [anon_sym_import] = ACTIONS(4128),
    [anon_sym_from] = ACTIONS(4128),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_print] = ACTIONS(4128),
    [anon_sym_assert] = ACTIONS(4128),
    [anon_sym_return] = ACTIONS(4128),
    [anon_sym_del] = ACTIONS(4128),
    [anon_sym_raise] = ACTIONS(4128),
    [sym_pass_statement] = ACTIONS(4128),
    [sym_break_statement] = ACTIONS(4128),
    [sym_continue_statement] = ACTIONS(4128),
    [anon_sym_if] = ACTIONS(4128),
    [anon_sym_else] = ACTIONS(4128),
    [anon_sym_async] = ACTIONS(4128),
    [anon_sym_for] = ACTIONS(4128),
    [anon_sym_while] = ACTIONS(4128),
    [anon_sym_try] = ACTIONS(4128),
    [anon_sym_except] = ACTIONS(4128),
    [anon_sym_finally] = ACTIONS(4128),
    [anon_sym_with] = ACTIONS(4128),
    [anon_sym_def] = ACTIONS(4128),
    [anon_sym_global] = ACTIONS(4128),
    [anon_sym_nonlocal] = ACTIONS(4128),
    [anon_sym_exec] = ACTIONS(4128),
    [anon_sym_class] = ACTIONS(4128),
    [anon_sym_AT] = ACTIONS(4126),
    [anon_sym_not] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4126),
    [anon_sym_DASH] = ACTIONS(4126),
    [anon_sym_TILDE] = ACTIONS(4126),
    [anon_sym_lambda] = ACTIONS(4128),
    [anon_sym_yield] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [sym_ellipsis] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [sym_string] = ACTIONS(4126),
    [sym_integer] = ACTIONS(4128),
    [sym_float] = ACTIONS(4128),
    [sym_identifier] = ACTIONS(4128),
    [sym_true] = ACTIONS(4128),
    [sym_false] = ACTIONS(4128),
    [sym_none] = ACTIONS(4128),
    [anon_sym_await] = ACTIONS(4128),
    [sym_comment] = ACTIONS(69),
  },
  [1938] = {
    [sym__statement] = STATE(1952),
    [sym__simple_statements] = STATE(1952),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1952),
    [sym_for_statement] = STATE(1952),
    [sym_while_statement] = STATE(1952),
    [sym_try_statement] = STATE(1952),
    [sym_with_statement] = STATE(1952),
    [sym_function_definition] = STATE(1952),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1952),
    [sym_decorated_definition] = STATE(1952),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1952),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4389),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1939] = {
    [aux_sym__simple_statements_repeat1] = STATE(1955),
    [sym__newline] = ACTIONS(4391),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4393),
  },
  [1940] = {
    [sym__dedent] = ACTIONS(4080),
    [anon_sym_import] = ACTIONS(4082),
    [anon_sym_from] = ACTIONS(4082),
    [anon_sym_LPAREN] = ACTIONS(4080),
    [anon_sym_print] = ACTIONS(4082),
    [anon_sym_assert] = ACTIONS(4082),
    [anon_sym_return] = ACTIONS(4082),
    [anon_sym_del] = ACTIONS(4082),
    [anon_sym_raise] = ACTIONS(4082),
    [sym_pass_statement] = ACTIONS(4082),
    [sym_break_statement] = ACTIONS(4082),
    [sym_continue_statement] = ACTIONS(4082),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_async] = ACTIONS(4082),
    [anon_sym_for] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(4082),
    [anon_sym_try] = ACTIONS(4082),
    [anon_sym_finally] = ACTIONS(4082),
    [anon_sym_with] = ACTIONS(4082),
    [anon_sym_def] = ACTIONS(4082),
    [anon_sym_global] = ACTIONS(4082),
    [anon_sym_nonlocal] = ACTIONS(4082),
    [anon_sym_exec] = ACTIONS(4082),
    [anon_sym_class] = ACTIONS(4082),
    [anon_sym_AT] = ACTIONS(4080),
    [anon_sym_not] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4080),
    [anon_sym_DASH] = ACTIONS(4080),
    [anon_sym_TILDE] = ACTIONS(4080),
    [anon_sym_lambda] = ACTIONS(4082),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [sym_ellipsis] = ACTIONS(4080),
    [anon_sym_LBRACE] = ACTIONS(4080),
    [sym_string] = ACTIONS(4080),
    [sym_integer] = ACTIONS(4082),
    [sym_float] = ACTIONS(4082),
    [sym_identifier] = ACTIONS(4082),
    [sym_true] = ACTIONS(4082),
    [sym_false] = ACTIONS(4082),
    [sym_none] = ACTIONS(4082),
    [anon_sym_await] = ACTIONS(4082),
    [sym_comment] = ACTIONS(69),
  },
  [1941] = {
    [sym__dedent] = ACTIONS(4193),
    [anon_sym_import] = ACTIONS(4195),
    [anon_sym_from] = ACTIONS(4195),
    [anon_sym_LPAREN] = ACTIONS(4193),
    [anon_sym_print] = ACTIONS(4195),
    [anon_sym_assert] = ACTIONS(4195),
    [anon_sym_return] = ACTIONS(4195),
    [anon_sym_del] = ACTIONS(4195),
    [anon_sym_raise] = ACTIONS(4195),
    [sym_pass_statement] = ACTIONS(4195),
    [sym_break_statement] = ACTIONS(4195),
    [sym_continue_statement] = ACTIONS(4195),
    [anon_sym_if] = ACTIONS(4195),
    [anon_sym_async] = ACTIONS(4195),
    [anon_sym_for] = ACTIONS(4195),
    [anon_sym_while] = ACTIONS(4195),
    [anon_sym_try] = ACTIONS(4195),
    [anon_sym_with] = ACTIONS(4195),
    [anon_sym_def] = ACTIONS(4195),
    [anon_sym_global] = ACTIONS(4195),
    [anon_sym_nonlocal] = ACTIONS(4195),
    [anon_sym_exec] = ACTIONS(4195),
    [anon_sym_class] = ACTIONS(4195),
    [anon_sym_AT] = ACTIONS(4193),
    [anon_sym_not] = ACTIONS(4195),
    [anon_sym_PLUS] = ACTIONS(4193),
    [anon_sym_DASH] = ACTIONS(4193),
    [anon_sym_TILDE] = ACTIONS(4193),
    [anon_sym_lambda] = ACTIONS(4195),
    [anon_sym_yield] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_ellipsis] = ACTIONS(4193),
    [anon_sym_LBRACE] = ACTIONS(4193),
    [sym_string] = ACTIONS(4193),
    [sym_integer] = ACTIONS(4195),
    [sym_float] = ACTIONS(4195),
    [sym_identifier] = ACTIONS(4195),
    [sym_true] = ACTIONS(4195),
    [sym_false] = ACTIONS(4195),
    [sym_none] = ACTIONS(4195),
    [anon_sym_await] = ACTIONS(4195),
    [sym_comment] = ACTIONS(69),
  },
  [1942] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_finally] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [1943] = {
    [anon_sym_RPAREN] = ACTIONS(3607),
    [anon_sym_COMMA] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3607),
    [anon_sym_and] = ACTIONS(3859),
    [anon_sym_or] = ACTIONS(3861),
    [sym_comment] = ACTIONS(69),
  },
  [1944] = {
    [sym__dedent] = ACTIONS(4266),
    [anon_sym_import] = ACTIONS(4268),
    [anon_sym_from] = ACTIONS(4268),
    [anon_sym_LPAREN] = ACTIONS(4266),
    [anon_sym_print] = ACTIONS(4268),
    [anon_sym_assert] = ACTIONS(4268),
    [anon_sym_return] = ACTIONS(4268),
    [anon_sym_del] = ACTIONS(4268),
    [anon_sym_raise] = ACTIONS(4268),
    [sym_pass_statement] = ACTIONS(4268),
    [sym_break_statement] = ACTIONS(4268),
    [sym_continue_statement] = ACTIONS(4268),
    [anon_sym_if] = ACTIONS(4268),
    [anon_sym_elif] = ACTIONS(4268),
    [anon_sym_else] = ACTIONS(4268),
    [anon_sym_async] = ACTIONS(4268),
    [anon_sym_for] = ACTIONS(4268),
    [anon_sym_while] = ACTIONS(4268),
    [anon_sym_try] = ACTIONS(4268),
    [anon_sym_with] = ACTIONS(4268),
    [anon_sym_def] = ACTIONS(4268),
    [anon_sym_global] = ACTIONS(4268),
    [anon_sym_nonlocal] = ACTIONS(4268),
    [anon_sym_exec] = ACTIONS(4268),
    [anon_sym_class] = ACTIONS(4268),
    [anon_sym_AT] = ACTIONS(4266),
    [anon_sym_not] = ACTIONS(4268),
    [anon_sym_PLUS] = ACTIONS(4266),
    [anon_sym_DASH] = ACTIONS(4266),
    [anon_sym_TILDE] = ACTIONS(4266),
    [anon_sym_lambda] = ACTIONS(4268),
    [anon_sym_yield] = ACTIONS(4268),
    [anon_sym_LBRACK] = ACTIONS(4266),
    [sym_ellipsis] = ACTIONS(4266),
    [anon_sym_LBRACE] = ACTIONS(4266),
    [sym_string] = ACTIONS(4266),
    [sym_integer] = ACTIONS(4268),
    [sym_float] = ACTIONS(4268),
    [sym_identifier] = ACTIONS(4268),
    [sym_true] = ACTIONS(4268),
    [sym_false] = ACTIONS(4268),
    [sym_none] = ACTIONS(4268),
    [anon_sym_await] = ACTIONS(4268),
    [sym_comment] = ACTIONS(69),
  },
  [1945] = {
    [sym__dedent] = ACTIONS(4270),
    [anon_sym_import] = ACTIONS(4272),
    [anon_sym_from] = ACTIONS(4272),
    [anon_sym_LPAREN] = ACTIONS(4270),
    [anon_sym_print] = ACTIONS(4272),
    [anon_sym_assert] = ACTIONS(4272),
    [anon_sym_return] = ACTIONS(4272),
    [anon_sym_del] = ACTIONS(4272),
    [anon_sym_raise] = ACTIONS(4272),
    [sym_pass_statement] = ACTIONS(4272),
    [sym_break_statement] = ACTIONS(4272),
    [sym_continue_statement] = ACTIONS(4272),
    [anon_sym_if] = ACTIONS(4272),
    [anon_sym_async] = ACTIONS(4272),
    [anon_sym_for] = ACTIONS(4272),
    [anon_sym_while] = ACTIONS(4272),
    [anon_sym_try] = ACTIONS(4272),
    [anon_sym_with] = ACTIONS(4272),
    [anon_sym_def] = ACTIONS(4272),
    [anon_sym_global] = ACTIONS(4272),
    [anon_sym_nonlocal] = ACTIONS(4272),
    [anon_sym_exec] = ACTIONS(4272),
    [anon_sym_class] = ACTIONS(4272),
    [anon_sym_AT] = ACTIONS(4270),
    [anon_sym_not] = ACTIONS(4272),
    [anon_sym_PLUS] = ACTIONS(4270),
    [anon_sym_DASH] = ACTIONS(4270),
    [anon_sym_TILDE] = ACTIONS(4270),
    [anon_sym_lambda] = ACTIONS(4272),
    [anon_sym_yield] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4270),
    [sym_ellipsis] = ACTIONS(4270),
    [anon_sym_LBRACE] = ACTIONS(4270),
    [sym_string] = ACTIONS(4270),
    [sym_integer] = ACTIONS(4272),
    [sym_float] = ACTIONS(4272),
    [sym_identifier] = ACTIONS(4272),
    [sym_true] = ACTIONS(4272),
    [sym_false] = ACTIONS(4272),
    [sym_none] = ACTIONS(4272),
    [anon_sym_await] = ACTIONS(4272),
    [sym_comment] = ACTIONS(69),
  },
  [1946] = {
    [sym__dedent] = ACTIONS(4274),
    [anon_sym_import] = ACTIONS(4276),
    [anon_sym_from] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4274),
    [anon_sym_print] = ACTIONS(4276),
    [anon_sym_assert] = ACTIONS(4276),
    [anon_sym_return] = ACTIONS(4276),
    [anon_sym_del] = ACTIONS(4276),
    [anon_sym_raise] = ACTIONS(4276),
    [sym_pass_statement] = ACTIONS(4276),
    [sym_break_statement] = ACTIONS(4276),
    [sym_continue_statement] = ACTIONS(4276),
    [anon_sym_if] = ACTIONS(4276),
    [anon_sym_async] = ACTIONS(4276),
    [anon_sym_for] = ACTIONS(4276),
    [anon_sym_while] = ACTIONS(4276),
    [anon_sym_try] = ACTIONS(4276),
    [anon_sym_with] = ACTIONS(4276),
    [anon_sym_def] = ACTIONS(4276),
    [anon_sym_global] = ACTIONS(4276),
    [anon_sym_nonlocal] = ACTIONS(4276),
    [anon_sym_exec] = ACTIONS(4276),
    [anon_sym_class] = ACTIONS(4276),
    [anon_sym_AT] = ACTIONS(4274),
    [anon_sym_not] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4274),
    [anon_sym_DASH] = ACTIONS(4274),
    [anon_sym_TILDE] = ACTIONS(4274),
    [anon_sym_lambda] = ACTIONS(4276),
    [anon_sym_yield] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [sym_ellipsis] = ACTIONS(4274),
    [anon_sym_LBRACE] = ACTIONS(4274),
    [sym_string] = ACTIONS(4274),
    [sym_integer] = ACTIONS(4276),
    [sym_float] = ACTIONS(4276),
    [sym_identifier] = ACTIONS(4276),
    [sym_true] = ACTIONS(4276),
    [sym_false] = ACTIONS(4276),
    [sym_none] = ACTIONS(4276),
    [anon_sym_await] = ACTIONS(4276),
    [sym_comment] = ACTIONS(69),
  },
  [1947] = {
    [sym__dedent] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_except] = ACTIONS(3186),
    [anon_sym_finally] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1948] = {
    [sym__dedent] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_else] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_except] = ACTIONS(1400),
    [anon_sym_finally] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1949] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4395),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1950] = {
    [sym__simple_statements] = STATE(1957),
    [sym_import_statement] = STATE(1901),
    [sym_import_from_statement] = STATE(1901),
    [sym_print_statement] = STATE(1901),
    [sym_assert_statement] = STATE(1901),
    [sym_expression_statement] = STATE(1901),
    [sym_return_statement] = STATE(1901),
    [sym_delete_statement] = STATE(1901),
    [sym_raise_statement] = STATE(1901),
    [sym_global_statement] = STATE(1901),
    [sym_nonlocal_statement] = STATE(1901),
    [sym_exec_statement] = STATE(1901),
    [sym__suite] = STATE(1957),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__indent] = ACTIONS(4294),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(4296),
    [sym_break_statement] = ACTIONS(4296),
    [sym_continue_statement] = ACTIONS(4296),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1951] = {
    [sym__dedent] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2387),
    [anon_sym_from] = ACTIONS(2387),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_print] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2387),
    [anon_sym_return] = ACTIONS(2387),
    [anon_sym_del] = ACTIONS(2387),
    [anon_sym_raise] = ACTIONS(2387),
    [sym_pass_statement] = ACTIONS(2387),
    [sym_break_statement] = ACTIONS(2387),
    [sym_continue_statement] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2387),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_for] = ACTIONS(2387),
    [anon_sym_while] = ACTIONS(2387),
    [anon_sym_try] = ACTIONS(2387),
    [anon_sym_finally] = ACTIONS(2387),
    [anon_sym_with] = ACTIONS(2387),
    [anon_sym_def] = ACTIONS(2387),
    [anon_sym_global] = ACTIONS(2387),
    [anon_sym_nonlocal] = ACTIONS(2387),
    [anon_sym_exec] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2387),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_not] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_TILDE] = ACTIONS(2385),
    [anon_sym_lambda] = ACTIONS(2387),
    [anon_sym_yield] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [sym_ellipsis] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2385),
    [sym_string] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [sym_false] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [anon_sym_await] = ACTIONS(2387),
    [sym_comment] = ACTIONS(69),
  },
  [1952] = {
    [sym__statement] = STATE(1155),
    [sym__simple_statements] = STATE(1155),
    [sym_import_statement] = STATE(746),
    [sym_import_from_statement] = STATE(746),
    [sym_print_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_expression_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_delete_statement] = STATE(746),
    [sym_raise_statement] = STATE(746),
    [sym_if_statement] = STATE(1155),
    [sym_for_statement] = STATE(1155),
    [sym_while_statement] = STATE(1155),
    [sym_try_statement] = STATE(1155),
    [sym_with_statement] = STATE(1155),
    [sym_function_definition] = STATE(1155),
    [sym_global_statement] = STATE(746),
    [sym_nonlocal_statement] = STATE(746),
    [sym_exec_statement] = STATE(746),
    [sym_class_definition] = STATE(1155),
    [sym_decorated_definition] = STATE(1155),
    [sym_decorator] = STATE(756),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [aux_sym_module_repeat1] = STATE(1155),
    [aux_sym_decorated_definition_repeat1] = STATE(756),
    [sym__dedent] = ACTIONS(4397),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(1495),
    [sym_break_statement] = ACTIONS(1495),
    [sym_continue_statement] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1953] = {
    [sym__dedent] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(575),
    [anon_sym_from] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_print] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(575),
    [anon_sym_return] = ACTIONS(575),
    [anon_sym_del] = ACTIONS(575),
    [anon_sym_raise] = ACTIONS(575),
    [sym_pass_statement] = ACTIONS(575),
    [sym_break_statement] = ACTIONS(575),
    [sym_continue_statement] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_async] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(575),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_finally] = ACTIONS(575),
    [anon_sym_with] = ACTIONS(575),
    [anon_sym_def] = ACTIONS(575),
    [anon_sym_global] = ACTIONS(575),
    [anon_sym_nonlocal] = ACTIONS(575),
    [anon_sym_exec] = ACTIONS(575),
    [anon_sym_class] = ACTIONS(575),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_lambda] = ACTIONS(575),
    [anon_sym_yield] = ACTIONS(575),
    [anon_sym_LBRACK] = ACTIONS(573),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [sym_string] = ACTIONS(573),
    [sym_integer] = ACTIONS(575),
    [sym_float] = ACTIONS(575),
    [sym_identifier] = ACTIONS(575),
    [sym_true] = ACTIONS(575),
    [sym_false] = ACTIONS(575),
    [sym_none] = ACTIONS(575),
    [anon_sym_await] = ACTIONS(575),
    [sym_comment] = ACTIONS(69),
  },
  [1954] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4399),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1955] = {
    [aux_sym__simple_statements_repeat1] = STATE(328),
    [sym__newline] = ACTIONS(4399),
    [sym_comment] = ACTIONS(69),
    [sym__semicolon] = ACTIONS(4401),
  },
  [1956] = {
    [sym__dedent] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_except] = ACTIONS(2318),
    [anon_sym_finally] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
  [1957] = {
    [sym__dedent] = ACTIONS(4375),
    [anon_sym_import] = ACTIONS(4377),
    [anon_sym_from] = ACTIONS(4377),
    [anon_sym_LPAREN] = ACTIONS(4375),
    [anon_sym_print] = ACTIONS(4377),
    [anon_sym_assert] = ACTIONS(4377),
    [anon_sym_return] = ACTIONS(4377),
    [anon_sym_del] = ACTIONS(4377),
    [anon_sym_raise] = ACTIONS(4377),
    [sym_pass_statement] = ACTIONS(4377),
    [sym_break_statement] = ACTIONS(4377),
    [sym_continue_statement] = ACTIONS(4377),
    [anon_sym_if] = ACTIONS(4377),
    [anon_sym_else] = ACTIONS(4377),
    [anon_sym_async] = ACTIONS(4377),
    [anon_sym_for] = ACTIONS(4377),
    [anon_sym_while] = ACTIONS(4377),
    [anon_sym_try] = ACTIONS(4377),
    [anon_sym_except] = ACTIONS(4377),
    [anon_sym_finally] = ACTIONS(4377),
    [anon_sym_with] = ACTIONS(4377),
    [anon_sym_def] = ACTIONS(4377),
    [anon_sym_global] = ACTIONS(4377),
    [anon_sym_nonlocal] = ACTIONS(4377),
    [anon_sym_exec] = ACTIONS(4377),
    [anon_sym_class] = ACTIONS(4377),
    [anon_sym_AT] = ACTIONS(4375),
    [anon_sym_not] = ACTIONS(4377),
    [anon_sym_PLUS] = ACTIONS(4375),
    [anon_sym_DASH] = ACTIONS(4375),
    [anon_sym_TILDE] = ACTIONS(4375),
    [anon_sym_lambda] = ACTIONS(4377),
    [anon_sym_yield] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4375),
    [sym_ellipsis] = ACTIONS(4375),
    [anon_sym_LBRACE] = ACTIONS(4375),
    [sym_string] = ACTIONS(4375),
    [sym_integer] = ACTIONS(4377),
    [sym_float] = ACTIONS(4377),
    [sym_identifier] = ACTIONS(4377),
    [sym_true] = ACTIONS(4377),
    [sym_false] = ACTIONS(4377),
    [sym_none] = ACTIONS(4377),
    [anon_sym_await] = ACTIONS(4377),
    [sym_comment] = ACTIONS(69),
  },
  [1958] = {
    [sym__dedent] = ACTIONS(3184),
    [anon_sym_import] = ACTIONS(3186),
    [anon_sym_from] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(3186),
    [anon_sym_assert] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_del] = ACTIONS(3186),
    [anon_sym_raise] = ACTIONS(3186),
    [sym_pass_statement] = ACTIONS(3186),
    [sym_break_statement] = ACTIONS(3186),
    [sym_continue_statement] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_async] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_finally] = ACTIONS(3186),
    [anon_sym_with] = ACTIONS(3186),
    [anon_sym_def] = ACTIONS(3186),
    [anon_sym_global] = ACTIONS(3186),
    [anon_sym_nonlocal] = ACTIONS(3186),
    [anon_sym_exec] = ACTIONS(3186),
    [anon_sym_class] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_TILDE] = ACTIONS(3184),
    [anon_sym_lambda] = ACTIONS(3186),
    [anon_sym_yield] = ACTIONS(3186),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [sym_ellipsis] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3184),
    [sym_string] = ACTIONS(3184),
    [sym_integer] = ACTIONS(3186),
    [sym_float] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3186),
    [sym_true] = ACTIONS(3186),
    [sym_false] = ACTIONS(3186),
    [sym_none] = ACTIONS(3186),
    [anon_sym_await] = ACTIONS(3186),
    [sym_comment] = ACTIONS(69),
  },
  [1959] = {
    [sym__dedent] = ACTIONS(1398),
    [anon_sym_import] = ACTIONS(1400),
    [anon_sym_from] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_print] = ACTIONS(1400),
    [anon_sym_assert] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_del] = ACTIONS(1400),
    [anon_sym_raise] = ACTIONS(1400),
    [sym_pass_statement] = ACTIONS(1400),
    [sym_break_statement] = ACTIONS(1400),
    [sym_continue_statement] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_finally] = ACTIONS(1400),
    [anon_sym_with] = ACTIONS(1400),
    [anon_sym_def] = ACTIONS(1400),
    [anon_sym_global] = ACTIONS(1400),
    [anon_sym_nonlocal] = ACTIONS(1400),
    [anon_sym_exec] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_not] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [sym_ellipsis] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [sym_string] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1400),
    [sym_true] = ACTIONS(1400),
    [sym_false] = ACTIONS(1400),
    [sym_none] = ACTIONS(1400),
    [anon_sym_await] = ACTIONS(1400),
    [sym_comment] = ACTIONS(69),
  },
  [1960] = {
    [sym_import_statement] = STATE(326),
    [sym_import_from_statement] = STATE(326),
    [sym_print_statement] = STATE(326),
    [sym_assert_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_delete_statement] = STATE(326),
    [sym_raise_statement] = STATE(326),
    [sym_global_statement] = STATE(326),
    [sym_nonlocal_statement] = STATE(326),
    [sym_exec_statement] = STATE(326),
    [sym_expression_list] = STATE(32),
    [sym__expression] = STATE(33),
    [sym__primary_expression] = STATE(34),
    [sym_not_operator] = STATE(33),
    [sym_boolean_operator] = STATE(33),
    [sym_binary_operator] = STATE(34),
    [sym_unary_operator] = STATE(34),
    [sym_comparison_operator] = STATE(33),
    [sym_lambda] = STATE(33),
    [sym_assignment] = STATE(35),
    [sym_augmented_assignment] = STATE(35),
    [sym_yield] = STATE(35),
    [sym_attribute] = STATE(34),
    [sym_subscript] = STATE(34),
    [sym_call] = STATE(34),
    [sym_list] = STATE(34),
    [sym_list_comprehension] = STATE(34),
    [sym_dictionary] = STATE(34),
    [sym_dictionary_comprehension] = STATE(34),
    [sym_set] = STATE(34),
    [sym_set_comprehension] = STATE(34),
    [sym_parenthesized_expression] = STATE(34),
    [sym_tuple] = STATE(34),
    [sym_generator_expression] = STATE(34),
    [sym_conditional_expression] = STATE(33),
    [sym_concatenated_string] = STATE(34),
    [sym_await] = STATE(33),
    [sym__newline] = ACTIONS(4403),
    [anon_sym_import] = ACTIONS(7),
    [anon_sym_from] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_print] = ACTIONS(13),
    [anon_sym_assert] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_raise] = ACTIONS(21),
    [sym_pass_statement] = ACTIONS(579),
    [sym_break_statement] = ACTIONS(579),
    [sym_continue_statement] = ACTIONS(579),
    [anon_sym_global] = ACTIONS(39),
    [anon_sym_nonlocal] = ACTIONS(41),
    [anon_sym_exec] = ACTIONS(43),
    [anon_sym_not] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [sym_string] = ACTIONS(63),
    [sym_integer] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym_identifier] = ACTIONS(65),
    [sym_true] = ACTIONS(65),
    [sym_false] = ACTIONS(65),
    [sym_none] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [sym_comment] = ACTIONS(69),
  },
  [1961] = {
    [sym__dedent] = ACTIONS(2316),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_from] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_print] = ACTIONS(2318),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_del] = ACTIONS(2318),
    [anon_sym_raise] = ACTIONS(2318),
    [sym_pass_statement] = ACTIONS(2318),
    [sym_break_statement] = ACTIONS(2318),
    [sym_continue_statement] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_async] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_finally] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2318),
    [anon_sym_nonlocal] = ACTIONS(2318),
    [anon_sym_exec] = ACTIONS(2318),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2316),
    [anon_sym_not] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_lambda] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [sym_ellipsis] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [sym_string] = ACTIONS(2316),
    [sym_integer] = ACTIONS(2318),
    [sym_float] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_none] = ACTIONS(2318),
    [anon_sym_await] = ACTIONS(2318),
    [sym_comment] = ACTIONS(69),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = true}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, RECOVER(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_module, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(2),
  [9] = {.count = 1, .reusable = false}, SHIFT(3),
  [11] = {.count = 1, .reusable = true}, SHIFT(4),
  [13] = {.count = 1, .reusable = false}, SHIFT(5),
  [15] = {.count = 1, .reusable = false}, SHIFT(6),
  [17] = {.count = 1, .reusable = false}, SHIFT(7),
  [19] = {.count = 1, .reusable = false}, SHIFT(8),
  [21] = {.count = 1, .reusable = false}, SHIFT(9),
  [23] = {.count = 1, .reusable = false}, SHIFT(10),
  [25] = {.count = 1, .reusable = false}, SHIFT(11),
  [27] = {.count = 1, .reusable = false}, SHIFT(12),
  [29] = {.count = 1, .reusable = false}, SHIFT(13),
  [31] = {.count = 1, .reusable = false}, SHIFT(14),
  [33] = {.count = 1, .reusable = false}, SHIFT(15),
  [35] = {.count = 1, .reusable = false}, SHIFT(16),
  [37] = {.count = 1, .reusable = false}, SHIFT(17),
  [39] = {.count = 1, .reusable = false}, SHIFT(18),
  [41] = {.count = 1, .reusable = false}, SHIFT(19),
  [43] = {.count = 1, .reusable = false}, SHIFT(20),
  [45] = {.count = 1, .reusable = false}, SHIFT(21),
  [47] = {.count = 1, .reusable = true}, SHIFT(22),
  [49] = {.count = 1, .reusable = false}, SHIFT(23),
  [51] = {.count = 1, .reusable = true}, SHIFT(24),
  [53] = {.count = 1, .reusable = false}, SHIFT(25),
  [55] = {.count = 1, .reusable = false}, SHIFT(26),
  [57] = {.count = 1, .reusable = true}, SHIFT(27),
  [59] = {.count = 1, .reusable = true}, SHIFT(34),
  [61] = {.count = 1, .reusable = true}, SHIFT(28),
  [63] = {.count = 1, .reusable = true}, SHIFT(29),
  [65] = {.count = 1, .reusable = false}, SHIFT(34),
  [67] = {.count = 1, .reusable = false}, SHIFT(30),
  [69] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [71] = {.count = 1, .reusable = true}, SHIFT(38),
  [73] = {.count = 1, .reusable = true}, SHIFT(45),
  [75] = {.count = 1, .reusable = true}, SHIFT(42),
  [77] = {.count = 1, .reusable = true}, SHIFT(46),
  [79] = {.count = 1, .reusable = true}, SHIFT(47),
  [81] = {.count = 1, .reusable = true}, SHIFT(48),
  [83] = {.count = 1, .reusable = false}, SHIFT(49),
  [85] = {.count = 1, .reusable = false}, SHIFT(50),
  [87] = {.count = 1, .reusable = true}, SHIFT(51),
  [89] = {.count = 1, .reusable = false}, SHIFT(52),
  [91] = {.count = 1, .reusable = false}, SHIFT(53),
  [93] = {.count = 1, .reusable = true}, SHIFT(54),
  [95] = {.count = 1, .reusable = true}, SHIFT(59),
  [97] = {.count = 1, .reusable = true}, SHIFT(55),
  [99] = {.count = 1, .reusable = true}, SHIFT(56),
  [101] = {.count = 1, .reusable = false}, SHIFT(59),
  [103] = {.count = 1, .reusable = false}, SHIFT(57),
  [105] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1, .alias_sequence_id = 1),
  [107] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1, .alias_sequence_id = 1),
  [109] = {.count = 1, .reusable = false}, SHIFT(62),
  [111] = {.count = 1, .reusable = false}, SHIFT(63),
  [113] = {.count = 1, .reusable = true}, SHIFT(65),
  [115] = {.count = 1, .reusable = false}, SHIFT(66),
  [117] = {.count = 1, .reusable = true}, SHIFT(73),
  [119] = {.count = 1, .reusable = true}, SHIFT(68),
  [121] = {.count = 1, .reusable = true}, SHIFT(69),
  [123] = {.count = 1, .reusable = false}, SHIFT(73),
  [125] = {.count = 1, .reusable = false}, SHIFT(70),
  [127] = {.count = 1, .reusable = true}, SHIFT(61),
  [129] = {.count = 1, .reusable = false}, SHIFT(64),
  [131] = {.count = 1, .reusable = true}, SHIFT(67),
  [133] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [135] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 1),
  [137] = {.count = 1, .reusable = false}, SHIFT(78),
  [139] = {.count = 1, .reusable = false}, SHIFT(79),
  [141] = {.count = 1, .reusable = true}, SHIFT(80),
  [143] = {.count = 1, .reusable = false}, SHIFT(81),
  [145] = {.count = 1, .reusable = true}, SHIFT(86),
  [147] = {.count = 1, .reusable = true}, SHIFT(82),
  [149] = {.count = 1, .reusable = false}, SHIFT(86),
  [151] = {.count = 1, .reusable = false}, SHIFT(83),
  [153] = {.count = 1, .reusable = true}, SHIFT(87),
  [155] = {.count = 1, .reusable = true}, SHIFT(88),
  [157] = {.count = 1, .reusable = false}, SHIFT(90),
  [159] = {.count = 1, .reusable = true}, SHIFT(91),
  [161] = {.count = 1, .reusable = false}, SHIFT(92),
  [163] = {.count = 1, .reusable = true}, SHIFT(96),
  [165] = {.count = 1, .reusable = true}, SHIFT(93),
  [167] = {.count = 1, .reusable = false}, SHIFT(96),
  [169] = {.count = 1, .reusable = false}, SHIFT(94),
  [171] = {.count = 1, .reusable = true}, SHIFT(97),
  [173] = {.count = 1, .reusable = true}, SHIFT(98),
  [175] = {.count = 1, .reusable = true}, SHIFT(99),
  [177] = {.count = 1, .reusable = true}, SHIFT(100),
  [179] = {.count = 1, .reusable = true}, SHIFT(103),
  [181] = {.count = 1, .reusable = true}, SHIFT(101),
  [183] = {.count = 1, .reusable = false}, SHIFT(103),
  [185] = {.count = 1, .reusable = true}, SHIFT(105),
  [187] = {.count = 1, .reusable = false}, SHIFT(106),
  [189] = {.count = 1, .reusable = true}, SHIFT(107),
  [191] = {.count = 1, .reusable = false}, SHIFT(108),
  [193] = {.count = 1, .reusable = true}, SHIFT(113),
  [195] = {.count = 1, .reusable = true}, SHIFT(109),
  [197] = {.count = 1, .reusable = false}, SHIFT(113),
  [199] = {.count = 1, .reusable = false}, SHIFT(110),
  [201] = {.count = 1, .reusable = true}, SHIFT(114),
  [203] = {.count = 1, .reusable = true}, SHIFT(115),
  [205] = {.count = 1, .reusable = true}, SHIFT(116),
  [207] = {.count = 1, .reusable = true}, SHIFT(117),
  [209] = {.count = 1, .reusable = true}, SHIFT(118),
  [211] = {.count = 1, .reusable = true}, SHIFT(119),
  [213] = {.count = 1, .reusable = false}, SHIFT(121),
  [215] = {.count = 1, .reusable = true}, SHIFT(123),
  [217] = {.count = 1, .reusable = false}, SHIFT(123),
  [219] = {.count = 1, .reusable = true}, SHIFT(124),
  [221] = {.count = 1, .reusable = true}, SHIFT(125),
  [223] = {.count = 1, .reusable = false}, SHIFT(126),
  [225] = {.count = 1, .reusable = true}, SHIFT(127),
  [227] = {.count = 1, .reusable = false}, SHIFT(128),
  [229] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 1),
  [231] = {.count = 1, .reusable = false}, SHIFT(133),
  [233] = {.count = 1, .reusable = true}, SHIFT(135),
  [235] = {.count = 1, .reusable = true}, SHIFT(136),
  [237] = {.count = 1, .reusable = false}, SHIFT(137),
  [239] = {.count = 1, .reusable = true}, SHIFT(138),
  [241] = {.count = 1, .reusable = false}, SHIFT(139),
  [243] = {.count = 1, .reusable = true}, SHIFT(140),
  [245] = {.count = 1, .reusable = true}, SHIFT(145),
  [247] = {.count = 1, .reusable = true}, SHIFT(141),
  [249] = {.count = 1, .reusable = false}, SHIFT(145),
  [251] = {.count = 1, .reusable = false}, SHIFT(142),
  [253] = {.count = 1, .reusable = true}, SHIFT(146),
  [255] = {.count = 1, .reusable = true}, SHIFT(147),
  [257] = {.count = 1, .reusable = false}, SHIFT(148),
  [259] = {.count = 1, .reusable = true}, SHIFT(149),
  [261] = {.count = 1, .reusable = false}, SHIFT(150),
  [263] = {.count = 1, .reusable = true}, SHIFT(157),
  [265] = {.count = 1, .reusable = true}, SHIFT(151),
  [267] = {.count = 1, .reusable = true}, SHIFT(152),
  [269] = {.count = 1, .reusable = false}, SHIFT(157),
  [271] = {.count = 1, .reusable = false}, SHIFT(153),
  [273] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1),
  [275] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1),
  [277] = {.count = 1, .reusable = true}, SHIFT(159),
  [279] = {.count = 1, .reusable = true}, ACCEPT_INPUT(),
  [281] = {.count = 1, .reusable = true}, SHIFT(161),
  [283] = {.count = 1, .reusable = true}, SHIFT(162),
  [285] = {.count = 1, .reusable = true}, SHIFT(163),
  [287] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 1),
  [289] = {.count = 1, .reusable = true}, SHIFT(164),
  [291] = {.count = 1, .reusable = true}, SHIFT(165),
  [293] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [295] = {.count = 1, .reusable = true}, SHIFT(166),
  [297] = {.count = 1, .reusable = true}, SHIFT(167),
  [299] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [301] = {.count = 1, .reusable = true}, SHIFT(169),
  [303] = {.count = 1, .reusable = true}, SHIFT(170),
  [305] = {.count = 1, .reusable = false}, SHIFT(171),
  [307] = {.count = 1, .reusable = false}, SHIFT(172),
  [309] = {.count = 1, .reusable = true}, SHIFT(173),
  [311] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [313] = {.count = 1, .reusable = true}, SHIFT(174),
  [315] = {.count = 1, .reusable = false}, SHIFT(175),
  [317] = {.count = 1, .reusable = false}, SHIFT(176),
  [319] = {.count = 1, .reusable = false}, SHIFT(177),
  [321] = {.count = 1, .reusable = false}, SHIFT(178),
  [323] = {.count = 1, .reusable = false}, SHIFT(179),
  [325] = {.count = 1, .reusable = false}, SHIFT(173),
  [327] = {.count = 1, .reusable = true}, SHIFT(180),
  [329] = {.count = 1, .reusable = true}, SHIFT(181),
  [331] = {.count = 1, .reusable = true}, REDUCE(sym_module, 1),
  [333] = {.count = 1, .reusable = true}, SHIFT(185),
  [335] = {.count = 1, .reusable = true}, SHIFT(17),
  [337] = {.count = 1, .reusable = true}, SHIFT(21),
  [339] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 1),
  [341] = {.count = 1, .reusable = true}, SHIFT(188),
  [343] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 2),
  [345] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 1),
  [347] = {.count = 1, .reusable = true}, SHIFT(190),
  [349] = {.count = 1, .reusable = true}, SHIFT(192),
  [351] = {.count = 1, .reusable = true}, SHIFT(193),
  [353] = {.count = 1, .reusable = false}, REDUCE(sym_relative_import, 1),
  [355] = {.count = 1, .reusable = false}, SHIFT(42),
  [357] = {.count = 1, .reusable = true}, SHIFT(196),
  [359] = {.count = 1, .reusable = false}, REDUCE(sym_import_prefix, 1),
  [361] = {.count = 1, .reusable = true}, SHIFT(197),
  [363] = {.count = 1, .reusable = true}, SHIFT(198),
  [365] = {.count = 1, .reusable = true}, SHIFT(199),
  [367] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 2),
  [369] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 2),
  [371] = {.count = 1, .reusable = true}, SHIFT(202),
  [373] = {.count = 1, .reusable = true}, SHIFT(204),
  [375] = {.count = 1, .reusable = false}, SHIFT(204),
  [377] = {.count = 1, .reusable = true}, SHIFT(205),
  [379] = {.count = 1, .reusable = false}, SHIFT(207),
  [381] = {.count = 1, .reusable = false}, SHIFT(208),
  [383] = {.count = 1, .reusable = true}, SHIFT(209),
  [385] = {.count = 1, .reusable = false}, SHIFT(210),
  [387] = {.count = 1, .reusable = true}, SHIFT(215),
  [389] = {.count = 1, .reusable = true}, SHIFT(211),
  [391] = {.count = 1, .reusable = false}, SHIFT(215),
  [393] = {.count = 1, .reusable = false}, SHIFT(212),
  [395] = {.count = 1, .reusable = true}, SHIFT(216),
  [397] = {.count = 1, .reusable = true}, SHIFT(217),
  [399] = {.count = 1, .reusable = true}, SHIFT(220),
  [401] = {.count = 1, .reusable = true}, SHIFT(221),
  [403] = {.count = 1, .reusable = true}, SHIFT(226),
  [405] = {.count = 1, .reusable = true}, SHIFT(228),
  [407] = {.count = 1, .reusable = true}, SHIFT(229),
  [409] = {.count = 1, .reusable = true}, SHIFT(230),
  [411] = {.count = 1, .reusable = true}, SHIFT(231),
  [413] = {.count = 1, .reusable = true}, SHIFT(232),
  [415] = {.count = 1, .reusable = true}, SHIFT(233),
  [417] = {.count = 1, .reusable = true}, SHIFT(234),
  [419] = {.count = 1, .reusable = true}, SHIFT(238),
  [421] = {.count = 1, .reusable = true}, SHIFT(239),
  [423] = {.count = 1, .reusable = false}, SHIFT(240),
  [425] = {.count = 1, .reusable = true}, SHIFT(241),
  [427] = {.count = 1, .reusable = true}, SHIFT(242),
  [429] = {.count = 1, .reusable = true}, SHIFT(240),
  [431] = {.count = 1, .reusable = true}, SHIFT(243),
  [433] = {.count = 1, .reusable = true}, SHIFT(244),
  [435] = {.count = 1, .reusable = true}, SHIFT(245),
  [437] = {.count = 1, .reusable = true}, SHIFT(246),
  [439] = {.count = 1, .reusable = true}, SHIFT(247),
  [441] = {.count = 1, .reusable = true}, SHIFT(248),
  [443] = {.count = 1, .reusable = false}, SHIFT(242),
  [445] = {.count = 1, .reusable = true}, SHIFT(249),
  [447] = {.count = 1, .reusable = true}, SHIFT(250),
  [449] = {.count = 1, .reusable = true}, SHIFT(253),
  [451] = {.count = 1, .reusable = true}, SHIFT(254),
  [453] = {.count = 1, .reusable = true}, SHIFT(259),
  [455] = {.count = 1, .reusable = false}, SHIFT(259),
  [457] = {.count = 1, .reusable = true}, SHIFT(260),
  [459] = {.count = 1, .reusable = true}, SHIFT(262),
  [461] = {.count = 1, .reusable = true}, SHIFT(263),
  [463] = {.count = 1, .reusable = true}, SHIFT(266),
  [465] = {.count = 1, .reusable = true}, SHIFT(267),
  [467] = {.count = 1, .reusable = true}, SHIFT(272),
  [469] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2),
  [471] = {.count = 1, .reusable = true}, SHIFT(273),
  [473] = {.count = 1, .reusable = true}, SHIFT(275),
  [475] = {.count = 1, .reusable = true}, SHIFT(276),
  [477] = {.count = 1, .reusable = true}, SHIFT(277),
  [479] = {.count = 1, .reusable = true}, SHIFT(278),
  [481] = {.count = 1, .reusable = true}, SHIFT(279),
  [483] = {.count = 1, .reusable = false}, SHIFT(280),
  [485] = {.count = 1, .reusable = true}, SHIFT(281),
  [487] = {.count = 1, .reusable = true}, SHIFT(282),
  [489] = {.count = 1, .reusable = true}, SHIFT(280),
  [491] = {.count = 1, .reusable = true}, SHIFT(283),
  [493] = {.count = 1, .reusable = true}, SHIFT(284),
  [495] = {.count = 1, .reusable = true}, SHIFT(285),
  [497] = {.count = 1, .reusable = true}, SHIFT(286),
  [499] = {.count = 1, .reusable = true}, SHIFT(287),
  [501] = {.count = 1, .reusable = true}, SHIFT(288),
  [503] = {.count = 1, .reusable = false}, SHIFT(282),
  [505] = {.count = 1, .reusable = true}, SHIFT(289),
  [507] = {.count = 1, .reusable = true}, SHIFT(290),
  [509] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 2),
  [511] = {.count = 1, .reusable = true}, SHIFT(293),
  [513] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [515] = {.count = 1, .reusable = true}, SHIFT(295),
  [517] = {.count = 1, .reusable = true}, REDUCE(sym_delete_statement, 2),
  [519] = {.count = 1, .reusable = false}, SHIFT(297),
  [521] = {.count = 1, .reusable = true}, SHIFT(298),
  [523] = {.count = 1, .reusable = false}, SHIFT(299),
  [525] = {.count = 1, .reusable = true}, SHIFT(303),
  [527] = {.count = 1, .reusable = true}, SHIFT(300),
  [529] = {.count = 1, .reusable = false}, SHIFT(303),
  [531] = {.count = 1, .reusable = false}, SHIFT(301),
  [533] = {.count = 1, .reusable = true}, SHIFT(305),
  [535] = {.count = 1, .reusable = true}, SHIFT(307),
  [537] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 2),
  [539] = {.count = 1, .reusable = true}, SHIFT(308),
  [541] = {.count = 1, .reusable = true}, SHIFT(309),
  [543] = {.count = 1, .reusable = true}, SHIFT(310),
  [545] = {.count = 1, .reusable = true}, SHIFT(311),
  [547] = {.count = 1, .reusable = true}, SHIFT(312),
  [549] = {.count = 1, .reusable = false}, SHIFT(314),
  [551] = {.count = 1, .reusable = true}, SHIFT(315),
  [553] = {.count = 1, .reusable = true}, SHIFT(316),
  [555] = {.count = 1, .reusable = true}, SHIFT(314),
  [557] = {.count = 1, .reusable = true}, SHIFT(317),
  [559] = {.count = 1, .reusable = true}, SHIFT(318),
  [561] = {.count = 1, .reusable = true}, SHIFT(319),
  [563] = {.count = 1, .reusable = true}, SHIFT(320),
  [565] = {.count = 1, .reusable = true}, SHIFT(321),
  [567] = {.count = 1, .reusable = true}, SHIFT(322),
  [569] = {.count = 1, .reusable = false}, SHIFT(316),
  [571] = {.count = 1, .reusable = true}, SHIFT(323),
  [573] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 2),
  [575] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 2),
  [577] = {.count = 1, .reusable = true}, SHIFT(325),
  [579] = {.count = 1, .reusable = false}, SHIFT(326),
  [581] = {.count = 1, .reusable = true}, SHIFT(327),
  [583] = {.count = 1, .reusable = true}, SHIFT(330),
  [585] = {.count = 1, .reusable = true}, SHIFT(332),
  [587] = {.count = 1, .reusable = true}, SHIFT(333),
  [589] = {.count = 1, .reusable = true}, SHIFT(334),
  [591] = {.count = 1, .reusable = true}, SHIFT(335),
  [593] = {.count = 1, .reusable = true}, SHIFT(336),
  [595] = {.count = 1, .reusable = false}, SHIFT(337),
  [597] = {.count = 1, .reusable = true}, SHIFT(338),
  [599] = {.count = 1, .reusable = true}, SHIFT(339),
  [601] = {.count = 1, .reusable = true}, SHIFT(337),
  [603] = {.count = 1, .reusable = true}, SHIFT(340),
  [605] = {.count = 1, .reusable = true}, SHIFT(341),
  [607] = {.count = 1, .reusable = true}, SHIFT(342),
  [609] = {.count = 1, .reusable = true}, SHIFT(343),
  [611] = {.count = 1, .reusable = true}, SHIFT(344),
  [613] = {.count = 1, .reusable = true}, SHIFT(345),
  [615] = {.count = 1, .reusable = false}, SHIFT(339),
  [617] = {.count = 1, .reusable = true}, SHIFT(346),
  [619] = {.count = 1, .reusable = true}, SHIFT(350),
  [621] = {.count = 1, .reusable = true}, SHIFT(351),
  [623] = {.count = 1, .reusable = true}, SHIFT(352),
  [625] = {.count = 1, .reusable = true}, SHIFT(353),
  [627] = {.count = 1, .reusable = false}, SHIFT(354),
  [629] = {.count = 1, .reusable = true}, SHIFT(355),
  [631] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 1),
  [633] = {.count = 1, .reusable = true}, SHIFT(354),
  [635] = {.count = 1, .reusable = true}, SHIFT(356),
  [637] = {.count = 1, .reusable = true}, SHIFT(357),
  [639] = {.count = 1, .reusable = true}, SHIFT(358),
  [641] = {.count = 1, .reusable = true}, SHIFT(359),
  [643] = {.count = 1, .reusable = true}, SHIFT(360),
  [645] = {.count = 1, .reusable = true}, SHIFT(362),
  [647] = {.count = 1, .reusable = true}, SHIFT(363),
  [649] = {.count = 1, .reusable = false}, SHIFT(364),
  [651] = {.count = 1, .reusable = true}, SHIFT(367),
  [653] = {.count = 1, .reusable = true}, SHIFT(369),
  [655] = {.count = 1, .reusable = true}, SHIFT(370),
  [657] = {.count = 1, .reusable = true}, SHIFT(371),
  [659] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 1),
  [661] = {.count = 1, .reusable = true}, SHIFT(373),
  [663] = {.count = 1, .reusable = true}, SHIFT(374),
  [665] = {.count = 1, .reusable = true}, SHIFT(375),
  [667] = {.count = 1, .reusable = true}, SHIFT(376),
  [669] = {.count = 1, .reusable = false}, SHIFT(377),
  [671] = {.count = 1, .reusable = true}, SHIFT(378),
  [673] = {.count = 1, .reusable = true}, SHIFT(379),
  [675] = {.count = 1, .reusable = true}, SHIFT(377),
  [677] = {.count = 1, .reusable = true}, SHIFT(380),
  [679] = {.count = 1, .reusable = true}, SHIFT(381),
  [681] = {.count = 1, .reusable = true}, SHIFT(382),
  [683] = {.count = 1, .reusable = true}, SHIFT(383),
  [685] = {.count = 1, .reusable = true}, SHIFT(384),
  [687] = {.count = 1, .reusable = true}, SHIFT(385),
  [689] = {.count = 1, .reusable = false}, SHIFT(379),
  [691] = {.count = 1, .reusable = true}, SHIFT(386),
  [693] = {.count = 1, .reusable = true}, SHIFT(388),
  [695] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 2),
  [697] = {.count = 1, .reusable = true}, SHIFT(390),
  [699] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 2),
  [701] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 2),
  [703] = {.count = 1, .reusable = true}, SHIFT(393),
  [705] = {.count = 1, .reusable = true}, SHIFT(394),
  [707] = {.count = 1, .reusable = true}, SHIFT(395),
  [709] = {.count = 1, .reusable = true}, SHIFT(398),
  [711] = {.count = 1, .reusable = true}, SHIFT(399),
  [713] = {.count = 1, .reusable = true}, REDUCE(sym_not_operator, 2),
  [715] = {.count = 1, .reusable = true}, REDUCE(sym_unary_operator, 2),
  [717] = {.count = 1, .reusable = false}, REDUCE(sym_unary_operator, 2),
  [719] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 1),
  [721] = {.count = 1, .reusable = true}, SHIFT(403),
  [723] = {.count = 1, .reusable = false}, SHIFT(404),
  [725] = {.count = 1, .reusable = true}, SHIFT(405),
  [727] = {.count = 1, .reusable = false}, SHIFT(406),
  [729] = {.count = 1, .reusable = true}, SHIFT(410),
  [731] = {.count = 1, .reusable = true}, SHIFT(407),
  [733] = {.count = 1, .reusable = false}, SHIFT(410),
  [735] = {.count = 1, .reusable = false}, SHIFT(408),
  [737] = {.count = 1, .reusable = true}, SHIFT(411),
  [739] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1, .alias_sequence_id = 1),
  [741] = {.count = 1, .reusable = true}, SHIFT(413),
  [743] = {.count = 1, .reusable = true}, SHIFT(416),
  [745] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1),
  [747] = {.count = 1, .reusable = true}, SHIFT(418),
  [749] = {.count = 1, .reusable = true}, SHIFT(420),
  [751] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 1),
  [753] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 2),
  [755] = {.count = 1, .reusable = true}, SHIFT(423),
  [757] = {.count = 1, .reusable = false}, SHIFT(424),
  [759] = {.count = 1, .reusable = true}, SHIFT(425),
  [761] = {.count = 1, .reusable = false}, SHIFT(426),
  [763] = {.count = 1, .reusable = true}, SHIFT(430),
  [765] = {.count = 1, .reusable = true}, SHIFT(427),
  [767] = {.count = 1, .reusable = false}, SHIFT(430),
  [769] = {.count = 1, .reusable = false}, SHIFT(428),
  [771] = {.count = 1, .reusable = true}, SHIFT(432),
  [773] = {.count = 1, .reusable = true}, REDUCE(sym_list, 2),
  [775] = {.count = 1, .reusable = false}, REDUCE(sym_list, 2),
  [777] = {.count = 1, .reusable = true}, SHIFT(434),
  [779] = {.count = 1, .reusable = true}, SHIFT(435),
  [781] = {.count = 1, .reusable = true}, SHIFT(437),
  [783] = {.count = 1, .reusable = true}, SHIFT(438),
  [785] = {.count = 1, .reusable = true}, SHIFT(439),
  [787] = {.count = 1, .reusable = true}, SHIFT(440),
  [789] = {.count = 1, .reusable = true}, SHIFT(441),
  [791] = {.count = 1, .reusable = false}, SHIFT(444),
  [793] = {.count = 1, .reusable = true}, SHIFT(445),
  [795] = {.count = 1, .reusable = true}, SHIFT(446),
  [797] = {.count = 1, .reusable = true}, SHIFT(444),
  [799] = {.count = 1, .reusable = true}, SHIFT(447),
  [801] = {.count = 1, .reusable = true}, SHIFT(448),
  [803] = {.count = 1, .reusable = true}, SHIFT(449),
  [805] = {.count = 1, .reusable = true}, SHIFT(450),
  [807] = {.count = 1, .reusable = true}, SHIFT(451),
  [809] = {.count = 1, .reusable = true}, SHIFT(452),
  [811] = {.count = 1, .reusable = false}, SHIFT(446),
  [813] = {.count = 1, .reusable = true}, SHIFT(453),
  [815] = {.count = 1, .reusable = true}, SHIFT(455),
  [817] = {.count = 1, .reusable = true}, SHIFT(456),
  [819] = {.count = 1, .reusable = false}, SHIFT(457),
  [821] = {.count = 1, .reusable = true}, SHIFT(458),
  [823] = {.count = 1, .reusable = false}, SHIFT(459),
  [825] = {.count = 1, .reusable = true}, SHIFT(463),
  [827] = {.count = 1, .reusable = true}, SHIFT(460),
  [829] = {.count = 1, .reusable = false}, SHIFT(463),
  [831] = {.count = 1, .reusable = false}, SHIFT(461),
  [833] = {.count = 1, .reusable = true}, SHIFT(465),
  [835] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 2),
  [837] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 2),
  [839] = {.count = 1, .reusable = true}, SHIFT(467),
  [841] = {.count = 1, .reusable = true}, SHIFT(468),
  [843] = {.count = 1, .reusable = true}, SHIFT(469),
  [845] = {.count = 1, .reusable = true}, SHIFT(471),
  [847] = {.count = 1, .reusable = true}, SHIFT(473),
  [849] = {.count = 1, .reusable = true}, SHIFT(474),
  [851] = {.count = 1, .reusable = true}, SHIFT(475),
  [853] = {.count = 1, .reusable = true}, SHIFT(476),
  [855] = {.count = 1, .reusable = true}, SHIFT(477),
  [857] = {.count = 1, .reusable = true}, SHIFT(478),
  [859] = {.count = 1, .reusable = false}, SHIFT(481),
  [861] = {.count = 1, .reusable = true}, SHIFT(482),
  [863] = {.count = 1, .reusable = true}, SHIFT(483),
  [865] = {.count = 1, .reusable = true}, SHIFT(481),
  [867] = {.count = 1, .reusable = true}, SHIFT(484),
  [869] = {.count = 1, .reusable = true}, SHIFT(485),
  [871] = {.count = 1, .reusable = true}, SHIFT(486),
  [873] = {.count = 1, .reusable = true}, SHIFT(487),
  [875] = {.count = 1, .reusable = true}, SHIFT(488),
  [877] = {.count = 1, .reusable = true}, SHIFT(489),
  [879] = {.count = 1, .reusable = false}, SHIFT(483),
  [881] = {.count = 1, .reusable = true}, SHIFT(490),
  [883] = {.count = 1, .reusable = true}, REDUCE(sym_concatenated_string, 2),
  [885] = {.count = 1, .reusable = false}, REDUCE(sym_concatenated_string, 2),
  [887] = {.count = 1, .reusable = true}, SHIFT(493),
  [889] = {.count = 1, .reusable = true}, REDUCE(sym_await, 2),
  [891] = {.count = 1, .reusable = false}, SHIFT(494),
  [893] = {.count = 1, .reusable = true}, SHIFT(495),
  [895] = {.count = 1, .reusable = false}, SHIFT(496),
  [897] = {.count = 1, .reusable = true}, SHIFT(500),
  [899] = {.count = 1, .reusable = true}, SHIFT(497),
  [901] = {.count = 1, .reusable = false}, SHIFT(500),
  [903] = {.count = 1, .reusable = false}, SHIFT(498),
  [905] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [907] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [909] = {.count = 1, .reusable = false}, SHIFT(24),
  [911] = {.count = 1, .reusable = false}, SHIFT(507),
  [913] = {.count = 1, .reusable = true}, SHIFT(508),
  [915] = {.count = 1, .reusable = false}, SHIFT(509),
  [917] = {.count = 1, .reusable = true}, SHIFT(513),
  [919] = {.count = 1, .reusable = true}, SHIFT(510),
  [921] = {.count = 1, .reusable = false}, SHIFT(513),
  [923] = {.count = 1, .reusable = false}, SHIFT(511),
  [925] = {.count = 1, .reusable = true}, SHIFT(516),
  [927] = {.count = 1, .reusable = true}, SHIFT(518),
  [929] = {.count = 1, .reusable = true}, SHIFT(519),
  [931] = {.count = 1, .reusable = true}, SHIFT(520),
  [933] = {.count = 1, .reusable = true}, SHIFT(521),
  [935] = {.count = 1, .reusable = false}, SHIFT(522),
  [937] = {.count = 1, .reusable = false}, SHIFT(523),
  [939] = {.count = 1, .reusable = true}, SHIFT(526),
  [941] = {.count = 1, .reusable = false}, SHIFT(526),
  [943] = {.count = 1, .reusable = true}, SHIFT(527),
  [945] = {.count = 1, .reusable = false}, SHIFT(527),
  [947] = {.count = 1, .reusable = true}, SHIFT(528),
  [949] = {.count = 1, .reusable = false}, SHIFT(528),
  [951] = {.count = 1, .reusable = true}, SHIFT(529),
  [953] = {.count = 1, .reusable = true}, SHIFT(530),
  [955] = {.count = 1, .reusable = false}, SHIFT(530),
  [957] = {.count = 1, .reusable = true}, SHIFT(531),
  [959] = {.count = 1, .reusable = false}, SHIFT(531),
  [961] = {.count = 1, .reusable = true}, SHIFT(532),
  [963] = {.count = 1, .reusable = false}, SHIFT(532),
  [965] = {.count = 1, .reusable = true}, SHIFT(533),
  [967] = {.count = 1, .reusable = false}, SHIFT(533),
  [969] = {.count = 1, .reusable = true}, SHIFT(534),
  [971] = {.count = 1, .reusable = false}, SHIFT(534),
  [973] = {.count = 1, .reusable = false}, SHIFT(529),
  [975] = {.count = 1, .reusable = true}, SHIFT(535),
  [977] = {.count = 1, .reusable = false}, SHIFT(536),
  [979] = {.count = 1, .reusable = true}, SHIFT(537),
  [981] = {.count = 1, .reusable = false}, SHIFT(538),
  [983] = {.count = 1, .reusable = true}, SHIFT(542),
  [985] = {.count = 1, .reusable = true}, SHIFT(539),
  [987] = {.count = 1, .reusable = false}, SHIFT(542),
  [989] = {.count = 1, .reusable = false}, SHIFT(540),
  [991] = {.count = 1, .reusable = true}, REDUCE(sym_call, 2),
  [993] = {.count = 1, .reusable = false}, REDUCE(sym_call, 2),
  [995] = {.count = 1, .reusable = true}, REDUCE(sym_comparison_operator, 2),
  [997] = {.count = 1, .reusable = false}, REDUCE(sym_comparison_operator, 2),
  [999] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2),
  [1001] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2),
  [1004] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(3),
  [1007] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(4),
  [1010] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(5),
  [1013] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(6),
  [1016] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(7),
  [1019] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(8),
  [1022] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(9),
  [1025] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(10),
  [1028] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(11),
  [1031] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(12),
  [1034] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(13),
  [1037] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(14),
  [1040] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(15),
  [1043] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(16),
  [1046] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(17),
  [1049] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(18),
  [1052] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(19),
  [1055] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(20),
  [1058] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(21),
  [1061] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(22),
  [1064] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(23),
  [1067] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(24),
  [1070] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(25),
  [1073] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(26),
  [1076] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(27),
  [1079] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(34),
  [1082] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(28),
  [1085] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(29),
  [1088] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(34),
  [1091] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(30),
  [1094] = {.count = 1, .reusable = true}, REDUCE(sym_decorated_definition, 2),
  [1096] = {.count = 1, .reusable = false}, REDUCE(sym_decorated_definition, 2),
  [1098] = {.count = 1, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [1100] = {.count = 2, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(22),
  [1103] = {.count = 1, .reusable = true}, SHIFT(545),
  [1105] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 2),
  [1107] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2),
  [1109] = {.count = 1, .reusable = true}, SHIFT(549),
  [1111] = {.count = 1, .reusable = true}, SHIFT(551),
  [1113] = {.count = 1, .reusable = true}, SHIFT(552),
  [1115] = {.count = 1, .reusable = true}, REDUCE(sym_relative_import, 2),
  [1117] = {.count = 1, .reusable = true}, SHIFT(554),
  [1119] = {.count = 1, .reusable = true}, SHIFT(555),
  [1121] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [1123] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(197),
  [1126] = {.count = 1, .reusable = true}, SHIFT(557),
  [1128] = {.count = 1, .reusable = true}, SHIFT(558),
  [1130] = {.count = 1, .reusable = true}, SHIFT(559),
  [1132] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 3),
  [1134] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 3),
  [1136] = {.count = 1, .reusable = true}, SHIFT(563),
  [1138] = {.count = 1, .reusable = true}, SHIFT(566),
  [1140] = {.count = 1, .reusable = true}, SHIFT(568),
  [1142] = {.count = 1, .reusable = true}, SHIFT(569),
  [1144] = {.count = 1, .reusable = true}, SHIFT(570),
  [1146] = {.count = 1, .reusable = true}, SHIFT(571),
  [1148] = {.count = 1, .reusable = true}, SHIFT(572),
  [1150] = {.count = 1, .reusable = false}, SHIFT(574),
  [1152] = {.count = 1, .reusable = true}, SHIFT(575),
  [1154] = {.count = 1, .reusable = true}, SHIFT(576),
  [1156] = {.count = 1, .reusable = true}, SHIFT(574),
  [1158] = {.count = 1, .reusable = true}, SHIFT(577),
  [1160] = {.count = 1, .reusable = true}, SHIFT(578),
  [1162] = {.count = 1, .reusable = true}, SHIFT(579),
  [1164] = {.count = 1, .reusable = true}, SHIFT(580),
  [1166] = {.count = 1, .reusable = true}, SHIFT(581),
  [1168] = {.count = 1, .reusable = true}, SHIFT(582),
  [1170] = {.count = 1, .reusable = false}, SHIFT(576),
  [1172] = {.count = 1, .reusable = true}, SHIFT(583),
  [1174] = {.count = 1, .reusable = true}, SHIFT(585),
  [1176] = {.count = 1, .reusable = true}, SHIFT(586),
  [1178] = {.count = 1, .reusable = true}, SHIFT(589),
  [1180] = {.count = 1, .reusable = true}, SHIFT(590),
  [1182] = {.count = 1, .reusable = true}, SHIFT(591),
  [1184] = {.count = 1, .reusable = true}, SHIFT(593),
  [1186] = {.count = 1, .reusable = true}, SHIFT(597),
  [1188] = {.count = 1, .reusable = false}, REDUCE(sym_await, 2),
  [1190] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1192] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1194] = {.count = 1, .reusable = true}, SHIFT(598),
  [1196] = {.count = 1, .reusable = true}, SHIFT(602),
  [1198] = {.count = 1, .reusable = true}, SHIFT(606),
  [1200] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_body, 1),
  [1202] = {.count = 1, .reusable = true}, SHIFT(607),
  [1204] = {.count = 1, .reusable = true}, SHIFT(609),
  [1206] = {.count = 1, .reusable = true}, SHIFT(611),
  [1208] = {.count = 1, .reusable = true}, SHIFT(612),
  [1210] = {.count = 1, .reusable = true}, SHIFT(613),
  [1212] = {.count = 1, .reusable = true}, SHIFT(616),
  [1214] = {.count = 1, .reusable = false}, SHIFT(616),
  [1216] = {.count = 1, .reusable = true}, SHIFT(617),
  [1218] = {.count = 1, .reusable = false}, SHIFT(617),
  [1220] = {.count = 1, .reusable = true}, SHIFT(618),
  [1222] = {.count = 1, .reusable = false}, SHIFT(618),
  [1224] = {.count = 1, .reusable = true}, SHIFT(619),
  [1226] = {.count = 1, .reusable = true}, SHIFT(620),
  [1228] = {.count = 1, .reusable = false}, SHIFT(620),
  [1230] = {.count = 1, .reusable = true}, SHIFT(621),
  [1232] = {.count = 1, .reusable = false}, SHIFT(621),
  [1234] = {.count = 1, .reusable = true}, SHIFT(622),
  [1236] = {.count = 1, .reusable = false}, SHIFT(622),
  [1238] = {.count = 1, .reusable = true}, SHIFT(623),
  [1240] = {.count = 1, .reusable = false}, SHIFT(623),
  [1242] = {.count = 1, .reusable = true}, SHIFT(624),
  [1244] = {.count = 1, .reusable = false}, SHIFT(624),
  [1246] = {.count = 1, .reusable = false}, SHIFT(619),
  [1248] = {.count = 1, .reusable = true}, SHIFT(628),
  [1250] = {.count = 1, .reusable = true}, SHIFT(629),
  [1252] = {.count = 1, .reusable = true}, SHIFT(630),
  [1254] = {.count = 1, .reusable = true}, REDUCE(sym_chevron, 2),
  [1256] = {.count = 1, .reusable = true}, SHIFT(634),
  [1258] = {.count = 1, .reusable = true}, SHIFT(635),
  [1260] = {.count = 1, .reusable = true}, SHIFT(636),
  [1262] = {.count = 1, .reusable = true}, SHIFT(639),
  [1264] = {.count = 1, .reusable = true}, SHIFT(640),
  [1266] = {.count = 1, .reusable = true}, SHIFT(641),
  [1268] = {.count = 1, .reusable = true}, SHIFT(643),
  [1270] = {.count = 1, .reusable = true}, SHIFT(647),
  [1272] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3),
  [1274] = {.count = 1, .reusable = true}, SHIFT(649),
  [1276] = {.count = 1, .reusable = true}, SHIFT(653),
  [1278] = {.count = 1, .reusable = true}, SHIFT(654),
  [1280] = {.count = 1, .reusable = true}, SHIFT(655),
  [1282] = {.count = 1, .reusable = true}, SHIFT(658),
  [1284] = {.count = 1, .reusable = false}, SHIFT(658),
  [1286] = {.count = 1, .reusable = true}, SHIFT(659),
  [1288] = {.count = 1, .reusable = false}, SHIFT(659),
  [1290] = {.count = 1, .reusable = true}, SHIFT(660),
  [1292] = {.count = 1, .reusable = false}, SHIFT(660),
  [1294] = {.count = 1, .reusable = true}, SHIFT(661),
  [1296] = {.count = 1, .reusable = true}, SHIFT(662),
  [1298] = {.count = 1, .reusable = false}, SHIFT(662),
  [1300] = {.count = 1, .reusable = true}, SHIFT(663),
  [1302] = {.count = 1, .reusable = false}, SHIFT(663),
  [1304] = {.count = 1, .reusable = true}, SHIFT(664),
  [1306] = {.count = 1, .reusable = false}, SHIFT(664),
  [1308] = {.count = 1, .reusable = true}, SHIFT(665),
  [1310] = {.count = 1, .reusable = false}, SHIFT(665),
  [1312] = {.count = 1, .reusable = true}, SHIFT(666),
  [1314] = {.count = 1, .reusable = false}, SHIFT(666),
  [1316] = {.count = 1, .reusable = false}, SHIFT(661),
  [1318] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 3),
  [1320] = {.count = 1, .reusable = true}, SHIFT(670),
  [1322] = {.count = 1, .reusable = true}, SHIFT(672),
  [1324] = {.count = 1, .reusable = true}, SHIFT(674),
  [1326] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 3),
  [1328] = {.count = 1, .reusable = true}, SHIFT(675),
  [1330] = {.count = 1, .reusable = true}, SHIFT(676),
  [1332] = {.count = 1, .reusable = true}, SHIFT(677),
  [1334] = {.count = 1, .reusable = false}, SHIFT(678),
  [1336] = {.count = 1, .reusable = true}, SHIFT(679),
  [1338] = {.count = 1, .reusable = true}, SHIFT(680),
  [1340] = {.count = 1, .reusable = true}, SHIFT(678),
  [1342] = {.count = 1, .reusable = true}, SHIFT(681),
  [1344] = {.count = 1, .reusable = true}, SHIFT(682),
  [1346] = {.count = 1, .reusable = true}, SHIFT(683),
  [1348] = {.count = 1, .reusable = true}, SHIFT(684),
  [1350] = {.count = 1, .reusable = true}, SHIFT(685),
  [1352] = {.count = 1, .reusable = true}, SHIFT(686),
  [1354] = {.count = 1, .reusable = false}, SHIFT(680),
  [1356] = {.count = 1, .reusable = true}, SHIFT(687),
  [1358] = {.count = 1, .reusable = true}, SHIFT(690),
  [1360] = {.count = 1, .reusable = true}, SHIFT(691),
  [1362] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [1364] = {.count = 1, .reusable = true}, SHIFT(696),
  [1366] = {.count = 1, .reusable = true}, SHIFT(698),
  [1368] = {.count = 1, .reusable = false}, SHIFT(698),
  [1370] = {.count = 1, .reusable = true}, SHIFT(699),
  [1372] = {.count = 1, .reusable = false}, SHIFT(699),
  [1374] = {.count = 1, .reusable = true}, SHIFT(700),
  [1376] = {.count = 1, .reusable = false}, SHIFT(700),
  [1378] = {.count = 1, .reusable = true}, SHIFT(701),
  [1380] = {.count = 1, .reusable = true}, SHIFT(702),
  [1382] = {.count = 1, .reusable = false}, SHIFT(702),
  [1384] = {.count = 1, .reusable = true}, SHIFT(703),
  [1386] = {.count = 1, .reusable = false}, SHIFT(703),
  [1388] = {.count = 1, .reusable = true}, SHIFT(704),
  [1390] = {.count = 1, .reusable = false}, SHIFT(704),
  [1392] = {.count = 1, .reusable = true}, SHIFT(705),
  [1394] = {.count = 1, .reusable = false}, SHIFT(705),
  [1396] = {.count = 1, .reusable = false}, SHIFT(701),
  [1398] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 3),
  [1400] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 3),
  [1402] = {.count = 1, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [1404] = {.count = 1, .reusable = true}, SHIFT(707),
  [1406] = {.count = 2, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(708),
  [1409] = {.count = 1, .reusable = true}, SHIFT(710),
  [1411] = {.count = 1, .reusable = true}, SHIFT(711),
  [1413] = {.count = 1, .reusable = true}, SHIFT(713),
  [1415] = {.count = 1, .reusable = false}, SHIFT(714),
  [1417] = {.count = 1, .reusable = true}, SHIFT(717),
  [1419] = {.count = 1, .reusable = false}, SHIFT(717),
  [1421] = {.count = 1, .reusable = true}, SHIFT(718),
  [1423] = {.count = 1, .reusable = false}, SHIFT(718),
  [1425] = {.count = 1, .reusable = true}, SHIFT(719),
  [1427] = {.count = 1, .reusable = false}, SHIFT(719),
  [1429] = {.count = 1, .reusable = true}, SHIFT(720),
  [1431] = {.count = 1, .reusable = true}, SHIFT(721),
  [1433] = {.count = 1, .reusable = false}, SHIFT(721),
  [1435] = {.count = 1, .reusable = true}, SHIFT(722),
  [1437] = {.count = 1, .reusable = false}, SHIFT(722),
  [1439] = {.count = 1, .reusable = true}, SHIFT(723),
  [1441] = {.count = 1, .reusable = false}, SHIFT(723),
  [1443] = {.count = 1, .reusable = true}, SHIFT(724),
  [1445] = {.count = 1, .reusable = false}, SHIFT(724),
  [1447] = {.count = 1, .reusable = false}, SHIFT(720),
  [1449] = {.count = 1, .reusable = true}, SHIFT(726),
  [1451] = {.count = 1, .reusable = true}, SHIFT(727),
  [1453] = {.count = 1, .reusable = true}, SHIFT(730),
  [1455] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 2),
  [1457] = {.count = 1, .reusable = true}, SHIFT(733),
  [1459] = {.count = 1, .reusable = false}, SHIFT(733),
  [1461] = {.count = 1, .reusable = true}, SHIFT(734),
  [1463] = {.count = 1, .reusable = false}, SHIFT(734),
  [1465] = {.count = 1, .reusable = true}, SHIFT(735),
  [1467] = {.count = 1, .reusable = false}, SHIFT(735),
  [1469] = {.count = 1, .reusable = true}, SHIFT(736),
  [1471] = {.count = 1, .reusable = false}, SHIFT(736),
  [1473] = {.count = 1, .reusable = true}, SHIFT(737),
  [1475] = {.count = 1, .reusable = false}, SHIFT(737),
  [1477] = {.count = 1, .reusable = true}, SHIFT(738),
  [1479] = {.count = 1, .reusable = false}, SHIFT(738),
  [1481] = {.count = 1, .reusable = true}, SHIFT(739),
  [1483] = {.count = 1, .reusable = false}, SHIFT(739),
  [1485] = {.count = 1, .reusable = true}, SHIFT(740),
  [1487] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 2),
  [1489] = {.count = 1, .reusable = true}, SHIFT(742),
  [1491] = {.count = 1, .reusable = false}, SHIFT(743),
  [1493] = {.count = 1, .reusable = true}, SHIFT(745),
  [1495] = {.count = 1, .reusable = false}, SHIFT(746),
  [1497] = {.count = 1, .reusable = false}, SHIFT(747),
  [1499] = {.count = 1, .reusable = false}, SHIFT(748),
  [1501] = {.count = 1, .reusable = false}, SHIFT(749),
  [1503] = {.count = 1, .reusable = false}, SHIFT(750),
  [1505] = {.count = 1, .reusable = false}, SHIFT(751),
  [1507] = {.count = 1, .reusable = false}, SHIFT(752),
  [1509] = {.count = 1, .reusable = false}, SHIFT(753),
  [1511] = {.count = 1, .reusable = false}, SHIFT(754),
  [1513] = {.count = 1, .reusable = true}, SHIFT(757),
  [1515] = {.count = 1, .reusable = true}, SHIFT(758),
  [1517] = {.count = 1, .reusable = true}, SHIFT(760),
  [1519] = {.count = 1, .reusable = true}, SHIFT(761),
  [1521] = {.count = 1, .reusable = true}, SHIFT(765),
  [1523] = {.count = 1, .reusable = true}, SHIFT(766),
  [1525] = {.count = 1, .reusable = true}, SHIFT(768),
  [1527] = {.count = 1, .reusable = true}, SHIFT(774),
  [1529] = {.count = 1, .reusable = false}, SHIFT(774),
  [1531] = {.count = 1, .reusable = true}, SHIFT(775),
  [1533] = {.count = 1, .reusable = false}, SHIFT(775),
  [1535] = {.count = 1, .reusable = true}, SHIFT(776),
  [1537] = {.count = 1, .reusable = false}, SHIFT(776),
  [1539] = {.count = 1, .reusable = true}, SHIFT(777),
  [1541] = {.count = 1, .reusable = true}, SHIFT(778),
  [1543] = {.count = 1, .reusable = false}, SHIFT(778),
  [1545] = {.count = 1, .reusable = true}, SHIFT(779),
  [1547] = {.count = 1, .reusable = false}, SHIFT(779),
  [1549] = {.count = 1, .reusable = true}, SHIFT(780),
  [1551] = {.count = 1, .reusable = false}, SHIFT(780),
  [1553] = {.count = 1, .reusable = true}, SHIFT(781),
  [1555] = {.count = 1, .reusable = false}, SHIFT(781),
  [1557] = {.count = 1, .reusable = false}, SHIFT(777),
  [1559] = {.count = 1, .reusable = true}, SHIFT(783),
  [1561] = {.count = 1, .reusable = true}, SHIFT(784),
  [1563] = {.count = 1, .reusable = false}, SHIFT(785),
  [1565] = {.count = 1, .reusable = false}, SHIFT(786),
  [1567] = {.count = 1, .reusable = true}, SHIFT(790),
  [1569] = {.count = 1, .reusable = true}, SHIFT(791),
  [1571] = {.count = 1, .reusable = true}, SHIFT(792),
  [1573] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 3),
  [1575] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 3),
  [1577] = {.count = 1, .reusable = true}, SHIFT(797),
  [1579] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 3),
  [1581] = {.count = 1, .reusable = true}, SHIFT(800),
  [1583] = {.count = 1, .reusable = true}, SHIFT(803),
  [1585] = {.count = 1, .reusable = true}, SHIFT(805),
  [1587] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 2),
  [1589] = {.count = 1, .reusable = true}, SHIFT(806),
  [1591] = {.count = 1, .reusable = true}, SHIFT(807),
  [1593] = {.count = 1, .reusable = true}, SHIFT(808),
  [1595] = {.count = 1, .reusable = false}, SHIFT(809),
  [1597] = {.count = 1, .reusable = true}, SHIFT(810),
  [1599] = {.count = 1, .reusable = true}, SHIFT(811),
  [1601] = {.count = 1, .reusable = true}, SHIFT(809),
  [1603] = {.count = 1, .reusable = true}, SHIFT(812),
  [1605] = {.count = 1, .reusable = true}, SHIFT(813),
  [1607] = {.count = 1, .reusable = true}, SHIFT(814),
  [1609] = {.count = 1, .reusable = true}, SHIFT(815),
  [1611] = {.count = 1, .reusable = true}, SHIFT(816),
  [1613] = {.count = 1, .reusable = true}, SHIFT(817),
  [1615] = {.count = 1, .reusable = false}, SHIFT(811),
  [1617] = {.count = 1, .reusable = true}, SHIFT(818),
  [1619] = {.count = 1, .reusable = false}, SHIFT(820),
  [1621] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2, .alias_sequence_id = 1),
  [1623] = {.count = 1, .reusable = false}, SHIFT(821),
  [1625] = {.count = 1, .reusable = false}, SHIFT(824),
  [1627] = {.count = 1, .reusable = true}, SHIFT(825),
  [1629] = {.count = 1, .reusable = false}, SHIFT(826),
  [1631] = {.count = 1, .reusable = true}, SHIFT(830),
  [1633] = {.count = 1, .reusable = true}, SHIFT(827),
  [1635] = {.count = 1, .reusable = false}, SHIFT(830),
  [1637] = {.count = 1, .reusable = false}, SHIFT(828),
  [1639] = {.count = 1, .reusable = true}, SHIFT(833),
  [1641] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 3),
  [1643] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2),
  [1645] = {.count = 1, .reusable = false}, SHIFT(835),
  [1647] = {.count = 1, .reusable = true}, SHIFT(836),
  [1649] = {.count = 1, .reusable = false}, SHIFT(837),
  [1651] = {.count = 1, .reusable = true}, SHIFT(841),
  [1653] = {.count = 1, .reusable = true}, SHIFT(838),
  [1655] = {.count = 1, .reusable = false}, SHIFT(841),
  [1657] = {.count = 1, .reusable = false}, SHIFT(839),
  [1659] = {.count = 1, .reusable = true}, SHIFT(844),
  [1661] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 3),
  [1663] = {.count = 1, .reusable = true}, REDUCE(sym_list, 3),
  [1665] = {.count = 1, .reusable = false}, REDUCE(sym_list, 3),
  [1667] = {.count = 1, .reusable = true}, SHIFT(849),
  [1669] = {.count = 1, .reusable = true}, SHIFT(851),
  [1671] = {.count = 1, .reusable = true}, SHIFT(852),
  [1673] = {.count = 1, .reusable = true}, SHIFT(853),
  [1675] = {.count = 1, .reusable = true}, SHIFT(854),
  [1677] = {.count = 1, .reusable = false}, SHIFT(855),
  [1679] = {.count = 1, .reusable = true}, SHIFT(856),
  [1681] = {.count = 1, .reusable = true}, SHIFT(857),
  [1683] = {.count = 1, .reusable = true}, SHIFT(855),
  [1685] = {.count = 1, .reusable = true}, SHIFT(858),
  [1687] = {.count = 1, .reusable = true}, SHIFT(859),
  [1689] = {.count = 1, .reusable = true}, SHIFT(860),
  [1691] = {.count = 1, .reusable = true}, SHIFT(861),
  [1693] = {.count = 1, .reusable = true}, SHIFT(862),
  [1695] = {.count = 1, .reusable = true}, SHIFT(863),
  [1697] = {.count = 1, .reusable = false}, SHIFT(857),
  [1699] = {.count = 1, .reusable = true}, SHIFT(864),
  [1701] = {.count = 1, .reusable = true}, SHIFT(867),
  [1703] = {.count = 1, .reusable = true}, SHIFT(868),
  [1705] = {.count = 1, .reusable = true}, SHIFT(869),
  [1707] = {.count = 1, .reusable = true}, SHIFT(872),
  [1709] = {.count = 1, .reusable = true}, SHIFT(875),
  [1711] = {.count = 1, .reusable = true}, SHIFT(878),
  [1713] = {.count = 1, .reusable = true}, SHIFT(879),
  [1715] = {.count = 1, .reusable = true}, SHIFT(881),
  [1717] = {.count = 1, .reusable = false}, SHIFT(881),
  [1719] = {.count = 1, .reusable = true}, SHIFT(882),
  [1721] = {.count = 1, .reusable = false}, SHIFT(882),
  [1723] = {.count = 1, .reusable = true}, SHIFT(883),
  [1725] = {.count = 1, .reusable = false}, SHIFT(883),
  [1727] = {.count = 1, .reusable = true}, SHIFT(884),
  [1729] = {.count = 1, .reusable = true}, SHIFT(885),
  [1731] = {.count = 1, .reusable = false}, SHIFT(885),
  [1733] = {.count = 1, .reusable = true}, SHIFT(886),
  [1735] = {.count = 1, .reusable = false}, SHIFT(886),
  [1737] = {.count = 1, .reusable = true}, SHIFT(887),
  [1739] = {.count = 1, .reusable = false}, SHIFT(887),
  [1741] = {.count = 1, .reusable = true}, SHIFT(888),
  [1743] = {.count = 1, .reusable = false}, SHIFT(888),
  [1745] = {.count = 1, .reusable = false}, SHIFT(884),
  [1747] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 3),
  [1749] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 3),
  [1751] = {.count = 1, .reusable = true}, SHIFT(892),
  [1753] = {.count = 1, .reusable = true}, SHIFT(894),
  [1755] = {.count = 1, .reusable = true}, SHIFT(895),
  [1757] = {.count = 1, .reusable = true}, SHIFT(896),
  [1759] = {.count = 1, .reusable = true}, SHIFT(897),
  [1761] = {.count = 1, .reusable = false}, SHIFT(898),
  [1763] = {.count = 1, .reusable = true}, SHIFT(899),
  [1765] = {.count = 1, .reusable = true}, SHIFT(900),
  [1767] = {.count = 1, .reusable = true}, SHIFT(898),
  [1769] = {.count = 1, .reusable = true}, SHIFT(901),
  [1771] = {.count = 1, .reusable = true}, SHIFT(902),
  [1773] = {.count = 1, .reusable = true}, SHIFT(903),
  [1775] = {.count = 1, .reusable = true}, SHIFT(904),
  [1777] = {.count = 1, .reusable = true}, SHIFT(905),
  [1779] = {.count = 1, .reusable = true}, SHIFT(906),
  [1781] = {.count = 1, .reusable = false}, SHIFT(900),
  [1783] = {.count = 1, .reusable = true}, SHIFT(907),
  [1785] = {.count = 1, .reusable = true}, SHIFT(910),
  [1787] = {.count = 1, .reusable = true}, SHIFT(911),
  [1789] = {.count = 1, .reusable = true}, SHIFT(912),
  [1791] = {.count = 1, .reusable = true}, SHIFT(913),
  [1793] = {.count = 1, .reusable = true}, REDUCE(sym_set, 3),
  [1795] = {.count = 1, .reusable = false}, REDUCE(sym_set, 3),
  [1797] = {.count = 1, .reusable = true}, SHIFT(915),
  [1799] = {.count = 1, .reusable = true}, SHIFT(917),
  [1801] = {.count = 1, .reusable = true}, SHIFT(918),
  [1803] = {.count = 1, .reusable = true}, SHIFT(921),
  [1805] = {.count = 1, .reusable = false}, SHIFT(924),
  [1807] = {.count = 1, .reusable = true}, SHIFT(925),
  [1809] = {.count = 1, .reusable = false}, SHIFT(926),
  [1811] = {.count = 1, .reusable = true}, SHIFT(930),
  [1813] = {.count = 1, .reusable = true}, SHIFT(927),
  [1815] = {.count = 1, .reusable = false}, SHIFT(930),
  [1817] = {.count = 1, .reusable = false}, SHIFT(928),
  [1819] = {.count = 1, .reusable = true}, SHIFT(931),
  [1821] = {.count = 1, .reusable = true}, SHIFT(934),
  [1823] = {.count = 1, .reusable = true}, SHIFT(935),
  [1825] = {.count = 1, .reusable = true}, SHIFT(937),
  [1827] = {.count = 1, .reusable = false}, SHIFT(937),
  [1829] = {.count = 1, .reusable = true}, SHIFT(938),
  [1831] = {.count = 1, .reusable = false}, SHIFT(938),
  [1833] = {.count = 1, .reusable = true}, SHIFT(939),
  [1835] = {.count = 1, .reusable = false}, SHIFT(939),
  [1837] = {.count = 1, .reusable = true}, SHIFT(940),
  [1839] = {.count = 1, .reusable = true}, SHIFT(941),
  [1841] = {.count = 1, .reusable = false}, SHIFT(941),
  [1843] = {.count = 1, .reusable = true}, SHIFT(942),
  [1845] = {.count = 1, .reusable = false}, SHIFT(942),
  [1847] = {.count = 1, .reusable = true}, SHIFT(943),
  [1849] = {.count = 1, .reusable = false}, SHIFT(943),
  [1851] = {.count = 1, .reusable = true}, SHIFT(944),
  [1853] = {.count = 1, .reusable = false}, SHIFT(944),
  [1855] = {.count = 1, .reusable = false}, SHIFT(940),
  [1857] = {.count = 1, .reusable = true}, SHIFT(946),
  [1859] = {.count = 1, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1861] = {.count = 1, .reusable = false}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1863] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(493),
  [1866] = {.count = 1, .reusable = true}, SHIFT(948),
  [1868] = {.count = 1, .reusable = true}, SHIFT(950),
  [1870] = {.count = 1, .reusable = true}, REDUCE(sym_type, 1),
  [1872] = {.count = 1, .reusable = true}, SHIFT(951),
  [1874] = {.count = 1, .reusable = true}, SHIFT(952),
  [1876] = {.count = 1, .reusable = true}, SHIFT(953),
  [1878] = {.count = 1, .reusable = false}, SHIFT(954),
  [1880] = {.count = 1, .reusable = true}, SHIFT(955),
  [1882] = {.count = 1, .reusable = true}, SHIFT(956),
  [1884] = {.count = 1, .reusable = true}, SHIFT(954),
  [1886] = {.count = 1, .reusable = true}, SHIFT(957),
  [1888] = {.count = 1, .reusable = true}, SHIFT(958),
  [1890] = {.count = 1, .reusable = true}, SHIFT(959),
  [1892] = {.count = 1, .reusable = true}, SHIFT(960),
  [1894] = {.count = 1, .reusable = true}, SHIFT(961),
  [1896] = {.count = 1, .reusable = true}, SHIFT(962),
  [1898] = {.count = 1, .reusable = false}, SHIFT(956),
  [1900] = {.count = 1, .reusable = true}, SHIFT(963),
  [1902] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3),
  [1904] = {.count = 1, .reusable = true}, SHIFT(965),
  [1906] = {.count = 1, .reusable = true}, REDUCE(sym__right_hand_side, 1),
  [1908] = {.count = 1, .reusable = true}, SHIFT(966),
  [1910] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment, 3),
  [1912] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2),
  [1914] = {.count = 1, .reusable = true}, SHIFT(969),
  [1916] = {.count = 1, .reusable = true}, SHIFT(971),
  [1918] = {.count = 1, .reusable = true}, SHIFT(972),
  [1920] = {.count = 1, .reusable = true}, SHIFT(973),
  [1922] = {.count = 1, .reusable = true}, SHIFT(974),
  [1924] = {.count = 1, .reusable = true}, SHIFT(975),
  [1926] = {.count = 1, .reusable = false}, SHIFT(976),
  [1928] = {.count = 1, .reusable = true}, SHIFT(977),
  [1930] = {.count = 1, .reusable = true}, SHIFT(978),
  [1932] = {.count = 1, .reusable = true}, SHIFT(976),
  [1934] = {.count = 1, .reusable = true}, SHIFT(979),
  [1936] = {.count = 1, .reusable = true}, SHIFT(980),
  [1938] = {.count = 1, .reusable = true}, SHIFT(981),
  [1940] = {.count = 1, .reusable = true}, SHIFT(982),
  [1942] = {.count = 1, .reusable = true}, SHIFT(983),
  [1944] = {.count = 1, .reusable = true}, SHIFT(984),
  [1946] = {.count = 1, .reusable = false}, SHIFT(978),
  [1948] = {.count = 1, .reusable = true}, SHIFT(985),
  [1950] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_operator, 3),
  [1952] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 3),
  [1954] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 3),
  [1956] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(987),
  [1959] = {.count = 1, .reusable = true}, REDUCE(sym_attribute, 3),
  [1961] = {.count = 1, .reusable = false}, REDUCE(sym_attribute, 3),
  [1963] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [1965] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [1967] = {.count = 1, .reusable = true}, SHIFT(988),
  [1969] = {.count = 1, .reusable = true}, SHIFT(989),
  [1971] = {.count = 1, .reusable = false}, SHIFT(991),
  [1973] = {.count = 1, .reusable = false}, SHIFT(992),
  [1975] = {.count = 1, .reusable = true}, SHIFT(993),
  [1977] = {.count = 1, .reusable = true}, REDUCE(sym_binary_operator, 3),
  [1979] = {.count = 1, .reusable = false}, REDUCE(sym_binary_operator, 3),
  [1981] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [1983] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [1985] = {.count = 1, .reusable = true}, SHIFT(995),
  [1987] = {.count = 1, .reusable = false}, SHIFT(995),
  [1989] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 1),
  [1991] = {.count = 1, .reusable = true}, SHIFT(996),
  [1993] = {.count = 1, .reusable = true}, SHIFT(999),
  [1995] = {.count = 1, .reusable = true}, SHIFT(1001),
  [1997] = {.count = 1, .reusable = true}, SHIFT(1002),
  [1999] = {.count = 1, .reusable = true}, SHIFT(1003),
  [2001] = {.count = 1, .reusable = true}, SHIFT(1004),
  [2003] = {.count = 1, .reusable = true}, SHIFT(1005),
  [2005] = {.count = 1, .reusable = true}, SHIFT(1006),
  [2007] = {.count = 1, .reusable = true}, SHIFT(1007),
  [2009] = {.count = 1, .reusable = false}, SHIFT(1009),
  [2011] = {.count = 1, .reusable = true}, SHIFT(1010),
  [2013] = {.count = 1, .reusable = true}, SHIFT(1011),
  [2015] = {.count = 1, .reusable = true}, SHIFT(1009),
  [2017] = {.count = 1, .reusable = true}, SHIFT(1012),
  [2019] = {.count = 1, .reusable = true}, SHIFT(1013),
  [2021] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2023] = {.count = 1, .reusable = true}, SHIFT(1015),
  [2025] = {.count = 1, .reusable = true}, SHIFT(1016),
  [2027] = {.count = 1, .reusable = true}, SHIFT(1017),
  [2029] = {.count = 1, .reusable = false}, SHIFT(1011),
  [2031] = {.count = 1, .reusable = true}, SHIFT(1018),
  [2033] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(173),
  [2036] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(174),
  [2039] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(173),
  [2042] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(180),
  [2045] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [2047] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(188),
  [2050] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2),
  [2052] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 3),
  [2054] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2), SHIFT_REPEAT(1020),
  [2057] = {.count = 1, .reusable = true}, REDUCE(sym_aliased_import, 3),
  [2059] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(193),
  [2062] = {.count = 1, .reusable = true}, SHIFT(1021),
  [2064] = {.count = 1, .reusable = true}, REDUCE(sym_wildcard_import, 1),
  [2066] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 4),
  [2068] = {.count = 1, .reusable = true}, SHIFT(1025),
  [2070] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2072] = {.count = 1, .reusable = true}, SHIFT(1027),
  [2074] = {.count = 1, .reusable = true}, SHIFT(1030),
  [2076] = {.count = 1, .reusable = true}, SHIFT(1031),
  [2078] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2080] = {.count = 1, .reusable = true}, SHIFT(1037),
  [2082] = {.count = 1, .reusable = false}, SHIFT(1037),
  [2084] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2086] = {.count = 1, .reusable = false}, SHIFT(1038),
  [2088] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2090] = {.count = 1, .reusable = false}, SHIFT(1039),
  [2092] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2094] = {.count = 1, .reusable = true}, SHIFT(1041),
  [2096] = {.count = 1, .reusable = false}, SHIFT(1041),
  [2098] = {.count = 1, .reusable = true}, SHIFT(1042),
  [2100] = {.count = 1, .reusable = false}, SHIFT(1042),
  [2102] = {.count = 1, .reusable = true}, SHIFT(1043),
  [2104] = {.count = 1, .reusable = false}, SHIFT(1043),
  [2106] = {.count = 1, .reusable = true}, SHIFT(1044),
  [2108] = {.count = 1, .reusable = false}, SHIFT(1044),
  [2110] = {.count = 1, .reusable = false}, SHIFT(1040),
  [2112] = {.count = 1, .reusable = true}, SHIFT(1046),
  [2114] = {.count = 1, .reusable = true}, SHIFT(1047),
  [2116] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2118] = {.count = 1, .reusable = true}, SHIFT(1049),
  [2120] = {.count = 1, .reusable = true}, SHIFT(1050),
  [2122] = {.count = 1, .reusable = true}, SHIFT(1051),
  [2124] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2126] = {.count = 1, .reusable = true}, SHIFT(1053),
  [2128] = {.count = 1, .reusable = true}, SHIFT(1054),
  [2130] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(597),
  [2133] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 4),
  [2135] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 4),
  [2137] = {.count = 1, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2),
  [2139] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2141] = {.count = 1, .reusable = true}, SHIFT(1057),
  [2143] = {.count = 1, .reusable = false}, REDUCE(sym_boolean_operator, 3),
  [2145] = {.count = 1, .reusable = true}, REDUCE(sym_generator_expression, 4),
  [2147] = {.count = 1, .reusable = false}, REDUCE(sym_generator_expression, 4),
  [2149] = {.count = 1, .reusable = false}, SHIFT(1058),
  [2151] = {.count = 1, .reusable = true}, SHIFT(1059),
  [2153] = {.count = 1, .reusable = false}, SHIFT(1060),
  [2155] = {.count = 1, .reusable = true}, SHIFT(1064),
  [2157] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2159] = {.count = 1, .reusable = false}, SHIFT(1064),
  [2161] = {.count = 1, .reusable = false}, SHIFT(1062),
  [2163] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_body, 2),
  [2165] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2167] = {.count = 2, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(1067),
  [2170] = {.count = 1, .reusable = true}, SHIFT(1068),
  [2172] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2174] = {.count = 1, .reusable = true}, SHIFT(1071),
  [2176] = {.count = 1, .reusable = false}, SHIFT(1071),
  [2178] = {.count = 1, .reusable = true}, SHIFT(1072),
  [2180] = {.count = 1, .reusable = true}, SHIFT(1073),
  [2182] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(242),
  [2185] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(243),
  [2188] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(242),
  [2191] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(249),
  [2194] = {.count = 1, .reusable = true}, SHIFT(1075),
  [2196] = {.count = 1, .reusable = true}, SHIFT(1076),
  [2198] = {.count = 1, .reusable = true}, SHIFT(1077),
  [2200] = {.count = 1, .reusable = true}, SHIFT(1079),
  [2202] = {.count = 1, .reusable = true}, SHIFT(1080),
  [2204] = {.count = 1, .reusable = true}, SHIFT(1081),
  [2206] = {.count = 1, .reusable = true}, SHIFT(1082),
  [2208] = {.count = 1, .reusable = true}, SHIFT(1083),
  [2210] = {.count = 1, .reusable = true}, SHIFT(1084),
  [2212] = {.count = 1, .reusable = true}, SHIFT(1085),
  [2214] = {.count = 1, .reusable = true}, SHIFT(1086),
  [2216] = {.count = 1, .reusable = true}, SHIFT(1087),
  [2218] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(647),
  [2221] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4),
  [2223] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(293),
  [2226] = {.count = 1, .reusable = true}, SHIFT(1088),
  [2228] = {.count = 1, .reusable = true}, SHIFT(1089),
  [2230] = {.count = 1, .reusable = true}, SHIFT(1090),
  [2232] = {.count = 1, .reusable = true}, SHIFT(1092),
  [2234] = {.count = 1, .reusable = false}, SHIFT(1092),
  [2236] = {.count = 1, .reusable = true}, SHIFT(1093),
  [2238] = {.count = 1, .reusable = true}, SHIFT(1094),
  [2240] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(282),
  [2243] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(283),
  [2246] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(282),
  [2249] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(289),
  [2252] = {.count = 1, .reusable = true}, SHIFT(1097),
  [2254] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2256] = {.count = 1, .reusable = true}, SHIFT(1101),
  [2258] = {.count = 1, .reusable = false}, SHIFT(1101),
  [2260] = {.count = 1, .reusable = true}, SHIFT(1102),
  [2262] = {.count = 1, .reusable = false}, SHIFT(1102),
  [2264] = {.count = 1, .reusable = true}, SHIFT(1103),
  [2266] = {.count = 1, .reusable = false}, SHIFT(1103),
  [2268] = {.count = 1, .reusable = true}, SHIFT(1104),
  [2270] = {.count = 1, .reusable = true}, SHIFT(1105),
  [2272] = {.count = 1, .reusable = false}, SHIFT(1105),
  [2274] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2276] = {.count = 1, .reusable = false}, SHIFT(1106),
  [2278] = {.count = 1, .reusable = true}, SHIFT(1107),
  [2280] = {.count = 1, .reusable = false}, SHIFT(1107),
  [2282] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2284] = {.count = 1, .reusable = false}, SHIFT(1108),
  [2286] = {.count = 1, .reusable = false}, SHIFT(1104),
  [2288] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(691),
  [2291] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 4),
  [2293] = {.count = 1, .reusable = true}, SHIFT(1111),
  [2295] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 3),
  [2297] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(1112),
  [2300] = {.count = 1, .reusable = true}, SHIFT(1113),
  [2302] = {.count = 1, .reusable = false}, SHIFT(1113),
  [2304] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(316),
  [2307] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(317),
  [2310] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(316),
  [2313] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(323),
  [2316] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 4),
  [2318] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 4),
  [2320] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(711),
  [2323] = {.count = 1, .reusable = true}, SHIFT(1115),
  [2325] = {.count = 1, .reusable = true}, SHIFT(1116),
  [2327] = {.count = 1, .reusable = true}, SHIFT(1118),
  [2329] = {.count = 1, .reusable = true}, SHIFT(1119),
  [2331] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4),
  [2333] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4),
  [2335] = {.count = 1, .reusable = false}, SHIFT(1121),
  [2337] = {.count = 1, .reusable = false}, SHIFT(1122),
  [2339] = {.count = 1, .reusable = true}, SHIFT(1125),
  [2341] = {.count = 1, .reusable = false}, SHIFT(1125),
  [2343] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(339),
  [2346] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(340),
  [2349] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(339),
  [2352] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(346),
  [2355] = {.count = 1, .reusable = true}, SHIFT(1128),
  [2357] = {.count = 1, .reusable = true}, SHIFT(1129),
  [2359] = {.count = 1, .reusable = true}, SHIFT(1130),
  [2361] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(730),
  [2364] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2366] = {.count = 1, .reusable = true}, SHIFT(1132),
  [2368] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2),
  [2370] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 3),
  [2372] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2), SHIFT_REPEAT(1134),
  [2375] = {.count = 1, .reusable = true}, SHIFT(1135),
  [2377] = {.count = 1, .reusable = true}, SHIFT(1137),
  [2379] = {.count = 1, .reusable = true}, SHIFT(1138),
  [2381] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 4),
  [2383] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 4),
  [2385] = {.count = 1, .reusable = true}, REDUCE(sym__suite, 2),
  [2387] = {.count = 1, .reusable = false}, REDUCE(sym__suite, 2),
  [2389] = {.count = 1, .reusable = true}, SHIFT(1141),
  [2391] = {.count = 1, .reusable = true}, SHIFT(1142),
  [2393] = {.count = 1, .reusable = true}, SHIFT(1145),
  [2395] = {.count = 1, .reusable = true}, SHIFT(1146),
  [2397] = {.count = 1, .reusable = true}, SHIFT(1147),
  [2399] = {.count = 1, .reusable = true}, SHIFT(1150),
  [2401] = {.count = 1, .reusable = true}, SHIFT(1152),
  [2403] = {.count = 1, .reusable = true}, SHIFT(1153),
  [2405] = {.count = 1, .reusable = true}, SHIFT(1154),
  [2407] = {.count = 1, .reusable = true}, SHIFT(1156),
  [2409] = {.count = 1, .reusable = true}, SHIFT(753),
  [2411] = {.count = 1, .reusable = true}, SHIFT(754),
  [2413] = {.count = 1, .reusable = true}, SHIFT(1158),
  [2415] = {.count = 1, .reusable = true}, SHIFT(1159),
  [2417] = {.count = 1, .reusable = true}, SHIFT(1160),
  [2419] = {.count = 1, .reusable = true}, SHIFT(1162),
  [2421] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4),
  [2423] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4),
  [2425] = {.count = 1, .reusable = false}, SHIFT(1163),
  [2427] = {.count = 1, .reusable = false}, SHIFT(760),
  [2429] = {.count = 1, .reusable = false}, SHIFT(761),
  [2431] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(766),
  [2434] = {.count = 1, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2),
  [2436] = {.count = 1, .reusable = true}, SHIFT(1168),
  [2438] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 4),
  [2440] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 4),
  [2442] = {.count = 2, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2), SHIFT_REPEAT(370),
  [2445] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 3),
  [2447] = {.count = 1, .reusable = true}, SHIFT(1170),
  [2449] = {.count = 1, .reusable = true}, SHIFT(1171),
  [2451] = {.count = 1, .reusable = false}, SHIFT(1171),
  [2453] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(379),
  [2456] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(380),
  [2459] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(379),
  [2462] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(386),
  [2465] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 2),
  [2467] = {.count = 1, .reusable = true}, SHIFT(1172),
  [2469] = {.count = 1, .reusable = false}, SHIFT(1173),
  [2471] = {.count = 1, .reusable = true}, SHIFT(1174),
  [2473] = {.count = 1, .reusable = false}, SHIFT(1175),
  [2475] = {.count = 1, .reusable = true}, SHIFT(1179),
  [2477] = {.count = 1, .reusable = true}, SHIFT(1176),
  [2479] = {.count = 1, .reusable = false}, SHIFT(1179),
  [2481] = {.count = 1, .reusable = false}, SHIFT(1177),
  [2483] = {.count = 1, .reusable = true}, SHIFT(1180),
  [2485] = {.count = 1, .reusable = true}, SHIFT(1181),
  [2487] = {.count = 1, .reusable = true}, SHIFT(1182),
  [2489] = {.count = 1, .reusable = true}, SHIFT(1184),
  [2491] = {.count = 1, .reusable = true}, SHIFT(1185),
  [2493] = {.count = 1, .reusable = true}, SHIFT(1186),
  [2495] = {.count = 1, .reusable = true}, SHIFT(1188),
  [2497] = {.count = 1, .reusable = true}, SHIFT(1189),
  [2499] = {.count = 1, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [2501] = {.count = 2, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(390),
  [2504] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 4),
  [2506] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 4),
  [2508] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 4),
  [2510] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 4),
  [2512] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_splat, 3),
  [2514] = {.count = 1, .reusable = true}, SHIFT(1196),
  [2516] = {.count = 1, .reusable = true}, SHIFT(1197),
  [2518] = {.count = 1, .reusable = true}, SHIFT(1200),
  [2520] = {.count = 1, .reusable = false}, SHIFT(1200),
  [2522] = {.count = 1, .reusable = true}, SHIFT(1201),
  [2524] = {.count = 1, .reusable = false}, SHIFT(1201),
  [2526] = {.count = 1, .reusable = true}, SHIFT(1202),
  [2528] = {.count = 1, .reusable = false}, SHIFT(1202),
  [2530] = {.count = 1, .reusable = true}, SHIFT(1203),
  [2532] = {.count = 1, .reusable = true}, SHIFT(1204),
  [2534] = {.count = 1, .reusable = false}, SHIFT(1204),
  [2536] = {.count = 1, .reusable = true}, SHIFT(1205),
  [2538] = {.count = 1, .reusable = false}, SHIFT(1205),
  [2540] = {.count = 1, .reusable = true}, SHIFT(1206),
  [2542] = {.count = 1, .reusable = false}, SHIFT(1206),
  [2544] = {.count = 1, .reusable = true}, SHIFT(1207),
  [2546] = {.count = 1, .reusable = false}, SHIFT(1207),
  [2548] = {.count = 1, .reusable = false}, SHIFT(1203),
  [2550] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2, .alias_sequence_id = 2),
  [2552] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2),
  [2554] = {.count = 1, .reusable = true}, SHIFT(1210),
  [2556] = {.count = 1, .reusable = true}, SHIFT(1212),
  [2558] = {.count = 1, .reusable = true}, SHIFT(1213),
  [2560] = {.count = 1, .reusable = true}, SHIFT(1214),
  [2562] = {.count = 1, .reusable = true}, SHIFT(1215),
  [2564] = {.count = 1, .reusable = false}, SHIFT(1216),
  [2566] = {.count = 1, .reusable = true}, SHIFT(1217),
  [2568] = {.count = 1, .reusable = true}, SHIFT(1218),
  [2570] = {.count = 1, .reusable = true}, SHIFT(1216),
  [2572] = {.count = 1, .reusable = true}, SHIFT(1219),
  [2574] = {.count = 1, .reusable = true}, SHIFT(1220),
  [2576] = {.count = 1, .reusable = true}, SHIFT(1221),
  [2578] = {.count = 1, .reusable = true}, SHIFT(1222),
  [2580] = {.count = 1, .reusable = true}, SHIFT(1223),
  [2582] = {.count = 1, .reusable = true}, SHIFT(1224),
  [2584] = {.count = 1, .reusable = false}, SHIFT(1218),
  [2586] = {.count = 1, .reusable = true}, SHIFT(1225),
  [2588] = {.count = 1, .reusable = true}, SHIFT(1227),
  [2590] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3, .alias_sequence_id = 1),
  [2592] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3, .alias_sequence_id = 1),
  [2594] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1228),
  [2597] = {.count = 1, .reusable = true}, SHIFT(1230),
  [2599] = {.count = 1, .reusable = true}, SHIFT(1232),
  [2601] = {.count = 1, .reusable = true}, SHIFT(1233),
  [2603] = {.count = 1, .reusable = true}, SHIFT(1234),
  [2605] = {.count = 1, .reusable = true}, SHIFT(1235),
  [2607] = {.count = 1, .reusable = false}, SHIFT(1236),
  [2609] = {.count = 1, .reusable = true}, SHIFT(1237),
  [2611] = {.count = 1, .reusable = true}, SHIFT(1238),
  [2613] = {.count = 1, .reusable = true}, SHIFT(1236),
  [2615] = {.count = 1, .reusable = true}, SHIFT(1239),
  [2617] = {.count = 1, .reusable = true}, SHIFT(1240),
  [2619] = {.count = 1, .reusable = true}, SHIFT(1241),
  [2621] = {.count = 1, .reusable = true}, SHIFT(1242),
  [2623] = {.count = 1, .reusable = true}, SHIFT(1243),
  [2625] = {.count = 1, .reusable = true}, SHIFT(1244),
  [2627] = {.count = 1, .reusable = false}, SHIFT(1238),
  [2629] = {.count = 1, .reusable = true}, SHIFT(1245),
  [2631] = {.count = 1, .reusable = true}, REDUCE(sym_typed_parameter, 3),
  [2633] = {.count = 1, .reusable = true}, SHIFT(1247),
  [2635] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3),
  [2637] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3),
  [2639] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 4),
  [2641] = {.count = 1, .reusable = true}, SHIFT(1249),
  [2643] = {.count = 1, .reusable = true}, SHIFT(1250),
  [2645] = {.count = 1, .reusable = true}, SHIFT(1253),
  [2647] = {.count = 1, .reusable = false}, SHIFT(1253),
  [2649] = {.count = 1, .reusable = true}, SHIFT(1254),
  [2651] = {.count = 1, .reusable = false}, SHIFT(1254),
  [2653] = {.count = 1, .reusable = true}, SHIFT(1255),
  [2655] = {.count = 1, .reusable = false}, SHIFT(1255),
  [2657] = {.count = 1, .reusable = true}, SHIFT(1256),
  [2659] = {.count = 1, .reusable = true}, SHIFT(1257),
  [2661] = {.count = 1, .reusable = false}, SHIFT(1257),
  [2663] = {.count = 1, .reusable = true}, SHIFT(1258),
  [2665] = {.count = 1, .reusable = false}, SHIFT(1258),
  [2667] = {.count = 1, .reusable = true}, SHIFT(1259),
  [2669] = {.count = 1, .reusable = false}, SHIFT(1259),
  [2671] = {.count = 1, .reusable = true}, SHIFT(1260),
  [2673] = {.count = 1, .reusable = false}, SHIFT(1260),
  [2675] = {.count = 1, .reusable = false}, SHIFT(1256),
  [2677] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(868),
  [2680] = {.count = 1, .reusable = true}, REDUCE(sym_list, 4),
  [2682] = {.count = 1, .reusable = false}, REDUCE(sym_list, 4),
  [2684] = {.count = 1, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2),
  [2686] = {.count = 1, .reusable = true}, SHIFT(1263),
  [2688] = {.count = 2, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(1264),
  [2691] = {.count = 1, .reusable = true}, SHIFT(1265),
  [2693] = {.count = 1, .reusable = true}, SHIFT(1267),
  [2695] = {.count = 1, .reusable = true}, REDUCE(sym_list_comprehension, 4),
  [2697] = {.count = 1, .reusable = false}, REDUCE(sym_list_comprehension, 4),
  [2699] = {.count = 1, .reusable = false}, SHIFT(1268),
  [2701] = {.count = 1, .reusable = true}, SHIFT(1269),
  [2703] = {.count = 1, .reusable = false}, SHIFT(1270),
  [2705] = {.count = 1, .reusable = true}, SHIFT(1274),
  [2707] = {.count = 1, .reusable = true}, SHIFT(1271),
  [2709] = {.count = 1, .reusable = false}, SHIFT(1274),
  [2711] = {.count = 1, .reusable = false}, SHIFT(1272),
  [2713] = {.count = 1, .reusable = true}, SHIFT(1276),
  [2715] = {.count = 1, .reusable = false}, SHIFT(1276),
  [2717] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(446),
  [2720] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(447),
  [2723] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(446),
  [2726] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(453),
  [2729] = {.count = 1, .reusable = true}, SHIFT(1278),
  [2731] = {.count = 1, .reusable = true}, SHIFT(1279),
  [2733] = {.count = 1, .reusable = true}, SHIFT(1282),
  [2735] = {.count = 1, .reusable = false}, SHIFT(1282),
  [2737] = {.count = 1, .reusable = true}, SHIFT(1283),
  [2739] = {.count = 1, .reusable = false}, SHIFT(1283),
  [2741] = {.count = 1, .reusable = true}, SHIFT(1284),
  [2743] = {.count = 1, .reusable = false}, SHIFT(1284),
  [2745] = {.count = 1, .reusable = true}, SHIFT(1285),
  [2747] = {.count = 1, .reusable = true}, SHIFT(1286),
  [2749] = {.count = 1, .reusable = false}, SHIFT(1286),
  [2751] = {.count = 1, .reusable = true}, SHIFT(1287),
  [2753] = {.count = 1, .reusable = false}, SHIFT(1287),
  [2755] = {.count = 1, .reusable = true}, SHIFT(1288),
  [2757] = {.count = 1, .reusable = false}, SHIFT(1288),
  [2759] = {.count = 1, .reusable = true}, SHIFT(1289),
  [2761] = {.count = 1, .reusable = false}, SHIFT(1289),
  [2763] = {.count = 1, .reusable = false}, SHIFT(1285),
  [2765] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(911),
  [2768] = {.count = 1, .reusable = true}, REDUCE(sym_set, 4),
  [2770] = {.count = 1, .reusable = false}, REDUCE(sym_set, 4),
  [2772] = {.count = 1, .reusable = true}, SHIFT(1292),
  [2774] = {.count = 2, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(1293),
  [2777] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 4),
  [2779] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 4),
  [2781] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [2783] = {.count = 1, .reusable = true}, SHIFT(1294),
  [2785] = {.count = 1, .reusable = true}, SHIFT(1295),
  [2787] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(1296),
  [2790] = {.count = 1, .reusable = true}, SHIFT(1297),
  [2792] = {.count = 1, .reusable = true}, SHIFT(1299),
  [2794] = {.count = 1, .reusable = true}, SHIFT(1301),
  [2796] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3),
  [2798] = {.count = 1, .reusable = true}, SHIFT(1302),
  [2800] = {.count = 1, .reusable = true}, SHIFT(1303),
  [2802] = {.count = 1, .reusable = true}, SHIFT(1304),
  [2804] = {.count = 1, .reusable = false}, SHIFT(1305),
  [2806] = {.count = 1, .reusable = true}, SHIFT(1306),
  [2808] = {.count = 1, .reusable = true}, SHIFT(1307),
  [2810] = {.count = 1, .reusable = true}, SHIFT(1305),
  [2812] = {.count = 1, .reusable = true}, SHIFT(1308),
  [2814] = {.count = 1, .reusable = true}, SHIFT(1309),
  [2816] = {.count = 1, .reusable = true}, SHIFT(1310),
  [2818] = {.count = 1, .reusable = true}, SHIFT(1311),
  [2820] = {.count = 1, .reusable = true}, SHIFT(1312),
  [2822] = {.count = 1, .reusable = true}, SHIFT(1313),
  [2824] = {.count = 1, .reusable = false}, SHIFT(1307),
  [2826] = {.count = 1, .reusable = true}, SHIFT(1314),
  [2828] = {.count = 1, .reusable = true}, SHIFT(1317),
  [2830] = {.count = 1, .reusable = true}, REDUCE(sym_set_comprehension, 4),
  [2832] = {.count = 1, .reusable = false}, REDUCE(sym_set_comprehension, 4),
  [2834] = {.count = 1, .reusable = false}, SHIFT(1318),
  [2836] = {.count = 1, .reusable = true}, SHIFT(1319),
  [2838] = {.count = 1, .reusable = false}, SHIFT(1320),
  [2840] = {.count = 1, .reusable = true}, SHIFT(1324),
  [2842] = {.count = 1, .reusable = true}, SHIFT(1321),
  [2844] = {.count = 1, .reusable = false}, SHIFT(1324),
  [2846] = {.count = 1, .reusable = false}, SHIFT(1322),
  [2848] = {.count = 1, .reusable = true}, SHIFT(1326),
  [2850] = {.count = 1, .reusable = false}, SHIFT(1326),
  [2852] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(483),
  [2855] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(484),
  [2858] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(483),
  [2861] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(490),
  [2864] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_comprehension, 4),
  [2866] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary_comprehension, 4),
  [2868] = {.count = 1, .reusable = true}, SHIFT(1328),
  [2870] = {.count = 1, .reusable = true}, SHIFT(1329),
  [2872] = {.count = 1, .reusable = true}, SHIFT(1332),
  [2874] = {.count = 1, .reusable = false}, SHIFT(1332),
  [2876] = {.count = 1, .reusable = true}, SHIFT(1333),
  [2878] = {.count = 1, .reusable = false}, SHIFT(1333),
  [2880] = {.count = 1, .reusable = true}, SHIFT(1334),
  [2882] = {.count = 1, .reusable = false}, SHIFT(1334),
  [2884] = {.count = 1, .reusable = true}, SHIFT(1335),
  [2886] = {.count = 1, .reusable = true}, SHIFT(1336),
  [2888] = {.count = 1, .reusable = false}, SHIFT(1336),
  [2890] = {.count = 1, .reusable = true}, SHIFT(1337),
  [2892] = {.count = 1, .reusable = false}, SHIFT(1337),
  [2894] = {.count = 1, .reusable = true}, SHIFT(1338),
  [2896] = {.count = 1, .reusable = false}, SHIFT(1338),
  [2898] = {.count = 1, .reusable = true}, SHIFT(1339),
  [2900] = {.count = 1, .reusable = false}, SHIFT(1339),
  [2902] = {.count = 1, .reusable = false}, SHIFT(1335),
  [2904] = {.count = 1, .reusable = true}, SHIFT(1342),
  [2906] = {.count = 1, .reusable = true}, SHIFT(1344),
  [2908] = {.count = 1, .reusable = true}, SHIFT(1345),
  [2910] = {.count = 1, .reusable = true}, SHIFT(1349),
  [2912] = {.count = 1, .reusable = false}, SHIFT(1349),
  [2914] = {.count = 1, .reusable = true}, SHIFT(1350),
  [2916] = {.count = 1, .reusable = false}, SHIFT(1350),
  [2918] = {.count = 1, .reusable = true}, SHIFT(1351),
  [2920] = {.count = 1, .reusable = false}, SHIFT(1351),
  [2922] = {.count = 1, .reusable = true}, SHIFT(1352),
  [2924] = {.count = 1, .reusable = true}, SHIFT(1353),
  [2926] = {.count = 1, .reusable = false}, SHIFT(1353),
  [2928] = {.count = 1, .reusable = true}, SHIFT(1354),
  [2930] = {.count = 1, .reusable = false}, SHIFT(1354),
  [2932] = {.count = 1, .reusable = true}, SHIFT(1355),
  [2934] = {.count = 1, .reusable = false}, SHIFT(1355),
  [2936] = {.count = 1, .reusable = true}, SHIFT(1356),
  [2938] = {.count = 1, .reusable = false}, SHIFT(1356),
  [2940] = {.count = 1, .reusable = false}, SHIFT(1352),
  [2942] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [2944] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [2946] = {.count = 1, .reusable = true}, SHIFT(1361),
  [2948] = {.count = 1, .reusable = true}, SHIFT(1364),
  [2950] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [2952] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [2954] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 2),
  [2956] = {.count = 1, .reusable = true}, SHIFT(1367),
  [2958] = {.count = 1, .reusable = true}, SHIFT(1369),
  [2960] = {.count = 1, .reusable = true}, SHIFT(1370),
  [2962] = {.count = 1, .reusable = true}, SHIFT(1371),
  [2964] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4),
  [2966] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4),
  [2968] = {.count = 1, .reusable = true}, SHIFT(1377),
  [2970] = {.count = 1, .reusable = true}, SHIFT(1379),
  [2972] = {.count = 1, .reusable = false}, SHIFT(1379),
  [2974] = {.count = 1, .reusable = true}, SHIFT(1380),
  [2976] = {.count = 1, .reusable = false}, SHIFT(1380),
  [2978] = {.count = 1, .reusable = true}, SHIFT(1381),
  [2980] = {.count = 1, .reusable = false}, SHIFT(1381),
  [2982] = {.count = 1, .reusable = true}, SHIFT(1382),
  [2984] = {.count = 1, .reusable = true}, SHIFT(1383),
  [2986] = {.count = 1, .reusable = false}, SHIFT(1383),
  [2988] = {.count = 1, .reusable = true}, SHIFT(1384),
  [2990] = {.count = 1, .reusable = false}, SHIFT(1384),
  [2992] = {.count = 1, .reusable = true}, SHIFT(1385),
  [2994] = {.count = 1, .reusable = false}, SHIFT(1385),
  [2996] = {.count = 1, .reusable = true}, SHIFT(1386),
  [2998] = {.count = 1, .reusable = false}, SHIFT(1386),
  [3000] = {.count = 1, .reusable = false}, SHIFT(1382),
  [3002] = {.count = 1, .reusable = true}, SHIFT(1389),
  [3004] = {.count = 1, .reusable = true}, SHIFT(1390),
  [3006] = {.count = 1, .reusable = true}, SHIFT(1392),
  [3008] = {.count = 1, .reusable = true}, SHIFT(1393),
  [3010] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1031),
  [3013] = {.count = 1, .reusable = true}, SHIFT(1395),
  [3015] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(1396),
  [3018] = {.count = 1, .reusable = true}, SHIFT(1397),
  [3020] = {.count = 1, .reusable = false}, SHIFT(1397),
  [3022] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(576),
  [3025] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(577),
  [3028] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(576),
  [3031] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(583),
  [3034] = {.count = 1, .reusable = true}, SHIFT(1398),
  [3036] = {.count = 1, .reusable = true}, SHIFT(1399),
  [3038] = {.count = 1, .reusable = true}, SHIFT(1400),
  [3040] = {.count = 1, .reusable = true}, SHIFT(1402),
  [3042] = {.count = 1, .reusable = false}, SHIFT(1403),
  [3044] = {.count = 1, .reusable = true}, SHIFT(1408),
  [3046] = {.count = 1, .reusable = true}, SHIFT(1410),
  [3048] = {.count = 1, .reusable = true}, REDUCE(sym_if_clause, 2),
  [3050] = {.count = 1, .reusable = true}, SHIFT(1412),
  [3052] = {.count = 1, .reusable = true}, SHIFT(1413),
  [3054] = {.count = 1, .reusable = false}, SHIFT(1414),
  [3056] = {.count = 1, .reusable = true}, SHIFT(1415),
  [3058] = {.count = 1, .reusable = true}, SHIFT(1416),
  [3060] = {.count = 1, .reusable = true}, SHIFT(1414),
  [3062] = {.count = 1, .reusable = true}, SHIFT(1417),
  [3064] = {.count = 1, .reusable = true}, SHIFT(1418),
  [3066] = {.count = 1, .reusable = true}, SHIFT(1419),
  [3068] = {.count = 1, .reusable = true}, SHIFT(1420),
  [3070] = {.count = 1, .reusable = true}, SHIFT(1421),
  [3072] = {.count = 1, .reusable = true}, SHIFT(1422),
  [3074] = {.count = 1, .reusable = false}, SHIFT(1416),
  [3076] = {.count = 1, .reusable = true}, SHIFT(1423),
  [3078] = {.count = 1, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2),
  [3080] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(607),
  [3083] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(231),
  [3086] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(232),
  [3089] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 5),
  [3091] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 5),
  [3093] = {.count = 1, .reusable = true}, SHIFT(1425),
  [3095] = {.count = 1, .reusable = true}, SHIFT(1426),
  [3097] = {.count = 1, .reusable = true}, SHIFT(1427),
  [3099] = {.count = 1, .reusable = true}, SHIFT(1428),
  [3101] = {.count = 1, .reusable = true}, SHIFT(1429),
  [3103] = {.count = 1, .reusable = true}, SHIFT(1430),
  [3105] = {.count = 1, .reusable = true}, SHIFT(1431),
  [3107] = {.count = 1, .reusable = true}, SHIFT(1432),
  [3109] = {.count = 1, .reusable = true}, SHIFT(1434),
  [3111] = {.count = 1, .reusable = true}, SHIFT(1435),
  [3113] = {.count = 1, .reusable = true}, SHIFT(1436),
  [3115] = {.count = 1, .reusable = true}, SHIFT(1437),
  [3117] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1098),
  [3120] = {.count = 1, .reusable = true}, SHIFT(1439),
  [3122] = {.count = 1, .reusable = true}, SHIFT(1440),
  [3124] = {.count = 1, .reusable = false}, SHIFT(1440),
  [3126] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(680),
  [3129] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(681),
  [3132] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(680),
  [3135] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(687),
  [3138] = {.count = 1, .reusable = true}, SHIFT(1443),
  [3140] = {.count = 1, .reusable = true}, SHIFT(1444),
  [3142] = {.count = 1, .reusable = true}, SHIFT(1445),
  [3144] = {.count = 1, .reusable = true}, SHIFT(1447),
  [3146] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5),
  [3148] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5),
  [3150] = {.count = 1, .reusable = true}, SHIFT(1450),
  [3152] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5),
  [3154] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5),
  [3156] = {.count = 1, .reusable = true}, SHIFT(1456),
  [3158] = {.count = 1, .reusable = true}, SHIFT(1458),
  [3160] = {.count = 1, .reusable = true}, SHIFT(1459),
  [3162] = {.count = 1, .reusable = true}, SHIFT(1460),
  [3164] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5),
  [3166] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5),
  [3168] = {.count = 1, .reusable = true}, SHIFT(1461),
  [3170] = {.count = 1, .reusable = true}, SHIFT(1462),
  [3172] = {.count = 1, .reusable = true}, SHIFT(1463),
  [3174] = {.count = 1, .reusable = true}, SHIFT(1466),
  [3176] = {.count = 1, .reusable = true}, SHIFT(1467),
  [3178] = {.count = 1, .reusable = true}, SHIFT(1468),
  [3180] = {.count = 1, .reusable = true}, SHIFT(1470),
  [3182] = {.count = 1, .reusable = true}, SHIFT(1473),
  [3184] = {.count = 1, .reusable = true}, REDUCE(sym__suite, 3),
  [3186] = {.count = 1, .reusable = false}, REDUCE(sym__suite, 3),
  [3188] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(746),
  [3191] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(747),
  [3194] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(748),
  [3197] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(749),
  [3200] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(750),
  [3203] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(751),
  [3206] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(752),
  [3209] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(753),
  [3212] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(754),
  [3215] = {.count = 1, .reusable = true}, SHIFT(1475),
  [3217] = {.count = 1, .reusable = true}, SHIFT(1477),
  [3219] = {.count = 1, .reusable = true}, SHIFT(1478),
  [3221] = {.count = 1, .reusable = true}, SHIFT(1480),
  [3223] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5),
  [3225] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5),
  [3227] = {.count = 1, .reusable = true}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [3229] = {.count = 1, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [3231] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(760),
  [3234] = {.count = 1, .reusable = true}, SHIFT(1482),
  [3236] = {.count = 1, .reusable = true}, SHIFT(1486),
  [3238] = {.count = 1, .reusable = true}, SHIFT(1488),
  [3240] = {.count = 1, .reusable = true}, SHIFT(1489),
  [3242] = {.count = 1, .reusable = true}, SHIFT(1490),
  [3244] = {.count = 1, .reusable = true}, SHIFT(1491),
  [3246] = {.count = 1, .reusable = false}, SHIFT(1492),
  [3248] = {.count = 1, .reusable = true}, SHIFT(1493),
  [3250] = {.count = 1, .reusable = true}, SHIFT(1494),
  [3252] = {.count = 1, .reusable = true}, SHIFT(1492),
  [3254] = {.count = 1, .reusable = true}, SHIFT(1495),
  [3256] = {.count = 1, .reusable = true}, SHIFT(1496),
  [3258] = {.count = 1, .reusable = true}, SHIFT(1497),
  [3260] = {.count = 1, .reusable = true}, SHIFT(1498),
  [3262] = {.count = 1, .reusable = true}, SHIFT(1499),
  [3264] = {.count = 1, .reusable = true}, SHIFT(1500),
  [3266] = {.count = 1, .reusable = false}, SHIFT(1494),
  [3268] = {.count = 1, .reusable = true}, SHIFT(1501),
  [3270] = {.count = 1, .reusable = false}, SHIFT(1503),
  [3272] = {.count = 1, .reusable = false}, SHIFT(1504),
  [3274] = {.count = 1, .reusable = true}, SHIFT(1508),
  [3276] = {.count = 1, .reusable = false}, SHIFT(1510),
  [3278] = {.count = 1, .reusable = true}, SHIFT(1511),
  [3280] = {.count = 1, .reusable = false}, SHIFT(1512),
  [3282] = {.count = 1, .reusable = true}, SHIFT(1516),
  [3284] = {.count = 1, .reusable = true}, SHIFT(1513),
  [3286] = {.count = 1, .reusable = false}, SHIFT(1516),
  [3288] = {.count = 1, .reusable = false}, SHIFT(1514),
  [3290] = {.count = 1, .reusable = true}, SHIFT(1519),
  [3292] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 3),
  [3294] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 5),
  [3296] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 5),
  [3298] = {.count = 1, .reusable = true}, SHIFT(1521),
  [3300] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 5),
  [3302] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5),
  [3304] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5),
  [3306] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1197),
  [3309] = {.count = 1, .reusable = true}, SHIFT(1523),
  [3311] = {.count = 1, .reusable = true}, SHIFT(1524),
  [3313] = {.count = 1, .reusable = false}, SHIFT(1524),
  [3315] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(811),
  [3318] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(812),
  [3321] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(811),
  [3324] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(818),
  [3327] = {.count = 1, .reusable = true}, SHIFT(1526),
  [3329] = {.count = 1, .reusable = true}, SHIFT(1527),
  [3331] = {.count = 1, .reusable = true}, SHIFT(1530),
  [3333] = {.count = 1, .reusable = false}, SHIFT(1530),
  [3335] = {.count = 1, .reusable = true}, SHIFT(1531),
  [3337] = {.count = 1, .reusable = false}, SHIFT(1531),
  [3339] = {.count = 1, .reusable = true}, SHIFT(1532),
  [3341] = {.count = 1, .reusable = false}, SHIFT(1532),
  [3343] = {.count = 1, .reusable = true}, SHIFT(1533),
  [3345] = {.count = 1, .reusable = true}, SHIFT(1534),
  [3347] = {.count = 1, .reusable = false}, SHIFT(1534),
  [3349] = {.count = 1, .reusable = true}, SHIFT(1535),
  [3351] = {.count = 1, .reusable = false}, SHIFT(1535),
  [3353] = {.count = 1, .reusable = true}, SHIFT(1536),
  [3355] = {.count = 1, .reusable = false}, SHIFT(1536),
  [3357] = {.count = 1, .reusable = true}, SHIFT(1537),
  [3359] = {.count = 1, .reusable = false}, SHIFT(1537),
  [3361] = {.count = 1, .reusable = false}, SHIFT(1533),
  [3363] = {.count = 1, .reusable = true}, SHIFT(1541),
  [3365] = {.count = 1, .reusable = true}, SHIFT(1542),
  [3367] = {.count = 1, .reusable = true}, SHIFT(1545),
  [3369] = {.count = 1, .reusable = false}, SHIFT(1545),
  [3371] = {.count = 1, .reusable = true}, SHIFT(1546),
  [3373] = {.count = 1, .reusable = false}, SHIFT(1546),
  [3375] = {.count = 1, .reusable = true}, SHIFT(1547),
  [3377] = {.count = 1, .reusable = false}, SHIFT(1547),
  [3379] = {.count = 1, .reusable = true}, SHIFT(1548),
  [3381] = {.count = 1, .reusable = true}, SHIFT(1549),
  [3383] = {.count = 1, .reusable = false}, SHIFT(1549),
  [3385] = {.count = 1, .reusable = true}, SHIFT(1550),
  [3387] = {.count = 1, .reusable = false}, SHIFT(1550),
  [3389] = {.count = 1, .reusable = true}, SHIFT(1551),
  [3391] = {.count = 1, .reusable = false}, SHIFT(1551),
  [3393] = {.count = 1, .reusable = true}, SHIFT(1552),
  [3395] = {.count = 1, .reusable = false}, SHIFT(1552),
  [3397] = {.count = 1, .reusable = false}, SHIFT(1548),
  [3399] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1250),
  [3402] = {.count = 1, .reusable = true}, SHIFT(1556),
  [3404] = {.count = 1, .reusable = true}, SHIFT(1557),
  [3406] = {.count = 1, .reusable = false}, SHIFT(1557),
  [3408] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(857),
  [3411] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(858),
  [3414] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(857),
  [3417] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(864),
  [3420] = {.count = 1, .reusable = true}, REDUCE(sym_list, 5),
  [3422] = {.count = 1, .reusable = false}, REDUCE(sym_list, 5),
  [3424] = {.count = 1, .reusable = true}, SHIFT(1559),
  [3426] = {.count = 1, .reusable = false}, SHIFT(1560),
  [3428] = {.count = 1, .reusable = true}, SHIFT(1564),
  [3430] = {.count = 1, .reusable = true}, SHIFT(1566),
  [3432] = {.count = 1, .reusable = true}, SHIFT(1568),
  [3434] = {.count = 1, .reusable = true}, SHIFT(1569),
  [3436] = {.count = 1, .reusable = false}, SHIFT(1570),
  [3438] = {.count = 1, .reusable = true}, SHIFT(1571),
  [3440] = {.count = 1, .reusable = true}, SHIFT(1572),
  [3442] = {.count = 1, .reusable = true}, SHIFT(1570),
  [3444] = {.count = 1, .reusable = true}, SHIFT(1573),
  [3446] = {.count = 1, .reusable = true}, SHIFT(1574),
  [3448] = {.count = 1, .reusable = true}, SHIFT(1575),
  [3450] = {.count = 1, .reusable = true}, SHIFT(1576),
  [3452] = {.count = 1, .reusable = true}, SHIFT(1577),
  [3454] = {.count = 1, .reusable = true}, SHIFT(1578),
  [3456] = {.count = 1, .reusable = false}, SHIFT(1572),
  [3458] = {.count = 1, .reusable = true}, SHIFT(1579),
  [3460] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(879),
  [3463] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(438),
  [3466] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(439),
  [3469] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1279),
  [3472] = {.count = 1, .reusable = true}, SHIFT(1582),
  [3474] = {.count = 1, .reusable = true}, SHIFT(1583),
  [3476] = {.count = 1, .reusable = false}, SHIFT(1583),
  [3478] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(900),
  [3481] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(901),
  [3484] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(900),
  [3487] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(907),
  [3490] = {.count = 1, .reusable = true}, REDUCE(sym_set, 5),
  [3492] = {.count = 1, .reusable = false}, REDUCE(sym_set, 5),
  [3494] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 5),
  [3496] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 5),
  [3498] = {.count = 1, .reusable = true}, SHIFT(1587),
  [3500] = {.count = 1, .reusable = true}, SHIFT(1588),
  [3502] = {.count = 1, .reusable = true}, SHIFT(1591),
  [3504] = {.count = 1, .reusable = false}, SHIFT(1591),
  [3506] = {.count = 1, .reusable = true}, SHIFT(1592),
  [3508] = {.count = 1, .reusable = false}, SHIFT(1592),
  [3510] = {.count = 1, .reusable = true}, SHIFT(1593),
  [3512] = {.count = 1, .reusable = false}, SHIFT(1593),
  [3514] = {.count = 1, .reusable = true}, SHIFT(1594),
  [3516] = {.count = 1, .reusable = true}, SHIFT(1595),
  [3518] = {.count = 1, .reusable = false}, SHIFT(1595),
  [3520] = {.count = 1, .reusable = true}, SHIFT(1596),
  [3522] = {.count = 1, .reusable = false}, SHIFT(1596),
  [3524] = {.count = 1, .reusable = true}, SHIFT(1597),
  [3526] = {.count = 1, .reusable = false}, SHIFT(1597),
  [3528] = {.count = 1, .reusable = true}, SHIFT(1598),
  [3530] = {.count = 1, .reusable = false}, SHIFT(1598),
  [3532] = {.count = 1, .reusable = false}, SHIFT(1594),
  [3534] = {.count = 1, .reusable = true}, SHIFT(1600),
  [3536] = {.count = 1, .reusable = false}, SHIFT(1601),
  [3538] = {.count = 1, .reusable = true}, SHIFT(1605),
  [3540] = {.count = 1, .reusable = true}, SHIFT(1607),
  [3542] = {.count = 1, .reusable = true}, SHIFT(1609),
  [3544] = {.count = 1, .reusable = true}, SHIFT(1610),
  [3546] = {.count = 1, .reusable = false}, SHIFT(1611),
  [3548] = {.count = 1, .reusable = true}, SHIFT(1612),
  [3550] = {.count = 1, .reusable = true}, SHIFT(1613),
  [3552] = {.count = 1, .reusable = true}, SHIFT(1611),
  [3554] = {.count = 1, .reusable = true}, SHIFT(1614),
  [3556] = {.count = 1, .reusable = true}, SHIFT(1615),
  [3558] = {.count = 1, .reusable = true}, SHIFT(1616),
  [3560] = {.count = 1, .reusable = true}, SHIFT(1617),
  [3562] = {.count = 1, .reusable = true}, SHIFT(1618),
  [3564] = {.count = 1, .reusable = true}, SHIFT(1619),
  [3566] = {.count = 1, .reusable = false}, SHIFT(1613),
  [3568] = {.count = 1, .reusable = true}, SHIFT(1620),
  [3570] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(935),
  [3573] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(475),
  [3576] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(476),
  [3579] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1329),
  [3582] = {.count = 1, .reusable = true}, SHIFT(1623),
  [3584] = {.count = 1, .reusable = true}, SHIFT(1624),
  [3586] = {.count = 1, .reusable = false}, SHIFT(1624),
  [3588] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(956),
  [3591] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(957),
  [3594] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(956),
  [3597] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(963),
  [3600] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 5),
  [3602] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1345),
  [3605] = {.count = 1, .reusable = true}, SHIFT(1626),
  [3607] = {.count = 1, .reusable = true}, REDUCE(sym_conditional_expression, 5),
  [3609] = {.count = 1, .reusable = true}, SHIFT(1627),
  [3611] = {.count = 1, .reusable = false}, SHIFT(1627),
  [3613] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(978),
  [3616] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(979),
  [3619] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(978),
  [3622] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(985),
  [3625] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3, .alias_sequence_id = 1),
  [3627] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3),
  [3629] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [3631] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [3633] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [3635] = {.count = 1, .reusable = true}, SHIFT(1628),
  [3637] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1629),
  [3640] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 3),
  [3642] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1370),
  [3645] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5),
  [3647] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5),
  [3649] = {.count = 1, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2),
  [3651] = {.count = 1, .reusable = true}, SHIFT(1632),
  [3653] = {.count = 1, .reusable = true}, SHIFT(1633),
  [3655] = {.count = 1, .reusable = true}, SHIFT(1634),
  [3657] = {.count = 2, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2), SHIFT_REPEAT(1635),
  [3660] = {.count = 1, .reusable = true}, SHIFT(1636),
  [3662] = {.count = 1, .reusable = false}, SHIFT(1636),
  [3664] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1011),
  [3667] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1012),
  [3670] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1011),
  [3673] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1018),
  [3676] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 6),
  [3678] = {.count = 1, .reusable = true}, SHIFT(1640),
  [3680] = {.count = 1, .reusable = true}, SHIFT(1642),
  [3682] = {.count = 1, .reusable = true}, SHIFT(1645),
  [3684] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 4),
  [3686] = {.count = 1, .reusable = true}, SHIFT(1647),
  [3688] = {.count = 1, .reusable = true}, REDUCE(sym__expression_within_for_in_clause, 1),
  [3690] = {.count = 1, .reusable = true}, REDUCE(sym__expression_within_for_in_clause, 1, .alias_sequence_id = 3),
  [3692] = {.count = 1, .reusable = true}, SHIFT(1650),
  [3694] = {.count = 1, .reusable = true}, SHIFT(1651),
  [3696] = {.count = 1, .reusable = true}, SHIFT(1654),
  [3698] = {.count = 1, .reusable = false}, SHIFT(1654),
  [3700] = {.count = 1, .reusable = true}, SHIFT(1655),
  [3702] = {.count = 1, .reusable = false}, SHIFT(1655),
  [3704] = {.count = 1, .reusable = true}, SHIFT(1656),
  [3706] = {.count = 1, .reusable = false}, SHIFT(1656),
  [3708] = {.count = 1, .reusable = true}, SHIFT(1657),
  [3710] = {.count = 1, .reusable = true}, SHIFT(1658),
  [3712] = {.count = 1, .reusable = false}, SHIFT(1658),
  [3714] = {.count = 1, .reusable = true}, SHIFT(1659),
  [3716] = {.count = 1, .reusable = false}, SHIFT(1659),
  [3718] = {.count = 1, .reusable = true}, SHIFT(1660),
  [3720] = {.count = 1, .reusable = false}, SHIFT(1660),
  [3722] = {.count = 1, .reusable = true}, SHIFT(1661),
  [3724] = {.count = 1, .reusable = false}, SHIFT(1661),
  [3726] = {.count = 1, .reusable = false}, SHIFT(1657),
  [3728] = {.count = 1, .reusable = true}, SHIFT(1663),
  [3730] = {.count = 1, .reusable = true}, SHIFT(1664),
  [3732] = {.count = 1, .reusable = true}, SHIFT(1665),
  [3734] = {.count = 1, .reusable = true}, SHIFT(1666),
  [3736] = {.count = 1, .reusable = true}, SHIFT(1668),
  [3738] = {.count = 1, .reusable = true}, SHIFT(1669),
  [3740] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6),
  [3742] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6),
  [3744] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [3746] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [3748] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(1121),
  [3751] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6),
  [3753] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6),
  [3755] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6),
  [3757] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6),
  [3759] = {.count = 1, .reusable = true}, SHIFT(1672),
  [3761] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6),
  [3763] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6),
  [3765] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2), SHIFT_REPEAT(1674),
  [3768] = {.count = 1, .reusable = true}, SHIFT(1675),
  [3770] = {.count = 1, .reusable = true}, SHIFT(1676),
  [3772] = {.count = 1, .reusable = true}, SHIFT(1677),
  [3774] = {.count = 1, .reusable = false}, SHIFT(1678),
  [3776] = {.count = 1, .reusable = true}, SHIFT(1680),
  [3778] = {.count = 1, .reusable = true}, SHIFT(1681),
  [3780] = {.count = 1, .reusable = true}, SHIFT(1685),
  [3782] = {.count = 1, .reusable = false}, SHIFT(1686),
  [3784] = {.count = 1, .reusable = true}, SHIFT(1688),
  [3786] = {.count = 1, .reusable = true}, SHIFT(1689),
  [3788] = {.count = 1, .reusable = true}, SHIFT(1692),
  [3790] = {.count = 1, .reusable = true}, SHIFT(1694),
  [3792] = {.count = 1, .reusable = true}, SHIFT(1695),
  [3794] = {.count = 1, .reusable = true}, SHIFT(1697),
  [3796] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 3),
  [3798] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 3),
  [3800] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 3),
  [3802] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 3),
  [3804] = {.count = 1, .reusable = true}, SHIFT(1700),
  [3806] = {.count = 1, .reusable = false}, SHIFT(1701),
  [3808] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6),
  [3810] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6),
  [3812] = {.count = 1, .reusable = true}, SHIFT(1704),
  [3814] = {.count = 1, .reusable = true}, SHIFT(1705),
  [3816] = {.count = 1, .reusable = true}, SHIFT(1708),
  [3818] = {.count = 1, .reusable = false}, SHIFT(1708),
  [3820] = {.count = 1, .reusable = true}, SHIFT(1709),
  [3822] = {.count = 1, .reusable = false}, SHIFT(1709),
  [3824] = {.count = 1, .reusable = true}, SHIFT(1710),
  [3826] = {.count = 1, .reusable = false}, SHIFT(1710),
  [3828] = {.count = 1, .reusable = true}, SHIFT(1711),
  [3830] = {.count = 1, .reusable = true}, SHIFT(1712),
  [3832] = {.count = 1, .reusable = false}, SHIFT(1712),
  [3834] = {.count = 1, .reusable = true}, SHIFT(1713),
  [3836] = {.count = 1, .reusable = false}, SHIFT(1713),
  [3838] = {.count = 1, .reusable = true}, SHIFT(1714),
  [3840] = {.count = 1, .reusable = false}, SHIFT(1714),
  [3842] = {.count = 1, .reusable = true}, SHIFT(1715),
  [3844] = {.count = 1, .reusable = false}, SHIFT(1715),
  [3846] = {.count = 1, .reusable = false}, SHIFT(1711),
  [3848] = {.count = 1, .reusable = true}, SHIFT(1717),
  [3850] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1718),
  [3853] = {.count = 1, .reusable = true}, SHIFT(1720),
  [3855] = {.count = 1, .reusable = true}, SHIFT(1722),
  [3857] = {.count = 1, .reusable = true}, SHIFT(1723),
  [3859] = {.count = 1, .reusable = true}, SHIFT(1724),
  [3861] = {.count = 1, .reusable = true}, SHIFT(1725),
  [3863] = {.count = 1, .reusable = false}, SHIFT(1726),
  [3865] = {.count = 1, .reusable = true}, SHIFT(1727),
  [3867] = {.count = 1, .reusable = true}, SHIFT(1728),
  [3869] = {.count = 1, .reusable = true}, SHIFT(1726),
  [3871] = {.count = 1, .reusable = true}, SHIFT(1729),
  [3873] = {.count = 1, .reusable = true}, SHIFT(1730),
  [3875] = {.count = 1, .reusable = true}, SHIFT(1731),
  [3877] = {.count = 1, .reusable = true}, SHIFT(1732),
  [3879] = {.count = 1, .reusable = true}, SHIFT(1733),
  [3881] = {.count = 1, .reusable = true}, SHIFT(1734),
  [3883] = {.count = 1, .reusable = false}, SHIFT(1728),
  [3885] = {.count = 1, .reusable = true}, SHIFT(1735),
  [3887] = {.count = 1, .reusable = true}, SHIFT(1737),
  [3889] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1527),
  [3892] = {.count = 1, .reusable = true}, SHIFT(1741),
  [3894] = {.count = 1, .reusable = true}, SHIFT(1742),
  [3896] = {.count = 1, .reusable = false}, SHIFT(1742),
  [3898] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1218),
  [3901] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1219),
  [3904] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1218),
  [3907] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1225),
  [3910] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5, .alias_sequence_id = 1),
  [3912] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1542),
  [3915] = {.count = 1, .reusable = true}, SHIFT(1744),
  [3917] = {.count = 1, .reusable = true}, SHIFT(1745),
  [3919] = {.count = 1, .reusable = false}, SHIFT(1745),
  [3921] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1238),
  [3924] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1239),
  [3927] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1238),
  [3930] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1245),
  [3933] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5),
  [3935] = {.count = 1, .reusable = true}, SHIFT(1748),
  [3937] = {.count = 1, .reusable = true}, SHIFT(1750),
  [3939] = {.count = 1, .reusable = true}, SHIFT(1753),
  [3941] = {.count = 1, .reusable = true}, SHIFT(1754),
  [3943] = {.count = 1, .reusable = true}, SHIFT(1757),
  [3945] = {.count = 1, .reusable = false}, SHIFT(1757),
  [3947] = {.count = 1, .reusable = true}, SHIFT(1758),
  [3949] = {.count = 1, .reusable = false}, SHIFT(1758),
  [3951] = {.count = 1, .reusable = true}, SHIFT(1759),
  [3953] = {.count = 1, .reusable = false}, SHIFT(1759),
  [3955] = {.count = 1, .reusable = true}, SHIFT(1760),
  [3957] = {.count = 1, .reusable = true}, SHIFT(1761),
  [3959] = {.count = 1, .reusable = false}, SHIFT(1761),
  [3961] = {.count = 1, .reusable = true}, SHIFT(1762),
  [3963] = {.count = 1, .reusable = false}, SHIFT(1762),
  [3965] = {.count = 1, .reusable = true}, SHIFT(1763),
  [3967] = {.count = 1, .reusable = false}, SHIFT(1763),
  [3969] = {.count = 1, .reusable = true}, SHIFT(1764),
  [3971] = {.count = 1, .reusable = false}, SHIFT(1764),
  [3973] = {.count = 1, .reusable = false}, SHIFT(1760),
  [3975] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1588),
  [3978] = {.count = 1, .reusable = true}, SHIFT(1768),
  [3980] = {.count = 1, .reusable = true}, SHIFT(1769),
  [3982] = {.count = 1, .reusable = false}, SHIFT(1769),
  [3984] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1307),
  [3987] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1308),
  [3990] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1307),
  [3993] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1314),
  [3996] = {.count = 1, .reusable = true}, SHIFT(1771),
  [3998] = {.count = 1, .reusable = true}, SHIFT(1773),
  [4000] = {.count = 1, .reusable = true}, SHIFT(1776),
  [4002] = {.count = 1, .reusable = true}, SHIFT(1777),
  [4004] = {.count = 1, .reusable = true}, SHIFT(1780),
  [4006] = {.count = 1, .reusable = false}, SHIFT(1780),
  [4008] = {.count = 1, .reusable = true}, SHIFT(1781),
  [4010] = {.count = 1, .reusable = false}, SHIFT(1781),
  [4012] = {.count = 1, .reusable = true}, SHIFT(1782),
  [4014] = {.count = 1, .reusable = false}, SHIFT(1782),
  [4016] = {.count = 1, .reusable = true}, SHIFT(1783),
  [4018] = {.count = 1, .reusable = true}, SHIFT(1784),
  [4020] = {.count = 1, .reusable = false}, SHIFT(1784),
  [4022] = {.count = 1, .reusable = true}, SHIFT(1785),
  [4024] = {.count = 1, .reusable = false}, SHIFT(1785),
  [4026] = {.count = 1, .reusable = true}, SHIFT(1786),
  [4028] = {.count = 1, .reusable = false}, SHIFT(1786),
  [4030] = {.count = 1, .reusable = true}, SHIFT(1787),
  [4032] = {.count = 1, .reusable = false}, SHIFT(1787),
  [4034] = {.count = 1, .reusable = false}, SHIFT(1783),
  [4036] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [4038] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [4040] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 4),
  [4042] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6),
  [4044] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6),
  [4046] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2), SHIFT_REPEAT(1793),
  [4049] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5),
  [4051] = {.count = 1, .reusable = true}, SHIFT(1794),
  [4053] = {.count = 1, .reusable = true}, SHIFT(1797),
  [4055] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 5),
  [4057] = {.count = 1, .reusable = true}, SHIFT(1411),
  [4059] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1651),
  [4062] = {.count = 1, .reusable = true}, SHIFT(1801),
  [4064] = {.count = 1, .reusable = true}, SHIFT(1802),
  [4066] = {.count = 1, .reusable = false}, SHIFT(1802),
  [4068] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1416),
  [4071] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1417),
  [4074] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1416),
  [4077] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1423),
  [4080] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 3),
  [4082] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 3),
  [4084] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7),
  [4086] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7),
  [4088] = {.count = 1, .reusable = true}, SHIFT(1806),
  [4090] = {.count = 1, .reusable = true}, SHIFT(1808),
  [4092] = {.count = 1, .reusable = true}, SHIFT(1809),
  [4094] = {.count = 1, .reusable = false}, SHIFT(1811),
  [4096] = {.count = 1, .reusable = false}, SHIFT(1812),
  [4098] = {.count = 1, .reusable = true}, SHIFT(1817),
  [4100] = {.count = 1, .reusable = true}, SHIFT(1818),
  [4102] = {.count = 1, .reusable = true}, SHIFT(1819),
  [4104] = {.count = 1, .reusable = true}, SHIFT(1820),
  [4106] = {.count = 1, .reusable = true}, SHIFT(1821),
  [4108] = {.count = 1, .reusable = true}, SHIFT(1823),
  [4110] = {.count = 1, .reusable = true}, SHIFT(1824),
  [4112] = {.count = 1, .reusable = true}, SHIFT(1827),
  [4114] = {.count = 1, .reusable = true}, SHIFT(1829),
  [4116] = {.count = 1, .reusable = false}, SHIFT(1830),
  [4118] = {.count = 1, .reusable = false}, SHIFT(1688),
  [4120] = {.count = 1, .reusable = false}, SHIFT(1689),
  [4122] = {.count = 1, .reusable = true}, SHIFT(1834),
  [4124] = {.count = 1, .reusable = true}, SHIFT(1839),
  [4126] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4),
  [4128] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4),
  [4130] = {.count = 1, .reusable = true}, SHIFT(1840),
  [4132] = {.count = 1, .reusable = true}, SHIFT(1842),
  [4134] = {.count = 1, .reusable = true}, SHIFT(1843),
  [4136] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1705),
  [4139] = {.count = 1, .reusable = true}, SHIFT(1846),
  [4141] = {.count = 1, .reusable = true}, SHIFT(1847),
  [4143] = {.count = 1, .reusable = false}, SHIFT(1847),
  [4145] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1494),
  [4148] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1495),
  [4151] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1494),
  [4154] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1501),
  [4157] = {.count = 1, .reusable = true}, SHIFT(1850),
  [4159] = {.count = 1, .reusable = true}, SHIFT(1851),
  [4161] = {.count = 1, .reusable = true}, SHIFT(1854),
  [4163] = {.count = 1, .reusable = false}, SHIFT(1854),
  [4165] = {.count = 1, .reusable = true}, SHIFT(1855),
  [4167] = {.count = 1, .reusable = false}, SHIFT(1855),
  [4169] = {.count = 1, .reusable = true}, SHIFT(1856),
  [4171] = {.count = 1, .reusable = false}, SHIFT(1856),
  [4173] = {.count = 1, .reusable = true}, SHIFT(1857),
  [4175] = {.count = 1, .reusable = true}, SHIFT(1858),
  [4177] = {.count = 1, .reusable = false}, SHIFT(1858),
  [4179] = {.count = 1, .reusable = true}, SHIFT(1859),
  [4181] = {.count = 1, .reusable = false}, SHIFT(1859),
  [4183] = {.count = 1, .reusable = true}, SHIFT(1860),
  [4185] = {.count = 1, .reusable = false}, SHIFT(1860),
  [4187] = {.count = 1, .reusable = true}, SHIFT(1861),
  [4189] = {.count = 1, .reusable = false}, SHIFT(1861),
  [4191] = {.count = 1, .reusable = false}, SHIFT(1857),
  [4193] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7),
  [4195] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7),
  [4197] = {.count = 1, .reusable = true}, SHIFT(1866),
  [4199] = {.count = 1, .reusable = true}, SHIFT(1868),
  [4201] = {.count = 1, .reusable = true}, SHIFT(1567),
  [4203] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1754),
  [4206] = {.count = 1, .reusable = true}, SHIFT(1871),
  [4208] = {.count = 1, .reusable = true}, SHIFT(1872),
  [4210] = {.count = 1, .reusable = false}, SHIFT(1872),
  [4212] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1572),
  [4215] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1573),
  [4218] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1572),
  [4221] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1579),
  [4224] = {.count = 1, .reusable = true}, SHIFT(1874),
  [4226] = {.count = 1, .reusable = true}, SHIFT(1876),
  [4228] = {.count = 1, .reusable = true}, SHIFT(1608),
  [4230] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1777),
  [4233] = {.count = 1, .reusable = true}, SHIFT(1879),
  [4235] = {.count = 1, .reusable = true}, SHIFT(1880),
  [4237] = {.count = 1, .reusable = false}, SHIFT(1880),
  [4239] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1613),
  [4242] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1614),
  [4245] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1613),
  [4248] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1620),
  [4251] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 5),
  [4253] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6),
  [4255] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 6),
  [4257] = {.count = 1, .reusable = true}, SHIFT(1881),
  [4259] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 3),
  [4261] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [4263] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(1883),
  [4266] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 4),
  [4268] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 4),
  [4270] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8),
  [4272] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8),
  [4274] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8),
  [4276] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8),
  [4278] = {.count = 1, .reusable = true}, SHIFT(1885),
  [4280] = {.count = 1, .reusable = true}, SHIFT(1886),
  [4282] = {.count = 1, .reusable = true}, SHIFT(1887),
  [4284] = {.count = 1, .reusable = true}, SHIFT(1889),
  [4286] = {.count = 1, .reusable = true}, SHIFT(1892),
  [4288] = {.count = 1, .reusable = true}, SHIFT(1897),
  [4290] = {.count = 1, .reusable = true}, SHIFT(1898),
  [4292] = {.count = 1, .reusable = true}, SHIFT(1899),
  [4294] = {.count = 1, .reusable = true}, SHIFT(1900),
  [4296] = {.count = 1, .reusable = false}, SHIFT(1901),
  [4298] = {.count = 1, .reusable = true}, SHIFT(1903),
  [4300] = {.count = 1, .reusable = true}, SHIFT(1904),
  [4302] = {.count = 1, .reusable = true}, SHIFT(1906),
  [4304] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1688),
  [4307] = {.count = 1, .reusable = true}, SHIFT(1908),
  [4309] = {.count = 1, .reusable = true}, SHIFT(1909),
  [4311] = {.count = 1, .reusable = true}, SHIFT(1911),
  [4313] = {.count = 1, .reusable = true}, SHIFT(1912),
  [4315] = {.count = 1, .reusable = true}, SHIFT(1913),
  [4317] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1851),
  [4320] = {.count = 1, .reusable = true}, SHIFT(1916),
  [4322] = {.count = 1, .reusable = true}, SHIFT(1917),
  [4324] = {.count = 1, .reusable = false}, SHIFT(1917),
  [4326] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1728),
  [4329] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1729),
  [4332] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1728),
  [4335] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1735),
  [4338] = {.count = 1, .reusable = true}, SHIFT(1918),
  [4340] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(1919),
  [4343] = {.count = 1, .reusable = true}, SHIFT(1921),
  [4345] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(1922),
  [4348] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 7),
  [4350] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 7),
  [4352] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 4),
  [4354] = {.count = 1, .reusable = true}, SHIFT(1924),
  [4356] = {.count = 1, .reusable = true}, SHIFT(1925),
  [4358] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(1811),
  [4361] = {.count = 1, .reusable = true}, SHIFT(1928),
  [4363] = {.count = 1, .reusable = true}, SHIFT(1930),
  [4365] = {.count = 1, .reusable = true}, SHIFT(1931),
  [4367] = {.count = 1, .reusable = true}, SHIFT(1933),
  [4369] = {.count = 1, .reusable = true}, SHIFT(1934),
  [4371] = {.count = 1, .reusable = true}, SHIFT(1938),
  [4373] = {.count = 1, .reusable = false}, SHIFT(1939),
  [4375] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 6),
  [4377] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 6),
  [4379] = {.count = 1, .reusable = true}, SHIFT(1942),
  [4381] = {.count = 1, .reusable = true}, SHIFT(1947),
  [4383] = {.count = 1, .reusable = true}, SHIFT(1948),
  [4385] = {.count = 1, .reusable = true}, SHIFT(1949),
  [4387] = {.count = 1, .reusable = true}, SHIFT(1950),
  [4389] = {.count = 1, .reusable = true}, SHIFT(1951),
  [4391] = {.count = 1, .reusable = true}, SHIFT(1953),
  [4393] = {.count = 1, .reusable = true}, SHIFT(1954),
  [4395] = {.count = 1, .reusable = true}, SHIFT(1956),
  [4397] = {.count = 1, .reusable = true}, SHIFT(1958),
  [4399] = {.count = 1, .reusable = true}, SHIFT(1959),
  [4401] = {.count = 1, .reusable = true}, SHIFT(1960),
  [4403] = {.count = 1, .reusable = true}, SHIFT(1961),
};

void *tree_sitter_python_external_scanner_create();
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
